/* A Bison parser, made by GNU Bison 3.7.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30705

/* Bison version string.  */
#define YYBISON_VERSION "3.7.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* First part of user prologue.  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 651 "preproc.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "preproc.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_SQL_ALLOCATE = 3,               /* SQL_ALLOCATE  */
  YYSYMBOL_SQL_AUTOCOMMIT = 4,             /* SQL_AUTOCOMMIT  */
  YYSYMBOL_SQL_BOOL = 5,                   /* SQL_BOOL  */
  YYSYMBOL_SQL_BREAK = 6,                  /* SQL_BREAK  */
  YYSYMBOL_SQL_CALL = 7,                   /* SQL_CALL  */
  YYSYMBOL_SQL_CARDINALITY = 8,            /* SQL_CARDINALITY  */
  YYSYMBOL_SQL_CONNECT = 9,                /* SQL_CONNECT  */
  YYSYMBOL_SQL_COUNT = 10,                 /* SQL_COUNT  */
  YYSYMBOL_SQL_DATETIME_INTERVAL_CODE = 11, /* SQL_DATETIME_INTERVAL_CODE  */
  YYSYMBOL_SQL_DATETIME_INTERVAL_PRECISION = 12, /* SQL_DATETIME_INTERVAL_PRECISION  */
  YYSYMBOL_SQL_DESCRIBE = 13,              /* SQL_DESCRIBE  */
  YYSYMBOL_SQL_DESCRIPTOR = 14,            /* SQL_DESCRIPTOR  */
  YYSYMBOL_SQL_DISCONNECT = 15,            /* SQL_DISCONNECT  */
  YYSYMBOL_SQL_FOUND = 16,                 /* SQL_FOUND  */
  YYSYMBOL_SQL_FREE = 17,                  /* SQL_FREE  */
  YYSYMBOL_SQL_GET = 18,                   /* SQL_GET  */
  YYSYMBOL_SQL_GO = 19,                    /* SQL_GO  */
  YYSYMBOL_SQL_GOTO = 20,                  /* SQL_GOTO  */
  YYSYMBOL_SQL_IDENTIFIED = 21,            /* SQL_IDENTIFIED  */
  YYSYMBOL_SQL_INDICATOR = 22,             /* SQL_INDICATOR  */
  YYSYMBOL_SQL_KEY_MEMBER = 23,            /* SQL_KEY_MEMBER  */
  YYSYMBOL_SQL_LENGTH = 24,                /* SQL_LENGTH  */
  YYSYMBOL_SQL_LONG = 25,                  /* SQL_LONG  */
  YYSYMBOL_SQL_NULLABLE = 26,              /* SQL_NULLABLE  */
  YYSYMBOL_SQL_OCTET_LENGTH = 27,          /* SQL_OCTET_LENGTH  */
  YYSYMBOL_SQL_OPEN = 28,                  /* SQL_OPEN  */
  YYSYMBOL_SQL_OUTPUT = 29,                /* SQL_OUTPUT  */
  YYSYMBOL_SQL_REFERENCE = 30,             /* SQL_REFERENCE  */
  YYSYMBOL_SQL_RETURNED_LENGTH = 31,       /* SQL_RETURNED_LENGTH  */
  YYSYMBOL_SQL_RETURNED_OCTET_LENGTH = 32, /* SQL_RETURNED_OCTET_LENGTH  */
  YYSYMBOL_SQL_SCALE = 33,                 /* SQL_SCALE  */
  YYSYMBOL_SQL_SECTION = 34,               /* SQL_SECTION  */
  YYSYMBOL_SQL_SHORT = 35,                 /* SQL_SHORT  */
  YYSYMBOL_SQL_SIGNED = 36,                /* SQL_SIGNED  */
  YYSYMBOL_SQL_SQLERROR = 37,              /* SQL_SQLERROR  */
  YYSYMBOL_SQL_SQLPRINT = 38,              /* SQL_SQLPRINT  */
  YYSYMBOL_SQL_SQLWARNING = 39,            /* SQL_SQLWARNING  */
  YYSYMBOL_SQL_START = 40,                 /* SQL_START  */
  YYSYMBOL_SQL_STOP = 41,                  /* SQL_STOP  */
  YYSYMBOL_SQL_STRUCT = 42,                /* SQL_STRUCT  */
  YYSYMBOL_SQL_UNSIGNED = 43,              /* SQL_UNSIGNED  */
  YYSYMBOL_SQL_VAR = 44,                   /* SQL_VAR  */
  YYSYMBOL_SQL_WHENEVER = 45,              /* SQL_WHENEVER  */
  YYSYMBOL_S_ADD = 46,                     /* S_ADD  */
  YYSYMBOL_S_AND = 47,                     /* S_AND  */
  YYSYMBOL_S_ANYTHING = 48,                /* S_ANYTHING  */
  YYSYMBOL_S_AUTO = 49,                    /* S_AUTO  */
  YYSYMBOL_S_CONST = 50,                   /* S_CONST  */
  YYSYMBOL_S_DEC = 51,                     /* S_DEC  */
  YYSYMBOL_S_DIV = 52,                     /* S_DIV  */
  YYSYMBOL_S_DOTPOINT = 53,                /* S_DOTPOINT  */
  YYSYMBOL_S_EQUAL = 54,                   /* S_EQUAL  */
  YYSYMBOL_S_EXTERN = 55,                  /* S_EXTERN  */
  YYSYMBOL_S_INC = 56,                     /* S_INC  */
  YYSYMBOL_S_LSHIFT = 57,                  /* S_LSHIFT  */
  YYSYMBOL_S_MEMPOINT = 58,                /* S_MEMPOINT  */
  YYSYMBOL_S_MEMBER = 59,                  /* S_MEMBER  */
  YYSYMBOL_S_MOD = 60,                     /* S_MOD  */
  YYSYMBOL_S_MUL = 61,                     /* S_MUL  */
  YYSYMBOL_S_NEQUAL = 62,                  /* S_NEQUAL  */
  YYSYMBOL_S_OR = 63,                      /* S_OR  */
  YYSYMBOL_S_REGISTER = 64,                /* S_REGISTER  */
  YYSYMBOL_S_RSHIFT = 65,                  /* S_RSHIFT  */
  YYSYMBOL_S_STATIC = 66,                  /* S_STATIC  */
  YYSYMBOL_S_SUB = 67,                     /* S_SUB  */
  YYSYMBOL_S_VOLATILE = 68,                /* S_VOLATILE  */
  YYSYMBOL_S_TYPEDEF = 69,                 /* S_TYPEDEF  */
  YYSYMBOL_CSTRING = 70,                   /* CSTRING  */
  YYSYMBOL_CVARIABLE = 71,                 /* CVARIABLE  */
  YYSYMBOL_CPP_LINE = 72,                  /* CPP_LINE  */
  YYSYMBOL_IP = 73,                        /* IP  */
  YYSYMBOL_DOLCONST = 74,                  /* DOLCONST  */
  YYSYMBOL_ECONST = 75,                    /* ECONST  */
  YYSYMBOL_NCONST = 76,                    /* NCONST  */
  YYSYMBOL_UCONST = 77,                    /* UCONST  */
  YYSYMBOL_UIDENT = 78,                    /* UIDENT  */
  YYSYMBOL_IDENT = 79,                     /* IDENT  */
  YYSYMBOL_FCONST = 80,                    /* FCONST  */
  YYSYMBOL_SCONST = 81,                    /* SCONST  */
  YYSYMBOL_BCONST = 82,                    /* BCONST  */
  YYSYMBOL_XCONST = 83,                    /* XCONST  */
  YYSYMBOL_Op = 84,                        /* Op  */
  YYSYMBOL_ICONST = 85,                    /* ICONST  */
  YYSYMBOL_PARAM = 86,                     /* PARAM  */
  YYSYMBOL_TYPECAST = 87,                  /* TYPECAST  */
  YYSYMBOL_DOT_DOT = 88,                   /* DOT_DOT  */
  YYSYMBOL_COLON_EQUALS = 89,              /* COLON_EQUALS  */
  YYSYMBOL_EQUALS_GREATER = 90,            /* EQUALS_GREATER  */
  YYSYMBOL_LESS_EQUALS = 91,               /* LESS_EQUALS  */
  YYSYMBOL_GREATER_EQUALS = 92,            /* GREATER_EQUALS  */
  YYSYMBOL_NOT_EQUALS = 93,                /* NOT_EQUALS  */
  YYSYMBOL_ABORT_P = 94,                   /* ABORT_P  */
  YYSYMBOL_ABSOLUTE_P = 95,                /* ABSOLUTE_P  */
  YYSYMBOL_ACCESS = 96,                    /* ACCESS  */
  YYSYMBOL_ACTION = 97,                    /* ACTION  */
  YYSYMBOL_ADD_P = 98,                     /* ADD_P  */
  YYSYMBOL_ADMIN = 99,                     /* ADMIN  */
  YYSYMBOL_AFTER = 100,                    /* AFTER  */
  YYSYMBOL_AGGREGATE = 101,                /* AGGREGATE  */
  YYSYMBOL_ALL = 102,                      /* ALL  */
  YYSYMBOL_ALSO = 103,                     /* ALSO  */
  YYSYMBOL_ALTER = 104,                    /* ALTER  */
  YYSYMBOL_ALWAYS = 105,                   /* ALWAYS  */
  YYSYMBOL_ANALYSE = 106,                  /* ANALYSE  */
  YYSYMBOL_ANALYZE = 107,                  /* ANALYZE  */
  YYSYMBOL_AND = 108,                      /* AND  */
  YYSYMBOL_ANY = 109,                      /* ANY  */
  YYSYMBOL_ARRAY = 110,                    /* ARRAY  */
  YYSYMBOL_AS = 111,                       /* AS  */
  YYSYMBOL_ASC = 112,                      /* ASC  */
  YYSYMBOL_ASSERTION = 113,                /* ASSERTION  */
  YYSYMBOL_ASSIGNMENT = 114,               /* ASSIGNMENT  */
  YYSYMBOL_ASYMMETRIC = 115,               /* ASYMMETRIC  */
  YYSYMBOL_AT = 116,                       /* AT  */
  YYSYMBOL_ATTACH = 117,                   /* ATTACH  */
  YYSYMBOL_ATTRIBUTE = 118,                /* ATTRIBUTE  */
  YYSYMBOL_AUTHORIZATION = 119,            /* AUTHORIZATION  */
  YYSYMBOL_BACKWARD = 120,                 /* BACKWARD  */
  YYSYMBOL_BEFORE = 121,                   /* BEFORE  */
  YYSYMBOL_BEGIN_P = 122,                  /* BEGIN_P  */
  YYSYMBOL_BETWEEN = 123,                  /* BETWEEN  */
  YYSYMBOL_BIGINT = 124,                   /* BIGINT  */
  YYSYMBOL_BINARY = 125,                   /* BINARY  */
  YYSYMBOL_BIT = 126,                      /* BIT  */
  YYSYMBOL_BOOLEAN_P = 127,                /* BOOLEAN_P  */
  YYSYMBOL_BOTH = 128,                     /* BOTH  */
  YYSYMBOL_BY = 129,                       /* BY  */
  YYSYMBOL_CACHE = 130,                    /* CACHE  */
  YYSYMBOL_CALLED = 131,                   /* CALLED  */
  YYSYMBOL_CASCADE = 132,                  /* CASCADE  */
  YYSYMBOL_CASCADED = 133,                 /* CASCADED  */
  YYSYMBOL_CASE = 134,                     /* CASE  */
  YYSYMBOL_CAST = 135,                     /* CAST  */
  YYSYMBOL_CATALOG_P = 136,                /* CATALOG_P  */
  YYSYMBOL_CHAIN = 137,                    /* CHAIN  */
  YYSYMBOL_CHAR_P = 138,                   /* CHAR_P  */
  YYSYMBOL_CHARACTER = 139,                /* CHARACTER  */
  YYSYMBOL_CHARACTERISTICS = 140,          /* CHARACTERISTICS  */
  YYSYMBOL_CHECK = 141,                    /* CHECK  */
  YYSYMBOL_CHECKPOINT = 142,               /* CHECKPOINT  */
  YYSYMBOL_CLASS = 143,                    /* CLASS  */
  YYSYMBOL_CLOSE = 144,                    /* CLOSE  */
  YYSYMBOL_CLUSTER = 145,                  /* CLUSTER  */
  YYSYMBOL_COALESCE = 146,                 /* COALESCE  */
  YYSYMBOL_COLLATE = 147,                  /* COLLATE  */
  YYSYMBOL_COLLATION = 148,                /* COLLATION  */
  YYSYMBOL_COLUMN = 149,                   /* COLUMN  */
  YYSYMBOL_COLUMNS = 150,                  /* COLUMNS  */
  YYSYMBOL_COMMENT = 151,                  /* COMMENT  */
  YYSYMBOL_COMMENTS = 152,                 /* COMMENTS  */
  YYSYMBOL_COMMIT = 153,                   /* COMMIT  */
  YYSYMBOL_COMMITTED = 154,                /* COMMITTED  */
  YYSYMBOL_CONCURRENTLY = 155,             /* CONCURRENTLY  */
  YYSYMBOL_CONFIGURATION = 156,            /* CONFIGURATION  */
  YYSYMBOL_CONFLICT = 157,                 /* CONFLICT  */
  YYSYMBOL_CONNECTION = 158,               /* CONNECTION  */
  YYSYMBOL_CONSTRAINT = 159,               /* CONSTRAINT  */
  YYSYMBOL_CONSTRAINTS = 160,              /* CONSTRAINTS  */
  YYSYMBOL_CONTENT_P = 161,                /* CONTENT_P  */
  YYSYMBOL_CONTINUE_P = 162,               /* CONTINUE_P  */
  YYSYMBOL_CONVERSION_P = 163,             /* CONVERSION_P  */
  YYSYMBOL_COPY = 164,                     /* COPY  */
  YYSYMBOL_COST = 165,                     /* COST  */
  YYSYMBOL_CREATE = 166,                   /* CREATE  */
  YYSYMBOL_CROSS = 167,                    /* CROSS  */
  YYSYMBOL_CSV = 168,                      /* CSV  */
  YYSYMBOL_CUBE = 169,                     /* CUBE  */
  YYSYMBOL_CURRENT_P = 170,                /* CURRENT_P  */
  YYSYMBOL_CURRENT_CATALOG = 171,          /* CURRENT_CATALOG  */
  YYSYMBOL_CURRENT_DATE = 172,             /* CURRENT_DATE  */
  YYSYMBOL_CURRENT_ROLE = 173,             /* CURRENT_ROLE  */
  YYSYMBOL_CURRENT_SCHEMA = 174,           /* CURRENT_SCHEMA  */
  YYSYMBOL_CURRENT_TIME = 175,             /* CURRENT_TIME  */
  YYSYMBOL_CURRENT_TIMESTAMP = 176,        /* CURRENT_TIMESTAMP  */
  YYSYMBOL_CURRENT_USER = 177,             /* CURRENT_USER  */
  YYSYMBOL_CURSOR = 178,                   /* CURSOR  */
  YYSYMBOL_CYCLE = 179,                    /* CYCLE  */
  YYSYMBOL_DATA_P = 180,                   /* DATA_P  */
  YYSYMBOL_DATABASE = 181,                 /* DATABASE  */
  YYSYMBOL_DAY_P = 182,                    /* DAY_P  */
  YYSYMBOL_DEALLOCATE = 183,               /* DEALLOCATE  */
  YYSYMBOL_DEC = 184,                      /* DEC  */
  YYSYMBOL_DECIMAL_P = 185,                /* DECIMAL_P  */
  YYSYMBOL_DECLARE = 186,                  /* DECLARE  */
  YYSYMBOL_DEFAULT = 187,                  /* DEFAULT  */
  YYSYMBOL_DEFAULTS = 188,                 /* DEFAULTS  */
  YYSYMBOL_DEFERRABLE = 189,               /* DEFERRABLE  */
  YYSYMBOL_DEFERRED = 190,                 /* DEFERRED  */
  YYSYMBOL_DEFINER = 191,                  /* DEFINER  */
  YYSYMBOL_DELETE_P = 192,                 /* DELETE_P  */
  YYSYMBOL_DELIMITER = 193,                /* DELIMITER  */
  YYSYMBOL_DELIMITERS = 194,               /* DELIMITERS  */
  YYSYMBOL_DEPENDS = 195,                  /* DEPENDS  */
  YYSYMBOL_DESC = 196,                     /* DESC  */
  YYSYMBOL_DETACH = 197,                   /* DETACH  */
  YYSYMBOL_DICTIONARY = 198,               /* DICTIONARY  */
  YYSYMBOL_DISABLE_P = 199,                /* DISABLE_P  */
  YYSYMBOL_DISCARD = 200,                  /* DISCARD  */
  YYSYMBOL_DISTINCT = 201,                 /* DISTINCT  */
  YYSYMBOL_DO = 202,                       /* DO  */
  YYSYMBOL_DOCUMENT_P = 203,               /* DOCUMENT_P  */
  YYSYMBOL_DOMAIN_P = 204,                 /* DOMAIN_P  */
  YYSYMBOL_DOUBLE_P = 205,                 /* DOUBLE_P  */
  YYSYMBOL_DROP = 206,                     /* DROP  */
  YYSYMBOL_EACH = 207,                     /* EACH  */
  YYSYMBOL_ELSE = 208,                     /* ELSE  */
  YYSYMBOL_ENABLE_P = 209,                 /* ENABLE_P  */
  YYSYMBOL_ENCODING = 210,                 /* ENCODING  */
  YYSYMBOL_ENCRYPTED = 211,                /* ENCRYPTED  */
  YYSYMBOL_END_P = 212,                    /* END_P  */
  YYSYMBOL_ENUM_P = 213,                   /* ENUM_P  */
  YYSYMBOL_ESCAPE = 214,                   /* ESCAPE  */
  YYSYMBOL_EVENT = 215,                    /* EVENT  */
  YYSYMBOL_EXCEPT = 216,                   /* EXCEPT  */
  YYSYMBOL_EXCLUDE = 217,                  /* EXCLUDE  */
  YYSYMBOL_EXCLUDING = 218,                /* EXCLUDING  */
  YYSYMBOL_EXCLUSIVE = 219,                /* EXCLUSIVE  */
  YYSYMBOL_EXECUTE = 220,                  /* EXECUTE  */
  YYSYMBOL_EXISTS = 221,                   /* EXISTS  */
  YYSYMBOL_EXPLAIN = 222,                  /* EXPLAIN  */
  YYSYMBOL_EXTENSION = 223,                /* EXTENSION  */
  YYSYMBOL_EXTERNAL = 224,                 /* EXTERNAL  */
  YYSYMBOL_EXTRACT = 225,                  /* EXTRACT  */
  YYSYMBOL_FALSE_P = 226,                  /* FALSE_P  */
  YYSYMBOL_FAMILY = 227,                   /* FAMILY  */
  YYSYMBOL_FETCH = 228,                    /* FETCH  */
  YYSYMBOL_FILTER = 229,                   /* FILTER  */
  YYSYMBOL_FIRST_P = 230,                  /* FIRST_P  */
  YYSYMBOL_FLOAT_P = 231,                  /* FLOAT_P  */
  YYSYMBOL_FOLLOWING = 232,                /* FOLLOWING  */
  YYSYMBOL_FOR = 233,                      /* FOR  */
  YYSYMBOL_FORCE = 234,                    /* FORCE  */
  YYSYMBOL_FOREIGN = 235,                  /* FOREIGN  */
  YYSYMBOL_FORWARD = 236,                  /* FORWARD  */
  YYSYMBOL_FREEZE = 237,                   /* FREEZE  */
  YYSYMBOL_FROM = 238,                     /* FROM  */
  YYSYMBOL_FULL = 239,                     /* FULL  */
  YYSYMBOL_FUNCTION = 240,                 /* FUNCTION  */
  YYSYMBOL_FUNCTIONS = 241,                /* FUNCTIONS  */
  YYSYMBOL_GENERATED = 242,                /* GENERATED  */
  YYSYMBOL_GLOBAL = 243,                   /* GLOBAL  */
  YYSYMBOL_GRANT = 244,                    /* GRANT  */
  YYSYMBOL_GRANTED = 245,                  /* GRANTED  */
  YYSYMBOL_GREATEST = 246,                 /* GREATEST  */
  YYSYMBOL_GROUP_P = 247,                  /* GROUP_P  */
  YYSYMBOL_GROUPING = 248,                 /* GROUPING  */
  YYSYMBOL_HANDLER = 249,                  /* HANDLER  */
  YYSYMBOL_HAVING = 250,                   /* HAVING  */
  YYSYMBOL_HEADER_P = 251,                 /* HEADER_P  */
  YYSYMBOL_HOLD = 252,                     /* HOLD  */
  YYSYMBOL_HOUR_P = 253,                   /* HOUR_P  */
  YYSYMBOL_IDENTITY_P = 254,               /* IDENTITY_P  */
  YYSYMBOL_IF_P = 255,                     /* IF_P  */
  YYSYMBOL_ILIKE = 256,                    /* ILIKE  */
  YYSYMBOL_IMMEDIATE = 257,                /* IMMEDIATE  */
  YYSYMBOL_IMMUTABLE = 258,                /* IMMUTABLE  */
  YYSYMBOL_IMPLICIT_P = 259,               /* IMPLICIT_P  */
  YYSYMBOL_IMPORT_P = 260,                 /* IMPORT_P  */
  YYSYMBOL_IN_P = 261,                     /* IN_P  */
  YYSYMBOL_INCLUDING = 262,                /* INCLUDING  */
  YYSYMBOL_INCREMENT = 263,                /* INCREMENT  */
  YYSYMBOL_INDEX = 264,                    /* INDEX  */
  YYSYMBOL_INDEXES = 265,                  /* INDEXES  */
  YYSYMBOL_INHERIT = 266,                  /* INHERIT  */
  YYSYMBOL_INHERITS = 267,                 /* INHERITS  */
  YYSYMBOL_INITIALLY = 268,                /* INITIALLY  */
  YYSYMBOL_INLINE_P = 269,                 /* INLINE_P  */
  YYSYMBOL_INNER_P = 270,                  /* INNER_P  */
  YYSYMBOL_INOUT = 271,                    /* INOUT  */
  YYSYMBOL_INPUT_P = 272,                  /* INPUT_P  */
  YYSYMBOL_INSENSITIVE = 273,              /* INSENSITIVE  */
  YYSYMBOL_INSERT = 274,                   /* INSERT  */
  YYSYMBOL_INSTEAD = 275,                  /* INSTEAD  */
  YYSYMBOL_INT_P = 276,                    /* INT_P  */
  YYSYMBOL_INTEGER = 277,                  /* INTEGER  */
  YYSYMBOL_INTERSECT = 278,                /* INTERSECT  */
  YYSYMBOL_INTERVAL = 279,                 /* INTERVAL  */
  YYSYMBOL_INTO = 280,                     /* INTO  */
  YYSYMBOL_INVOKER = 281,                  /* INVOKER  */
  YYSYMBOL_IS = 282,                       /* IS  */
  YYSYMBOL_ISNULL = 283,                   /* ISNULL  */
  YYSYMBOL_ISOLATION = 284,                /* ISOLATION  */
  YYSYMBOL_JOIN = 285,                     /* JOIN  */
  YYSYMBOL_KEY = 286,                      /* KEY  */
  YYSYMBOL_LABEL = 287,                    /* LABEL  */
  YYSYMBOL_LANGUAGE = 288,                 /* LANGUAGE  */
  YYSYMBOL_LARGE_P = 289,                  /* LARGE_P  */
  YYSYMBOL_LAST_P = 290,                   /* LAST_P  */
  YYSYMBOL_LATERAL_P = 291,                /* LATERAL_P  */
  YYSYMBOL_LEADING = 292,                  /* LEADING  */
  YYSYMBOL_LEAKPROOF = 293,                /* LEAKPROOF  */
  YYSYMBOL_LEAST = 294,                    /* LEAST  */
  YYSYMBOL_LEFT = 295,                     /* LEFT  */
  YYSYMBOL_LEVEL = 296,                    /* LEVEL  */
  YYSYMBOL_LIKE = 297,                     /* LIKE  */
  YYSYMBOL_LIMIT = 298,                    /* LIMIT  */
  YYSYMBOL_LISTEN = 299,                   /* LISTEN  */
  YYSYMBOL_LOAD = 300,                     /* LOAD  */
  YYSYMBOL_LOCAL = 301,                    /* LOCAL  */
  YYSYMBOL_LOCALTIME = 302,                /* LOCALTIME  */
  YYSYMBOL_LOCALTIMESTAMP = 303,           /* LOCALTIMESTAMP  */
  YYSYMBOL_LOCATION = 304,                 /* LOCATION  */
  YYSYMBOL_LOCK_P = 305,                   /* LOCK_P  */
  YYSYMBOL_LOCKED = 306,                   /* LOCKED  */
  YYSYMBOL_LOGGED = 307,                   /* LOGGED  */
  YYSYMBOL_MAPPING = 308,                  /* MAPPING  */
  YYSYMBOL_MATCH = 309,                    /* MATCH  */
  YYSYMBOL_MATERIALIZED = 310,             /* MATERIALIZED  */
  YYSYMBOL_MAXVALUE = 311,                 /* MAXVALUE  */
  YYSYMBOL_METHOD = 312,                   /* METHOD  */
  YYSYMBOL_MINUTE_P = 313,                 /* MINUTE_P  */
  YYSYMBOL_MINVALUE = 314,                 /* MINVALUE  */
  YYSYMBOL_MODE = 315,                     /* MODE  */
  YYSYMBOL_MONTH_P = 316,                  /* MONTH_P  */
  YYSYMBOL_MOVE = 317,                     /* MOVE  */
  YYSYMBOL_NAME_P = 318,                   /* NAME_P  */
  YYSYMBOL_NAMES = 319,                    /* NAMES  */
  YYSYMBOL_NATIONAL = 320,                 /* NATIONAL  */
  YYSYMBOL_NATURAL = 321,                  /* NATURAL  */
  YYSYMBOL_NCHAR = 322,                    /* NCHAR  */
  YYSYMBOL_NEW = 323,                      /* NEW  */
  YYSYMBOL_NEXT = 324,                     /* NEXT  */
  YYSYMBOL_NO = 325,                       /* NO  */
  YYSYMBOL_NONE = 326,                     /* NONE  */
  YYSYMBOL_NOT = 327,                      /* NOT  */
  YYSYMBOL_NOTHING = 328,                  /* NOTHING  */
  YYSYMBOL_NOTIFY = 329,                   /* NOTIFY  */
  YYSYMBOL_NOTNULL = 330,                  /* NOTNULL  */
  YYSYMBOL_NOWAIT = 331,                   /* NOWAIT  */
  YYSYMBOL_NULL_P = 332,                   /* NULL_P  */
  YYSYMBOL_NULLIF = 333,                   /* NULLIF  */
  YYSYMBOL_NULLS_P = 334,                  /* NULLS_P  */
  YYSYMBOL_NUMERIC = 335,                  /* NUMERIC  */
  YYSYMBOL_OBJECT_P = 336,                 /* OBJECT_P  */
  YYSYMBOL_OF = 337,                       /* OF  */
  YYSYMBOL_OFF = 338,                      /* OFF  */
  YYSYMBOL_OFFSET = 339,                   /* OFFSET  */
  YYSYMBOL_OIDS = 340,                     /* OIDS  */
  YYSYMBOL_OLD = 341,                      /* OLD  */
  YYSYMBOL_ON = 342,                       /* ON  */
  YYSYMBOL_ONLY = 343,                     /* ONLY  */
  YYSYMBOL_OPERATOR = 344,                 /* OPERATOR  */
  YYSYMBOL_OPTION = 345,                   /* OPTION  */
  YYSYMBOL_OPTIONS = 346,                  /* OPTIONS  */
  YYSYMBOL_OR = 347,                       /* OR  */
  YYSYMBOL_ORDER = 348,                    /* ORDER  */
  YYSYMBOL_ORDINALITY = 349,               /* ORDINALITY  */
  YYSYMBOL_OUT_P = 350,                    /* OUT_P  */
  YYSYMBOL_OUTER_P = 351,                  /* OUTER_P  */
  YYSYMBOL_OVER = 352,                     /* OVER  */
  YYSYMBOL_OVERLAPS = 353,                 /* OVERLAPS  */
  YYSYMBOL_OVERLAY = 354,                  /* OVERLAY  */
  YYSYMBOL_OVERRIDING = 355,               /* OVERRIDING  */
  YYSYMBOL_OWNED = 356,                    /* OWNED  */
  YYSYMBOL_OWNER = 357,                    /* OWNER  */
  YYSYMBOL_PARALLEL = 358,                 /* PARALLEL  */
  YYSYMBOL_PARSER = 359,                   /* PARSER  */
  YYSYMBOL_PARTIAL = 360,                  /* PARTIAL  */
  YYSYMBOL_PARTITION = 361,                /* PARTITION  */
  YYSYMBOL_PASSING = 362,                  /* PASSING  */
  YYSYMBOL_PASSWORD = 363,                 /* PASSWORD  */
  YYSYMBOL_PLACING = 364,                  /* PLACING  */
  YYSYMBOL_PLANS = 365,                    /* PLANS  */
  YYSYMBOL_POLICY = 366,                   /* POLICY  */
  YYSYMBOL_POSITION = 367,                 /* POSITION  */
  YYSYMBOL_PRECEDING = 368,                /* PRECEDING  */
  YYSYMBOL_PRECISION = 369,                /* PRECISION  */
  YYSYMBOL_PRESERVE = 370,                 /* PRESERVE  */
  YYSYMBOL_PREPARE = 371,                  /* PREPARE  */
  YYSYMBOL_PREPARED = 372,                 /* PREPARED  */
  YYSYMBOL_PRIMARY = 373,                  /* PRIMARY  */
  YYSYMBOL_PRIOR = 374,                    /* PRIOR  */
  YYSYMBOL_PRIVILEGES = 375,               /* PRIVILEGES  */
  YYSYMBOL_PROCEDURAL = 376,               /* PROCEDURAL  */
  YYSYMBOL_PROCEDURE = 377,                /* PROCEDURE  */
  YYSYMBOL_PROGRAM = 378,                  /* PROGRAM  */
  YYSYMBOL_PUBLICATION = 379,              /* PUBLICATION  */
  YYSYMBOL_QUOTE = 380,                    /* QUOTE  */
  YYSYMBOL_RANGE = 381,                    /* RANGE  */
  YYSYMBOL_READ = 382,                     /* READ  */
  YYSYMBOL_REAL = 383,                     /* REAL  */
  YYSYMBOL_REASSIGN = 384,                 /* REASSIGN  */
  YYSYMBOL_RECHECK = 385,                  /* RECHECK  */
  YYSYMBOL_RECURSIVE = 386,                /* RECURSIVE  */
  YYSYMBOL_REF_P = 387,                    /* REF_P  */
  YYSYMBOL_REFERENCES = 388,               /* REFERENCES  */
  YYSYMBOL_REFERENCING = 389,              /* REFERENCING  */
  YYSYMBOL_REFRESH = 390,                  /* REFRESH  */
  YYSYMBOL_REINDEX = 391,                  /* REINDEX  */
  YYSYMBOL_RELATIVE_P = 392,               /* RELATIVE_P  */
  YYSYMBOL_RELEASE = 393,                  /* RELEASE  */
  YYSYMBOL_RENAME = 394,                   /* RENAME  */
  YYSYMBOL_REPEATABLE = 395,               /* REPEATABLE  */
  YYSYMBOL_REPLACE = 396,                  /* REPLACE  */
  YYSYMBOL_REPLICA = 397,                  /* REPLICA  */
  YYSYMBOL_RESET = 398,                    /* RESET  */
  YYSYMBOL_RESTART = 399,                  /* RESTART  */
  YYSYMBOL_RESTRICT = 400,                 /* RESTRICT  */
  YYSYMBOL_RETURNING = 401,                /* RETURNING  */
  YYSYMBOL_RETURNS = 402,                  /* RETURNS  */
  YYSYMBOL_REVOKE = 403,                   /* REVOKE  */
  YYSYMBOL_RIGHT = 404,                    /* RIGHT  */
  YYSYMBOL_ROLE = 405,                     /* ROLE  */
  YYSYMBOL_ROLLBACK = 406,                 /* ROLLBACK  */
  YYSYMBOL_ROLLUP = 407,                   /* ROLLUP  */
  YYSYMBOL_ROW = 408,                      /* ROW  */
  YYSYMBOL_ROWS = 409,                     /* ROWS  */
  YYSYMBOL_RULE = 410,                     /* RULE  */
  YYSYMBOL_SAVEPOINT = 411,                /* SAVEPOINT  */
  YYSYMBOL_SCHEMA = 412,                   /* SCHEMA  */
  YYSYMBOL_SCHEMAS = 413,                  /* SCHEMAS  */
  YYSYMBOL_SCROLL = 414,                   /* SCROLL  */
  YYSYMBOL_SEARCH = 415,                   /* SEARCH  */
  YYSYMBOL_SECOND_P = 416,                 /* SECOND_P  */
  YYSYMBOL_SECURITY = 417,                 /* SECURITY  */
  YYSYMBOL_SELECT = 418,                   /* SELECT  */
  YYSYMBOL_SEQUENCE = 419,                 /* SEQUENCE  */
  YYSYMBOL_SEQUENCES = 420,                /* SEQUENCES  */
  YYSYMBOL_SERIALIZABLE = 421,             /* SERIALIZABLE  */
  YYSYMBOL_SERVER = 422,                   /* SERVER  */
  YYSYMBOL_SESSION = 423,                  /* SESSION  */
  YYSYMBOL_SESSION_USER = 424,             /* SESSION_USER  */
  YYSYMBOL_SET = 425,                      /* SET  */
  YYSYMBOL_SETS = 426,                     /* SETS  */
  YYSYMBOL_SETOF = 427,                    /* SETOF  */
  YYSYMBOL_SHARE = 428,                    /* SHARE  */
  YYSYMBOL_SHOW = 429,                     /* SHOW  */
  YYSYMBOL_SIMILAR = 430,                  /* SIMILAR  */
  YYSYMBOL_SIMPLE = 431,                   /* SIMPLE  */
  YYSYMBOL_SKIP = 432,                     /* SKIP  */
  YYSYMBOL_SMALLINT = 433,                 /* SMALLINT  */
  YYSYMBOL_SNAPSHOT = 434,                 /* SNAPSHOT  */
  YYSYMBOL_SOME = 435,                     /* SOME  */
  YYSYMBOL_SQL_P = 436,                    /* SQL_P  */
  YYSYMBOL_STABLE = 437,                   /* STABLE  */
  YYSYMBOL_STANDALONE_P = 438,             /* STANDALONE_P  */
  YYSYMBOL_START = 439,                    /* START  */
  YYSYMBOL_STATEMENT = 440,                /* STATEMENT  */
  YYSYMBOL_STATISTICS = 441,               /* STATISTICS  */
  YYSYMBOL_STDIN = 442,                    /* STDIN  */
  YYSYMBOL_STDOUT = 443,                   /* STDOUT  */
  YYSYMBOL_STORAGE = 444,                  /* STORAGE  */
  YYSYMBOL_STRICT_P = 445,                 /* STRICT_P  */
  YYSYMBOL_STRIP_P = 446,                  /* STRIP_P  */
  YYSYMBOL_SUBSCRIPTION = 447,             /* SUBSCRIPTION  */
  YYSYMBOL_SUBSTRING = 448,                /* SUBSTRING  */
  YYSYMBOL_SYMMETRIC = 449,                /* SYMMETRIC  */
  YYSYMBOL_SYSID = 450,                    /* SYSID  */
  YYSYMBOL_SYSTEM_P = 451,                 /* SYSTEM_P  */
  YYSYMBOL_TABLE = 452,                    /* TABLE  */
  YYSYMBOL_TABLES = 453,                   /* TABLES  */
  YYSYMBOL_TABLESAMPLE = 454,              /* TABLESAMPLE  */
  YYSYMBOL_TABLESPACE = 455,               /* TABLESPACE  */
  YYSYMBOL_TEMP = 456,                     /* TEMP  */
  YYSYMBOL_TEMPLATE = 457,                 /* TEMPLATE  */
  YYSYMBOL_TEMPORARY = 458,                /* TEMPORARY  */
  YYSYMBOL_TEXT_P = 459,                   /* TEXT_P  */
  YYSYMBOL_THEN = 460,                     /* THEN  */
  YYSYMBOL_TIME = 461,                     /* TIME  */
  YYSYMBOL_TIMESTAMP = 462,                /* TIMESTAMP  */
  YYSYMBOL_TO = 463,                       /* TO  */
  YYSYMBOL_TRAILING = 464,                 /* TRAILING  */
  YYSYMBOL_TRANSACTION = 465,              /* TRANSACTION  */
  YYSYMBOL_TRANSFORM = 466,                /* TRANSFORM  */
  YYSYMBOL_TREAT = 467,                    /* TREAT  */
  YYSYMBOL_TRIGGER = 468,                  /* TRIGGER  */
  YYSYMBOL_TRIM = 469,                     /* TRIM  */
  YYSYMBOL_TRUE_P = 470,                   /* TRUE_P  */
  YYSYMBOL_TRUNCATE = 471,                 /* TRUNCATE  */
  YYSYMBOL_TRUSTED = 472,                  /* TRUSTED  */
  YYSYMBOL_TYPE_P = 473,                   /* TYPE_P  */
  YYSYMBOL_TYPES_P = 474,                  /* TYPES_P  */
  YYSYMBOL_UNBOUNDED = 475,                /* UNBOUNDED  */
  YYSYMBOL_UNCOMMITTED = 476,              /* UNCOMMITTED  */
  YYSYMBOL_UNENCRYPTED = 477,              /* UNENCRYPTED  */
  YYSYMBOL_UNION = 478,                    /* UNION  */
  YYSYMBOL_UNIQUE = 479,                   /* UNIQUE  */
  YYSYMBOL_UNKNOWN = 480,                  /* UNKNOWN  */
  YYSYMBOL_UNLISTEN = 481,                 /* UNLISTEN  */
  YYSYMBOL_UNLOGGED = 482,                 /* UNLOGGED  */
  YYSYMBOL_UNTIL = 483,                    /* UNTIL  */
  YYSYMBOL_UPDATE = 484,                   /* UPDATE  */
  YYSYMBOL_USER = 485,                     /* USER  */
  YYSYMBOL_USING = 486,                    /* USING  */
  YYSYMBOL_VACUUM = 487,                   /* VACUUM  */
  YYSYMBOL_VALID = 488,                    /* VALID  */
  YYSYMBOL_VALIDATE = 489,                 /* VALIDATE  */
  YYSYMBOL_VALIDATOR = 490,                /* VALIDATOR  */
  YYSYMBOL_VALUE_P = 491,                  /* VALUE_P  */
  YYSYMBOL_VALUES = 492,                   /* VALUES  */
  YYSYMBOL_VARCHAR = 493,                  /* VARCHAR  */
  YYSYMBOL_VARIADIC = 494,                 /* VARIADIC  */
  YYSYMBOL_VARYING = 495,                  /* VARYING  */
  YYSYMBOL_VERBOSE = 496,                  /* VERBOSE  */
  YYSYMBOL_VERSION_P = 497,                /* VERSION_P  */
  YYSYMBOL_VIEW = 498,                     /* VIEW  */
  YYSYMBOL_VIEWS = 499,                    /* VIEWS  */
  YYSYMBOL_VOLATILE = 500,                 /* VOLATILE  */
  YYSYMBOL_WHEN = 501,                     /* WHEN  */
  YYSYMBOL_WHERE = 502,                    /* WHERE  */
  YYSYMBOL_WHITESPACE_P = 503,             /* WHITESPACE_P  */
  YYSYMBOL_WINDOW = 504,                   /* WINDOW  */
  YYSYMBOL_WITH = 505,                     /* WITH  */
  YYSYMBOL_WITHIN = 506,                   /* WITHIN  */
  YYSYMBOL_WITHOUT = 507,                  /* WITHOUT  */
  YYSYMBOL_WORK = 508,                     /* WORK  */
  YYSYMBOL_WRAPPER = 509,                  /* WRAPPER  */
  YYSYMBOL_WRITE = 510,                    /* WRITE  */
  YYSYMBOL_XML_P = 511,                    /* XML_P  */
  YYSYMBOL_XMLATTRIBUTES = 512,            /* XMLATTRIBUTES  */
  YYSYMBOL_XMLCONCAT = 513,                /* XMLCONCAT  */
  YYSYMBOL_XMLELEMENT = 514,               /* XMLELEMENT  */
  YYSYMBOL_XMLEXISTS = 515,                /* XMLEXISTS  */
  YYSYMBOL_XMLFOREST = 516,                /* XMLFOREST  */
  YYSYMBOL_XMLNAMESPACES = 517,            /* XMLNAMESPACES  */
  YYSYMBOL_XMLPARSE = 518,                 /* XMLPARSE  */
  YYSYMBOL_XMLPI = 519,                    /* XMLPI  */
  YYSYMBOL_XMLROOT = 520,                  /* XMLROOT  */
  YYSYMBOL_XMLSERIALIZE = 521,             /* XMLSERIALIZE  */
  YYSYMBOL_XMLTABLE = 522,                 /* XMLTABLE  */
  YYSYMBOL_YEAR_P = 523,                   /* YEAR_P  */
  YYSYMBOL_YES_P = 524,                    /* YES_P  */
  YYSYMBOL_ZONE = 525,                     /* ZONE  */
  YYSYMBOL_NOT_LA = 526,                   /* NOT_LA  */
  YYSYMBOL_NULLS_LA = 527,                 /* NULLS_LA  */
  YYSYMBOL_WITH_LA = 528,                  /* WITH_LA  */
  YYSYMBOL_529_ = 529,                     /* '<'  */
  YYSYMBOL_530_ = 530,                     /* '>'  */
  YYSYMBOL_531_ = 531,                     /* '='  */
  YYSYMBOL_POSTFIXOP = 532,                /* POSTFIXOP  */
  YYSYMBOL_533_ = 533,                     /* '+'  */
  YYSYMBOL_534_ = 534,                     /* '-'  */
  YYSYMBOL_535_ = 535,                     /* '*'  */
  YYSYMBOL_536_ = 536,                     /* '/'  */
  YYSYMBOL_537_ = 537,                     /* '%'  */
  YYSYMBOL_538_ = 538,                     /* '^'  */
  YYSYMBOL_UMINUS = 539,                   /* UMINUS  */
  YYSYMBOL_540_ = 540,                     /* '['  */
  YYSYMBOL_541_ = 541,                     /* ']'  */
  YYSYMBOL_542_ = 542,                     /* '('  */
  YYSYMBOL_543_ = 543,                     /* ')'  */
  YYSYMBOL_544_ = 544,                     /* '.'  */
  YYSYMBOL_545_ = 545,                     /* ','  */
  YYSYMBOL_546_ = 546,                     /* ';'  */
  YYSYMBOL_547_ = 547,                     /* ':'  */
  YYSYMBOL_548_ = 548,                     /* '{'  */
  YYSYMBOL_549_ = 549,                     /* '}'  */
  YYSYMBOL_YYACCEPT = 550,                 /* $accept  */
  YYSYMBOL_prog = 551,                     /* prog  */
  YYSYMBOL_stmt = 552,                     /* stmt  */
  YYSYMBOL_CreateRoleStmt = 553,           /* CreateRoleStmt  */
  YYSYMBOL_opt_with = 554,                 /* opt_with  */
  YYSYMBOL_OptRoleList = 555,              /* OptRoleList  */
  YYSYMBOL_AlterOptRoleList = 556,         /* AlterOptRoleList  */
  YYSYMBOL_AlterOptRoleElem = 557,         /* AlterOptRoleElem  */
  YYSYMBOL_CreateOptRoleElem = 558,        /* CreateOptRoleElem  */
  YYSYMBOL_CreateUserStmt = 559,           /* CreateUserStmt  */
  YYSYMBOL_AlterRoleStmt = 560,            /* AlterRoleStmt  */
  YYSYMBOL_opt_in_database = 561,          /* opt_in_database  */
  YYSYMBOL_AlterRoleSetStmt = 562,         /* AlterRoleSetStmt  */
  YYSYMBOL_DropRoleStmt = 563,             /* DropRoleStmt  */
  YYSYMBOL_CreateGroupStmt = 564,          /* CreateGroupStmt  */
  YYSYMBOL_AlterGroupStmt = 565,           /* AlterGroupStmt  */
  YYSYMBOL_add_drop = 566,                 /* add_drop  */
  YYSYMBOL_CreateSchemaStmt = 567,         /* CreateSchemaStmt  */
  YYSYMBOL_OptSchemaName = 568,            /* OptSchemaName  */
  YYSYMBOL_OptSchemaEltList = 569,         /* OptSchemaEltList  */
  YYSYMBOL_schema_stmt = 570,              /* schema_stmt  */
  YYSYMBOL_VariableSetStmt = 571,          /* VariableSetStmt  */
  YYSYMBOL_set_rest = 572,                 /* set_rest  */
  YYSYMBOL_generic_set = 573,              /* generic_set  */
  YYSYMBOL_set_rest_more = 574,            /* set_rest_more  */
  YYSYMBOL_var_name = 575,                 /* var_name  */
  YYSYMBOL_var_list = 576,                 /* var_list  */
  YYSYMBOL_var_value = 577,                /* var_value  */
  YYSYMBOL_iso_level = 578,                /* iso_level  */
  YYSYMBOL_opt_boolean_or_string = 579,    /* opt_boolean_or_string  */
  YYSYMBOL_zone_value = 580,               /* zone_value  */
  YYSYMBOL_opt_encoding = 581,             /* opt_encoding  */
  YYSYMBOL_NonReservedWord_or_Sconst = 582, /* NonReservedWord_or_Sconst  */
  YYSYMBOL_VariableResetStmt = 583,        /* VariableResetStmt  */
  YYSYMBOL_reset_rest = 584,               /* reset_rest  */
  YYSYMBOL_generic_reset = 585,            /* generic_reset  */
  YYSYMBOL_SetResetClause = 586,           /* SetResetClause  */
  YYSYMBOL_FunctionSetResetClause = 587,   /* FunctionSetResetClause  */
  YYSYMBOL_VariableShowStmt = 588,         /* VariableShowStmt  */
  YYSYMBOL_ConstraintsSetStmt = 589,       /* ConstraintsSetStmt  */
  YYSYMBOL_constraints_set_list = 590,     /* constraints_set_list  */
  YYSYMBOL_constraints_set_mode = 591,     /* constraints_set_mode  */
  YYSYMBOL_CheckPointStmt = 592,           /* CheckPointStmt  */
  YYSYMBOL_DiscardStmt = 593,              /* DiscardStmt  */
  YYSYMBOL_AlterTableStmt = 594,           /* AlterTableStmt  */
  YYSYMBOL_alter_table_cmds = 595,         /* alter_table_cmds  */
  YYSYMBOL_partition_cmd = 596,            /* partition_cmd  */
  YYSYMBOL_alter_table_cmd = 597,          /* alter_table_cmd  */
  YYSYMBOL_alter_column_default = 598,     /* alter_column_default  */
  YYSYMBOL_opt_drop_behavior = 599,        /* opt_drop_behavior  */
  YYSYMBOL_opt_collate_clause = 600,       /* opt_collate_clause  */
  YYSYMBOL_alter_using = 601,              /* alter_using  */
  YYSYMBOL_replica_identity = 602,         /* replica_identity  */
  YYSYMBOL_reloptions = 603,               /* reloptions  */
  YYSYMBOL_opt_reloptions = 604,           /* opt_reloptions  */
  YYSYMBOL_reloption_list = 605,           /* reloption_list  */
  YYSYMBOL_reloption_elem = 606,           /* reloption_elem  */
  YYSYMBOL_alter_identity_column_option_list = 607, /* alter_identity_column_option_list  */
  YYSYMBOL_alter_identity_column_option = 608, /* alter_identity_column_option  */
  YYSYMBOL_ForValues = 609,                /* ForValues  */
  YYSYMBOL_partbound_datum = 610,          /* partbound_datum  */
  YYSYMBOL_partbound_datum_list = 611,     /* partbound_datum_list  */
  YYSYMBOL_range_datum_list = 612,         /* range_datum_list  */
  YYSYMBOL_PartitionRangeDatum = 613,      /* PartitionRangeDatum  */
  YYSYMBOL_AlterCompositeTypeStmt = 614,   /* AlterCompositeTypeStmt  */
  YYSYMBOL_alter_type_cmds = 615,          /* alter_type_cmds  */
  YYSYMBOL_alter_type_cmd = 616,           /* alter_type_cmd  */
  YYSYMBOL_ClosePortalStmt = 617,          /* ClosePortalStmt  */
  YYSYMBOL_CopyStmt = 618,                 /* CopyStmt  */
  YYSYMBOL_copy_from = 619,                /* copy_from  */
  YYSYMBOL_opt_program = 620,              /* opt_program  */
  YYSYMBOL_copy_file_name = 621,           /* copy_file_name  */
  YYSYMBOL_copy_options = 622,             /* copy_options  */
  YYSYMBOL_copy_opt_list = 623,            /* copy_opt_list  */
  YYSYMBOL_copy_opt_item = 624,            /* copy_opt_item  */
  YYSYMBOL_opt_binary = 625,               /* opt_binary  */
  YYSYMBOL_opt_oids = 626,                 /* opt_oids  */
  YYSYMBOL_copy_delimiter = 627,           /* copy_delimiter  */
  YYSYMBOL_opt_using = 628,                /* opt_using  */
  YYSYMBOL_copy_generic_opt_list = 629,    /* copy_generic_opt_list  */
  YYSYMBOL_copy_generic_opt_elem = 630,    /* copy_generic_opt_elem  */
  YYSYMBOL_copy_generic_opt_arg = 631,     /* copy_generic_opt_arg  */
  YYSYMBOL_copy_generic_opt_arg_list = 632, /* copy_generic_opt_arg_list  */
  YYSYMBOL_copy_generic_opt_arg_list_item = 633, /* copy_generic_opt_arg_list_item  */
  YYSYMBOL_CreateStmt = 634,               /* CreateStmt  */
  YYSYMBOL_OptTemp = 635,                  /* OptTemp  */
  YYSYMBOL_OptTableElementList = 636,      /* OptTableElementList  */
  YYSYMBOL_OptTypedTableElementList = 637, /* OptTypedTableElementList  */
  YYSYMBOL_TableElementList = 638,         /* TableElementList  */
  YYSYMBOL_TypedTableElementList = 639,    /* TypedTableElementList  */
  YYSYMBOL_TableElement = 640,             /* TableElement  */
  YYSYMBOL_TypedTableElement = 641,        /* TypedTableElement  */
  YYSYMBOL_columnDef = 642,                /* columnDef  */
  YYSYMBOL_columnOptions = 643,            /* columnOptions  */
  YYSYMBOL_ColQualList = 644,              /* ColQualList  */
  YYSYMBOL_ColConstraint = 645,            /* ColConstraint  */
  YYSYMBOL_ColConstraintElem = 646,        /* ColConstraintElem  */
  YYSYMBOL_generated_when = 647,           /* generated_when  */
  YYSYMBOL_ConstraintAttr = 648,           /* ConstraintAttr  */
  YYSYMBOL_TableLikeClause = 649,          /* TableLikeClause  */
  YYSYMBOL_TableLikeOptionList = 650,      /* TableLikeOptionList  */
  YYSYMBOL_TableLikeOption = 651,          /* TableLikeOption  */
  YYSYMBOL_TableConstraint = 652,          /* TableConstraint  */
  YYSYMBOL_ConstraintElem = 653,           /* ConstraintElem  */
  YYSYMBOL_opt_no_inherit = 654,           /* opt_no_inherit  */
  YYSYMBOL_opt_column_list = 655,          /* opt_column_list  */
  YYSYMBOL_columnList = 656,               /* columnList  */
  YYSYMBOL_columnElem = 657,               /* columnElem  */
  YYSYMBOL_key_match = 658,                /* key_match  */
  YYSYMBOL_ExclusionConstraintList = 659,  /* ExclusionConstraintList  */
  YYSYMBOL_ExclusionConstraintElem = 660,  /* ExclusionConstraintElem  */
  YYSYMBOL_ExclusionWhereClause = 661,     /* ExclusionWhereClause  */
  YYSYMBOL_key_actions = 662,              /* key_actions  */
  YYSYMBOL_key_update = 663,               /* key_update  */
  YYSYMBOL_key_delete = 664,               /* key_delete  */
  YYSYMBOL_key_action = 665,               /* key_action  */
  YYSYMBOL_OptInherit = 666,               /* OptInherit  */
  YYSYMBOL_OptPartitionSpec = 667,         /* OptPartitionSpec  */
  YYSYMBOL_PartitionSpec = 668,            /* PartitionSpec  */
  YYSYMBOL_part_strategy = 669,            /* part_strategy  */
  YYSYMBOL_part_params = 670,              /* part_params  */
  YYSYMBOL_part_elem = 671,                /* part_elem  */
  YYSYMBOL_OptWith = 672,                  /* OptWith  */
  YYSYMBOL_OnCommitOption = 673,           /* OnCommitOption  */
  YYSYMBOL_OptTableSpace = 674,            /* OptTableSpace  */
  YYSYMBOL_OptConsTableSpace = 675,        /* OptConsTableSpace  */
  YYSYMBOL_ExistingIndex = 676,            /* ExistingIndex  */
  YYSYMBOL_CreateStatsStmt = 677,          /* CreateStatsStmt  */
  YYSYMBOL_create_as_target = 678,         /* create_as_target  */
  YYSYMBOL_opt_with_data = 679,            /* opt_with_data  */
  YYSYMBOL_CreateMatViewStmt = 680,        /* CreateMatViewStmt  */
  YYSYMBOL_create_mv_target = 681,         /* create_mv_target  */
  YYSYMBOL_OptNoLog = 682,                 /* OptNoLog  */
  YYSYMBOL_RefreshMatViewStmt = 683,       /* RefreshMatViewStmt  */
  YYSYMBOL_CreateSeqStmt = 684,            /* CreateSeqStmt  */
  YYSYMBOL_AlterSeqStmt = 685,             /* AlterSeqStmt  */
  YYSYMBOL_OptSeqOptList = 686,            /* OptSeqOptList  */
  YYSYMBOL_OptParenthesizedSeqOptList = 687, /* OptParenthesizedSeqOptList  */
  YYSYMBOL_SeqOptList = 688,               /* SeqOptList  */
  YYSYMBOL_SeqOptElem = 689,               /* SeqOptElem  */
  YYSYMBOL_opt_by = 690,                   /* opt_by  */
  YYSYMBOL_NumericOnly = 691,              /* NumericOnly  */
  YYSYMBOL_NumericOnly_list = 692,         /* NumericOnly_list  */
  YYSYMBOL_CreatePLangStmt = 693,          /* CreatePLangStmt  */
  YYSYMBOL_opt_trusted = 694,              /* opt_trusted  */
  YYSYMBOL_handler_name = 695,             /* handler_name  */
  YYSYMBOL_opt_inline_handler = 696,       /* opt_inline_handler  */
  YYSYMBOL_validator_clause = 697,         /* validator_clause  */
  YYSYMBOL_opt_validator = 698,            /* opt_validator  */
  YYSYMBOL_DropPLangStmt = 699,            /* DropPLangStmt  */
  YYSYMBOL_opt_procedural = 700,           /* opt_procedural  */
  YYSYMBOL_CreateTableSpaceStmt = 701,     /* CreateTableSpaceStmt  */
  YYSYMBOL_OptTableSpaceOwner = 702,       /* OptTableSpaceOwner  */
  YYSYMBOL_DropTableSpaceStmt = 703,       /* DropTableSpaceStmt  */
  YYSYMBOL_CreateExtensionStmt = 704,      /* CreateExtensionStmt  */
  YYSYMBOL_create_extension_opt_list = 705, /* create_extension_opt_list  */
  YYSYMBOL_create_extension_opt_item = 706, /* create_extension_opt_item  */
  YYSYMBOL_AlterExtensionStmt = 707,       /* AlterExtensionStmt  */
  YYSYMBOL_alter_extension_opt_list = 708, /* alter_extension_opt_list  */
  YYSYMBOL_alter_extension_opt_item = 709, /* alter_extension_opt_item  */
  YYSYMBOL_AlterExtensionContentsStmt = 710, /* AlterExtensionContentsStmt  */
  YYSYMBOL_CreateFdwStmt = 711,            /* CreateFdwStmt  */
  YYSYMBOL_fdw_option = 712,               /* fdw_option  */
  YYSYMBOL_fdw_options = 713,              /* fdw_options  */
  YYSYMBOL_opt_fdw_options = 714,          /* opt_fdw_options  */
  YYSYMBOL_AlterFdwStmt = 715,             /* AlterFdwStmt  */
  YYSYMBOL_create_generic_options = 716,   /* create_generic_options  */
  YYSYMBOL_generic_option_list = 717,      /* generic_option_list  */
  YYSYMBOL_alter_generic_options = 718,    /* alter_generic_options  */
  YYSYMBOL_alter_generic_option_list = 719, /* alter_generic_option_list  */
  YYSYMBOL_alter_generic_option_elem = 720, /* alter_generic_option_elem  */
  YYSYMBOL_generic_option_elem = 721,      /* generic_option_elem  */
  YYSYMBOL_generic_option_name = 722,      /* generic_option_name  */
  YYSYMBOL_generic_option_arg = 723,       /* generic_option_arg  */
  YYSYMBOL_CreateForeignServerStmt = 724,  /* CreateForeignServerStmt  */
  YYSYMBOL_opt_type = 725,                 /* opt_type  */
  YYSYMBOL_foreign_server_version = 726,   /* foreign_server_version  */
  YYSYMBOL_opt_foreign_server_version = 727, /* opt_foreign_server_version  */
  YYSYMBOL_AlterForeignServerStmt = 728,   /* AlterForeignServerStmt  */
  YYSYMBOL_CreateForeignTableStmt = 729,   /* CreateForeignTableStmt  */
  YYSYMBOL_AlterForeignTableStmt = 730,    /* AlterForeignTableStmt  */
  YYSYMBOL_ImportForeignSchemaStmt = 731,  /* ImportForeignSchemaStmt  */
  YYSYMBOL_import_qualification_type = 732, /* import_qualification_type  */
  YYSYMBOL_import_qualification = 733,     /* import_qualification  */
  YYSYMBOL_CreateUserMappingStmt = 734,    /* CreateUserMappingStmt  */
  YYSYMBOL_auth_ident = 735,               /* auth_ident  */
  YYSYMBOL_DropUserMappingStmt = 736,      /* DropUserMappingStmt  */
  YYSYMBOL_AlterUserMappingStmt = 737,     /* AlterUserMappingStmt  */
  YYSYMBOL_CreatePolicyStmt = 738,         /* CreatePolicyStmt  */
  YYSYMBOL_AlterPolicyStmt = 739,          /* AlterPolicyStmt  */
  YYSYMBOL_RowSecurityOptionalExpr = 740,  /* RowSecurityOptionalExpr  */
  YYSYMBOL_RowSecurityOptionalWithCheck = 741, /* RowSecurityOptionalWithCheck  */
  YYSYMBOL_RowSecurityDefaultToRole = 742, /* RowSecurityDefaultToRole  */
  YYSYMBOL_RowSecurityOptionalToRole = 743, /* RowSecurityOptionalToRole  */
  YYSYMBOL_RowSecurityDefaultPermissive = 744, /* RowSecurityDefaultPermissive  */
  YYSYMBOL_RowSecurityDefaultForCmd = 745, /* RowSecurityDefaultForCmd  */
  YYSYMBOL_row_security_cmd = 746,         /* row_security_cmd  */
  YYSYMBOL_CreateAmStmt = 747,             /* CreateAmStmt  */
  YYSYMBOL_CreateTrigStmt = 748,           /* CreateTrigStmt  */
  YYSYMBOL_TriggerActionTime = 749,        /* TriggerActionTime  */
  YYSYMBOL_TriggerEvents = 750,            /* TriggerEvents  */
  YYSYMBOL_TriggerOneEvent = 751,          /* TriggerOneEvent  */
  YYSYMBOL_TriggerReferencing = 752,       /* TriggerReferencing  */
  YYSYMBOL_TriggerTransitions = 753,       /* TriggerTransitions  */
  YYSYMBOL_TriggerTransition = 754,        /* TriggerTransition  */
  YYSYMBOL_TransitionOldOrNew = 755,       /* TransitionOldOrNew  */
  YYSYMBOL_TransitionRowOrTable = 756,     /* TransitionRowOrTable  */
  YYSYMBOL_TransitionRelName = 757,        /* TransitionRelName  */
  YYSYMBOL_TriggerForSpec = 758,           /* TriggerForSpec  */
  YYSYMBOL_TriggerForOptEach = 759,        /* TriggerForOptEach  */
  YYSYMBOL_TriggerForType = 760,           /* TriggerForType  */
  YYSYMBOL_TriggerWhen = 761,              /* TriggerWhen  */
  YYSYMBOL_TriggerFuncArgs = 762,          /* TriggerFuncArgs  */
  YYSYMBOL_TriggerFuncArg = 763,           /* TriggerFuncArg  */
  YYSYMBOL_OptConstrFromTable = 764,       /* OptConstrFromTable  */
  YYSYMBOL_ConstraintAttributeSpec = 765,  /* ConstraintAttributeSpec  */
  YYSYMBOL_ConstraintAttributeElem = 766,  /* ConstraintAttributeElem  */
  YYSYMBOL_CreateEventTrigStmt = 767,      /* CreateEventTrigStmt  */
  YYSYMBOL_event_trigger_when_list = 768,  /* event_trigger_when_list  */
  YYSYMBOL_event_trigger_when_item = 769,  /* event_trigger_when_item  */
  YYSYMBOL_event_trigger_value_list = 770, /* event_trigger_value_list  */
  YYSYMBOL_AlterEventTrigStmt = 771,       /* AlterEventTrigStmt  */
  YYSYMBOL_enable_trigger = 772,           /* enable_trigger  */
  YYSYMBOL_CreateAssertStmt = 773,         /* CreateAssertStmt  */
  YYSYMBOL_DropAssertStmt = 774,           /* DropAssertStmt  */
  YYSYMBOL_DefineStmt = 775,               /* DefineStmt  */
  YYSYMBOL_definition = 776,               /* definition  */
  YYSYMBOL_def_list = 777,                 /* def_list  */
  YYSYMBOL_def_elem = 778,                 /* def_elem  */
  YYSYMBOL_def_arg = 779,                  /* def_arg  */
  YYSYMBOL_old_aggr_definition = 780,      /* old_aggr_definition  */
  YYSYMBOL_old_aggr_list = 781,            /* old_aggr_list  */
  YYSYMBOL_old_aggr_elem = 782,            /* old_aggr_elem  */
  YYSYMBOL_opt_enum_val_list = 783,        /* opt_enum_val_list  */
  YYSYMBOL_enum_val_list = 784,            /* enum_val_list  */
  YYSYMBOL_AlterEnumStmt = 785,            /* AlterEnumStmt  */
  YYSYMBOL_opt_if_not_exists = 786,        /* opt_if_not_exists  */
  YYSYMBOL_CreateOpClassStmt = 787,        /* CreateOpClassStmt  */
  YYSYMBOL_opclass_item_list = 788,        /* opclass_item_list  */
  YYSYMBOL_opclass_item = 789,             /* opclass_item  */
  YYSYMBOL_opt_default = 790,              /* opt_default  */
  YYSYMBOL_opt_opfamily = 791,             /* opt_opfamily  */
  YYSYMBOL_opclass_purpose = 792,          /* opclass_purpose  */
  YYSYMBOL_opt_recheck = 793,              /* opt_recheck  */
  YYSYMBOL_CreateOpFamilyStmt = 794,       /* CreateOpFamilyStmt  */
  YYSYMBOL_AlterOpFamilyStmt = 795,        /* AlterOpFamilyStmt  */
  YYSYMBOL_opclass_drop_list = 796,        /* opclass_drop_list  */
  YYSYMBOL_opclass_drop = 797,             /* opclass_drop  */
  YYSYMBOL_DropOpClassStmt = 798,          /* DropOpClassStmt  */
  YYSYMBOL_DropOpFamilyStmt = 799,         /* DropOpFamilyStmt  */
  YYSYMBOL_DropOwnedStmt = 800,            /* DropOwnedStmt  */
  YYSYMBOL_ReassignOwnedStmt = 801,        /* ReassignOwnedStmt  */
  YYSYMBOL_DropStmt = 802,                 /* DropStmt  */
  YYSYMBOL_drop_type_any_name = 803,       /* drop_type_any_name  */
  YYSYMBOL_drop_type_name = 804,           /* drop_type_name  */
  YYSYMBOL_drop_type_name_on_any_name = 805, /* drop_type_name_on_any_name  */
  YYSYMBOL_any_name_list = 806,            /* any_name_list  */
  YYSYMBOL_any_name = 807,                 /* any_name  */
  YYSYMBOL_attrs = 808,                    /* attrs  */
  YYSYMBOL_type_name_list = 809,           /* type_name_list  */
  YYSYMBOL_TruncateStmt = 810,             /* TruncateStmt  */
  YYSYMBOL_opt_restart_seqs = 811,         /* opt_restart_seqs  */
  YYSYMBOL_CommentStmt = 812,              /* CommentStmt  */
  YYSYMBOL_comment_type_any_name = 813,    /* comment_type_any_name  */
  YYSYMBOL_comment_type_name = 814,        /* comment_type_name  */
  YYSYMBOL_comment_text = 815,             /* comment_text  */
  YYSYMBOL_SecLabelStmt = 816,             /* SecLabelStmt  */
  YYSYMBOL_opt_provider = 817,             /* opt_provider  */
  YYSYMBOL_security_label_type_any_name = 818, /* security_label_type_any_name  */
  YYSYMBOL_security_label_type_name = 819, /* security_label_type_name  */
  YYSYMBOL_security_label = 820,           /* security_label  */
  YYSYMBOL_FetchStmt = 821,                /* FetchStmt  */
  YYSYMBOL_fetch_args = 822,               /* fetch_args  */
  YYSYMBOL_from_in = 823,                  /* from_in  */
  YYSYMBOL_opt_from_in = 824,              /* opt_from_in  */
  YYSYMBOL_GrantStmt = 825,                /* GrantStmt  */
  YYSYMBOL_RevokeStmt = 826,               /* RevokeStmt  */
  YYSYMBOL_privileges = 827,               /* privileges  */
  YYSYMBOL_privilege_list = 828,           /* privilege_list  */
  YYSYMBOL_privilege = 829,                /* privilege  */
  YYSYMBOL_privilege_target = 830,         /* privilege_target  */
  YYSYMBOL_grantee_list = 831,             /* grantee_list  */
  YYSYMBOL_grantee = 832,                  /* grantee  */
  YYSYMBOL_opt_grant_grant_option = 833,   /* opt_grant_grant_option  */
  YYSYMBOL_GrantRoleStmt = 834,            /* GrantRoleStmt  */
  YYSYMBOL_RevokeRoleStmt = 835,           /* RevokeRoleStmt  */
  YYSYMBOL_opt_grant_admin_option = 836,   /* opt_grant_admin_option  */
  YYSYMBOL_opt_granted_by = 837,           /* opt_granted_by  */
  YYSYMBOL_AlterDefaultPrivilegesStmt = 838, /* AlterDefaultPrivilegesStmt  */
  YYSYMBOL_DefACLOptionList = 839,         /* DefACLOptionList  */
  YYSYMBOL_DefACLOption = 840,             /* DefACLOption  */
  YYSYMBOL_DefACLAction = 841,             /* DefACLAction  */
  YYSYMBOL_defacl_privilege_target = 842,  /* defacl_privilege_target  */
  YYSYMBOL_IndexStmt = 843,                /* IndexStmt  */
  YYSYMBOL_opt_unique = 844,               /* opt_unique  */
  YYSYMBOL_opt_concurrently = 845,         /* opt_concurrently  */
  YYSYMBOL_opt_index_name = 846,           /* opt_index_name  */
  YYSYMBOL_access_method_clause = 847,     /* access_method_clause  */
  YYSYMBOL_index_params = 848,             /* index_params  */
  YYSYMBOL_index_elem = 849,               /* index_elem  */
  YYSYMBOL_opt_collate = 850,              /* opt_collate  */
  YYSYMBOL_opt_class = 851,                /* opt_class  */
  YYSYMBOL_opt_asc_desc = 852,             /* opt_asc_desc  */
  YYSYMBOL_opt_nulls_order = 853,          /* opt_nulls_order  */
  YYSYMBOL_CreateFunctionStmt = 854,       /* CreateFunctionStmt  */
  YYSYMBOL_opt_or_replace = 855,           /* opt_or_replace  */
  YYSYMBOL_func_args = 856,                /* func_args  */
  YYSYMBOL_func_args_list = 857,           /* func_args_list  */
  YYSYMBOL_function_with_argtypes_list = 858, /* function_with_argtypes_list  */
  YYSYMBOL_function_with_argtypes = 859,   /* function_with_argtypes  */
  YYSYMBOL_func_args_with_defaults = 860,  /* func_args_with_defaults  */
  YYSYMBOL_func_args_with_defaults_list = 861, /* func_args_with_defaults_list  */
  YYSYMBOL_func_arg = 862,                 /* func_arg  */
  YYSYMBOL_arg_class = 863,                /* arg_class  */
  YYSYMBOL_param_name = 864,               /* param_name  */
  YYSYMBOL_func_return = 865,              /* func_return  */
  YYSYMBOL_func_type = 866,                /* func_type  */
  YYSYMBOL_func_arg_with_default = 867,    /* func_arg_with_default  */
  YYSYMBOL_aggr_arg = 868,                 /* aggr_arg  */
  YYSYMBOL_aggr_args = 869,                /* aggr_args  */
  YYSYMBOL_aggr_args_list = 870,           /* aggr_args_list  */
  YYSYMBOL_aggregate_with_argtypes = 871,  /* aggregate_with_argtypes  */
  YYSYMBOL_aggregate_with_argtypes_list = 872, /* aggregate_with_argtypes_list  */
  YYSYMBOL_createfunc_opt_list = 873,      /* createfunc_opt_list  */
  YYSYMBOL_common_func_opt_item = 874,     /* common_func_opt_item  */
  YYSYMBOL_createfunc_opt_item = 875,      /* createfunc_opt_item  */
  YYSYMBOL_func_as = 876,                  /* func_as  */
  YYSYMBOL_transform_type_list = 877,      /* transform_type_list  */
  YYSYMBOL_opt_definition = 878,           /* opt_definition  */
  YYSYMBOL_table_func_column = 879,        /* table_func_column  */
  YYSYMBOL_table_func_column_list = 880,   /* table_func_column_list  */
  YYSYMBOL_AlterFunctionStmt = 881,        /* AlterFunctionStmt  */
  YYSYMBOL_alterfunc_opt_list = 882,       /* alterfunc_opt_list  */
  YYSYMBOL_opt_restrict = 883,             /* opt_restrict  */
  YYSYMBOL_RemoveFuncStmt = 884,           /* RemoveFuncStmt  */
  YYSYMBOL_RemoveAggrStmt = 885,           /* RemoveAggrStmt  */
  YYSYMBOL_RemoveOperStmt = 886,           /* RemoveOperStmt  */
  YYSYMBOL_oper_argtypes = 887,            /* oper_argtypes  */
  YYSYMBOL_any_operator = 888,             /* any_operator  */
  YYSYMBOL_operator_with_argtypes_list = 889, /* operator_with_argtypes_list  */
  YYSYMBOL_operator_with_argtypes = 890,   /* operator_with_argtypes  */
  YYSYMBOL_DoStmt = 891,                   /* DoStmt  */
  YYSYMBOL_dostmt_opt_list = 892,          /* dostmt_opt_list  */
  YYSYMBOL_dostmt_opt_item = 893,          /* dostmt_opt_item  */
  YYSYMBOL_CreateCastStmt = 894,           /* CreateCastStmt  */
  YYSYMBOL_cast_context = 895,             /* cast_context  */
  YYSYMBOL_DropCastStmt = 896,             /* DropCastStmt  */
  YYSYMBOL_opt_if_exists = 897,            /* opt_if_exists  */
  YYSYMBOL_CreateTransformStmt = 898,      /* CreateTransformStmt  */
  YYSYMBOL_transform_element_list = 899,   /* transform_element_list  */
  YYSYMBOL_DropTransformStmt = 900,        /* DropTransformStmt  */
  YYSYMBOL_ReindexStmt = 901,              /* ReindexStmt  */
  YYSYMBOL_reindex_target_type = 902,      /* reindex_target_type  */
  YYSYMBOL_reindex_target_multitable = 903, /* reindex_target_multitable  */
  YYSYMBOL_reindex_option_list = 904,      /* reindex_option_list  */
  YYSYMBOL_reindex_option_elem = 905,      /* reindex_option_elem  */
  YYSYMBOL_AlterTblSpcStmt = 906,          /* AlterTblSpcStmt  */
  YYSYMBOL_RenameStmt = 907,               /* RenameStmt  */
  YYSYMBOL_opt_column = 908,               /* opt_column  */
  YYSYMBOL_opt_set_data = 909,             /* opt_set_data  */
  YYSYMBOL_AlterObjectDependsStmt = 910,   /* AlterObjectDependsStmt  */
  YYSYMBOL_AlterObjectSchemaStmt = 911,    /* AlterObjectSchemaStmt  */
  YYSYMBOL_AlterOperatorStmt = 912,        /* AlterOperatorStmt  */
  YYSYMBOL_operator_def_list = 913,        /* operator_def_list  */
  YYSYMBOL_operator_def_elem = 914,        /* operator_def_elem  */
  YYSYMBOL_operator_def_arg = 915,         /* operator_def_arg  */
  YYSYMBOL_AlterOwnerStmt = 916,           /* AlterOwnerStmt  */
  YYSYMBOL_CreatePublicationStmt = 917,    /* CreatePublicationStmt  */
  YYSYMBOL_opt_publication_for_tables = 918, /* opt_publication_for_tables  */
  YYSYMBOL_publication_for_tables = 919,   /* publication_for_tables  */
  YYSYMBOL_AlterPublicationStmt = 920,     /* AlterPublicationStmt  */
  YYSYMBOL_CreateSubscriptionStmt = 921,   /* CreateSubscriptionStmt  */
  YYSYMBOL_publication_name_list = 922,    /* publication_name_list  */
  YYSYMBOL_publication_name_item = 923,    /* publication_name_item  */
  YYSYMBOL_AlterSubscriptionStmt = 924,    /* AlterSubscriptionStmt  */
  YYSYMBOL_DropSubscriptionStmt = 925,     /* DropSubscriptionStmt  */
  YYSYMBOL_RuleStmt = 926,                 /* RuleStmt  */
  YYSYMBOL_RuleActionList = 927,           /* RuleActionList  */
  YYSYMBOL_RuleActionMulti = 928,          /* RuleActionMulti  */
  YYSYMBOL_RuleActionStmt = 929,           /* RuleActionStmt  */
  YYSYMBOL_RuleActionStmtOrEmpty = 930,    /* RuleActionStmtOrEmpty  */
  YYSYMBOL_event = 931,                    /* event  */
  YYSYMBOL_opt_instead = 932,              /* opt_instead  */
  YYSYMBOL_NotifyStmt = 933,               /* NotifyStmt  */
  YYSYMBOL_notify_payload = 934,           /* notify_payload  */
  YYSYMBOL_ListenStmt = 935,               /* ListenStmt  */
  YYSYMBOL_UnlistenStmt = 936,             /* UnlistenStmt  */
  YYSYMBOL_TransactionStmt = 937,          /* TransactionStmt  */
  YYSYMBOL_opt_transaction = 938,          /* opt_transaction  */
  YYSYMBOL_transaction_mode_item = 939,    /* transaction_mode_item  */
  YYSYMBOL_transaction_mode_list = 940,    /* transaction_mode_list  */
  YYSYMBOL_transaction_mode_list_or_empty = 941, /* transaction_mode_list_or_empty  */
  YYSYMBOL_ViewStmt = 942,                 /* ViewStmt  */
  YYSYMBOL_opt_check_option = 943,         /* opt_check_option  */
  YYSYMBOL_LoadStmt = 944,                 /* LoadStmt  */
  YYSYMBOL_CreatedbStmt = 945,             /* CreatedbStmt  */
  YYSYMBOL_createdb_opt_list = 946,        /* createdb_opt_list  */
  YYSYMBOL_createdb_opt_items = 947,       /* createdb_opt_items  */
  YYSYMBOL_createdb_opt_item = 948,        /* createdb_opt_item  */
  YYSYMBOL_createdb_opt_name = 949,        /* createdb_opt_name  */
  YYSYMBOL_opt_equal = 950,                /* opt_equal  */
  YYSYMBOL_AlterDatabaseStmt = 951,        /* AlterDatabaseStmt  */
  YYSYMBOL_AlterDatabaseSetStmt = 952,     /* AlterDatabaseSetStmt  */
  YYSYMBOL_DropdbStmt = 953,               /* DropdbStmt  */
  YYSYMBOL_AlterCollationStmt = 954,       /* AlterCollationStmt  */
  YYSYMBOL_AlterSystemStmt = 955,          /* AlterSystemStmt  */
  YYSYMBOL_CreateDomainStmt = 956,         /* CreateDomainStmt  */
  YYSYMBOL_AlterDomainStmt = 957,          /* AlterDomainStmt  */
  YYSYMBOL_opt_as = 958,                   /* opt_as  */
  YYSYMBOL_AlterTSDictionaryStmt = 959,    /* AlterTSDictionaryStmt  */
  YYSYMBOL_AlterTSConfigurationStmt = 960, /* AlterTSConfigurationStmt  */
  YYSYMBOL_any_with = 961,                 /* any_with  */
  YYSYMBOL_CreateConversionStmt = 962,     /* CreateConversionStmt  */
  YYSYMBOL_ClusterStmt = 963,              /* ClusterStmt  */
  YYSYMBOL_cluster_index_specification = 964, /* cluster_index_specification  */
  YYSYMBOL_VacuumStmt = 965,               /* VacuumStmt  */
  YYSYMBOL_vacuum_option_list = 966,       /* vacuum_option_list  */
  YYSYMBOL_vacuum_option_elem = 967,       /* vacuum_option_elem  */
  YYSYMBOL_AnalyzeStmt = 968,              /* AnalyzeStmt  */
  YYSYMBOL_analyze_keyword = 969,          /* analyze_keyword  */
  YYSYMBOL_opt_verbose = 970,              /* opt_verbose  */
  YYSYMBOL_opt_full = 971,                 /* opt_full  */
  YYSYMBOL_opt_freeze = 972,               /* opt_freeze  */
  YYSYMBOL_opt_name_list = 973,            /* opt_name_list  */
  YYSYMBOL_ExplainStmt = 974,              /* ExplainStmt  */
  YYSYMBOL_ExplainableStmt = 975,          /* ExplainableStmt  */
  YYSYMBOL_explain_option_list = 976,      /* explain_option_list  */
  YYSYMBOL_explain_option_elem = 977,      /* explain_option_elem  */
  YYSYMBOL_explain_option_name = 978,      /* explain_option_name  */
  YYSYMBOL_explain_option_arg = 979,       /* explain_option_arg  */
  YYSYMBOL_PrepareStmt = 980,              /* PrepareStmt  */
  YYSYMBOL_prep_type_clause = 981,         /* prep_type_clause  */
  YYSYMBOL_PreparableStmt = 982,           /* PreparableStmt  */
  YYSYMBOL_ExecuteStmt = 983,              /* ExecuteStmt  */
  YYSYMBOL_execute_param_clause = 984,     /* execute_param_clause  */
  YYSYMBOL_InsertStmt = 985,               /* InsertStmt  */
  YYSYMBOL_insert_target = 986,            /* insert_target  */
  YYSYMBOL_insert_rest = 987,              /* insert_rest  */
  YYSYMBOL_override_kind = 988,            /* override_kind  */
  YYSYMBOL_insert_column_list = 989,       /* insert_column_list  */
  YYSYMBOL_insert_column_item = 990,       /* insert_column_item  */
  YYSYMBOL_opt_on_conflict = 991,          /* opt_on_conflict  */
  YYSYMBOL_opt_conf_expr = 992,            /* opt_conf_expr  */
  YYSYMBOL_returning_clause = 993,         /* returning_clause  */
  YYSYMBOL_DeleteStmt = 994,               /* DeleteStmt  */
  YYSYMBOL_using_clause = 995,             /* using_clause  */
  YYSYMBOL_LockStmt = 996,                 /* LockStmt  */
  YYSYMBOL_opt_lock = 997,                 /* opt_lock  */
  YYSYMBOL_lock_type = 998,                /* lock_type  */
  YYSYMBOL_opt_nowait = 999,               /* opt_nowait  */
  YYSYMBOL_opt_nowait_or_skip = 1000,      /* opt_nowait_or_skip  */
  YYSYMBOL_UpdateStmt = 1001,              /* UpdateStmt  */
  YYSYMBOL_set_clause_list = 1002,         /* set_clause_list  */
  YYSYMBOL_set_clause = 1003,              /* set_clause  */
  YYSYMBOL_set_target = 1004,              /* set_target  */
  YYSYMBOL_set_target_list = 1005,         /* set_target_list  */
  YYSYMBOL_DeclareCursorStmt = 1006,       /* DeclareCursorStmt  */
  YYSYMBOL_cursor_name = 1007,             /* cursor_name  */
  YYSYMBOL_cursor_options = 1008,          /* cursor_options  */
  YYSYMBOL_opt_hold = 1009,                /* opt_hold  */
  YYSYMBOL_SelectStmt = 1010,              /* SelectStmt  */
  YYSYMBOL_select_with_parens = 1011,      /* select_with_parens  */
  YYSYMBOL_select_no_parens = 1012,        /* select_no_parens  */
  YYSYMBOL_select_clause = 1013,           /* select_clause  */
  YYSYMBOL_simple_select = 1014,           /* simple_select  */
  YYSYMBOL_with_clause = 1015,             /* with_clause  */
  YYSYMBOL_cte_list = 1016,                /* cte_list  */
  YYSYMBOL_common_table_expr = 1017,       /* common_table_expr  */
  YYSYMBOL_opt_with_clause = 1018,         /* opt_with_clause  */
  YYSYMBOL_into_clause = 1019,             /* into_clause  */
  YYSYMBOL_OptTempTableName = 1020,        /* OptTempTableName  */
  YYSYMBOL_opt_table = 1021,               /* opt_table  */
  YYSYMBOL_all_or_distinct = 1022,         /* all_or_distinct  */
  YYSYMBOL_distinct_clause = 1023,         /* distinct_clause  */
  YYSYMBOL_opt_all_clause = 1024,          /* opt_all_clause  */
  YYSYMBOL_opt_sort_clause = 1025,         /* opt_sort_clause  */
  YYSYMBOL_sort_clause = 1026,             /* sort_clause  */
  YYSYMBOL_sortby_list = 1027,             /* sortby_list  */
  YYSYMBOL_sortby = 1028,                  /* sortby  */
  YYSYMBOL_select_limit = 1029,            /* select_limit  */
  YYSYMBOL_opt_select_limit = 1030,        /* opt_select_limit  */
  YYSYMBOL_limit_clause = 1031,            /* limit_clause  */
  YYSYMBOL_offset_clause = 1032,           /* offset_clause  */
  YYSYMBOL_select_limit_value = 1033,      /* select_limit_value  */
  YYSYMBOL_select_offset_value = 1034,     /* select_offset_value  */
  YYSYMBOL_select_fetch_first_value = 1035, /* select_fetch_first_value  */
  YYSYMBOL_I_or_F_const = 1036,            /* I_or_F_const  */
  YYSYMBOL_row_or_rows = 1037,             /* row_or_rows  */
  YYSYMBOL_first_or_next = 1038,           /* first_or_next  */
  YYSYMBOL_group_clause = 1039,            /* group_clause  */
  YYSYMBOL_group_by_list = 1040,           /* group_by_list  */
  YYSYMBOL_group_by_item = 1041,           /* group_by_item  */
  YYSYMBOL_empty_grouping_set = 1042,      /* empty_grouping_set  */
  YYSYMBOL_rollup_clause = 1043,           /* rollup_clause  */
  YYSYMBOL_cube_clause = 1044,             /* cube_clause  */
  YYSYMBOL_grouping_sets_clause = 1045,    /* grouping_sets_clause  */
  YYSYMBOL_having_clause = 1046,           /* having_clause  */
  YYSYMBOL_for_locking_clause = 1047,      /* for_locking_clause  */
  YYSYMBOL_opt_for_locking_clause = 1048,  /* opt_for_locking_clause  */
  YYSYMBOL_for_locking_items = 1049,       /* for_locking_items  */
  YYSYMBOL_for_locking_item = 1050,        /* for_locking_item  */
  YYSYMBOL_for_locking_strength = 1051,    /* for_locking_strength  */
  YYSYMBOL_locked_rels_list = 1052,        /* locked_rels_list  */
  YYSYMBOL_values_clause = 1053,           /* values_clause  */
  YYSYMBOL_from_clause = 1054,             /* from_clause  */
  YYSYMBOL_from_list = 1055,               /* from_list  */
  YYSYMBOL_table_ref = 1056,               /* table_ref  */
  YYSYMBOL_joined_table = 1057,            /* joined_table  */
  YYSYMBOL_alias_clause = 1058,            /* alias_clause  */
  YYSYMBOL_opt_alias_clause = 1059,        /* opt_alias_clause  */
  YYSYMBOL_func_alias_clause = 1060,       /* func_alias_clause  */
  YYSYMBOL_join_type = 1061,               /* join_type  */
  YYSYMBOL_join_outer = 1062,              /* join_outer  */
  YYSYMBOL_join_qual = 1063,               /* join_qual  */
  YYSYMBOL_relation_expr = 1064,           /* relation_expr  */
  YYSYMBOL_relation_expr_list = 1065,      /* relation_expr_list  */
  YYSYMBOL_relation_expr_opt_alias = 1066, /* relation_expr_opt_alias  */
  YYSYMBOL_tablesample_clause = 1067,      /* tablesample_clause  */
  YYSYMBOL_opt_repeatable_clause = 1068,   /* opt_repeatable_clause  */
  YYSYMBOL_func_table = 1069,              /* func_table  */
  YYSYMBOL_rowsfrom_item = 1070,           /* rowsfrom_item  */
  YYSYMBOL_rowsfrom_list = 1071,           /* rowsfrom_list  */
  YYSYMBOL_opt_col_def_list = 1072,        /* opt_col_def_list  */
  YYSYMBOL_opt_ordinality = 1073,          /* opt_ordinality  */
  YYSYMBOL_where_clause = 1074,            /* where_clause  */
  YYSYMBOL_where_or_current_clause = 1075, /* where_or_current_clause  */
  YYSYMBOL_OptTableFuncElementList = 1076, /* OptTableFuncElementList  */
  YYSYMBOL_TableFuncElementList = 1077,    /* TableFuncElementList  */
  YYSYMBOL_TableFuncElement = 1078,        /* TableFuncElement  */
  YYSYMBOL_xmltable = 1079,                /* xmltable  */
  YYSYMBOL_xmltable_column_list = 1080,    /* xmltable_column_list  */
  YYSYMBOL_xmltable_column_el = 1081,      /* xmltable_column_el  */
  YYSYMBOL_xmltable_column_option_list = 1082, /* xmltable_column_option_list  */
  YYSYMBOL_xmltable_column_option_el = 1083, /* xmltable_column_option_el  */
  YYSYMBOL_xml_namespace_list = 1084,      /* xml_namespace_list  */
  YYSYMBOL_xml_namespace_el = 1085,        /* xml_namespace_el  */
  YYSYMBOL_Typename = 1086,                /* Typename  */
  YYSYMBOL_opt_array_bounds = 1087,        /* opt_array_bounds  */
  YYSYMBOL_SimpleTypename = 1088,          /* SimpleTypename  */
  YYSYMBOL_ConstTypename = 1089,           /* ConstTypename  */
  YYSYMBOL_GenericType = 1090,             /* GenericType  */
  YYSYMBOL_opt_type_modifiers = 1091,      /* opt_type_modifiers  */
  YYSYMBOL_Numeric = 1092,                 /* Numeric  */
  YYSYMBOL_opt_float = 1093,               /* opt_float  */
  YYSYMBOL_Bit = 1094,                     /* Bit  */
  YYSYMBOL_ConstBit = 1095,                /* ConstBit  */
  YYSYMBOL_BitWithLength = 1096,           /* BitWithLength  */
  YYSYMBOL_BitWithoutLength = 1097,        /* BitWithoutLength  */
  YYSYMBOL_Character = 1098,               /* Character  */
  YYSYMBOL_ConstCharacter = 1099,          /* ConstCharacter  */
  YYSYMBOL_CharacterWithLength = 1100,     /* CharacterWithLength  */
  YYSYMBOL_CharacterWithoutLength = 1101,  /* CharacterWithoutLength  */
  YYSYMBOL_character = 1102,               /* character  */
  YYSYMBOL_opt_varying = 1103,             /* opt_varying  */
  YYSYMBOL_ConstDatetime = 1104,           /* ConstDatetime  */
  YYSYMBOL_ConstInterval = 1105,           /* ConstInterval  */
  YYSYMBOL_opt_timezone = 1106,            /* opt_timezone  */
  YYSYMBOL_opt_interval = 1107,            /* opt_interval  */
  YYSYMBOL_interval_second = 1108,         /* interval_second  */
  YYSYMBOL_a_expr = 1109,                  /* a_expr  */
  YYSYMBOL_b_expr = 1110,                  /* b_expr  */
  YYSYMBOL_c_expr = 1111,                  /* c_expr  */
  YYSYMBOL_func_application = 1112,        /* func_application  */
  YYSYMBOL_func_expr = 1113,               /* func_expr  */
  YYSYMBOL_func_expr_windowless = 1114,    /* func_expr_windowless  */
  YYSYMBOL_func_expr_common_subexpr = 1115, /* func_expr_common_subexpr  */
  YYSYMBOL_xml_root_version = 1116,        /* xml_root_version  */
  YYSYMBOL_opt_xml_root_standalone = 1117, /* opt_xml_root_standalone  */
  YYSYMBOL_xml_attributes = 1118,          /* xml_attributes  */
  YYSYMBOL_xml_attribute_list = 1119,      /* xml_attribute_list  */
  YYSYMBOL_xml_attribute_el = 1120,        /* xml_attribute_el  */
  YYSYMBOL_document_or_content = 1121,     /* document_or_content  */
  YYSYMBOL_xml_whitespace_option = 1122,   /* xml_whitespace_option  */
  YYSYMBOL_xmlexists_argument = 1123,      /* xmlexists_argument  */
  YYSYMBOL_within_group_clause = 1124,     /* within_group_clause  */
  YYSYMBOL_filter_clause = 1125,           /* filter_clause  */
  YYSYMBOL_window_clause = 1126,           /* window_clause  */
  YYSYMBOL_window_definition_list = 1127,  /* window_definition_list  */
  YYSYMBOL_window_definition = 1128,       /* window_definition  */
  YYSYMBOL_over_clause = 1129,             /* over_clause  */
  YYSYMBOL_window_specification = 1130,    /* window_specification  */
  YYSYMBOL_opt_existing_window_name = 1131, /* opt_existing_window_name  */
  YYSYMBOL_opt_partition_clause = 1132,    /* opt_partition_clause  */
  YYSYMBOL_opt_frame_clause = 1133,        /* opt_frame_clause  */
  YYSYMBOL_frame_extent = 1134,            /* frame_extent  */
  YYSYMBOL_frame_bound = 1135,             /* frame_bound  */
  YYSYMBOL_row = 1136,                     /* row  */
  YYSYMBOL_explicit_row = 1137,            /* explicit_row  */
  YYSYMBOL_implicit_row = 1138,            /* implicit_row  */
  YYSYMBOL_sub_type = 1139,                /* sub_type  */
  YYSYMBOL_all_Op = 1140,                  /* all_Op  */
  YYSYMBOL_MathOp = 1141,                  /* MathOp  */
  YYSYMBOL_qual_Op = 1142,                 /* qual_Op  */
  YYSYMBOL_qual_all_Op = 1143,             /* qual_all_Op  */
  YYSYMBOL_subquery_Op = 1144,             /* subquery_Op  */
  YYSYMBOL_expr_list = 1145,               /* expr_list  */
  YYSYMBOL_func_arg_list = 1146,           /* func_arg_list  */
  YYSYMBOL_func_arg_expr = 1147,           /* func_arg_expr  */
  YYSYMBOL_type_list = 1148,               /* type_list  */
  YYSYMBOL_array_expr = 1149,              /* array_expr  */
  YYSYMBOL_array_expr_list = 1150,         /* array_expr_list  */
  YYSYMBOL_extract_list = 1151,            /* extract_list  */
  YYSYMBOL_extract_arg = 1152,             /* extract_arg  */
  YYSYMBOL_overlay_list = 1153,            /* overlay_list  */
  YYSYMBOL_overlay_placing = 1154,         /* overlay_placing  */
  YYSYMBOL_position_list = 1155,           /* position_list  */
  YYSYMBOL_substr_list = 1156,             /* substr_list  */
  YYSYMBOL_substr_from = 1157,             /* substr_from  */
  YYSYMBOL_substr_for = 1158,              /* substr_for  */
  YYSYMBOL_trim_list = 1159,               /* trim_list  */
  YYSYMBOL_in_expr = 1160,                 /* in_expr  */
  YYSYMBOL_case_expr = 1161,               /* case_expr  */
  YYSYMBOL_when_clause_list = 1162,        /* when_clause_list  */
  YYSYMBOL_when_clause = 1163,             /* when_clause  */
  YYSYMBOL_case_default = 1164,            /* case_default  */
  YYSYMBOL_case_arg = 1165,                /* case_arg  */
  YYSYMBOL_columnref = 1166,               /* columnref  */
  YYSYMBOL_indirection_el = 1167,          /* indirection_el  */
  YYSYMBOL_opt_slice_bound = 1168,         /* opt_slice_bound  */
  YYSYMBOL_indirection = 1169,             /* indirection  */
  YYSYMBOL_opt_indirection = 1170,         /* opt_indirection  */
  YYSYMBOL_opt_asymmetric = 1171,          /* opt_asymmetric  */
  YYSYMBOL_opt_target_list = 1172,         /* opt_target_list  */
  YYSYMBOL_target_list = 1173,             /* target_list  */
  YYSYMBOL_target_el = 1174,               /* target_el  */
  YYSYMBOL_qualified_name_list = 1175,     /* qualified_name_list  */
  YYSYMBOL_qualified_name = 1176,          /* qualified_name  */
  YYSYMBOL_name_list = 1177,               /* name_list  */
  YYSYMBOL_name = 1178,                    /* name  */
  YYSYMBOL_database_name = 1179,           /* database_name  */
  YYSYMBOL_access_method = 1180,           /* access_method  */
  YYSYMBOL_attr_name = 1181,               /* attr_name  */
  YYSYMBOL_index_name = 1182,              /* index_name  */
  YYSYMBOL_file_name = 1183,               /* file_name  */
  YYSYMBOL_func_name = 1184,               /* func_name  */
  YYSYMBOL_AexprConst = 1185,              /* AexprConst  */
  YYSYMBOL_Iconst = 1186,                  /* Iconst  */
  YYSYMBOL_SignedIconst = 1187,            /* SignedIconst  */
  YYSYMBOL_RoleId = 1188,                  /* RoleId  */
  YYSYMBOL_RoleSpec = 1189,                /* RoleSpec  */
  YYSYMBOL_role_list = 1190,               /* role_list  */
  YYSYMBOL_NonReservedWord = 1191,         /* NonReservedWord  */
  YYSYMBOL_unreserved_keyword = 1192,      /* unreserved_keyword  */
  YYSYMBOL_col_name_keyword = 1193,        /* col_name_keyword  */
  YYSYMBOL_type_func_name_keyword = 1194,  /* type_func_name_keyword  */
  YYSYMBOL_reserved_keyword = 1195,        /* reserved_keyword  */
  YYSYMBOL_statements = 1196,              /* statements  */
  YYSYMBOL_statement = 1197,               /* statement  */
  YYSYMBOL_CreateAsStmt = 1198,            /* CreateAsStmt  */
  YYSYMBOL_1199_1 = 1199,                  /* $@1  */
  YYSYMBOL_1200_2 = 1200,                  /* $@2  */
  YYSYMBOL_at = 1201,                      /* at  */
  YYSYMBOL_ECPGConnect = 1202,             /* ECPGConnect  */
  YYSYMBOL_connection_target = 1203,       /* connection_target  */
  YYSYMBOL_opt_database_name = 1204,       /* opt_database_name  */
  YYSYMBOL_db_prefix = 1205,               /* db_prefix  */
  YYSYMBOL_server = 1206,                  /* server  */
  YYSYMBOL_opt_server = 1207,              /* opt_server  */
  YYSYMBOL_server_name = 1208,             /* server_name  */
  YYSYMBOL_opt_port = 1209,                /* opt_port  */
  YYSYMBOL_opt_connection_name = 1210,     /* opt_connection_name  */
  YYSYMBOL_opt_user = 1211,                /* opt_user  */
  YYSYMBOL_ora_user = 1212,                /* ora_user  */
  YYSYMBOL_user_name = 1213,               /* user_name  */
  YYSYMBOL_char_variable = 1214,           /* char_variable  */
  YYSYMBOL_opt_options = 1215,             /* opt_options  */
  YYSYMBOL_connect_options = 1216,         /* connect_options  */
  YYSYMBOL_opt_opt_value = 1217,           /* opt_opt_value  */
  YYSYMBOL_prepared_name = 1218,           /* prepared_name  */
  YYSYMBOL_ECPGCursorStmt = 1219,          /* ECPGCursorStmt  */
  YYSYMBOL_ECPGExecuteImmediateStmt = 1220, /* ECPGExecuteImmediateStmt  */
  YYSYMBOL_ECPGVarDeclaration = 1221,      /* ECPGVarDeclaration  */
  YYSYMBOL_single_vt_declaration = 1222,   /* single_vt_declaration  */
  YYSYMBOL_precision = 1223,               /* precision  */
  YYSYMBOL_opt_scale = 1224,               /* opt_scale  */
  YYSYMBOL_ecpg_interval = 1225,           /* ecpg_interval  */
  YYSYMBOL_ECPGDeclaration = 1226,         /* ECPGDeclaration  */
  YYSYMBOL_1227_3 = 1227,                  /* $@3  */
  YYSYMBOL_sql_startdeclare = 1228,        /* sql_startdeclare  */
  YYSYMBOL_sql_enddeclare = 1229,          /* sql_enddeclare  */
  YYSYMBOL_var_type_declarations = 1230,   /* var_type_declarations  */
  YYSYMBOL_vt_declarations = 1231,         /* vt_declarations  */
  YYSYMBOL_variable_declarations = 1232,   /* variable_declarations  */
  YYSYMBOL_type_declaration = 1233,        /* type_declaration  */
  YYSYMBOL_1234_4 = 1234,                  /* $@4  */
  YYSYMBOL_var_declaration = 1235,         /* var_declaration  */
  YYSYMBOL_1236_5 = 1236,                  /* $@5  */
  YYSYMBOL_1237_6 = 1237,                  /* $@6  */
  YYSYMBOL_opt_bit_field = 1238,           /* opt_bit_field  */
  YYSYMBOL_storage_declaration = 1239,     /* storage_declaration  */
  YYSYMBOL_storage_clause = 1240,          /* storage_clause  */
  YYSYMBOL_storage_modifier = 1241,        /* storage_modifier  */
  YYSYMBOL_var_type = 1242,                /* var_type  */
  YYSYMBOL_enum_type = 1243,               /* enum_type  */
  YYSYMBOL_enum_definition = 1244,         /* enum_definition  */
  YYSYMBOL_struct_union_type_with_symbol = 1245, /* struct_union_type_with_symbol  */
  YYSYMBOL_1246_7 = 1246,                  /* $@7  */
  YYSYMBOL_struct_union_type = 1247,       /* struct_union_type  */
  YYSYMBOL_1248_8 = 1248,                  /* $@8  */
  YYSYMBOL_s_struct_union_symbol = 1249,   /* s_struct_union_symbol  */
  YYSYMBOL_s_struct_union = 1250,          /* s_struct_union  */
  YYSYMBOL_simple_type = 1251,             /* simple_type  */
  YYSYMBOL_unsigned_type = 1252,           /* unsigned_type  */
  YYSYMBOL_signed_type = 1253,             /* signed_type  */
  YYSYMBOL_opt_signed = 1254,              /* opt_signed  */
  YYSYMBOL_variable_list = 1255,           /* variable_list  */
  YYSYMBOL_variable = 1256,                /* variable  */
  YYSYMBOL_opt_initializer = 1257,         /* opt_initializer  */
  YYSYMBOL_opt_pointer = 1258,             /* opt_pointer  */
  YYSYMBOL_ECPGDeclare = 1259,             /* ECPGDeclare  */
  YYSYMBOL_ECPGDisconnect = 1260,          /* ECPGDisconnect  */
  YYSYMBOL_dis_name = 1261,                /* dis_name  */
  YYSYMBOL_connection_object = 1262,       /* connection_object  */
  YYSYMBOL_execstring = 1263,              /* execstring  */
  YYSYMBOL_ECPGFree = 1264,                /* ECPGFree  */
  YYSYMBOL_ECPGOpen = 1265,                /* ECPGOpen  */
  YYSYMBOL_opt_ecpg_using = 1266,          /* opt_ecpg_using  */
  YYSYMBOL_ecpg_using = 1267,              /* ecpg_using  */
  YYSYMBOL_using_descriptor = 1268,        /* using_descriptor  */
  YYSYMBOL_into_descriptor = 1269,         /* into_descriptor  */
  YYSYMBOL_into_sqlda = 1270,              /* into_sqlda  */
  YYSYMBOL_using_list = 1271,              /* using_list  */
  YYSYMBOL_UsingValue = 1272,              /* UsingValue  */
  YYSYMBOL_UsingConst = 1273,              /* UsingConst  */
  YYSYMBOL_ECPGDescribe = 1274,            /* ECPGDescribe  */
  YYSYMBOL_opt_output = 1275,              /* opt_output  */
  YYSYMBOL_ECPGAllocateDescr = 1276,       /* ECPGAllocateDescr  */
  YYSYMBOL_ECPGDeallocateDescr = 1277,     /* ECPGDeallocateDescr  */
  YYSYMBOL_ECPGGetDescriptorHeader = 1278, /* ECPGGetDescriptorHeader  */
  YYSYMBOL_ECPGGetDescHeaderItems = 1279,  /* ECPGGetDescHeaderItems  */
  YYSYMBOL_ECPGGetDescHeaderItem = 1280,   /* ECPGGetDescHeaderItem  */
  YYSYMBOL_ECPGSetDescriptorHeader = 1281, /* ECPGSetDescriptorHeader  */
  YYSYMBOL_ECPGSetDescHeaderItems = 1282,  /* ECPGSetDescHeaderItems  */
  YYSYMBOL_ECPGSetDescHeaderItem = 1283,   /* ECPGSetDescHeaderItem  */
  YYSYMBOL_IntConstVar = 1284,             /* IntConstVar  */
  YYSYMBOL_desc_header_item = 1285,        /* desc_header_item  */
  YYSYMBOL_ECPGGetDescriptor = 1286,       /* ECPGGetDescriptor  */
  YYSYMBOL_ECPGGetDescItems = 1287,        /* ECPGGetDescItems  */
  YYSYMBOL_ECPGGetDescItem = 1288,         /* ECPGGetDescItem  */
  YYSYMBOL_ECPGSetDescriptor = 1289,       /* ECPGSetDescriptor  */
  YYSYMBOL_ECPGSetDescItems = 1290,        /* ECPGSetDescItems  */
  YYSYMBOL_ECPGSetDescItem = 1291,         /* ECPGSetDescItem  */
  YYSYMBOL_AllConstVar = 1292,             /* AllConstVar  */
  YYSYMBOL_descriptor_item = 1293,         /* descriptor_item  */
  YYSYMBOL_ECPGSetAutocommit = 1294,       /* ECPGSetAutocommit  */
  YYSYMBOL_on_off = 1295,                  /* on_off  */
  YYSYMBOL_ECPGSetConnection = 1296,       /* ECPGSetConnection  */
  YYSYMBOL_ECPGTypedef = 1297,             /* ECPGTypedef  */
  YYSYMBOL_1298_9 = 1298,                  /* $@9  */
  YYSYMBOL_opt_reference = 1299,           /* opt_reference  */
  YYSYMBOL_ECPGVar = 1300,                 /* ECPGVar  */
  YYSYMBOL_1301_10 = 1301,                 /* $@10  */
  YYSYMBOL_ECPGWhenever = 1302,            /* ECPGWhenever  */
  YYSYMBOL_action = 1303,                  /* action  */
  YYSYMBOL_ECPGKeywords = 1304,            /* ECPGKeywords  */
  YYSYMBOL_ECPGKeywords_vanames = 1305,    /* ECPGKeywords_vanames  */
  YYSYMBOL_ECPGKeywords_rest = 1306,       /* ECPGKeywords_rest  */
  YYSYMBOL_ECPGTypeName = 1307,            /* ECPGTypeName  */
  YYSYMBOL_symbol = 1308,                  /* symbol  */
  YYSYMBOL_ECPGColId = 1309,               /* ECPGColId  */
  YYSYMBOL_ColId = 1310,                   /* ColId  */
  YYSYMBOL_type_function_name = 1311,      /* type_function_name  */
  YYSYMBOL_ColLabel = 1312,                /* ColLabel  */
  YYSYMBOL_ECPGColLabel = 1313,            /* ECPGColLabel  */
  YYSYMBOL_ECPGColLabelCommon = 1314,      /* ECPGColLabelCommon  */
  YYSYMBOL_ECPGCKeywords = 1315,           /* ECPGCKeywords  */
  YYSYMBOL_all_unreserved_keyword = 1316,  /* all_unreserved_keyword  */
  YYSYMBOL_ECPGunreserved_interval = 1317, /* ECPGunreserved_interval  */
  YYSYMBOL_into_list = 1318,               /* into_list  */
  YYSYMBOL_ecpgstart = 1319,               /* ecpgstart  */
  YYSYMBOL_c_args = 1320,                  /* c_args  */
  YYSYMBOL_coutputvariable = 1321,         /* coutputvariable  */
  YYSYMBOL_civarind = 1322,                /* civarind  */
  YYSYMBOL_char_civar = 1323,              /* char_civar  */
  YYSYMBOL_civar = 1324,                   /* civar  */
  YYSYMBOL_indicator = 1325,               /* indicator  */
  YYSYMBOL_cvariable = 1326,               /* cvariable  */
  YYSYMBOL_ecpg_param = 1327,              /* ecpg_param  */
  YYSYMBOL_ecpg_bconst = 1328,             /* ecpg_bconst  */
  YYSYMBOL_ecpg_fconst = 1329,             /* ecpg_fconst  */
  YYSYMBOL_ecpg_sconst = 1330,             /* ecpg_sconst  */
  YYSYMBOL_ecpg_xconst = 1331,             /* ecpg_xconst  */
  YYSYMBOL_ecpg_ident = 1332,              /* ecpg_ident  */
  YYSYMBOL_quoted_ident_stringvar = 1333,  /* quoted_ident_stringvar  */
  YYSYMBOL_c_stuff_item = 1334,            /* c_stuff_item  */
  YYSYMBOL_c_stuff = 1335,                 /* c_stuff  */
  YYSYMBOL_c_list = 1336,                  /* c_list  */
  YYSYMBOL_c_term = 1337,                  /* c_term  */
  YYSYMBOL_c_thing = 1338,                 /* c_thing  */
  YYSYMBOL_c_anything = 1339,              /* c_anything  */
  YYSYMBOL_DeallocateStmt = 1340,          /* DeallocateStmt  */
  YYSYMBOL_Iresult = 1341,                 /* Iresult  */
  YYSYMBOL_execute_rest = 1342,            /* execute_rest  */
  YYSYMBOL_ecpg_into = 1343,               /* ecpg_into  */
  YYSYMBOL_opt_ecpg_into = 1344,           /* opt_ecpg_into  */
  YYSYMBOL_ecpg_fetch_into = 1345,         /* ecpg_fetch_into  */
  YYSYMBOL_opt_ecpg_fetch_into = 1346      /* opt_ecpg_fetch_into  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   136516

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  550
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  797
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3140
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5980

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   785


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   537,     2,     2,
     542,   543,   535,   533,   545,   534,   544,   536,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   547,   546,
     529,   531,   530,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   540,     2,   541,   538,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   548,     2,   549,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   532,   539
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,  1598,  1598,  1601,  1603,  1605,  1607,  1609,  1611,  1613,
    1615,  1617,  1619,  1621,  1623,  1625,  1627,  1629,  1631,  1633,
    1635,  1637,  1639,  1641,  1643,  1645,  1647,  1649,  1651,  1653,
    1655,  1657,  1659,  1661,  1663,  1665,  1667,  1685,  1687,  1689,
    1691,  1693,  1695,  1697,  1699,  1701,  1703,  1705,  1707,  1709,
    1711,  1713,  1715,  1717,  1719,  1721,  1723,  1725,  1727,  1729,
    1731,  1733,  1735,  1737,  1739,  1741,  1743,  1745,  1747,  1749,
    1751,  1753,  1755,  1757,  1761,  1763,  1765,  1767,  1769,  1771,
    1773,  1775,  1777,  1779,  1781,  1783,  1785,  1787,  1789,  1791,
    1793,  1795,  1797,  1799,  1801,  1803,  1805,  1807,  1809,  1811,
    1813,  1815,  1817,  1819,  1821,  1823,  1830,  1832,  1834,  1836,
    1838,  1840,  1842,  1844,  1846,  1848,  1850,  1852,  1858,  1860,
    1862,  1864,  1866,  1868,  1870,  1872,  1874,  1880,  1890,  1894,
    1900,  1904,  1914,  1924,  1925,  1939,  1946,  1952,  1963,  1969,
    1978,  1985,  1991,  2000,  2007,  2015,  2020,  2028,  2032,  2037,
    2043,  2048,  2054,  2059,  2065,  2069,  2073,  2077,  2082,  2086,
    2090,  2094,  2098,  2106,  2110,  2114,  2118,  2122,  2126,  2134,
    2142,  2146,  2155,  2157,  2165,  2169,  2173,  2177,  2185,  2189,
    2193,  2197,  2201,  2205,  2213,  2221,  2229,  2233,  2241,  2245,
    2249,  2254,  2263,  2268,  2274,  2279,  2285,  2289,  2293,  2297,
    2301,  2305,  2313,  2317,  2321,  2329,  2333,  2337,  2345,  2349,
    2353,  2357,  2365,  2369,  2373,  2377,  2382,  2386,  2390,  2394,
    2398,  2402,  2406,  2414,  2418,  2426,  2430,  2438,  2442,  2456,
    2460,  2464,  2468,  2476,  2480,  2484,  2488,  2496,  2500,  2504,
    2508,  2512,  2516,  2520,  2528,  2532,  2537,  2543,  2547,  2555,
    2563,  2567,  2571,  2575,  2583,  2587,  2595,  2599,  2607,  2611,
    2619,  2623,  2627,  2631,  2635,  2644,  2652,  2656,  2664,  2668,
    2676,  2684,  2688,  2692,  2696,  2700,  2708,  2712,  2716,  2720,
    2724,  2728,  2732,  2736,  2740,  2744,  2748,  2752,  2756,  2760,
    2764,  2768,  2772,  2776,  2784,  2788,  2796,  2800,  2808,  2812,
    2816,  2820,  2824,  2828,  2832,  2836,  2840,  2844,  2848,  2852,
    2856,  2860,  2864,  2868,  2872,  2876,  2880,  2884,  2888,  2892,
    2896,  2900,  2904,  2908,  2912,  2916,  2920,  2924,  2928,  2932,
    2936,  2940,  2944,  2948,  2952,  2956,  2960,  2964,  2968,  2972,
    2976,  2980,  2984,  2988,  2992,  2996,  3000,  3004,  3008,  3012,
    3016,  3020,  3024,  3028,  3036,  3040,  3048,  3052,  3057,  3063,
    3068,  3074,  3079,  3085,  3089,  3093,  3097,  3105,  3113,  3118,
    3124,  3128,  3136,  3140,  3144,  3148,  3156,  3160,  3168,  3172,
    3176,  3180,  3188,  3192,  3200,  3204,  3208,  3212,  3216,  3224,
    3228,  3236,  3240,  3248,  3252,  3256,  3264,  3272,  3276,  3284,
    3288,  3292,  3296,  3304,  3309,  3317,  3325,  3333,  3337,  3345,
    3350,  3356,  3360,  3364,  3372,  3376,  3384,  3389,  3395,  3399,
    3403,  3407,  3411,  3415,  3419,  3423,  3427,  3431,  3435,  3439,
    3443,  3447,  3455,  3460,  3466,  3471,  3477,  3482,  3488,  3493,
    3499,  3503,  3511,  3519,  3523,  3527,  3531,  3536,  3542,  3546,
    3554,  3562,  3566,  3570,  3574,  3578,  3582,  3590,  3594,  3598,
    3602,  3606,  3610,  3614,  3619,  3625,  3630,  3636,  3641,  3647,
    3651,  3659,  3663,  3671,  3675,  3679,  3687,  3691,  3699,  3707,
    3711,  3719,  3724,  3730,  3734,  3738,  3742,  3750,  3754,  3758,
    3762,  3766,  3770,  3774,  3778,  3786,  3790,  3798,  3802,  3806,
    3810,  3818,  3826,  3830,  3835,  3841,  3845,  3849,  3853,  3857,
    3861,  3865,  3869,  3877,  3881,  3889,  3893,  3897,  3901,  3905,
    3909,  3913,  3921,  3926,  3932,  3937,  3943,  3947,  3955,  3963,
    3967,  3972,  3977,  3983,  3987,  3995,  3999,  4007,  4012,  4018,
    4022,  4026,  4030,  4035,  4041,  4049,  4057,  4061,  4065,  4069,
    4073,  4081,  4086,  4092,  4097,  4103,  4111,  4115,  4123,  4127,
    4135,  4139,  4143,  4151,  4155,  4159,  4164,  4170,  4174,  4178,
    4183,  4189,  4194,  4200,  4205,  4211,  4219,  4223,  4231,  4239,
    4243,  4248,  4254,  4258,  4266,  4274,  4279,  4285,  4293,  4297,
    4305,  4309,  4317,  4322,  4328,  4333,  4339,  4343,  4351,  4355,
    4359,  4363,  4367,  4371,  4375,  4379,  4383,  4387,  4391,  4395,
    4399,  4403,  4411,  4416,  4422,  4426,  4430,  4434,  4442,  4446,
    4454,  4458,  4466,  4471,  4477,  4481,  4489,  4494,  4500,  4504,
    4512,  4517,  4523,  4527,  4535,  4540,  4546,  4554,  4559,  4565,
    4569,  4577,  4581,  4589,  4594,  4600,  4604,  4608,  4612,  4620,
    4628,  4633,  4639,  4647,  4651,  4655,  4659,  4663,  4667,  4671,
    4675,  4679,  4683,  4687,  4691,  4695,  4699,  4703,  4707,  4711,
    4715,  4719,  4723,  4727,  4731,  4735,  4739,  4743,  4747,  4755,
    4763,  4767,  4771,  4775,  4783,  4787,  4795,  4800,  4806,  4810,
    4818,  4823,  4829,  4833,  4841,  4849,  4853,  4861,  4865,  4869,
    4873,  4881,  4889,  4897,  4905,  4909,  4917,  4922,  4928,  4932,
    4940,  4945,  4951,  4955,  4959,  4967,  4971,  4975,  4979,  4987,
    4991,  4999,  5007,  5011,  5019,  5024,  5030,  5034,  5042,  5046,
    5054,  5058,  5066,  5074,  5082,  5090,  5095,  5101,  5106,  5112,
    5117,  5123,  5128,  5134,  5139,  5145,  5150,  5156,  5160,  5164,
    5168,  5172,  5180,  5188,  5192,  5200,  5204,  5208,  5216,  5220,
    5228,  5232,  5236,  5240,  5244,  5252,  5257,  5263,  5267,  5275,
    5283,  5287,  5295,  5299,  5307,  5315,  5320,  5326,  5331,  5337,
    5341,  5349,  5354,  5360,  5364,  5369,  5375,  5379,  5383,  5387,
    5395,  5400,  5407,  5409,  5417,  5421,  5425,  5429,  5433,  5437,
    5445,  5449,  5457,  5461,  5469,  5477,  5481,  5489,  5497,  5501,
    5505,  5509,  5517,  5526,  5535,  5539,  5543,  5547,  5551,  5555,
    5559,  5563,  5567,  5571,  5575,  5579,  5583,  5587,  5591,  5595,
    5603,  5611,  5615,  5623,  5627,  5635,  5639,  5643,  5647,  5651,
    5655,  5663,  5671,  5675,  5683,  5691,  5696,  5702,  5706,  5714,
    5718,  5722,  5726,  5734,  5739,  5745,  5753,  5757,  5765,  5769,
    5773,  5777,  5781,  5789,  5794,  5800,  5805,  5811,  5815,  5820,
    5826,  5832,  5838,  5846,  5850,  5858,  5862,  5870,  5874,  5882,
    5886,  5894,  5898,  5906,  5914,  5922,  5926,  5930,  5934,  5938,
    5942,  5946,  5950,  5954,  5958,  5962,  5966,  5974,  5978,  5982,
    5986,  5990,  5994,  5998,  6002,  6006,  6010,  6014,  6018,  6022,
    6030,  6034,  6038,  6042,  6046,  6050,  6054,  6062,  6066,  6070,
    6078,  6082,  6090,  6094,  6102,  6106,  6114,  6118,  6126,  6134,
    6138,  6143,  6149,  6153,  6157,  6161,  6165,  6169,  6173,  6177,
    6181,  6185,  6189,  6193,  6197,  6201,  6205,  6209,  6213,  6221,
    6225,  6229,  6233,  6237,  6241,  6245,  6249,  6253,  6257,  6261,
    6265,  6269,  6273,  6281,  6285,  6289,  6293,  6297,  6301,  6305,
    6309,  6313,  6317,  6321,  6325,  6333,  6337,  6345,  6349,  6353,
    6357,  6361,  6365,  6369,  6377,  6382,  6388,  6392,  6396,  6400,
    6404,  6408,  6416,  6420,  6424,  6428,  6432,  6436,  6440,  6444,
    6452,  6456,  6464,  6468,  6472,  6476,  6482,  6488,  6494,  6500,
    6506,  6512,  6518,  6528,  6539,  6550,  6561,  6572,  6583,  6594,
    6610,  6626,  6642,  6653,  6669,  6680,  6696,  6711,  6715,  6723,
    6728,  6734,  6742,  6746,  6754,  6758,  6762,  6766,  6770,  6778,
    6782,  6790,  6794,  6798,  6802,  6810,  6814,  6818,  6822,  6826,
    6830,  6834,  6838,  6842,  6846,  6850,  6854,  6858,  6862,  6866,
    6870,  6878,  6882,  6890,  6894,  6902,  6907,  6913,  6921,  6925,
    6933,  6938,  6944,  6949,  6955,  6963,  6968,  6974,  6978,  6982,
    6990,  6994,  6998,  7006,  7010,  7014,  7018,  7022,  7030,  7034,
    7042,  7047,  7053,  7058,  7064,  7069,  7075,  7080,  7086,  7090,
    7098,  7102,  7106,  7114,  7119,  7125,  7130,  7136,  7140,  7145,
    7151,  7155,  7160,  7166,  7170,  7174,  7182,  7187,  7193,  7197,
    7205,  7209,  7217,  7221,  7229,  7233,  7237,  7241,  7249,  7253,
    7261,  7265,  7273,  7277,  7281,  7285,  7289,  7297,  7301,  7305,
    7309,  7313,  7321,  7329,  7337,  7341,  7345,  7353,  7357,  7361,
    7369,  7378,  7382,  7386,  7390,  7398,  7402,  7410,  7418,  7422,
    7430,  7434,  7442,  7446,  7450,  7454,  7458,  7462,  7466,  7470,
    7474,  7478,  7482,  7486,  7490,  7494,  7498,  7502,  7510,  7514,
    7518,  7522,  7526,  7534,  7538,  7546,  7550,  7558,  7563,  7569,
    7577,  7581,  7589,  7597,  7601,  7609,  7614,  7620,  7624,  7632,
    7636,  7644,  7648,  7656,  7660,  7664,  7668,  7676,  7680,  7688,
    7692,  7700,  7708,  7716,  7720,  7728,  7732,  7740,  7744,  7748,
    7756,  7760,  7765,  7771,  7779,  7784,  7790,  7798,  7802,  7806,
    7810,  7818,  7826,  7830,  7834,  7838,  7846,  7850,  7858,  7862,
    7866,  7874,  7878,  7886,  7894,  7898,  7906,  7910,  7914,  7918,
    7922,  7926,  7930,  7934,  7938,  7942,  7946,  7950,  7954,  7958,
    7962,  7966,  7970,  7974,  7978,  7982,  7986,  7990,  7994,  7998,
    8002,  8006,  8010,  8014,  8018,  8022,  8026,  8030,  8034,  8038,
    8042,  8046,  8050,  8054,  8058,  8062,  8066,  8070,  8074,  8078,
    8082,  8086,  8090,  8094,  8098,  8102,  8106,  8114,  8119,  8125,
    8130,  8136,  8140,  8144,  8148,  8156,  8160,  8164,  8168,  8172,
    8176,  8180,  8184,  8188,  8192,  8196,  8200,  8204,  8208,  8212,
    8216,  8220,  8224,  8228,  8232,  8236,  8240,  8244,  8248,  8252,
    8260,  8268,  8272,  8280,  8284,  8292,  8296,  8300,  8304,  8308,
    8316,  8320,  8324,  8328,  8332,  8336,  8340,  8344,  8348,  8352,
    8356,  8360,  8364,  8368,  8372,  8376,  8380,  8384,  8388,  8392,
    8396,  8400,  8408,  8416,  8421,  8427,  8431,  8439,  8443,  8447,
    8451,  8459,  8467,  8471,  8479,  8487,  8491,  8495,  8499,  8503,
    8507,  8515,  8519,  8527,  8535,  8539,  8543,  8551,  8555,  8563,
    8567,  8571,  8575,  8579,  8587,  8592,  8598,  8602,  8606,  8610,
    8618,  8622,  8627,  8633,  8641,  8646,  8652,  8660,  8664,  8672,
    8676,  8680,  8684,  8688,  8692,  8696,  8700,  8704,  8708,  8712,
    8716,  8720,  8724,  8732,  8736,  8741,  8747,  8751,  8755,  8759,
    8763,  8771,  8775,  8779,  8787,  8792,  8798,  8802,  8806,  8811,
    8820,  8824,  8828,  8833,  8839,  8847,  8855,  8860,  8866,  8870,
    8878,  8882,  8886,  8894,  8898,  8902,  8906,  8910,  8914,  8918,
    8926,  8931,  8937,  8941,  8945,  8953,  8961,  8965,  8973,  8981,
    8985,  8993,  9001,  9005,  9009,  9013,  9017,  9021,  9025,  9033,
    9038,  9044,  9052,  9056,  9060,  9064,  9068,  9072,  9080,  9084,
    9092,  9100,  9104,  9108,  9116,  9121,  9127,  9131,  9135,  9139,
    9143,  9151,  9155,  9163,  9167,  9171,  9175,  9179,  9187,  9191,
    9199,  9203,  9211,  9216,  9222,  9227,  9233,  9238,  9244,  9249,
    9255,  9259,  9263,  9267,  9275,  9279,  9283,  9287,  9291,  9295,
    9299,  9303,  9307,  9315,  9319,  9327,  9335,  9339,  9347,  9351,
    9356,  9362,  9368,  9378,  9383,  9389,  9393,  9397,  9401,  9409,
    9411,  9415,  9423,  9428,  9434,  9442,  9446,  9454,  9458,  9462,
    9466,  9470,  9478,  9482,  9490,  9494,  9502,  9510,  9514,  9519,
    9525,  9529,  9534,  9540,  9545,  9551,  9559,  9564,  9570,  9578,
    9583,  9589,  9593,  9597,  9601,  9605,  9609,  9613,  9617,  9625,
    9630,  9636,  9640,  9645,  9651,  9659,  9663,  9671,  9675,  9683,
    9691,  9695,  9703,  9756,  9760,  9773,  9775,  9779,  9783,  9787,
    9796,  9802,  9806,  9814,  9818,  9826,  9830,  9838,  9842,  9846,
    9850,  9854,  9858,  9862,  9866,  9874,  9878,  9886,  9890,  9894,
    9898,  9902,  9906,  9910,  9918,  9922,  9926,  9934,  9938,  9946,
    9954,  9959,  9965,  9970,  9972,  9978,  9982,  9986,  9990,  9994,
    9998, 10002, 10006, 10010, 10018, 10023, 10029, 10033, 10038, 10044,
   10048, 10056, 10061, 10067, 10072, 10078, 10086, 10090, 10098, 10102,
   10110, 10114, 10118, 10122, 10130, 10135, 10141, 10145, 10150, 10154,
   10162, 10166, 10174, 10178, 10186, 10194, 10198, 10202, 10210, 10214,
   10222, 10226, 10234, 10238, 10246, 10251, 10257, 10261, 10269, 10273,
   10277, 10281, 10285, 10293, 10301, 10309, 10317, 10325, 10330, 10336,
   10340, 10348, 10353, 10359, 10363, 10371, 10379, 10383, 10387, 10391,
   10399, 10404, 10410, 10414, 10422, 10427, 10433, 10437, 10445, 10449,
   10453, 10457, 10461, 10465, 10469, 10476, 10483, 10487, 10495, 10499,
   10503, 10507, 10511, 10515, 10523, 10527, 10531, 10535, 10543, 10548,
   10554, 10558, 10562, 10566, 10571, 10577, 10581, 10585, 10589, 10597,
   10602, 10608, 10612, 10620, 10624, 10628, 10632, 10640, 10644, 10652,
   10656, 10660, 10668, 10676, 10681, 10687, 10691, 10699, 10707, 10711,
   10719, 10724, 10730, 10735, 10741, 10746, 10752, 10756, 10762, 10768,
   10773, 10779, 10783, 10791, 10799, 10803, 10811, 10815, 10823, 10827,
   10831, 10839, 10843, 10851, 10855, 10859, 10863, 10871, 10875, 10883,
   10887, 10895, 10897, 10899, 10903, 10907, 10911, 10919, 10929, 10940,
   10949, 10953, 10957, 10961, 10965, 10969, 10973, 10981, 10985, 10989,
   10993, 11001, 11005, 11013, 11018, 11024, 11028, 11032, 11036, 11040,
   11044, 11048, 11052, 11056, 11060, 11064, 11072, 11077, 11083, 11087,
   11095, 11099, 11107, 11115, 11123, 11127, 11135, 11139, 11147, 11155,
   11163, 11167, 11171, 11175, 11179, 11183, 11191, 11196, 11202, 11206,
   11210, 11214, 11222, 11230, 11234, 11239, 11245, 11249, 11253, 11257,
   11261, 11265, 11269, 11273, 11277, 11281, 11285, 11289, 11293, 11298,
   11304, 11308, 11316, 11320, 11324, 11328, 11332, 11336, 11340, 11344,
   11348, 11352, 11356, 11360, 11364, 11368, 11372, 11376, 11380, 11384,
   11388, 11392, 11396, 11400, 11404, 11408, 11412, 11416, 11420, 11424,
   11428, 11432, 11436, 11440, 11444, 11448, 11452, 11456, 11460, 11464,
   11468, 11472, 11476, 11480, 11484, 11488, 11492, 11496, 11500, 11504,
   11508, 11512, 11516, 11520, 11524, 11528, 11532, 11536, 11540, 11544,
   11548, 11552, 11556, 11561, 11565, 11569, 11577, 11581, 11585, 11589,
   11593, 11597, 11601, 11605, 11609, 11613, 11617, 11621, 11625, 11629,
   11633, 11637, 11641, 11645, 11649, 11653, 11657, 11661, 11665, 11669,
   11673, 11681, 11685, 11689, 11693, 11697, 11701, 11705, 11709, 11713,
   11717, 11721, 11725, 11729, 11733, 11741, 11745, 11749, 11753, 11757,
   11761, 11765, 11773, 11777, 11785, 11789, 11797, 11801, 11805, 11809,
   11813, 11817, 11821, 11825, 11829, 11833, 11837, 11841, 11845, 11849,
   11853, 11857, 11861, 11865, 11869, 11873, 11877, 11881, 11885, 11889,
   11893, 11897, 11901, 11905, 11909, 11913, 11917, 11921, 11925, 11929,
   11933, 11937, 11941, 11945, 11949, 11953, 11957, 11961, 11969, 11973,
   11981, 11985, 11989, 11994, 12000, 12008, 12012, 12020, 12024, 12032,
   12036, 12044, 12048, 12053, 12059, 12063, 12067, 12071, 12079, 12084,
   12090, 12095, 12101, 12106, 12112, 12116, 12124, 12132, 12136, 12141,
   12147, 12155, 12159, 12166, 12171, 12177, 12182, 12187, 12193, 12197,
   12205, 12209, 12213, 12217, 12221, 12229, 12233, 12237, 12245, 12249,
   12257, 12265, 12269, 12273, 12281, 12285, 12293, 12297, 12301, 12305,
   12309, 12313, 12317, 12321, 12325, 12329, 12333, 12337, 12345, 12349,
   12357, 12361, 12369, 12373, 12377, 12381, 12385, 12389, 12397, 12401,
   12409, 12413, 12421, 12425, 12429, 12437, 12441, 12449, 12453, 12457,
   12465, 12469, 12477, 12482, 12488, 12492, 12496, 12500, 12504, 12508,
   12512, 12516, 12524, 12528, 12536, 12544, 12549, 12555, 12559, 12563,
   12567, 12571, 12576, 12582, 12590, 12598, 12602, 12606, 12614, 12618,
   12626, 12634, 12638, 12646, 12654, 12659, 12665, 12670, 12676, 12680,
   12688, 12692, 12696, 12700, 12708, 12713, 12719, 12723, 12732, 12734,
   12742, 12747, 12753, 12758, 12764, 12768, 12776, 12780, 12784, 12788,
   12796, 12800, 12808, 12812, 12820, 12824, 12832, 12840, 12848, 12856,
   12864, 12872, 12880, 12884, 12892, 12896, 12900, 12904, 12908, 12912,
   12916, 12920, 12924, 12928, 12932, 12936, 12940, 12944, 12945, 12950,
   12956, 12960, 12961, 12965, 12973, 12981, 12985, 12989, 12997, 13001,
   13009, 13013, 13017, 13021, 13029, 13033, 13037, 13041, 13045, 13049,
   13053, 13057, 13061, 13065, 13069, 13073, 13077, 13081, 13085, 13089,
   13093, 13097, 13101, 13105, 13109, 13113, 13117, 13121, 13125, 13129,
   13133, 13137, 13141, 13145, 13149, 13153, 13157, 13161, 13165, 13169,
   13173, 13177, 13181, 13185, 13189, 13193, 13197, 13201, 13205, 13209,
   13213, 13217, 13221, 13225, 13229, 13233, 13237, 13241, 13245, 13249,
   13253, 13257, 13261, 13265, 13269, 13273, 13277, 13281, 13285, 13289,
   13293, 13297, 13301, 13305, 13309, 13313, 13317, 13321, 13325, 13329,
   13333, 13337, 13341, 13345, 13349, 13353, 13357, 13361, 13365, 13369,
   13373, 13377, 13381, 13385, 13389, 13393, 13397, 13401, 13405, 13409,
   13413, 13417, 13421, 13425, 13429, 13433, 13437, 13441, 13445, 13449,
   13453, 13457, 13461, 13465, 13469, 13473, 13477, 13481, 13485, 13489,
   13493, 13497, 13501, 13505, 13509, 13513, 13517, 13521, 13525, 13529,
   13533, 13537, 13541, 13545, 13549, 13553, 13557, 13561, 13565, 13569,
   13573, 13577, 13581, 13585, 13589, 13593, 13597, 13601, 13605, 13609,
   13613, 13617, 13621, 13625, 13629, 13633, 13637, 13641, 13645, 13649,
   13653, 13657, 13661, 13665, 13669, 13673, 13677, 13681, 13685, 13689,
   13693, 13697, 13701, 13705, 13709, 13713, 13717, 13721, 13725, 13729,
   13733, 13737, 13741, 13745, 13749, 13753, 13757, 13761, 13765, 13769,
   13773, 13777, 13781, 13785, 13789, 13793, 13797, 13801, 13805, 13809,
   13813, 13817, 13821, 13825, 13829, 13833, 13837, 13841, 13845, 13849,
   13853, 13857, 13861, 13865, 13869, 13873, 13877, 13881, 13885, 13889,
   13893, 13897, 13901, 13905, 13909, 13913, 13917, 13921, 13925, 13929,
   13933, 13937, 13941, 13945, 13949, 13953, 13957, 13961, 13965, 13969,
   13973, 13977, 13981, 13985, 13989, 13993, 13997, 14001, 14005, 14009,
   14013, 14017, 14021, 14025, 14029, 14033, 14037, 14041, 14045, 14049,
   14053, 14057, 14061, 14065, 14069, 14073, 14077, 14081, 14085, 14089,
   14093, 14097, 14101, 14105, 14109, 14113, 14117, 14125, 14129, 14133,
   14137, 14141, 14145, 14149, 14153, 14157, 14161, 14165, 14169, 14173,
   14177, 14181, 14185, 14189, 14193, 14197, 14201, 14205, 14209, 14213,
   14217, 14221, 14225, 14229, 14233, 14237, 14241, 14245, 14249, 14253,
   14257, 14261, 14265, 14269, 14273, 14277, 14281, 14285, 14289, 14293,
   14297, 14301, 14305, 14309, 14317, 14321, 14325, 14329, 14333, 14337,
   14341, 14345, 14349, 14353, 14357, 14361, 14365, 14369, 14373, 14377,
   14381, 14385, 14389, 14393, 14397, 14401, 14405, 14413, 14417, 14421,
   14425, 14429, 14433, 14437, 14441, 14445, 14449, 14453, 14457, 14461,
   14465, 14469, 14473, 14477, 14481, 14485, 14489, 14493, 14497, 14501,
   14505, 14509, 14513, 14517, 14521, 14525, 14529, 14533, 14537, 14541,
   14545, 14549, 14553, 14557, 14561, 14565, 14569, 14573, 14577, 14581,
   14585, 14589, 14593, 14597, 14601, 14605, 14609, 14613, 14617, 14621,
   14625, 14629, 14633, 14637, 14641, 14645, 14649, 14653, 14657, 14661,
   14665, 14669, 14673, 14677, 14681, 14685, 14689, 14693, 14697, 14701,
   14705, 14709, 14719, 14720, 14723, 14724, 14725, 14731, 14732, 14733,
   14734, 14735, 14748, 14748, 14755, 14755, 14764, 14779, 14781, 14784,
   14786, 14790, 14802, 14818, 14822, 14833, 14834, 14837, 14849, 14858,
   14859, 14862, 14863, 14864, 14867, 14868, 14871, 14872, 14875, 14876,
   14879, 14881, 14883, 14885, 14889, 14896, 14903, 14919, 14953, 14963,
   14966, 14970, 14983, 14984, 14986, 14988, 14992, 15006, 15013, 15074,
   15083, 15085, 15086, 15089, 15091, 15092, 15095, 15096, 15097, 15098,
   15099, 15106, 15105, 15115, 15117, 15119, 15120, 15123, 15124, 15125,
   15126, 15129, 15130, 15134, 15133, 15150, 15149, 15165, 15164, 15179,
   15185, 15186, 15189, 15191, 15192, 15195, 15196, 15197, 15198, 15201,
   15202, 15205, 15213, 15230, 15238, 15261, 15367, 15401, 15403, 15405,
   15409, 15413, 15412, 15463, 15465, 15464, 15479, 15485, 15492, 15497,
   15503, 15504, 15507, 15508, 15509, 15510, 15511, 15512, 15513, 15521,
   15529, 15532, 15533, 15534, 15535, 15536, 15537, 15545, 15553, 15554,
   15555, 15558, 15559, 15562, 15564, 15573, 15661, 15662, 15669, 15670,
   15671, 15677, 15686, 15689, 15690, 15691, 15692, 15695, 15696, 15697,
   15700, 15702, 15710, 15711, 15717, 15725, 15726, 15729, 15730, 15733,
   15738, 15745, 15750, 15757, 15764, 15764, 15766, 15773, 15774, 15777,
   15778, 15779, 15780, 15781, 15782, 15783, 15784, 15785, 15791, 15798,
   15810, 15816, 15823, 15831, 15832, 15844, 15855, 15866, 15870, 15871,
   15874, 15879, 15883, 15884, 15887, 15893, 15901, 15907, 15914, 15918,
   15919, 15922, 15925, 15929, 15930, 15933, 15939, 15948, 15953, 15963,
   15973, 15985, 15986, 15987, 15988, 15989, 15990, 15991, 15992, 15993,
   15994, 15995, 15996, 15997, 15998, 15999, 16006, 16007, 16010, 16011,
   16018, 16019, 16020, 16027, 16026, 16043, 16044, 16051, 16050, 16120,
   16126, 16132, 16140, 16146, 16152, 16158, 16164, 16170, 16176, 16182,
   16188, 16199, 16200, 16203, 16204, 16205, 16206, 16207, 16208, 16209,
   16210, 16211, 16212, 16213, 16214, 16215, 16216, 16217, 16218, 16219,
   16220, 16221, 16222, 16223, 16224, 16225, 16228, 16229, 16230, 16231,
   16232, 16233, 16237, 16238, 16239, 16240, 16241, 16242, 16243, 16246,
   16249, 16250, 16251, 16252, 16253, 16254, 16255, 16256, 16269, 16270,
   16271, 16272, 16273, 16274, 16275, 16280, 16281, 16282, 16283, 16284,
   16285, 16291, 16292, 16293, 16294, 16295, 16296, 16297, 16298, 16299,
   16300, 16301, 16304, 16305, 16306, 16307, 16308, 16311, 16312, 16313,
   16314, 16317, 16318, 16319, 16320, 16321, 16322, 16323, 16340, 16341,
   16342, 16345, 16346, 16347, 16348, 16349, 16350, 16354, 16354, 16357,
   16363, 16364, 16367, 16369, 16374, 16384, 16395, 16402, 16403, 16404,
   16407, 16440, 16442, 16444, 16447, 16457, 16467, 16477, 16478, 16481,
   16483, 16484, 16485, 16488, 16490, 16498, 16499, 16500, 16504, 16505,
   16509, 16510, 16513, 16514, 16517, 16518, 16519, 16520, 16521, 16524,
   16525, 16526, 16527, 16528, 16529, 16530, 16531, 16532, 16533, 16534,
   16535, 16536, 16537, 16538, 16539, 16540, 16541, 16542, 16543, 16544,
   16545, 16546, 16547, 16548, 16549, 16550, 16551, 16552, 16553, 16554,
   16555, 16556, 16557, 16558, 16559, 16560, 16561, 16562, 16563, 16564,
   16565, 16566, 16567, 16568, 16569, 16570, 16571, 16572, 16573, 16574,
   16575, 16576, 16577, 16578, 16579, 16582, 16583, 16584, 16585, 16588,
   16589, 16590, 16591, 16592, 16593, 16594, 16595, 16596, 16597, 16604,
   16605, 16606, 16607, 16610, 16611, 16614, 16615, 16618, 16619, 16630,
   16631
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "SQL_ALLOCATE",
  "SQL_AUTOCOMMIT", "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY",
  "SQL_CONNECT", "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT",
  "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN",
  "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GENERATED", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "GROUPING", "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P",
  "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P",
  "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P",
  "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT",
  "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION",
  "LOCK_P", "LOCKED", "LOGGED", "MAPPING", "MATCH", "MATERIALIZED",
  "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE",
  "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "OLD", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR",
  "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY",
  "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "PUBLICATION", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF_P", "REFERENCES", "REFERENCING", "REFRESH", "REINDEX",
  "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA",
  "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW",
  "SIMILAR", "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESAMPLE",
  "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P", "THEN", "TIME",
  "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VIEWS",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHIN",
  "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES",
  "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLNAMESPACES",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "XMLTABLE", "YEAR_P",
  "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'", "'='",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'", "$accept",
  "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "ForValues", "partbound_datum",
  "partbound_datum_list", "range_datum_list", "PartitionRangeDatum",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "key_match",
  "ExclusionConstraintList", "ExclusionConstraintElem",
  "ExclusionWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_strategy", "part_params", "part_elem", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "AlterForeignTableStmt",
  "ImportForeignSchemaStmt", "import_qualification_type",
  "import_qualification", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreatePolicyStmt",
  "AlterPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultPermissive",
  "RowSecurityDefaultForCmd", "row_security_cmd", "CreateAmStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerReferencing", "TriggerTransitions",
  "TriggerTransition", "TransitionOldOrNew", "TransitionRowOrTable",
  "TransitionRelName", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertStmt", "DropAssertStmt", "DefineStmt", "definition",
  "def_list", "def_elem", "def_arg", "old_aggr_definition",
  "old_aggr_list", "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "AlterEnumStmt", "opt_if_not_exists", "CreateOpClassStmt",
  "opclass_item_list", "opclass_item", "opt_default", "opt_opfamily",
  "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type_any_name", "drop_type_name",
  "drop_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type_any_name", "comment_type_name", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type_any_name",
  "security_label_type_name", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "operator_with_argtypes_list",
  "operator_with_argtypes", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "CreateTransformStmt", "transform_element_list", "DropTransformStmt",
  "ReindexStmt", "reindex_target_type", "reindex_target_multitable",
  "reindex_option_list", "reindex_option_elem", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectDependsStmt",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterOwnerStmt",
  "CreatePublicationStmt", "opt_publication_for_tables",
  "publication_for_tables", "AlterPublicationStmt",
  "CreateSubscriptionStmt", "publication_name_list",
  "publication_name_item", "AlterSubscriptionStmt", "DropSubscriptionStmt",
  "RuleStmt", "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "opt_transaction", "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterCollationStmt", "AlterSystemStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "any_with", "CreateConversionStmt",
  "ClusterStmt", "cluster_index_specification", "VacuumStmt",
  "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "DeclareCursorStmt", "cursor_name",
  "cursor_options", "opt_hold", "SelectStmt", "select_with_parens",
  "select_no_parens", "select_clause", "simple_select", "with_clause",
  "cte_list", "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "NonReservedWord", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "$@2", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@3", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@4", "var_declaration",
  "$@5", "$@6", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@7", "struct_union_type", "$@8",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@9", "opt_reference", "ECPGVar",
  "$@10", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,    60,
      62,    61,   784,    43,    45,    42,    47,    37,    94,   785,
      91,    93,    40,    41,    46,    44,    59,    58,   123,   125
};
#endif

#define YYPACT_NINF (-5387)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-2980)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5387,   476, 11748, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, 36916, -5387,
   -5387, -5387, -5387, -5387, 35509,   474, -5387, -5387, -5387,128740,
   -5387, -5387, -5387,   958, 86023, -5387, 89143,   482, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, 93303, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, 72487,  1337, -5387,   580,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387,     9, 14864, -5387,
   -5387, 89663, -5387,   176, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, 90183,   582, -5387, -5387,   909,  1436, -5387,   162, 17916,
   -5387, -5387, 82383, 87063, -5387, -5387, 93823,   191,  2472, 16997,
       9, 36393, 94343, -5387,  1658, -5387, 68803, -5387, -5387, -5387,
   86543, -5387, -5387, -5387,  1180, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387,100063,  2989,  1216, 69332, -5387,
   -5387, -5387, -5387,100063, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, 94863, -5387,  1144,  1261,   761,100583,101103,
   83943, -5387,  1443, -5387,100063,  1329,   967, 71445, -5387,101623,
   -5387, -5387,  1228, -5387, 95383, -5387, -5387, -5387, -5387, -5387,
    1216, -5387, 72487, 67761,    97,  1225, -5387, -5387,102143, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
  100063,  2271,  1402, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387,   582, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387,   965, -5387,  1455,  1432,  1678,
     771,  1489, -5387, -5387, -5387,  9918, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387,125017,  2501, -5387, -5387, -5387,  1480, -5387,
    1527, -5387, -5387, -5387,  1586, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387,  1164, -5387, -5387, -5387, -5387,  2084,123983, 93303,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, 81863, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387,   219, -5387, -5387, -5387, -5387, -5387,
   93303, 93303, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, 93303,  1650,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
     522,  2050, -5387, -5387, 72487,  2456,  2456,  2210,125017, -5387,
   -5387, -5387, 74050,100063,100063,100063,  1914,100063,  1885,100063,
     388, 74050,133273, 95903,  2031,  1898, 62987,102663, -5387,100063,
  131461,100063,100063,103183,100063,100063,100063,  1444, 90703,100063,
    2040,100063,100063,131914,103703,  2242, -5387,  2508,  1688, -5387,
   -5387, -5387,100063, 18033,  2989, -5387, -5387,  2271,100063,  2187,
   74050,100063,  2026,104223,  2108,100063, -5387,100063,  2135,104743,
     708,  2180,133273,  2211, 63520,  2189,100063,100063,133273,105263,
  105783,106303,100063,100063, -5387, -5387,  2205,100063,100063, -5387,
    2323,133726,  2041,  2339,  2491,  2402,  1437, -5387, -5387,  2588,
    2131, -5387, -5387,  2624, 93303, -5387, 91223, -5387, -5387, -5387,
    2578, -5387, -5387, -5387, -5387, -5387, -5387,130555,  2472, -5387,
   -5387,  2379, 74571,100063,  2451, -5387, -5387,106823, 78218,  2245,
   -5387,   735, 75092,134179,  2564,  2233, 64053,  2616, -5387, -5387,
  134632, -5387, -5387, -5387, -5387, -5387,107343, -5387,107863,  2337,
    2451, -5387, 78739,135085, -5387,  2467,108383,108903,109423, -5387,
   10941, -5387,  2214,  2377,  2216,  1778, 93303, 93303,  2304,126440,
   -5387, -5387,   582, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387,   241,  1950, 69861,  1031, 70390, -5387, -5387,  1119,  1133,
    1411,   241,  2722,  2722,   722, 93303, -5387, -5387,  1950, -5387,
     750,    36,  2280,  2280,  2280,  2483,   915, -5387,  2280,  2418,
   -5387, -5387, -5387, -5387, 95383, 69861, 70390, -5387,  2289,  2989,
      92,  2710,  2350, -5387, -5387, -5387, -5387, -5387,  2363,100063,
  100063,100063, -5387, -5387, -5387,  2767,  2345,  2607, -5387,  2364,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,  2555,
    2570,  2600,    71,  2989,  2497, -5387,  2742, -5387,  2655, 42803,
   42803,    -8, 93303,  2989, 70919, 96423,120863,   229,130555,  2989,
  109943,  2478,  1405,  2662, -5387, -5387, -5387,   805, -5387,  2905,
    2500,  2732,   274,  1688, 59824, -5387,  2498,  1867, 95383,125534,
   -5387, -5387, -5387, -5387,   424,  2802, 46569,100063,  2505, -5387,
    2514,  2505,  2519,  2524,  1678, -5387,100063,  1282,  1282,  2939,
    1282,  1804,  2239, -5387,  1899, -5387,  2837,  2804, 95383,  2546,
       9,  2553, -5387, -5387, -5387,  2573, -5387,  2585,  2589, -5387,
     981,  2836, -5387, -5387, -5387, -5387,  2663,  2675,  2681,  2690,
    2576,  2705,   199, -5387, -5387, -5387, -5387,  2976, -5387, -5387,
   -5387, -5387, -5387, -5387,  3061,  3060,129196,129196,   747,   776,
     212,   258, -5387, -5387, -5387,  2901, -5387, -5387,  2914,100063,
    2734,100063, -5387, -5387, -5387,110463, -5387, -5387,  2456,  2573,
    1679,  2661, -5387,   201, -5387,  1867, -5387,   291,   343,   362,
    2420,  2669,  1946,  2004, -5387,   332,100063,   287,  2716, 96943,
    8956,  2674,  2691,  1867,  2847,   960,  2988,  3035,  6603,   199,
   97463, -5387, -5387, -5387, -5387,100063,100063, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387,  2723,  1456, -5387, -5387,
    2741,  3039,  2947,   294,  3037,  2903,  1534,  2959,  1743,  3081,
    9640,  1622,  2007,  1656,110983,121383,  3046,  3096,  5123,  1880,
    1146,  2982,  1100,  3037,  3112,  2954,  1534,  3128,  7297,100063,
    2823, -5387,  3072,  3186,   712, -5387,   184, -5387,  2894,  3053,
     557,  3076, 74050,  2857, -5387, -5387,100063, -5387, -5387, 79260,
    2932, -5387,   836, 74050, -5387,  3074,  2927, 64586,100063, -5387,
   -5387,100063, -5387, -5387, -5387, -5387, -5387, -5387, -5387,  3015,
    3200,100063, 79260, -5387,  3131,100063,100063, -5387,  2902, -5387,
   -5387, -5387, -5387,  2280,100063,  2895,  3299, 79260,  3117,   140,
  100063,  1822,  3337,100063,  3129,  1822,  2995,111503, -5387, -5387,
    1822, -5387, -5387,100063,100063,  2934,  1748,  3126,  3265,  1822,
    3182,  3399,  3400,  3201,  3059,  3206,  2514,  3382,  3187,  1194,
    1660,   132,   225,  1822,  3050,112023,112543,100063,  3065,100063,
    3419, 74050,100063,  3321, -5387,  3207, 97983, -5387,  3030,  2588,
   -5387, -5387, -5387, -5387, -5387,  1248, -5387, -5387, -5387, -5387,
   -5387,  3374, -5387,   186,   816,  3375,  3062,  3384, -5387, -5387,
    3108, -5387,  3108,  3108,  3064,  3064,  3238,  3066,  3388, -5387,
   -5387, -5387,  2344,  3108,  3064, -5387, 80302, -5387,  1788,  1994,
   -5387,   190, -5387,  3501, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387,  3070, -5387,  1177, -5387,  2013, -5387, -5387, -5387,
   -5387,  3106, -5387,  3395,   195, -5387,  3396, -5387,  3077,113063,
   -5387,113583,114103,  3402,   196, -5387,133273,  3406,  3077,  3407,
     816,  3408, -5387,  1200,  3387,  3410,   190,  3411,   862,  3077,
  131008,  3412,   218, -5387,  3416,   223, -5387,  3417,  3288, 14008,
   10941, -5387, 17468,  2060, -5387, -5387, -5387, -5387, -5387, -5387,
   46569,   843,  3188, -5387, -5387, -5387,  2136, -5387,127818, -5387,
    2304,  1950, -5387, 93303,  1950, 93303,   722,  1950, 93303,  1950,
   93303,   722,  1950, 93303, 93303, 93303,  1950, -5387, -5387,   236,
     239, -5387, -5387, -5387, -5387, -5387, 93303,  3099,100063,100063,
   -5387, -5387, -5387, 87583,133273, 88103, -5387,100063, -5387,    93,
   93303, -5387, 93303, -5387,  2989, -5387, -5387,  2377, 79260,  3531,
  133273,  3419, -5387,  2201, -5387, -5387, -5387, -5387, -5387, -5387,
    3347,100063,  3414,  3415, 87583,133273, -5387,114623,130555,  3302,
    3103, -5387, -5387, -5387, -5387,  2253,  3047,   271,  3055, 46569,
    3114,   271,   271,  3116,  3421, -5387, -5387, -5387,   372,  3120,
    3122, -5387,   220,   220, -5387,  3123,  3124, -5387,   312,  3125,
    3127,  3075,   408,  3130,  3132,  3135,  2344,   271, 46569, -5387,
    3136,   220,  3138,  3139,  3140,  3086,  3142, -5387,  3110,  3143,
     556,   639,  3144,  3146, -5387,  3123, -5387,   444,  3147,  3148,
    3151,  3152,  3153,  3154,  3155,  3156, 46569, 46569, 46569, -5387,
   41189,  1867,  2989, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387,   452,  6105, -5387,  3162, -5387, -5387,  3296, -5387, -5387,
   46569, -5387, -5387,   275, -5387,   468, -5387, -5387,  1867, -5387,
   -5387,  1592, -5387, -5387, -5387, -5387,  3370,  3160,  2301,  2301,
     226, -5387, 89663, 89663, -5387, -5387,  1617,  3163, -5387,  1905,
   -5387, -5387, -5387, -5387, -5387, -5387,130102,  3559, -5387,  2967,
    2989,   184,  1892,  3537,126896,127357,  3432,  3432,  3405, -5387,
   -5387,100063, -5387, -5387, 46569, 66719, -5387,  1867,   207,  3431,
   -5387, -5387, -5387,  2258, -5387, -5387, -5387, -5387,   582, 16589,
    2275,  2505,100063,100063,  3603, -5387, -5387,  2514, -5387, -5387,
    1678,  1678, 46569,  1678,  1157,  1374, 43341, 47107,  3482,  3378,
    1418,  1481,  3486, -5387,  3383,  1804,  2239, 95383,100063,115143,
    3297, 46569, -5387,  2573,  3189,  2236, -5387, 81343,124500,124500,
    3445, -5387, -5387,   992,   146,  3307,  3413,  2722,   147,  1321,
    1321, -5387, -5387,  3180, -5387,  3540, 89663,  3242,129196, -5387,
   -5387,100063, -5387, -5387, 98503, -5387, -5387, -5387,  1018,  3183,
   -5387,  3199,100063, -5387,  3718,  1321,  1321, -5387, -5387,  3191,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,125017,  3192,
  100063, -5387,  3195,  3196, -5387,125534,  3276,  3277,  3330, 67240,
   -5387,  1867,  3283,  3250,  3285,  3338, 72487,  3205,  3289,  3291,
    3339,  3458, -5387, -5387,  3294,  3295,121903, -5387, -5387,  1197,
   -5387, -5387, -5387,  1197, -5387,  3228, -5387,  1538,   924,  1305,
    3298,   295,  1121,  3601, -5387,  1607, -5387, -5387,  3350, -5387,
    6823,100063,  3542,  8866,  3422,   199,  3423,  3349, -5387, -5387,
    3474,  3305,100063,  3306,  3438,   199,  1449,122423, -5387, -5387,
   -5387, -5387, -5387, -5387,  6355, 40139, -5387,  2199,  3310,  3290,
    3319,100063, 82903,  2126,  3434,  3435,  1633,  2421,   197,  3372,
  100063,  2073,  3441,100063,  3241,  3322,  3323,  3530,  3245,  1653,
    3629,  3247, -5387, -5387,  3433,  3532,  3573,  7988,  3309,  3312,
   76655, -5387,  3340,    45, 65119,100063,100063,  3348,  3352,  3342,
    3345,  1349,  3628,  1629,  3355, -5387, -5387, -5387,  1629,100063,
    3356,  3357,100063, 80302,   199, -5387,  3681,   199,   199,  2385,
    3682,  3358,   788,  3504,  1838,  1822,  3247,  3107, -5387,  3360,
    3361,  1983, -5387,  3481,  3365,  3366,  3418,  2989, -5387, -5387,
    3368,  3453,  3371,    56, -5387, -5387,  1419,  3380, 95383,  3475,
    3476,   365,  2243,  3247, -5387,  3376,  3381,  3245,  3245,100063,
  100063,100063,100063,100063,   155,  3720,  3728,  3385,   163,  3437,
    3308, -5387,  1629,132367,  3389, -5387,  1629,100063,  3391,  2285,
    3247,  1851, -5387,  2030, -5387, -5387, -5387,  1688, -5387,100063,
   -5387,100063, -5387,  3565, 79260,  3513,  3574, -5387,  3351, -5387,
    3575,   199, -5387,100063,100063,  3576,  3517,  3520,  1331, 79260,
    3521,  3582, -5387,  3583,  3584,  3404,  3363,  3397, 67240, -5387,
    2934,  3329,  3761,  3653,100063, 72487, -5387,  3775,  1197, -5387,
   79260,  3536,  3659, -5387,100063,  3554,   784, -5387,  3697,  3401,
   -5387, -5387,    55,100063,   235,  3392, -5387, -5387,  3667,133273,
    1669,  3668,  2989,  3393,  3671,  3552,  2989,133273,  3594,100063,
  100063,100063,100063, -5387, -5387,  3562,   731,    85, -5387,132367,
    3578, -5387,100063,  3579,  3107,  3587,  3790,  1189,  2280,115663,
    3677, -5387,116183,  3369,  3804, 79260,  3630, -5387, -5387,  3373,
    2722, -5387,  3030, -5387,  2342, -5387,  3506, -5387, 74050, -5387,
   -5387, 74050, -5387, -5387, -5387, 79260,100063, -5387,  3426, -5387,
   -5387, 46569, -5387, -5387, -5387,  2722, -5387, 79260,  3108,  3108,
   -5387, -5387,  3812,  3462,  3465,  2722, -5387,  2722, -5387, 79260,
   -5387,  3394,  3425,  2722,  3470, -5387,  3483,  2722, -5387,  2309,
   -5387, -5387, 74050, 74050, -5387,133273,133273,  3730,   218,  3731,
    3468,  3734,  3471, 65119, 65119, -5387,   243,133273,100063, -5387,
  100063, -5387, -5387, -5387, -5387, 79260, 79260, -5387,133273,132367,
    3735,  3738,   816,100063,100063, -5387,100063,100063, -5387,100063,
  100063, -5387, 14810,  2143, -5387, 10941, -5387,  2340,  3432, -5387,
    1650,116703,  1525,  2304,135538, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, 93303, -5387, 93303,   722, -5387, -5387, 93303,
   -5387, 93303,   722, -5387, 93303, -5387, -5387, -5387, 93303,100063,
    3947,  3424, -5387,  1592, -5387,100063,  2347, -5387, -5387,  2353,
    1192,100063,100063,   867, 74050,100063,  3627,100063,100063,100063,
  100063,100063,  3507,  3163,  1518, -5387,  1358,   369, 95383,  3640,
   -5387, -5387, -5387, -5387, -5387,  2356,  2271,  1181,100063,  1428,
    2363, -5387, -5387, 88103, 86543,  3740,   134,100063, -5387, -5387,
    5216, 46569, 42265, -5387, -5387, 16589,  3472, 46569, 46569,  3439,
    2722,  2722, -5387,  3259, 46569, 46569, 46569,  2722,  2722, 11815,
   46569, 65119, 46569, 50335, 38522, 46569, 46569, 41727, -5387, 46569,
    3658, 51949, 46569,  1892,  3662, 46569,  1892, 11815,  3895,  3895,
    1225,  1774,  6933,  3440,  1867, -5387,  2722,   840,   301, 79260,
   46569, 46569, 46569, 46569, 72487,  3522,   208,100063, 46569,  3442,
    2009, -5387, 46569, -5387,  3444, 46569,  3526,  1048, 46569, 46569,
   46569, 46569, 46569, 46569, 46569, 46569, 46569, -5387, 53521,   313,
   -5387,  3743,  3764,    17,   902, 88623, 42803,  3756, -5387, 37444,
   -5387,   282, 93303, -5387, -5387,  1867,  3756, -5387, -5387, -5387,
   -5387, -5387,  1018,  3450, -5387,  3467, -5387, -5387, -5387, -5387,
   -5387,100063,  3559, -5387, -5387,  3534, -5387, -5387, -5387, -5387,
     496, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,  3455,
   -5387, -5387, -5387, -5387,  3455, -5387, -5387,  3432,  3459,  8183,
    3454, -5387, -5387, -5387, -5387,  3751,  3755,   816,125017,100063,
     424, 91743, -5387, 46569, -5387,  2380,  3473, -5387,  3739, -5387,
    3485, -5387, 13403,  3739, -5387, -5387, 50873,  3604,  3726,  3688,
   -5387, -5387, -5387,  3493, 16589, 46569, 46569, -5387,  2378, 16589,
    2435, -5387, -5387, -5387, -5387, -5387, -5387,  1310, -5387,100063,
    1059,  3482,  1481,  3548,  1466,  3929,100063, -5387, 60348,  2381,
    2310, -5387,  2573, -5387, -5387, 25436, -5387, 33842, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387,  3498, -5387, -5387,
   -5387, -5387, -5387,   199,  3499,  4009, -5387,129196, -5387, -5387,
   -5387,  3947, -5387,  2624, -5387,  2624,  4035, -5387, 93303, -5387,
   -5387, -5387, -5387,  1114, -5387, 10941, -5387, 10941, -5387,133273,
  100063,100063,  3696, -5387,  3920, -5387, 80302, -5387,  3508, -5387,
   79781, 75613, -5387, -5387,   869, -5387,   901,133273, -5387,100063,
  100063, -5387, 72487,133273,100063,100063, -5387,133273,100063,100063,
   -5387, -5387, -5387, -5387, -5387,128279,  1037, 86543,  3638, 84463,
   -5387, -5387,  3514,100063,  3569,  3771,  3772,  1173, -5387, -5387,
  117223, -5387,  3727,133273,100063,100063, 46569,  3733,100063,100063,
   -5387,   403,  3597,  3599, -5387,100063,  3610,  3763, 74050,  3525,
  100063,100063, 79260,  3608,   849, 74050,  3580, 65652,100063,100063,
  100063,100063,  3664,  3844, 79260,100063,  3792,  1094, 95383,   165,
    2452,  3247,  3749, -5387,  3859,  1719, -5387,133273, -5387,100063,
    3741, -5387, -5387, -5387, 84983,  3967,  3655, -5387, -5387,122943,
   -5387, -5387, -5387,  2394, -5387,133273,133273,100063,  9112,117743,
    1483,  3765, -5387, -5387, 79260, -5387,100063,100063,100063,  3867,
    3795,100063, 92263,118263,118783,   623,   979,  3797,100063, 92783,
    3798, -5387,  3687,100063, -5387, -5387, 73008,133273,100063,   396,
   72487, -5387, -5387,100063, -5387,  3768,   792, -5387,100063,  3805,
    3633,  3654,100063,  3769,   247,  2481,  3247,100063,100063,  3567,
    2395,133273,100063, 72487, -5387,  3773,    27, 95383, 95383,133273,
  100063, 95383, -5387,100063,120863, -5387,133273,  1298, -5387,  3716,
  133273,100063, 15191, -5387, -5387, -5387,   199, -5387, -5387, -5387,
   -5387, -5387,100063,100063,   199,100063,100063,   199,  1397, -5387,
  133273,100063, -5387, -5387, -5387,133273,100063,100063, -5387,133273,
    3392,100063, 72487, -5387,100063,  7283,100063,100063,100063,100063,
  100063,100063,133273,100063, -5387, -5387,  1244,  1723,    84,  1887,
     188,100063,  3858,100063,119303,133273,100063,100063,  2989,100063,
    1872, -5387, -5387,  3692, -5387,133273,  1298, -5387, 10445,100063,
  100063,  3656,  3657,   145,  3736, -5387, -5387, -5387, -5387, -5387,
   -5387,  2099,  4006,119823,  2099, -5387,  2099,  3842,  3639,  3643,
    2099,100063,100063, -5387, -5387, -5387, -5387,  3838,100063,  2099,
    2099,  2099,  3753,  3793,   157,  3870,  2409, -5387,  3607, -5387,
   46569, 79260,100063, -5387,  2410, -5387,  3612,   731, -5387, -5387,
   72487,100063,   189,   808,  3914,  3807, 83423,  1122,  3908,100063,
    3647,100063,  4036,  3693, 95383,  2934, -5387,  1122,100063, -5387,
    2109, 86543, -5387, -5387, -5387, -5387, -5387, -5387, -5387,100063,
   -5387, -5387,  3913,100063, 46569,  3770, -5387,  2989,  2934,  2934,
    2934,  2934, -5387, -5387, -5387, -5387,  3813,  2232, -5387,  3614,
    2934,100063,  3732,  3936,  1122,  3621,  3943, -5387,  3107,  3944,
    3946,100063,  3830, 83423,  2471,  3663,  3843,  4058,  2280,  2989,
    3845,  3831, -5387, 40664,  6755,  3833,  3888,130555, 97983, -5387,
    3641,  3926,  3927,  3948, -5387,   186, -5387,  4072, -5387, 46569,
    2440,  3644,   190, -5387, -5387,  3646,  3425,  3665,  3666,  3645,
    3649, -5387,  2722, 57728,  3650,  1498,  3868,  3661, -5387,   195,
   -5387,  3077, -5387,100063, -5387,100063,100063,100063,100063,   196,
   -5387, -5387,  3077,   816, -5387,  3901,   190,  3077,  3774,  3964,
  130555, -5387,   218, -5387,   223, -5387,  3863,   816, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387,  3873,  2280,  2342, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, 93303,
    2624, -5387,  2453, -5387,100063, -5387,  3945,  3949,  3950,  3672,
    3673,  3698,100063,  3674,  3672,   199,  3672,  3163,  3163,  3672,
    3673,132820,  4109,  3968, -5387,  3758,  3680,  3987,   748, -5387,
     825,  1159,  3911, -5387, -5387, -5387, -5387, 79260, -5387,133273,
    3722,100063,100063, -5387,   126,  3886,  3684,132820,  4103,   816,
   -5387, 74050, -5387, -5387, 79260,  3766,  3781, 74050,  3904,  3745,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, 79260, -5387,  3953,
  100063,100063,  2457, -5387,  2179, -5387,  2212, 46569,   205, -5387,
   14652,  2461, 46569,  3702,  3703, -5387, -5387, -5387, -5387, -5387,
   -5387,  3704,  3998, -5387, -5387,  2465,  2468,  2477,  3706,  3707,
    6376,  3709, 15433,  3710,  3714, 50335, 50335, 41189,  2645, -5387,
   50335,  3715,  3907,  2506, 14049,  3712,  3719, 15452, 43879, 46569,
   43879, 43879, 15757,  3712,  3721,  2510, 72487,  3899, 15825,  2516,
   -5387, 46569, 72487,  6592, 46569, -5387, 46569,  3723, -5387, -5387,
    5720,  5720,  5720, 11815, -5387,  3742, -5387, 50335, 50335, -5387,
    2987, 41189, -5387, -5387,  4025, -5387, -5387,  1672, -5387,  3729,
   -5387, -5387,  4400, 65119,  8800, 46569,   227, 46569,  3442, 46569,
    3802,  5720,  5720,  5720,   477,   477,   170,   170,   170,  2002,
     902, -5387, -5387, -5387,  3737,  3746,  3759,  3916,  3760, 46569,
   -5387,  2620,  2631,100063,  7918,  9358, 12805, -5387, -5387, -5387,
   54583,  3767, 46569, 46569, 46569,  3744, -5387,  2786, 16589,   571,
   -5387,  2822, -5387, -5387, -5387,  3767,  2599,  4035,  1018, -5387,
    1688,  2722,   840,127818, -5387, -5387, -5387, 46569, -5387, -5387,
   -5387, -5387,  2514, -5387, -5387, -5387, 16589, -5387,  2271, 46569,
   -5387, -5387,  2829,  3747,   149,  3932,  1321,  1321,  2378,  3933,
   -5387, -5387,  3794, -5387, 46569, -5387,  2523,  2571, -5387, -5387,
   -5387, -5387,  3163, -5387,  3971, -5387, -5387, -5387, 54583,  3778,
    3799,  1705, 59300,  3940, -5387,100063, -5387,100063,   233, -5387,
    3762, -5387, -5387, -5387, -5387,  1684, -5387, -5387, -5387, -5387,
   -5387, -5387,  3752, -5387,  3750, -5387,  3777, -5387, -5387, -5387,
   -5387,   202,  3757,  3779,  3783,  1964, -5387, -5387, -5387, -5387,
   75613,  2013, -5387, 79781, -5387, 79781, -5387,  2013,  4156, -5387,
   75613,  2138, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387,133273,133273,  3955,100063,  3958,
    3963, 46569,   762,100063,  3776,  3780,  1556,  4046,100063, -5387,
    4090,   816, -5387, -5387,  3849, -5387, 16589, -5387, -5387, -5387,
   -5387, -5387,133273,100063, -5387,130555, -5387,100063, -5387, 79260,
   -5387, -5387, -5387,100063,  3806,100063, -5387,100063,100063,100063,
   -5387, -5387, -5387, -5387, -5387,  1380, 79260, -5387, -5387,100063,
  100063,   125,  3850,  3851,100063, -5387,  1033,  3481, 12741,100063,
  100063,100063,  4045,100063, -5387, -5387, -5387, -5387,  3984, -5387,
   -5387, 75613, -5387,  3077,   114,  3857,  3247,  4000, -5387,  4108,
    3986, -5387,   829, -5387,100063,  3917, -5387, -5387, -5387, -5387,
    4112,   816,  4115,   816,100063,100063,100063,100063,  3921, -5387,
   -5387, -5387, -5387,  3922,  4034, -5387, 72487, 72487, 72487,  2562,
   -5387, -5387,  2989, -5387, -5387, -5387, -5387, -5387, -5387,  4073,
   -5387,  2568, -5387,  1807, -5387, -5387, -5387, -5387, -5387, -5387,
  133273,100063, 13067,  4117,100063,100063,100063,  2059, -5387,   906,
   79260, -5387, 77176, -5387, -5387,  2598, -5387,  3810,100063,  3880,
  133273,  3860,  3803,  3803, -5387, -5387,  3803, -5387, -5387,  4049,
    3988, -5387,  2117,  3989,133273,  3866, -5387, -5387,  3887, -5387,
   -5387,  3890,  2572,  3247,  3107, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
    1620, -5387, -5387,   697,   399,  2897,  3247, -5387,  4123, -5387,
    3894, -5387,  3896, -5387, -5387, -5387,  4054,  4055,  4057,  3905,
    3909,  3954,  3910,  3912,  3962, -5387,  3915,  3969,  3919,  3973,
    4038,  3923,   816, 79260,  4040,  2989,  3951,  4162,   816, -5387,
    3928, -5387,  3930, -5387,  4274, -5387,100063, -5387,  3934,  2931,
    3247, -5387, -5387,133273,100063, -5387, -5387, -5387, -5387, -5387,
   -5387, 79260,100063,  4114, -5387, -5387,  2099,100063,100063, -5387,
    4119,  4122,100063,  4124, -5387, -5387, -5387, -5387,   896, -5387,
   -5387, -5387,  3753,  4146, -5387,  2578, 61920,  7417,  3856,   259,
   -5387, 72487, 61920,  2252,  3058,   285,  1822, -5387,130555,100063,
  130555, -5387,   808,  3986,100063,100063,100063,  3869,  3864, -5387,
   -5387, -5387, -5387,133273,  1113,133273,  2722, -5387, -5387,  3937,
   -5387,100063,  2280,  2578,  4178, -5387,  3803, -5387,  4298,  3400,
    1669,  4022,  2083,  3059,  4239,  2514,   260, 72487,  3663, -5387,
   -5387, -5387, -5387,100063,100063,   731,  2989, -5387,  3879,  3881,
   -5387,100063,  4191,100063,100063,100063,100063,  2271,  3893,100063,
    3885, 79260,    42,  4089,  4088,  3245,  4321,  4215,  2271,  3663,
    3979,  4224,100063, -5387,  2603,   113, -5387,  2989,130555, 76134,
    4213, -5387,  3996, -5387, -5387,  1078,100063,  4198, -5387,100063,
   -5387, -5387, 58776, -5387, 79260,  2614, -5387, -5387, -5387,  2722,
   -5387, -5387,  1795,  1795,  3918, -5387, 58252, -5387,  3906, -5387,
    2495, -5387, -5387, -5387,   218,  3966,   816,  3970,   816, -5387,
   -5387,100063, -5387,100063,132367,   816, -5387, -5387,100063, -5387,
    4229,  4220, -5387, -5387, -5387, -5387,  4042,  4048,  4052,100063,
    3672, -5387,  3931,133273,  1712, -5387, -5387,  4120, -5387, -5387,
   95383,  4051, -5387, -5387, -5387, -5387,  4238,  4247, -5387, -5387,
   -5387,   859, -5387, -5387, -5387,133273, 87583,   269,133273, -5387,
    4176,  4186, -5387, -5387,  4192,   199, -5387,  4193, -5387,  4195,
    4196, -5387, -5387, -5387,  3939, 16043, 46569, -5387,  4269, 79260,
   -5387,  7445, -5387, -5387, -5387, 46569, -5387, -5387, -5387, -5387,
   -5387, 46569, -5387, 46569,  4244, -5387, 39061,  4399,  4399,  3952,
   79260, 50335, 50335, 50335, 50335,  1385,  3138, 50335, 50335, 50335,
   50335, 50335, 50335, 50335, 50335, 50335, 51411,   273, -5387,  4136,
   46569, 46569,  4259,  4244, -5387, 79260,  3956,  3712,  3960,  3961,
   46569, -5387, -5387,  2626, 52473,  3974, 72487, -5387, 46569, 14291,
    2647,  3997, 16115,  1867,  7709,  2989, 46569,  3489,  3568, 46569,
    2657, 46569,  4257, -5387, -5387, -5387,  3976, -5387, -5387, 79260,
   46569,  3978,  4655, 50335, 50335,  4888, -5387,  5089, 46569, 41189,
   -5387,  4150,  4003, 60872, -5387, 39600,  3975,  1216,  1216,  1216,
    1216, -5387,100063,100063,100063, 55107,  4281,  3980, 54059, 99023,
    3981,  2313, -5387, 99023, 99543, 99023, -5387,  3999, -5387,  3982,
    1867, 46569,  4278,   734,   734,  4150, -5387, 46569, 46569, 44417,
    3985, -5387,  4278, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,  3990, -5387,
    4002, -5387, -5387,   184,  3993, -5387, -5387, 16589,  4005,   202,
   -5387,  3994, -5387,  4010, -5387,  3747,  1665, -5387, -5387, -5387,
    4187, -5387, -5387, -5387, -5387,  3981, 44955,  4128, -5387, -5387,
   -5387,  4047,  2667, -5387, -5387,  4374,  4128, -5387, -5387,  2678,
   60348,  3778, 46569,  1867,  2722,  4008, -5387,  2624,  2599, -5387,
   -5387, -5387, -5387, -5387,  2686,  2167, -5387, -5387, 75613, -5387,
    4067,  3077,  3077,  1631,  3672,  4308,  1631,  8027, -5387, -5387,
   55631,100063,100063, -5387,100063,  2687,  1844,100063, -5387,100063,
   -5387, -5387, -5387, -5387,  4433, -5387,100063, -5387, -5387,  4062,
    4070,100063,100063,100063,100063,  4265, -5387, -5387,  2669, -5387,
   -5387,133273,100063, -5387, -5387, -5387,   293,  2960,  3247, -5387,
    4095, -5387, -5387, -5387,  4288, -5387,  4435,  4116,100063,  4348,
  100063,  4026, -5387,  1844,  4328,  1297,  3245,  2278,  4044, -5387,
    1242, -5387, -5387,  4099, -5387, -5387,100063, -5387,100063, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387,  4157, -5387, -5387, -5387,
   -5387, 73008, -5387, -5387,100063, -5387, 72487, 61920, 72487, -5387,
     738,   307,  2965,  3247,100063, -5387,  4118, -5387,  4121,  4125,
    4163,  1326,   796,  4126,  4127,  4164,  4037,  4039,  4053, -5387,
   72487, 62454,  4183,100063,  3077,  4041,  4074,   241,  2989, -5387,
   -5387,  2989,  3077,  2989,100063,100063,100063, 72487, -5387,  4458,
    4139,100063,100063,100063,100063,  4106, -5387,100063,100063,  4358,
    1219,  1878,133273,100063,100063,133273,100063,100063,100063,100063,
  100063,100063,  4372,100063, -5387,  4452,  4379,  2287,  4421,  4131,
  100063, -5387,100063,  2989,  3481,100063,100063, -5387, -5387,  4063,
    4323,  2099, -5387,  4325,  4326,  2099,  2099,  4327,  2099, -5387,
   -5387,  1822, -5387,   896,100063, -5387,  3607, -5387,  4010,  1321,
    1321, -5387, -5387, -5387, -5387, -5387, -5387, -5387,  2610,100063,
   -5387, -5387, -5387,100063,  4069,100063,100063, 50335, -5387,  2056,
    1681,   764, -5387,  4330,100063,  3392, -5387, -5387, -5387,  4235,
  100063, -5387, -5387, -5387, -5387, -5387,  1013,  3893, -5387,  4346,
   83423,  3077,133273,133273,  3077, -5387, 79260,  4075,  3663, -5387,
     768,  4155,133273,  1669,  1767,120343,  3393,  4110,  4280, 54583,
    1620, -5387,  4078,  4236, -5387,  4083,  4082, -5387, -5387,100063,
    3986,132367,  2697,  3107,  4519,  1281,  2216,  3722, 85503,  4270,
    3893,  4346, -5387, -5387, -5387,  4479,  4179, -5387,  2271,100063,
    3722,  4179,  2989,100063,  3569, -5387, 75613, 46569, 46569, -5387,
    4091, -5387,  4093,  6974, -5387,  4160,  4092, -5387, -5387, -5387,
   -5387, -5387, -5387,  4180,  4100,100063,  4560, -5387, -5387,  4102,
   -5387,  4107, -5387, -5387, -5387,  2413,125017, 58252, 58252, 58252,
   58252, 58252, -5387, -5387,100063, -5387,100063, -5387,   816, -5387,
    4225, -5387,   816,100063,  2271,100063,100063,100063,  3672,   199,
   -5387,  4405,132820, -5387, -5387,  2707,100063, -5387, -5387, -5387,
    4470,   134,  4413, -5387, -5387,  2282,  2282,  2282,  4373,  2282,
    2282,  2282, -5387, 46569, 16589, -5387,  4130, -5387, 16589,  8575,
   16589,  4259, -5387,  2718, 46569, -5387,  2436,  2436,  2436,  4957,
    4420, -5387,  1552,  4132,  2436,  2436,  2436,   160,   160,   161,
     161,   161,  4399,   273, 16589, 16589, -5387, -5387,  4133, -5387,
   -5387, -5387,  3712, -5387, 47645,  4273,  4533, -5387, -5387, -5387,
    4161,  4165,  4134, -5387, 46569, 48183,  4135, 80302,  4310, -5387,
    1835, 46569, 46569,  2560, -5387, 12851, 46569, 79260,  2721,  2560,
     377, 46569,  3977,  4347, 46569, 46569,  5773,  8892,  4140, 46569,
  123463, -5387, -5387, -5387,  2726, 46569,100063,100063,100063,100063,
   -5387, -5387, -5387, 99023, 99543, 99023,  4137, 52997, 57203,  2313,
    4141,100063, -5387, -5387,  4143, 54583,  4380,  4315, -5387, 54583,
    4315,  2357,  4315,  4385,  4221, 61396, -5387, -5387,  4144, -5387,
    4329, -5387, 37444,  2199, 16589,  4553,  4438, 46569,  4147,  4149,
    4151, 16589, 16589, 46569, -5387,  2989,  4438,  2599,  1163,  2989,
   -5387, -5387, -5387, 65119, -5387, -5387, -5387, -5387,  4352, 16589,
   42803, -5387,  2271,  2145,100063,  1867,   576, -5387,  4168,100063,
   -5387,  4128, 16589, -5387, 10941, -5387, -5387, -5387, -5387,  4222,
    2730, -5387, -5387, -5387, -5387, -5387, -5387,  4230, 86543,  4462,
   -5387, 46569,  2731, -5387,  4200,  4556,   141,  2736,  2737,  1844,
   -5387,  3392, -5387,  1746,  4441,   357, -5387,   816, -5387, 79260,
   -5387,100063,100063, -5387, -5387, -5387, -5387,100063,  3205, -5387,
   -5387,100063,100063,100063,100063, -5387,133273,100063, -5387,100063,
   -5387, 72487,  3058,  2056,  4453,  4378, -5387,   199, -5387,  2056,
    4381,   241,100063, -5387, -5387,  3036, -5387, 79260,   816,   816,
   -5387, -5387, -5387, -5387, -5387,  4181,  4582,  4261,100063,100063,
  100063, -5387,100063,133273,100063,100063,  2722,  2722, 79260,  4169,
   -5387,  2722,  2722,  4172, -5387,133273,100063,100063, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,  4255,
   -5387, 46569,  4578, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387,133273,100063,  4258, -5387,  4260, -5387,  2247, -5387,
   -5387,100063,100063,100063,100063,  4499, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387,100063, -5387,100063, -5387,
   -5387,  2989,  2989, 79260,   816,   816, -5387, -5387, -5387, -5387,
    4442,  2099, -5387,  2099,  2099, -5387, -5387,  2099, -5387,  4184,
     150, -5387,  1844,  2195,  4488, -5387,  4491, 46569, -5387,   781,
    4957, -5387,  4544,  4621, -5387, -5387, -5387, -5387,  3392,  2280,
    4248, 74050,  1453, -5387,  4472,   189,  4398, 83423,  4123,  1548,
    4194,  4316, -5387,  3077,  3077,  4251,100063,  4629, -5387, -5387,
   -5387, -5387, -5387, -5387,133273,  3860, -5387,  4416,  1294,  4512,
  100063, 46569,  3981, -5387,  2248,  4518, -5387,  2989, -5387, -5387,
    4333,  3663, -5387,  4539,100063,  4423, 83423,  3722, -5387,  2750,
   -5387, -5387, -5387,  4256,  4633,  2471, -5387,  4123,  4270,  1318,
  100063, -5387,  4262,  4657, -5387, -5387,  4528,  4428,  4231, -5387,
   16589, 16589,  2989, 80823,  3996, 79260,  4541,100063,   847,  4503,
  100063, -5387,   816, -5387, -5387,  4232,  2124,  2124, -5387, -5387,
   -5387,   816,   816, -5387,100063, -5387,  3672,  3672,  3672, -5387,
    4432, -5387, -5387,  4501, -5387,   816,132820, -5387, -5387, -5387,
   -5387, -5387,  2282, -5387, -5387, -5387, 16589, -5387, -5387, -5387,
   -5387, 10172, 50335,  4545, -5387,  4237, 79260, -5387,  4240,  2751,
    2763, 51949,  4397, -5387, -5387, -5387, 10343,  4295, 16589,  4349,
    4245,  4246,  2560,  2560, 12851,  2775, -5387,  2560, 46569, 46569,
    2560,  2560, 46569, -5387, -5387, 10804,  4429, -5387, -5387, 11309,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, 73529,  4249,  3899,
   99023,  4250,100063,  2313, 54583, -5387, -5387,  1735, -5387, 54583,
    4508, -5387, 54583, 74050, -5387,100063,  4253,100063, -5387,   571,
   48721, 46569,  4293, -5387, -5387, -5387,  4150, -5387,  4293, -5387,
    1321, -5387, -5387, -5387, -5387, -5387,  4263, 93303,   604, -5387,
    1705, -5387, -5387,  4639, 55631,  4602, 46569, -5387, -5387, -5387,
   -5387, -5387,132820,  4463,132820,  1844, 11640,  3392, 55631, 66185,
  100063,100063,100063,  4419,  3392,  4248, -5387, -5387, -5387, -5387,
   -5387, -5387,  4267, -5387, -5387, -5387, -5387,  4350, -5387, -5387,
      20,  3640, -5387,  2780, -5387,  4701,  4594, -5387, -5387, -5387,
   -5387, -5387, -5387,  4452, -5387, -5387, 61920,133273,100063, -5387,
    4353, -5387, -5387, -5387, -5387, -5387, 56679, 65119, -5387,  1326,
    4275,  4276,   796, -5387, -5387, -5387,100063, 11772,  4277,    52,
    3640,100063,100063,  4282,  4284,  1677,  1490,  2010,  3672,  4587,
   -5387, -5387, -5387, -5387,  4452, -5387, -5387,  2099, -5387, -5387,
   -5387, -5387, 72487, -5387,  2601, -5387,  1822,  4628, 74050,  4712,
    4712,100063, -5387, 12164,  4495, -5387, -5387,  4574,  4248,  4520,
    4567, -5387,  4290,100063,  4457,  4294,100063,  4296,  4415,   977,
     977,100063,100063,100063,  2787,  2271,  3077,  4074,  1669,  4617,
   83423,  4661,  3986,   296, -5387, -5387,  2248, -5387,  1513,  4636,
    4343, -5387,100063,  4734,100063,  2271,  3893,100063,  4303, -5387,
   -5387, 85503,  4502,  3058,135991,  4088,  4270,  2471,  4443, -5387,
    4445, -5387,  1234, -5387,  2271,100063,100063, 55631, -5387, 79781,
   -5387,  2796, -5387, -5387, -5387,  4377,  3767,  4411,  4422,  4312,
  100063,   109, -5387,  4320, -5387, -5387, -5387, -5387, -5387, -5387,
  100063, -5387,   269, -5387, -5387,  6039, 50335, 79260,  2801, 46569,
   -5387, 46569, -5387,  4727, -5387, -5387, -5387,   881, -5387, -5387,
   -5387,  2560,  2560,  2560, -5387,  4728,  4150, -5387, -5387,  2831,
    4748, 49797,  4713, -5387,100063,  2838, -5387, 46569,  4331, -5387,
   -5387, 54583,  1735,  4332,  2862,100063,  2866, 79260,  4319,  4344,
     606,  4351, 37983,  4322, -5387, -5387, -5387, -5387, -5387, 16589,
   16589,100063, -5387,  4345, -5387, -5387, -5387, -5387, -5387, -5387,
    4384,100063,  2871, -5387,    76, 16589,  1712,  1631,   269,  4556,
    4248, -5387,  4354, -5387, -5387, -5387,   316,   316,100063,  4248,
   -5387, -5387,100063,  4410, -5387, -5387, 72487,  4614, -5387,  4403,
   -5387,   594,  3640,100063, 79260, -5387,    80,  4637, -5387, 79260,
   79260, -5387, -5387, -5387, 46569,  4436, -5387, -5387, -5387,  1391,
    1243, -5387, -5387,100063,100063,100063,100063,100063,   816, -5387,
    2883, -5387,125987, -5387, -5387,  3337,  2989,  3337,  1734, -5387,
   -5387,  3337, -5387,  3337, -5387,  4184,  2989,  4712,  1220, -5387,
   -5387, -5387,  2146,  4546,  4355, -5387,  1051,  4548,  4437,  4356,
   -5387, 74050,  4813,  3893,  4346,100063, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387,  2906,  3986,  4671,  3663,
    4262, -5387,100063,  4391, -5387, 54583, -5387, -5387, -5387,  3337,
   -5387,  1966,  4359,  4682,  3986,  2271,  2216,  3722,  4270,  3893,
    4346, -5387, -5387,  4361, -5387, -5387,  4179,  2471,  4088, -5387,
   -5387,  4763,  4561,  4766,  3722, -5387,  3569,  2909, -5387,  6974,
   80823, 79260,  4706,  4404,  4412, -5387, -5387,  4425,100063, -5387,
   -5387,  2824,  4826,  3986, -5387,  6039,  2916, -5387,  2917,  2921,
    4531,  4431, -5387, 46569,  1409,  3999, 73529,  4382, -5387, 50335,
    2926, -5387,  4665,100063,  2938, -5387, 16589,100063, -5387, -5387,
   46569, -5387,  2941, -5387, -5387, 46569,  4383, 46569, -5387, 48721,
    4375, -5387,  4808, -5387,  2271, -5387,  3767, 55631, -5387,  4504,
   -5387,  4689, -5387,100063,  4426, 65119,  3747,  3747,  2280, -5387,
    1844, -5387,100063, -5387,  4355, 46569, -5387,  4476, -5387, -5387,
    2942,  1604,  4547,  4547,  2945,  2946, 12389,100063, -5387, -5387,
   -5387, -5387, -5387, -5387,  2949, -5387, -5387, -5387, -5387,  2950,
    3673,  2010,  3673, -5387,  3672, -5387, -5387, 72487, -5387,129649,
   -5387, -5387, -5387,  2989, -5387,  2989,  4607,100063, 68282,  2989,
    2989, -5387, -5387, -5387, -5387, -5387,  4733,  4675, -5387,  3107,
   -5387, -5387, -5387, -5387,   418, -5387,  4600,  4603,100063, -5387,
    4402, -5387,  2971,  4123,  4524,  3986, -5387, -5387,100063,  4837,
    4838, -5387,  1343,100063,  3981,100063, -5387, -5387, -5387, 46569,
    4573, -5387,  4262,  3722, -5387,  2471,  4123,  4270,  3058, 56155,
   -5387,  4088,  4179,  4611, -5387,  4612, -5387,  4417,  3663,  3996,
   -5387, -5387,   851,  4720,  4724, -5387, -5387, -5387, -5387, -5387,
  100063, -5387, -5387, -5387, -5387, -5387, -5387,  3712, 45493, 45493,
    4424, -5387, -5387,100063,  4957,  4439, 49797, 72487,  2986, -5387,
   77697, -5387,  2998,  3004, -5387,  3012, 48721,  3016, -5387,100063,
    4427, -5387, -5387, -5387, 60348,132820,   316,  4434, -5387,  4430,
   -5387, -5387,  4520,  1844,  3640, -5387, 16589,100063, 74050,  4839,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387,  3640,  4514,  1391,
   -5387,  1243,100063, -5387, -5387,  3017, -5387, -5387, -5387,100063,
    4078, -5387,  4078, -5387, -5387,  4558, -5387,  2701,   699,   699,
    4779, -5387,  4494, -5387, -5387,  4440, -5387,  4901,  4565,100063,
   -5387, -5387,  1326,  2271, 83423,  3986, -5387, -5387, 12423, 74050,
   -5387, -5387,  4088,  4270,  2471, 46569,  3021, -5387,  4556,   141,
    4179, -5387, -5387, -5387, 55631,  4179, -5387, -5387, -5387,  3025,
   74050, 74050, -5387, 49259,  4580,   139, 14686, -5387, -5387, -5387,
   -5387,  3026, 51949, -5387, -5387, -5387,100063,  4640,  2015, -5387,
    4595, -5387,  3041, -5387, -5387, -5387,  1619,   269,  3747, 46569,
    1844, -5387,  4548, -5387,  3640, -5387,100063, -5387,  4449, -5387,
   -5387, -5387, -5387,129649,  4078,  4343, -5387, -5387,  4895, -5387,
    1166, -5387, -5387, -5387, -5387,100063,  3986,  4169,  4262, -5387,
   -5387,  4451,  4179,  2471,  4088, 12690, -5387, 56155,100063,100063,
   -5387,  3044,  3767, -5387,  3093, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387,  4450,  4456,  4886, -5387, -5387, -5387, -5387, -5387,
   -5387,  3899, -5387, -5387, 50335,  4666, -5387,  2015, -5387, 50335,
    4460, -5387, -5387, -5387, -5387, -5387, 13071, -5387, -5387, -5387,
    1391, -5387,  4783, -5387, -5387, -5387,  3986, -5387, -5387, 71966,
   -5387,  4088,  4179,  4556, -5387, -5387, -5387,  3663, -5387,  1377,
   -5387, -5387,  1388,  2524,  4542,  4768, 46031,  4857,  4957, -5387,
   -5387,  4957, 46569, -5387,  1844,  3045,  4631, -5387,  3048, -5387,
   -5387, -5387, -5387, -5387,  4179, -5387,100063,  4179, -5387,  3093,
    4576,  4577, -5387,100063, 13161, -5387, 74050, -5387, 71966, -5387,
   -5387,  3767, -5387,  4505,  4509,  3056, -5387,  4474, -5387, -5387,
    4778,  4780, -5387, 71966, 74050, 74050,  3057, -5387, -5387, -5387
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
    2662,     0,     2,     1,  3093,  3097,  3101,  3102,  3019,  3103,
    3104,  3069,  3070,  3071,  3072,  3073,  3074,  3075,  3076,  3077,
    3078,  3079,  3080,  3082,  3081,  3083,  3084,  3085,  3086,  3087,
    3088,  3089,  3090,  3092,  3091,  3041,  2669,  3038,  3035,  3036,
    3037,  3042,  3040,  3033,  3034,  2229,  3106,  3094,  3107,  3095,
    3096,  3098,  3099,  3068,  3100,  3108,  3109,  3110,  3105,  3113,
    3064,  3065,  3063,  3066,  3067,  3111,  3112,  3055,  3056,  3057,
    3058,  3114,  2670,  2671,  3060,  2663,  2667,  2731,  2802,  3061,
    3062,  3059,  2668,  3054,  2802,     0,  2923,  2924,  2925,     0,
    2926,  2927,  2928,  2854,  2816,  2929,     0,     0,  2930,  2931,
    2932,  2933,  2934,  2935,  2936,  2937,     0,  2938,  2939,  2940,
    2941,  2801,  2942,  2943,  2944,  2945,  2778,  2784,  2907,     0,
    2758,  2759,  2755,  2757,  2756,  2760,  2743,  1425,   635,  1511,
    1510,     0,  2564,  1425,  2517,  2518,  2565,  2519,  2520,  2521,
     270,     0,  1513,  2522,  2566,     0,  1425,  2567,   433,  1117,
    2568,  2569,  2686,     0,  2523,  2524,     0,     0,     0,   635,
    1425,     0,     0,  2525,  1641,  2526,     0,  2527,  2570,  2571,
       0,  2528,  2529,  2572,     0,  2573,  2530,  2531,  2532,  2574,
    2575,  2576,  2533,  2577,  2578,     0,     0,  1655,     0,  2534,
    2579,  2535,  2536,     0,  2580,  2537,  2538,  2539,  2581,  2582,
    2540,  2541,  2542,     0,  2543,     0,     0,     0,     0,     0,
       0,  2583,  1425,  2544,     0,     0,  1662,     0,  2545,     0,
    2584,  2546,     0,  2547,     0,  2585,  2548,  2549,  2550,  2551,
    1655,  2903,  2779,     0,  1515,     0,  2552,  2586,     0,  2553,
    2554,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,
       0,     0,     0,    69,    70,    29,    28,    89,    52,    16,
      60,   123,   122,   124,    39,    35,    77,    24,    26,    36,
      40,    62,    64,    53,   101,    61,    22,    59,    84,    65,
      87,    47,    10,    11,    48,    12,    49,    13,    50,    14,
      97,    71,    90,    33,    58,    21,    41,    67,    68,     3,
      43,    79,    75,     9,    54,    55,    57,    81,    82,    83,
     106,    85,   118,    38,   115,    94,    95,   112,    96,   113,
       7,    98,    51,    15,   109,   108,   110,    78,    44,    80,
      66,    88,   107,    25,   111,    17,    18,    20,    19,    56,
      27,    63,    30,    86,   114,   104,   100,   119,   117,   125,
     102,    72,     5,     6,    91,     4,    23,    46,     8,    32,
      31,    45,    37,   121,    34,  1513,    93,   105,    92,    99,
      76,   103,   120,    74,   116,  1626,  1613,  1664,  1625,  1640,
       0,  1629,  2998,  2999,    42,  1641,   127,   128,   133,  2666,
    2720,  2721,  2722,  2802,  2753,  2754,  2747,  2763,  2773,  2762,
    2766,  2774,  2761,  2780,     0,   130,   132,   134,   137,   131,
     126,   129,   136,   141,   135,   140,   138,   139,   142,   143,
     144,  3000,  1889,  2997,    73,  2738,  2737,     0,  2802,     0,
    3030,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,
    2253,  2254,  2255,  2256,  2257,  2258,  2259,  2260,  2261,  2262,
    2263,  2264,  2265,  2266,  2267,  2268,  2269,  2270,  2271,  2272,
    2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,
    2283,  2284,  2285,  2286,  2287,  2288,  2289,  2236,  2290,  2291,
    2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,  2301,
    2302,  2303,  2304,  2305,  2306,  2307,  2308,  2309,  2310,  2311,
    2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,  2320,  2321,
    2322,  2323,  2324,  2325,  2326,  2327,  2328,  2329,  2330,  2331,
    2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,  2340,  2341,
    2342,  2343,  2344,  2345,  2346,  2347,  2348,  2349,  2350,  2351,
    2352,  2353,  2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,
    2362,  2363,  2364,  2365,  2366,  2367,  2368,  2369,  2370,  2371,
    2372,  2373,  2374,  2375,  2376,  2377,  2378,  2379,  2380,  2381,
    2382,  2383,  2384,  2385,  2386,  2387,  2388,  2389,  2390,  2391,
    2392,  2393,  2394,  2395,  2396,  2397,  2398,  2399,  2400,  2401,
    2402,  2403,  2404,  2405,  2406,  2407,  2408,  2409,  2412,  2410,
    2411,  2413,  2414,  2415,  2416,  2417,  2418,  2419,  2420,  2421,
    2422,  2423,  2424,  2425,  2426,  2427,  2428,  2429,  2430,  2431,
    2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,  2447,  2448,  2449,  2450,  2451,
    2452,  2453,  2454,  2455,  2237,  2456,  2457,  2458,  2459,  2460,
    2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,  2469,  2470,
    2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,  2479,  2480,
    2481,  2482,  2686,  2483,  2484,  2485,  2486,  2487,  2488,  2489,
    2490,  2491,  2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,
    2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,  2508,  2509,
    2510,  2511,  2512,  2513,  2514,  2515,  2516,  2704,  2234,  2235,
    2241,  2242,  2243,  2679,  2700,  2706,  3026,  2705,  2240,  2853,
       0,     0,  2946,  2947,  2948,  2949,  2950,  2951,  3001,  3002,
    3003,  3004,  3005,  3007,  3006,  2815,  2973,  3010,  2814,  3011,
    2818,  3012,  3013,  3014,  3015,  2974,  3016,  2817,  3008,  2970,
    2819,  2812,  2813,  2971,  2921,  2922,  2207,  2972,  2969,  3009,
    2707,  2968,  2823,  2822,  1603,  3025,  2206,  1604,     0,  2825,
    2952,  2953,  2954,  2955,  2957,  2956,  2958,  2587,  2588,  2589,
    2590,  2591,  2592,  2593,  2594,  2595,  2596,  2597,  2598,  2983,
    2599,  2600,  2601,  2996,  2602,  2603,  2984,  2604,  2605,  2606,
    2607,  2608,  2609,  2610,  2611,  2612,  2613,  2614,  2615,  2616,
    2617,  2618,  2619,  2620,  2621,  2622,  2623,  2624,  2625,  2626,
    2627,  2985,  2986,  2628,  2629,  2630,  2631,  2632,  2633,  2634,
    2635,  2636,  2637,  2638,  2639,  2640,  2641,  2642,  2643,  2644,
    2645,  2646,  2647,  2648,  2649,  2650,  2651,  2987,  2652,  2653,
    2988,  2654,  2655,  2656,  2989,  2657,  2658,  2659,  2660,  2661,
    2993,  2994,  2995,  2982,  2776,  2959,  2981,  2992,  2990,  2991,
    2786,  2782,  2790,  2785,     0,     0,     0,     0,  2802,  1424,
    1423,  1409,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   634,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2676,     0,  1435,   404,
     403,  1512,  1492,   635,     0,  1412,   432,  1641,     0,     0,
       0,     0,     0,     0,     0,     0,   863,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   193,
       0,     0,     0,     0,   458,   457,     0,     0,     0,  1090,
     463,     0,     0,     0,     0,     0,   623,  2685,  2680,  2690,
       0,  2683,  2684,  2968,     0,  3117,  2410,  2716,  2717,  3115,
    2467,  1605,   271,   274,   275,   272,   273,     0,  1212,  1213,
    1215,     0,     0,     0,  1225,   903,   904,     0,     0,     0,
     912,     0,     0,     0,   901,     0,     0,     0,   917,   914,
       0,   918,   915,   898,   916,   905,     0,   897,     0,     0,
    1225,   919,     0,     0,   899,     0,     0,     0,     0,  1413,
       0,  2768,  2769,  2341,  1553,   464,     0,     0,  1641,     0,
    1530,  1531,  1513,  1520,  1532,  1525,  1527,  1526,  1528,  1524,
    1529,  2245,  1030,  2260,  1030,  2330,  1027,  1028,  1030,  1030,
    1030,  2429,     0,     0,  1002,     0,  1013,  2230,  1030,  2231,
    3026,  1035,   525,   525,   525,     0,  1034,  1039,   525,     0,
    1406,  1444,  2211,  1654,     0,  2260,  2330,  1003,  1405,  2483,
    1544,     0,     0,  1240,  1236,  1238,  1239,  1237,     0,     0,
       0,  2445,  1417,   255,  2966,  2455,  2548,  2483,  2967,   254,
     249,   250,  2961,  2962,  2964,   223,  2965,  2963,  2960,  2249,
       0,     0,  1034,     0,  1414,  1415,   985,  1661,  1659,     0,
    2193,     0,     0,  2268,     0,  2282,  2366,   246,  2440,  2446,
    2455,  2548,  2483,  2514,   202,   212,   207,     0,   264,  2455,
    2548,  2483,     0,  1435,     0,  1630,  1763,  2202,     0,     0,
    2777,  1408,  1407,  1514,     0,  1517,     0,  2424,  1634,  1637,
    1519,  1635,  1626,     0,     0,  2665,  1508,  1658,  1658,     0,
    1658,     0,  1618,  1626,  1621,  1625,     0,     0,     0,     0,
    1425,     0,  2745,  2773,  2752,  2808,  2749,     0,     0,  2798,
    2794,  2791,  2799,  2800,  2793,  2781,  1878,  1879,  1880,  1877,
    1890,  1876,     0,  2726,  1881,  2765,  2732,     0,  2740,  2739,
    3043,  3044,  2855,  2678,  2697,     0,     0,     0,     0,     0,
       0,     0,  2824,  2826,  2828,  2788,  2787,  2783,     0,     0,
       0,     0,  2913,  2914,  2912,     0,  2909,  2911,     0,  2808,
       0,     0,  2977,  2971,  2980,     0,  2212,  2972,  2969,  2968,
       0,   922,     0,  1447,  1076,     0,     0,     0,     0,     0,
       0,     0,  1125,  1126,     0,  2234,     0,  2340,     0,     0,
       0,  2104,  2115,  2116,  2117,  2272,  2325,  2112,  2113,  2114,
    2106,  2107,  2108,  2109,  2110,  2111,     0,     0,  1207,  2105,
       0,  2340,     0,     0,   172,     0,   149,     0,     0,  2340,
       0,     0,     0,     0,     0,     0,     0,  2340,     0,     0,
       0,     0,     0,   172,  2371,     0,   149,  2340,     0,     0,
       0,  1429,     0,     0,     0,  1431,  1434,  1410,  1495,     0,
    2202,     0,     0,     0,   956,   949,     0,   957,   964,     0,
       0,   966,     0,     0,   950,     0,     0,     0,     0,   969,
     970,     0,   971,   951,   972,   952,   973,   953,   974,     0,
       0,     0,     0,   954,     0,     0,     0,  1421,     0,  1546,
    1548,  1547,  1545,   525,     0,     0,     0,     0,  2340,     0,
       0,   149,  1480,     0,  2340,   149,     0,     0,   462,   461,
     149,   460,   459,  2272,  2325,     0,  1116,     0,  1364,   149,
    2340,     0,   195,  2340,   707,  2340,  1519,     0,   638,     0,
       0,   818,  2371,   149,     0,     0,     0,     0,     0,     0,
    1093,     0,     0,     0,   622,   635,     0,  2689,  2695,     0,
    2687,  2856,  3118,  3116,  2811,     0,  1216,   247,   248,  1214,
     910,  2340,  1158,   358,   358,     0,     0,  2340,  1466,  1838,
    1867,  1845,  1867,  1867,  1834,  1834,  2309,  1847,  2340,  1835,
    1836,  1872,     0,  1867,  1834,  1839,     0,  1837,  1875,  1875,
    1862,   358,   926,  1819,  1820,  1821,  1822,  1848,  1849,  1823,
    1854,  1855,  1859,  1824,  1889,  2978,  1834,  2979,  2976,  2975,
     911,     0,   902,  2340,   358,  1122,  2340,  2238,   182,     0,
     900,  2272,  2325,  2340,   358,  1209,     0,  2340,   178,  2340,
     358,  2340,   639,     0,     0,  2340,   358,  2340,  2371,   180,
       0,  2340,   358,   920,  2340,   358,  2204,  2340,     0,     0,
       0,  3048,  3052,     0,  3050,  3045,  2767,  2821,  2820,  2719,
       0,  3129,     0,  1605,  1522,  1537,     0,  1533,  1540,  1536,
    1641,  1030,  1029,     0,  1030,     0,  3139,  1030,     0,  1030,
       0,  3139,  1030,     0,     0,     0,  1030,  2232,  2233,     0,
       0,  3138,  3134,  3137,  1004,  1014,     0,  1036,     0,     0,
    1043,  1042,  1041,     0,     0,     0,  1044,     0,  1767,  1580,
       0,  1011,     0,  1009,     0,  1403,  1420,     0,     0,     0,
       0,  1093,  1243,     0,  1241,  1232,  1233,  1416,   253,   251,
       0,     0,     0,     0,     0,     0,  1422,     0,     0,     0,
       0,  3032,  2218,  2118,  3031,     0,  2518,  2519,  2520,  2177,
       0,  2973,  2521,  2522,  2566,  2020,  2007,  2016,  2021,  2008,
    2010,  2017,  2523,  2524,  1955,  2525,  2526,  2225,  2527,  2528,
    2529,  2531,  2532,  2533,  2012,  2014,  2534,  2535,     0,  2226,
    2537,  2538,  2393,  2540,  2541,  2543,  2544,  2018,  2546,  2547,
    2548,  2549,  2550,  2551,  2224,     0,  2019,  2552,  2554,  2555,
    2556,  2557,  2559,  2560,  2561,  2562,     0,     0,     0,  2199,
       0,  1987,     0,  1827,  1828,  1850,  1851,  1829,  1856,  1857,
    1830,     0,  2198,  1892,  2069,  1986,  2003,     0,  1992,  1993,
       0,  1985,  1981,  1644,  2194,     0,  1982,  2214,  2178,  2228,
    2227,  3026,  2188,  2217,  2215,  2216,  1644,  2192,     0,     0,
       0,   215,     0,     0,  2902,   266,     0,   267,  2200,  2455,
     203,   245,   217,   244,   218,   216,     0,  2270,   204,     0,
       0,   205,     0,     0,     0,     0,     0,     0,     0,   260,
    1411,     0,  1765,  1764,  2185,     0,  2186,  2203,   931,     0,
    1505,  1506,  1504,     0,  1501,  1503,  1507,  1516,  1513,  2128,
       0,  1636,     0,     0,     0,  1616,  1615,  1519,  1656,  1657,
       0,     0,     0,     0,     0,     0,     0,     0,  1712,  1672,
    1673,  1675,  1709,  1713,  1721,     0,  1622,     0,     0,  1769,
       0,     0,  2664,  2808,  2809,     0,  2803,     0,  2802,  2802,
    2796,  2795,  2792,     0,     0,     0,     0,     0,     0,     0,
       0,  2723,   617,  2725,   614,     0,     0,  2699,     0,  2703,
    2701,     0,  2848,  2851,     0,  2849,  2850,  2852,     0,  2857,
    2858,     0,     0,  3039,     0,     0,     0,  2839,  2827,  2834,
    2836,  2838,  2837,  2846,  2842,  2845,  2847,  2789,  2802,  2920,
       0,  2915,  2918,     0,  2910,     0,     0,     0,     0,     0,
    1157,  2213,     0,     0,     0,     0,     0,   923,     0,     0,
       0,     0,  1455,  1456,  1457,     0,     0,  1458,  1459,  1447,
     257,  1465,  1463,  1446,  1448,  1461,  1453,     0,     0,     0,
       0,     0,     0,     0,  1472,     0,   186,   187,     0,   651,
     635,     0,  2340,     0,     0,     0,     0,     0,  1165,  1172,
       0,     0,     0,     0,     0,     0,     0,     0,  1166,  1164,
    1167,   259,  1176,  1193,  1196,     0,  1124,  1127,     0,     0,
       0,     0,     0,  1298,     0,     0,     0,  1298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   282,   294,   353,     0,     0,  2340,     0,     0,     0,
       0,  1211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   147,   148,   153,     0,     0,
       0,     0,     0,     0,     0,   600,   613,     0,     0,     0,
       0,     0,   610,     0,     0,   149,   286,   590,   596,     0,
       0,     0,   714,   713,     0,     0,     0,     0,  1380,  1379,
       0,     0,     0,     0,  1470,  1469,     0,     0,     0,     0,
       0,  1298,     0,   276,   278,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     396,   397,     0,     0,     0,   153,     0,     0,     0,     0,
     288,     0,  2733,     0,  1430,  1427,  1428,     0,  1433,     0,
    1491,     0,   963,     0,     0,     0,     0,   965,     0,   958,
       0,     0,   955,  2272,  2325,     0,     0,     0,     0,     0,
       0,     0,   968,     0,     0,     0,   435,     0,     0,   815,
       0,     0,     0,     0,     0,     0,   826,     0,  1447,  1479,
       0,     0,     0,   644,     0,  2340,     0,   151,   864,     0,
     816,   463,     0,     0,     0,  1188,  1363,   151,     0,     0,
     189,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   756,   755,     0,     0,     0,   817,     0,
       0,   151,     0,  2340,   593,  2340,     0,   525,   525,     0,
       0,  1092,  1095,     0,     0,     0,     0,  2693,  2688,  2691,
       0,  2681,  2695,  1608,  1610,  1609,     0,  1607,     0,   356,
     357,     0,  1199,   813,  1224,     0,     0,  1866,  1853,  1861,
    1860,     0,  1843,  1842,  1841,     0,  1840,     0,  1867,  1867,
    1865,  1844,  1819,     0,     0,     0,  1871,     0,  1869,     0,
     893,  1815,  1811,     0,  1878,  1877,  1876,     0,  1825,  1834,
    1831,   913,     0,     0,  1197,     0,     0,  2340,   358,  2340,
       0,  2340,     0,     0,     0,  1201,   358,     0,     0,  1381,
       0,   909,   907,   906,   908,     0,     0,   891,     0,     0,
       0,  2340,   358,     0,     0,   886,     0,     0,   888,     0,
       0,  3046,     0,     0,  3049,     0,  2770,     0,  3135,  1549,
    3132,     0,     0,  1641,     0,   234,   235,   233,  1538,   236,
    1539,  1535,  1521,     0,  1022,     0,  3139,  3140,  1007,     0,
    1017,     0,  3139,  1005,     0,  1018,  1015,  1016,     0,     0,
       0,  3133,  3017,  3023,  1021,     0,     0,   526,   528,     0,
       0,  2293,  2308,     0,  2331,  2359,  2360,  2446,  2451,     0,
    2478,  2488,     0,  1045,  1071,  1040,   725,     0,     0,  1590,
    1012,  1010,  1404,  1542,  2135,     0,  1641,     0,     0,     0,
       0,   252,   224,     0,     0,     0,  1073,  2445,  1419,   984,
     635,     0,     0,  1990,  1991,  2176,     0,     0,     0,     0,
       0,     0,  1989,  2143,     0,     0,     0,     0,     0,  1915,
       0,     0,     0,  2156,     0,  2162,     0,     0,  1952,     0,
       0,     0,     0,     0,     0,     0,     0,  1916,  1896,  1897,
    2974,  1987,  2128,     0,  1988,  2221,     0,  1889,  2118,     0,
    2115,  2116,  2117,     0,     0,     0,  2191,     0,  2126,     0,
       0,  1930,  2124,  1932,     0,     0,     0,     0,  2112,  2113,
    2114,  2106,  2107,  2108,  2109,  2110,  2111,  2122,  1912,     0,
    2197,     0,  2071,     0,  1911,     0,     0,  1725,  1643,     0,
    2219,  2179,     0,  3024,  3027,  1983,  1725,  2899,  2898,  2897,
    2896,  2867,     0,  2861,  2862,     0,  2900,  2901,   268,   269,
     265,     0,     0,   220,   219,     0,   242,   243,   214,   241,
       0,   237,   238,   222,  2060,  2059,   221,   213,   210,   208,
     225,   227,   228,   211,   209,   263,   261,     0,     0,  2184,
       0,  2181,  2180,  2209,  2187,     0,     0,   358,  2802,  1499,
       0,  1496,  1722,     0,  1638,     0,     0,  1509,  1633,  1632,
    1665,  1666,  1109,  1631,  1692,  1693,     0,     0,     0,     0,
    1718,  1716,  1683,  1676,  1682,     0,     0,  1680,     0,  1684,
    1892,  1711,  1620,  1670,  1671,  1674,  1619,     0,  1714,     0,
    1593,  1712,  1675,  1577,     0,  1555,     0,  1770,     0,     0,
       0,  2810,  2808,  2748,  1819,  2802,  2741,  2802,  2797,  2729,
    1883,  1884,  1885,  1886,  1887,  1888,  2730,     0,  2727,  1882,
    2728,   615,   616,     0,     0,     0,  2696,     0,  2677,  2702,
    2833,  2463,  2865,     0,  2866,     0,     0,  2830,     0,  2840,
    2843,  2841,  2844,     0,  1819,  3020,  2916,  3020,  1819,     0,
       0,     0,  1137,  1139,     0,  1138,     0,  1141,     0,  1150,
       0,     0,  1136,  1155,     0,  1144,  1142,     0,  1468,     0,
       0,   924,     0,     0,     0,     0,  1454,     0,     0,  2478,
     256,  1457,  1462,  1449,  1460,     0,     0,     0,     0,     0,
    1075,  1074,     0,     0,  1097,     0,     0,     0,  1475,   514,
       0,   355,     0,     0,     0,     0,     0,     0,     0,     0,
     811,   808,     0,     0,   807,     0,   649,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,  1298,
       0,   719,     0,  1174,     0,     0,  1173,     0,  1177,     0,
       0,  1175,  1170,  1171,  2446,  2455,  2483,   258,  1195,     0,
    1194,  1192,  1119,     0,  1120,     0,     0,     0,     0,     0,
    2318,  2340,   298,   317,     0,  1297,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   340,     0,     0,   343,   342,     0,     0,     0,     0,
       0,   347,   326,     0,   327,     0,     0,   346,     0,     0,
       0,     0,     0,     0,  1298,     0,   290,     0,     0,     0,
       0,     0,     0,     0,  1208,     0,   742,     0,     0,     0,
       0,     0,  1367,     0,     0,   175,     0,   170,   174,     0,
       0,     0,     0,   598,   599,   612,     0,   603,   604,   601,
     605,   606,     0,     0,     0,     0,     0,     0,     0,   597,
       0,     0,   709,   708,   712,     0,     0,     0,  1376,     0,
    1188,     0,     0,  1375,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1245,  1244,     0,     0,     0,     0,
       0,     0,   854,     0,     0,     0,     0,     0,     0,     0,
       0,   177,   729,     0,   728,     0,   171,   176,     0,     0,
       0,     0,     0,     0,     0,   232,  1426,  1432,  1494,  2210,
    1493,     0,     0,     0,     0,   967,     0,     0,     0,     0,
       0,     0,     0,   959,   960,   961,   962,     0,     0,     0,
       0,     0,   410,     0,     0,     0,     0,   842,  2975,   814,
       0,     0,     0,   828,     0,   831,   834,     0,  1445,   482,
       0,     0,   641,   687,     0,     0,   466,   184,     0,     0,
       0,     0,   744,     0,     0,     0,  1362,   146,   193,   195,
     464,     0,   194,   196,   198,   199,   200,   197,   201,     0,
     706,   710,     0,     0,     0,     0,   637,     0,     0,     0,
       0,     0,   757,   761,   760,   764,   762,     0,   758,     0,
       0,  1790,     0,     0,   169,     0,     0,   588,   592,     0,
    2672,     0,     0,   466,   566,   369,  2340,     0,   525,     0,
    2340,     0,  1094,     0,     0,     0,     0,     0,     0,  2694,
       0,     0,     0,     0,  1606,   358,  1159,     0,  1467,     0,
       0,     0,   358,  1864,  1863,  1816,  1812,     0,     0,     0,
       0,   927,     0,     0,     0,     0,     0,     0,  1832,   358,
    1123,   183,  2239,     0,   895,     0,     0,     0,     0,   358,
    1210,   883,   179,   358,   640,     0,   358,   181,     0,     0,
       0,   632,   358,   921,   358,  2205,     0,   358,  3047,  3053,
    3051,  1552,  3136,  3130,  3131,  2340,   525,  1610,  1523,  1534,
    1019,  1026,  1008,  1025,  1024,  1006,  1023,  1020,  2832,     0,
       0,  3022,     0,  1037,     0,   524,     0,     0,     0,  1051,
    1052,     0,     0,  1050,  1053,     0,  1055,  1047,  1046,  1056,
    1057,     0,     0,  1073,   723,     0,     0,     0,     0,  1587,
       0,  1585,     0,  1768,  1589,  1578,  1543,     0,  1541,     0,
     581,     0,     0,  1242,     0,     0,  1034,     0,     0,   358,
    1418,     0,   986,   992,     0,     0,     0,     0,     0,     0,
     995,   996,   997,   988,   998,   989,   999,     0,   990,     0,
       0,     0,     0,  2139,     0,  2140,     0,     0,  2175,  2171,
       0,     0,     0,     0,     0,  2147,  2148,  2149,  2146,  2150,
    2145,     0,     0,  2151,  2144,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2544,     0,     0,     0,     0,  1956,
       0,     0,  2099,     0,  2128,  2161,     0,     0,     0,     0,
       0,     0,  2128,  2167,     0,     0,     0,     0,  2058,     0,
    2055,     0,     0,     0,     0,  2188,     0,     0,  2222,  1893,
    1907,  1908,  1909,  1913,  2196,     0,  2190,     0,     0,  1894,
    1921,     0,  2168,  1948,     0,  1953,  1936,     0,  1929,     0,
    1934,  1938,  1917,     0,  1914,     0,  2191,  2127,     0,  2125,
       0,  1904,  1905,  1906,  1898,  1899,  1900,  1901,  1902,  1903,
    1910,  2103,  2101,  2102,     0,     0,     0,  2079,     0,     0,
    1933,  2334,  2366,     0,  1655,  1655,  1655,  1642,  1653,  2195,
       0,  1785,     0,     0,     0,     0,  1995,     0,  2132,  1664,
    2130,  2212,  3029,  3028,  2189,  1785,     0,     0,     0,  2201,
       0,     0,  1889,     0,   262,  1766,  2182,  2185,   929,   930,
     928,  1819,  1519,  1502,  1498,  1497,  2129,  1518,  1641,     0,
    1107,  1108,     0,  1112,  2544,  2443,     0,     0,     0,     0,
    1685,  1719,     0,  1710,     0,  1686,  2214,  2215,  1687,  1690,
    1691,  1681,  1720,  1591,     0,  1715,  1624,  1623,     0,  1788,
       0,     0,     0,  1569,  1557,     0,  1771,     0,  1725,  1595,
       0,  2188,  1723,  2746,  2804,  2751,  2772,  2742,  2775,  1891,
    2724,  2764,     0,  2698,  2868,  2869,     0,  2859,  2860,  2829,
    2835,  2906,     0,  3021,     0,     0,  1340,  1246,  1305,  1140,
       0,  1834,  1151,     0,  1135,     0,  1134,  1834,     0,  1152,
       0,  1834,  1341,  1247,  1306,   925,  1342,  1248,  1307,  1343,
    1249,  1464,  1452,  1451,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   792,
    2340,   358,  1473,  1344,     0,  1250,   354,  1474,  1308,  1478,
     810,   809,     0,     0,  1309,     0,   650,     0,   654,     0,
     656,   657,   658,     0,     0,     0,   659,     0,  2272,  2325,
     661,   664,   671,   676,   666,     0,     0,   678,   672,     0,
       0,     0,     0,     0,     0,   684,   686,     0,     0,     0,
       0,     0,     0,     0,  1168,  1169,  1345,  1253,     0,  1310,
    1118,     0,  1254,   185,     0,     0,   283,  2340,   300,     0,
     691,   792,  1300,   324,     0,     0,   339,   334,   335,   333,
    2340,   358,  2340,   358,     0,     0,     0,     0,     0,   336,
     331,   332,   328,     0,     0,   341,  2248,  2310,  2456,     0,
     695,   697,     0,   702,   344,  1272,   365,   364,   363,     0,
     348,     0,   370,   373,   345,   322,   325,   323,   319,   295,
       0,     0,     0,     0,     0,     0,     0,     0,  2208,     0,
       0,  1203,     0,  1348,  1311,     0,  1331,     0,     0,     0,
       0,   736,  1368,  1370,  1360,  1260,  1369,   173,  1287,     0,
       0,   158,     0,     0,     0,     0,   152,   162,     0,  1351,
    1261,     0,     0,   287,   591,   602,   607,  1266,   611,   608,
    1321,   609,  1358,  1262,  1354,  1290,  1316,  1361,  1377,  1263,
    1188,  1372,  1374,     0,  1298,     0,   277,   279,     0,   297,
       0,  1264,     0,  1314,  1353,  1289,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1481,     0,     0,     0,     0,
       0,     0,   358,     0,     0,     0,  1300,  2340,   358,  1352,
       0,  1295,     0,  1329,     0,   398,     0,  1288,     0,     0,
     289,  1268,  1323,     0,     0,   230,   229,   231,   976,   936,
     975,     0,  2308,     0,   935,   937,     0,     0,     0,   938,
       0,     0,     0,     0,   934,   932,   933,   409,     0,   434,
     407,   408,   410,     0,   841,     0,     0,     0,     0,     0,
     830,     0,     0,     0,  1471,     0,   149,   648,     0,     0,
       0,   643,   686,   691,     0,     0,     0,     0,   465,   469,
     473,   474,   475,     0,     0,     0,     0,   163,   150,     0,
     872,     0,   525,     0,   746,  1366,  1365,  1187,     0,   195,
     188,     0,     0,   707,     0,  1519,     0,     0,   369,   825,
     823,   822,   824,     0,     0,     0,   846,   821,     0,  1789,
    1791,     0,     0,     0,     0,     0,     0,     0,   468,     0,
       0,   528,     0,     0,   570,     0,     0,     0,     0,   369,
       0,     0,     0,  1129,     0,  1147,  1130,     0,     0,     0,
       0,  1181,  1188,  1182,  1160,     0,     0,   620,  2692,  2686,
    1611,  1612,     0,  1200,     0,     0,  1833,  1846,   894,     0,
    1874,  1873,  1875,  1875,     0,  1817,     0,  3119,  3127,  3126,
       0,  1858,  1826,  1198,   358,     0,   358,     0,   358,  1202,
    1382,     0,   892,     0,     0,   358,   885,   887,     0,   889,
       0,     0,  2831,  3018,  1038,   527,     0,     0,     0,     0,
    1049,   618,  1054,     0,  1066,  1061,  1063,     0,  1067,   722,
       0,     0,  1588,  1581,  1583,  1582,     0,     0,  1579,  2136,
     884,     0,   587,  1234,  1235,     0,     0,   358,     0,  1068,
       0,     0,   993,   987,     0,     0,   991,     0,   994,     0,
       0,  1660,  2137,  2138,     0,     0,     0,  2172,     0,     0,
    2033,     0,  2009,  2011,  2023,     0,  2034,  1994,  2035,  2013,
    2015,     0,  2119,     0,     0,  2024,     0,  1958,  1959,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1974,  1973,  2025,  2098,
       0,     0,  2159,  2160,  2026,     0,     0,  2166,     0,     0,
       0,  2031,  2036,     0,     0,     0,     0,  2042,     0,  2063,
       0,     0,     0,  1984,  2129,     0,     0,     0,     0,     0,
       0,     0,     0,  1954,  1937,  1931,     0,  1935,  1939,     0,
       0,     0,  1925,     0,     0,  1923,  1949,  1919,     0,     0,
    1950,     0,     0,     0,  2002,     0,     0,  1655,  1655,  1655,
    1655,  1652,     0,     0,     0,     0,  2443,  2563,     0,  1749,
    1724,  1726,  1736,  1749,  1754,  1749,  2004,  1783,  2005,     0,
    2202,     0,  1695,  1664,  1664,  1664,  2001,     0,     0,     0,
       0,  1663,  1695,  2881,  2883,  2884,  2885,  2886,  2887,  2889,
    2890,  2892,  2893,  2894,  2882,  2888,  2891,  2895,  2872,  2873,
       0,  2863,  2864,   206,     0,   239,   226,  2184,     0,  2906,
    1500,     0,  1667,     0,  2120,  1112,     0,  1669,  1688,  1689,
       0,  1679,  1717,  1677,  1592,  1576,     0,  1574,  1561,  1563,
    1562,     0,     0,  1564,  2188,     0,  1574,  1556,  1600,     0,
       0,  1788,     0,  1599,     0,  2806,  2734,     0,     0,  2905,
    2908,  2919,  2917,  2744,     0,  1834,  1132,  1133,     0,  1156,
       0,  1078,  1079,     0,  1077,     0,     0,     0,   513,  1096,
       0,     0,     0,   792,     0,     0,   517,     0,  1476,     0,
    1359,  1286,   652,   653,     0,   665,     0,   674,   673,     0,
       0,     0,     0,     0,     0,     0,   660,   680,   624,   681,
     683,     0,     0,   682,   685,   688,  1298,     0,   720,  1274,
       0,  1327,  1162,  1301,     0,  1121,     0,     0,     0,     0,
       0,     0,   482,   318,     0,     0,     0,   149,     0,   302,
     310,   376,   316,     0,  1304,   350,     0,   321,     0,   314,
     337,   329,   338,   330,   349,   351,     0,   699,   700,   698,
     694,     0,   701,   703,     0,   367,     0,     0,     0,  1347,
       0,  1298,     0,   291,     0,  1270,     0,  1325,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1330,
       0,     0,     0,     0,   741,     0,   738,     0,     0,   155,
     154,     0,   161,     0,     0,     0,     0,     0,  1378,     0,
       0,     0,     0,     0,     0,     0,   296,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   399,   360,     0,   849,     0,     0,
       0,   401,     0,     0,     0,     0,     0,  1346,  1255,     0,
       0,     0,   947,     0,     0,     0,     0,     0,     0,   412,
     413,   149,   411,     0,     0,   843,     0,   840,  2393,  2106,
    2107,   838,   844,   835,   837,   836,   839,   792,     0,     0,
     827,   832,   833,     0,     0,     0,     0,     0,   497,     0,
       0,     0,   488,     0,     0,  1188,   481,   484,   485,     0,
       0,   644,   647,   645,   646,   679,     0,   468,   504,   552,
       0,   165,     0,     0,   166,   164,     0,     0,   369,   743,
       0,   740,     0,   191,   464,     0,   711,     0,     0,     0,
    1188,   636,   763,   766,   759,     0,   845,   847,   819,     0,
     691,     0,     0,   593,     0,   525,  1553,   581,     0,   554,
     468,   552,   564,   563,   565,     0,   572,   368,     0,     0,
     581,   572,     0,     0,  1097,  1128,     0,     0,     0,  1178,
    1183,  1179,     0,     0,  1143,     0,  1180,  1161,  1115,  1398,
    1399,  1396,  1397,     0,     0,     0,  2709,  1602,  2718,     0,
    1852,     0,  1870,  1868,  1813,     0,  2802,     0,     0,     0,
       0,     0,  1818,   896,     0,   879,     0,   881,   358,   730,
       0,   633,   358,     0,     0,     0,     0,     0,  1048,     0,
    1064,     0,     0,  1031,  1070,     0,     0,  1586,  1584,   579,
       0,  1073,     0,  1032,  1072,     0,     0,     0,     0,     0,
       0,     0,  2141,     0,  2174,  2170,     0,  2006,  2142,     0,
    2154,  2153,  2099,     0,     0,  1957,  1969,  1970,  1971,  2155,
       0,  1979,     0,     0,  1966,  1967,  1968,  1960,  1961,  1962,
    1963,  1964,  1965,  1972,  2164,  2163,  2157,  2158,     0,  2028,
    2029,  2030,  2165,  2037,     0,  2263,  2064,  2041,  2057,  2056,
       0,     0,     0,  2044,     0,     0,  2053,     0,  2100,  2223,
    1895,     0,     0,  1922,  2169,  1940,     0,     0,     0,  1918,
    2119,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
    2082,  2077,  2078,  2096,     0,     0,     0,     0,     0,     0,
    1646,  1645,  1651,  1749,  1754,  1749,     0,     0,  1626,     0,
    1736,     0,  1748,  1734,  1747,     0,     0,  1760,  1758,     0,
    1760,     0,  1760,     0,  1728,     0,  1750,  1730,  1747,  1732,
       0,  1775,     0,  2203,  1784,     0,  1708,     0,     0,     0,
       0,  2133,  2134,     0,  2131,  1996,  1708,     0,     0,     0,
    2183,  2904,  1639,     0,  1668,  1110,  1111,  1678,     0,  1786,
       0,  1575,     0,     0,     0,  1566,  1572,  1554,     0,     0,
    1596,  1574,  1597,  2750,     0,  2805,  2870,  2871,  1153,     0,
       0,  1145,  1084,  1087,  1085,  1083,  1086,     0,     0,     0,
     792,     0,     0,   533,     0,  1104,  1104,     0,     0,   519,
     575,  1188,   795,     0,     0,     0,   793,   358,  1251,     0,
     675,     0,     0,   670,   668,   667,   669,     0,   625,  1357,
    1252,     0,     0,     0,     0,  1163,     0,     0,  1273,     0,
     299,     0,   478,     0,   311,     0,   307,     0,  1299,     0,
       0,     0,     0,   306,   380,     0,   377,     0,   358,   358,
     352,   696,   366,   371,   372,   375,     0,     0,     0,     0,
       0,  1303,     0,     0,     0,     0,     0,     0,     0,   873,
     856,     0,     0,   874,   875,     0,     0,     0,  1205,  1206,
    1204,  1332,  1333,  1338,  1335,  1334,  1337,  1336,  1339,     0,
    1258,     0,     0,   734,   159,   156,   157,   160,  1284,  1267,
    1322,  1373,     0,     0,     0,  1265,     0,  1315,     0,  1280,
    1276,     0,     0,     0,     0,     0,  1356,  1294,  1320,  1355,
    1292,  1318,  1291,  1317,  1293,  1319,     0,  1285,     0,  1793,
     853,     0,     0,     0,   358,   358,   852,   732,  1269,  1324,
       0,     0,   939,     0,     0,   941,   942,     0,   944,   417,
     437,   752,   812,     0,     0,   829,   791,     0,   486,     0,
     492,   495,     0,     0,   499,   500,   498,   487,  1188,   525,
     574,     0,     0,   802,     0,   642,     0,   466,     0,   501,
       0,     0,   470,   168,   167,     0,     0,     0,   747,   751,
     749,   748,   750,   745,     0,   736,   195,  2340,     0,     0,
       0,     0,   576,  1371,     0,   776,   820,     0,  1792,   726,
       0,   369,   589,  2674,     0,     0,   466,   581,  2673,     0,
     471,   476,   477,   482,     0,   566,   553,     0,   554,     0,
       0,   578,  1443,     0,   582,   584,     0,     0,     0,  1131,
    1148,  1149,     0,     0,  1188,     0,     0,     0,     0,   627,
       0,  2682,   358,  1814,  3120,     0,  3121,  3122,  3123,  3124,
    3125,   358,   358,  1231,     0,   890,  1060,  1059,  1058,   619,
       0,  1062,   724,     0,   580,   358,     0,  1001,   981,  1000,
     980,   982,     0,   979,   977,   978,  2173,  2022,  2032,  2152,
    2098,  2129,     0,     0,  1980,     0,     0,  2027,  2553,     0,
       0,     0,     0,  2061,  2062,  2043,     0,  2383,  2048,     0,
       0,     0,  1946,  1944,  1941,     0,  1942,  1926,     0,     0,
    1924,  1920,     0,  1951,  2068,     0,  2084,  2081,  2095,  2129,
    1650,  1649,  1648,  1647,  1735,  1731,  1733,     0,  2558,     0,
    1738,  1745,     0,  1727,     0,  1759,  1755,     0,  1756,     0,
       0,  1757,     0,     0,  1729,     0,  1745,     0,  1782,  1664,
       0,     0,  2073,  1999,  2000,  1997,  1664,  2220,  2073,  2874,
       0,  2877,  2875,  2876,  2880,   240,     0,     0,  3135,  1558,
       0,  1559,  1565,     0,     0,     0,     0,  1601,  1594,  2807,
    1146,  1154,     0,     0,     0,   515,     0,  1188,     0,     0,
       0,  1106,  1106,     0,  1188,   574,   797,   796,   799,   794,
     798,  1477,     0,   662,   663,   677,  1275,     0,  1328,  1282,
       0,  1590,   301,     0,   692,     0,     0,   303,   379,   381,
     304,   305,   308,   360,   320,   313,     0,     0,     0,  1271,
       0,  1326,  1278,  1349,  1256,  1312,     0,     0,   862,     0,
       0,     0,     0,  1350,  1257,  1313,     0,     0,     0,     0,
    1590,     0,     0,     0,     0,     0,     0,     0,  1486,     0,
    1302,   359,   851,   850,   360,   400,  1296,     0,   940,   945,
     946,   943,     0,   406,   414,   438,   149,     0,     0,  1222,
    1222,     0,   792,     0,     0,   483,   496,     0,   574,   532,
       0,   489,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   739,   738,   190,     0,
     466,     0,   691,     0,   770,   771,   765,   767,     0,   778,
     782,   848,     0,     0,     0,     0,   468,     0,     0,  1550,
     467,     0,     0,   479,     0,   570,   554,   566,     0,   567,
       0,   571,     0,  1436,     0,     0,     0,     0,  1184,     0,
    1190,     0,  1142,  1113,  1185,     0,  1785,     0,     0,     0,
       0,   631,  2708,  2712,  1223,  3128,   880,   882,   731,  1065,
       0,  1069,   358,   983,  2100,  1975,     0,     0,     0,     0,
    2038,     0,  2039,  2066,  2065,  2045,  2049,     0,  2046,  2047,
    1943,  1947,  1945,  1928,  2070,     0,  1664,  2097,  1778,     0,
    1781,     0,     0,  1737,     0,     0,  1739,     0,     0,  1741,
    1743,     0,     0,     0,     0,     0,     0,  2206,     0,  2289,
    2529,  2442,     0,  1694,  1696,  1699,  1701,  1700,  1702,  1698,
    1707,     0,  1628,     0,  1627,  2879,  2878,  2121,  1787,  1573,
       0,     0,     0,  1098,     0,  1598,  1066,     0,   358,  1104,
     574,   534,  2393,   535,  1103,  1105,  1109,  1109,     0,   574,
     792,   655,     0,     0,   284,   690,     0,     0,   312,   362,
     374,     0,  1590,     0,     0,   860,   869,   869,   857,     0,
       0,   876,  1259,   735,     0,     0,   280,  1281,  1277,     0,
       0,  1488,  1489,     0,     0,     0,     0,     0,   358,   948,
       0,   440,   447,   418,   423,  1480,     0,  1480,     0,   420,
     424,  1480,   419,  1480,   416,   417,     0,  1222,     0,  1219,
    1218,   790,     0,   523,   595,   490,     0,   543,     0,     0,
     803,     0,     0,   468,   552,     0,   512,   505,   506,   507,
     508,   509,   510,   511,   503,   502,     0,   691,   866,   369,
    1443,   733,     0,     0,   704,     0,   768,   773,   772,  1480,
     777,     0,     0,     0,   691,     0,  1553,   581,   554,   468,
     552,   472,   482,     0,   557,   556,   572,   566,   570,   568,
     569,     0,     0,     0,   581,  1490,  1097,     0,  1189,     0,
       0,     0,     0,     0,     0,  1226,   626,     0,     0,   630,
     621,     0,  2710,   691,  1033,  1976,     0,  1977,     0,     0,
       0,  2051,  2050,     0,  2087,  1783,     0,     0,  1777,     0,
       0,  1807,     0,     0,     0,  1746,  1762,     0,  1742,  1740,
       0,  1751,     0,  1753,  1996,     0,     0,     0,  1703,     0,
    2072,  2074,     0,  1998,     0,  1571,  1785,     0,  1568,     0,
    1080,     0,  1081,  1106,   538,     0,  1112,  1112,   525,   792,
     516,  1283,     0,   693,   595,     0,   315,     0,   292,  1279,
       0,     0,   871,   871,     0,     0,     0,     0,   387,   394,
     393,   388,   386,   395,     0,   391,   385,   384,   389,     0,
    1482,     0,  1483,  1484,  1487,   402,   415,     0,   445,     0,
     443,   442,   444,     0,   431,     0,     0,     0,     0,     0,
       0,   405,   436,  1217,  1221,  1220,     0,     0,   491,     0,
     493,   529,   530,   531,     0,   494,   539,   540,     0,   800,
       0,   805,     0,     0,     0,   691,   551,   715,     0,     0,
       0,  1437,     0,     0,   577,     0,   779,   780,   775,     0,
       0,   727,  1443,   581,  2675,   566,     0,   554,   480,     0,
     453,   570,   572,     0,  1440,     0,   583,     0,   369,  1188,
    1191,  1186,  1402,     0,     0,   629,   628,  2713,  2715,  2714,
       0,   721,  1978,  2054,  2040,  2067,  2052,  2083,     0,     0,
       0,  1776,  1779,     0,  1810,     0,     0,     0,     0,  1796,
       0,  1744,     0,     0,  1752,     0,     0,     0,  1697,     0,
       0,  1560,  1570,  1099,     0,     0,  1109,     0,   792,     0,
    1101,  1100,   532,   518,  1590,   309,   361,     0,     0,     0,
     867,   870,   858,   859,   878,   877,   737,  1590,     0,     0,
     382,     0,     0,   441,   450,     0,   448,   421,   426,     0,
     430,   428,   427,   422,   425,     0,   522,     0,     0,     0,
       0,   541,     0,   542,   573,     0,   804,     0,     0,     0,
     717,   865,     0,     0,   466,   691,   769,   774,     0,     0,
    1438,  1551,   570,   554,   566,     0,     0,   558,  1104,  1104,
     572,   451,  1441,  1442,     0,   572,  1114,  1401,  1400,  1641,
       0,     0,  2711,  2517,     0,  2490,     0,  2085,  2088,  2086,
    2080,     0,     0,  1808,  1809,  1794,     0,     0,  1798,  1761,
    1774,  1705,     0,  1704,  2075,  2076,  1785,   358,  1112,     0,
     520,   536,   543,   285,  1590,   861,     0,   281,     0,   392,
     390,  1485,   446,     0,   429,   782,   594,   548,     0,   547,
       0,   545,   544,   801,   806,     0,   691,   855,  1443,   705,
     781,     0,   572,   566,   570,     0,   555,     0,  1106,  1106,
     455,     0,  1785,  1384,  1641,  1383,  1385,  1393,  1390,  1392,
    1391,  1389,  1229,  1230,     0,  2092,  2091,  2090,  2094,  2093,
    1780,     0,  1797,  1800,     0,     0,  1806,  1799,  1801,     0,
       0,  1772,  1706,  1567,  1082,  1102,     0,   792,   293,   868,
       0,   449,     0,   546,   550,   549,   691,   716,  1439,   785,
     454,   570,   572,  1104,   559,   561,   560,   369,  1088,     0,
    1394,  1388,  1626,  1613,     0,     0,     0,     0,  1804,  1805,
    1802,  1803,     0,   537,   521,     0,     0,   718,     0,   783,
     786,   789,   787,   788,   572,   452,  1106,   572,  1386,  1641,
       0,     0,  2089,     0,     0,   383,     0,   753,     0,   456,
     562,  1785,  1387,     0,     0,     0,  1773,     0,   784,  1089,
       0,     0,  1795,   785,     0,     0,     0,  1227,  1228,   754
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5387, -5387,  4632, -5387, -1271,   177,  2944,  -964, -5387, -5387,
   -5387,  1235, -5387, -5387, -5387, -5387,  3748, -5387,  2076, -2889,
   -5387, -5387,   -50,  3711, -1753,   -41,  3256,  1715, -5387, -1541,
   -5387, -5387,  -901,    14, -5387,  3784,   420, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387,  -916,  2184,  2246,  1520,  7278,
   -4644, -5387, -5387, -1855, -3659, -5387,   817, -5387,   844, -4666,
   -5091, -5387,  -864,  -692, -5387, -5387,  2170, -5387, -5387, -5387,
    1340,   730,  -360, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
    -541, -5387, -5387,  -786,   292,  -114, -2903, -4209, -5387, -5387,
     691,  -167, -1909, -5387, -4028, -5387,   216, -2194, -5387, -5387,
   -5387,  -134, -1893,  1625, -5387, -1058, -1545,  1965,  -652, -5387,
     -13, -5387,  -759,  -550,  -548,  -678, -4231, -4711, -5387, -5387,
   -5387,  -784, -4728, -4973, -4322, -4008,  1638, -5387, -3567, -4239,
     322,   666, -5387,   454,   501, -5387,   684,  -476, -1300, -2004,
   -5387,  -835, -5387, -5387, -5387, -3401, -5387, -5387, -5387, -5387,
     -71, -5387, -5387, -5387, -5387,   728, -5387, -5387, -5387, -5387,
   -5387, -5387, -3077,  2147,  2148, -5387, -3645, -5387, -1280, -5387,
     871, -3430,  1546, -5387, -5387,  1333,  3782,   711, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -2094, -5387, -5387, -5387, -5387,
     209,  -109, -5387, -5387, -5387, -5387, -5387, -5387,   507, -5387,
    2162,  1325, -5387, -5387,  -115, -5387, -5387, -5387, -5387, -5387,
   -5387,  -743,  -879,  -863, -5387, -3383, -5387, -5387, -5387,   -84,
   -5387, -5387, -5387, -5387, -5387, -5387, -1341, -5387,  1389, -3603,
   -5387, -5387,  1396, -5387, -5387, -5387, -5387, -5387,  -659,   -24,
    2968, -5387,  -260,  -455, -5387, -5387, -5387,   -23, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -1458,  7896, -1229,  -880,
   -5387, -5387, -5387, -5387, -5387, -2359, -5387, -5387, -5387, -5387,
   -4225, -5387,  4922,    21,  -800,   525, -5387,  -207,   -91,  3518,
   -1567, -3089,   644,  -217, -5387, -5387, -5387, -2986, -5387, -5387,
   -5387, -5387, -3983,   570, -5387,  3509, -5387, -4253, -4999, -4017,
   -4520, -4876, -4941, -3964, -5387, -5387, -5387, -5387,  -845,  -878,
   -5387, -5387, -1899,  2490, -2361, -5387, -2534,   706,  1713,  3785,
   -3175,  -820,  2928, -4259, -1054, -3698, -5387, -5387, -2793,  -353,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,  -942,  2872,
    -885, -5387, -5387,  4142, -5387, -4794, -5387,  4138, -5387, -5387,
   -5387, -5387,  2769,  2770, -5387,  2772, -5387, -5387, -1872,  1477,
   -5387, -5387, -5387, -5387,   894, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387,  1379,   880, -5387, -5387, -5387, -5387, -5387,  -650,
    -809, -5387, -5387,   745, -5387, -5387, -5387, -5387,  2150, -1297,
   -1071,  3992,   757, -5155, -5387, -5387, -1519, -5387,  3229, -5387,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -2733, -5387,
   -5387, -4901, -5387, -5387, -5387, -5387, -5387,  2621,  2625,  -105,
    -239, -5387, -5387, -1366, -5387,  -898, -5387,  2853, -5387, -5387,
   -5387, -5387, -2207,   758, -4251,   -70, -5387, -5387,    90, -5387,
     508, -5387, -5387, -3862,   -69, -5387, -5387, -5387, -5387, -4889,
   -5387,   -66,  -553,  1053, -3221, -5387,   766,    -5,  3602,  2079,
     -77,    29,  -246,  -269,  -258,   -74,   -62,  3377, -5387,  3427,
   -5387,  -194,  2325, -5387, -5387, -1146,  -355, -5387,  1832,  -967,
    2602,  3362,  3353, -5387,  1821,  2632, -2356, -2350, -5387,  1129,
    -522,  -354, -5387, -5387, -5387, -5387,   551,  -959,  2617, -5387,
    3398, -5387, -5387, -5387, -2293, -3277, -3877,  1162, -3859, -3802,
     598,   583, -1092,  -119,  -197, -1116,  3390, -5387, -5387,  1172,
    -309, -5387, -5387,  -301, -3260,  1107, -5387, -4804, -2756,  1196,
    -744,  -593, -5387,  -673, -5387,  -471,  4113, -2038, -1446, -5387,
   -5387, -1397, 26926, -5387, -5387, -5387, 27496, 27886, -5387, -5387,
   28428, 28467, -5387, -1244, 29511,  6411, -1418, -1422, -1653, 24523,
   -2197,  3409, -3172, -5387, -3991, -1057, -5387, -5387, -5387,   -52,
    1250,  -225, -5387, -4830, -5387, -5387,   171, -5387,  -479, -5387,
    -477, -5387, -5387, -5387,  -454, -5386,  2773, -5387, -5387, -5387,
    -844, -5387, 30479, -3149, -5387, -1100, -3159, -3162, -3867, -2270,
   -5387, -5387, -5387, -5387, -5387, -5387, -5387, -1665, -3717,  -438,
    1970, -5387, -5387,  2061, -5387, -5387, -5387, -1731,  1913, -1120,
   -3040,  1977, -5387, -1101,  2778, -1128, 29773,  -915, 22540,  -103,
   -2695, -1701, -2035, -5387,  3903, -5387,  3900,  -160,  -737,  3754,
    -866,  -969,  8656,  6878,  5070, -3575, -5387, -5387,   773, -5387,
   -5387, -5387, -5387,  4566,  1433, -5387,  3808, -5387,  2235,  3049,
   -5387, -5387,  2649,  -999,   -68, -5387,  -422, -5387,  -129, -5387,
   -5387, -5387,   240, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
   -5387, -5387,  3420, -5387, -5387, -1628, -5387, -5387, -5387, -5387,
   -5387,  4858,  -374, -5387,  4219,  -372, -5387, -5387, -5387, -5387,
   -5387, -5387, -5387, -5387, -5387,  3430,  2682, -5387,  4011, -5387,
   -5387, -5387,   -15,  3648, -5387, -5387, -5387, -1338,  -654,  4028,
    4029,  2646, -5387, -5387, -5387, -5387, -5387, -5387, -5387, -5387,
    2656, -5387, -5387,  1955, -2399,  2660, -5387, -5387,  1165, -5387,
   -5387,   643, -5387,  1167, -5387,  3535, -5387, -5387, -5387,  1202,
   -5387, -5387, -5387,  -584, 19260,    88,   -58,  1103,  1312, -5387,
   11472, 26165,   441,  3446,   -44, 15495, 24772,   585, -5387,  4849,
    2664,  2188, -1114, -5387,  4777,  2956, 17624, -5387, -1106,   489,
    1854, -5387,    -2,  -703, -1343,  3786,  -791, -2241, -5387,  5275,
   -5387, -3584, -5387, -1111,   222,  4218, -1361
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,   252,   253,  2007,  2937,  2807,  3737,  3738,   254,
     255,  2003,   256,   257,   258,   259,  1930,   260,  1411,  2150,
    2952,   261,  2650,  1145,  1146,  1147,  2499,  2500,  2886,  2501,
    2488,  1752,  2299,  1951,  1110,  1111,  1911,  1952,   263,   264,
    1746,  2480,   265,   266,   267,  1981,  2054,  1982,  1924,  2202,
    4809,  5556,  3550,  2777,  3786,  3551,  3552,  4190,  4191,  4266,
    5573,  5579,  5574,  5575,   268,  2070,  2071,   269,   270,  3702,
    3698,  4311,  5163,  5164,  5404,   928,  2914,  5166,  5167,  5390,
    5391,  5591,  5735,  5736,  2953,  2142,  3780,  4399,  3728,  4899,
    3729,  4900,  3730,  4901,  3714,  4346,  4347,  4843,  4348,  3731,
    4859,  5434,  3732,  2669,  5608,  2994,  2329,  2327,  5417,  4672,
    4673,  5708,  5615,  5616,  5617,  5841,  4861,  4905,  4906,  5463,
    5776,  5777,  3784,  4406,  4911,  5181,  3439,   272,  2176,  3882,
    1040,  2997,   963,  1041,  2954,   276,  2987,  5610,  2988,  2028,
    2816,  5576,  3862,   277,  1435,  4157,  5251,  5489,  5490,   278,
     915,   279,  2158,   280,   281,  2932,  3721,   282,  2686,  3456,
     283,   284,  3485,  3486,  3487,   285,  4182,  5103,  1983,  3539,
    3540,  3541,  3542,  4212,   286,  2153,  2961,  2962,   287,   288,
     289,   290,  3116,  3117,   291,  2873,   292,   293,   294,   295,
    4246,  4773,  4875,  3581,  3744,  4371,  4873,   296,  2955,  2166,
    2977,  2978,  4885,  5206,  5207,  5208,  5449,  5766,  5210,  5451,
    5638,  5453,  5938,  5939,  5172,  4136,  4686,   298,  4852,  4853,
    5622,   299,  2684,   300,   301,   302,  2126,  2924,  2925,  4322,
    2119,  2916,  2917,  4385,  4386,   303,  3655,   304,  4749,  4750,
     964,  5629,  5562,  5722,   305,   306,  4753,  4754,   307,   308,
     309,   310,   311,  1026,  1027,  1028,  1532,  1533,  3411,  1481,
     312,  2517,   313,  1375,  1376,  3679,   314,  1629,  3160,  3161,
    4958,   315,  1064,  1562,  1563,  2956,   317,  1075,  3136,  1077,
    2342,  3864,  3865,  4473,   318,   319,  3113,  3139,   320,  1917,
    2660,  2661,  4667,  2957,   965,  2182,  3001,  3434,  5332,  5333,
    5081,  5346,  3333,  4077,   322,   966,  1956,  2733,  1504,  1505,
    3004,  3794,  2629,  2630,  2631,  4423,  2632,  3796,  2633,  1890,
    2634,  1452,  1453,  3802,  3803,  3804,  4419,  4426,  2946,  5240,
    5241,   323,  1954,  2731,   324,   325,   326,  1991,  1296,  1514,
    1515,   327,   988,   989,   328,  5409,   329,  1456,   330,  5249,
     331,   332,  1099,  1100,  1613,  1614,   333,   334,  2747,  4193,
     335,   336,   337,  3575,  3576,  4765,   338,   339,  2145,  2146,
     340,   341,  3620,  3621,   342,   343,   344,  5865,  5919,  5920,
    5921,  4433,  5789,  5867,  1605,   346,   347,   348,   918,  1335,
    1336,  1337,  2958,  5233,   350,   351,  1912,  1913,  1914,  1915,
    2655,   352,   353,   354,   355,   356,   357,   358,  2130,   359,
     360,  5383,   361,   362,  2090,   363,  1783,  1784,   364,   365,
     922,  1165,  1788,  1794,   366,  1043,  1556,  1557,  1558,  2301,
     367,  1609,  1378,  1044,  1551,  1045,  2564,  3363,  4091,  4092,
    4093,  4096,  5065,  4641,  1046,  3359,   371,  2349,  3122,  3125,
    3355,  1047,  3368,  3369,  3370,  4099,  1048,  1066,  1445,  3013,
    1049,  1701,   376,   377,   378,  1174,  1168,  1169,   380,  2457,
    3287,  1084,  1800,  1129,  1130,  1181,  4041,  2530,  2531,  2555,
    2556,  1809,  1810,  2543,  2547,  2548,  3345,  3339,  2536,  4616,
    5313,  5314,  5315,  5316,  5317,  5318,  5042,  2551,  2552,  1812,
    1813,  1814,  2560,   381,  3291,  4020,  4021,  4022,  4592,  4593,
    4607,  4603,  5026,  5299,  4023,  1599,  1820,  5034,  5891,  4024,
    5288,  5289,  5508,  4611,  4032,  4087,  3768,  3769,  3770,  4025,
    5688,  5689,  5887,  5888,  5510,  5511,  2635,  2232,  1483,  1702,
    1484,  2240,  1703,  2216,  1486,  1704,  1705,  1706,  1489,  1707,
    1708,  1709,  1492,  2208,  1710,  1711,  2226,  1213,  1214,  1789,
    5512,  1713,  1714,  1715,  4027,  1716,  4546,  4990,  4979,  3219,
    3220,  2496,  4542,  3965,  2452,  3277,  5322,  5530,  5531,  4004,
    4571,  5006,  5286,  5680,  5797,  5798,  1717,  1718,  1719,  3274,
    2447,  1299,  1720,  4324,  2449,  3213,  3299,  3300,  2355,  2374,
    3166,  3181,  3182,  3193,  3924,  3201,  3206,  3952,  3953,  3214,
    3243,  1721,  3168,  3169,  3908,  2376,  1722,  1776,  2510,  1891,
    2465,  3238,  1736,  1723,  1724,  2343,  1156,  5295,   764,   747,
    3567,  2512,  1339,  1081,  1725,  1726,  1727,  1842,   707,  1507,
    1508,   709,   748,   749,  1252,   861,     2,    75,  1050,  3777,
    5215,   385,   386,   968,   969,   970,  1437,  1438,  2188,  2191,
    1847,  2598,   713,   714,   765,  4931,  5252,  5492,  1034,   387,
     388,   389,   390,  1843,  2594,  1215,    76,    84,    77,  1216,
     427,   428,  2575,   391,   878,   392,  1823,  1195,  4105,   393,
     394,   395,   396,   397,  1031,   398,  1197,   399,  1198,   400,
     401,   402,   403,  1205,   404,  1825,  1826,  4655,  1827,   405,
     406,   751,   752,  1549,   407,   408,  1232,  1233,  1581,  1582,
    1853,  1868,  1869,  1870,   409,   721,   410,   411,   412,  1859,
    1860,   413,  2473,  2474,  2603,  2475,   414,  3384,  3385,   415,
    4058,  4059,  5052,  4060,   416,  2469,   417,   418,  1159,  4110,
     419,   874,   420,  1246,   753,   754,   755,  1254,   864,  1115,
     766,  1256,  3543,   866,   867,   757,   758,   759,  2321,    78,
    3392,  2322,  1729,   767,  1730,  2463,  1731,  1732,  1733,  1734,
    1735,  1876,   761,  1222,  1541,  1542,  3393,  1544,    82,  1545,
     424,  3830,  2289,  1583,  3073,  2307,  2308
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   374,  1405,  1121,   379,  1173,  1068,  1747,   369,   370,
    2027,  1297,   372,  1270,  1590,  1591,  1592,  2298,  1447,  1192,
    1596,  1193,  1182,  2829,   979,  2668,   750,  1155,  1068,  1737,
    2222,  2032,  1897,  3727,   422,   962,  1158,  1777,  1815,  2088,
     422,  1769,  1778,  2326,  3070,  4042,  2514,  3618,  3887,   967,
    2155,  2248,  1298,  2742,  2888,  2075,  2734,  2365,   862,  1042,
    3750,  2228,  1250,   750,  2140,  1230,  1790,  2212,  2213,  2743,
    1559,  1761,  2238,  3306,  1090,  2982,   423,  2221,  4355,  1076,
    2168,  4085,   423,  4163,   971,   978,  1446,   718,  1025,  4915,
     379,   763,   262,  3569,   978,  2754,  3404,  3406,  3297,  4381,
    1298,   769,  3165,   862,  4427,  3652,  4207,   375,  4209,  4332,
    1184,  4634,  1535,  4674,   423,  1234,   916,  1871,  4026,  1122,
    2128,  1185,  4558,  2771,  2133,  1873,  1176,  3868,  4183,  2137,
    4411,  4325,  4035,  4033,  4034,   978,   920,  4325,  2147,  4675,
    1554,  4589,  1526,  4669,  1518,  4897,  4098,  3002,  4858,  3128,
     973,   981,  2171,  1957,  4712,  1274,  5082,  1529,  4898,   423,
    2514,  4918,  1298,  1305,  4924,  4606,   421,  1144,  1109,  1447,
    4908,  4914,   421,  3305,   862,  3058,  1325,  5225,  1152,  2850,
    2582,  2584,  2585,  4075,  3026,  3973,  4026,  1065,  1171,  5292,
    3348,  4907,  5188,   375,  2727,  2641,  3198,  5227,  3351,  2284,
    2576,  2576,  2854,  2855,   421,  1400,  5347,  1118,  4394,  1065,
    2313,  1409,  5354,  2288,  1808,  1118,  1953,  1118,  2209,  2210,
    1777,  4604,  1811,  4609,  1423,  4114,  2514,  1849,  1850,  2220,
     423,  5304,  4109,  5306,  4647,  4526,  2471,  1754,  5477,  1543,
    1225,  5226,  4445,  2167,  3740,  5385,  5386,  3930,  3930,   421,
    2319,  5376,  5466,  1862,  1568,  2212,  2213,  2419,  1573,  1574,
    1575,  4960,  4961,  2228,  4963,  4964,  4965,  2239,  1586,  3403,
     430,  1441,  1862,  2861,  2221, -2978, -2978, -2978, -2978,    43,
    1172,  2866, -2978,   430,    45,  5631,  2425,   926,  5080,  5578,
   -2978, -2978,  1247,   982, -1834, -1834, -1834, -1834,  2979,  3675,
    4417, -1834,  2755,    37,    38,    39,    40,   430,   374,  1625,
      44,   379,   430,  5561,  2745,   369,   370,  2427,  2199,   372,
     421,  3717,  2199,  3236,   426,  2116,    45,  2199,  2199,   430,
    1607,  4103,    37,    38,    39,    40,  1163,  2943,    43,    44,
    1631,  1863,  3236,    45,  -439, -1867, -1867, -1867, -1867,   422,
    2199,  3836, -1867,  3838,  2347,  2199, -2213, -2213, -2213, -2213,
    3930,  1221,   917, -2213,  3885, -2979, -2979, -2979, -2979,  2515,
     271,  5876, -2979,  1331,  4159,  2199,  5410,  1841,  2124,  3138,
   -2979, -2979,  4402,  3650,   422,  1926, -1847, -1847, -1847, -1847,
    2652,   423,  1997, -1847,  2026,  3700,  2745,  2209,  2210,   262,
     273,  2199,  2053, -2104,  5538,  5546,  5547,  5874,  1183,  4164,
   -2104,  1587,  2080,  3906,   375,  3271,  1751, -2976, -2976, -2976,
   -2976,  3579,  3272,  2220, -2976,  3278,   423,  3718,  3330,  1740,
    1918,  2527, -2976, -2976,  5487,  2842, -2975, -2975, -2975, -2975,
    2290,  2940,  2745, -2975,  1984,  5353, -2569, -2569, -2569, -2569,
    2287, -2975, -2975, -2569,  2674,  1738,  2745,  2792,  2169,  2583,
    2588, -2569, -2569,  2589,  2088,  3118,  2980, -2380,  1332,  5359,
    4176,  3290,  2105,  5558,   879,  2100,     3,  5375,  3646, -2123,
    2170,   421, -1872, -1872, -1872, -1872, -2123,  5770,   429, -1872,
    3580,    79, -1690,  1927,    35,  5652,   768,  4329,  4379,  5468,
    1998,  5522,    41,    42,  1249,  4349,  1193,  5877,  3450,  3647,
    5388,  1333,  3331,  1298,  2745,  5467,   421,   880, -1862, -1862,
   -1862, -1862,  2093,  1739,  2848, -1862,    37,    38,    39,    40,
     129,   130,   274,    44,  5445,  3684,  3375,  3685,  1919,  4177,
    5952,  3689,    37,    38,    39,    40,  5089,  1235,  2745,    44,
    3694,  3695,  3696,  2941,  1579,  2455,   983,   865,  4261,  3279,
    5539,  1447,  1210,  2590,  2419,  2246,  1334,  2813,  1268,   967,
      37,    38,    39,    40,  1852,  1855,  3391,    44,  1588,   275,
    3395,  2414,  3651,  3546,  2770,   297,  2200,  2793,  3119,  1447,
    2200,  1228,  1229,  2425,  2756,  2200,  2200,  2246,  2125,  5488,
    2413,  3719,   865,   316,   971,  2757,  2516,  2758,  2461,  2928,
    5748,   984,  2458,  5603,  4734,  4160,  1595,   875,  2200,   876,
    3701,  3676,  1990,  2200,  2427,  2458,  2867,  2981,  3489,  2272,
   -1875, -1875, -1875, -1875,  1608,  3547,  5165, -1875,  2348,  1164,
    5830,   879,  4325,  2200,  4418,  4164,  2862,   985,   321,   986,
    2256,  1999,   978,   978,  2868,  2505,  2506,  3237,  5219,  1447,
    2802,  1780,  2302,  1781,  1884,  2759,  4767,  5706,  1219,  2200,
     973,  1595,  2320,   865,  2125,  1864,  3993,   271,  5780,  2246,
    5732,  1774,  2125,  2514,   880,  1775,  3720,  2944,  2000,  1920,
    4995,  3926, -2380,  5908,  1864,  3942,  3943,  3944,  3945,  3945,
    1221,   869,  2843,  1858,   927,  1226,  3167,   273,  2446,  4867,
    3564,  1318,  1928, -1875, -1875, -1875, -1875,  2472,  5023,  2001,
   -1875,  2569,  5027,  2300,  3548,  4606,  1921,  2369,  2344,  2087,
    2514,  2201,  1839,  1840,  3304,  2229, -2104,  5263,  4129,  5651,
    2243,  2254,  3033, -2978,  2357,  4889,   869,  5645,  3273,  2283,
    4679,  2824,  2348,  2834,  2827,  1227,  4701,  1922,  2675,  2366,
   -2380,  2303,  2211,  2274,  2305,  5818,  2207,  2309,  2277,  2311,
    4738,  1929,  2314, -2380,  1062,  1063,  2318,  3120,  4100,  2919,
    3092,  5014,  1263,  5016,  4969,  5861,  4350,  1447,  2246,  5068,
    2887,  1865,  1866,  1173,  1117,  1447,  1447,  3121,  1236,  5852,
    3451,  2125,  1117,  1560,  1117,  2523,  3940,  3941,  3942,  3943,
    3944,  3945, -2123, -1867,  4472,  3062,   862,   869,  1621,  5543,
    2456,  1923,  1774,   345, -2213,  5823,  1775,  4258,  2849,  1816,
    3508,  5837,  1391, -2979,   422,   349,   368,  3490,  5827,   274,
    1269,  2523,  3038,  4026,   373,  5090,  4026,  1443,  2561,  2599,
    1382,   384,  1374,   379,  2215,  2484,  2562,  1379,  1380,  -149,
    4373,  1381,  4262,  4936,  4937,  4938,  4939,  4940,  -149,  4116,
    4868,  4117,   423,  -149,  3100,  5223,   423,  4624,  2525,  5801,
    1259,  5912,  3549,  3110,  1579, -2976,   275,  1598,  1396,  1259,
     718,  1561,   297,  1567,  1458,  1572,  4394,  1234,   718, -2210,
    2730,  1576,  5749,  2662, -2975,  1184,  1221,   877,   978,  4062,
     316,   718,  3565,  4831, -2569,  1501,  1185,  5772,  5063,  1179,
    1782,  1552,  4334,  2973,  2489,  1567,  1572,  4184,  1259,  2502,
    2502,  3297,  3297,  3297,  1555,  5898,  5774,  3556,  5944,  2284,
     718,  3415,  1093,  4660,  4832,  3082,   718,  3377,  2199,  3377,
   -1872,  3085,  3074,  4846,  5787,   321,   375,  5758,  4026,   718,
    4869,  1598,   421,  1186,   379,  1548,   421,  3872,  4337,   978,
      37,    38,    39,    40,  3023,  3024,  2727,    44,  1444,  2664,
    5773,  3348,  5915,  5916,  2829,   718, -1862,   719,  4080,  2419,
    1259,  1819,  4303,  4304,  2416,  3228,  1499,  2665,  3927,  3928,
    1259,   718,  1579,  3947,  4231,  2974,  1830,  5458,   718,  4428,
    2459, -1834,  2443,  2444,  2445,  2446,  2098,  2711,  2425,  5557,
    1499,   718,  2234,  4339,  5838,  1094,  5290,  1851,    81,  3464,
   -2707,  1553,  5526,  3524,  4929,  4185,  4751,   718,  3311,  4479,
    3977,  3978,  4870,  1763,  3874,  1187,  5854,  3101,  1566,  2427,
    1571,  5927,  2794,  4259,  4645,  2085,  1854,  3480,  1926,  1785,
    1585,  4674,  5853,  2223,  1221,  2662,   750,   375,  1172,  1127,
    5960,  2786,  1933,  4675,  1565,  4101,  1570,  5350,   921,  5426,
    1601,  1603,  1179,  2663,  2224,  5247,  1750,  4675, -1834,   430,
    1758,  3525,  4766,  1207,  4736,  2269,  4847,  1774,  2225,  5839,
    2713,  1775,  4882,    45,  3795,  1791,  1600,  1602,  5174,  5268,
    2721,  3020,  4232,  4342,  3423,  1779,  4039,  2270,  5064,  1744,
    2995,  4071,  4260,  1579,  5840,  5911,  5788,  1259,  1259,  5427,
     345, -1614,  3557,  3481,  1118,  2666,   718,  5428,  1118,  2246,
    4752,  2664,   349,   368,  5650,  2935,  2223,  5296,  2385,  2456,
    1298,   373,  5300,  1208,  4343,  5302,  2235,   423,   384,  2665,
    1397,  5293,  1786,  4737,  1259,  5429,  1927,  2224,  1128,  4344,
    5415,  3256,  4323,  1095,  2579,  1974,  3873,  3072,  4323,  2814,
    2222,  2227,  2817,  2818,  4480,   430,  4871,  1502,    37,    38,
      39,    40,    35,  5624,    43,    44,  1631,  1863,  2064,    45,
      41,    42,  2975,  1183,  2065,  5643,  5501,  4026,  1580, -1614,
    3107,  3108,  1096,  1097,  5623,  2976,  2200,  3408,  5644,   863,
    5659,  3733,  2086,  5657,   718,   718,  4427,  4186,  4187,  5647,
     720,  5430,  5213,  1580,   430,  5656, -2707,    37,    38,    39,
      40,  2667,  5431,    43,    44,  2580,  4675,   421,    45, -1834,
    5646,   923,  4872,  3875,  4188,  1188,  1210,  1831,  5858,  5859,
    4345,  1916,  1580,  4233,   863,  4424,  2897,    35,  1764,  1056,
    4429,  3162,  3164,  1109,  2046,    41,    42,  1910,  3171,  4617,
    3589,  5104,  3480,  4069,  3185,  3186,  3187,  5075,  2099,  3102,
    5611,  2414,  1057,  2005,  3203,  3205, -2707,  2666,  3484,  3215,
    4234,  3465,  2059,  1098,  3257,  2581,  2066, -1614,  2676,  3258,
    5248, -2327,  1118,  1118,   430,  1238,  2006,    37,    38,    39,
      40,  -149,  -149,    43,    44,  1559,  2936,  4302,    45,  1231,
    5781,  4235,  5544,  3590,  5604,   863,  1765,  3022,  4309,  4310,
    1259,  5549,  3636,  3480,  2060,  3259,  1206,  1499,  3637,  1621,
    2159,  1259,  4430,  5904,  5541,  1901,  2261,  1056,  3481,  2234,
    4362,  3064,   870,  2236,  2186,  3040, -1614,  5471,    35,  3050,
    1499,  1056,   871,  2193,  4856,  5472,    41,    42,  1594,  3041,
    1057,  3016,  2582,  3734,  1798,  1499,  3056,  2534,  3591,  3526,
    3353,  3052,  2160,  5946,  1057,  3078,  3314,  3039,  2262, -2361,
    5496,    43,  3057,  2667,  5771,  5502,    45,  1902,  1210,  1298,
    1298,  5612,  3409, -2382,  3410,  1079,  3099,  1207,  5432,  3481,
    3104,  5433,  3106,  4026,  5518,  3109,  2194,  4026,  5067,  1259,
    1207,  3352, -1834,  3096,  5648,  2441,  2442,  2443,  2444,  2445,
    2446, -1834,  3425,  2211, -1834,  1896, -1834,  3527,  2677,  3191,
    3638,  3482,  4792,  5039,  1173,  4624,  3589,  2067,  5860,   869,
    1595,  5046,   430,  5862,  2670,    37,    38,    39,    40,  5568,
   -1614,    43,    44,  1032,  1499,   872,    45,  1208,  3260,  5605,
    1209,  2535,  5613,  1799,  2671,  3592,   379,  2903,  3483,  3103,
    1208,  3354,  2671,  2235,  2068,  4955,  4431,  5560,  5905,  1871,
    1091,  1903,  5564,  5565,  2614,  2061,  1193,  1873, -1614,  3590,
    5228, -1614,  3604,  5360,   718,  5290,  3645, -2327,  4363,    79,
    5703,  2195,  3426,  3484,  5229,  2069,  2991,  3735,   718,  2904,
    5910,  2528,  2529,  2678,  2533,  5473,  4151,    81,    81,  1548,
      81,  4325,  1185,  1185,  1160,  1185,  4675,  1298,  1259,  2521,
    2992,  4714,  4850,  2161,  2651,  4857,   718,  5444,  2304,  2263,
    2306,  5183,  4432,  2310,  3591,  2312,  4746,  3876,  2315,  2316,
    2317,  1092,  3736,  2196,  3114,  5571,  2819, -2327,  4152,  -689,
    1210,  2324,  5710,  5711,  3484,  3834,  4510,  4883,  4511,   375,
    5945,  1199,   718,  1210,  1331,  2350,  2537,  2351, -1617,  3593,
    2829,  3639,  4175,  2062,  3747, -2361,  1499,  3594,   718,  1093,
    3595,  1200,  3097,   873,  2462,  4793,  1126,  5568,  4894, -2382,
    1819,  1201,  5959,   718,  4715,  5961,   718,  3759,  3760,  3761,
    3762,  2991,  2672,  4888,  4492,  2538,  1234,  1259,  3640,  3767,
    2722,  4187,  4895,  3877,  3129,  3098,  1804,  1865,  1866,  1056,
    2193,  2162,  1907,  3360,  1908,  2992,  3115,  2264,  5778,  3437,
    2537,  3592,  2197,   430,  2373, -2361,  1259,  4725,  1083,  3641,
    4747,  1177,  1057,  5184,   750,   750, -1617,  1431,  3297, -2382,
    4894,  3582,  3583,  4323,  2382,  3586,  1447,  1211,  5230,  1332,
    2905, -2413,  1094,  1153,  1259,  1259,  1259,  5050,  1259,  2538,
    2236,  1844,  5569,  3077,  4895,  5570,  1212,  4764,  2820,  1804,
    2450,  2821,  4512,  5572,  2398,  3438,  1806,   862,  1259,  2237,
    1874,  1117,  4513,  5571,  1202,  1117,  2246,  2476,  2477,  2411,
    2723,  2993,  1333,  1178,  4506,  4507,  4508,  4509,  2540,  4153,
    4514,  4515,  4516,  4517,  4518,  4519,  4520,  4521,  4522,  4523,
    4460,  2580,  4263,  4973,   718,  4974,  2539,  2492,  3380,  4941,
    2163,  4942,   718,   718,   129,   130,  5189,  1166,  1844,   862,
    4748,  2656,  1259,   423, -1617,  3593,  1839,  1840,   750,  1806,
    5630,  2164,  2657,  3594,   422,   422,  3595,  1334,  2906,  5412,
    5678,  1203,  5627,  4675,  2541,  2002,  4562,  4563,  2195,  2658,
    1259,  2801,  2540,  1179,  1259,  1259,  2680,  2478,   924,  5641,
    5190,  2581,  3470,  1992,  2037,  1123,  2681,  3466,  5679,  1259,
    1807,  3361,  3506,  4896,  1035,   423,   423,   423,  3746,  1183,
    1183,  2596,  1183, -1617,   422,  2950,  5200,  4154,   862,  1760,
    1095,  2618,  1314,  3596,  1036,  4026,   718,  1432,  5671,  5486,
    2196,  2845,  4026,  1298,  5895,  2038,    80,  4026,  2541,  2706,
    4026,  5572,  1204,   421,  3756,  2039,  5778,  5262,  3458,  1315,
    3503,  4844,  4662,  3982,  2479,  3983,   423,  1331,  1037,  1096,
    1097,  1993,  1764,   423,   216,  5764,  5384,  1499,  5085,  4975,
    4065,  2125,  4026,  4135,   423,  4635,  3603, -2413,  3984,  1117,
    1117,   879,  4596,  1433,  1118,  3389,  4026,  1916,   879,  1434,
    3494,  1916,  3596,  2951,  1210,   421,   421,   421,   224,  3815,
    5948,  5447,  2419,  5949,  1839,  1840,  5553,  4403, -2234,  3626,
    4407,  1795,  -172,  1180, -1614,  2165,  5086, -1617,  4845,  2197,
    3789,  2659,  4822,   717,   880,  1118,  4825,  4826,  1175,  4828,
    1765,   880,  5719,  1499,  5187,  4636,  4070, -2413,   235,  -172,
    2772,  4427,  3670,  1621,  2682,  5448,   421,  5550,  1974,  3433,
    3664,   238,  1332,   421,  4597, -1617,  2065,   863, -1617,  2029,
    5760,  3605,  2427,  5336,   421,  5338,  5482,  5198,  1499,  3608,
   -1626,   941,  3611,  5218,   250,  5381,  5093,  5094,  3502,  5785,
    3495,  2683, -1626,  5087,  3985,  4598,   972, -1626,  3362,  3986,
     941,  1499,   990,  2040,  3038,  1333,  2030,  1910,  5382,  5720,
    4599,   941,  1910,  3112,  1756, -1097,  1196,   209,    79,    79,
    4600,    79,  1804,  4682,  1189,  2277,  1886,  1805,  1447,  2005,
    1082,  2750,  3437,  2751,  4663,  2482,  2041,  1844,   206,   943,
    2042,  4664, -1626,  2494,  2804,  5178,  4601,    37,    38,    39,
      40,  5596,  2006,  2246,    44,  4026,  5597,   862,   943,  3588,
    1334,   718, -1626,  1887,    35, -2771,   216,  5297,  2066,   943,
    3642,  2043,    41,    42,  4665,    35,  1910,  5666,  -586,  2419,
    1910,  1447,  1499,    41,    42,  2495,   216,  3929,  4132,  4680,
    2010,  2752,  1806,  3018,  1888,  4666,  3807,  1499,  2773,  3957,
     224,  4794,  4683, -1626,  5598,  1177,  2918,  3643,  2425,  2031,
    5849,  4031, -1626,   423,     8,  2945,  1916, -1664,  1499,  4026,
     224,  5243, -1664,  4795,  -464,  2774,  1231,  2011,  3667,  4602,
    4840,  3980,  3987,  1807,  3321,  2772,  1193,   718,  3644,  2427,
     235,  3123,  3988,  4040,  1038,   718,  4089,  3135,  2775,  3845,
    2776,  4841,  1901,   238,  4100,  4257,  5713,   718,  5634,  4684,
     235,  4685,  4115,    37,    38,    39,    40,  1178,  3221,  4006,
      44,  3224,  5381,  1499,  4724,  4842,   250,  3860,  1056,  1555,
    4090,    37,    38,    39,    40,  2770,  1259, -1664,    44,  1259,
    1039,  5907,  5884,  1499,   954,  5382,   955,  4165,  2881,  1259,
    3244,  1057,  3245,   421,  1902,  1499,  2513,  4471,  4382,   379,
     251,  5298,  2277,   954,  3033,   955,  1248,  1499,  4392,  5051,
    2141,  4104,  4192,  4028,   954,  3246,   955,  2055, -1664,  4063,
    1259,  1259,  3304,   718,   718,  2882,  -464,  1179,  1844,  2141,
    2826,  3297, -1626,  1844,  1844,   718,  3297,  4472,  5947,  4501,
     960,  5937,  3297,  1499,  1499,  2125,   718,   718,   934,  3894,
    3861,  4710,  3134,  4026,  2056,  2745,  5702,   881,  2057,  1382,
      81,  3648,   379,    81,  5340,  2746,  1379,  1380,  4527,  1264,
    1381,  5349,   718,  2773,  4702,  2223,   925,  4890,  3080,  3159,
    3081,  4028,  2223,  1898,  3083,  2058,  3084,  2762,  1903,  3086,
    1029,  3991,  3649,  3087,  1774,  2832,  2224,  1795,  1775,  4482,
    2774,  3890,   375,  2224,  2947,  5820,  1237,  2005,  2591,  2592,
    2225,  4716,  1259,  4723,  4026,  4682,  3247,  2513,  4217,  2763,
    1899,  3248,  5885,  2775,  1447,  2776,  3249,  5886,  2984,  4739,
    2006,  4218,   941,  1266,  2610,  2612,    37,    38,    39,    40,
     869,  1904,  1124,    44,  2034,  4026,   862,  1279,  4330,  1259,
    1259,  1900,  3304, -1091,  5636,  1259,  1259,  1180,  4917,  5606,
    2770,  3184,  1259,  1259,  1259,   375,  3852,  4811,  1259,  4378,
    1259,  1259,  1259,  1259,  1259,  1259,  1280,  1259,  1905,  1259,
    1259,  2035,   209,  1259,  4442,  4443,  5637,  1774,  4812,  1298,
     943,  1775,  2883,  5069,  4683,  1785,  4228,  1499,  1259,  1259,
    1259,  1259,   423,  2805,  1844,  2884,  1259,  1424,  2808,  1906,
    1259,  3678,  2036,  1259,  1844,  5168,  1259,  1259,  1259,  1259,
    1259,  1259,  1259,  1259,  1259,  4351,  1259,  1547,   430,  4249,
    3427,  2885,  3430,  4229,  1259,  1320,  3751,  1259,  3242,  1907,
    1425,  1908,  5158,  1239,  5159,  5160,  5169, -1663,  5161,  1424,
    1035,  4684, -1663,  4685,   422,  1240,  1241,  4026,  2502,  3250,
    4596,   869,  2218,  2219,  4230,  5143,  1447,  3364,  4074,  3251,
    1036,  1117,  2871,  1426,  1242,  3424,  2877,  1243,  5438,  1384,
    5060,  2223,  1425,  1844,  3033,  4902,  1844,  1844,  5144,  1909,
    4113,  3488,   421,  4124,  5934,  5381,   423,  3795,  1786,  5105,
    1633,  1259,  2224,  3930,  1037,  5109,   972, -2980, -2980, -2980,
    1329,   422,  1117,   422,  1259,  4375,  2227, -1663,  5382,  1427,
    1221,  2008,  1330,  1259,  1259,  3420,    37,    38,    39,    40,
    2772,   121,  4597,    44,  4142,  2211,  5893,  1896,  2072,  4121,
    4122,  2076,  5239,   216,  2819,   954,  2926,   955,  1387,   125,
    2745,  5204,  4168,   423,  3764,   423,  1390,   957, -1663,  3765,
    2753,  1427,  4323,  4598,   862,  1406,  4677,  4678,   959,  5205,
    1844,  2141,  2772,   375,  4333,   718,  4597,   224,  4599,  3765,
    1598,  1598,  5918,  1393,  1598,  2285,   421,  4043,  4600,  2286,
    4044,  4045,  4026,    81,  4957,    81,  5817,   718,  1244,  2762,
    1419,  4046,  4047,  4048,  1499,  4049,  4050,  4598,  1499,  1499,
    4051,  4052,  4053,  -585,  4601,   718,  1398,   235,  1399,  2467,
     423,   718,  5029,  2468,  2418,   718,  4223,  2419,    35,  1428,
     238,  2763,  4600,   718,  1429,  2851,    41,    42,  1245,  4449,
    4450,  4451,  5593,   421,  5595,   421,  1430,  1401,  5599,  1402,
    5600,   718,  1436,   250,  1259,  4120,  2425,  -378,  1439,  2293,
    2211,  2294,  2642, -2980,  4368,  4026,  1259,   251,  2285,   216,
    1499,  1450,  3069,  1259,   206,   430,  2820,  2880,  2773,  2821,
    3587,  5969,  1499,  -378,  4659,  5478,  1455,  2427,   862,  2211,
     869,  2642,   862,  1500,  4244,   718,  5635,  4602,  3038,  1509,
    3902,  4724,   216,   224,  2523,  2774,  5393,  1118,  4252,  1633,
     421,  1510,  3930,   718,   718,   862,  3931,  3932,  3933,  1774,
    2773, -2213,  1499,  1775,  2359,  1516,  2360,  1598,  2775,  1447,
    2776,  1447,  1523,  3903,  4475,  1530,   224,  3904,  1550,  2772,
     987,  4602,  1030,   235,   423,   718,  2088,  2774,   423,  5394,
    3956,    79,  3958,  3959,    79,  5265,   238,  1892,  1377,  4054,
    3936,  2572,  2573,  2005,   862,  2770,  3349,  3350,  2772,   718,
    2775,   423,  2776,  2372,  5395,   251,   235,   718,  5389,   250,
    5102,  2519,  1118,  2520,   718,  3597,  2006,    45,   718,   238,
    1893,  5396,  2013,   251,  1894,  5397, -2980,  4352,  2522,  4354,
    2523, -2980,  1589,  -378,  -378,  1593,  4503,  2770,   718,  1447,
    1597,  2014,   250,   718,  1604,  5398,  3752,   718,  5399,  1610,
     423,  1448,   990, -1685, -1685,  1895,   251,  3011,  1611,  3012,
     718,  2211,  5400,  2642,   421,  2572,  3373, -2980,   421,  1612,
    4532,  5218,  4074,   718,  3491,  3234,  5786,  4361,  4074,  4364,
    1619,  4321,   862,   718,  3597,  4037,  4038,  4321,   863,  2772,
    2015,   421,  2514,  3071,    80,  2523,  1618,  4618,  4619,  4620,
    3093,  1620,  3094,  3566,    35,   430,  3095,  4421,  3094,  3126,
    1622,  3127,    41,    42,  2434,  4574,  3934,  2773,  1621,    45,
    4613, -1142, -1142,  1281,  3304,  1623,  4717,  4055,  1259,  1499,
    1282,  1283,  1284,  3327,  3372,  2277,  2523,  3935,   423,  4698,
     421, -1688, -1688,  5401,  2774,  3597,  2773,  3500,  3571,  3501,
    3572,  5402,  1624,  1606,  4468,  3597,  4447,  4448,  4449,  4450,
    4451,  1173,  3704,  3710,  3705,  3711,  4934,  2775,  4028,  2776,
    1627,  4028,  1259,  2774,  2016, -2980, -2980, -2980,  4056,  3940,
    3941,  3942,  3943,  3944,  3945,  1628,  3782,  1626,  3783, -1689,
   -1689,  5403,  3597,  3816,  4256,  2523,  2775,  1741,  2776,  3936,
   -2980,  1753,  1448,  1755,  2770,  1173,  3854,  1630,  3094,   863,
    3901,  1499,  2523,  1759,  3910,   718,  2523,  1762,  3916,   869,
    2523,  3917,  2017,  2523,  4817,  2018,  1768,  1259,   421,  4481,
    3918,  1221,  2523,  2770,  1766,  1767,  2828,  2773,  4447,  4448,
    4449,  4450,  4451,  1773,  3347,  3347,  4452,    35,   430,  1787,
    4829,    37,    38,    39,    40,    41,    42,    43,    44,  3949,
    1792,  2523,    45,  3962,  2774,  2523,  1793,  2020,   718,  3967,
    4488,  3968,  1795,    37,    38,    39,    40,  1796,  1802,  5495,
      44,  2418,  4057,  4028,  2419,  1817,  4007,  2775,  4008,  2776,
     717,   717,  1844,  2513,  1818,  1875, -2980,  4009,  1821,  4010,
    4012,  4013,  4014,  2441,  2442,  2443,  2444,  2445,  2446,  1822,
    2022,  4991,  1874,  2425,    79,  4210,    79,  4211,  1824,   718,
   -2980,  4215,  1832,  4216,  2770,  4833,  1173,  4834,  1837,  5239,
    2023, -1838, -1838, -1838, -1838,  1499,  1833,   718, -1838, -1845,
   -1845, -1845, -1845,  1828,  2427,   718, -1845,  1829,  1834,  1259,
    2025,  4239,  1499,  4240,  1835,  1259,  4415,  2013,  4416, -1836,
   -1836, -1836, -1836,  1836,  2486,  1499, -1836,  4440,   862,  2523,
   -1839, -1839, -1839, -1839,   862,  1259,  2014, -1839,  1838,  4533,
    1259,  4534,  1846,  4073,  3937,  3938,  3939,  1877,  3940,  3941,
    3942,  3943,  3944,  3945, -1837, -1837, -1837, -1837,  1845,  1848,
    4543, -1837,  4544,  1259,  1259,  1259,  1878,  1880,  1259,  4334,
    4554,  3979,  2523,  1889,  2772,  4335,  1259,  1259,  1259,  1259,
    4643,  3553,  4644,  1896,   423,  2015,  1955,  4336,  2013,  1259,
     423,  4648,  1259,  4649,  1259,  1931,  2411,   869,   863,  4658,
    4681,  3410,  3094, -2977,  3577,  1259,  1259,  2014,  2772,  1259,
    4891,  1958,  3094, -2980,  5836,  4337,  1471,  4338, -2980,  1960,
    4952,  1382,  2348,  1259,   379,  1259,  1961,  1259,  1379,  1380,
    1995,  4970,  1381,  2523,  4996,  1990,  3127,  2772,  2487,  5008,
    2411,  2523,  2772,  5071,  5077,  3410,  5078,  1259,  4719,  5083,
    5084,  3094,  3094,  3622, -2980,  1994,  2015,  3242,  1259,  1996,
    1259,  1259,  1259,  5220,  5270,  5221,  5271,  2004,  2002,  2016,
    4339,  2009,  2012,  4000,   421,  1844,  5272,  2047,  2523,  4264,
     421,   718,  5684,  1844,  1117,  1259,  1844,  2048,  5280,  4019,
    3127,  5194,  4028,  5355,  2063,  5356,  4340,  1259,  4902,    35,
    5439,  2434,  3094,    37,    38,    39,    40,    41,    42,  5479,
      44,  5480,  1259,  4296,  5497,  2073,  3127,  2017,  2074,  2077,
    2018,   869,  2773,  5863,   193,   869,  1259,   375,  1287,  1288,
    1289,  2828,  1290,  1291,  1292,  1293,  1294,  1295,  2083,  2082,
    2016,  3715,  4703,  4074,  5505,  2084,  5506,  4740,   869,  2774,
    2089,  5515,  4321,  2277,  1448,  4341,  2773,  4019,  2092,  1117,
    4342,  1172,  2020,    80,    80,  2091,    80,  4074,  1499,  2094,
    2097,  1499,  2775,  1499,  2776,  5521,  4763,  4389,  1499,  5523,
    2101,  4389,  1448,  2774,  5536,  2773,  5537, -2980,  2017,  2112,
    2773,  2018,   193,   718,   718,  2102,  5586,   869,  5587,  1259,
    2108,  4343,  2828,  2109,  4980,  2022,  2775,  2118,  2776,  2770,
    2121,  3175,  2774,   216,  2123,  2115,  4344,  2774,  2129,  5626,
     718,  2481,  5658,   718,  5537,  2023,  2132,  1499,  2352,  5672,
    5673,  3127,  3968,  2020,  5674,  2775,  2523,  2776,  2143,  5685,
    2775,  5686,  2776,  2770,  1499,  2025,  2125,   224,   862,   862,
     862,  5691,  1448,  2277,  5694,  5718,  4389,  3127,  5724,  5725,
    3127,  3127,  5728,  5730,  5729,  5731,  4863,  4864,  2144,  1499,
    1839,  1840,  2770,  1801,  2134,  1803,  2022,  2770,  5028,  2148,
    5031,   216,  3176, -2980,  5756,   869,  5757,   235,  2149,  -192,
    2441,  2442,  2443,  2444,  2445,  2446,  2023,   863,  2151,  5805,
     238,  5806,  2152,  2154,   423,   423,   423,  4345,  4028,  5058,
    2156,  5809,  4028,  2277,  2157,   224,  2025,  5810,  2172,  2523,
    4946,  4947,  4948,   250,  2185,  5811,  2415,  2523,   718,  5813,
    5832,  2523,  5833,  2179,  5856,  2417,  5857,  5864,  1499,  5880,
    1499,  4389,  3177,  1633,  2181,  3178,  3930,  2190,   718,  2460,
    3931,  3932,  3933,   898,  5892,   235,  5529,  5917,  5955,  5537,
    5729,  5957,   718,  5958,  1844,  2198,  2204,  4551,   238,  5972,
    5979,  5806,  5958,  2207,  2205,  2206,  2211,  2214,  2215,  2217,
    1448,  2231,  2233,  2491,  2493,  2241,  2242,  2245,  1448,  1448,
    2265,   250,  2246,  2253,   421,   421,   421,  2257,  2258,  2260,
    2280,  2266,  2268,  2273,  4949,   251, -1395,  2276,  2279, -1395,
    2291,  2325,  2356,  2361,  2370,  2371,  4568,  2363,  2364,  2453,
    2455,  1499,  1633,   862,  2379,  3930,  2377,  3963,  2378,  3931,
    3932,  3933,  2380,  3970,  2381,   251,  2383,  2384,  2451,  2385,
    2485,   718,  2386,  1598,  2387,  3179,  4552,  2388,  2390,  1499,
    2391,  2392,  2393,  4438,  2394,  2395,  2396,  5928,  2397,  2399,
    2400,  5056,  5931,  2401,  2402,  2403,  2404,  2405,  2406,   862,
    4397,  2507,   717,  4316,  1499,  2456,   967,  2497,  2481,   423,
    1499,  4410,  1579,  2518,  2526,  1805,   718,  1807,   718,  2557,
    2559,  2578,  2568,  1210,  2571,  2593,  2595,  2597,  2605,  2586,
    2606,   718,  2608,   718,  2615,  4437,  2613, -2923,  2617,  2619,
    2620,  4369,  2621,  2829,   978,   863,  2637,  2638,  2639,  2642,
    2640,  2645,  2643,  1173,  2644,   423,  2646,  2647,  2648,  2654,
    2679,  2673,  2685,  2708,  2712,  2714,  2715,  2716,  2717,  2719,
    2720,  3935,  1173,  2735,  2737,  2736,  2748,  2749,  2764,  1499,
    2760,  5203,  3180,  2766,  2769,  2767,  2768,  2770,  2778,  1298,
    2780,  5179,  2779,  2781,  2782,  2787,   718,  1499,  2788,   421,
    2797,   869,  1844,  2791,  2798,  2799,   375,   869,  2800,  2803,
    2815,  2822,  1499,  4576,  4577,  4578,  4579,   375,  2806,  2810,
    2811,  2823,  2825,  2830,  2831,  4079,  4079,  1974,  2835,  2836,
    2837,  2839,  2840,  3936,  2841,  2844,  2846,  2847,  2863,  2852,
    5100,   375,   718,   708,  2853,   421,  2864,  2891,  2865,  2869,
    3935,  5590,  2875,  2870,  2879,  2893,  2894,  2896,  2900,  2901,
    2895,   718,  2902,  2908,  2909,  2910,  2911,  2912,  2913,   863,
    2915,  2920,  2921,   863,  2922,  2927,  5145,  5146,  2930,  5148,
    2931,  2934,  5108,   718,   936,  2833,   718,  2939,  2948,  2959,
    2031,  2838,  2963,  5308,  2964,  5405,   863,  2945,  2967,  2972,
    5323,  2990,    74,  1962,  1259,  2983,  2986,  1499,   862,  1963,
    2999,  3003,  3936,  1259,  2989,  3005,  5139,  3008,  3007,  1259,
    3014,  1259,  3025,  3027,  1259,  5580,  3028,  5582,  1499,  1259,
    1259,  1259,  1259,  3035,  3032,  1259,  1259,  1259,  1259,  1259,
    1259,  1259,  1259,  1259,  1259,   863,  3036,  3072,  1259,  1259,
    1964,  3043,  3045,  1499,  3046,  3047,  3059,  3048,  1259,  3060,
    4028,  3089,  1259,  3105,   423,  3033,  1259,  4028,  3019,  3090,
    3111,  3124,  4028,  3167,  1259,  4028,  3216,  1259,  3137,  1259,
    3222,  3172,  2419,  3235,  3241,  3226,  3253,  1499,  1259,  3255,
    3275,  1259,  1259,  3276,  3290,  3307,  1259,  1259,  3308,  3310,
    3313,  3317,  3315,  1259,  1966,  3318,  2960,  4028,  5196,  3319,
    2965,  1967,  3342,  1259,  1968,  3328,  1259,  1178,  3937,  3938,
    3939,  4028,  3940,  3941,  3942,  3943,  3944,  3945,  2411,  1259,
    3329,  3343,  3341,   863,  3358,  1259,  1259,  1259,  3344,  1969,
    3365,  3379,  3381,  3382,  4583,  2471,  3399,  4588,  5734,  3400,
    3428,  3402,  5740,  5742,   421,  3433,  3431,  3435,  3436,  3442,
    3452,  1633,  3453,  5436,  3930,  3447,  1067,  3459,  3931,  3932,
    3933,  1970,  4935,  3455,  1193,  3457,  3463,  3476,  3467,  3475,
    3479,  3492,  3493,  3498,  1259,  4998,  1756,  4774,  1067,  1760,
    3514,  3515,  3509,  3528,  3533,  3534,  3560,  3937,  3938,  3939,
    1259,  3940,  3941,  3942,  3943,  3944,  3945,  3797,  3555,  3561,
    3598,  3563,  3570,  3654,  3666,  3578,  1499,  3681,  3677,  3673,
    3674,   869,   869,   869,  3686,  3687,  3692,  1934,  1259,  3688,
    1971,  3697,  1972,  3699,  3703,  3724,    80,  5343,  3706,    80,
    5504,  3739,  1973,  3712,  3725,  3741,  3745,  3743,  3754,  3757,
    3763,  1974,  2926,   862,  3771,  2013,  3766,  3772,   862,   718,
     862,  1935,  1975,  3773,  3774,  3775,  3776,  3779,  3785,  3788,
    3787,  5499,  3791,  3792,  2014,  3805,  3806,  3809,  3810,  3811,
    4028,  3812,   862,  3814,  2589,  5366,  3819,  3817,  3822,  3841,
    3820,  3821,  3823,  3831,  5834,  1844,  3843,  3844,  3622,   862,
    3850,  1844,  1977,  1978,  3832,  3848,  3856,  3859,  3867,   423,
    3857,  3858,  2413,  3138,   423,  1499,   423,  2277,  2274,  2243,
    1937,  3869,  3870,  2015,  4718,  3871,  3878,  3881,  3886,  1595,
    1979,  2676,  3888,  3893,  3892,  1298,  3915,  3183,   423,  1499,
    3895,  3898,  5367,  3896,  4028,  3912,  3913,  3914,  5365,  3919,
    3920,  5361,  3922,  3925,  1938,   423,  3926,  2523,  3948,  3935,
   -2096,  3964,  3954,  3981,  3961,  3998,  3975,  3976,  4003,  4031,
     718,  3989,  4074,   718,  4076, -1691,  4081,  4084,  4082,  3999,
    4086,  4321,  4095,  1298,  3798,  4118,  4719,  4036,  4001,  1939,
    5407,  4088,  5734,  4102,  1980,  4107,   869,  4123,  4106,   421,
    4111,  4002,  4005,  4125,   421,  4126,   421,  2016,  4108,  5747,
    4134,  4137,  4139,  4161,  4162,  4146,  4174,  4172,  4130,   863,
    4178,  3936,  4131,  1940,  2285,   863,  4112,  4179,   421,  4180,
    4206,  4912,  4181,  4196,  4195,  1259,  4198,  4214,  4204,  4205,
    4224,  4241,   869,  4243,  3312,   421,  4245,  4247,  2348,  4253,
    4254,  4248,  4251,  4255,  1942,  2017,  4265,  4267,  2018,  4268,
     718,   718,  4269,  4270,  1499,  4271,  4274,  4286,  4272,  2828,
     718,  4720,  4273,  4275,  4277,  4276,  4288,  1259,  4278,  5514,
    4282,  4279,  4280,  4290,  1844,  4281,  4283,  4437,  4028,   718,
    5514,  4292,  2861,  4293,   209,  4314,  4301,  4295,  1944,  4328,
    2020,  4305,   422,  5677,  4306,  1945,  4308,  4538,  4019,  4360,
    4366,  4370,  4359,  1946,  1499,  1259,  1259,  4372,  4374,  4377,
    5693,  2729,  4388,  1447,  4391,  5695,  4389,  5697,  4401,  4404,
    4405,  1633,  4408,  1948,  3930,  4398,  4409,   375,  3931,  3932,
    3933,  1949,  4412,  2022,   423,  4413,  4425,  4435,  4446,  4028,
    4463,   717,  4454,  4464,  4465,  4999,  4456,  4477,  4485,  4444,
    4466,  5073,  3800,  2023,  4467,  4474,  4478,  1875,  4486,    80,
     718,    80,  5584,  4476,  4487,  4489,  4469,  4490,  4491,  2372,
    4028,  4495,  3951,  2025,  2418,  4721,  3930,  2419,  4722, -2095,
    5712,  1259,  3950,   375,  4545,  4556,  1950,  4504,  1179,  4529,
    3801,  2945,  1259,  4530,  4531,  4569,  3937,  3938,  3939,  1448,
    3940,  3941,  3942,  3943,  3944,  3945,  2425,  4537,  4557,  4586,
    4575,  4560,  4587, -2980,  4612,  4615,  4595,  4610,  4625,  4640,
    4637,  4646,  1259,  4628,   421,  4627,  4629,  4632,  4642,  4654,
    4661,  4668,  1259,  1259,  4689,  1499,  4630,  2427,  4691,  1259,
    1259,   869,  4633,  4697,  1259,  1499,  4692,  5592,  4704,  1259,
    4705,  5111,  1259,  1259,  4706,  5059,  5061,  1259,  4711,  4709,
    4713,  4707,  4727,  1259,  4730,  4745,  4757,  4769,  1755,  4772,
    4758,  4742,  4759,  4771,  4743,  1259,  2770,  4782,  4744,  4755,
    4756,  4791,  4028,  1259,  4783,  4806,  4760,  1259,  4788,  4808,
    4810,  4718,  5692,  5709,  4813,  4821,  4820,  4823,  4824,  4827,
    1259,  4837,  4851,  4860,  3990,  1259,  4848,  4866,  4874,  4880,
    1447,  1259,  4881,  3094,  4019,  4884,  4886,  4887,  4019,  3935,
    4893,  4904,  4909,  4925,  4910,  4923,  4922,  4926,  1259,   863,
     863,   863,  4928,  4927,  4930,  4932,  1275,  4944,  4933,  4950,
    4954,  4956,    81,   862,  1306,  4962, -2980,  3553,  4972,  4735,
    4981, -2980,  4982, -2097,  4983,  5024,  5025,  1326,  4984,  1259,
    5032,   375,   375,  4967,  4976,  5033,  4977,  4985,  5038,  5017,
    4989,  3577,  5040,  5004,  5020,  5022,  5037,  1499,  5041,  5057,
    5043,  3936,  5044,  5072,  5045,  5070,   708, -2980,  3622,  5066,
    5074,  1298,   708,  5080,   718,  5079,  1844,  5088,  5106,   423,
    5107,  5117,  5116,  5110,  5129,   708,  5118,  5132,  5136,  5138,
    5149,  5141,  3662,  5142,  5157,  1499,  5162,  4028,  5170,  5171,
    1844,  5176,  5177,  5185,  5180,  5186,  5191,  5193,  5192,  2418,
    5195,   718,  2419,  5199,  2434,  3680,  1499,  5201,  3680,  1633,
    3680,  5209,  3930,   718,  3680,  5212,  3931,  3932,  3933,  5214,
    5217,  5222,  5224,  3680,  3680,  3680,  5235,  5232,  5234,  1259,
    5236,  2425,  5250,  5237,  5245,  5255,  5687,  5259, -2980,  5267,
     718,  5260,  5269,  5266,  5274,  1251,  5276,  5277,  5278,  5279,
    5285,  5291,  5294,  5301,  1271,  5305,   869,  5321,  5331,   421,
    4028,   869,  2427,   869,  5334,  5337,  5327,  5348,  2591,  2592,
    5351,  1499,  5357,  5352,   863,  5358,  5363,  5369,  5370,  5374,
    5387,  3758,  5406,  5408,  5379,   869,  5380,  4847,  5414,  5416,
   -2980,  5418,  5419,  1385,  5421,  1259,  5422,  5425,  5442,  5424,
    5825,  5443,   869,  5450,  5452,  5455,  5460,  5483,  5462,  1259,
    5481,  5491,  5469,  3790,  5470,  5485,  5500,  5503,  5484,  5507,
     863,  1448,  5524,  5513,  1447,  5552,   715,  5529,  5554,  4561,
    5561,  5607,   718,  5517,  5520,  5534,  3937,  3938,  3939,  1259,
    3940,  3941,  3942,  3943,  3944,  3945,  5525,  3829,  5533,  5555,
    5614,  5567,  5618,  5527,  5621,  1251,  5545,  5609,  5628,  5619,
    5633,  5639,  5640,  5649,  5653,  1271,  5654,  5655,  5662,  5663,
    5670, -2980,  5872,  5873,  1448,  5665, -2980,  5664,  5675,  5700,
    5699,  1499,  5676,  1499,  5683,  5696, -2980,  5705,  5707,  5704,
      74,  5717,  5721,  2441,  2442,  2443,  2444,  2445,  2446,  5739,
    5745,  5746,  5750,  1069,  5755,  5752,  5759,  3935,  5762,  5763,
    5769,  1067, -2980,  1067,   718,  1067,  5782,  5783,  1844,  5784,
    5790,  1067,  1577,  1578,  5791,  1069,  5835,  5800,  5826,  4570,
    1259,  5748,  2418,  5821,  1499,  2419,  5819,  5828,  5749,  1259,
     708,   708,  5844,  5843,  5802,  1067,  1067,  5845,  5875,  5883,
    5890,  5900,  5903,  5909,  5926,  5924,  1259,  1259,  5929,  2434,
    1259,  5925,  5932,  5936,  2425,  5950,  5951,  5953,  5956,  3936,
    5970, -2980,  5963,  5964,  5971,  1259,  5973,  1191,  5974,  2876,
    5975,  2504,  1259,  1959,  3748,  3559,  2045,  1259,  4066,  3627,
    1259,  1259,  4189,  4733,  4726,  2427,  5935,  5829,  1259,  1259,
    3665,  1633,  4313,  4830,  3930,  5601,  5733,  5901,  3931,  3932,
    3933,  4862,  5328,  4019,  5461,  5175,  5435,  4128,  4019,  3855,
    5822,  4019,  1259,  5897,  1259,  5341,  1173,  5753,  5751,   863,
     718,  5842,   718,  5914,  4133,  4913,  1259,  4892,  5715,  4855,
    3722,  3723,  4731,  4208,  5197, -2980,  4376,  4879,  5441,  3713,
    4384,  5446,  5902,  2033,  5976,  5968,  5977,  5978,  2044,  5420,
    4331,  4315,  4564,  5847,   862,  5368,  2938,  5563,  5723,  5371,
    1087,  1482,  1067,  2345,  1499,   718,  4951,  5053,  5440,  5540,
    2358,  3405,  4919,  4119,  1259,  3049,  3015,  5660,  3131,  3132,
    1449,  1867,  3133,  4289,  4761,  1482,  4380,  4781,  5457,  5866,
    5962,  3323,  2653,    79, -2980,  1770,  3324,  3079,   383, -2980,
    5330,  5816,  5062,  4650,   383,  2292,  3851,  5474,  1524,   712,
     423,  4072,  2553,  2466,  3357,  4083,  1259,  1448,  3338,  2524,
    2120,  4626,  2554,  2418,  5812,  5698,  2419,  5048,  3356,  1067,
    4590, -2980,  5015,  5519,  5030, -2980,   383,  4584,  2441,  2442,
    2443,  2444,  2445,  2446,  3937,  3938,  3939,  5682,  3940,  3941,
    3942,  3943,  3944,  3945,  5681,  2425,  1844,  2563,  4651,  5965,
    2558,  4585, -2980,  5882,  5930,  5803,  2550,  5498,  4539,  5324,
    5814,  1962,  5465,  5815,   375,  5799,  3280,  1963,  3996,  3907,
    4068,   383,  2434,  3994,  3289,  1259,  2427,  1499,  1224,  3935,
    2049,  3010,  4436,  3808,   375,  1251,  3383,  2192,  5792,  2577,
     421,  1546,  1194,  2570,  3374,  2353,  1271,  1856,  1857,  3390,
    1885,  3387,  4061,   375,  1259,  1499,  3388,  1259,  1964,  1259,
    5049,  4631,  4656,  2574,  2470,  4657,  1217,    83,  3853,  3091,
    5329,  3394,  1584,     0,     0,     0,     0,     0,     0,  1259,
       0,     0,     0,     0,     0,  1259,   869,     0,   862,  1259,
       0,  3936,   383,  4565,     0,  1499,     0,     0,     0,  1448,
    1259,     0,     0,     0,   863,     0,     0,  3141, -2980,   863,
    2050,   863,  1966,     0,     0,  2282,     0,     0,     0,  1967,
    4019,     0,  1968,     0,  2183,     0,     0,     0,     0,     0,
       0,  2411,     0,   863,     0, -2980,     0,     0,     0,     0,
   -2980,     0,     0,     0,   423,     0,     0,  1969,     0,     0,
     863,     0,  1499,     0,     0,  3142,     0,  1499,  1499,     0,
       0,     0,  1259,     0,     0,     0,     0,     0,  5642,     0,
       0,     0,     0,     0,     0,     0, -2980,     0,     0,  1970,
     718,     0,     0,     0,     0,     0,  4213,  3143,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2980,     0,     0,     0,     0,  1259,
    3144,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,
       0,  3145,     0,  2434,     0,     0,     0,     0,     0,    74,
      74,     0,    74,  1259,   421,     0,  4250,     0,  1971,     0,
    1972,  3146,     0,     0,     0,     0,  3147,  5701,  1067,     0,
    1973,     0,  2096,   383,     0,     0,     0,     0,     0,  1974,
       0,     0,     0,     0,  4019,     0,     0,     0,  1499,  1499,
    1975,     0,     0,     0,   375,  2111,  3937,  3938,  3939,  5669,
    3940,  3941,  3942,  3943,  3944,  3945,     0,     0,   383,     0,
    2122,  1259,     0,     0,  1259,  3148,     0,  1259,     0,  4287,
       0,     0,     0,     0,     0,     0,     0,  2051,  1259, -2980,
    1977,  1978,     0,  1259,     0,  1259,  3149,  1259,     0,   862,
       0,     0,     0,     0,     0,  1259,     0,     0,     0,  5326,
    3680,     0,     0,     0,     0,     0,     0,     0,  2052,     0,
       0,     0,  4312,  1259,     0,     0,     0,     0,     0,     0,
    4326,     0,     0,   375,     0,     0,  4326,     0,     0,     0,
       0,     0,  1448,     0,  1448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   423,     0,   718,     0,     0,
       0,     0,   898,     0,     0,  3150,     0,     0,     0,     0,
       0,     0,   708,  5392,     0,  1844,     0,     0,     0,     0,
       0,     0,  1980,     0,     0, -2980,     0,     0,  5923,     0,
    4387,  3151,  2441,  2442,  2443,  2444,  2445,  2446,  3152,   862,
       0,     0,     0,     0,     0,  3153,     0,  1259,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1259,     0,     0,
       0,  4420,  1448,     0,     0,     0,     0,     0,     0,  1067,
       0,     0,     0,  3154,  1067,  1067,     0,     0,  3155,     0,
       0,  3156,     0,     0,     0,   421,  1259,  1259,     0,     0,
    3829,     0,     0,     0,  1259,   423,  5848,     0,  1499,  3157,
       0,     0,     0,     0,  1259,     0,     0,     0,     0,     0,
       0,     0,     0,   718,     0,     0,     0,     0,     0,     0,
       0,     0,  5871,     0,  3158,   379,  1259,     0,     0,  5868,
    5869,  2354,     0,  5870,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2587,     0,  1577,
    1578,     0,     0,     0,     0,     0,     0,   869,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2602,     0,
       0,     0,     0,     0,     0,  2609,  2611,  1259,     0,     0,
       0,     0,     0,  1259,     0,   421,     0,     0,     0,     0,
       0,     0,  1259,     0,     0,     0,     0,  5871,  1259,  1259,
     379,  1259,   375,     0,  5868,  5869,     0,     0,  5870,     0,
    1259,     0,  3199,     0,  2418,     0,  5889,  2419,     0,     0,
    3217, -2980, -2980, -2980,   863,     0,     0,  1259,   375,     0,
       0,     0,     0,     0,     0,     0,     0,  2874,  1069,  4549,
    1069,   718,  1069,     0,     0,  1067,  2425,     0,  1069,     0,
       0,     0,     0,  2426,     0,  1067,     0,     0,     0,     0,
       0,   862,     0,     0,     0,  1259,     0,  2418,     0,     0,
    2419,     0,  1069,  1069,     0,     0,     0,  2427,  1844,  1844,
       0,     0,  5871,     0,     0,   379,     0,     0,     0,  5868,
    5869,  1844,  1259,  5870,     0,  5889,     0,  1259,     0,  2425,
       0,     0,     0,  5922,     0,     0, -2980,     0,     0,     0,
     862,     0,     0,  2949,     0,     0,     0,   423,     0,     0,
       0,  2966,     0,     0,  1067,   862,     0,  1067,  1067,     0,
    2427,     0,     0,  2874,  1259,     0,     0,     0,     0,     0,
    1259,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   869,     0,     0,   383,  3340,     0,     0,   383,     0,
       0,     0,     0,     0,  1259,     0,   423,     0,     0,     0,
       0,  1272,   712,     0,     0,     0,     0,     0,     0,     0,
     712,   423,  1259,  1259,     0,     0,  2428,     0,   375,     0,
       0,  2429,     0,   712,     0,     0,     0,  5002,     0,  1069,
       0,     0,     0,     0,     0,     0,     0,   421,     0,     0,
    3042,  1067,     0,   715,   715,     0,     0,     0,  1872,     0,
       0,     0,   712,     0,     0,     0,     0,  2432,   712,     0,
       0,     0,     0,  2874,     0,     0,     0,     0,  5392, -2980,
       0,   712,     0,     0, -2980,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,   712,     0,     0,
       0,   421,     0,     0,  2434,     0,     0,     0,     0,     0,
   -2980,  4326,  1272,   712,     0,     0,     0,     0,     0,     0,
     712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3009,     0,     0,   712,     0,  4768,     0,     0,     0,     0,
       0,  1251,  4775,  2790,  1251,  4776,     0,  4777,     0,   712,
       0,     0,     0,     0,     0,  3021,     0,  2434,     0,     0,
       0,     0,     0,  1633,     0,  3029,  3930,  3030,  5804,     0,
    3931,  3932,  3933,  3034,     0,     0,     0,  3037,     0,     0,
       0,     0,     0,     0,     0,  1271,  1271,  4816,     0,     0,
    2436,     0,     0,     0,     0,  3680,     0,     0,     0,  3680,
    3680,     0,  3680,     0,     0,     0,     0,  4312,     0,     0,
       0,     0,   869,     0,     0,    35,     0,     0,     0,     0,
       0,     0,    74,    41,    42,    74,     0,     0,     0,  2418,
       0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,
       0,     0,     0, -2980,     0,     0,     0,  2892,   712,     0,
       0,     0,     0,  2423,     0,     0,  2424,     0,  1844,     0,
    1844,  2425,  2907,     0,     0,     0,     0,     0,  2426,   383,
       0,     0,     0,     0,     0,     0,     0,  1271,     0,     0,
       0,     0,     0,  2929,     0,     0,  2437,     0,     0, -2980,
   -2980, -2980,  2427,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,     0,     0,     0,     0,   863,  4916,     0,     0,     0,
       0,     0,   869,     0,     0,     0,     0,     0,     0,     0,
    3173,  3174,     0,     0,     0,     0,     0,  3188,  3189,     0,
       0,     0,     0,     0,     0,     0,   712,   712,  3006, -2980,
       0,  3829,  3829,  3829,  3829,  3829,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,     0,  3227,     0,  3017,     0,
       0, -2980,     0,     0,     0,     0,     0,     0,     0,     0,
    1482,     0,     0,     0,     0,  1069,     0,     0,     0,  4959,
    4959,  4959,  3031,  4959,  4959,  4959,     0,     0,     0,     0,
    5941,   708,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2428,     0,     0,     0,     0,  2429,     0,     0,     0,
       0,     0,  2602,  3396,     0,     0,     0,     0,  3055,  1482,
       0,     0,     0,  3936,     0,     0,     0,  2430,  2431,  1844,
       0,  3412,     0,     0,     0,     0,     0,  3416,  5942,  5941,
       0,  3419,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5941,     0,     0,     0,     0,     0,
       0,     0,     0,  1272,     0,     0,     0,  3443,     0,     0,
       0,     0,     0,     0,     0,  2433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3346,  3346,  5942,     0,  2434,
       0,     0,  2435,     0,     0,     0,     0,     0,     0,   863,
    2418,     0,  5942,  2419,     0,     0,     0,  2420,  2421,  2422,
       0,  3496,     0,     0,     0,     0,     0,     0,     0,  5047,
       0,     0,  5054,  5055,  2423,     0,  1934,     0,     0,   708,
       0,     0,  2425,  1067,   869,     0,     0,     0,     0,  2426,
       0,     0,     0,     0,     0,     0,     0,     0,    80,     0,
       0,     0,     0,  1867,     0,    74,     0,    74,     0,     0,
    1935,  3544,     0,  2427,     0,     0,     0,     0,     0,     0,
       0,     0,  3229,     0,     0,  2436,  1069,     0,     0,     0,
       0,  1069,  1069,   869,     0,  3573,     0,     0,     0,     0,
       0,     0,     0,  3584,     0,  1067,     0,     0,   869,     0,
     708,     0,     0,     0,  3599,     0,     0,     0,  3937,  3938,
    3939,     0,  3940,  3941,  3942,  3943,  3944,  3945,     0,  1937,
       0,     0,     0,     0,  3612,     0,   712,     0,     0,  3614,
       0,  1251,     0,  3617,     0,     0,     0,     0,  1271,     0,
     712,     0,     0,     0,  3199,  3199,  3634,     0,     0,  3199,
       0,     0,     0,  1938,     0,     0,     0,     0,     0,  3659,
       0,     0,     0,     0,     0,   715,     0,     0,   712,   708,
       0,  2437,  2428,     0,  2438,  2439,  2440,  2429,  2441,  2442,
    2443,  2444,  2445,  2446,     0,     0,  3199,  3199,  1939,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2430,  2431,
       0,     0,     0,     0,   712,  5152,  5153,     0,     0,     0,
       0,     0,     0,  2432,     0,  3680,  2418,  3680,  3680,  2419,
     712,  3680,  1940,  2420,  2421,  2422,     0,     0,     0,     0,
     863,     0,     0,     0,     0,   712,     0,     0,   712,     0,
    2423,  1962,     0,     0,     0,     0,  2433,  1963,  2425,     0,
       0,     0,  1069,  1942,     0,  2426,  1067,     0,     0,     0,
    2434,     0,  1069,  2435,  1067,     0,     0,  1067,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2427,
       0,  5211,     0,     0,     0,     0,     0,     0,  1964,     0,
       0,     0,     0,   209,     0,  2728,     0,  1944,     0,     0,
       0,     0,     0,     0,  1945,     0,     0,     0,     0,     0,
       0,     0,  1946,     0,     0,     0,  5238,     0,     0,     0,
    2729,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     863,  1069,  1948,     0,  1069,  1069,     0,     0,  1965,     0,
    1949,     0,  1966,     0,     0,  3462,  2436,     0,     0,  1967,
       0,     0,  1968,     0,     0,     0,  4959,  3477,     0,     0,
       0,     0,     0,     0,     0,     0,   712,     0,     0,     0,
       0,     0,     0,     0,   712,   712,     0,  1969,     0,     0,
       0,     0,     0,     0,     0,   383,     0,     0,  2428,     0,
       0,     0,     0,  2429,     0,  1950,     0,  3510,     0,     0,
       0,     0,     0,     0,     0,  3866,  3797,     0,     0,  1970,
       0,     0,     0,     0,  2430,  2431,     0,     0,  1069,     0,
       0,     0,     0,  3880,     0,     0,  1934,     0,     0,  2432,
       0,  3866,     0,     0,     0,     0,     0,   383,   383,   383,
       0,     0,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,     0,     0,   712,  2687,
    1935,  3921,  2433,     0,  2688,     0,     0,     0,  1971,     0,
    1972,     0,  3824,  3827,     0,     0,  2434,     0,     0,  2435,
    1973,     0,     0,     0,     0,     0,     0,     0,   383,  1974,
       0,     0,     0,     0,     0,   383,   382,     0,  2689,     0,
    1975,     0,   382,     0,     0,     0,   383,   711,     0,     0,
    4326,  2690,     0,     0,     0,     0,     0,     0,     0,  1937,
       0,     0,     0,     0,     0,     0,  2691,     0,     0,     0,
       0,     0,     0,     0,   382,     0,     0,  1976,     0,     0,
    1977,  1978,     0,     0,     0,  1067,     0,     0,     0,     0,
       0,  3680,   863,  1938,     0,     0,     0,  2418,     0,     0,
    2419,     0,  2436,     0,  2420,  2421,  2422,  2692,  1979,     0,
       0,     0,     0,     0,  3708,     0,     0,     0,  2693,   382,
       0,  2423,     0,  3798,  1251,     0,     0,     0,  1939,  2425,
    1271,     0,     0,     0,     0,     0,  2426,     0,  2694,     0,
       0,   863,     0,  2695,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   863,     0,     0,     0,
    2427,     0,  1940,     0,     0,  3797,     0,  1113,     0,     0,
       0,     0,  1980,     0,     0,  1113,     0,  1113,     0,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
     382,     0,     0,  1942,     0,     0,     0,     0,  2437,     0,
       0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,  2696,     0,     0,     0,  3971,     0,  1935,
       0,     0,     0,   712,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   209,     0,     0,     0,  3799,     0,     0,
       0,     0,     0,     0,  1945,     0,     0,  2697,     0,     0,
       0,     0,  1946,     0,     0,     0,     0,     0,     0,     0,
    2729,     0,     0,     0,     0,     0,     0,     0,     0,  2428,
       0,     0,  1948,  4029,  2429,   383,     0,     0,  1937,   898,
    1949,     0,     0,     0,     0,     0,  4140,     0,  2602,     0,
       0,  4064,     0,  1067,     0,  2430,  2431,     0,     0,   712,
       0,  3800,     0,     0,     0,     0,     0,   712,     0,     0,
    2432,     0,  1938,  5577,  5577,  2698,  4078,  4078,     0,   712,
    3879,     0,  2699,     0,     0,  2700,  1448,     0,     0,     0,
    5594,     0,     0,     0,     0,  1950,     0,  3891,     0,  3801,
    5602,  4029,  3798,  2433,     0,     0,     0,  1939,     0,     0,
    3897,   382,     0,     0,     0,  2701,     0,  2434,     0,     0,
    2435,     0,  2702,     0,     0,     0,     0,     0,     0,  2703,
       0,     0,     0,     0,     0,     0,  2704,     0,     0,     0,
       0,  1940,     0,     0,     0,     0,   382,     0,     0,     0,
       0,     0,  1272,  1272,  4219,   712,   712,     0,     0,     0,
       0,  2705,     0,     0,     0,     0,     0,   712,     0,     0,
       0,     0,  1942,     0,     0,     0,     0,     0,   712,   712,
    3199,  3199,  3199,  3199,     0,     0,  3199,  3199,  3199,  3199,
    3199,  3199,  3199,  3199,  3199,  3199,     0,     0,     0,     0,
       0,     0,     0,  2436,   712,     0,     0,     0,     0,     0,
    1069,     0,   209,  4536,   715,     0,  1944,     0,     0,     0,
       0,  1962,     0,  1945,     0,     0,     0,  1963,     0,     0,
    1872,  1946,     0,     0,     0,  1962,     0,     0,     0,  2729,
    2049,  1963,  3199,  3199,  1272,     0,     0,     0,     0,  1494,
       0,  1948,     0,     0,     0,     0,     0,     0,     0,  1949,
       0,     0,     0,     0,     0,     0,     0,  4297,  1964,     0,
       0,     0,  1069,  1494,     0,     0,     0,     0,     0,     0,
    3800,     0,  1964,  1448,     0,     0,     0,  5737,     0,  5738,
       0,     0,     0,  5743,  5744,     0,     0,     0,     0,  2437,
       0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,  1950,     0,  3225,     0,  3801,     0,
    2050,     0,  1966,     0,     0,     0,     0,     0,     0,  1967,
       0,     0,  1968,     0,   383,     0,  1966,     0,     0,     0,
       0,  2418,     0,  1967,  2419,     0,  1968,     0,  2420,  2421,
    2422,     0,     0,     0,     0,     0,     0,  1969,     0,     0,
       0,     0,     0,     0,     0,  2423,     0,     0,     0,  2418,
       0,  1969,  2419,  2425,     0,     0,  2420,  2421,  2422,     0,
    2426,     0,     0,     0,     0,     0,     0,     0,     0,  1970,
       0,     0,     0,  2423,     0,     0,     0,     0,     0,     0,
       0,  2425,     0,  1970,  2427,     0,     0,     0,  2426,     0,
       0,     0,  4144,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5577,     0,  5577,     0,     0,   383,  4155,
       0,     0,  2427,  1069,     0,     0,     0,     0,  2874,     0,
       0,  1069,     0,     0,  1069,     0,  1067,     0,  1971,     0,
    1972,     0,  1067,     0,     0,     0,     0,  4470,     0,     0,
    1973,     0,  1971,     0,  1972,     0,     0,     0,     0,  1974,
       0,     0,     0,     0,  1973,     0,  4365,     0,     0,     0,
    1975,     0,  4484,  1974,     0,   383,     0,   383,     0,     0,
       0,     0,     0,     0,  1975,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   712,     0,     0,
       0,     0,     0,  2428,     0,     0,     0,  3624,  2429,     0,
    1977,  1978,     0,  4236,     0,  4238,     0,  1448,     0,   712,
       0,  2078,     0,     0,  1977,  1978,     0,     0,     0,  2430,
    2431,  2428,     0,     0,     0,     0,  2429,   712,  3625,     0,
       0,     0,   383,   712,  2432,     0,     0,   712,     0,  4441,
       0,     0,  2079,     0,     0,   712,  3827,  2430,  2431,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2432,   712,     0,     0,  3199,  2433,     0,     0,
       0,     0,   382,     0,  5577,     0,   382,     0,     0,     0,
    1494,  2434,     0,  5943,  2435,  1272,  4285,     0,     0,     0,
     711,     0,  1980,     0,     0,  2433,     0,     0,   711,     0,
       0,     0,     0,  1494,     0,     0,  1980,   712,     0,  2434,
       0,   711,  2435,  2418,  4299,  1067,  2419,     0,  1494,     0,
    2420,  2421,  2422,     0,     0,   712,   712,     0,     0,     0,
       0,     0,  5943,     0,     0,     0,     0,  2423,     0,     0,
     711,     0,     0,     0,     0,  2425,   711,  5943,     0,     0,
       0,     0,  2426,     0,     0,     0,   383,   712,     0,   711,
     383,     0,     0,     0,     0,     0,     0,  2436,     0,     0,
       0,     0,     0,     0,     0,     0,  2427,     0,     0,     0,
       0,   712,     0,   383,     0,   711,     0,     0,     0,   712,
       0,     0,     0,     0,     0,  2436,   712,     0,     0,     0,
     712,   711,  1069,     0,     0,     0,     0,  1494,   711,     0,
       0,     0,     0,     0,  3510,     0,     0,     0,     0,     0,
     712,   711,     0,     0,     0,   712,     0,     0,     0,   712,
       0,     0,   383,     0,     0,  4699,     0,   711,  4029,     0,
       0,  4029,   712,     0,     0,     0,     0,  4439,     0,     0,
       0,     0,     0,     0,     0,   712,     0,     0,     0,     0,
       0,     0,     0,  2437,     0,   712,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
    4327,     0,     0,     0,     0,  2428,     0,     0,     0,     0,
    2429,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,     0,     0,     0,  4497,     0,
       0,  2430,  2431,     0,     0,     0,  5019,     0,     0,     0,
     383,     0,     0,     0,  4653,     0,  2432,     0,     0,     0,
       0,     0,     0,     0,  1113,     0,   711,     0,  1113,  1494,
       0,     0,  4496,     0,     0,     0,  4796,     0,     0,  4799,
       0,     0,     0,  4029,     0,     0,     0,   382,     0,  2433,
       0,     0,     0,  4505,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2434,     0,     0,  2435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4528,     0,
       0,     0,     0,     0,     0,     0,     0,   712,     0,     0,
       0,     0,     0,     0, -2479,     0,  1962,     0,     0,     0,
    1069,     0,  1963,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2354,     0,   711,   711,     0,     0,     0,     0,
       0,  2418,     0,     0,  2419,     0,     0,  1067,  2420,  2421,
    2422,     0,     0,     0,     0,     0,  4876,     0,     0,     0,
     712,     0,     0,  1964, -2479,  2423,     0,     0,     0,  2436,
       0,  1067,     0,  2425,     0,  2874, -2479,  1067,     0,     0,
    2426, -2479,     0,     0,     0,     0, -2479,     0,     0,     0,
       0,     0, -2479,     0,     0, -2479,     0,     0, -2479,     0,
    2490,     0,     0,     0,  2427,     0,     0,     0,     0,     0,
       0,   712,     0,  2783,     0,     0,     0,  1966,     0,     0,
       0,     0,  1113,  1113,  1967,     0, -2479,  1968,     0,   712,
       0,     0,     0,     0,     0,     0,     0,   712,     0,     0,
       0,     0,     0,     0,     0,     0, -2479,  1272,     0,  1577,
    1578,     0,  1969,     0,     0,     0,  3866,     0,     0,     0,
       0,     0,     0,     0,     0,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,  4548,     0,  1970,     0,     0, -2479,     0,     0,
   -2479,     0,     0,     0,     0,     0, -2479,  2418,     0,     0,
    2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,     0,
       0,     0,  4029,  2428,     0,     0,   383,     0,  2429,     0,
       0,  2423,   383,     0,     0,     0,     0,     0,     0,  2425,
    1494,     0,     0,     0,     0,     0,  2426,     0,     0,  2430,
    2431,     0,     0,  1971,     0,  1972,     0,     0,     0, -2479,
       0,     0,     0,     0,  2432,  1973,     0,     0,     0,     0,
    2427,     0,     0,     0,  1974,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1975,     0,  3827,  3827,  3827,
    3827,  3827,     0,     0,     0,     0,     0,  2433,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,  1067,
    1083,  2434,     0,     0,  2435,     0,     0,     0,     0,     0,
       0,  3199,  2784,   712,     0,  1977,  1978,     0,     0,     0,
    5273,     0,     0,     0,   711,     0, -2479,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,   711,     0,
       0,     0,     0,  2785,     0,     0,     0,     0,     0,     0,
   -2479,     0, -2479, -2479,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   711,     0,     0,  2428,
       0,     0,     0,     0,  2429,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2436, -2479,     0,
       0, -2479, -2479,     0, -2479,  2430,  2431,     0,     0,     0,
       0,     0,   711,     0,     0,     0,     0,  1980,     0,  4865,
    2432,     0,     0,  1069,     0,     0,     0,     0,   711,  1069,
       0,     0,     0,     0,     0,   712,   712,  5123,  4029,     0,
       0,     0,  4029,   711,     0,  1494,   711,     0,     0,  5133,
       0,     0,     0,  2433,     0,     0,     0,     0,     0,     0,
    1494,     0,   712,     0,     0,   712,     0,  2434,  2602,  1494,
    2435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2437,    74,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,     0,
    4670,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   383,   383,   383,     0,
       0,     0,     0,  2436,     0,     0,  1494,  1067,     0,     0,
       0,  1067,     0,     0,     0,     0,     0,     0,  1494,     0,
     712,     0,     0,     0,   711,     0,     0,     0,     0,     0,
    1494,     0,   711,   711,     0,     0,  5126,  5127,     0,     0,
     712,  5130,  5131,   382,     0,     0,     0,     0,     0,  2418,
       0,     0,  2419,     0,   712,     0,  2420,  2421,  2422,     0,
    2354,     0,  1069,     0,     0,  3199,  1494,  1494,     0,     0,
       0,     0,     0,  2423,     0,     0,     0,     0,     0,     0,
       0,  2425,     0,     0,     0,     0,     0,     0,  2426,     0,
    3199,     0,     0,     0,     0,   382,   382,   382,     0,  2437,
    3866,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,  2427,     0,  3316,     0,   711,     0,     0,     0,
       0,     0,  2203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   712,     0,   710,     0,     0,     0,     0,
       0,     0,     0,     0,  5182,     0,   382,     0,     0,  2230,
       0,     0,     0,   382,     0,     0,     0,     0,     0,     0,
       0,     0,   860,     0,   382,     0,     0,     0,     0,  1260,
    1262,   383,  2244,  1265,  1113,     0,     0,     0,   712,     0,
     712,     0,  2255,     0,     0,     0,     0,     0,  2259,     0,
       0,  1312,  5092,   712,  2267,   712,     0,     0,  1322,     0,
    2275,     0,     0,  2278,     0,     0,     0,   860,     0,     0,
       0,     0,     0,     0,     0,  1113,  3866,   383,  3866,  1389,
    1494,  2428,     0,  1392,     0,     0,  2429,     0,     0,     0,
    5113,     0,     0,     0,     0,     0,     0,  1416,     0,     0,
       0,     0,     0,     0,  1421,     0,     0,  2430,  2431,     0,
       0,  5128,     0,     0,     0,  1112,     0,     0,   712,     0,
       0,     0,  2432,  1112,     0,  1112,     0,     0,     0,     0,
       0,     0,     0,     0,  2418,     0,     0,  2419,   860,     0,
       0,  2420,  2421,  2422,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2433,     0,     0,  2423,     0,
       0,     0,     0,     0,   712,     0,  2425,     0,  3199,  2434,
    4029,     0,  2435,  2426,     0,     0,  5154,  4029,     0,     0,
       0,     0,  4029,   712,     0,  4029,  5303,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2427,     0,     0,
    5325,   711,     0,     0,     0,   712,     0,     0,   712,     0,
       0,     0,     0,     0,  1962,     0,     0,  4029,     0,     0,
    1963,     0,     0,     0,     0,     0,  2418,     0,     0,  2419,
       0,  4029,     0,  2420,  2421,  2422,     0,     0,     0,     0,
       0,     0,     0,     0,  1069,     0,     0,     0,     0,     0,
    2423,     0,     0,   382,     0,  2436,     0,     0,  2425,     0,
       0,  1964,     0,     0,     0,  2426,  1067,     0,  1069,     0,
       0,     0,     0,     0,  1069,     0,     0,   711,     0,  1271,
       0,     0,     0,     0,     0,   711,   383,  1494,  5244,  2427,
       0,  1494,  1494,     0,     0,     0,     0,   711,     0,     0,
       0,     0,     0,     0,     0,     0,  2428,     0,     0,     0,
       0,  2429,     0,     0,     0,  1966,     0,     0,     0,     0,
       0,  1271,  1967,     0,     0,  1968,     0,     0,     0,     0,
       0,     0,  2430,  2431,     0,     0,     0,  1934,     0,  2354,
       0,     0,     0,     0,     0,  3199,     0,  2432,     0,     0,
    1969,  2437,     0,  1494,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,  1494,     0,     0,  4968,     0,
       0,  1935,     0,   711,   711,     0,     0,     0,     0,     0,
    2433,     0,  1970,     0,     0,   711,     0,     0,     0,     0,
    4029,     0,     0,     0,  2434,     0,   711,   711,  2428,     0,
       0,  1936,     0,  2429,     0,  1494,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   711,     0,  2430,  2431,     0,     0,     0,     0,
    1937,  1988,  1989,     0,     0,     0,     0,     0,     0,  2432,
       0,  1971,     0,  1972,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1973,  4029,     0,     0,     0,     0,     0,
    1962,  5881,  1974,     0,  1938,     0,  1963,     0,     0,     0,
       0,     0,  2433,  1975,     0,     0,     0,     0,     0,     0,
    2436,   712,     0,     0,     0,     0,  2434,     0,     0,  2435,
       0,     0,     0,     0,     0,     0,  1069,     0,     0,  1939,
       0,     0,     0,     0,     0,     0,     0,  1964,     0,     0,
    2709,     0,     0,  1977,  1978,     0,     0,     0,     0,     0,
       0,  2113,     0,     0,     0,     0,     0,     0,     0,  1067,
    1067,   383,     0,  1940,     0,     0,   383,     0,   383,     0,
       0,  2710,  1067,  3199,     0,     0,     0,     0,  3199,  2138,
    2139,     0,   382,     0,     0,     0,     0,     0,     0,     0,
     383,  1966,     0,  1941,  1942,     0,     0,     0,  1967,     0,
       0,  1968,  2436,     0,  5620,  2180,  2437,   383,     0,  2438,
    2439,  2440,  1494,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,     0,   712,     0,     0,   712,  1969,     0,  4029,     0,
    1943,     0,     0,     0,   209,  1980,     0,     0,  1944,     0,
       0,     0,     0,     0,     0,  1945,     0,     0,     0,     0,
       0,     0,     0,  1946,     0,     0,     0,     0,  1970,     0,
    2354,  1947,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5667,     0,  1948,     0,     0,   382,     0,     0,     0,
       0,  1949,     0,     0,     0,     0,     0,  2250,  2252,  4029,
       0,     0,     0,     0,  1494,     0,     0,     0,  2437,     0,
    4285,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,   712,   712,     0,  5003,     0,  1971,     0,  1972,
    4029,     0,   712,     0,     0,     0,     0,     0,     0,  1973,
       0,     0,     0,   382,     0,   382,  1950,     0,  1974,  3866,
       0,   712,     0,     0,     0,     0,     0,     0,     0,  1975,
       0,     0,     0,     0,     0,   711,     0,  2354,     0,     0,
       0,     0,  2354,  2354,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1069,     0,     0,   711,  1069,     0,
       0,     0,     0,     0,     0,     0,  3505,     0,     0,  1977,
    1978,     0,     0,     0,     0,   711,   383,     0,     0,     0,
     382,   711,     0,     0, -2481,   711,  3044,     0,     0,     0,
     860,     0,     0,   711,  3051,     0,     0,  1979,  1494,     0,
       0,     0,   712,     0,     0,     0,     0,     0,   710,     0,
    3061,   711,  4029,     0,     0,  1494,   710,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,   710,
       0,     0,     0,     0, -2481,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2481,     0,     0,     0,
       0, -2481,     0,     0,  5661,   711, -2481,     0,   710,     0,
       0,  1980, -2481,     0,   710, -2481,     0,  1113, -2481,     0,
       0,     0,     0,   711,   711,     0,     0,   710,     0,     0,
       0,  1271,     0,     0,     0,     0,     0,     0,     0,  1067,
       0,  1067,     0,     0,     0,     0, -2481,     0,     0,     0,
       0,     0,     0,   710,   382,   711,     0,     0,   382,     0,
       0,     0,     0,     0,     0,     0, -2481,     0,     0,   710,
       0,     0,     0,     0,     0,     0,   710,     0,     0,   711,
       0,   382,  5851,     0,     0,     0,     0,   711,     0,   710,
       0,     0,  1113,     0,   711,     0,     0,  4029,   711,     0,
       0,     0,     0,  1271,  1271,   710,     0, -2481,     0,     0,
   -2481,     0,     0,     0,     0,     0, -2481,     0,   711,     0,
       0,     0,     0,   711,     0,     0,     0,   711,     0,     0,
     382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     711,     0,     0,     0,     0,     0,     0,     0,  1962,     0,
       0,     0,     0,   711,  1963,     0,     0,     0,     0,     0,
       0,  2013,     0,   711,     0,     0,     0,     0,     0, -2481,
    4029,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2014,     0,     0,     0,     0,     0,   712,     0,     0,     0,
       0,   383,     0,     0,     0,  1964,     0,     0,     0,     0,
       0,     0,  1112,     0,   710,  3320,  1112,     0,     0,     0,
    1067,     0,     0,  5808,     0,     0,     0,     0,   382,  5940,
    1083,  1494,     0,   712,  1494,     0,  1494,     0,     0,  2015,
       0,  1494,     0,     0,     0,   712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2481,     0,     0,  1966,
       0,     0,     0,     0,     0,     0,  1967,     0,     0,  1968,
       0,     0,   712,     0,     0,     0,     0,     0,  5940,  5967,
   -2481,     0, -2481, -2481,     0,     0,     0,     0,     0,  2765,
    1494,     0,     0,  5940,  1969,     0,     0,  1271,  1271,     0,
       0,     0,   710,   710,     0,   711,     0,  1494,     0,     0,
       0,     0,     0,  1069,     0,     0,     0,     0, -2481,     0,
       0, -2481, -2481,  2016, -2481,     0,  1970,     0,     0,     0,
       0,     0,  1494,     0,     0,     0,     0,     0,     0,     0,
       0,    85,     0,     0,     0,     0,     0,    89,     0,     0,
       0,    93,     0,    94,     0,    96,    97,     0,   711,     0,
       0,     0,     0,     0,   712,     0,   106,     0,     0,     0,
       0,  2017,     0,     0,  2018,  2856,  2857,  2858,  2859,     0,
       0,     0,   118,   119,     0,  2019,     0,  1972,     0,     0,
    1112,  1112,     0,     0,     0,     0,     0,  1973,     0,     0,
       0,  1494,     0,  1494,     0,     0,  1974,     0,     0,   711,
       0,     0,     0,     0,     0,     0,  2020,  1975,     0,  2898,
    2899,     0,     0,     0,     0,     0,     0,   711,     0,     0,
       0,     0,   127,     0,     0,   711,     0,     0,     0,     0,
    2923,     0,   128,     0,   129,   130,   712,     0,     0,     0,
       0,     0,     0,     0,  2021,     0,     0,  1977,  1978,  2022,
    1190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2968,  2969,  2970,  2971,  2023,
     140,     0,   141,   142,  1494,  2024,     0,     0,     0,   145,
       0,   146,     0,     0,     0,     0,     0,     0,     0,  2025,
       0,     0,   148,     0,   149,     0,     0,     0,     0,     0,
       0,     0,  1494,     0,   382,     0,     0,     0,     0,   152,
     382,   153,     0,     0,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1494,   157,     0,
     158,     0,     0,  1494,   159,     0,     0,     0,     0,  1980,
     160,     0,     0,     0,     0,     0,     0,     0,   162,     0,
     164,     0,   712,     0,   712,     0,   166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1069,  1069,     0,     0,
       0,     0,   170,     0,     0,     0,     0,     0,     0,  1069,
    3063,     0,   710,     0,     0,     0,  3067,     0,   174,     0,
       0,     0,     0,     0,     0,     0,   710,   712,     0,     0,
       0,   711,  1494,     0,     0,     0,  1272,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,     0,   710,     0,     0,   185,   186,     0,
       0,     0,     0,   187,     0,  1494,     0,     0,     0,     0,
       0,     0,   383,     0,     0,   188,     0,     0,  1272,     0,
       0,     0,     0,     0,     0,     0,     0,   193,     0,     0,
     710,     0,     0,     0,     0,     0,  2418,     0,     0,  2419,
       0,     0,     0,  2420,  2421,  2422,   710,     0,  5668,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2423,   710,     0,     0,   710,     0,     0,     0,  2425,   203,
       0,     0,     0,  3813,     0,  2426,     0,     0,     0,     0,
    3818,     0,   205,   711,   711,     0,     0,     0,   206,   207,
       0,   208,     0,     0,     0,     0,   209,  3833,     0,  2427,
    1494,   210,     0,  3239,   212,     0,     0,  3839,     0,   214,
     711,  3840,     0,   711,  3842,   215,   216,     0,     0,     0,
    3846,  1494,  3847,   217,     0,  3849,     0,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,  1494,     0,     0,     0,
     224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   230,
       0,   231,     0,     0,     0,     0,     0,     0,     0,   233,
    1494,     0,     0,     0,     0,   234,     0,     0,     0,     0,
     235,     0,   710,     0,   382,   382,   382,  3889,     0,     0,
     710,   710,     0,   238,     0,     0,   383,  2418,  2428,     0,
    2419,   860,     0,  2429,  2420,  2421,  2422,     0,   711,     0,
       0,     0,     0,     0,     0,     0,   250,     0,     0,     0,
       0,  2423,     0,     0,  2430,  2431,     0,     0,   711,  2425,
     251,     0,   712,     0,  -145,     0,  2426,     0,     0,  2432,
       0,     0,   711,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   860,     0,     0,     0,     0,     0,     0,
    2427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2433,     0,   710,     0,  1069,     0,  1069,     0,
       0,     0,     0,     0,     0,     0,  2434,     0,     0,  2435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1962,     0,     0,     0,     0,     0,  1963,
       0,   711,   860,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3460,  3461,     0,   382,
    1964,     0,     0,     0,     0,  3472,   711,  3474,   711,  2428,
       0,  3478,  2436,  1112,  2429,     0,     0,     0,     0,     0,
       0,   711,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2430,  2431,     0,  1494,     0,
       0,     0,     0,     0,     0,   382,     0,     0,     0,     0,
    2432,     0,     0,     0,  1966,     0,     0,     0,     0,     0,
       0,  1967,  1494,     0,  1968,     0,     0,   383,     0,   712,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2433,     0,     0,   711,  1069,     0,  1969,
       0,     0,     0,     0,     0,     0,     0,  2434,     0,     0,
    2435,     0,     0,     0,     0,     0,     0,     0,  2437,     0,
       0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,  1970,     0,     0,     0,  5264,     0,     0,  3606,  4138,
       0,  3609,   711,     0,     0,     0,     0,     0,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   711,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   383,     0,     0,
       0,     0,     0,   711,     0,     0,   711,     0,     0,     0,
    1971,     0,  1972,  2436,     0,   712,     0,  1494,     0,     0,
       0,   860,  1973,     0,     0,     0,     0,     0,  1272,  3683,
       0,  1974,     0,     0,     0,     0,     0,  3690,  3691,  4197,
       0,  4199,  1975,     0,  3693,   710,     0,     0,     0,     0,
       0,     0,     0,   710,     0,     0,     0,     0,  3709,     0,
       0,     0,     0,     0,     0,   710,     0,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3668,
       0,     0,  1977,  1978,   382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3755,
    1272,  1272,     0,     0,     0,     0,     0,     0,     0,  2437,
    3669,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,     0,  5275,  3778,  2418,     0,
       0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,
       0,   710,   710,   712,     0,     0,     0,     0,     0,     0,
       0,     0,  2423,   710,     0,     0,     0,     0,     0,     0,
    2425,     0,     0,     0,   710,   710,     0,  2426,     0,     0,
    4284,     0,     0,     0,  1980,     0,  4291,     0,     0,     0,
       0,  3835,     0,  3837,     0,     0,     4,     0,     0,     0,
     710,  2427,     0,     0,     0,     0,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     5,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     6,     7,     0,   383,
       0,     0,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,   383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   711,
       0,     0,     0,   383,  1272,  1272,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3899,     0,     0,     0,
    2428,     0,     0,     0,     0,  2429,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    46,
     860,     0,     0,     0,     0,     0,  2430,  2431,     0,   382,
       0,     0,     0,     0,   382,     0,   382,     0,     0,     0,
    1494,  2432,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4453,     0,  4455,     0,  4457,     0,   382,     0,
       0,     0,     0,  4461,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2433,   382,     0,     0,  1494,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2434,     0,
     711,  2435,     0,   711,    47,     0,     0,     0,     0,  1494,
       0,     0,     0,     0,     0,  4483,     0,     0,     0,     0,
       0,     0,    48,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    50,     0,     0,
       0,     0,     0,     0,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2436,     0,     0,     0,     0,     0,
     711,   711,     0,     0,     0,     0,     0,     0,     0,     0,
     711,     0,     0,   710,    51,     0,     0,    52,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   711,
       0,     0,     0,    53,     0,   710,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   710,     0,     0,     0,     0,   860,   710,
       0,     0,     0,   710,     0,     0,     0,     0,     0,     0,
       0,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   382,     0,     0,     0,     0,   710,
    2437,     0,     0,  2438,  2439,  2440,  1494,  2441,  2442,  2443,
    2444,  2445,  2446,     0,     0,     0,     0,  5284,     0,     0,
     711,     0,     0,     0,     0,     0,     0,    54,     0,     0,
       0,  4147,     0,  4148,  4149,  4150,     0,     0,     0,     0,
       0,     0,     0,   710,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1112,     0,  1494,     0,     0,
       0,   710,   710,  2418,     0,     0,  2419,     0,     0,     0,
    2420,  2421,  2422,     0,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2423,     0,    56,
       0,     0,   860,   710,     0,  2425,   860,     0,     0,     0,
       0,     0,  2426,     0,    57,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   710,     0,   860,
       0,     0,     0,     0,     0,   710,  2427,     0,     0,     0,
    1112,     0,   710,     0,    58,     0,   710,     0,     0,     0,
       0,     0,    59,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1539,     0,     0,   710,     0,    71,  1540,
       0,   710,     0,     0,     0,   710,     0,     0,   860,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   710,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   710,     0,     0,     0,     0,     0,  1494,     0,     0,
       0,   710,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2428,   756,     0,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,  4300,     0,
       0,     0,     0,     0,   711,     0,   860,     0,     0,   382,
       0,  2430,  2431,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   756,     0,     0,  2432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   711,     0,     0,   756,     0,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,     0,  2433,
       0,     0,  1078,     0,     0,     0,     0,     0,     0,     0,
    1494,     0,     0,  2434,     0,     0,  2435,  1080,     0,     0,
     711,     0,     0,   710,     0,  1088,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1494,     0,
    1102,     0,  1078,     0,     0,     0,  1125,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   710,     0,  1494,     0,
       0,     0,     0,     0,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,     0,  4943,     0,     0,  2436,
    4945,     0,     0,     0,  4462,     0,     0,     0,  2423,     0,
       0,     0,   711,     4,     0,     0,  2425,     0,     0,     0,
       0,     0,     0,  2426,     0,     0,     0,   710,     0,     0,
       0,     0,     0,     5,     0,  1494,     0,     0,     0,     0,
    1494,  1494,     0,     6,     7,   710,     0,  2427,     8,     0,
       9,    10,     0,   710,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
      36,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,   711,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,  5287,     0,     0,     0,  2418,     0,     0,  2419,
       0,     0,     0,  2420,  2421,  2422,     0,     0,     0,     0,
       0,     0,   860,     0,     0,     0,     0,     0,   860,     0,
    2423,     0,     0,     0,     0,     0,    46,     0,  2425,     0,
       0,     0,  1494,     0,     0,  2426,  2428,     0,     0,  2418,
       0,  2429,  2419,     0,     0,     0,  2420,  2421,  2422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2427,
       0,     0,  2430,  2431,     0,     0,     0,     0,     0,     0,
       0,  2425,     0,     0,     0,     0,     0,  2432,  2426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     711,     0,   711,     0,     0,     0,     0,     0,     0,     0,
       0,    47,  2427,     0,     0,  5091,     0,     0,     0,   710,
    2433,     0,     0,     0,     0,     0,     0,     0,     0,    48,
       0,     0,     0,     0,  2434,     0,     0,  2435,     0,     0,
       0,     0,     0,     0,     0,   711,     0,     0,     0,     0,
       0,    49,     0,     0,     0,     0,  5114,  5115,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    50,     0,     0,     0,  2428,     0,
       0,     0,     0,  2429,     0,     0,     0,     0,     0,     0,
     382,     0,     0,     0,     0,     0,     0,  4693,  4694,  4695,
    4696,     0,     0,     0,  2430,  2431,     0,     0,     0,     0,
       0,    51,     0,     0,    52,     0,     0,     0,     0,  2432,
    2436,  2428,     0,     0,     0,     0,  2429,     0,     0,     0,
      53,   710,   710,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5155,  5156,     0,     0,     0,  2430,  2431,     0,
       0,  1494,  2433,     0,     0,     0,     0,     0,   710,     0,
       0,   710,  2432,     0,     0,     0,  2434,     0,     0,  2435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   756,  2433,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2434,
       0,     0,     0,     0,    54,     0,  2437,     0,     0,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,
       0,     0,     0,  5339,     0,     0,     0,     0,     0,     0,
       0,     0,   860,   860,   860,     0,     0,     0,     0,     0,
       0,     0,  2436,     0,     0,     0,     0,     0,     0,     0,
    5254,    55,     0,     0,     0,     0,   710,     0,     0,  5256,
    5257,     0,     0,     0,     0,  4835,    56,     0,     0,     0,
       0,  4838,     0,  5261,   382,     0,   710,     0,     0,     0,
       0,    57,     0,     0,     0,  2436,     0,     0,  2418,     0,
     710,  2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     711,    58,  2423,     0,     0,     0,     0,     0,     0,    59,
    2425,    60,    61,    62,    63,    64,     0,  2426,    65,    66,
      67,    68,     0,    69,    70,    71,    72,    73,  2437,     0,
       0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,  2427,     0,     0,     0,  5373,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,  1255,  1261,  1261,   756,     0,  1261,
       0,     0,     0,  1273,     0,  1157,     0,   860,  1300,     0,
       0,     0,     0,     0,   710,  1157,   710,  1261,     0,     0,
    1157,     0,     0,     0,  1261,     0,  1157,     0,     0,   710,
       0,   710,     0,     0,  1340,     0,     0,     0,     0,     0,
    1157,     0,  1255,     0,     0,  1261,     0,   756,     0,  1261,
       0,     0,     0,   860,     0,     0,  1300,     0,     0,     0,
    2428,  1412,     0,  1261,     0,  2429,     0,     0,     0,     0,
    1261,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2430,  2431,     0,     0,
       0,     0,     0,     0,   710,     0,     0,     0,     0,     0,
       0,  2432,     0,     0,  1255,   382,     0,   711,     0,   756,
       0,     0,     0,  2418,  1273,     0,  2419,     0,  1300,     0,
    2420,  2421,  2422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2433,     0,     0,  2423,  1261,     0,
     710,     0,     0,     0,     0,  2425,     0,  2418,  2434,     0,
    2419,  2435,  2426,     0,  2420,  2421,  2422,     0,     0,   710,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2423,     0,     0,     0,     0,  2427,     0,     0,  2425,
    5494,   710,     0,     0,   710,     0,  2426,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,   382,     0,     0,     0,     0,
    2427,  1157,     0,  1617,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   711,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2436,     0,     0,     0,     0,     0,
       0,  1728,  1728,     0,     0,     0,   756,  1157,     0,     0,
       0,     0,     0,     0,     0,     0,  5542,     0,     0,     0,
       0,     0,   860,     0,     0,     0,  1157,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,     0,     0,     0,     0,  2428,     0,     0,  1157,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,  5585,     0,     0,     0,
       0,  2430,  2431,     0,     0,     0,     0,     0,     0,  2428,
       0,     0,     0,     0,  2429,     0,  2432,     0,     0,  5147,
    2437,     0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,
    2444,  2445,  2446,     0,  5151,  2430,  2431,  5413,     0,     0,
       0,   711,     0,     0,     0,     0,     0,     0,     0,  2433,
    2432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2434,     0,     0,  2435,     0,     0,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,  2433,     0,     0,     0,  1261,  1261,     0,
       0,     0,     0,     0,     0,     0,     0,  2434,     0,     0,
    2435,     0,     0,     0,  2418,     0,     0,  2419,     0,     0,
       0,  2420,  2421,  2422,     0,     0,     0,   382,     0,     0,
    5216,     0,     0,     0,     0,     0,     0,     0,  2423,     0,
       0,     0,     0,     0,     0,     0,  2425,     0,     0,     0,
       0,     0,     0,  2426,  1255,     0,     0,   710,     0,  2436,
       0,     0,     0,     0,     0,  1273,     0,     0,     0,  1300,
       0,     0,     0,     0,     0,     0,   382,  2427,     0,  1962,
       0,     0,     0,     0,     0,  1963,     0,  1261,     0,     0,
       0,   382,     0,  2436,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   860,     0,  1157,
       0,     0,   860,     0,   860,  1261,  1261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1964,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   860,  1157,  1157,  1157,
       0,  1261,     0,  1255,     0,     0,     0,     0,  2189,     0,
       0,     0,     0,   860,     0,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,   710,     0,
       0,   710,  5726,     0,     0,  2418,     0,     0,  2419,     0,
    1966,     0,  2420,  2421,  2422,     0,  2428,  1967,     0,  2437,
    1968,  2429,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,     0,  5850,  2425,     0,     0,
       0, -2495,  2430,  2431,  2426,  1969,  5344,  5345,  5345,     0,
       0,  1261,     0,  1261,  1261,     0,     0,  2432,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2427,     0,
       0,     0,     0,     0,     0,     0,     0,  1970,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   710,   710,
    2433, -2495,  1728,     0,     0,     0,     0,     0,   710,     0,
       0,     0,     0, -2495,  2434,     0,     0,  2435, -2495,     0,
       0,     0,     0, -2495,     0,     0,     0,   710,     0, -2495,
       0,     0, -2495,     0,     0, -2495,     0,     0,     0,     0,
    2328,  2328,     0,     0,     0,  1157,  1971,  1078,  1972,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1973,     0,
       0,     0,     0, -2495,     0,     0,     0,  1974,     0,     0,
       0,     0,     0,  2362,     0,  5894,  1157,     0,  1975,  2368,
       0,     0,     0, -2495,     0,     0,     0,  2428,     0,     0,
       0,  1728,  2429,     0,     0,     0,     0,     0,     0,     0,
    2436,     0,     0,     0,     0,     0,     0,     0,   710,     0,
       0,  5475,     0, -2980, -2980,  4166,     0,     0,  1977,  1978,
    1728,     0,     0,     0, -2495,     0,     0, -2495,  2432,     0,
       0,     0,     0, -2495,     0,  2418,     0,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,  1962,  4167,     0,  1728,  1728,
    1728,  1963,  1728,     0,     0,     0,     0,     0,     0,  2423,
       0, -2980,     0,     0,     0,     0,     0,  2425,     0,     0,
       0,     0,  1728,     0,  2426,  2434,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2495,     0,     0,     0,
       0,     0,  1964,     0,   756,   756,  2437,     0,  2427,  2438,
    2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,     0,
    1980,     0,     0,  5913,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,  2418,  1728,     0,  2419,     0,
       0,     0,  2420,  2421,  2422,     0,     0,  1083,     0,     0,
       0,     0,     0,     0,     0,     0,  1966,     0,     0,  2423,
       0,     0,     0,  1967,  1728,     0,  1968,  2425,  1728,  1728,
    5581,  2436,  5583, -2495,  2426,     0,     0,     0,     0,  1157,
    1157,  2567,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,  1969,     0,     0,     0,     0,     0, -2495,  2427, -2495,
   -2495,     0,     0,     0,     0,     0,     0,     0,   756,     0,
       0,     0,     0,     0,     0,     0,     0,  2428,     0,     0,
       0,     0,  2429,  1970,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2495,     0,     0, -2495, -2495,
       0, -2495,     0,  2430,  2431,     0,     0,     0,     0,     0,
       0,     0,   710,     0,     0,     0,     0,   860,  2432,     0,
       0,     0,     0,     0,     0,     0,     0,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,  1971,     0,  1972,     0,     0,     0,     0,   710,
       0,  2433,     0,     0,  1973,     0,     0,     0,     0,     0,
       0,   710,     0,  1974,  2718,  2434,     0,  2428,  2435,     0,
       0,     0,  2429,     0,  1975,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,  2744,     0,     0,     0,   710,  5345,
       0,     0,  1157,  2430,  2431,  1261,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2432,     0,
       0,  4221,     0,     0,  1977,  1978,  1300,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,  1157,     0,     0,  2418,     0,     0,
    2419,  2433,  4222,     0,  2420,  2421,  2422,     0,     0,     0,
       0,  2436,     0,     0,     0,  2434,     0,     0,  2435,     0,
       0,  2423,     0,     0,     0,  3330,     0,     0,     0,  2425,
    1157,     0,     0,     0,  5761,     0,  2426,     0,     0,     0,
     710,  1261,  1261,  1261,  1261,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
    2427,     0,     0,     0,     0,     0,  1980,     0,     0,     0,
       0,  2889,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1261,  1261,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2436,     0,     0,     0,     0,  1261,  2437,     0,  3331,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
       0,     0,   710,     0,  5933,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5831,     0,
       0,  1261,  1261,  1261,  1261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,  2889,     0,     0,     0,     0,  2428,
       0,     0,     0,     0,  2429,     0,     0,     0,     0,     0,
    1255,     0,     0,  1255,     0,     0,     0,     0,   756,     0,
       0,     0,     0,  1728,     0,  2430,  2431,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
    2432,     0,     0,     0,  5966,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1273,  1273,     0,     0,     0,     0,
       0,     0,  5899,     0,     0,  1300,  1300,     0,   710,     0,
     710,     0,     0,  2433,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1261,  1261,  2434,     0,     0,
    2435,     0,  1261,     0,  5345,  5345,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   710,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2328,     0,     0,
       0,     0,     0,     0,  1261,     0,  1273,     0,     0,     0,
    1157,  1157,     0,  1261,     0,     0,     0,     0,   860,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,  2436,     0,  1078,  1078,     0,     0,  3140,
       0,     0,  5345,  1728,  1728,     0,     0,     0,     0,  1728,
    1728,     0,     0,     0,     0,     0,  1728,  1728,  1728,     0,
       0,     0,  1728,  1300,  1728,  1728,  1728,  1728,  1728,  1728,
       0,  1728,     0,  1728,  1728,     0,     0,  1728,     0,     0,
    5464,     0,     0,     0,     0,     0,     0,     0,     0,  3332,
       0,     0,  1728,  1728,  1728,  1728,     0,     0,     0,  1261,
    1728,     0,     0,     0,  1728,     0,     0,  1728,     0,     0,
    1728,  1728,  1728,  1728,  1728,  1728,  1728,  1728,  1728,     0,
    1728,     0,     0,     0,     0,     0,     0,  1157,  1728,  2437,
       0,  1728,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,  1157,     0,  1728,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,     0,   860,     4,     0,     0,     0,  1728,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     5,     0,     0,     0,     0,  3366,     0,
    3371,     0,     0,     6,     7,     0,     0,     0,   710,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     756,     0,     0,     0,     0,     0,     0,     0,     0,  1078,
       0,  1078,     0,  2418,     0,     0,  2419,     0,     0,     0,
    2420,  2421,  2422,     0,     0,     0,    46,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,  2423,     0,     0,
    1255,     0,  1261,  1261,     0,  2425,     0,  1273,     0,  1300,
       0,  1261,  2426,  1261,     0,     0,     0,  1261,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2427,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2744,     0,     0,     0,     0,     0,     0,     0,  3512,
       0,    47,     0,     0,     0,     0,  3523,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,    48,
       0,     0,     0,   860,     0,   710,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,  3568,
    3568,    49,     0,     0,     0,     0,     0,     0,     0,  1157,
    1157,     0,     0,  1157,     0,   756,     0,     0,     0,     0,
       0,     0,  3950,     0,    50,     0,     0,  3951,     0,     0,
       0,     0,     0,     0,  1261,     0,     0,  1261,     0,     0,
       0,     0,     0,     0,     0,  2428,     0,     0,     0,     0,
    2429,     0,     0,     0,     0,     0,     0,     0,  1157,  1157,
       0,    51,     0,     0,    52,     0,     0,     0,     0,     0,
       0,  2430,  2431,  3653,     0,  3656,  3658,     0,     0,     0,
      53,     0,     0,   860,     0,     0,  2432,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   710,     0,     0,     0,  1261,     0,     0,     0,     0,
       0,     0,     0,  1261,  1261,  2418,     0,     0,  2419,  2433,
    1261,     0,  2420,  2421,  2422,     0,     0,     0,     0,     0,
       0,     0,  1728,  2434,  1261,     0,  2435,     0,     0,  2423,
       0,     0,     0,     0,     0,     0,     0,  2425,  2744,     0,
       0,  3568,     0,  1157,  2426,     0,  1157,     0,     0,     0,
    3749,     0,     0,  1078,    54,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1261,  1728,     0,  2427,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3653,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1261,     0,  3781,     0,     0,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,     0,  2436,
    2189,     0,     0,     0,     0,     0,    56,     0,     0,   710,
       0,  1728,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    57,     0,     0,     0,  3828,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1261,     0,  1261,  3568,  1261,
    3568,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    58,     0,     0,     0,     0,     0,     0,     0,    59,
       0,    60,    61,    62,    63,    64,     0,  2428,    65,    66,
    1539,  2281,  2429,     0,     0,    71,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   860,  2328,     0,     0,     0,
       0,     0,     0,  2430,  2431,  2437,     0,     0,  2438,  2439,
    2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,  2432,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1255,   860,     0,     0,     0,     0,  1273,
       0,  2433,     0,     0,     0,     0,     0,     0,     0,   860,
       0,     0,  1261,     0,     0,  2434,     0,     0,  2435,  1728,
       0,     0,     0,     0,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4540,     0,     0,     0,     0,     0,  1728,  1728,  1728,
       0,     0,  1728,     0,     0,     0,     0,     0,     0,     0,
    1728,  1728,  1728,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,  1728,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
    1728,     0,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,  2436,     0,     0,     0,  1300,     0,  1728,     0,  1728,
       0,  1728,     0,     0,     0,     0,  2418,  4541,     0,  2419,
       0,     0,     0,  2420,  2421,  2422,     0,     0,     0,     0,
       0,  1728,     0,     0,     0,  1157,     0,     0,     0,     0,
    2423,     0,  4030,  3909,  1728,  1728,  1728,     0,  2425,     0,
    2418,     0,     0,  2419,     0,  2426,     0,  2420,  2421,  2422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1728,
       0,     0,     0,     0,  2423,     0,     0,     0,     0,  2427,
       0,  1728,  2425,     0,     0,     0,     0,     0,     0,  2426,
       0,     0,     0,     0,     0,     4,  1728,  2437,     0,     0,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
    4030,     0,     0,  2427,  4094,     5,     0,  4097,     0,  3371,
       0,     0,     0,     0,     0,     6,     7,     0,     0,     0,
       0,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,  3568,     0,     0,  2428,     0,
    2328,     0,     0,  2429,     0,     0,     0,     0,  5878,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2430,  2431,     0,  1261,     0,  1261,
    1261,  1261,  2428,     0,     0,     0,     0,  2429,    46,  2432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   882,     0,     0,  2430,  2431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2433,  2432,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2434,     0,     0,  2435,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   883,     0,     0,     0,  2433,     0,     0,     0,
       0,     0,     0,    47,     0,     0,     0,   884,     0,     0,
    2434,     0,     0,  2435,     0,     0,     0,     0,     0,     0,
       0,    48,     0,     0,     0,   885,     0,     0,     0,     0,
    1157,   886,     0,     0,  5879,     0,     0,     0,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,   887,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   888,
       0,     0,  2436,     0,     0,     0,    50,   889,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   890,
       0,     0,     0,     0,   891,     0,     0,     0,     0,     0,
       0,   892,     0,     0,     0,     0,  2436,     0,     0,     0,
       0,     0,     0,    51,     0,     0,    52,     0,   893,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    53,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   894,  1261,     0,     0,     0,     0,  3568,
    3568,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   895,     0,     0,     0,  2437,     0,
       0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,     0,     0,     0,  1157,  1157,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   896,     0,
       0,     0,  2437,  1157,     0,  2438,  2439,  2440,     0,  2441,
    2442,  2443,  2444,  2445,  2446,     0,    54,     0,     0,     0,
     897,     0,     0,     0,     0,  2328,  1157,     0,     0,     0,
     898,     0,     0,   899,     0,  2328,  1157,  1157,     0,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,   900,
       0,     0,     0,    55,   901,     0,   902,     0,     0,     0,
       0,   756,     0,   903,     0,     0,   904,     0,    56,  1962,
       0,     0,     0,     0,     0,  1963,     0,     0,  3828,     0,
       0,     0,  2013,    57,     0,   905,     0,     0,     0,     0,
       0,   906,     0,     0,     0,   907,   908,     0,     0,   909,
    1261,  2014,     0,   910,     0,     0,     0,     0,     0,     0,
       0,     0,   911,    58,     0,     0,  1964,   912,     0,     0,
       0,    59,  1157,    60,    61,    62,    63,    64,     0,   913,
      65,    66,  1539,  3068,     0,     0,     0,    71,  1157,     0,
       0,     0,   914,     0,     0,     0,     0,     0,     0,     0,
    2015,     0,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,     0,     0,     0,     0,     0,     0,  1728,     0,     0,
    1966,     0,     0,  1728,     0,  1728,     0,  1967,  1728,     0,
    1968,     0,     0,  1728,  1728,  1728,  1728,     0,     0,  1728,
    1728,  1728,  1728,  1728,  1728,  1728,  1728,  1728,  1728,     0,
       0,     0,  1728,  1728,     0,  1969,     0,     0,     0,     0,
       0,     0,  1728,     0,     0,     0,  1728,     0,     0,     0,
    1728,     0,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,  1728,     0,  1728,  2016,     0,     0,  1970,     0,     0,
       0,     0,  1728,     0,     0,  1728,  1728,     0,     0,     0,
    1728,  1728,     0,     0,     0,  4572,     0,  1728,     0,     0,
       0,     0,     0,     0,  1157,  1157,  1157,  1255,     0,     0,
    4030,  4594,     0,     0,     0,  4594,  4608,  4594,     0,     0,
       0,     0,  2017,  1728,     0,  2018,     0,     0,     0,  1728,
    1728,  1728,     0,     0,     0,     0,  2019,  2418,  1972,     0,
    2419,     0,     0,     0,  2420,  2421,  2422,     0,  1973,     0,
       0,     0,     0,     0,     0,     0,  2418,  1974,     0,  2419,
       0,  2423,     0,  2420,  2421,  2422,     0,  2020,  1975,  2425,
       0,     0,     0,     0,     0,     0,  2426,     0,  1728,     0,
    2423,     0,     0,  3955,     0,     0,     0,     0,  2425,     0,
       0,     0,  3371,     0,  1728,  2426,     0,     0,     0,     0,
    2427,     0,     0,     0,     0,  3601,     0,     0,  1977,  1978,
    2022,     0,     0,     0,     0,     0,     0,     0,     0,  2427,
       0,     0,  4676,  2328,  2328,     0,  2889,     0,     0,     0,
    2023,   868,     0,     0,     0,     0,  3602,     0,     0,     0,
       0,     0,     0,  1261,  1261,  1261,  1261,     0,     0,     0,
    2025,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2744,     0,     0,     0,   868,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4729,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1980,     0,     0,     0,     0,     0,     0,     0,     0,  2428,
       0,     0,     0,     0,  2429,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1116,     0,     0,     0,  2428,     0,
       0,     0,  1116,  2429,  1116,  2430,  2431,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   868,     0,     0,
    2432,     0,     0,     0,  2430,  2431,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4814,  2433,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2434,     0,     0,
    2435,     0,  2433,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2434,  3923,     0,  2435,
       0,  1261,     0,     0,     0,  1157,     0,  1261,     0,  1728,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,  4854,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2744,     0,     0,     0,     0,     0,     0,     0,
       0,  2418,     0,     0,  2419,     0,     0,  1157,  2420,  2421,
    2422,  4030,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3653,     0,  2436,     0,  2423,     0,     0,     0,     0,
    4903,     0,     0,  2425,     0,     0,     0,     0,     0,     0,
    2426,  1157,  2436,     0,     0,  2889,     0,     0,     0,  1728,
    1728,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2427,     0,     0,     0,     0,  2418,
       0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,  3828,
    3828,  3828,  3828,  3828,     0,     0,  3568,     0,  3568,     0,
       0,     0,     0,  2423,     0,  1157,  3966,     0,     0,     0,
       0,  2425,     0,     0,     0,     0,     0,     0,  2426,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2437,
       0,     0,  2438,  2439,  2440,  1728,  2441,  2442,  2443,  2444,
    2445,  2446,  2427,     0,     0,     0,  1728,     0,  2437,     0,
       0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,
    2446,     0,     0,     0,     0,  3960,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1728,     0,     0,     0,
       0,     0,     0,  2428,     0,     0,  1728,  1728,  2429,     0,
       0,     0,     0,  1728,  1728,     0,     0,     0,  1728,     0,
       0,     0,     0,  1728,     0,     0,  1728,  1728,     0,  2430,
    2431,  1728,  5007,     0,     0,     0,     0,  1728,  1157,  1157,
    1157,  1157,     0,     0,  2432,  4594,  4608,  4594,     0,  1728,
    4594,     0,     0,  5021,     0,     0,     0,  4030,     0,     0,
       0,  4030,     0,     0,     0,     0,     0,  5036,     0,     0,
       0,  2428,     0,     0,  1728,     0,  2429,  2433,     0,  1728,
       0,     0,     0,     0,     0,  1728,     0,     0,     0,     0,
       0,  2434,     0,     0,  2435,  1300,     0,  2430,  2431,     0,
       0,     0,  1728,     0,     0,     0,  4094,     0,     0,     0,
       0,  3371,  2432,     0,     0,     0,     0,  2418,     0,     0,
    2419,     0,     0,     0,  2420,  2421,  2422,     0,     0,     0,
    1078,     0,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,  2423,     0,     0,     0,  2433,     0,     0,     0,  2425,
       0,     0,     0,  3568,  3568,     0,  2426,     0,     0,  2434,
       0,     0,  2435,     0,     0,     0,     0,     0,     0,     0,
       0,  2744,     0,     0,     0,     0,     0,  2436,     0,     0,
    2427,     0,     0,     0,  5112,     0,     0,     0,     0,  2418,
       0,     0,  2419,     0,     0,     0,  2420,  2421,  2422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2423,     0,     0,  4547,     0,     0,     0,
       0,  2425,     0,     0,     0,     0,     0,     0,  2426,     0,
       0,     0,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2436,     0,     0,     0,     0,
       0,     0,  2427,     0,     0,  1261,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1261,     0,     0,  2437,     0,     0,  2438,  2439,  2440,     0,
    2441,  2442,  2443,  2444,  2445,  2446,     0,     0,     0,  2428,
       0,     0,     0,     0,  2429,     0,     0,     0,     0,  1728,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1255,     0,  2430,  2431,     0,     0,  2744,
       0,     0,     0,     0,     0,     0,     0,     0,  2328,     0,
    2432,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2437,     0,  1728,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,     0,  1261,     0,  3781,   868,
       0,  2428,     0,  2433,     0,     0,  2429,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,  2434,     0,     0,
    2435,     0,     0,     0,     0,     0,     0,  2430,  2431,  1157,
       0,     0,  5253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2432,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1728,  2433,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,     0,     0,     0,  2434,
       0,     0,  2435,     0,     0,     0,     0,     0,     0,     0,
    1728,  1728,     0,  2436,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,  1255,
       0,     0,  4594,  1497,     0,     0,  4030,  1257,     0,     0,
       0,  4030,     0,  4493,  4030,  1255,     0,  3653,     0,  5307,
       0,     0,  1728,  1728,     0,     0,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4676,     0,  1728,     0,
       0,     0,     0,     0,     0,  2436,     0,     0,     0,     0,
    4676,  1300,  1261,  1261,  1261,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2437,
       0,     0,  2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,
    2445,  2446,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1273,  1300,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,  1257,     0,     0,     0,     0,
       0,  1116,     0,     0,     0,  1116,     0,     0,     0,     0,
    1273,  2437,     0,  1157,  2438,  2439,  2440,     0,  2441,  2442,
    2443,  2444,  2445,  2446,     0,  4854,     0,     0,  1157,     0,
       0,  1257,     0,  1157,     0,  3568,     0,     0,     0,     0,
       0,     0,  2744,  2418,     0,     0,  2419,     0,     0,     0,
    2420,  2421,  2422,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,  4903,     0,     0,     0,  2423,     0,     0,
       0,     0,     0,     0,     0,  2425,     0,  1261,  1157,  4676,
       0,     0,  2426,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2427,     0,  1728,     0,
       0,  1728,     0,  1728,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,     0,     0,     0,  1728,
       0,     0,     0,  4030,     0,     0,     0,  5307,     0,     0,
       0,     0,     0,     0,  1728,     0,     0,     0,     0,     0,
       0,     0,     0,  5532,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1116,
    1116,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,  1497,  2428,  1728,     0,  1257,     0,
    2429,     0,     0,     0,     0,  1261,  1261,  1261,  1261,     0,
       0,     0,     0,     0,     0,     0,     0,  1497,     0,     0,
       0,  2430,  2431,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,  2432,     0,     0,     0,
       0,     0,     0,  1255,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,  4030,     0,  2433,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,  2434,     0,     0,  2435,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,  1728,     0,     0,  1255,     0,
       0,  1728,     0,     0,     0,  5690,     0,     0,     0,     0,
       0,     0,  1728,     0,     0,     0,     0,  1728,     0,  1728,
       0,  1728,     0,     0,     0,     0,     0,     0,     0,  4676,
       0,     0,     0,     0,     0,  1261,     0,  1300,     0,  2436,
       0,     0,     0,     0,     0,     0,     0,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2328,
    2328,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   991,     0,     0,     0,     0,   992,     0,
    1261,     0,     0,  1497,     0,     0,     0,  5767,     0,     0,
     993,  1728,     0,     0,     0,  2437,     0,     0,  2438,  2439,
    2440,  5779,  2441,  2442,  2443,  2444,  2445,  2446,     0,     0,
       0,     0,   994,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,  5253,     0,     0,   995,     0,     0,     0,     0,
    1728,  1728,     0,     0,     0,  3653,     0,     0,  1728,     0,
     996,     0,     0,  1257,     0,     0,     0,     0,  1728,     0,
       0,  5532,     0,     0,     0,     0,  3371,     0,   997,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1273,  1257,  1257,  1257,     0,  1257,     0,     0,     0,     0,
       0,   998,     0,     0,  1261,     0,     0,     0,     0,     0,
       0,  2328,   999,     0,     0,  1257,     0,     0,     0,     0,
    1000,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1001,     0,     0,     0,  2744,  1002,     0,     0,
       0,  1255,     0,     0,  1003,     0,     0,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,  4676,     0,     0,     0,
       0,  1004,  1273,  1273,     0,  1728,     0,     0,     0,  1257,
     868,     0,     0,     0,  1728,     0,     0,     0,  5690,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1728,     0,     0,     0,     0,     0,  1257,  1261,     0,
       0,  1257,  1257,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5779,
    1261,  1261,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1006,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1007,     0,     0,  1728,     0,     0,     0,
       0,  1728,     0,  1008,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   898,     0,     0,  1009,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,   868,     0,     0,     0,     0,     0,     0,  1728,     0,
       0,  1116,  1010,     0,  1728,     0,     0,  1011,     0,  1012,
       0,     0,     0,     0,     0,     0,  1013,     0,  1261,  1014,
       0,     0,     0,     0,     0,  5690,     0,     0,  1255,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1015,     0,
       0,     0,  1116,     0,  1016,     0,  1273,  1273,     0,  1017,
    1497,     0,  1018,     0,     0,     0,  1019,     0,     0,     0,
       0,     0,     0,  1020,     0,  1021,     0,     0,     0,     0,
    1022,     0,     0,     4,     0,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     5,     0,  1024,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,  1497,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,    46,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
     868,     0,     0,     0,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1497,    47,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,     0,     0,  1257,     0,     0,    48,
    1497,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,  1497,   716,     0,     0,     0,     0,   760,     0,
     760,    49,     0,     0,  1497,     0,     0,     0,     0,     0,
     760,     0,     0,     0,     0,     0,     0,  1257,  1257,     0,
       0,     0,     0,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   760,     0,     0,     0,     0,
    1497,  1497,     0,     0,     0,   760,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   760,   760,     0,     0,
     760,    51,     0,     0,    52,     0,   760,     0,     0,     0,
    1070,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      53,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1070,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   760,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,  1257,     0,     0,
       0,     0,  1257,  1257,     0,     0,     0,     0,     0,  1257,
    1257,  1257,     0,     0,    54,  1257,     0,  1257,  1257,  1257,
    1257,  1257,  1257,     0,  1257,     0,  1257,  1257,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,  1257,  1257,  1257,  1257,   868,
       0,     0,     0,  1257,     0,     0,     0,  1257,     0,     0,
    1257,    55,     0,  1257,  1257,  1257,  1257,  1257,  1257,  1257,
    1257,  1257,     0,  1257,     0,     0,    56,     0,     0,     0,
       0,  1257,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,    57,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    58,     0,     0,     0,     0,     0,     0,     0,    59,
       0,    60,    61,    62,    63,    64,     0,     0,    65,    66,
    1539,     0,   929,     0,     0,    71,     0,   930,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   931,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   932,     0,   760,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   934,     0,     0,     0,  -864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   935,     0,     0,
       0,     0,     0,   936,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     937,  1497,     0,     0,     0,  1497,  1497,     0,     0,  1341,
       0,   938,     0,     0,  1342,     0,     0,   868,     0,   939,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   940,     0,     0,     0,     0,     0,     0,     0,   941,
       0,     0,     0,   942,     0,     0,     0,     0,  1343,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
   -1091,  1344,  1345,  1257,     0,     0,     0,  1497,     0,     0,
    1257,     0,  1346,     0,     0,     0,  1347,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1348,     0,     0,   943,     0,     0,
       0,     0,     0,     0,  1116,     0,  -586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1349,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,  1350,     0,
       0,     0,     0,     0,     0,     0,  1351,     0,     0,     0,
     944,   868,     0,   945,     0,   868,     0,     0,  1352,     0,
       0,     0,     0,  1353,     0,     0,     0,     0,     0,     0,
       0,     0,   946,     0,     0,     0,     0,     0,   868,     0,
       0,     0,     0,     0,     0,   947,   760,  1354,     0,  1116,
       0,     0,  -464,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   948,  1355,     0,     0,     0,     0,     0,   949,     0,
       0,     0,     0,     0,     0,  -464,     0,   868,   950,     0,
       0,     0,     0,  1356,   760,   760,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   951,     0,     0,
       0,     0,     0,   952,     0,     0,     0,     0,  -464,     0,
       0,   953,   954,     0,   955,   956,     0,  1357,     0,     0,
       0,     0,     0,     0,   957,     0,     0,     0,     0,   958,
       0,     0,   760,     0,     0,   959,     0,     0,   960,  1358,
       0,   961,     0,     0,     0,     0,     0,     0,     0,   898,
       0,     0,  1359,     0,  -464,  1257,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,   868,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,     0,  1361,     0,  1362,     0,     0,     0,     0,
       0,     0,  1363,     0,     0,  1364,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1365,     0,     0,     0,     0,     0,
    1366,     0,     0,     0,     0,  1367,     0,     0,  1368,     0,
       0,     0,  1369,     0,     0,     0,     0,     0,  1497,  1370,
       0,  1371,     0,     0,     0,     0,  1372,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1373,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1440,   760,     0,
     760,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,  1497,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,   760,     0,     0,
     760,   760,  1257,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,   716,     0,  1070,     0,  1070,
       0,     0,     0,     0,     0,   716,     0,     0,     0,   760,
    1257,  1257,  1257,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,  1257,  1257,  1257,  1257,     0,     0,  1070,
    1070,   868,     0,     0,     0,     0,  1257,   868,     0,  1257,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,  1257,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,  1257,     0,  1257,     0,   760,     0,   760,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,  1257,  1257,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,   716,     0,  1257,  1861,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,     0,     0,  1497,     0,
    1497,     0,     0,   716,     0,  1497,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   868,   868,   868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,     0,  1497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,   760,     0,   760,
       0,     0,   760,     0,   760,     0,     0,   760,   760,   760,
       0,  1497,     0,  2323,     0,     0,   868,  1497,     0,     0,
     760,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   760,     0,   760,     0,     0,     0,
       0,   760,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2464,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   760,   760,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   716,     0,     0,     0,     0,   716,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,  1497,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,  1257,     0,  1257,     0,
       0,  1257,     0,     0,     0,  1497,  1257,  1257,  1257,  1257,
       0,     0,  1257,  1257,  1257,  1257,  1257,  1257,  1257,  1257,
    1257,  1257,     0,     0,     0,  1257,  1257,     0,     0,     0,
    1497,     0,     0,     0,     0,  1257,     0,     0,     0,  1257,
       0,   868,     0,  1257,     0,     0,     0,     0,     0,  1114,
     760,  1257,   716,     0,  1257,     0,  1257,  1114,     0,  1114,
       0,     0,  2604,     0,  1497,  1257,     0,     0,  1257,  1257,
       0,     0,     0,  1257,  1257,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,  1257,  1257,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,   716,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   868,     0,     0,     0,
       0,   868,  1497,   868,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   868,  1497,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1497,  1257,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   760,     0,   760,
       0,     0,     0,   760,     0,   760,     0,     0,   760,     0,
       0,     0,   760,     0,     0,     0,     0,  2464,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
    1257,     0,  1497,     0,     0,     0,  1257,  1257,     0,     0,
       0,  1257,  1497,     0,     0,     0,  1257,     0,     0,  1257,
    1257,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,  2323,
       0,     0,  1257,     0,     0,     0,  3303,     0,     0,     0,
    1257,     0,     0,     0,  1257,     0,  2604,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1497,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   868,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   716,     0,     0,
       0,   716,  1497,     0,     0,     0,     0,  3386,     0,  1861,
       0,     0,   760,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1497,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,  1253,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1253,     0,     0,     0,     0,     0,  1114,     0,     0,     0,
    1114,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1497,     0,
    1497,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,  1497,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,  1257,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,  1257,     0,     0,  1257,  1257,     0,
       0,     0,     0,     0,     0,  1257,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1257,  1114,  1114,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,  1495,
       0,  1497,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   868,     0,     0,
       0,     0,     0,  1257,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   760,  2323,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,  1257,     0,  1497,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,  1497,     0,  1257,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,  1497,     0,     0,     0,     0,  1257,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   868,     0,     0,     0,     0,     0,     0,     0,  1497,
       0,     0,     0,     0,  1497,  1497,     0,     0,  1495,  1257,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1257,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,  2604,     0,     0,     0,     0,   716,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,  1253,  1253,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1497,  1497,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1257,     0,
       0,  1257,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1257,     0,     0,     0,     0,
    1257,     0,  1257,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1257,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,  1253,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,   868,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1114,     0,     0,     0,
       0,     0,     0,  1257,  1257,     0,     0,     0,     0,     0,
       0,  1257,   868,     0,     0,  1497,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1114,     0,     0,
       0,     0,     0,  1257,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
    1257,     0,     0,  1495,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,  1257,  1257,     0,  1257,     0,
       0,     0,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,     0,     0,     0,     0,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1257,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,  1257,
       0,     0,     0,     0,  1257,     0,     0,     0,     0,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   868,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1257,     0,     0,     0,     0,     0,  1257,     0,     0,
       0,     0,     0,     0,     0,     0,   760,     0,     0,     0,
       0,     0,     0,     0,     0,  1495,     0,     0,     0,     0,
       0,  1257,     0,   868,     0,     0,     0,     0,  1253,     0,
       0,  1253,     0,     0,     0,  1495,     0,     0,   868,  1257,
    1257,  1253,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   716,
       0,     0,     0,     0,     0,  1495,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,  1253,     0,     0,     0,     0,  1253,  1253,     0,
       0,     0,     0,     0,  1253,  1253,  1253,     0,     0,     0,
    1253,     0,  1253,  1253,  1253,  1253,  1253,  1253,     0,  1253,
       0,  1253,  1253,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
    1253,  1253,  1253,  1253,     0,     0,     0,     0,  1253,     0,
       0,     0,  1253,     0,     0,  1253,     0,     0,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3386,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,   716,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
    1495,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,  1495,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1114,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1114,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2604,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   716,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,  1495,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,  1253,  1253,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,  1253,  1253,
    1253,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,  1253,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,  1253,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,  1253,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,  1253,  1253,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,     0,     0,  1495,     0,  1495,     0,     0,     0,     0,
    1495,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   760,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,   977,     0,     0,     0,     0,     0,     0,
       0,     0,   977,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
     716,     0,     0,   977,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1170,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1170,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,  1220,
       0,     0,  1495,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   716,   716,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   716,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,  1495,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,  1253,     0,  1253,     0,     0,  1253,     0,     0,     0,
    1495,  1253,  1253,  1253,  1253,     0,     0,  1253,  1253,  1253,
    1253,  1253,  1253,  1253,  1253,  1253,  1253,     0,     0,     0,
    1253,  1253,     0,     0,     0,  1495,     0,     0,     0,     0,
    1253,     0,     0,     0,  1253,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,  1253,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,  1495,
    1253,     0,     0,  1253,  1253,     0,     0,     0,  1253,  1253,
     977,   977,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,  1253,  1253,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,  1220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,   716,     0,   716,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1267,
       0,     0,     0,     0,     0,     0,     0,  1302,     0,  1303,
       0,  1307,  1308,     0,  1311,     0,  1313,     0,     0,  1319,
       0,  1321,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1386,     0,     0,     0,     0,     0,  1495,     0,  1395,
       0,     0,     0,     0,     0,     0,  1407,  1408,     0,     0,
    1414,     0,  1417,  1418,     0,     0,     0,  1420,     0,     0,
       0,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1220,     0,   977,     0,     0,     0,
       0,     0,     0,     0,   716,     0,     0,     0,     0,     0,
       0,     0,     0,  1454,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1520,     0,  1522,     0,
       0,     0,     0,     0,     0,     0,     0,  1536,  1538,     0,
       0,     0,     0,     0,     0,     0,     0,   977,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1616,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1220,     0,     0,     0,  1495,  1253,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1170,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,  1881,     0,     0,     0,  1883,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,  1253,  1925,  1495,     0,     0,
       0,  1253,  1253,     0,     0,     0,  1253,  1495,     0,     0,
       0,  1253,     0,     0,  1253,  1253,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2081,
       0,     0,  1253,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,  1253,     0,     0,  2095,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2106,     0,
    1253,  2107,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2110,     0,     0,     0,     0,  2114,     0,     0,     0,
       0,     0,     0,     0,  2117,     0,     0,     0,     0,     0,
    2127,  1253,     0,  2131,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1495,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2346,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1495,     0,  1495,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,  1495,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,  1253,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,  1253,
       0,     0,  1253,  1253,     0,     0,     0,     0,     0,     0,
    1253,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,  1253,     0,     0,     0,
       0,     0,  1170,  1536,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1495,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,  2600,     0,     0,  2600,     0,     0,     0,     0,     0,
       0,     0,  2607,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2616,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2707,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,  1495,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1253,  1495,     0,  1253,
       0,  1253,     0,     0,     0,  2795,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,  1495,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1495,     0,     0,     0,     0,  1495,
    1495,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2933,     0,     0,     0,     0,     0,
       0,  1253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1495,  1495,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1253,     0,     0,  1253,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1253,     0,     0,     0,     0,  1253,     0,  1253,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,  1253,  3053,     0,
    3054,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1253,  1536,  3065,     0,  3066,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3088,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1536,     0,     0,     0,  1536,     0,  1536,     0,     0,
    1536,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,  1253,
       0,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
    1495,     0,     0,     0,     0,     0,  1253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3302,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,  1253,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,     0,     0,
    1253,  1253,     0,  1253,     0,     0,     0,     0,     0,     0,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1253,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,     0,     0,     0,  1220,  1253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3397,  3398,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3413,
    3414,     0,     0,     0,  3417,  3418,  1253,     0,     0,  3421,
       0,     0,  1253,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3432,     0,     0,     0,     0,     0,     0,
    3441,     0,     0,     0,  3444,  3445,  1253,     0,  3448,  3449,
       0,     0,     0,     0,     0,  3454,     0,     0,     0,     0,
       0,     0,     0,     0,  1253,  1253,     0,     0,  3471,     0,
    3473,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3497,
       0,     0,     0,     0,  3499,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3504,     0,     0,
       0,     0,     0,     0,     0,     0,  3511,     0,  3513,     0,
       0,  3516,  3519,  3521,     0,     0,     0,     0,  3529,  3532,
       0,     0,     0,     0,     0,     0,     0,     0,  3545,     0,
       0,     0,     0,  3554,     0,     0,     0,     0,  3558,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3574,     0,     0,     0,     0,     0,     0,     0,
    3585,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3600,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3607,     0,     0,  3610,     0,     0,     0,
       0,  3613,     0,     0,     0,     0,  3615,  3616,     0,     0,
       0,  3619,     0,     0,  3623,     0,     0,     0,  3630,  3631,
    3632,  3633,     0,  3635,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3660,  3661,     0,  3663,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3671,
    3672,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,  3716,   111,   112,   113,   114,     0,   115,   116,   117,
       0,     0,     0,     0,     0,   120,   121,     0,     0,     0,
       0,   122,     0,     0,     0,     0,     0,     0,     0,  3753,
     123,     0,   124,     0,   125,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,     0,     0,  1220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1536,     0,     0,     0,     0,     0,     0,   161,
       0,     0,  1712,  1712,  1258,     0,     0,   163,     0,     0,
       0,   165,     0,  1258,     0,     0,     0,   167,     0,     0,
       0,     0,  3884,   168,     0,   169,     0,     0,     0,     0,
       0,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,  3900,  1258,     0,     0,     0,   175,   176,     0,     0,
       0,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   189,   190,   191,     0,
       0,     0,   192,     0,  1258,     0,   194,     0,     0,   195,
    1498,   196,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,  1258,  1258,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1536,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3376,     0,     0,     0,     0,
       0,     0,     0,  4141,     0,     0,     0,  4143,     0,     0,
       0,     0,     0,  4145,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4156,
    4158,     0,     0,     0,  4158,     0,     0,     0,     0,  4169,
    4170,  4171,     0,  4173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4200,  4201,  4202,  4203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4220,     0,     0,  4225,  4226,  4227,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,  2375,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2389,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,  4294,     0,     0,     0,
       0,     0,     0,     0,  4298,     0,     0,     0,     0,  2407,
    2408,  2409,     0,  2412,     0,     0,     0,     0,     0,     0,
       0,     0,  4307,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2454,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4353,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2509,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4390,     0,     0,     0,     0,  4396,     0,     0,     0,
       0,     0,  1258,     0,     0,  2532,     0,     0,     0,  2544,
    2549,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4434,     0,     0,     0,
       0,     0,   977,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,  4458,     0,  4459,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1536,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,  1258,
    1258,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,  1258,  1258,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4687,     0,  4688,
       0,     0,     0,     0,     0,     0,  4690,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4700,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4708,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,     0,     0,
       0,     0,     0,     0,     0,     0,  4728,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4732,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,  4741,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4770,     0,  1498,     0,     0,     0,     0,
       0,     0,     0,     0,  4778,  4779,  4780,     0,     0,     0,
       0,  4784,  4785,  4786,  4787,     0,     0,  4789,  4790,     0,
       0,     0,     0,  4797,  4798,     0,  4800,  4801,  4802,  4803,
    4804,  4805,     0,  4807,     0,     0,     0,     0,     0,     0,
       0,     0,  4815,     0,     0,  4818,  4819,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4158,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4839,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3170,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3190,     0,  3192,     0,     0,  3204,  3207,
    3212,     0,     0,     0,     0,  3218,     0,     0,  3223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3230,  3231,  3232,  3233,     0,     0,     0,
       0,  3240,     0,     0,     0,  3252,     0,  1498,  3254,     0,
       0,  3261,  3262,  3263,  3264,  3265,  3266,  3267,  3268,  3269,
    1258,  3270,     0,  1258,     0,  4158,     0,  1498,     0,  1712,
       0,     0,  3298,  1258,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,  1536,  1536,  1536,     0,     0,
       0,     0,     0,     0,  1258,  1258,  4953,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1498,  1498,     0,
       0,     0,     0,     0,     0,     0,  3326,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2408,  2409,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,  1258,     0,     0,     0,     0,  1258,
    1258,     0,     0,     0,     0,     0,  1258,  1258,  1258,     0,
       0,     0,  1258,  1496,  1258,  1258,  1258,  1258,  1258,  1258,
       0,  1258,     0,  1258,  1258,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1496,     0,     0,
       0,  1498,  1258,  1258,  1258,  1258,     0,     0,     0,  3446,
    1258,     0,     0,     0,  1258,     0,     0,  1258,     0,     0,
    1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,  1258,     0,     0,     0,     0,     0,  5095,     0,     0,
       0,  5096,  5097,  5098,  5099,     0,     0,  5101,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5119,  5120,
    5121,     0,  5122,     0,  5124,  5125,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,  5134,  5135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,  1258,     0,
       0,     0,     0,  5140,     0,     0,     0,     0,     0,     0,
       0,  1536,  1536,     0,  1536,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5150,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,  1498,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3707,     0,     0,     0,     0,  1258,     0,
    5231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,  1498,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,  5258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1496,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1536,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1536,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5362,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5372,     0,     0,     0,
       0,  5377,  5378,     0,     0,     0,     0,     0,     0,     0,
    3905,     0,  1258,  1498,     0,  3911,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2412,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3212,  5437,  3212,  3212,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,  3969,     0,     0,  3972,     0,  3974,
       0,     0,  5454,     0,  5456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1496,     0,  1498,     0,     0,  3992,     0,
    3995,     0,  3997,     0,     0,     0,     0,     0,     0,     0,
    4158,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
    5493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3298,  3298,  3298,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1536,     0,     0,     0,     0,     0,
    4067,     0,     0,     0,     0,  1536,     0,     0,     0,     0,
       0,     0,  2532,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2549,     0,     0,
       0,  5535,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5551,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,  5559,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,  1498,     0,     0,  1258,
       0,     0,     0,     0,  1485,     0,     0,  1536,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,     0,     0,  1258,     0,     0,     0,  1485,     0,
       0,     0,     0,     0,  4127,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5625,     0,  1258,  1258,  1258,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
    1258,  1258,  1258,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,  1258,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
    1258,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,  4158,  1258,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,  2636,     0,     0,  1536,     0,     0,
       0,     0,  1258,     0,  1258,  1258,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,  5714,     0,     0,     0,     0,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,  5727,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,     0,
    2636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,  5754,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,  5765,     0,  1498,     0,  1498,  1496,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,  5824,     0,  1496,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,  1496,  1485,     0,     0,     0,     0,
       0,     0,     0,  2636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,     0,  1485,  5846,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,     0,  1498,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1496,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1496,     0,     0,  5906,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,  4494,
    1496,  1496,     0,     0,     0,     0,     0,     0,  4498,     0,
       0,     0,     0,     0,  4499,     0,  4500,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4524,  4525,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,  1498,     0,     0,     0,     0,     0,
       0,  3218,     0,     0,  1487,     0,     0,     0,     0,  4550,
       0,     0,  4553,     0,  4555,     0,     0,     0,     0,     0,
       0,     0,     0,  4559,     0,     0,     0,     0,  1487,     0,
       0,  4566,  4567,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,  4614,     0,     0,     0,     0,     0,
    4621,  4622,  3298,     0,     0,     0,     0,     0,     0,     0,
       0,  1498,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1496,     0,  1498,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4639,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3301,  4652,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,  1498,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,  1258,     0,  1258,     0,     0,  1258,     0,
       0,     0,  1498,  1258,  1258,  1258,  1258,     0,     0,  1258,
    1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,  1258,     0,
       0,     0,  1258,  1258,     0,     0,     0,  1498,     0,     0,
       0,     0,  1258,     0,     0,     0,  1258,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,     0,     0,  1258,     0,
       0,  1258,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,  1498,  1258,     0,     0,  1258,  1258,     0,     0,     0,
    1258,  1258,     0,     0,     0,     0,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,     0,
    1258,  3401,     0,     0,     0,  2636,  3407,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,  1258,
    1258,  1258,     0,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1496,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1487,  1496,
       0,     0,     0,     0,  1258,     0,     0,     0,     0,     0,
       0,  1485,     0,  1487,  1488,     0,     0,     0,     0,     0,
    1498,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,  1488,  1496,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
    4920,  4921,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1487,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1498,     0,     0,  4966,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,  4971,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4986,  4988,     0,
       0,     0,     0,     0,  4992,  4993,     0,     0,     0,  4994,
       0,     0,     0,     0,  4997,     0,  1496,  5000,  5001,     0,
       0,     0,  5005,     0,     0,     0,     0,     0,  5009,     0,
       0,     0,     0,     0,  1487,     0,     0,     0,     0,  1258,
       0,  1485,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,     0,     0,     0,  3298,     0,     0,  1498,     0,
    3298,     0,     0,  1485,     0,     0,  3298,     0,     0,     0,
       0,  1258,     0,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,  1712,     0,     0,     0,     0,  2636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,  1258,
    1258,  1485,  1485,     0,  5076,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,  1258,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1496,     0,  5137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,     0,  1496,
       0,     0,     0,     0,     0,     0,  1258,  1258,     0,  1498,
       0,     0,  1496,  1258,  1258,     0,     0,     0,  1258,  1498,
       0,     0,     0,  1258,     0,     0,  1258,  1258,     0,     0,
       0,  1258,     0,     0,     0,  1485,     0,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
    5173,     0,  1488,     0,     0,     0,     0,  1258,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,  1487,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
    1490,  1487,     0,     0,     0,     0,     0,  3301,  3301,  3301,
       0,  1498,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,  1491,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,  1498,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1498,  5281,  5282,     0,     0,  5283,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,     0,     0,  1485,  1485,     0,     0,
       0,     0,     0,  5319,  5320,  2636,     0,     0,  3407,     0,
    3407,     0,     0,     0,     0,  2636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,     0,     0,  5335,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,  1258,
       0,     0,     0,     0,  1487,     0,     0,     0,  1485,     0,
       0,     0,     0,  1258,  1496,     0,  1487,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2636,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1498,     0,  1498,     0,     0,
       0,  1487,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1496,     0,  1496,     0,     0,
       0,     0,     0,     0,  1258,     0,     0,     0,  1498,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,  1487,  1487,     0,     0,     0,     0,     0,     0,     0,
    1258,  1258,     0,     0,  1258,  1488,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1258,
       0,     0,  3218,     0,     0,     0,  1258,     0,     0,     0,
    1490,  1258,     0,     0,  1258,  1258,     0,     0,     0,     0,
       0,     0,  1258,  1258,     0,  1490,  1491,     0,  1496,     0,
    5516,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2412,  1258,     0,  1258,  1491,
       0,  1488,     0,     0,     0,     0,  1496,  1485,     0,     0,
    1258,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3407,     0,     0,     0,     0,  1488,  3407,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1498,     0,
       0,     0,     0,     0,     0,     0,     0,  5566,  1258,  1488,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1485,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,  1491,     0,     0,  1496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3407,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1496,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,     0,  1258,
       0,  1498,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,  1258,  1498,
       0,  1258,     0,  1258,     0,     0,     0,     0,     0,     0,
       0,     0,  5319,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,  1258,
    1485,  1488,     0,  1258,  1496,  1491,     0,     0,  5716,  1498,
       0,     0,     0,  1485,  1258,     0,     0,     0,     0,     0,
       0,  1488,     0,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
    1496,     0,  1487,     0,     0,     0,  1487,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,  1498,     0,     0,     0,
       0,  1498,  1498,     0,     0,     0,  1258,     0,     0,     0,
       0,  1488,  1488,     0,  1496,     0,     0,     0,     0,     0,
       0,     0,  5768,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1487,     0,
       0,     0,     0,  1258,     0,     0,     0,     0,     0,     0,
    1487,  5796,  5796,     0,  3301,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1258,     0,  5319,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1498,  1498,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1258,     0,     0,  1258,     0,
       0,  1258,     0,  2636,     0,     0,     0,     0,     0,     0,
       0,     0,  1258,     0,     0,     0,     0,  1258,  5855,  1258,
       0,  1258,     0,     0,     0,  1488,     0,     0,     0,  1258,
       0,     0,     0,     0,     0,     0,  5796,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,  1485,  1258,     0,  1485,
       0,  1485,     0,     0,     0,     0,  1485,     0,     0,     0,
       0,     0,  5896,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3407,  1490,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,     0,     0,  3407,     0,     0,     0,
       0,  1258,     0,     0,     0,     0,     0,  1487,  1490,     0,
       0,  1258,  1491,     0,     0,     0,     0,  1485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,  5796,
    1258,  1258,     0,     0,     0,  5954,     0,  1491,  1258,     0,
       0,     0,  1498,     0,     0,     0,     0,     0,  1258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1258,     0,     0,     0,     0,     0,  1485,     0,  1485,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,  1488,     0,     0,     0,  1488,  1488,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,  1493,     0,     0,     0,  1490,     0,     0,
       0,  1258,     0,     0,     0,     0,  1490,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,  1258,     0,  1490,     0,
       0,  1491,  1258,  1258,     0,  1258,     0,     0,     0,     0,
       0,     0,     0,     0,  1258,     0,  1491,     0,  1488,  1485,
       0,  2636,     0,     0,     0,  1491,     0,     0,     0,     0,
    1488,  1258,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1485,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,  1258,
    1488,     0,  1485,  1490,     0,     0,     0,     0,  1485,     0,
    1487,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,  1491,  1487,     0,     0,  1258,  1490,     0,     0,
       0,  1258,     0,     0,     0,     0,  1278,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,  1310,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,  1328,     0,     0,
       0,     0,     0,  1490,  1490,  1338,  1491,     0,  1258,     0,
       0,  1383,     0,     0,  1258,     0,     0,  1485,     0,     0,
       0,     0,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1496,     0,     0,  1485,     0,     0,  1258,     0,
       0,     0,  1491,  1491,     0,     0,     0,     0,     0,     0,
    1485,     0,     0,     0,     0,     0,  1258,  1258,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3301,     0,     0,
       0,     0,  3301,     0,     0,     0,     0,     0,  3301,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,  1496,     0,  1485,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1615,     0,     0,     0,     0,     0,     0,     0,
       0,  1485,     0,  1493,     0,     0,  1491,     0,     0,  1488,
       0,     0,  1496,     0,     0,     0,  1487,     0,  1493,  1487,
       0,  1487,     0,     0,     0,     0,  1487,     0,  1748,     0,
       0,     0,     0,  1496,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1772,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1797,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1487,     0,     0,     0,     0,     0,  1496,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,  1987,  1490,     0,     0,     0,  1490,  1490,
       0,     0,     0,     0,     0,     0,  1487,     0,  1487,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5242,     0,
    1496,     0,     0,  1491,     0,     0,     0,  1491,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
    1490,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,  1496,     0,  1485,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,     0,     0,  1485,     0,     0,
    2136,  1491,  1490,     0,     0,     0,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2174,  2177,
    2178,     0,  1487,     0,     0,     0,     0,     0,  1487,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1487,     0,     0,
       0,  3407,     0,     0,     0,     0,  1488,     0,     0,  1488,
       0,  1488,  1485,     0,     0,  1487,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1487,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,     0,  1488,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,  1748,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,  1748,     0,     0,
    1493,     0,     0,     0,  3407,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,  1490,  1496,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1487,     0,     0,     0,     0,  1488,     0,  1488,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
    1491,     0,  1496,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1485,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,  1496,
       0,     0,     0,     0,  1496,  1496,     0,     0,     0,  1488,
       0,     0,     0,     0,  2508,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,  2565,  1488,     0,  1491,     0,     0,     0,  1488,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,  1491,     0,     0,  1487,  1485,     0,     0,     0,     0,
    1493,     0,     0,     0,  1491,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,  5242,  1496,     0,     0,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,  1485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
    1488,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,  2738,     0,     0,  1487,     0,  1485,
    1493,     0,     0,  2761,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2796,
       0,     0,     0,     0,     0,     0,  1493,  1493,     0,     0,
       0,     0,  2809,     0,     0,  2812,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,  1490,     0,  1490,     0,     0,  2860,     0,  1490,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
    2878,  1485,     0,     0,     0,  1496,     0,     0,     0,     0,
       0,     0,  1487,     0,  2890,     0,     0,  1491,     0,     0,
    1491,     0,  1491,     0,     0,  1488,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1485,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,  1487,     0,     0,     0,  2942,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,  1490,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,  2985,     0,     0,     0,     0,
       0,     0,  2998,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
    1490,     0,     0,     0,  1488,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,  1491,
       0,     0,  1485,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3076,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,  1490,
       0,  1748,  1748,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,  3130,     0,     0,  1490,     0,     0,  1493,     0,     0,
    1490,  1493,  1493,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1485,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,  1491,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,  2448,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,  1490,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,  1490,  3288,     0,
       0,     0,     0,  1485,     0,     0,     0,     0,     0,     0,
       0,     0,  1490,     0,  1487,     0,     0,     0,  1491,     0,
       0,     0,  1488,     0,  3309,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,     0,     0,     0,     0,
    1485,     0,  3322,     0,  3325,  1485,  1485,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,  1487,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1748,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1490,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1485,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,  1487,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1487,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3535,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,  3562,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1487,  1488,     0,     0,  1485,     0,     0,  3628,
    3629,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1488,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,  1490,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1488,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,  3742,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1487,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,  1487,     0,     0,     0,     0,     0,     0,
       0,  1488,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
    1487,     0,  1488,     0,     0,  1487,  1487,     0,  2448,     0,
       0,     0,  3200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,  2448,  2448,  2448,     0,
       0,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3883,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,  1493,     0,  1493,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2448,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,  1490,     0,  1487,     0,     0,
       0,     0,     0,     0,     0,  1490,     0,  1493,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1488,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,  1493,     0,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,  2448,  1491,     0,     0,     0,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4011,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,     0,
       0,     0,     0,     0,     0,  1488,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1488,     0,  1490,  1491,     0,     0,     0,
       0,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1490,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1487,     0,     0,     0,
       0,     0,  1493,  1488,  1491,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1491,     0,  1493,     0,     0,
       0,     0,     0,  1493,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1490,     0,     0,     0,     0,     0,     0,     0,     0,
    1488,     0,     0,     0,     0,  1488,  1488,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1491,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4242,     0,  1490,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1491,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4356,  4357,  4358,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4367,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4383,     0,     0,
       0,     0,     0,     0,  1490,     0,     0,  4393,  4395,     0,
       0,     0,  4400,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4414,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1488,     0,     0,     0,
       0,     0,     0,  1491,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1748,
       0,     0,     0,     0,     0,     0,     0,  1490,     0,  2448,
       0,  2448,     0,     0,  3200,  3200,     0,  3946,     0,  3200,
       0,     0,     0,  2448,     0,     0,  2448,     0,     0,     0,
       0,  2448,     0,     0,     0,  1490,     0,  2448,     0,     0,
       0,     0,  2448,     0,     0,     0,  1491,     0,     0,  2448,
    2448,  2448,  2448,     0,     0,     0,  3200,  3200,     0,  2448,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,  2448,     0,  2448,  1491,  1490,     0,     0,     0,     0,
    2448,  2448,  2448,  2448,  2448,  2448,  2448,  2448,  2448,  2448,
       0,     0,  1493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1491,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,  4580,  4581,  4582,     0,     0,
       0,     0,  1490,     0,     0,     0,     0,  1490,  1490,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1491,     0,     0,     0,     0,  1491,  1491,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,  1493,   111,   112,
     113,   114,     0,   115,   116,   117,     0,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,  1490,
     125,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,  2448,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1491,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   132,     0,     0,     0,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,     0,   147,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   154,   155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,  1493,     0,
       0,     0,     0,   163,     0,     0,     0,   165,  1493,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,  4836,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,  4849,  1490,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,     0,     0,     0,     0,   182,   183,     0,   184,
       0,     0,     0,     0,     0,     0,     0,     0,  4878,     0,
       0,     0,     0,     0,     0,     0,     0,  1491,     0,     0,
       0,     0,   189,   190,   191,     0,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,  2998,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3076,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,   211,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,  1493,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
       0,     0,   220,     0,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,   225,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,     0,  1493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5010,
    5011,  5012,  5013,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
    2448,  3378,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3946,  3946,     0,     0,
    3200,  3200,  3200,  3200,     0,     0,  3200,  3200,  3200,  3200,
    3200,  3200,  3200,  3200,  3200,  3200,  3946,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1493,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
       0,  2448,     0,  2448,     0,     0,  3946,  3946,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,  3200,  3200,  2448,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1493,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5246,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1493,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3200,     0,  1493,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1493,     0,     0,     0,     0,
    1493,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5411,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5423,
       0,     0,     0,     0,  1748,     0,     0,     0,     0,     0,
       0,     0,     0,  2448,     0,     0,     0,  2448,  2448,  2448,
       0,     0,     0,     0,     0,  3946,  3946,  3946,  3946,     0,
    5459,     0,  1493,  3946,  3946,  3946,  3946,  3946,  3946,  3946,
    3946,  3946,  3946,  2448,  2448,     0,     0,     0,     0,  5476,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
       0,     0,  2448,     0,  2448,     0,     0,     0,  2448,     0,
       0,  3946,  3946,     0,     0,  2448,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2448,     0,     0,     0,     0,     0,     0,
    2448,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2448,     0,
       0,  5548,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2448,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1493,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5632,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3946,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
    2448,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,     0,
    2448,  3200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,  2448,     0,     0,
       0,  2448,  2448,  2448,     0,     0,  2448,     0,     0,  2448,
    2448,     0,     0,     0,  2448,     0,     0,     0,  2448,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114, -2735,
     115,   116,   117,     0,     0,  2448,     0,     0,   120,   121,
       0,     0,     0,     0,   122,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,   125,   126,    35,
       0,   425,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2448,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
       0,     0,   134,   135,   136,   137,   138,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,  2448,     0,     0,   143,     0,   144,     0,     0,
       0,     0,     0,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   154,   155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,     0,     0,     0,     0,     0,     0,     0,
     163,     0,     0,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,  3946,  3200,   168,     0,   169,     0,
       0,     0,     0,     0,     0,   171,     0,   172,     0,     0,
    2448,  2448,  2448,     0,     0,   173,     0,     0,     0,     0,
    3200,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,  2448,  2448,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,     0,   192,     0,     0,     0,   194,
       0,     0,   195,     0,   196,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,     0,     0,
       0,     0,     0,   225,     0,     0,     0,     0,     0,     0,
     226,   227,     0,     0,  3946,     0,   228,     0,   229,     0,
       0,     0,     0,     0,     0,     0,     0,   232,  3200,     0,
       0,  3946,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,     0,   236,     0,     0,   237,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3946,     0,  3200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3200,     0,     0,     0,     0,  3200,     0,
       0,     0,     0,     0,     0,  2448,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   770,    86,
      87,    88,   722,    90,    91,    92,   723,  3946,   724,    95,
    3946,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,  2448,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   777,   439,   440,   441,   778,
     779,   780,   781,   782,   783,   784,   442,   443,   785,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,   786,   450,   451,   452,   453,   454,   787,   788,   455,
     456,   789,   139,   457,   790,   458,   459,   460,   461,   143,
     791,   144,   792,   462,   463,   464,   465,   466,   147,   467,
     468,   793,   794,   469,   470,   471,   472,   473,   474,   795,
     150,   475,   476,   796,   797,   798,   799,   151,   800,   801,
     802,   478,   479,   480,   481,   739,   482,   154,   155,   483,
     803,   484,   804,   485,   486,   487,   488,   489,   490,   805,
     491,   492,   493,   494,   806,   807,   495,   496,   497,   498,
     499,   808,   500,   501,   502,   809,   503,   504,   505,   810,
     506,   507,   508,   509,   163,   510,   511,   512,   165,   811,
     513,   812,   514,   515,   167,   516,   813,   517,   814,   518,
     168,   815,   169,   519,   520,   521,   522,   816,   523,   171,
     817,   172,   524,   818,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,   819,   533,   534,   535,   536,   537,
     538,   820,   539,   175,   176,   821,   540,   541,   542,   822,
     177,   823,   178,   824,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,   825,   826,   550,   182,   183,   551,
     184,   827,   552,   553,   554,   828,   829,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
     830,   572,   573,   194,   574,   831,   195,   575,   196,   576,
     577,   578,   832,   579,   580,   833,   834,   581,   582,   583,
     835,   836,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   837,   595,   596,
     201,   597,   202,   598,   599,   600,   838,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,   839,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   840,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,   841,   639,   640,   641,   642,   643,   842,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,   843,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,   844,   664,   665,   845,   666,   225,   667,   668,
     669,   670,   671,   846,   226,   227,   847,   848,   673,   674,
     228,   675,   229,   849,   676,   677,   678,   679,   680,   681,
     682,   850,   851,   683,   684,   685,   686,   687,   852,   853,
     688,   689,   690,   691,   692,   854,   236,   855,   693,   237,
     694,   695,   696,   697,   856,   857,   698,   858,   859,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    85,
       0,     0,    86,    87,    88,    89,    90,    91,    92,    93,
       0,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,  1030,   104,   105,   106,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,     0,   115,   116,   117,
     118,   119,     0,     0,     0,   120,   121,     0,     0,     0,
       0,   122,     0,     0,     0,     0,     0,     0,     0,     0,
     123,     0,   124,     0,   125,   126,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     127,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     128,     0,   129,   130,     0,     0,     0,     0,     0,     0,
       0,     0,   131,     0,     0,   132,     0,     0,   133,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,   140,     0,
     141,   142,   143,     0,   144,     0,     0,   145,     0,   146,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
     148,     0,   149,   150,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,     0,   152,     0,   153,
     154,   155,   156,     0,     0,     0,     0,     0, -1641,     0,
       0,     0,     0,     0,     0,     0,   157,     0,   158,     0,
       0,     0,   159,     0,     0,     0,     0,     0,   160,   161,
       0,     0,     0,     0,     0,     0,   162,   163,   164,     0,
       0,   165,     0,     0,   166,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
     170,     0,   171,     0,   172,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,   174,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   175,   176,     0,     0,
   -1641,     0,     0,   177,     0,   178,     0,     0,   179,   180,
       0,   181,     0,     0,     0,     0,     0,     0,     0,     0,
     182,   183,     0,   184,     0,   185,   186,     0,     0,     0,
       0,   187,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,     0,     0,   189,   190,   191,     0,
       0,     0,   192,     0,     0,   193,   194,     0,     0,   195,
       0,   196,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,   203,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   204,
     205,     0,     0,     0,     0,     0,   206,   207,     0,   208,
       0,     0,     0,     0,   209,     0,     0,     0,     0,   210,
     211,     0,   212,     0,   213,     0,     0,   214,     0,     0,
       0,     0,     0,   215,   216,     0,     0,     0,     0,     0,
       0,   217,     0,   218,     0,   219,   220,     0,     0,   221,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,   224,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,   230,     0,   231,
       0,     0,     0,     0,   232,     0,     0,   233,     0,     0,
   -1641,     0,     0,   234,     0,     0,     0,     0,   235,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,   238,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
       0,     0,     0,     0,   250,     0,     0,     0,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,   251,   724,
      95,     0,  -145,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1631,  1632,  1633,    45,
    1634,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  3292,   439,   440,   441,
       0,     0,     0,     0,  1635,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,  1636,   136,
    1637,  1638,     0,   450,   451,   452,   453,   454,  1639,  1640,
     455,   456,  1641,  1642,   457,     0,   458,   459,   460,   461,
    1643,     0,  1644,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,
    1650,  1651,   478,   479,   480,   481,   739,   482,  1652,  1653,
     483,  1654,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,  3293,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,  1655,   510,   511,   512,  1656,
    1657,   513,     0,   514,   515,  1658,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
    1659,     0,  1660,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
    1469,  1661,     0,  1662,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,  1663,   183,
     551,   184,     0,   552,   553,   554,  1664,  1665,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1666,   190,  1667,   569,   570,   571,
     192,  1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,
     576,   577,   578,     0,   579,   580,     0,     0,  1672,   582,
     583,     0,     0,   584,   197,   198,   585,   199,  1673,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,  1674,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1675,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,  1676,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,  1677,   645,
     646,   218,   647,   648,   220,   649,   650,  1678,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,  1679,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1680,  1681,     0,     0,   673,
     674,  1682,   675,  1683,  1684,   676,   677,   678,   679,   680,
     681,   682,     0,  1685,   683,   684,   685,   686,   687,  1686,
       0,   688,   689,   690,   691,   692,   745,  1687,  3294,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,  1688,  1689,  1690,
    1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,
    1696,     0,     0,     0,     0,     0,     0,  1697,  1698,  3295,
       0,     0,     0,     0,     0,     0,  1700,  3296,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,   216,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,   224,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,  2410,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,   238,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,   250,     0,     0,     0,     0,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,  1700,  5528,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,  1635,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,  1636,   136,  1637,  1638,
       0,   450,   451,   452,   453,   454,  1639,  1640,   455,   456,
    1641,  1642,   457,     0,   458,   459,   460,   461,  1643,     0,
    1644,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,
     478,   479,   480,   481,   739,   482,  1652,  1653,   483,  1654,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,  1655,   510,   511,   512,  1656,  1657,   513,
       0,   514,   515,  1658,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,  1659,     0,
    1660,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,  1469,  1661,
       0,  1662,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,  1663,   183,   551,   184,
       0,   552,   553,   554,  1664,  1665,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1666,   190,  1667,   569,   570,   571,   192,  1668,
     572,   573,   194,   574,  1669,  1670,   575,  1671,   576,   577,
     578,     0,   579,   580,     0,     0,  1672,   582,   583,     0,
       0,   584,   197,   198,   585,   199,  1673,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,  1674,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1675,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
    1676,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,  1677,   645,   646,   218,
     647,   648,   220,   649,   650,  1678,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
    1679,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1680,  1681,     0,     0,   673,   674,  1682,
     675,  1683,  1684,   676,   677,   678,   679,   680,   681,   682,
       0,  1685,   683,   684,   685,   686,   687,  1686,     0,   688,
     689,   690,   691,   692,   745,  1687,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,
    1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,
       0,     0,     0,     0,     0,  1697,  1698,     0,     0,     0,
       0,     0,     0,     0,  1700,  3202,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,  4502,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
    1635,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,  1636,   136,  1637,  1638,     0,   450,
     451,   452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,
     457,     0,   458,   459,   460,   461,  1643,     0,  1644,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,
     480,   481,   739,   482,  1652,  1653,   483,  1654,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,  1655,   510,   511,   512,  1656,  1657,   513,     0,   514,
     515,  1658,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,  1659,     0,  1660,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,  1469,  1661,     0,  1662,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,  1663,   183,   551,   184,     0,   552,
     553,   554,  1664,  1665,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1666,   190,  1667,   569,   570,   571,   192,  1668,   572,   573,
     194,   574,  1669,  1670,   575,  1671,   576,   577,   578,     0,
     579,   580,     0,     0,  1672,   582,   583,     0,     0,   584,
     197,   198,   585,   199,  1673,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,  1674,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1675,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,  1676,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,  1677,   645,   646,   218,   647,   648,
     220,   649,   650,  1678,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,  1679,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,
    1684,   676,   677,   678,   679,   680,   681,   682,     0,  1685,
     683,   684,   685,   686,   687,  1686,     0,   688,   689,   690,
     691,   692,   745,  1687,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,
    1694,  1695,   249,   746,   705,   706,  1696,     0,     0,     0,
       0,     0,     0,  1697,  1698,     0,     0,     0,     0,     0,
       0,     0,  1700,  4573,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,  1462,  1463,   457,
       0,   458,   459,   460,   461,     0,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
       0,   510,   511,   512,     0,     0,   513,     0,   514,   515,
    1467,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,     0,     0,     0,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
    2622,   533,   534,   535,   536,   537,   538,     0,   539,   175,
    2623,     0,   540,   541,   542,  1469,  1470,     0,  1471,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,     0,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,     0,     0,   572,   573,   194,
     574,     0,     0,   575,  1474,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,  2625,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,     0,   597,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,  2626,   647,   648,   220,
     649,   650,  1477,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1478,  1479,     0,     0,   673,   674,     0,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,  1480,  2627,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,     0,     0,     0,     0,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,  2732,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,  1462,  1463,   457,     0,   458,   459,   460,   461,
       0,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,     0,   510,   511,   512,     0,
       0,   513,     0,   514,   515,  1467,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
       0,     0,     0,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,  2622,   533,   534,   535,   536,
     537,   538,     0,   539,   175,  2623,     0,   540,   541,   542,
    1469,  1470,     0,  1471,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
       0,     0,   572,   573,   194,   574,     0,     0,   575,  1474,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,  2625,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,     0,   597,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,  2626,   647,   648,   220,   649,   650,  1477,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,  1478,  1479,     0,     0,   673,
     674,     0,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,  1480,  2627,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
       0,     0,     0,     0,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,  3793,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,   216,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,   224,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,  2410,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,   238,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,  1696,     0,   250,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,  3208,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,  1654,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,  3209,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,  3210,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,  1668,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  1676,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,  3211,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,  1685,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,  1696,     0,     0,     0,     0,     0,     0,
    1697,  1698,     0,     0,     0,     0,     0,     0,     0,  1700,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,  1668,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,  1696,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,  2372,  3163,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,  1699,     0,
       0,     0,     0,     0,     0,  1700,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  2542,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,  3209,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,  1696,     0,     0,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,  1654,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,  1668,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  1676,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,  1685,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,  4623,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,  1696,     0,     0,     0,     0,     0,     0,
    1697,  1698,     0,     0,     0,     0,     0,     0,     0,  1700,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,  4638,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,  1668,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,  1696,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,     0,     0,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,  5793,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,  5794,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,  5795,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,  1700,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,  5794,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,  5795,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,  1696,     0,     0,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,  1654,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,  1668,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  1676,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,  1685,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,  1696,     0,     0,     0,     0,     0,     0,
    2545,  2546,     0,     0,     0,     0,     0,     0,     0,  1700,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,  1654,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,  1668,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  1676,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,  1685,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,  4978,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,  1696,     0,     0,     0,     0,     0,     0,  1697,  1698,
       0,     0,     0,     0,     0,     0,     0,  1700,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,  1633,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
    1654,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,  4987,   192,
    1668,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,  1672,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  1676,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,  1685,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,  1696,
       0,     0,     0,     0,     0,     0,  1697,  1698,     0,     0,
       0,     0,     0,     0,     0,  1700,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
    5309,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  5310,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,  5311,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,  1696,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  5312,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,  1633,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449, -2980,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,  5794,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,  1654,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528, -2980,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,     0,     0,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551, -2980,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,  1668,   572,   573,     0,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,  1672,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  1676,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648, -2980,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,  5795,   681,   682,     0,  1685,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706, -2980,     0,     0,     0,     0,
       0,     0,  1697,  1698,     0,     0,     0,     0,     0,     0,
       0,  1700,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,  1633,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,  5509,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,     0,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,  1672,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  3194,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,     0,     0,     0,     0,     0,     0,     0,
    3195,  3196,     0,     0,     0,     0,     0,     0,     0,  3197,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1631,  1632,  1633,
      45,  1634,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1635,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,  1636,
     136,  1637,  1638,     0,   450,   451,   452,   453,   454,  1639,
    1640,   455,   456,  1641,  1642,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,  1652,
    1653,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,  1655,   510,   511,   512,
    1656,  1657,   513,     0,   514,   515,  1658,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,  1660,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,  1469,  1661,     0,  1662,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1666,   190,  1667,   569,   570,
     571,   192,     0,   572,   573,   194,   574,  1669,  1670,   575,
    1671,   576,   577,   578,     0,   579,   580,     0,     0,  1672,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1675,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,  3194,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,  1678,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1680,  1681,     0,     0,
     673,   674,  1682,   675,  1683,  1684,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,  1687,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,     0,     0,     0,     0,     0,     0,     0,  3195,  3196,
       0,     0,     0,     0,     0,     0,     0,  3197,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,     0,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,   450,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
       0,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  3334,  3335,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,     0,
       0,     0,     0,     0,     0,     0,  3336,  3337,     0,     0,
       0,     0,     0,     0,     0,  3197,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,     0,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,     0,   572,
     573,   194,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  3194,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,     0,     0,     0,
       0,     0,     0,     0,  3195,  3196,     0,     0,     0,     0,
       0,     0,     0,  3197,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1631,  1632,     0,    45,  1634,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1635,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,  1636,   136,  1637,  1638,     0,   450,   451,
     452,   453,   454,  1639,  1640,   455,   456,  1641,  1642,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,  1652,  1653,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
    1655,   510,   511,   512,  1656,  1657,   513,     0,   514,   515,
    1658,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,  1660,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,  1469,  1661,     0,  1662,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1666,
     190,  1667,   569,   570,   571,   192,     0,   572,   573,   194,
     574,  1669,  1670,   575,  1671,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1675,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,  3194,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,  1678,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1680,  1681,     0,     0,   673,   674,  1682,   675,  1683,  1684,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,  1687,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,     0,     0,     0,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,  3197,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1631,  1632,     0,    45,  1634,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1635,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,  1636,   136,  1637,
    1638,     0,  4535,   451,   452,   453,   454,  1639,  1640,   455,
     456,  1641,  1642,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,  1652,  1653,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,  1655,   510,   511,   512,  1656,  1657,
     513,     0,   514,   515,  1658,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,  1660,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,  1469,
    1661,     0,  1662,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1666,   190,  1667,   569,   570,   571,   192,
       0,   572,   573,   194,   574,  1669,  1670,   575,  1671,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1675,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,  3194,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,  1678,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1680,  1681,     0,     0,   673,   674,
    1682,   675,  1683,  1684,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,  1687,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,   249,   746,   705,   706,     0,
       0,     0,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  3197,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1631,
    1632,     0,    45,  1634,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1635,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,  1636,   136,  1637,  1638,     0,   450,   451,   452,   453,
     454,  1639,  1640,   455,   456,  1641,  1642,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,  1652,  1653,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,  1655,   510,
     511,   512,  1656,  1657,   513,     0,   514,   515,  1658,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,  1660,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,  1469,  1661,     0,  1662,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1666,   190,  1667,
     569,   570,   571,   192,     0,   572,   573,   194,   574,  1669,
    1670,   575,  1671,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1675,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,  3194,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
    1678,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1680,  1681,
       0,     0,   673,   674,  1682,   675,  1683,  1684,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
    1687,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,  5018,  1692,  1693,  1694,  1695,   249,
     746,   705,   706,     0,     0,     0,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,  3197,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1631,  1632,  1633,    45,  1634,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1635,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,     0,  1636,   136,  1637,  1638,     0,
     450,   451,   452,   453,   454,  1639,  1640,   455,   456,  1641,
    1642,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,  1652,  1653,   483,  1654,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,     0,   505,     0,   506,   507,
     508,   509,  1655,   510,   511,   512,  1656,  1657,   513,     0,
     514,   515,  1658,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,  1660,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,  1469,  1661,     0,
    1662,     0,   543,     0,     0,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,     0,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1666,   190,  1667,   569,   570,   571,   192,  1668,   572,
     573,     0,   574,  1669,  1670,   575,  1671,   576,   577,   578,
       0,   579,   580,     0,     0,  1672,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1675,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,  1676,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,     0,   649,   650,  1678,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1680,  1681,     0,     0,   673,   674,  1682,   675,
    1683,  1684,   676,   677,   678,   679,   680,   681,   682,     0,
    1685,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,  1687,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,     0,     0,     0,
       0,     0,     0,     0,  1697,  1698,     0,     0,     0,     0,
       0,     0,     0,  1700,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,  1640,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,  1656,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,   172,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
    4015,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,  1670,   575,   196,   576,   577,   578,     0,   579,
     580,     0,  1154,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,  4016,   632,
     633,   634,   635,   636,   637,   744,   638,   216,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,   224,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,  1682,   675,  1683,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,  2410,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,   238,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,  4017,   746,   705,   706,     0,     0,   250,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,  4018,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,  1640,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,  1643,
       0,  1644,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,  1645,  1646,  1647,  1648,  1649,  1650,
    1651,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,  1656,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,  1659,
       0,   172,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,  4015,     0,   550,  1663,   183,   551,
     184,     0,   552,   553,   554,  1664,  1665,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,  1670,   575,   196,   576,
     577,   578,     0,   579,   580,     0,  1154,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,  1673,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
    1674,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,  4016,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,  1677,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,  1679,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
    1682,   675,  1683,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  1686,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,  1688,  1689,  1690,  1691,
     244,  1692,  1693,  1694,  1695,  4017,   746,   705,   706,     0,
       0,     0,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,  4018,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,  1640,   455,   456,   736,   139,   457,     0,   458,
     459,   460,   461,  1643,     0,  1644,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,  1656,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,  1659,     0,   172,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,  1663,   183,   551,   184,     0,   552,   553,   554,  1664,
    1665,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
    1670,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,  1673,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,  1674,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,  4016,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,  1677,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,  1679,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,  1682,   675,  1683,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  1686,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
    1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,  1695,  4017,
     746,   705,   706,     0,     0,     0,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,   251,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,  1640,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,  1643,     0,  1644,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,  1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,  1656,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,  1659,     0,   172,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,  1663,   183,   551,   184,     0,
     552,   553,   554,  1664,  1665,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,  1670,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,  1673,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,  1674,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,  1677,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,  1679,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,  1682,   675,
    1683,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,  1686,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,  1688,  1689,  1690,  1691,   244,  1692,
    1693,  1694,  1695,   249,   746,   705,   706,     0,     0,     0,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,  4671,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
    1640,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,  1643,     0,  1644,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,  1645,  1646,  1647,  1648,
    1649,  1650,  1651,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
    1656,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,  1659,     0,   172,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,  1663,
     183,   551,   184,     0,   552,   553,   554,  1664,  1665,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,  1670,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,  1673,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,  1674,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,  1677,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,  1679,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,  1682,   675,  1683,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
    1686,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,  1688,  1689,
    1690,  1691,   244,  1692,  1693,  1694,  1695,   249,   746,   705,
     706,     0,     0,     0,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,  5775,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,     0,     0,     0,     0,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,  5364,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,  4591,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
   -1749,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0, -1749,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539, -1749,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544, -1749,   545,
     546,   547,   548,   549,     0,     0,   550,   182, -1749,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189, -1749,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627, -1749,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,     0,     0,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,  1795,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,     0,     0,     0,     0,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,  3825,
    3826,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,     0,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,  3826,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,   216,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,   224,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,  2410,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,   238,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,   250,     0,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,   251,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,   216,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,   224,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,  2410,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,   238,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,   250,     0,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,   251,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   725,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,     0,   447,   448,   449,   134,   135,     0,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,   736,   139,   457,     0,   458,   459,   460,   461,
     143,     0,     0,     0,   462,   463,   464,   465,   466,     0,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,     0,   475,   476,     0,     0,     0,     0,     0,     0,
       0,     0,   478,   479,   480,   481,   739,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,     0,     0,     0,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,   741,   527,   528,
       0,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,     0,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,     0,     0,   544,     0,
     545,   546,   547,   548,   549,     0,     0,   550,   182,     0,
     551,     0,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,   189,     0,   191,   569,   570,   571,
     192,     0,   572,   573,     0,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,     0,   585,     0,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,     0,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,   218,   647,   648,     0,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,     0,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,   745,   236,     0,   693,
       0,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   746,   705,   706,
       0,     0,     0,     0,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,  1771,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   725,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,     0,   447,   448,
     449,   134,   135,     0,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,   736,   139,   457,     0,
     458,   459,   460,   461,   143,     0,     0,     0,   462,   463,
     464,   465,   466,     0,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,     0,   475,   476,     0,     0,
       0,     0,     0,     0,     0,     0,   478,   479,   480,   481,
     739,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,     0,     0,     0,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,   741,   527,   528,     0,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,     0,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
       0,     0,   544,     0,   545,   546,   547,   548,   549,     0,
       0,   550,   182,     0,   551,     0,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,     0,
     191,   569,   570,   571,   192,     0,   572,   573,     0,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,     0,
     585,     0,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,     0,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,     0,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,     0,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
     745,   236,     0,   693,     0,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,     0,     0,     0,     0,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
    3367,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,     0,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,  4570,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,   459,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,  5035,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,  1281,    45,     0,     0,     0,     0,
       0,  1282,  1283,  1284,   431,   432,   433,   434,   435,   436,
     437,   438,   777,   439,   440,   441,   778,   779,   780,   781,
     782,   783,   784,   442,   443,   785,   444,   445,   446,   132,
     447,   448,   449,     0,  1459,   136,  1460,  1461,   786,   450,
     451,   452,   453,   454,   787,   788,   455,   456,  1462,  1463,
     457,   790,   458,   459,   460,   461,     0,   791,   144,   792,
     462,   463,   464,   465,   466,   147,   467,   468,   737,   794,
     469,   470,   471,   472,   473,   474,   795,   150,   475,   476,
       0,   797,   798,   799,   151,   800,   801,   802,   478,   479,
     480,   481,   739,   482,  1464,  1465,   483,   803,   484,   804,
     485,   486,   487,   488,   489,   490,   805,   491,   492,   493,
     494,   806,   807,   495,   496,  1466,   498,   499,   808,   500,
     501,   502,   809,   503,   504,   505,   810,   506,   507,   508,
     509,     0,   510,   511,   512,     0,   811,   513,   812,   514,
     515,  1467,   516,   813,   517,   814,   518,   168,   815,   169,
     519,   520,   521,   522,   816,   523,     0,   817,     0,   524,
     818,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,   819,   533,   534,   535,   536,   537,   538,   820,   539,
     175,     0,     0,   540,   541,   542,  1469,  1470,   823,  1471,
     824,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,   825,   826,   550,     0,   183,   551,   184,   827,   552,
     553,   554,   828,   829,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1472,   190,  1473,   569,   570,   571,  4317,   830,   572,   573,
     194,   574,   831,     0,   575,  1474,   576,   577,   578,   832,
     579,   580,   833,   834,  4318,   582,   583,   835,   836,   584,
       0,   198,   585,   199,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   837,   595,   596,     0,   597,     0,
     598,   599,   600,   838,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1475,   610,   611,   612,   613,   839,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   840,   626,   627,   211,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   744,   638,   841,   639,
     640,   641,   642,   643,   842,   645,   646,  2626,   647,   648,
     220,   649,   650,  1477,   651,   843,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,   844,
     664,   665,   845,   666,   225,   667,   668,   669,   670,   671,
     846,  1478,  1479,     0,   848,   673,   674,     0,   675,     0,
     849,   676,   677,   678,   679,   680,   681,   682,     0,   851,
     683,   684,   685,   686,   687,   852,   853,   688,   689,   690,
     691,   692,     0,  1480,   855,   693,   237,   694,   695,   696,
     697,   856,   857,   698,   858,   859,   699,   700,   701,   702,
     703,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   746,   705,   706,     0,     0,     0,  1287,
    1288,  1289,     0,  4319,  4320,  1292,  1293,  1294,  1295,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,   430,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1281,    45,
       0,     0,     0,     0,     0,  1282,  1283,  1284,   431,   432,
     433,   434,   435,   436,   437,   438,   777,   439,   440,   441,
     778,   779,   780,   781,   782,   783,   784,   442,   443,   785,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,   786,   450,   451,   452,   453,   454,   787,   788,
     455,   456,  1462,  1463,   457,   790,   458,   459,   460,   461,
       0,   791,   144,   792,   462,   463,   464,   465,   466,   147,
     467,   468,   737,   794,   469,   470,   471,   472,   473,   474,
     795,   150,   475,   476,     0,   797,   798,   799,   151,   800,
     801,   802,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,   803,   484,   804,   485,   486,   487,   488,   489,   490,
     805,   491,   492,   493,   494,   806,   807,   495,   496,  1466,
     498,   499,   808,   500,   501,   502,   809,   503,   504,   505,
     810,   506,   507,   508,   509,     0,   510,   511,   512,     0,
     811,   513,   812,   514,   515,  1467,   516,   813,   517,   814,
     518,   168,   815,   169,   519,   520,   521,   522,   816,   523,
       0,   817,     0,   524,   818,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,   819,   533,   534,   535,   536,
     537,   538,   820,   539,   175,     0,     0,   540,   541,   542,
    1469,  1470,   823,  1471,   824,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,   825,   826,   550,     0,   183,
     551,   184,   827,   552,   553,   554,   828,   829,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
    4762,   830,   572,   573,   194,   574,   831,     0,   575,  1474,
     576,   577,   578,   832,   579,   580,   833,   834,  4318,   582,
     583,   835,   836,   584,     0,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   837,   595,
     596,     0,   597,     0,   598,   599,   600,   838,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,   839,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   840,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,   841,   639,   640,   641,   642,   643,   842,   645,
     646,  2626,   647,   648,   220,   649,   650,  1477,   651,   843,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,   844,   664,   665,   845,   666,   225,   667,
     668,   669,   670,   671,   846,  1478,  1479,     0,   848,   673,
     674,     0,   675,     0,   849,   676,   677,   678,   679,   680,
     681,   682,     0,   851,   683,   684,   685,   686,   687,   852,
     853,   688,   689,   690,   691,   692,     0,  1480,   855,   693,
     237,   694,   695,   696,   697,   856,   857,   698,   858,   859,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
       0,     0,     0,  1287,  1288,  1289,     0,  4319,  4320,  1292,
    1293,  1294,  1295,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   725,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1281,     0,     0,     0,     0,     0,     0,  1282,  1283,
    1284,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,     0,   447,   448,   449,
     134,   135,     0,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,   736,   139,   457,     0,   458,
    1285,   460,   461,   143,     0,     0,     0,   462,   463,   464,
     465,   466,     0,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,     0,   475,   476,     0,     0,     0,
       0,     0,     0,     0,     0,   478,   479,   480,   481,   739,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,  1286,     0,   514,   515,   167,   516,
       0,   517,     0,   518,     0,     0,     0,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
     741,   527,   528,     0,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,     0,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,     0,
       0,   544,     0,   545,   546,   547,   548,   549,     0,     0,
     550,   182,     0,   551,     0,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,     0,   191,
     569,   570,   571,   192,     0,   572,   573,     0,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,     0,   585,
       0,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,     0,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,     0,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,     0,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,   745,
     236,     0,   693,     0,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,     0,     0,     0,  1287,  1288,  1289,     0,
    1290,  1291,  1292,  1293,  1294,  1295,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1281,     0,     0,     0,     0,     0,
       0,  1282,  1283,  1284,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,  1403,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,  1404,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,     0,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,     0,  1287,
    1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,  1281,     0,     0,
       0,     0,     0,     0,  1282,  1283,  1284,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,  1511,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
    1512,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1513,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,  1287,  1288,  1289,     0,  1290,  1291,  1292,  1293,
    1294,  1295,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   725,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1281,     0,     0,     0,     0,     0,     0,  1282,  1283,  1284,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,     0,   447,   448,   449,   134,
     135,     0,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,   736,   139,   457,     0,   458,  2103,
     460,   461,   143,     0,     0,     0,   462,   463,   464,   465,
     466,     0,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,     0,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   478,   479,   480,   481,   739,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,  2104,     0,   514,   515,   167,   516,     0,
     517,     0,   518,     0,     0,     0,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,   741,
     527,   528,     0,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,     0,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,     0,     0,
     544,     0,   545,   546,   547,   548,   549,     0,     0,   550,
     182,     0,   551,     0,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,     0,   191,   569,
     570,   571,   192,     0,   572,   573,     0,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,     0,   585,     0,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
       0,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,     0,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
       0,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,   745,   236,
       0,   693,     0,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,     0,     0,     0,  1287,  1288,  1289,     0,  1290,
    1291,  1292,  1293,  1294,  1295,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   725,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1281,     0,     0,     0,     0,     0,     0,
    1282,  1283,  1284,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,   134,   135,     0,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,   143,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,     0,     0,     0,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,     0,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   182,     0,   551,     0,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
       0,   191,   569,   570,   571,   192,     0,   572,   573,     0,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
       0,   585,     0,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,     0,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,     0,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,     0,     0,     0,  1287,  1288,
    1289,     0,  1290,  1291,  1292,  1293,  1294,  1295,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1281,     0,     0,     0,
       0,     0,     0,  1282,  1283,  1284,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,  3468,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,  3469,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,  1287,  1288,  1289,     0,  1290,  1291,  1292,  1293,  1294,
    1295,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1281,
       0,     0,     0,     0,     0,     0,  1282,  1283,  1284,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,   736,   139,   457,     0,   458,   459,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,     0,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,  5342,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,     0,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,   745,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,     0,     0,     0,  1287,  1288,  1289,     0,  1290,  1291,
    1292,  1293,  1294,  1295,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   777,   439,   440,   441,   778,   779,   780,   781,   782,
     783,   784,   442,   443,   785,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,   786,   450,   451,
     452,   453,   454,   787,   788,   455,   456,   789,   139,   457,
     790,   458,   459,   460,   461,   143,   791,   144,   792,   462,
     463,   464,   465,   466,   147,   467,   468,   793,   794,   469,
     470,   471,   472,   473,   474,   795,   150,   475,   476,   796,
     797,   798,   799,   151,   800,   801,   802,   478,   479,   480,
     481,   739,   482,   154,   155,   483,   803,   484,   804,   485,
     486,   487,   488,   489,   490,   805,   491,   492,   493,   494,
     806,   807,   495,   496,   497,   498,   499,   808,   500,   501,
     502,   809,   503,   504,   505,   810,   506,   507,   508,   509,
     163,   510,   511,   512,   165,   811,   513,   812,   514,   515,
     167,   516,   813,   517,   814,   518,   168,   815,   169,   519,
     520,   521,   522,   816,   523,   171,   817,   172,   524,   818,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
     819,   533,   534,   535,   536,   537,   538,   820,   539,   175,
     176,   821,   540,   541,   542,   822,   177,   823,   178,   824,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
     825,   826,   550,   182,   183,   551,   184,   827,   552,   553,
     554,   828,   829,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,   830,   572,   573,   194,
     574,   831,   195,   575,   196,   576,   577,   578,   832,   579,
     580,   833,   834,   581,   582,   583,   835,   836,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   837,   595,   596,   201,   597,   202,   598,
     599,   600,   838,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,   839,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     840,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,   841,   639,   640,
     641,   642,   643,   842,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,   843,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,   844,   664,
     665,   845,   666,   225,   667,   668,   669,   670,   671,   846,
     226,   227,   847,   848,   673,   674,   228,   675,   229,   849,
     676,   677,   678,   679,   680,   681,   682,   850,   851,   683,
     684,   685,   686,   687,   852,   853,   688,   689,   690,   691,
     692,   854,   236,   855,   693,   237,   694,   695,   696,   697,
     856,   857,   698,   858,   859,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,   770,    86,    87,    88,   722,
      90,    91,    92,   723,  2511,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,     0,  1459,   136,  1460,  1461,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,  1462,  1463,
     457,     0,   458,   459,   460,   461,     0,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,   739,   482,  1464,  1465,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,     0,   510,   511,   512,     0,     0,   513,     0,   514,
     515,  1467,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,     0,     0,     0,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,  2622,   533,   534,   535,   536,   537,   538,     0,   539,
     175,  2623,     0,   540,   541,   542,  1469,  1470,     0,  1471,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1472,   190,  1473,   569,   570,   571,     0,     0,   572,   573,
     194,   574,     0,     0,   575,  1474,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,  2624,   584,
    2625,   198,   585,   199,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,     0,   597,     0,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1475,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,  2626,   647,   648,
     220,   649,   650,  1477,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1478,  1479,     0,     0,   673,   674,     0,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,  1480,  2627,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   746,   705,   706,     0,    86,    87,    88,
     722,    90,    91,    92,   723,  2628,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,    86,    87,
      88,   722,    90,    91,    92,   723,  1161,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,   447,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,     0,
       0,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,   549,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,   570,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,    86,
      87,    88,   722,    90,    91,    92,   723,  5741,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,   431,  1051,   433,
     434,   435,   436,   437,   438,  1052,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,  1053,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,  1054,   167,   516,     0,   517,     0,  1055,
       0,  1056,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,  1057,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,  1058,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,  1059,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,  1060,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,  1061,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,     0,
       0,     0,     0,     0,     0,     0,  1062,  1063,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     725,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   431,  1051,   433,   434,
     435,   436,   437,   438,  1052,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,     0,  1085,   448,   449,   134,   135,     0,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
       0,     0,   462,   463,   464,   465,   466,     0,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,     0,
     475,   476,     0,     0,     0,     0,     0,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,  1054,   167,   516,     0,   517,     0,  1086,     0,
    1056,     0,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,   528,     0,   529,
     530,   531,   532,  1057,   533,   534,   535,   536,   537,   538,
       0,   539,     0,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,     0,     0,   544,     0,   545,   546,
     547,   548,  1058,     0,     0,   550,   182,     0,   551,     0,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,     0,   191,   569,  1059,   571,   192,     0,
     572,   573,     0,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,     0,   585,     0,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,  1060,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,  1061,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,     0,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,     0,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,     0,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,     0,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,     0,     0,
       0,     0,     0,     0,     0,  1062,  1063,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   725,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,   430,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  1564,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,   134,   135,     0,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,   143,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,     0,  1056,
       0,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,   528,     0,   529,   530,
     531,   532,  1057,   533,   534,   535,   536,   537,   538,     0,
     539,     0,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,   182,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,     0,   191,   569,   570,   571,   192,     0,   572,
     573,     0,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,     0,   585,     0,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,     0,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,     0,     0,     0,
       0,     0,     0,     0,  1062,  1063,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   725,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1569,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,     0,
     447,   448,   449,   134,   135,     0,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,     0,     0,
     462,   463,   464,   465,   466,     0,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,     0,   475,   476,
       0,     0,     0,     0,     0,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,     0,  1056,     0,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,     0,   529,   530,   531,
     532,  1057,   533,   534,   535,   536,   537,   538,     0,   539,
       0,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,     0,     0,   544,     0,   545,   546,   547,   548,
     549,     0,     0,   550,   182,     0,   551,     0,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,     0,   191,   569,   570,   571,   192,     0,   572,   573,
       0,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,     0,   585,     0,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,     0,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
       0,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,     0,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,     0,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,     0,     0,     0,     0,
       0,     0,     0,  1062,  1063,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   725,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
     430,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,     0,   447,
     448,   449,   134,   135,     0,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,   143,     0,     0,     0,   462,
     463,   464,   465,   466,     0,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,     0,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   478,   479,   480,
     481,   739,   482,   154,   155,   483,   740,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,     0,     0,     0,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,   741,   527,   528,     0,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,     0,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,     0,     0,   544,     0,   545,   546,   547,   548,   549,
       0,     0,   550,   182,     0,   551,     0,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
       0,   191,   569,   570,   571,   192,     0,   572,   573,     0,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
       0,   585,     0,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,     0,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,     0,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,     0,   667,   668,   669,   670,   671,     0,
     226,   227,  1742,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,     0,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   746,   705,   706,     0,     0,     0,     0,  1131,
    1743,    86,    87,    88,   722,    90,    91,    92,   723,  1132,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   725,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,     0,   447,   448,   449,   134,   135,
       0,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,  1133,   456,  1104,   139,   457,     0,   458,   459,   460,
     461,   143,     0,     0,     0,   462,   463,   464,   465,   466,
       0,   467,   468,  1134,     0,  1135,   470,   471,   472,   473,
     474,     0,     0,   475,   476,     0,     0,     0,     0,     0,
       0,     0,     0,   478,   479,   480,   481,   739,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,     0,     0,     0,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,   741,   527,
     528,     0,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,     0,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,     0,     0,   544,
       0,   545,   546,   547,   548,   549,     0,     0,   550,   182,
       0,   551,     0,     0,   552,   553,  1136,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,  1137,   189,     0,   191,   569,   570,
     571,   192,     0,   572,   573,     0,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,     0,   585,     0,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,     0,
    1138,   629,   630,   213,   631,   632,   633,  1139,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,  1140,     0,
     645,   646,   218,   647,   648,     0,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,     0,
     667,   668,   669,   670,   671,     0,  1141,   227,     0,     0,
    1142,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,  1108,   236,     0,
     693,     0,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,  1143,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   746,   705,
     706,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,   777,   439,
     440,   441,   778,   779,   780,   781,   782,   783,   784,   442,
     443,   785,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,   786,   450,   451,   452,   453,   454,
     787,   788,   455,   456,   789,   139,   457,   790,   458,   459,
     460,   461,   143,   791,   144,   792,   462,   463,   464,   465,
     466,   147,   467,   468,   793,   794,   469,   470,   471,   472,
     473,   474,   795,   150,   475,   476,   796,   797,   798,   799,
     151,   800,   801,   802,   478,   479,   480,   481,   739,   482,
     154,   155,   483,   803,   484,   804,   485,   486,   487,   488,
     489,   490,   805,   491,   492,   493,   494,   806,   807,   495,
     496,   497,   498,   499,   808,   500,   501,   502,   809,   503,
     504,   505,   810,   506,   507,   508,   509,   163,   510,   511,
     512,   165,   811,   513,   812,   514,   515,   167,   516,   813,
     517,   814,   518,   168,   815,   169,   519,   520,   521,   522,
     816,   523,   171,   817,   172,   524,   818,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,   819,   533,   534,
     535,   536,   537,   538,   820,   539,   175,   176,   821,   540,
     541,   542,   822,   177,   823,   178,   824,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,   825,   826,   550,
     182,   183,   551,   184,   827,   552,   553,   554,   828,   829,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,   830,   572,   573,   194,   574,   831,   195,
     575,   196,   576,   577,   578,   832,   579,   580,   833,   834,
     581,   582,   583,   835,   836,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     837,   595,   596,   201,   597,   202,   598,   599,   600,   838,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,   839,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   840,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,   744,   638,   841,   639,   640,   641,   642,   643,
     842,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,   843,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,   844,   664,   665,   845,   666,
     225,   667,   668,   669,   670,   671,   846,   226,   227,   847,
     848,   673,   674,   228,   675,   229,   849,   676,   677,   678,
     679,   680,   681,   682,   850,   851,   683,   684,   685,   686,
     687,   852,   853,   688,   689,   690,   691,   692,   854,   236,
     855,   693,   237,   694,   695,   696,   697,   856,   857,   698,
     858,   859,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   746,
     705,   706,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   777,
     439,   440,   441,   778,   779,   780,   781,   782,   783,   784,
     442,   443,   785,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,   786,   450,   451,   452,   453,
     454,   787,   788,   455,   456,   789,   139,   457,   790,   458,
     459,   460,   461,   143,   791,   144,   792,   462,   463,   464,
     465,   466,   147,   467,   468,   793,   794,   469,   470,   471,
     472,   473,   474,   795,   150,   475,   476,   796,   797,   798,
     799,   151,   800,   801,   802,   478,   479,   480,   481,   739,
     482,   154,   155,   483,   803,   484,   804,   485,   486,   487,
     488,   489,   490,   805,   491,   492,   493,   494,   806,   807,
     495,   496,   497,   498,   499,   808,   500,   501,   502,   809,
     503,   504,   505,   810,   506,   507,   508,   509,   163,   510,
     511,   512,   165,   811,   513,   812,   514,   515,   167,   516,
     813,   517,   814,   518,   168,   815,   169,   519,   520,   521,
     522,   816,   523,   171,   817,   172,   524,   818,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,   819,   533,
     534,   535,   536,   537,   538,   820,   539,   175,   176,   821,
     540,   541,   542,   822,   177,   823,   178,   824,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,   825,   826,
     550,   182,   183,   551,   184,   827,   552,   553,   554,   828,
     829,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,   830,   572,   573,   194,   574,   831,
     195,   575,   196,   576,   577,   578,   832,   579,   580,   833,
     834,   581,   582,   583,   835,   836,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   837,   595,   596,   201,   597,   202,   598,   599,   600,
     838,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,   839,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   840,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,   744,   638,   841,   639,   640,   641,   642,
     643,   842,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,   843,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,   844,   664,   665,   845,
     666,   225,   667,   668,   669,   670,   671,   846,   226,   227,
     847,   848,   673,   674,   228,   675,   229,   849,   676,   677,
     678,   679,   680,   681,   682,   850,   851,   683,   684,   685,
     686,   687,   852,   853,   688,   689,   690,   691,   692,   854,
     236,   855,   693,   237,   694,   695,   696,   697,   856,   857,
     698,   858,   859,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     746,   705,   706,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,  3536,   436,   437,   438,
     777,   439,   440,   441,   778,   779,   780,   781,   782,   783,
     784,   442,   443,   785,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,   786,   450,   451,   452,
     453,   454,   787,   788,   455,   456,   789,   139,   457,   790,
     458,   459,   460,   461,   143,   791,   144,   792,   462,   463,
     464,   465,   466,   147,   467,   468,   793,   794,   469,   470,
     471,   472,   473,   474,   795,   150,   475,   476,   796,   797,
     798,   799,   151,   800,   801,   802,   478,   479,   480,   481,
     739,   482,   154,   155,   483,   803,   484,   804,   485,   486,
     487,   488,   489,   490,   805,   491,   492,   493,   494,   806,
     807,   495,   496,   497,  3537,   499,   808,   500,   501,   502,
     809,   503,   504,   505,   810,   506,   507,   508,   509,   163,
     510,   511,   512,   165,   811,   513,   812,   514,   515,   167,
     516,   813,   517,   814,   518,   168,   815,   169,   519,   520,
     521,   522,   816,   523,   171,   817,   172,   524,   818,   525,
     526,   741,   527,   528,   173,   529,   530,   531,   532,   819,
     533,   534,   535,   536,   537,   538,   820,   539,   175,   176,
     821,   540,   541,   542,   822,   177,   823,   178,   824,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,   825,
     826,   550,   182,   183,   551,   184,   827,   552,   553,   554,
     828,   829,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,   830,   572,   573,   194,   574,
     831,   195,   575,   196,   576,   577,   578,   832,   579,   580,
     833,   834,   581,   582,   583,   835,   836,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   837,   595,   596,   201,   597,   202,   598,   599,
     600,   838,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,   839,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   840,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,   744,   638,   841,   639,   640,   641,
     642,   643,   842,  3538,   646,   218,   647,   648,   220,   649,
     650,   221,   651,   843,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,   844,   664,   665,
     845,   666,   225,   667,   668,   669,   670,   671,   846,   226,
     227,   847,   848,   673,   674,   228,   675,   229,   849,   676,
     677,   678,   679,   680,   681,   682,   850,   851,   683,   684,
     685,   686,   687,   852,   853,   688,   689,   690,   691,   692,
     854,   236,   855,   693,   237,   694,   695,   696,   697,   856,
     857,   698,   858,   859,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   746,   705,   706,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,  1640,   455,   456,   736,   139,   457,
       0,   458,   459,   460,   461,  1643,     0,  1644,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
    1645,  1646,  1647,  1648,  1649,  1650,  1651,   478,   479,   480,
     481,   739,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,  1656,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,  1659,     0,   172,   524,     0,
     525,   526,   741,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,  1663,   183,   551,   184,     0,   552,   553,
     554,  1664,  1665,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,  1670,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,  1673,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,  1674,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,  1677,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,  1679,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,  1682,   675,  1683,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,  1686,     0,   688,   689,   690,   691,
     692,   745,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,  1688,  1689,  1690,  1691,   244,  1692,  1693,  1694,
    1695,   249,   746,   705,   706,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,   736,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,   739,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   745,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   746,   705,   706,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,   736,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,     0,   478,
     479,   480,   481,   739,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,   741,   527,  1451,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,   745,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   746,   705,   706,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
     736,   139,   457,     0,   458,   459,   460,   461,   143,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,     0,
     478,   479,   480,   481,   739,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,   741,   527,  1503,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,   182,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,   745,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   746,   705,   706,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,     0,  1459,   136,  1460,
    1461,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,  1462,  1463,   457,     0,   458,   459,   460,   461,     0,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,   739,   482,  1464,  1465,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,  1466,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,     0,   510,   511,   512,     0,     0,
     513,     0,   514,   515,  1467,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,     0,
       0,     0,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,  2622,   533,   534,   535,   536,   537,
     538,     0,   539,   175,  2623,     0,   540,   541,   542,  1469,
    1470,     0,  1471,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,     0,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,  1472,   190,  1473,   569,   570,   571,     0,
       0,   572,   573,   194,   574,     0,     0,   575,  1474,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,  2625,   198,   585,   199,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
       0,   597,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,  1475,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
    2626,   647,   648,   220,   649,   650,  1477,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,  1478,  1479,     0,     0,   673,   674,
       0,   675,     0,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,  1480,  2627,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,   705,   706,   770,
      86,    87,    88,   722,    90,    91,    92,   723,     0,   724,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   771,
     104,   105,   725,   772,     0,   107,   108,   109,   110,   773,
     774,   112,   113,   114,     0,   115,   775,   776,   726,   727,
       0,     0,     0,   728,   729,     0,     0,     0,     0,   730,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
     732,     0,   733,   734,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,     0,  1459,   136,
    1460,  1461,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,  1462,  1463,   457,     0,   458,   459,   460,   461,
       0,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,   737,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,     0,   478,   479,   480,   481,   739,   482,  1464,  1465,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,  1466,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,     0,   510,   511,   512,     0,
       0,   513,     0,   514,   515,  1467,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
       0,     0,     0,   524,     0,   525,   526,   741,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,     0,     0,   540,   541,   542,
    1469,  1470,     0,  1471,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,     0,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   742,   564,   565,
     743,   566,   567,   568,  1472,   190,  1473,   569,   570,   571,
       0,     0,   572,   573,   194,   574,  2720,     0,   575,  1474,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,     0,   198,   585,   199,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,     0,   597,     0,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,  1475,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     744,   638,     0,   639,   640,   641,   642,   643,     0,   645,
     646,  2626,   647,   648,   220,   649,   650,  1477,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,     0,     0,   664,   665,  4422,   666,   225,   667,
     668,   669,   670,   671,     0,  1478,  1479,     0,     0,   673,
     674,     0,   675,     0,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,  1480,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   746,   705,   706,
     770,    86,    87,    88,   722,    90,    91,    92,   723,     0,
     724,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     771,   104,   105,   725,   772,     0,   107,   108,   109,   110,
     773,   774,   112,   113,   114,     0,   115,   775,   776,   726,
     727,     0,     0,     0,   728,   729,     0,     0,     0,     0,
     730,     0,     0,     0,     0,     0,     0,     0,     0,   731,
       0,   732,     0,   733,   734,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,     0,  1459,
     136,  1460,  1461,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,  1462,  1463,   457,     0,   458,   459,   460,
     461,     0,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,   737,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,   739,   482,  1464,
    1465,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
    1466,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,     0,   510,   511,   512,
       0,     0,   513,     0,   514,   515,  1467,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,     0,     0,     0,   524,     0,   525,   526,   741,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,     0,     0,   540,   541,
     542,  1469,  1470,     0,  1471,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,     0,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   742,   564,
     565,   743,   566,   567,   568,  1472,   190,  1473,   569,   570,
     571,  2789,     0,   572,   573,   194,   574,     0,     0,   575,
    1474,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,     0,   198,   585,   199,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,     0,   597,     0,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,  1475,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   744,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,  1476,   647,   648,   220,   649,   650,  1477,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,     0,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,  1478,  1479,     0,     0,
     673,   674,     0,   675,     0,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,  1480,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,   705,
     706,   770,    86,    87,    88,   722,    90,    91,    92,   723,
       0,   724,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   771,   104,   105,   725,   772,     0,   107,   108,   109,
     110,   773,   774,   112,   113,   114,     0,   115,   775,   776,
     726,   727,     0,     0,     0,   728,   729,     0,     0,     0,
       0,   730,     0,     0,     0,     0,     0,     0,     0,     0,
     731,     0,   732,     0,   733,   734,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,     0,
    1459,   136,  1460,  1461,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,  1462,  1463,   457,     0,   458,   459,
     460,   461,     0,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,   737,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,   739,   482,
    1464,  1465,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,  1466,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,     0,   510,   511,
     512,     0,     0,   513,     0,   514,   515,  1467,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,     0,     0,     0,   524,     0,   525,   526,   741,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,     0,     0,   540,
     541,   542,  1469,  1470,     0,  1471,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
       0,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   742,
     564,   565,   743,   566,   567,   568,  1472,   190,  1473,   569,
     570,   571,  4237,     0,   572,   573,   194,   574,     0,     0,
     575,  1474,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,     0,   198,   585,   199,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,     0,   597,     0,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,  1475,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   744,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,  1476,   647,   648,   220,   649,   650,  1477,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,     0,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,  1478,  1479,     0,
       0,   673,   674,     0,   675,     0,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,  1480,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   746,
     705,   706,   770,    86,    87,    88,   722,    90,    91,    92,
     723,     0,   724,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   771,   104,   105,   725,   772,     0,   107,   108,
     109,   110,   773,   774,   112,   113,   114,     0,   115,   775,
     776,   726,   727,     0,     0,     0,   728,   729,     0,     0,
       0,     0,   730,     0,     0,     0,     0,     0,     0,     0,
       0,   731,     0,   732,     0,   733,   734,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
       0,  1459,   136,  1460,  1461,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,  1462,  1463,   457,     0,   458,
     459,   460,   461,     0,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,   737,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,   739,
     482,  1464,  1465,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,  1466,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,     0,   510,
     511,   512,     0,     0,   513,     0,   514,   515,  1467,   516,
    5807,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,     0,     0,     0,   524,     0,   525,   526,
     741,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,     0,     0,
     540,   541,   542,  1469,  1470,     0,  1471,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,     0,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     742,   564,   565,   743,   566,   567,   568,  1472,   190,  1473,
     569,   570,   571,     0,     0,   572,   573,   194,   574,     0,
       0,   575,  1474,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,     0,   198,   585,
     199,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,     0,   597,     0,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
    1475,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   744,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,  1476,   647,   648,   220,   649,   650,
    1477,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,     0,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,  1478,  1479,
       0,     0,   673,   674,     0,   675,     0,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
    1480,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     746,   705,   706,   770,    86,    87,    88,   722,    90,    91,
      92,   723,     0,   724,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   771,   104,   105,   725,   772,     0,   107,
     108,   109,   110,   773,   774,   112,   113,   114,     0,   115,
     775,   776,   726,   727,     0,     0,     0,   728,   729,     0,
       0,     0,     0,   730,     0,     0,     0,     0,     0,     0,
       0,     0,   731,     0,   732,     0,   733,   734,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,     0,  1459,   136,  1460,  1461,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,  1462,  1463,   457,     0,
     458,   459,   460,   461,     0,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,   737,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
     739,   482,  1464,  1465,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,  1466,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,     0,
     510,   511,   512,     0,     0,   513,     0,   514,   515,  1467,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,     0,     0,     0,   524,     0,   525,
     526,   741,   527,  1468,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,     0,
       0,   540,   541,   542,  1469,  1470,     0,  1471,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,     0,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   742,   564,   565,   743,   566,   567,   568,  1472,   190,
    1473,   569,   570,   571,     0,     0,   572,   573,   194,   574,
       0,     0,   575,  1474,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,     0,   198,
     585,   199,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,     0,   597,     0,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,  1475,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   744,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,  1476,   647,   648,   220,   649,
     650,  1477,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,     0,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,  1478,
    1479,     0,     0,   673,   674,     0,   675,     0,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,  1480,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   746,   705,   706,   770,    86,    87,    88,   722,    90,
      91,    92,   723,     0,   724,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   771,   104,   105,   725,   772,     0,
     107,   108,   109,   110,   773,   774,   112,   113,   114,     0,
     115,   775,   776,   726,   727,     0,     0,     0,   728,   729,
       0,     0,     0,     0,   730,     0,     0,     0,     0,     0,
       0,     0,     0,   731,     0,   732,     0,   733,   734,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,     0,  1459,   136,  1460,  1461,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,  1462,  1463,   457,
       0,   458,   459,   460,   461,     0,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,   737,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,   739,   482,  1464,  1465,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,  1466,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
       0,   510,   511,   512,     0,     0,   513,     0,   514,   515,
    1467,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,     0,     0,     0,   524,     0,
     525,   526,   741,   527,  1525,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
       0,     0,   540,   541,   542,  1469,  1470,     0,  1471,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,     0,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   742,   564,   565,   743,   566,   567,   568,  1472,
     190,  1473,   569,   570,   571,     0,     0,   572,   573,   194,
     574,     0,     0,   575,  1474,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,     0,
     198,   585,   199,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,     0,   597,     0,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,  1475,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   744,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,  1476,   647,   648,   220,
     649,   650,  1477,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,     0,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
    1478,  1479,     0,     0,   673,   674,     0,   675,     0,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,  1480,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   746,   705,   706,   770,    86,    87,    88,   722,
      90,    91,    92,   723,     0,   724,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   771,   104,   105,   725,   772,
       0,   107,   108,   109,   110,   773,   774,   112,   113,   114,
       0,   115,   775,   776,   726,   727,     0,     0,     0,   728,
     729,     0,     0,     0,     0,   730,     0,     0,     0,     0,
       0,     0,     0,     0,   731,     0,   732,     0,   733,   734,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,     0,  1459,   136,  1460,  1461,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,  1462,  1463,
     457,     0,   458,   459,   460,   461,     0,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,   737,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,   739,   482,  1464,  1465,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,  1466,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,     0,   510,   511,   512,     0,     0,   513,     0,   514,
     515,  1467,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,     0,     0,     0,   524,
       0,   525,   526,   741,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,     0,     0,   540,   541,   542,  1469,  1470,     0,  1471,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,     0,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   742,   564,   565,   743,   566,   567,   568,
    1472,   190,  1473,   569,   570,   571,     0,     0,   572,   573,
     194,   574,     0,     0,   575,  1474,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
       0,   198,   585,   199,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,     0,   597,     0,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,  1475,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   744,   638,     0,   639,
     640,   641,   642,   643,     0,   645,   646,  1476,   647,   648,
     220,   649,   650,  1477,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,     0,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,  1478,  1479,     0,     0,   673,   674,     0,   675,     0,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,  1480,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   746,   705,   706,   770,    86,    87,    88,
     722,    90,    91,    92,   723,     0,   724,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   771,   104,   105,   725,
     772,     0,   107,   108,   109,   110,   773,   774,   112,   113,
     114,     0,   115,   775,   776,   726,   727,     0,     0,     0,
     728,   729,     0,     0,     0,     0,   730,     0,     0,     0,
       0,     0,     0,     0,     0,   731,     0,   732,     0,   733,
     734,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,     0,  1459,   136,  1460,  1461,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,  1462,
    1463,   457,     0,   458,   459,   460,   461,     0,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,   737,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,     0,   478,
     479,   480,   481,   739,   482,  1464,  1465,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,  1466,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,     0,   510,   511,   512,     0,     0,   513,     0,
     514,   515,  1467,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,     0,     0,     0,
     524,     0,   525,   526,   741,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,     0,     0,   540,   541,   542,  1469,  1470,     0,
    1471,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,     0,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   742,   564,   565,   743,   566,   567,
     568,  1472,   190,  1473,   569,   570,   571,     0,     0,   572,
     573,   194,   574,     0,     0,   575,  1474,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,     0,   198,   585,   199,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,     0,   597,
       0,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,  1475,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,     0,
     631,   632,   633,   634,   635,   636,   637,   744,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,  2626,   647,
     648,   220,   649,   650,  1477,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,  1478,  1479,     0,     0,   673,   674,     0,   675,
       0,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,  1480,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   746,   705,   706,   770,    86,    87,
      88,   722,    90,    91,    92,   723,     0,   724,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   771,   104,   105,
     725,   772,     0,   107,   108,   109,   110,   773,   774,   112,
     113,   114,     0,   115,   775,   776,   726,   727,     0,     0,
       0,   728,   729,     0,     0,     0,     0,   730,     0,     0,
       0,     0,     0,     0,     0,     0,   731,     0,   732,     0,
     733,   734,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,     0,  1459,   136,  1460,  1461,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
    1462,  1463,   457,     0,   458,   459,   460,   461,     0,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
     737,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,     0,
     478,   479,   480,   481,   739,   482,  1464,  1465,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,  1466,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,     0,   510,   511,   512,     0,     0,   513,
       0,   514,   515,  1467,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,     0,     0,
       0,   524,     0,   525,   526,   741,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,     0,     0,   540,   541,   542,  1469,  1470,
       0,  1471,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,     0,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   742,   564,   565,   743,   566,
     567,   568,  1472,   190,  1473,   569,   570,   571,     0,     0,
     572,   573,   194,   574,     0,     0,   575,  1474,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,     0,   198,   585,   199,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,     0,
     597,     0,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,  1475,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   744,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,     0,
     647,   648,   220,   649,   650,  1477,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
       0,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,  1478,  1479,     0,     0,   673,   674,     0,
     675,     0,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,  1480,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   746,   705,   706,   770,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   771,   104,
     105,   725,   772,     0,   107,   108,   109,   110,   773,   774,
     112,   113,   114,     0,   115,   775,   776,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,     0,     0,   136,     0,
       0,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,     0,   457,     0,   458,   459,   460,   461,     0,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
       0,   478,   479,   480,   481,   739,   482,     0,     0,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,     0,   510,   511,   512,     0,     0,
     513,     0,   514,   515,     0,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,     0,
       0,     0,   524,     0,   525,   526,   741,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,     0,     0,   540,   541,   542,     0,
       0,     0,     0,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,     0,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,     0,   190,     0,   569,   570,   571,     0,
       0,   572,   573,   194,   574,     0,     0,   575,     0,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,     0,   198,   585,   199,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
       0,   597,     0,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,     0,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
       0,   647,   648,   220,   649,   650,     0,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,     0,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,     0,     0,     0,     0,   673,   674,
       0,   675,     0,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,     0,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   777,   439,   440,   441,   778,
     779,   780,   781,   782,   783,   784,   442,   443,   785,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,   786,   450,   451,   452,   453,   454,   787,   788,   455,
     456,     0,   139,   457,   790,   458,   459,   460,   461,   143,
     791,   144,   792,   462,   463,   464,   465,   466,   147,   467,
     468,   793,   794,   469,   470,   471,   472,   473,   474,   795,
     150,   475,   476,     0,   797,   798,   799,   151,   800,   801,
     802,   478,   479,   480,   481,     0,   482,   154,   155,   483,
     803,   484,   804,   485,   486,   487,   488,   489,   490,   805,
     491,   492,   493,   494,   806,   807,   495,   496,   497,   498,
     499,   808,   500,   501,   502,   809,   503,   504,   505,   810,
     506,   507,   508,   509,   163,   510,   511,   512,   165,   811,
     513,   812,   514,   515,   167,   516,   813,   517,   814,   518,
     168,   815,   169,   519,   520,   521,   522,   816,   523,   171,
     817,   172,   524,   818,   525,   526,     0,   527,   528,   173,
     529,   530,   531,   532,   819,   533,   534,   535,   536,   537,
     538,   820,   539,   175,   176,     0,   540,   541,   542,     0,
     177,   823,   178,   824,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,   825,   826,   550,   182,   183,   551,
     184,   827,   552,   553,   554,   828,   829,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
     830,   572,   573,   194,   574,   831,   195,   575,   196,   576,
     577,   578,   832,   579,   580,   833,   834,   581,   582,   583,
     835,   836,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   837,   595,   596,
     201,   597,   202,   598,   599,   600,   838,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,   839,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,   840,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,     0,
     638,   841,   639,   640,   641,   642,   643,   842,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,   843,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,   844,   664,   665,   845,   666,   225,   667,   668,
     669,   670,   671,   846,   226,   227,     0,   848,   673,   674,
     228,   675,   229,   849,   676,   677,   678,   679,   680,   681,
     682,     0,   851,   683,   684,   685,   686,   687,   852,   853,
     688,   689,   690,   691,   692,     0,   236,   855,   693,   237,
     694,   695,   696,   697,   856,   857,   698,   858,   859,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,     0,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
    1223,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,  2662,   458,   459,   460,   461,   143,
       0,     0,  2739,   462,   463,   464,   465,   466,     0,   467,
     468,   737,  2663,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
    2740,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,  2665,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  2741,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,  2666,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,  2667,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,  2662,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,  2663,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
    2740,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,  2665,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
    3726,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,  2666,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,  2667,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,  1119,   437,   438,  1071,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,  1072,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,  1120,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,  1073,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,  1074,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1071,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,  1072,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,  3429,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,  1073,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,  1074,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,  2662,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,  2663,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
    2740,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,  2665,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,  2666,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,  2667,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   735,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,   738,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
     740,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1071,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,  1072,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,  1073,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,  1074,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,   974,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   975,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   976,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  2330,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,  2331,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,  2332,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,  2333,   518,
       0,     0,     0,  2334,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,  2335,  2336,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,  2337,   635,   636,   637,   744,
     638,     0,  2338,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,  2339,   666,     0,  2340,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,  2341,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,  1072,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,  1073,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,  1074,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,  2319,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,  3281,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,  3282,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,  2601,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,  3283,   666,     0,   667,  3284,
     669,  3285,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,  3286,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   762,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
     740,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,   919,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1316,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1317,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,  1154,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1442,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,   129,
     130,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  3517,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  3518,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  3530,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,  3531,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   980,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
    1033,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,  1089,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,  1154,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1276,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1277,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1745,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1932,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,  1154,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1985,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1986,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,  2187,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,  2319,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,  2601,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,  4591,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,  4605,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,  1101,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1103,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,  1104,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,  1105,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,  1106,   227,     0,     0,  1107,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,  1108,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1148,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,  1104,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,  1149,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,  1150,   227,     0,     0,  1151,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,  1108,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,  1167,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1301,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1309,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1327,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1388,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1394,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1410,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1413,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1415,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1457,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1519,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1521,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1531,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1534,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  1537,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,  1756,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,  1133,
     456,  1104,   139,  1757,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,  1137,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,  1138,   629,
     630,   213,   631,   632,   633,  1139,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,  1749,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,  1141,   227,     0,     0,  1142,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,  1108,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,  1143,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,  1882,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,  1103,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,  1104,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,  1108,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  2135,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  2173,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  2175,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  2247,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  2249,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  2251,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,  2367,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,  2566,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,     0,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  2996,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  3000,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  3075,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  3440,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  3507,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  3520,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  3522,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  3657,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,  3682,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,  4877,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,  1133,
     456,  1104,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,  1137,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,  1138,   629,
     630,   213,   631,   632,   633,  1139,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,  1749,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,  1141,   227,     0,     0,  1142,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,  1108,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,  1143,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,  1104,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,  1108,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,  1133,
     456,  1104,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,  1137,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,  1138,   629,
     630,   213,   631,   632,   633,  1139,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,  1749,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,  2649,   668,
     669,   670,   671,     0,  1141,   227,     0,     0,  1142,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,  1108,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,  1143,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,  1133,
     456,  1104,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,  1137,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,  1138,   629,
     630,   213,   631,   632,   633,  2724,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,  2725,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,  1141,   227,     0,     0,  2726,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,  1108,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,  1143,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,  1133,
     456,  1104,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,  1137,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,  1138,   629,
     630,   213,   631,   632,   633,  1139,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,  2725,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,  1141,   227,     0,     0,  2726,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,  1108,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,  1143,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,   722,    90,    91,    92,   723,     0,   724,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   725,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   726,   727,     0,
       0,     0,   728,   729,     0,     0,     0,     0,   730,     0,
       0,     0,     0,     0,     0,     0,     0,   731,     0,   732,
       0,   733,   734,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,     0,   447,   448,   449,   134,   135,     0,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,   736,   139,   457,     0,   458,   459,   460,   461,   143,
       0,     0,     0,   462,   463,   464,   465,   466,     0,   467,
     468,   737,     0,   469,   470,   471,   472,   473,   474,     0,
       0,   475,   476,     0,     0,     0,     0,     0,     0,     0,
       0,   478,   479,   480,   481,   739,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
       0,     0,     0,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,   741,   527,   528,     0,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,     0,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,     0,     0,   544,     0,   545,
     546,   547,   548,   549,     0,     0,   550,   182,     0,   551,
       0,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   742,   564,   565,   743,
     566,   567,   568,   189,     0,   191,   569,   570,   571,   192,
       0,   572,   573,     0,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,     0,   585,     0,   200,   586,   587,
     588,   589,   590,   591,     0,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,     0,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,     0,   628,   629,
     630,   213,     0,   632,   633,   634,   635,   636,   637,   744,
     638,     0,   639,   640,   641,   642,   643,     0,   645,   646,
     218,   647,   648,     0,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,     0,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,   745,   236,     0,   693,     0,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   746,   705,   706,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114, -2736,   115,   116,   117,     0,     0,     0,
       0,     0,   120,   121,     0,     0,     0,     0,   122,     0,
       0,     0,     0,     0,     0,     0,     0,   123,     0,   124,
       0,   125,   126,    35,     0,  1218,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   132,     0,     0,     0,   134,   135,   136,   137,
     138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   139,     0,     0,     0,     0,     0,     0,   143,
       0,   144,     0,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   161,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,     0,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,     0,     0,     0,     0,     0,   225,     0,     0,
       0,     0,     0,     0,   226,   227,     0,     0,     0,     0,
     228,     0,   229,     0,     0,     0,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,     0,     0,     0,     0,     0,   120,
     121,     0,     0,     0,     0,   122,     0,     0,     0,     0,
       0,     0,     0,     0,   123,     0,   124,     0,   125,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   132,
       0,     0,     0,   134,   135,   136,   137,   138,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   139,
       0,     0,     0,     0,     0,     0,   143,     0,   144,     0,
       0,     0,     0,     0,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   154,   155,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   161,     0,     0,     0,     0,     0,     0,
       0,   163,     0,     0,     0,   165,     0,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,     0,   171,     0,   172,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     175,   176,     0,     0,     0,     0,     0,   177,     0,   178,
       0,     0,   179,   180,     0,   181,     0,     0,     0,     0,
       0,     0,     0,     0,   182,   183,     0,   184,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     189,   190,   191,     0,     0,     0,   192,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,   225,     0,     0,     0,     0,     0,
       0,   226,   227,     0,     0,     0,     0,   228,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,     0,     0,   237,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,     0,   115,   116,
     117,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,     0,     0,
     134,   135,   136,   137,   138,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     161,     0,     0,     0,     0,     0,     0,     0,   163,     0,
       0,     0,   165,     0,     0,     0,     0,     0,   167,     0,
       0,     0,     0,     0,   168,     0,   169,     0,     0,     0,
       0,     0,     0,   171,     0,   172,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   175,   176,     0,
       0,     0,     0,     0,   177,     0,   178,     0,     0,   179,
     180,     0,   181,     0,     0,     0,     0,     0,     0,     0,
       0,   182,   183,     0,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
       0,     0,     0,   192,     0,     0,     0,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,     0,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,     0,     0,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,     0,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   197,   198,     0,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,  2295,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,  2296,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,  2297,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   705,   706,     0,     0,     0,     0,     0,    41,    42,
    1839,  1840,  5588,     0,     0,     0,     0,     0,     0,  5589,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,   129,   130,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,     0,   478,   479,
     480,   481,     0,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,   216,   639,
     640,   641,   642,   643,     0,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,   224,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,   235,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,   238,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,   705,   706,    35,   430,   250,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,   251,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,     0,   478,   479,   480,   481,     0,   482,
     154,   155,   483,  2498,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,  2295,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,  2296,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
       0,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,  2297,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
     705,   706,     0,     0,     0,     0,     0,    35,   430,  1839,
    1840,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,     0,   478,   479,   480,   481,     0,
     482,   154,   155,   483,  2503,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,  2295,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,  2296,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,     0,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,  2297,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,     0,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,   705,   706,     0,     0,     0,     0,     0,    35,   430,
    1839,  1840,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,  2295,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
    2296,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,  2297,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,   705,   706,     0,     0,     0,     0,     0,    35,
     430,  1839,  1840,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,     0,   482,   154,   155,   483,  3422,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,  2295,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,  2296,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,  2297,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,     0,   705,   706,     0,     0,     0,     0,     0,
      35,   430,  1062,  1063,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,   477,   478,   479,
     480,   481,     0,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,     0,   172,   524,
       0,   525,   526,     0,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,   672,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,   705,   706,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,   477,   478,   479,   480,   481,     0,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,   559,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     705,   706,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,     0,   478,   479,   480,
     481,     0,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,  2295,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,   528,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,  2296,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,     0,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,  2297,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   705,   706,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,   139,   457,     0,   458,   459,   460,   461,   143,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,     0,
     478,   479,   480,   481,     0,   482,   154,   155,   483,  2483,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,     0,   527,   528,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,   182,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,     0,   638,
       0,   639,   640,   641,   642,   643,     0,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   705,   706,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,     0,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,     0,   478,   479,   480,   481,     0,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,     0,   527,
     528,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,   559,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,     0,   638,     0,   639,   640,   641,   642,   643,     0,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   705,
     706,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,  2271,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   705,   706,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  1304,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
     132,   447,   448,   449,   134,   135,   136,   137,   138,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,     0,
     139,   457,     0,   458,   459,   460,   461,   143,     0,   144,
       0,   462,   463,   464,   465,   466,   147,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,     0,   150,   475,
     476,     0,     0,     0,     0,   151,     0,     0,   477,   478,
     479,   480,   481,     0,   482,   154,   155,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,   163,   510,   511,   512,   165,     0,   513,     0,
     514,   515,   167,   516,     0,   517,     0,   518,   168,     0,
     169,   519,   520,   521,   522,     0,   523,   171,     0,   172,
     524,     0,   525,   526,     0,   527,   528,   173,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,   175,   176,     0,   540,   541,   542,     0,   177,     0,
     178,     0,   543,   179,   180,   544,   181,   545,   546,   547,
     548,   549,     0,     0,   550,   182,   183,   551,   184,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,   189,   190,   191,   569,   570,   571,   192,     0,   572,
     573,   194,   574,     0,   195,   575,   196,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,   197,   198,   585,   199,   200,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,   201,   597,
     202,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   204,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,   211,   628,   629,   630,   213,
     631,   632,   633,   634,   635,   636,   637,     0,   638,     0,
     639,   640,   641,   642,   643,   644,   645,   646,   218,   647,
     648,   220,   649,   650,   221,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   223,
       0,   664,   665,     0,   666,   225,   667,   668,   669,   670,
     671,     0,   226,   227,     0,     0,   673,   674,   228,   675,
     229,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,   236,     0,   693,   237,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,    35,   705,   706,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1323,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   446,   132,   447,   448,   449,   134,   135,   136,
     137,   138,     0,   450,   451,   452,   453,   454,     0,     0,
     455,   456,     0,   139,   457,     0,   458,   459,   460,   461,
     143,     0,   144,     0,   462,   463,   464,   465,   466,   147,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
       0,   150,   475,   476,     0,     0,     0,     0,   151,     0,
       0,   477,   478,   479,   480,   481,     0,   482,   154,   155,
     483,     0,   484,     0,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
       0,   506,   507,   508,   509,   163,   510,   511,   512,   165,
       0,   513,     0,   514,   515,   167,   516,     0,   517,     0,
     518,   168,     0,   169,   519,   520,   521,   522,     0,   523,
     171,     0,   172,   524,     0,   525,   526,     0,   527,   528,
     173,   529,   530,   531,   532,     0,   533,   534,   535,   536,
     537,   538,     0,   539,   175,   176,     0,   540,   541,   542,
       0,   177,     0,   178,     0,   543,   179,   180,   544,   181,
     545,   546,   547,   548,   549,     0,     0,   550,   182,   183,
     551,   184,     0,   552,   553,   554,     0,     0,   555,   556,
     557,   558,  1324,   560,   561,   562,   563,     0,   564,   565,
       0,   566,   567,   568,   189,   190,   191,   569,   570,   571,
     192,     0,   572,   573,   194,   574,     0,   195,   575,   196,
     576,   577,   578,     0,   579,   580,     0,     0,   581,   582,
     583,     0,     0,   584,   197,   198,   585,   199,   200,   586,
     587,   588,   589,   590,   591,   592,   593,   594,     0,   595,
     596,   201,   597,   202,   598,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   204,   610,   611,
     612,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,     0,   626,   627,   211,   628,
     629,   630,   213,   631,   632,   633,   634,   635,   636,   637,
       0,   638,     0,   639,   640,   641,   642,   643,   644,   645,
     646,   218,   647,   648,   220,   649,   650,   221,   651,     0,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   223,     0,   664,   665,     0,   666,   225,   667,
     668,   669,   670,   671,     0,   226,   227,     0,     0,   673,
     674,   228,   675,   229,     0,   676,   677,   678,   679,   680,
     681,   682,     0,     0,   683,   684,   685,   686,   687,     0,
       0,   688,   689,   690,   691,   692,     0,   236,     0,   693,
     237,   694,   695,   696,   697,     0,     0,   698,     0,     0,
     699,   700,   701,   702,   703,   704,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,    35,   705,   706,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   446,   132,   447,   448,   449,
     134,   135,   136,   137,   138,     0,   450,   451,   452,   453,
     454,     0,     0,   455,   456,     0,   139,   457,     0,   458,
     459,   460,   461,   143,     0,   144,     0,   462,   463,   464,
     465,   466,   147,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,     0,   150,   475,   476,     0,     0,     0,
       0,   151,     0,     0,   477,   478,   479,   480,   481,     0,
     482,   154,   155,   483,     0,   484,     0,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,     0,   506,   507,   508,   509,   163,   510,
     511,   512,   165,     0,   513,     0,   514,   515,   167,   516,
       0,   517,     0,   518,   168,     0,   169,   519,   520,   521,
     522,     0,   523,   171,     0,   172,   524,     0,   525,   526,
       0,   527,   528,   173,   529,   530,   531,   532,     0,   533,
     534,   535,   536,   537,   538,     0,   539,   175,   176,     0,
     540,   541,   542,     0,   177,     0,   178,     0,   543,   179,
     180,   544,   181,   545,   546,   547,   548,   549,     0,     0,
     550,   182,   183,   551,   184,     0,   552,   553,   554,     0,
       0,   555,   556,   557,   558,   559,   560,   561,   562,   563,
       0,   564,   565,     0,   566,   567,   568,   189,   190,   191,
     569,   570,   571,   192,     0,   572,   573,   194,   574,     0,
     195,   575,   196,   576,   577,   578,     0,   579,   580,     0,
       0,   581,   582,   583,     0,     0,   584,   197,   198,   585,
     199,   200,   586,   587,   588,   589,   590,   591,   592,   593,
     594,     0,   595,   596,   201,   597,   202,   598,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     204,   610,   611,   612,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,     0,   626,
     627,   211,   628,   629,   630,   213,   631,   632,   633,   634,
     635,   636,   637,     0,   638,     0,   639,   640,   641,   642,
     643,   644,   645,   646,   218,   647,   648,   220,   649,   650,
     221,   651,     0,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   223,     0,   664,   665,     0,
     666,   225,   667,   668,   669,   670,   671,     0,   226,   227,
       0,     0,   673,   674,   228,   675,   229,     0,   676,   677,
     678,   679,   680,   681,   682,     0,     0,   683,   684,   685,
     686,   687,  2872,     0,   688,   689,   690,   691,   692,     0,
     236,     0,   693,   237,   694,   695,   696,   697,     0,     0,
     698,     0,     0,   699,   700,   701,   702,   703,   704,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
      35,   705,   706,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   446,   132,
     447,   448,   449,   134,   135,   136,   137,   138,     0,   450,
     451,   452,   453,   454,     0,     0,   455,   456,     0,   139,
     457,     0,   458,   459,   460,   461,   143,     0,   144,     0,
     462,   463,   464,   465,   466,   147,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,     0,   150,   475,   476,
       0,     0,     0,     0,   151,     0,     0,   477,   478,   479,
     480,   481,     0,   482,   154,   155,   483,     0,   484,     0,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,     0,   506,   507,   508,
     509,   163,   510,   511,   512,   165,     0,   513,     0,   514,
     515,   167,   516,     0,   517,     0,   518,   168,     0,   169,
     519,   520,   521,   522,     0,   523,   171,  3863,   172,   524,
       0,   525,   526,     0,   527,   528,   173,   529,   530,   531,
     532,     0,   533,   534,   535,   536,   537,   538,     0,   539,
     175,   176,     0,   540,   541,   542,     0,   177,     0,   178,
       0,   543,   179,   180,   544,   181,   545,   546,   547,   548,
     549,     0,     0,   550,   182,   183,   551,   184,     0,   552,
     553,   554,     0,     0,   555,   556,   557,   558,   559,   560,
     561,   562,   563,     0,   564,   565,     0,   566,   567,   568,
     189,   190,   191,   569,   570,   571,   192,     0,   572,   573,
     194,   574,     0,   195,   575,   196,   576,   577,   578,     0,
     579,   580,     0,     0,   581,   582,   583,     0,     0,   584,
     197,   198,   585,   199,   200,   586,   587,   588,   589,   590,
     591,   592,   593,   594,     0,   595,   596,   201,   597,   202,
     598,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   204,   610,   611,   612,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,     0,   626,   627,   211,   628,   629,   630,   213,   631,
     632,   633,   634,   635,   636,   637,     0,   638,     0,   639,
     640,   641,   642,   643,   644,   645,   646,   218,   647,   648,
     220,   649,   650,   221,   651,     0,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   223,     0,
     664,   665,     0,   666,   225,   667,   668,   669,   670,   671,
       0,   226,   227,     0,     0,   673,   674,   228,   675,   229,
       0,   676,   677,   678,   679,   680,   681,   682,     0,     0,
     683,   684,   685,   686,   687,     0,     0,   688,   689,   690,
     691,   692,     0,   236,     0,   693,   237,   694,   695,   696,
     697,     0,     0,   698,     0,     0,   699,   700,   701,   702,
     703,   704,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,    35,   705,   706,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   446,   132,   447,   448,   449,   134,   135,   136,   137,
     138,     0,   450,   451,   452,   453,   454,     0,     0,   455,
     456,     0,   139,   457,     0,   458,   459,   460,   461,   143,
       0,   144,     0,   462,   463,   464,   465,   466,   147,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,     0,
     150,   475,   476,     0,     0,     0,     0,   151,     0,     0,
     477,   478,   479,   480,   481,     0,   482,   154,   155,   483,
       0,   484,     0,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,     0,
     506,   507,   508,   509,   163,   510,   511,   512,   165,     0,
     513,     0,   514,   515,   167,   516,     0,   517,     0,   518,
     168,     0,   169,   519,   520,   521,   522,     0,   523,   171,
       0,   172,   524,     0,   525,   526,     0,   527,   528,   173,
     529,   530,   531,   532,     0,   533,   534,   535,   536,   537,
     538,     0,   539,   175,   176,     0,   540,   541,   542,     0,
     177,     0,   178,     0,   543,   179,   180,   544,   181,   545,
     546,   547,   548,   549,     0,     0,   550,   182,   183,   551,
     184,     0,   552,   553,   554,     0,     0,   555,   556,   557,
     558,   559,   560,   561,   562,   563,     0,   564,   565,     0,
     566,   567,   568,   189,   190,   191,   569,   570,   571,   192,
       0,   572,   573,   194,   574,     0,   195,   575,   196,   576,
     577,   578,     0,   579,   580,     0,     0,   581,   582,   583,
       0,     0,   584,   197,   198,   585,   199,   200,   586,   587,
     588,   589,   590,   591,   592,   593,   594,     0,   595,   596,
     201,   597,   202,   598,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   204,   610,   611,   612,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   624,   625,     0,   626,   627,   211,   628,   629,
     630,   213,   631,   632,   633,   634,   635,   636,   637,     0,
     638,     0,   639,   640,   641,   642,   643,   644,   645,   646,
     218,   647,   648,   220,   649,   650,   221,   651,     0,   652,
     653,   654,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   223,     0,   664,   665,     0,   666,   225,   667,   668,
     669,   670,   671,     0,   226,   227,     0,     0,   673,   674,
     228,   675,   229,     0,   676,   677,   678,   679,   680,   681,
     682,     0,     0,   683,   684,   685,   686,   687,     0,     0,
     688,   689,   690,   691,   692,     0,   236,     0,   693,   237,
     694,   695,   696,   697,     0,     0,   698,     0,     0,   699,
     700,   701,   702,   703,   704,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,    35,   705,   706,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   446,   132,   447,   448,   449,   134,
     135,   136,   137,   138,     0,   450,   451,   452,   453,   454,
       0,     0,   455,   456,     0,   139,   457,     0,   458,   459,
     460,   461,   143,     0,   144,     0,   462,   463,   464,   465,
     466,   147,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,     0,   150,   475,   476,     0,     0,     0,     0,
     151,     0,     0,   477,   478,   479,   480,   481,     0,   482,
     154,   155,   483,     0,   484,     0,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,     0,   506,   507,   508,   509,   163,   510,   511,
     512,   165,     0,   513,     0,   514,   515,   167,   516,     0,
     517,     0,   518,   168,     0,   169,   519,   520,   521,   522,
       0,   523,   171,     0,   172,   524,     0,   525,   526,     0,
     527,   528,   173,   529,   530,   531,   532,     0,   533,   534,
     535,   536,   537,   538,     0,   539,   175,   176,     0,   540,
     541,   542,     0,   177,     0,   178,     0,   543,   179,   180,
     544,   181,   545,   546,   547,   548,   549,     0,     0,   550,
     182,   183,   551,   184,     0,   552,   553,   554,     0,     0,
     555,   556,   557,   558,  1422,   560,   561,   562,   563,     0,
     564,   565,     0,   566,   567,   568,   189,   190,   191,   569,
     570,   571,   192,     0,   572,   573,   194,   574,     0,   195,
     575,   196,   576,   577,   578,     0,   579,   580,     0,     0,
     581,   582,   583,     0,     0,   584,   197,   198,   585,   199,
     200,   586,   587,   588,   589,   590,   591,   592,   593,   594,
       0,   595,   596,   201,   597,   202,   598,   599,   600,     0,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   204,
     610,   611,   612,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,     0,   626,   627,
     211,   628,   629,   630,   213,   631,   632,   633,   634,   635,
     636,   637,     0,   638,     0,   639,   640,   641,   642,   643,
     644,   645,   646,   218,   647,   648,   220,   649,   650,   221,
     651,     0,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   223,     0,   664,   665,     0,   666,
     225,   667,   668,   669,   670,   671,     0,   226,   227,     0,
       0,   673,   674,   228,   675,   229,     0,   676,   677,   678,
     679,   680,   681,   682,     0,     0,   683,   684,   685,   686,
     687,     0,     0,   688,   689,   690,   691,   692,     0,   236,
       0,   693,   237,   694,   695,   696,   697,     0,     0,   698,
       0,     0,   699,   700,   701,   702,   703,   704,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,    35,
     705,   706,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   446,   132,   447,
     448,   449,   134,   135,   136,   137,   138,     0,   450,   451,
     452,   453,   454,     0,     0,   455,   456,     0,   139,   457,
       0,   458,   459,   460,   461,   143,     0,   144,     0,   462,
     463,   464,   465,   466,   147,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,     0,   150,   475,   476,     0,
       0,     0,     0,   151,     0,     0,   477,   478,   479,   480,
     481,     0,   482,   154,   155,   483,     0,   484,     0,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,     0,   506,   507,   508,   509,
     163,   510,   511,   512,   165,     0,   513,     0,   514,   515,
     167,   516,     0,   517,     0,   518,   168,     0,   169,   519,
     520,   521,   522,     0,   523,   171,     0,   172,   524,     0,
     525,   526,     0,   527,  1506,   173,   529,   530,   531,   532,
       0,   533,   534,   535,   536,   537,   538,     0,   539,   175,
     176,     0,   540,   541,   542,     0,   177,     0,   178,     0,
     543,   179,   180,   544,   181,   545,   546,   547,   548,   549,
       0,     0,   550,   182,   183,   551,   184,     0,   552,   553,
     554,     0,     0,   555,   556,   557,   558,   559,   560,   561,
     562,   563,     0,   564,   565,     0,   566,   567,   568,   189,
     190,   191,   569,   570,   571,   192,     0,   572,   573,   194,
     574,     0,   195,   575,   196,   576,   577,   578,     0,   579,
     580,     0,     0,   581,   582,   583,     0,     0,   584,   197,
     198,   585,   199,   200,   586,   587,   588,   589,   590,   591,
     592,   593,   594,     0,   595,   596,   201,   597,   202,   598,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   204,   610,   611,   612,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
       0,   626,   627,   211,   628,   629,   630,   213,   631,   632,
     633,   634,   635,   636,   637,     0,   638,     0,   639,   640,
     641,   642,   643,   644,   645,   646,   218,   647,   648,   220,
     649,   650,   221,   651,     0,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   223,     0,   664,
     665,     0,   666,   225,   667,   668,   669,   670,   671,     0,
     226,   227,     0,     0,   673,   674,   228,   675,   229,     0,
     676,   677,   678,   679,   680,   681,   682,     0,     0,   683,
     684,   685,   686,   687,     0,     0,   688,   689,   690,   691,
     692,     0,   236,     0,   693,   237,   694,   695,   696,   697,
       0,     0,   698,     0,     0,   699,   700,   701,   702,   703,
     704,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,    35,   705,   706,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     446,   132,   447,   448,   449,   134,   135,   136,   137,   138,
       0,   450,   451,   452,   453,   454,     0,     0,   455,   456,
       0,   139,   457,     0,   458,   459,   460,   461,   143,     0,
     144,     0,   462,   463,   464,   465,   466,   147,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,     0,   150,
     475,   476,     0,     0,     0,     0,   151,     0,     0,   477,
     478,   479,   480,   481,     0,   482,   154,   155,   483,     0,
     484,     0,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,     0,   506,
     507,   508,   509,   163,   510,   511,   512,   165,     0,   513,
       0,   514,   515,   167,   516,     0,   517,     0,   518,   168,
       0,   169,   519,   520,   521,   522,     0,   523,   171,     0,
     172,   524,     0,   525,   526,     0,   527,  1517,   173,   529,
     530,   531,   532,     0,   533,   534,   535,   536,   537,   538,
       0,   539,   175,   176,     0,   540,   541,   542,     0,   177,
       0,   178,     0,   543,   179,   180,   544,   181,   545,   546,
     547,   548,   549,     0,     0,   550,   182,   183,   551,   184,
       0,   552,   553,   554,     0,     0,   555,   556,   557,   558,
     559,   560,   561,   562,   563,     0,   564,   565,     0,   566,
     567,   568,   189,   190,   191,   569,   570,   571,   192,     0,
     572,   573,   194,   574,     0,   195,   575,   196,   576,   577,
     578,     0,   579,   580,     0,     0,   581,   582,   583,     0,
       0,   584,   197,   198,   585,   199,   200,   586,   587,   588,
     589,   590,   591,   592,   593,   594,     0,   595,   596,   201,
     597,   202,   598,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   204,   610,   611,   612,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   624,   625,     0,   626,   627,   211,   628,   629,   630,
     213,   631,   632,   633,   634,   635,   636,   637,     0,   638,
       0,   639,   640,   641,   642,   643,   644,   645,   646,   218,
     647,   648,   220,   649,   650,   221,   651,     0,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     223,     0,   664,   665,     0,   666,   225,   667,   668,   669,
     670,   671,     0,   226,   227,     0,     0,   673,   674,   228,
     675,   229,     0,   676,   677,   678,   679,   680,   681,   682,
       0,     0,   683,   684,   685,   686,   687,     0,     0,   688,
     689,   690,   691,   692,     0,   236,     0,   693,   237,   694,
     695,   696,   697,     0,     0,   698,     0,     0,   699,   700,
     701,   702,   703,   704,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,    35,   705,   706,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   446,   132,   447,   448,   449,   134,   135,
     136,   137,   138,     0,   450,   451,   452,   453,   454,     0,
       0,   455,   456,     0,   139,   457,     0,   458,   459,   460,
     461,   143,     0,   144,     0,   462,   463,   464,   465,   466,
     147,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,     0,   150,   475,   476,     0,     0,     0,     0,   151,
       0,     0,   477,   478,   479,   480,   481,     0,   482,   154,
     155,   483,     0,   484,     0,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,     0,   506,   507,   508,   509,   163,   510,   511,   512,
     165,     0,   513,     0,   514,   515,   167,   516,     0,   517,
       0,   518,   168,     0,   169,   519,   520,   521,   522,     0,
     523,   171,     0,   172,   524,     0,   525,   526,     0,   527,
    1527,   173,   529,   530,   531,   532,     0,   533,   534,   535,
     536,   537,   538,     0,   539,   175,   176,     0,   540,   541,
     542,     0,   177,     0,   178,     0,   543,   179,   180,   544,
     181,   545,   546,   547,   548,   549,     0,     0,   550,   182,
     183,   551,   184,     0,   552,   553,   554,     0,     0,   555,
     556,   557,   558,  1528,   560,   561,   562,   563,     0,   564,
     565,     0,   566,   567,   568,   189,   190,   191,   569,   570,
     571,   192,     0,   572,   573,   194,   574,     0,   195,   575,
     196,   576,   577,   578,     0,   579,   580,     0,     0,   581,
     582,   583,     0,     0,   584,   197,   198,   585,   199,   200,
     586,   587,   588,   589,   590,   591,   592,   593,   594,     0,
     595,   596,   201,   597,   202,   598,   599,   600,     0,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   204,   610,
     611,   612,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,     0,   626,   627,   211,
     628,   629,   630,   213,   631,   632,   633,   634,   635,   636,
     637,     0,   638,     0,   639,   640,   641,   642,   643,   644,
     645,   646,   218,   647,   648,   220,   649,   650,   221,   651,
       0,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   223,     0,   664,   665,     0,   666,   225,
     667,   668,   669,   670,   671,     0,   226,   227,     0,     0,
     673,   674,   228,   675,   229,     0,   676,   677,   678,   679,
     680,   681,   682,     0,     0,   683,   684,   685,   686,   687,
       0,     0,   688,   689,   690,   691,   692,     0,   236,     0,
     693,   237,   694,   695,   696,   697,     0,     0,   698,     0,
       0,   699,   700,   701,   702,   703,   704,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,    35,   705,
     706,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,   129,   130,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   446,   132,   447,   448,
     449,   134,   135,   136,   137,   138,     0,   450,   451,   452,
     453,   454,     0,     0,   455,   456,     0,   139,   457,     0,
     458,   459,   460,   461,   143,     0,   144,     0,   462,   463,
     464,   465,   466,   147,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,     0,   150,   475,   476,     0,     0,
       0,     0,   151,     0,     0,     0,   478,   479,   480,   481,
       0,   482,   154,   155,   483,     0,   484,     0,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,     0,   506,   507,   508,   509,   163,
     510,   511,   512,   165,     0,   513,     0,   514,   515,   167,
     516,     0,   517,     0,   518,   168,     0,   169,   519,   520,
     521,   522,     0,   523,   171,     0,   172,   524,     0,   525,
     526,     0,   527,   528,   173,   529,   530,   531,   532,     0,
     533,   534,   535,   536,   537,   538,     0,   539,   175,   176,
       0,   540,   541,   542,     0,   177,     0,   178,     0,   543,
     179,   180,   544,   181,   545,   546,   547,   548,   549,     0,
       0,   550,   182,   183,   551,   184,     0,   552,   553,   554,
       0,     0,   555,   556,   557,   558,   559,   560,   561,   562,
     563,     0,   564,   565,     0,   566,   567,   568,   189,   190,
     191,   569,   570,   571,   192,     0,   572,   573,   194,   574,
       0,   195,   575,   196,   576,   577,   578,     0,   579,   580,
       0,     0,   581,   582,   583,     0,     0,   584,   197,   198,
     585,   199,   200,   586,   587,   588,   589,   590,   591,   592,
     593,   594,     0,   595,   596,   201,   597,   202,   598,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   204,   610,   611,   612,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,     0,
     626,   627,   211,   628,   629,   630,   213,   631,   632,   633,
     634,   635,   636,   637,     0,   638,     0,   639,   640,   641,
     642,   643,     0,   645,   646,   218,   647,   648,   220,   649,
     650,   221,   651,     0,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   223,     0,   664,   665,
       0,   666,   225,   667,   668,   669,   670,   671,     0,   226,
     227,     0,     0,   673,   674,   228,   675,   229,     0,   676,
     677,   678,   679,   680,   681,   682,     0,     0,   683,   684,
     685,   686,   687,     0,     0,   688,   689,   690,   691,   692,
       0,   236,     0,   693,   237,   694,   695,   696,   697,     0,
       0,   698,     0,     0,   699,   700,   701,   702,   703,   704,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,    35,   705,   706,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   446,
       0,   447,   448,   449,     0,     0,     0,     0,     0,     0,
     450,   451,   452,   453,   454,     0,     0,   455,   456,     0,
       0,   457,     0,   458,   459,   460,   461,     0,     0,     0,
       0,   462,   463,   464,   465,   466,     0,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,     0,     0,   475,
     476,     0,     0,     0,     0,     0,     0,     0,     0,   478,
     479,   480,   481,     0,   482,     0,     0,   483,     0,   484,
       0,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,     0,   506,   507,
     508,   509,     0,   510,   511,   512,     0,     0,   513,     0,
     514,   515,     0,   516,     0,   517,     0,   518,     0,     0,
       0,   519,   520,   521,   522,     0,   523,     0,     0,     0,
     524,     0,   525,   526,     0,   527,   528,     0,   529,   530,
     531,   532,     0,   533,   534,   535,   536,   537,   538,     0,
     539,     0,     0,     0,   540,   541,   542,     0,     0,     0,
       0,     0,   543,     0,     0,   544,     0,   545,   546,   547,
     548,   549,     0,     0,   550,     0,     0,   551,     0,     0,
     552,   553,   554,     0,     0,   555,   556,   557,   558,   559,
     560,   561,   562,   563,     0,   564,   565,     0,   566,   567,
     568,     0,     0,     0,   569,   570,   571,     0,     0,   572,
     573,     0,   574,     0,     0,   575,     0,   576,   577,   578,
       0,   579,   580,     0,     0,   581,   582,   583,     0,     0,
     584,     0,     0,   585,     0,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,     0,   595,   596,     0,   597,
       0,   598,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,     0,   610,   611,   612,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,     0,   626,   627,     0,   628,   629,   630,     0,
     631,   632,   633,   634,   635,   636,   637,     0,   638,     0,
     639,   640,   641,   642,   643,     0,   645,   646,     0,   647,
     648,     0,   649,   650,     0,   651,     0,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,     0,
       0,   664,   665,     0,   666,     0,   667,   668,   669,   670,
     671,     0,     0,     0,     0,     0,   673,   674,     0,   675,
       0,     0,   676,   677,   678,   679,   680,   681,   682,     0,
       0,   683,   684,   685,   686,   687,     0,     0,   688,   689,
     690,   691,   692,     0,     0,     0,   693,     0,   694,   695,
     696,   697,     0,     0,   698,     0,     0,   699,   700,   701,
     702,   703,   704,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   705,   706
};

static const yytype_int16 yycheck[] =
{
       2,    78,   944,   210,    78,   251,   166,  1135,    78,    78,
    1310,   896,    78,   891,  1072,  1073,  1074,  1558,   987,   393,
    1078,   393,   377,  2027,   153,  1918,    94,   224,   188,  1130,
    1476,  1311,  1261,  2936,    78,   149,   230,  1157,  1184,  1336,
      84,  1152,  1158,  1588,  2285,  3305,  1777,  2840,  3137,   152,
    1416,  1509,   896,  1962,  2089,  1326,  1955,  1624,   116,   164,
    2949,  1479,   882,   131,  1405,   768,  1166,  1464,  1465,  1962,
    1039,  1142,  1494,  2472,   203,  2169,    78,  1474,  3723,   170,
    1421,  3358,    84,  3484,   152,   153,   987,    89,   159,  4411,
     164,    96,    78,  2788,   162,  1967,  2630,  2631,  2459,  3758,
     944,   106,  2372,   161,  3802,  2861,  3536,    78,  3538,  3712,
     379,  4075,  1027,  4130,   116,   769,   131,  1231,  3290,   210,
    1391,   379,  3989,  1978,  1395,  1231,   365,  3113,  3511,  1400,
    3789,  3706,  3294,  3292,  3293,   203,   141,  3712,  1409,  4130,
    1038,  4018,  1022,  4126,  1010,  4396,  3367,  2182,  4357,  2356,
     152,   156,  1423,  1273,  4182,   892,  4676,  1023,  4397,   161,
    1891,  4414,  1006,   900,  4423,  4024,    78,   217,   209,  1138,
    4401,  4410,    84,  2466,   232,  2269,   913,  4905,   219,  2051,
    1833,  1834,  1835,  3332,  2222,  3225,  3358,   166,   250,  5019,
    2546,  4400,  4858,   164,  1947,  1896,  2393,  4908,  2548,  1542,
    1828,  1829,  2057,  2058,   116,   942,  5082,   209,  3775,   188,
    1571,   948,  5101,  1551,  1181,   217,  1270,   219,  1462,  1463,
    1340,  4023,  1181,  4025,   961,  3400,  1957,  1226,  1227,  1473,
     232,  5035,    30,  5037,  4096,  3952,    10,  1138,  5237,  1030,
      21,  4907,  3826,   111,  2939,  5146,  5147,    87,    87,   161,
      14,  5140,  5225,    14,  1054,  1652,  1653,    87,  1058,  1059,
    1060,  4486,  4487,  1681,  4489,  4490,  4491,  1496,  1068,  2630,
      71,   974,    14,   118,  1671,    74,    75,    76,    77,    80,
     251,   118,    81,    71,    85,  5440,   116,   125,   147,  5380,
      89,    90,   876,   102,    74,    75,    76,    77,   213,   154,
     187,    81,   105,    74,    75,    76,    77,    71,   385,   238,
      81,   385,    71,   233,   149,   385,   385,   147,   132,   385,
     232,   132,   132,   115,    84,  1383,    85,   132,   132,    71,
     238,  3371,    74,    75,    76,    77,   239,   102,    80,    81,
      82,    83,   115,    85,   194,    74,    75,    76,    77,   393,
     132,  3046,    81,  3048,   261,   132,    74,    75,    76,    77,
      87,   429,   186,    81,   238,    74,    75,    76,    77,   162,
      78,   232,    81,   189,   249,   132,  5170,  1212,   238,   245,
      89,    90,   340,   195,   428,    98,    74,    75,    76,    77,
    1909,   393,    98,    81,  1310,   238,   149,  1641,  1642,   385,
      78,   132,  1318,   102,   328,  5346,  5347,  5793,   379,  3486,
     109,   375,  1328,   208,   385,   102,   187,    74,    75,    76,
      77,   394,   109,  1667,    81,   408,   428,   238,   112,  1132,
      98,  1797,    89,    90,   325,   379,    74,    75,    76,    77,
    1551,   386,   149,    81,  1279,   425,    74,    75,    76,    77,
    1550,    89,    90,    81,   159,   463,   149,   412,   233,   313,
     313,    89,    90,   316,  1761,    96,   381,   238,   284,  5113,
     356,   238,  1357,  5362,   465,  1353,     0,   425,   394,   102,
     255,   393,    74,    75,    76,    77,   109,  5642,    14,    81,
     463,     2,   343,   206,    70,  5468,    14,   238,   238,  5227,
     206,  5305,    78,    79,   878,   220,   878,   368,   105,   425,
    5154,   327,   196,  1357,   149,  5226,   428,   508,    74,    75,
      76,    77,  1342,   531,   159,    81,    74,    75,    76,    77,
     106,   107,    78,    81,   238,  2894,  2574,  2896,   206,   425,
    5926,  2900,    74,    75,    76,    77,   189,    25,   149,    81,
    2909,  2910,  2911,   498,   280,   280,   365,   116,   159,   542,
     484,  1530,   416,   416,    87,   545,   382,  2013,   180,   672,
      74,    75,    76,    77,  1228,  1229,  2614,    81,   542,    78,
    2618,  1701,   394,   187,   542,    78,   400,   542,   219,  1558,
     400,   720,   721,   116,   397,   400,   400,   545,   542,   490,
    1700,   412,   161,    78,   672,   408,   399,   410,  1728,  2128,
     192,   420,  1723,  5407,  4217,   490,   545,    37,   400,    39,
     463,   476,   542,   400,   147,  1736,   463,   542,   463,  1530,
      74,    75,    76,    77,   542,   239,   486,    81,   545,   542,
    5731,   465,  4217,   400,   531,  3722,   491,   456,    78,   458,
    1516,   357,   720,   721,   491,  1766,  1767,   449,  4897,  1628,
    2001,   237,  1560,   239,  1248,   468,  4241,  5543,   428,   400,
     672,   545,   436,   232,   542,   436,   449,   385,  5651,   545,
    5581,   540,   542,  2414,   508,   544,   497,   452,   394,   357,
    4557,   542,   463,  5848,   436,   535,   536,   537,   538,   538,
     768,   116,  2043,   491,   542,   486,   501,   385,   538,  4368,
     463,   908,   425,    74,    75,    76,    77,   491,  4595,   425,
      81,  1821,  4599,  1558,   328,  4584,   394,  1628,  1594,   545,
    2461,   545,   533,   534,  2465,   545,   435,  4962,  3433,  5467,
     545,   545,   540,   542,  1610,  4390,   161,  5458,   435,  1540,
    4133,  2022,   545,  2033,  2025,   536,   463,   425,   463,  1625,
     531,  1561,   542,   545,  1564,  5706,   495,  1567,   545,  1569,
     463,   484,  1572,   544,   533,   534,  1576,   408,   545,  2120,
    2325,  4583,   885,  4585,  4501,  5784,   501,  1756,   545,  4651,
    2087,   533,   534,  1039,   209,  1764,  1765,   428,   276,  5772,
     397,   542,   217,  1042,   219,   545,   533,   534,   535,   536,
     537,   538,   435,   542,   545,  2273,   874,   232,   544,  5339,
     545,   489,   540,    78,   542,  5714,   544,  3620,   463,  1184,
    2739,   132,   935,   542,   878,    78,    78,  2709,  5727,   385,
     452,   545,  2239,  4015,    78,   488,  4018,   976,  1815,  1848,
     927,    78,   923,   927,   542,  1756,  1815,   927,   927,    71,
    3749,   927,   463,  4447,  4448,  4449,  4450,  4451,    80,  3403,
     102,  3405,   874,    85,  2332,  4903,   878,  4039,  1793,  5683,
     882,  5854,   486,  2341,   280,   542,   385,  1084,   180,   891,
     892,  1051,   385,  1053,   997,  1055,  4463,  1551,   900,   342,
    1954,  1061,   484,   141,   542,  1174,   974,   327,   976,  3308,
     385,   913,  2784,  4314,   542,   180,  1174,  5645,   342,   348,
     496,  1035,   141,   192,  1759,  1085,  1086,    98,   930,  1764,
    1765,  3292,  3293,  3294,  1039,  5824,  5647,   145,  5911,  2282,
     942,  2642,   181,  4118,  4327,  2306,   948,  2575,   132,  2577,
     542,  2312,  2290,   189,   103,   385,   927,  5623,  4130,   961,
     192,  1158,   874,   192,  1038,  1033,   878,   219,   187,  1037,
      74,    75,    76,    77,  2218,  2219,  2729,    81,   980,   217,
    5646,  3337,  5858,  5859,  2988,   987,   542,    29,  3338,    87,
     992,  1188,  3687,  3688,   542,  2417,   998,   235,  3195,  3196,
    1002,  1003,   280,  3200,    98,   274,    25,  5216,  1010,  3802,
     542,   110,   535,   536,   537,   538,   180,  1933,   116,   425,
    1022,  1023,   182,   242,   325,   264,  5017,   280,  1030,   180,
     280,  1036,   426,   410,  4435,   206,   240,  1039,   542,   180,
    3237,  3238,   274,   238,   219,   274,  5774,   180,  1053,   147,
    1055,  5881,  1994,   356,  4094,   343,   280,   249,    98,  1164,
    1065,  5078,  5773,   507,  1132,   141,  1134,  1038,  1039,   102,
    5946,  1987,  1269,  5064,  1053,  3368,  1055,  5085,   496,   102,
    1085,  1086,   348,   159,   528,   238,  1136,  5078,   187,    71,
    1140,   468,  4241,   253,   356,   233,   332,   540,   542,   400,
    1935,   544,  4379,    85,  3003,  1167,  1085,  1086,   327,  4976,
    1945,  2211,   206,   332,  2655,  1159,   545,   255,   542,  1134,
    2178,  3328,   425,   280,   425,  5853,   275,  1129,  1130,   152,
     385,   166,   340,   325,  1136,   373,  1138,   160,  1140,   545,
     344,   217,   385,   385,  5466,   361,   507,  5024,   542,   545,
    1994,   385,  5029,   313,   373,  5032,   316,  1159,   385,   235,
     452,  5020,  1164,   425,  1166,   188,   206,   528,   201,   388,
    5178,   123,  3706,   412,   182,   346,   428,  2288,  3712,  2014,
    2626,   542,  2017,  2018,   325,    71,   418,   452,    74,    75,
      76,    77,    70,  5424,    80,    81,    82,    83,    98,    85,
      78,    79,   471,  1174,   104,  5456,   325,  4379,   486,   244,
    2338,  2339,   451,   452,  5423,   484,   400,   348,  5457,   116,
    5479,    99,   510,  5476,  1226,  1227,  4924,   398,   399,  5460,
     272,   254,  4891,   486,    71,  5474,   486,    74,    75,    76,
      77,   479,   265,    80,    81,   253,  5237,  1159,    85,   348,
    5459,   342,   484,   428,   425,   484,   416,   276,  5778,  5779,
     479,  1263,   486,   357,   161,  3799,  2101,    70,   463,   238,
     192,  2371,  2372,  1314,  1315,    78,    79,  1263,  2378,   545,
     158,  4711,   249,  3321,  2384,  2385,  2386,  4670,   452,   422,
     239,  2411,   261,   505,  2394,  2395,   546,   373,   490,  2399,
     394,   452,   156,   542,   256,   313,   206,   342,   187,   261,
     463,   280,  1314,  1315,    71,   874,   528,    74,    75,    76,
      77,   533,   534,    80,    81,  2294,   542,  3686,    85,   486,
    5652,   425,  5340,   211,   114,   232,   531,  2217,   442,   443,
    1342,  5349,    98,   249,   198,   297,   182,  1349,   104,   544,
     156,  1353,   274,   187,  5337,   158,   156,   238,   325,   182,
     247,  2276,    25,   523,  1435,  2243,   401,   133,    70,  2254,
    1372,   238,    35,   125,   361,   141,    78,    79,   463,  2245,
     261,  2201,  3035,   261,   102,  1387,  2266,   230,   266,   410,
     331,  2257,   198,  5913,   261,  2293,  2507,  2242,   198,   280,
    5267,    80,  2268,   479,  5643,   524,    85,   210,   416,  2253,
    2254,   360,   543,   280,   545,   235,  2331,   253,   441,   325,
    2335,   444,  2337,  4595,  5301,  2340,   178,  4599,  4649,  1431,
     253,  2559,   531,   241,  5462,   533,   534,   535,   536,   537,
     538,   540,   405,   542,   543,   544,   545,   468,   327,  2391,
     206,   357,   233,  4612,  1700,  4617,   158,   357,  5780,   874,
     545,  4623,    71,  5785,   159,    74,    75,    76,    77,   226,
     505,    80,    81,   161,  1476,   138,    85,   313,   430,   259,
     316,   324,   431,   201,   187,   363,  1560,   156,   394,  2334,
     313,   432,   187,   316,   394,  4481,   418,  5364,   332,  2613,
     356,   304,  5369,  5370,  1878,   359,  1878,  2613,   543,   211,
     192,   546,  2812,  5116,  1516,  5506,  2857,   486,   405,  1030,
    5537,   273,   485,   490,   206,   425,   337,   405,  1530,   198,
    5852,  1800,  1801,   412,  1803,   301,   156,  1539,  1540,  1607,
    1542,  5116,  1800,  1801,   232,  1803,  5537,  2391,  1550,  1788,
     361,   254,  4345,   359,   357,   542,  1558,  5202,  1563,   359,
    1565,   108,   484,  1568,   266,  1570,   240,   408,  1573,  1574,
    1575,   310,   450,   325,   216,   332,   179,   546,   198,   546,
     416,  1586,  5546,  5547,   490,  3043,   201,  4380,   203,  1560,
    5912,     5,  1594,   416,   189,  1600,   286,  1602,   166,   477,
    3604,   357,  3501,   457,  2945,   486,  1608,   485,  1610,   181,
     488,    25,   420,   276,    22,   396,   287,   226,   337,   486,
    1817,    35,  5944,  1625,   327,  5947,  1628,  2968,  2969,  2970,
    2971,   337,   327,  4389,  3904,   325,  2290,  1639,   394,  2980,
     191,   399,   361,   484,   463,   453,   228,   533,   534,   238,
     125,   457,   455,   187,   457,   361,   298,   457,  5649,   486,
     286,   363,   414,    71,  1635,   546,  1668,   425,   452,   425,
     344,   216,   261,   220,  1742,  1743,   244,   240,  4039,   546,
     337,  2797,  2798,  4217,  1655,  2801,  2655,   523,   370,   284,
     359,   280,   264,   465,  1696,  1697,  1698,   534,  1700,   325,
     523,  1212,   311,   178,   361,   314,   542,  4241,   311,   228,
    1712,   314,   327,   470,  1685,   542,   298,  1775,  1720,   542,
    1231,  1136,   337,   332,   138,  1140,   545,  1742,  1743,  1700,
     281,   542,   327,   278,  3931,  3932,  3933,  3934,   428,   359,
    3937,  3938,  3939,  3940,  3941,  3942,  3943,  3944,  3945,  3946,
    3844,   253,  3624,   201,  1756,   203,   382,  1759,  2593,  4454,
     100,  4456,  1764,  1765,   106,   107,   218,   542,  1279,  1827,
     444,   233,  1774,  1775,   342,   477,   533,   534,  1846,   298,
    5439,   121,   244,   485,  1828,  1829,   488,   382,   457,  5172,
     381,   205,  5437,  5784,   484,   261,  3993,  3994,   273,   261,
    1802,   452,   428,   348,  1806,  1807,   199,   190,   372,  5454,
     262,   313,  2697,   357,   158,   372,   209,  2695,   409,  1821,
     339,   355,  2738,   542,   166,  1827,  1828,  1829,  2944,  1800,
    1801,  1846,  1803,   401,  1878,   166,   542,   457,  1896,   434,
     412,  1885,   398,  2807,   186,  5017,  1848,   410,  5493,  5250,
     325,  2048,  5024,  2697,  5818,   199,     2,  5029,   484,  1930,
    5032,   470,   276,  1775,  2964,   209,  5857,  4956,  2688,   425,
    2736,   190,   241,   201,   257,   203,  1878,   189,   220,   451,
     452,   425,   463,  1885,   418,   542,   396,  1889,  4681,   337,
    3312,   542,  5064,  3438,  1896,   230,  2812,   486,   226,  1314,
    1315,   465,   167,   466,  1906,  2608,  5078,  1909,   465,   472,
     191,  1913,  2876,   244,   416,  1827,  1828,  1829,   452,  3019,
     543,   408,    87,   546,   533,   534,  5356,  3782,   394,  2845,
    3785,   543,   398,   478,   546,   275,   190,   505,   257,   414,
    2998,   403,  4301,    89,   508,  1947,  4305,  4306,   546,  4308,
     531,   508,   348,  1955,  4857,   290,  3322,   546,   492,   425,
     307,  5659,  2878,   544,   357,   452,  1878,  5350,   346,   486,
      98,   505,   284,  1885,   239,   543,   104,   874,   546,   357,
    5625,  2816,   147,  5072,  1896,  5074,  5246,  4876,  1990,  2824,
     216,   243,  2827,  4896,   528,   505,  4691,  4692,  2735,  5658,
     281,   394,   228,   257,   332,   270,   152,   233,   542,   337,
     243,  2013,   158,   357,  3411,   327,   394,  2003,   528,   415,
     285,   243,  2008,   505,   119,   542,   546,   398,  1539,  1540,
     295,  1542,   228,   189,   545,   545,   357,   233,  3007,   505,
     186,   408,   486,   410,   413,   140,   390,  1558,   390,   301,
     394,   420,   278,   161,   425,  4848,   321,    74,    75,    76,
      77,   327,   528,   545,    81,  5237,   332,  2125,   301,  2806,
     382,  2073,   298,   394,    70,   548,   418,   342,   206,   301,
     357,   425,    78,    79,   453,    70,  2072,  5488,   310,    87,
    2076,  3060,  2094,    78,    79,   203,   418,  3197,   542,  4134,
     357,   468,   298,  2206,   425,   474,  3007,  2109,   455,  3209,
     452,   233,   268,   339,   380,   216,  2118,   394,   116,   497,
    5765,   502,   348,  2125,    40,   505,  2128,   228,  2130,  5301,
     452,  4924,   233,   255,   386,   482,   486,   394,  2875,   404,
    4337,  3241,   470,   339,  2518,   307,  2518,  2149,   425,   147,
     492,  2348,   480,  3299,   496,  2157,   451,  2364,   505,  3060,
     507,   105,   158,   505,   545,   545,  5549,  2169,  5445,   325,
     492,   327,  3401,    74,    75,    76,    77,   278,  2403,  3279,
      81,  2406,   505,  2185,  4188,   129,   528,  3102,   238,  2294,
     485,    74,    75,    76,    77,   542,  2198,   298,    81,  2201,
     542,  5846,   187,  2205,   456,   528,   458,  3487,   357,  2211,
     201,   261,   203,  2125,   210,  2217,  1775,   505,  3763,  2293,
     542,   486,   545,   456,   540,   458,    16,  2229,  3773,  4628,
     482,   547,  3512,  3290,   456,   226,   458,   357,   339,  3310,
    2242,  2243,  3973,  2245,  2246,   394,   498,   348,  1759,   482,
     412,  4612,   478,  1764,  1765,  2257,  4617,   545,  5917,  3924,
     482,  5906,  4623,  2265,  2266,   542,  2268,  2269,   159,  3147,
    3105,  4180,  2363,  5445,   394,   149,  5536,   127,   398,  2356,
    2282,   394,  2356,  2285,  5077,   159,  2356,  2356,  3953,   375,
    2356,  5084,  2294,   455,  4166,   507,   146,  4391,  2303,  2370,
    2305,  3358,   507,   357,  2309,   425,  2311,   234,   304,  2314,
     160,  3253,   425,  2318,   540,   332,   528,   543,   544,  3886,
     482,  3141,  2293,   528,  2147,  5708,   276,   505,  1839,  1840,
     542,  4186,  2334,  4188,  5506,   189,   327,  1896,   531,   266,
     394,   332,   327,   505,  3313,   507,   337,   332,  2171,  4221,
     528,   544,   243,   468,  1865,  1866,    74,    75,    76,    77,
    1775,   357,   212,    81,   357,  5537,  2424,   336,  3709,  2371,
    2372,   425,  4103,   264,   408,  2377,  2378,   478,  4413,   233,
     542,  2383,  2384,  2385,  2386,  2356,  3089,   100,  2390,  3755,
    2392,  2393,  2394,  2395,  2396,  2397,   498,  2399,   394,  2401,
    2402,   394,   398,  2405,  3822,  3823,   440,   540,   121,  3253,
     301,   544,   382,  4654,   268,  2520,   357,  2419,  2420,  2421,
    2422,  2423,  2424,  2003,  1935,   395,  2428,   386,  2008,   425,
    2432,   332,   425,  2435,  1945,   240,  2438,  2439,  2440,  2441,
    2442,  2443,  2444,  2445,  2446,  3716,  2448,    70,    71,   332,
    2657,   421,  2659,   394,  2456,   415,   347,  2459,  2429,   455,
     419,   457,  4821,     7,  4823,  4824,   271,   228,  4827,   386,
     166,   325,   233,   327,  2518,    19,    20,  5649,  3313,   470,
     167,  1896,   138,   139,   425,   238,  3455,  2564,  3332,   480,
     186,  1906,  2072,   452,    38,  2655,  2076,    41,  5193,   312,
     355,   507,   419,  2014,   540,  4398,  2017,  2018,   261,   505,
     546,  2708,  2424,  3428,  5897,   505,  2518,  4416,  2520,  4713,
      84,  2523,   528,    87,   220,  4719,   672,    91,    92,    93,
     288,  2575,  1947,  2577,  2536,   452,   542,   298,   528,   498,
    2608,  1306,    34,  2545,  2546,  2648,    74,    75,    76,    77,
     307,    50,   239,    81,  3455,   542,  5816,   544,  1323,  3425,
    3426,  1326,  4923,   418,   179,   456,  2125,   458,   542,    68,
     149,   323,  3488,  2575,   342,  2577,   468,   468,   339,   347,
     159,   498,  5116,   270,  2642,   396,  4131,  4132,   479,   341,
    2101,   482,   307,  2564,   342,  2597,   239,   452,   285,   347,
    2797,  2798,  5862,   468,  2801,   545,  2518,     8,   295,   549,
      11,    12,  5784,  2615,   332,  2617,  5705,  2619,   162,   234,
     415,    22,    23,    24,  2626,    26,    27,   270,  2630,  2631,
      31,    32,    33,   310,   321,  2637,   456,   492,   458,   338,
    2642,  2643,   285,   342,    84,  2647,  3562,    87,    70,   310,
     505,   266,   295,  2655,   163,   412,    78,    79,   202,   535,
     536,   537,  5395,  2575,  5397,  2577,   264,   456,  5401,   458,
    5403,  2673,    84,   528,  2676,   537,   116,   399,   547,   543,
     542,   545,   544,   123,  3742,  5857,  2688,   542,   545,   418,
    2692,   312,   549,  2695,   390,    71,   311,   412,   455,   314,
    2803,  5961,  2704,   425,   537,  5239,   255,   147,  2766,   542,
    2125,   544,  2770,   468,  3580,  2717,  5449,   404,  4115,   155,
     541,  4725,   418,   452,   545,   482,   125,  2729,  3594,    84,
    2642,   498,    87,  2735,  2736,  2793,    91,    92,    93,   540,
     455,   542,  2744,   544,   543,   129,   545,  2944,   505,  3718,
     507,  3720,   415,   541,  3870,   288,   452,   545,   542,   307,
     288,   404,   548,   492,  2766,  2767,  4063,   482,  2770,   168,
    3208,  2282,  3210,  3211,  2285,  4972,   505,   357,   924,   180,
     344,   545,   546,   505,  2842,   542,   408,   409,   307,  2791,
     505,  2793,   507,   540,   193,   542,   492,  2799,  5157,   528,
    4709,   543,  2804,   545,  2806,  2807,   528,    85,  2810,   505,
     390,   210,   111,   542,   394,   214,   256,  3718,   543,  3720,
     545,   261,   542,   545,   546,   342,  3926,   542,  2830,  3798,
     412,   130,   528,  2835,   545,   234,  2950,  2839,   237,   129,
    2842,   987,   988,   408,   409,   425,   542,   505,   498,   507,
    2852,   542,   251,   544,  2766,   545,   546,   297,  2770,   496,
    3960,  5764,  3706,  2865,   412,  2424,  5659,  3733,  3712,  3735,
     525,  3706,  2930,  2875,  2876,    89,    90,  3712,  1775,   307,
     179,  2793,  4613,   543,  1030,   545,   119,  4033,  4034,  4035,
     543,   284,   545,   412,    70,    71,   543,  3798,   545,   543,
     345,   545,    78,    79,   344,  4005,   261,   455,   544,    85,
    4030,    89,    90,    84,  4645,   345,  4187,   318,  2920,  2921,
      91,    92,    93,   543,   543,   545,   545,   282,  2930,  4158,
    2842,   408,   409,   332,   482,  2937,   455,   543,   543,   545,
     545,   340,   342,  1089,  3859,  2947,   533,   534,   535,   536,
     537,  3197,   543,   543,   545,   545,   543,   505,  4015,   507,
     463,  4018,  2964,   482,   263,   529,   530,   531,   369,   533,
     534,   535,   536,   537,   538,   233,   505,  1123,   507,   408,
     409,   380,  2984,   543,   412,   545,   505,  1133,   507,   344,
     430,  1137,  1138,  1139,   542,  3241,   543,   342,   545,  1896,
     543,  3003,   545,   525,   543,  3007,   545,   345,   543,  2424,
     545,   543,   311,   545,  4294,   314,   284,  3019,  2930,  3885,
     543,  3089,   545,   542,   119,   525,   325,   455,   533,   534,
     535,   536,   537,   535,  2545,  2546,   541,    70,    71,   237,
    4311,    74,    75,    76,    77,    78,    79,    80,    81,   543,
     545,   545,    85,   543,   482,   545,   542,   356,  3060,   543,
    3895,   545,   543,    74,    75,    76,    77,   543,   129,  5266,
      81,    84,   473,  4130,    87,   238,   456,   505,   458,   507,
    1226,  1227,  2593,  2642,   280,  1231,   526,   456,   542,   458,
    3284,  3285,  3286,   533,   534,   535,   536,   537,   538,   546,
     399,  4547,  2613,   116,  2615,   543,  2617,   545,   535,  3111,
     123,   543,   276,   545,   542,   505,  3362,   507,   542,  5480,
     419,    74,    75,    76,    77,  3127,   463,  3129,    81,    74,
      75,    76,    77,   548,   147,  3137,    81,   548,   463,  3141,
     439,   543,  3144,   545,   463,  3147,   543,   111,   545,    74,
      75,    76,    77,   463,   187,  3157,    81,   543,  3216,   545,
      74,    75,    76,    77,  3222,  3167,   130,    81,   463,   543,
    3172,   545,   111,   344,   529,   530,   531,   276,   533,   534,
     535,   536,   537,   538,    74,    75,    76,    77,   212,   129,
     543,    81,   545,  3195,  3196,  3197,   282,   463,  3200,   141,
     543,   214,   545,   542,   307,   147,  3208,  3209,  3210,  3211,
     543,  2770,   545,   544,  3216,   179,   542,   159,   111,  3221,
    3222,   543,  3224,   545,  3226,   509,  3197,  2642,  2125,   543,
     543,   545,   545,   542,  2793,  3237,  3238,   130,   307,  3241,
     543,   394,   545,   256,   543,   187,   279,   189,   261,   261,
     543,  3328,   545,  3255,  3328,  3257,   221,  3259,  3328,  3328,
     221,   543,  3328,   545,   543,   542,   545,   307,   301,   543,
    3241,   545,   307,   543,   543,   545,   545,  3279,   242,   543,
     543,   545,   545,  2842,   297,   544,   179,  3258,  3290,   342,
    3292,  3293,  3294,   543,   543,   545,   545,   394,   261,   263,
     242,   342,   221,  3274,  3216,  2816,   543,   261,   545,   412,
    3222,  3313,  5509,  2824,  2729,  3317,  2827,   221,   543,  3290,
     545,  4866,  4379,   543,   342,   545,   268,  3329,  5221,    70,
     543,   344,   545,    74,    75,    76,    77,    78,    79,   543,
      81,   545,  3344,   412,   543,   233,   545,   311,   394,   221,
     314,  2766,   455,   328,   329,  2770,  3358,  3328,   529,   530,
     531,   325,   533,   534,   535,   536,   537,   538,   296,   546,
     263,  2930,   412,  4217,   543,   189,   545,   412,  2793,   482,
     486,   543,  4217,   545,  1530,   327,   455,  3358,   312,  2804,
     332,  3362,   356,  1539,  1540,   342,  1542,  4241,  3400,   542,
     468,  3403,   505,  3405,   507,   543,  4241,   545,  3410,   543,
     336,   545,  1558,   482,   543,   455,   545,   430,   311,   288,
     455,   314,   329,  3425,  3426,   498,   543,  2842,   545,  3431,
     415,   373,   325,   233,  4534,   399,   505,   542,   507,   542,
     141,   182,   482,   418,   327,   543,   388,   482,   111,   543,
    3452,   545,   543,  3455,   545,   419,   327,  3459,  1604,   543,
     543,   545,   545,   356,   543,   505,   545,   507,   342,   543,
     505,   545,   507,   542,  3476,   439,   542,   452,  3536,  3537,
    3538,   543,  1628,   545,   543,   543,   545,   545,   543,   543,
     545,   545,   543,   543,   545,   545,  4362,  4363,   233,  3501,
     533,   534,   542,  1178,   509,  1180,   399,   542,  4600,   327,
    4602,   418,   253,   526,   543,  2930,   545,   492,   119,   119,
     533,   534,   535,   536,   537,   538,   419,  2424,   327,   543,
     505,   545,   473,   327,  3536,  3537,  3538,   479,  4595,  4640,
     158,   543,  4599,   545,   357,   452,   439,   543,   498,   545,
    4465,  4466,  4467,   528,   233,   543,  1702,   545,  3560,   543,
     543,   545,   545,   498,   543,  1711,   545,   542,  3570,   543,
    3572,   545,   313,    84,   155,   316,    87,   547,  3580,  1725,
      91,    92,    93,   376,   543,   492,   545,   543,   543,   545,
     545,   543,  3594,   545,  3105,   221,   221,   108,   505,   543,
     543,   545,   545,   495,   542,   221,   542,   369,   542,   221,
    1756,   110,   542,  1759,  1760,   509,   221,   221,  1764,  1765,
     233,   528,   545,   221,  3536,  3537,  3538,   221,   221,   221,
     342,   221,   221,   221,  4469,   542,   543,   221,   221,   546,
     452,   542,   111,   296,   342,   542,  4001,   233,   233,   353,
     280,  3653,    84,  3711,   233,    87,   542,  3216,   542,    91,
      92,    93,   542,  3222,   542,   542,   542,   542,   506,   542,
     111,  3673,   542,  3870,   542,   416,   108,   542,   542,  3681,
     542,   542,   542,  3812,   542,   542,   542,  5884,   542,   542,
     542,  4633,  5889,   542,   542,   542,   542,   542,   542,  3757,
    3777,   296,  1848,  3705,  3706,   545,  3809,   170,   545,  3711,
    3712,  3788,   280,   282,   111,   233,  3718,   339,  3720,   233,
     337,   276,   425,   416,   535,   545,   186,   485,   545,   316,
     531,  3733,    14,  3735,   542,  3812,   545,   542,   542,   463,
     463,  3743,   412,  5747,  3812,  2642,   463,   497,   463,   544,
     412,   412,   463,  3999,   463,  3757,   298,   463,   463,   531,
     159,   463,   412,   221,   342,   342,   417,   293,   463,   463,
     332,   282,  4018,   463,   455,   485,   342,   342,   337,  3781,
     408,  4881,   523,   542,   254,   463,   463,   542,   159,  4633,
     357,  4849,   545,   261,   221,   486,  3798,  3799,   486,  3711,
     452,  3216,  3313,   463,   452,   463,  3777,  3222,   463,   181,
     129,   129,  3814,  4007,  4008,  4009,  4010,  3788,   463,   463,
     463,   463,   318,   463,   463,  3336,  3337,   346,   463,   463,
     412,   463,   379,   344,   463,   455,   361,   361,   118,   463,
    4706,  3812,  3844,    89,   463,  3757,   118,   282,   463,   412,
     282,  5392,   463,   545,   463,   342,   282,   282,   282,   342,
     509,  3863,   342,   342,   282,   282,   282,   463,   505,  2766,
     473,   542,   111,  2770,   221,   100,  4791,  4792,   342,  4794,
     221,   327,  4717,  3885,   187,  2031,  3888,   486,   221,   221,
     497,  2037,   221,  5039,   342,  5166,  2793,   505,   304,   337,
    5046,   111,     2,    98,  3906,   327,   327,  3909,  3966,   104,
     233,   542,   344,  3915,   327,   111,  4782,   544,   288,  3921,
     414,  3923,   110,   461,  3926,  5383,   461,  5385,  3930,  3931,
    3932,  3933,  3934,   463,   540,  3937,  3938,  3939,  3940,  3941,
    3942,  3943,  3944,  3945,  3946,  2842,   463,  5058,  3950,  3951,
     145,   221,   221,  3955,   486,   221,   221,   486,  3960,   221,
    5017,    14,  3964,   336,  3966,   540,  3968,  5024,   542,   545,
     463,   331,  5029,   501,  3976,  5032,   318,  3979,   238,  3981,
     318,   542,    87,   461,   542,   545,   542,  3989,  3990,   463,
     247,  3993,  3994,   229,   238,   545,  3998,  3999,   531,   465,
     545,   547,   543,  4005,   199,   254,  2152,  5064,  4874,   254,
    2156,   206,   286,  4015,   209,   542,  4018,   278,   529,   530,
     531,  5078,   533,   534,   535,   536,   537,   538,  3999,  4031,
     545,   343,   428,  2930,   486,  4037,  4038,  4039,   545,   234,
     111,   543,   543,    34,  4015,    10,   350,  4018,  5589,   129,
     412,   543,  5597,  5598,  3966,   486,   542,   286,   286,   332,
     463,    84,   463,  5191,    87,   332,   166,   542,    91,    92,
      93,   266,  4446,   463,  4446,   312,   468,   233,   498,   415,
     288,   332,   223,   342,  4086,   108,   119,  4247,   188,   434,
     223,   296,   327,   296,   296,   408,   463,   529,   530,   531,
    4102,   533,   534,   535,   536,   537,   538,   111,   340,   455,
     394,   342,   545,   255,   422,   342,  4118,   111,   382,   463,
     463,  3536,  3537,  3538,   282,   486,   288,   131,  4130,   486,
     325,   378,   327,   340,   264,   221,  2282,  5079,   531,  2285,
    5286,   233,   337,   531,   337,   498,   453,   111,   235,   379,
     337,   346,  3711,  4211,   422,   111,   542,   221,  4216,  4161,
    4218,   165,   357,   542,   221,   221,   220,   337,   505,   111,
     327,  5271,   327,   342,   130,   342,   288,   536,   252,   252,
    5237,   233,  4240,   111,   316,  5127,   540,   543,   543,   288,
     525,   525,   543,   543,  5739,  3706,   422,   233,  3757,  4257,
     327,  3712,   397,   398,   543,   342,   261,   509,    99,  4211,
     261,   261,  5312,   245,  4216,  4217,  4218,   545,   545,   545,
     224,   463,   542,   179,   180,   238,   315,   505,   342,   545,
     425,   187,   129,   452,   468,  5079,   238,  2383,  4240,  4241,
     336,   288,  5127,   498,  5301,   543,   543,   543,  5126,   543,
     543,  5117,   543,   543,   258,  4257,   542,   545,   543,   282,
     353,   362,   543,   238,   543,   463,   543,   525,   352,   502,
    4272,   542,  5116,  4275,   527,   343,   343,   306,   484,   542,
     502,  5116,   342,  5127,   288,   129,   242,   543,   542,   293,
    5168,   492,  5833,   531,   489,   545,  3711,   342,   546,  4211,
     543,   542,   542,   345,  4216,   342,  4218,   263,   531,  5609,
     264,   221,   463,   463,   463,   509,   332,   272,   542,  3216,
     463,   344,   542,   327,   545,  3222,   543,   327,  4240,   221,
     296,  4408,   346,   221,   417,  4337,   221,   264,   417,   417,
     223,   531,  3757,   463,  2490,  4257,   486,   298,   545,   483,
     463,   363,   363,   463,   358,   311,   233,   463,   314,   463,
    4362,  4363,   308,   308,  4366,   308,   412,   327,   463,   325,
    4372,   327,   463,   463,   412,   463,   425,  4379,   463,  5294,
     342,   412,   463,   221,  3895,   412,   463,  4464,  5445,  4391,
    5305,   463,   118,   463,   398,   249,   282,   463,   402,   543,
     356,   282,  4446,  5503,   282,   409,   282,  3966,  4379,   545,
     473,   233,   543,   417,  4416,  4417,  4418,   119,   396,   180,
    5520,   425,   543,  5392,   233,  5525,   545,  5527,   543,   340,
     342,    84,   111,   437,    87,   542,   221,  4408,    91,    92,
      93,   445,   463,   399,  4446,   221,   233,   249,   542,  5506,
     221,  2597,   486,   233,   412,   108,   486,   219,   282,   541,
     412,  4668,   466,   419,   412,   345,   219,  2613,   282,  2615,
    4472,  2617,  5387,   422,   282,   282,   545,   282,   282,   540,
    5537,   212,   238,   439,    84,   441,    87,    87,   444,   353,
    5548,  4493,   233,  4464,   497,   238,   500,   545,   348,   543,
     504,   505,  4504,   543,   543,   502,   529,   530,   531,  2655,
     533,   534,   535,   536,   537,   538,   116,   543,   542,   238,
     545,   543,   542,   123,   542,   247,   545,   528,   543,   401,
     343,   157,  4534,   531,  4446,   545,   543,   543,   491,   531,
     473,   233,  4544,  4545,   111,  4547,   541,   147,   486,  4551,
    4552,  3966,   542,   288,  4556,  4557,   486,  5392,   463,  4561,
     272,  4721,  4564,  4565,   129,  4642,  4643,  4569,   542,   221,
     242,   455,   473,  4575,   417,   412,   412,   394,  2724,   505,
     543,   463,   543,   542,   463,  4587,   542,   129,   463,   463,
     463,   233,  5649,  4595,   455,   223,   543,  4599,   492,   147,
     221,   180,  5517,  5545,   473,   282,   543,   282,   282,   282,
    4612,   542,   377,   267,   214,  4617,   286,   542,   463,   509,
    5589,  4623,   342,   545,  4595,   389,   543,   545,  4599,   282,
     111,   361,   153,   473,   455,   542,   545,   545,  4640,  3536,
    3537,  3538,   542,   463,    84,   543,   892,   422,   541,   244,
     180,   238,  4654,  4711,   900,   282,   256,  4216,   238,  4218,
     387,   261,   129,   353,   503,   285,   351,   913,   503,  4671,
     285,  4642,  4643,   543,   542,   454,   543,   543,   349,   542,
     545,  4240,   129,   543,   543,   542,   542,  4689,   250,   337,
     543,   344,   543,   463,   543,   473,   942,   297,  4257,   531,
     238,  5545,   948,   147,  4706,   505,  4217,   266,   255,  4711,
     332,   129,   531,   332,   545,   961,   455,   545,   463,   141,
     221,   463,  2868,   463,   282,  4727,   542,  5784,   240,   238,
    4241,   187,   111,   261,   486,   337,   542,   486,   422,    84,
     111,  4743,    87,   327,   344,  2891,  4748,   235,  2894,    84,
    2896,   233,    87,  4755,  2900,   422,    91,    92,    93,   220,
     337,   505,   129,  2909,  2910,  2911,   238,   505,   111,  4771,
     342,   116,   269,   542,   233,   543,   111,   345,   123,   542,
    4782,   280,   542,   238,   387,   882,   491,   438,   543,   543,
     361,   542,   542,   285,   891,   542,  4211,   504,   159,  4711,
    5857,  4216,   147,  4218,   202,   342,   543,   388,  4319,  4320,
     543,  4813,   111,   463,  3711,   221,   463,   542,   542,   542,
     233,  2967,   194,   111,   542,  4240,   542,   332,   254,   309,
     430,   264,   542,   930,   377,  4837,   542,   422,   221,   543,
    5718,   180,  4257,   207,   501,   111,   543,   436,   346,  4851,
     473,   531,   409,  2999,   409,   543,   129,   129,   436,   111,
    3757,  3007,   543,   150,  5833,   455,    89,   545,   254,   214,
     233,   325,  4874,   542,   542,   491,   529,   530,   531,  4881,
     533,   534,   535,   536,   537,   538,   542,  3033,   543,   486,
     342,   455,   455,   542,    81,   992,   542,   542,   227,   543,
     509,   542,   220,   542,   141,  1002,   345,   141,   202,   505,
      84,   256,  5790,  5791,  3060,   490,   261,   505,   387,   111,
     545,  4923,   491,  4925,   542,   542,   526,   238,   502,   425,
    1030,   455,   385,   533,   534,   535,   536,   537,   538,   332,
     207,   266,   342,   166,   542,   342,   422,   282,   111,   111,
     377,  1051,   297,  1053,  4956,  1055,   345,   345,  4469,   542,
     240,  1061,  1062,  1063,   240,   188,   408,   543,   129,   542,
    4972,   192,    84,   543,  4976,    87,   542,   463,   484,  4981,
    1226,  1227,    81,   543,   545,  1085,  1086,   422,   408,   349,
     395,   542,    97,   542,   108,   545,  4998,  4999,   332,   344,
    5002,   545,   542,   220,   116,   463,   238,   150,   377,   344,
     505,   123,   436,   436,   505,  5017,   542,   385,   240,  2075,
     240,  1765,  5024,  1275,  2948,  2779,  1315,  5029,  3313,  2845,
    5032,  5033,  3512,  4216,  4190,   147,  5900,  5729,  5040,  5041,
    2870,    84,  3702,  4313,    87,  5405,  5587,  5833,    91,    92,
      93,  4360,  5057,  5024,  5221,  4839,  5190,  3432,  5029,  3094,
    5712,  5032,  5064,  5822,  5066,  5078,  5312,  5617,  5616,  3966,
    5072,  5749,  5074,  5857,  3436,  4409,  5078,  4393,  5554,  4351,
    2933,  2933,  4211,  3537,  4875,   430,  3753,  4376,  5197,  2927,
    3765,  5206,  5835,  1311,  5973,  5958,  5974,  5975,  1314,  5183,
    3711,  3705,   214,  5762,  5162,  5129,  2138,  5367,  5563,  5132,
     188,   998,  1212,  1595,  5116,  5117,  4472,  4628,  5195,  5336,
    1611,  2631,  4416,  3410,  5126,  2253,  2198,  5480,  2359,  2359,
     988,  1231,  2360,  3656,  4240,  1022,  3757,  4257,  5215,  5789,
    5949,  2520,  1913,  4654,   256,  1153,  2521,  2294,    78,   261,
    5060,  5704,  4644,  4100,    84,  1553,  3077,  5234,  1020,    89,
    5162,  3329,  1809,  1736,  2562,  3344,  5168,  3313,  2536,  1792,
    1385,  4042,  1810,    84,  5696,  5529,    87,  4626,  2561,  1279,
    4018,   526,  4584,  5302,  4601,   297,   116,  4015,   533,   534,
     535,   536,   537,   538,   529,   530,   531,  5506,   533,   534,
     535,   536,   537,   538,  5505,   116,  4717,  1817,  4101,  5953,
    1812,  4015,   123,  5806,  5887,  5686,  1807,  5269,  3968,  5048,
    5699,    98,  5224,  5700,  5195,  5679,  2453,   104,  3258,  3168,
    3317,   161,   344,  3256,  2456,  5237,   147,  5239,   672,   282,
     117,  2192,  3809,  3008,  5215,  1342,  2597,  1439,  5670,  1829,
    5162,  1032,   394,  1823,  2572,  1607,  1353,  1229,  1229,  2613,
    1249,  2605,  3307,  5234,  5266,  5267,  2606,  5269,   145,  5271,
    4627,  4069,  4107,  1827,  1739,  4108,   427,     2,  3090,  2323,
    5058,  2617,  1064,    -1,    -1,    -1,    -1,    -1,    -1,  5291,
      -1,    -1,    -1,    -1,    -1,  5297,  4711,    -1,  5356,  5301,
      -1,   344,   232,   214,    -1,  5307,    -1,    -1,    -1,  3455,
    5312,    -1,    -1,    -1,  4211,    -1,    -1,   101,   430,  4216,
     197,  4218,   199,    -1,    -1,  1539,    -1,    -1,    -1,   206,
    5301,    -1,   209,    -1,  1431,    -1,    -1,    -1,    -1,    -1,
      -1,  5312,    -1,  4240,    -1,   256,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,  5356,    -1,    -1,   234,    -1,    -1,
    4257,    -1,  5364,    -1,    -1,   149,    -1,  5369,  5370,    -1,
      -1,    -1,  5374,    -1,    -1,    -1,    -1,    -1,  5455,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,   266,
    5392,    -1,    -1,    -1,    -1,    -1,  3542,   181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   526,    -1,    -1,    -1,    -1,  5421,
     204,   533,   534,   535,   536,   537,   538,    -1,    -1,    -1,
      -1,   215,    -1,   344,    -1,    -1,    -1,    -1,    -1,  1539,
    1540,    -1,  1542,  5445,  5356,    -1,  3592,    -1,   325,    -1,
     327,   235,    -1,    -1,    -1,    -1,   240,  5534,  1558,    -1,
     337,    -1,  1349,   393,    -1,    -1,    -1,    -1,    -1,   346,
      -1,    -1,    -1,    -1,  5445,    -1,    -1,    -1,  5480,  5481,
     357,    -1,    -1,    -1,  5455,  1372,   529,   530,   531,  5491,
     533,   534,   535,   536,   537,   538,    -1,    -1,   428,    -1,
    1387,  5503,    -1,    -1,  5506,   289,    -1,  5509,    -1,  3655,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,  5520,   430,
     397,   398,    -1,  5525,    -1,  5527,   310,  5529,    -1,  5587,
      -1,    -1,    -1,    -1,    -1,  5537,    -1,    -1,    -1,  5050,
    3686,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,    -1,
      -1,    -1,  3698,  5555,    -1,    -1,    -1,    -1,    -1,    -1,
    3706,    -1,    -1,  5534,    -1,    -1,  3712,    -1,    -1,    -1,
      -1,    -1,  3718,    -1,  3720,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5587,    -1,  5589,    -1,    -1,
      -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,    -1,
      -1,    -1,  1848,  5162,    -1,  5116,    -1,    -1,    -1,    -1,
      -1,    -1,   489,    -1,    -1,   526,    -1,    -1,  5864,    -1,
    3766,   405,   533,   534,   535,   536,   537,   538,   412,  5687,
      -1,    -1,    -1,    -1,    -1,   419,    -1,  5639,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5649,    -1,    -1,
      -1,  3797,  3798,    -1,    -1,    -1,    -1,    -1,    -1,  1759,
      -1,    -1,    -1,   447,  1764,  1765,    -1,    -1,   452,    -1,
      -1,   455,    -1,    -1,    -1,  5587,  5678,  5679,    -1,    -1,
    3826,    -1,    -1,    -1,  5686,  5687,  5763,    -1,  5690,   473,
      -1,    -1,    -1,    -1,  5696,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5705,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5789,    -1,   498,  5789,  5718,    -1,    -1,  5789,
    5789,  1608,    -1,  5789,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1837,    -1,  1839,
    1840,    -1,    -1,    -1,    -1,    -1,    -1,  5162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1858,    -1,
      -1,    -1,    -1,    -1,    -1,  1865,  1866,  5769,    -1,    -1,
      -1,    -1,    -1,  5775,    -1,  5687,    -1,    -1,    -1,    -1,
      -1,    -1,  5784,    -1,    -1,    -1,    -1,  5864,  5790,  5791,
    5864,  5793,  5763,    -1,  5864,  5864,    -1,    -1,  5864,    -1,
    5802,    -1,  2393,    -1,    84,    -1,  5808,    87,    -1,    -1,
    2401,    91,    92,    93,  4711,    -1,    -1,  5819,  5789,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2073,  1051,  3975,
    1053,  5833,  1055,    -1,    -1,  1935,   116,    -1,  1061,    -1,
      -1,    -1,    -1,   123,    -1,  1945,    -1,    -1,    -1,    -1,
      -1,  5909,    -1,    -1,    -1,  5857,    -1,    84,    -1,    -1,
      87,    -1,  1085,  1086,    -1,    -1,    -1,   147,  5379,  5380,
      -1,    -1,  5949,    -1,    -1,  5949,    -1,    -1,    -1,  5949,
    5949,  5392,  5884,  5949,    -1,  5887,    -1,  5889,    -1,   116,
      -1,    -1,    -1,  5864,    -1,    -1,   123,    -1,    -1,    -1,
    5958,    -1,    -1,  2149,    -1,    -1,    -1,  5909,    -1,    -1,
      -1,  2157,    -1,    -1,  2014,  5973,    -1,  2017,  2018,    -1,
     147,    -1,    -1,  2169,  5926,    -1,    -1,    -1,    -1,    -1,
    5932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5356,    -1,    -1,   874,  2536,    -1,    -1,   878,    -1,
      -1,    -1,    -1,    -1,  5956,    -1,  5958,    -1,    -1,    -1,
      -1,   891,   892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     900,  5973,  5974,  5975,    -1,    -1,   256,    -1,  5949,    -1,
      -1,   261,    -1,   913,    -1,    -1,    -1,   214,    -1,  1212,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5909,    -1,    -1,
    2246,  2101,    -1,  1226,  1227,    -1,    -1,    -1,  1231,    -1,
      -1,    -1,   942,    -1,    -1,    -1,    -1,   297,   948,    -1,
      -1,    -1,    -1,  2269,    -1,    -1,    -1,    -1,  5587,   256,
      -1,   961,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5958,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1279,   987,    -1,    -1,
      -1,  5973,    -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,
     297,  4217,  1002,  1003,    -1,    -1,    -1,    -1,    -1,    -1,
    1010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2190,    -1,    -1,  1023,    -1,  4241,    -1,    -1,    -1,    -1,
      -1,  2198,  4248,  1990,  2201,  4251,    -1,  4253,    -1,  1039,
      -1,    -1,    -1,    -1,    -1,  2215,    -1,   344,    -1,    -1,
      -1,    -1,    -1,    84,    -1,  2225,    87,  2227,  5687,    -1,
      91,    92,    93,  2233,    -1,    -1,    -1,  2237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2242,  2243,  4293,    -1,    -1,
     430,    -1,    -1,    -1,    -1,  4301,    -1,    -1,    -1,  4305,
    4306,    -1,  4308,    -1,    -1,    -1,    -1,  4313,    -1,    -1,
      -1,    -1,  5587,    -1,    -1,    70,    -1,    -1,    -1,    -1,
      -1,    -1,  2282,    78,    79,  2285,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,   430,    -1,    -1,    -1,  2094,  1138,    -1,
      -1,    -1,    -1,   108,    -1,    -1,   111,    -1,  5729,    -1,
    5731,   116,  2109,    -1,    -1,    -1,    -1,    -1,   123,  1159,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2334,    -1,    -1,
      -1,    -1,    -1,  2130,    -1,    -1,   526,    -1,    -1,   529,
     530,   531,   147,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,    -1,    -1,  5162,  4412,    -1,    -1,    -1,
      -1,    -1,  5687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2380,  2381,    -1,    -1,    -1,    -1,    -1,  2387,  2388,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1226,  1227,  2185,   526,
      -1,  4447,  4448,  4449,  4450,  4451,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,  2416,    -1,  2205,    -1,
      -1,   282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2217,    -1,    -1,    -1,    -1,  1558,    -1,    -1,    -1,  4485,
    4486,  4487,  2229,  4489,  4490,  4491,    -1,    -1,    -1,    -1,
    5909,  2597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
      -1,    -1,  2472,  2619,    -1,    -1,    -1,    -1,  2265,  2266,
      -1,    -1,    -1,   344,    -1,    -1,    -1,   282,   283,  5900,
      -1,  2637,    -1,    -1,    -1,    -1,    -1,  2643,  5909,  5958,
      -1,  2647,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5973,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1353,    -1,    -1,    -1,  2673,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2545,  2546,  5958,    -1,   344,
      -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,  5356,
      84,    -1,  5973,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,  2717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4625,
      -1,    -1,  4628,  4629,   108,    -1,   131,    -1,    -1,  2735,
      -1,    -1,   116,  2593,  5909,    -1,    -1,    -1,    -1,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4654,    -1,
      -1,    -1,    -1,  2613,    -1,  2615,    -1,  2617,    -1,    -1,
     165,  2767,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2419,    -1,    -1,   430,  1759,    -1,    -1,    -1,
      -1,  1764,  1765,  5958,    -1,  2791,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2799,    -1,  2655,    -1,    -1,  5973,    -1,
    2806,    -1,    -1,    -1,  2810,    -1,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,   224,
      -1,    -1,    -1,    -1,  2830,    -1,  1516,    -1,    -1,  2835,
      -1,  2688,    -1,  2839,    -1,    -1,    -1,    -1,  2695,    -1,
    1530,    -1,    -1,    -1,  3195,  3196,  2852,    -1,    -1,  3200,
      -1,    -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,  2865,
      -1,    -1,    -1,    -1,    -1,  1848,    -1,    -1,  1558,  2875,
      -1,   526,   256,    -1,   529,   530,   531,   261,   533,   534,
     535,   536,   537,   538,    -1,    -1,  3237,  3238,   293,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,
      -1,    -1,    -1,    -1,  1594,  4811,  4812,    -1,    -1,    -1,
      -1,    -1,    -1,   297,    -1,  4821,    84,  4823,  4824,    87,
    1610,  4827,   327,    91,    92,    93,    -1,    -1,    -1,    -1,
    5587,    -1,    -1,    -1,    -1,  1625,    -1,    -1,  1628,    -1,
     108,    98,    -1,    -1,    -1,    -1,   330,   104,   116,    -1,
      -1,    -1,  1935,   358,    -1,   123,  2816,    -1,    -1,    -1,
     344,    -1,  1945,   347,  2824,    -1,    -1,  2827,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,  4887,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,
      -1,    -1,    -1,   398,    -1,   400,    -1,   402,    -1,    -1,
      -1,    -1,    -1,    -1,   409,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,    -1,    -1,    -1,  4922,    -1,    -1,    -1,
     425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5687,  2014,   437,    -1,  2017,  2018,    -1,    -1,   195,    -1,
     445,    -1,   199,    -1,    -1,  2692,   430,    -1,    -1,   206,
      -1,    -1,   209,    -1,    -1,    -1,  4962,  2704,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1756,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1764,  1765,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1775,    -1,    -1,   256,    -1,
      -1,    -1,    -1,   261,    -1,   500,    -1,  2744,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3111,   111,    -1,    -1,   266,
      -1,    -1,    -1,    -1,   282,   283,    -1,    -1,  2101,    -1,
      -1,    -1,    -1,  3129,    -1,    -1,   131,    -1,    -1,   297,
      -1,  3137,    -1,    -1,    -1,    -1,    -1,  1827,  1828,  1829,
      -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,    -1,    -1,  1848,    96,
     165,   545,   330,    -1,   101,    -1,    -1,    -1,   325,    -1,
     327,    -1,  3032,  3033,    -1,    -1,   344,    -1,    -1,   347,
     337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1878,   346,
      -1,    -1,    -1,    -1,    -1,  1885,    78,    -1,   135,    -1,
     357,    -1,    84,    -1,    -1,    -1,  1896,    89,    -1,    -1,
    5116,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,
      -1,    -1,    -1,    -1,    -1,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,   394,    -1,    -1,
     397,   398,    -1,    -1,    -1,  3105,    -1,    -1,    -1,    -1,
      -1,  5157,  5909,   258,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,   430,    -1,    91,    92,    93,   204,   425,    -1,
      -1,    -1,    -1,    -1,  2921,    -1,    -1,    -1,   215,   161,
      -1,   108,    -1,   288,  3141,    -1,    -1,    -1,   293,   116,
    3147,    -1,    -1,    -1,    -1,    -1,   123,    -1,   235,    -1,
      -1,  5958,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5973,    -1,    -1,    -1,
     147,    -1,   327,    -1,    -1,   111,    -1,   209,    -1,    -1,
      -1,    -1,   489,    -1,    -1,   217,    -1,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,
     232,    -1,    -1,   358,    -1,    -1,    -1,    -1,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,   310,    -1,    -1,    -1,   545,    -1,   165,
      -1,    -1,    -1,  2073,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   398,    -1,    -1,    -1,   402,    -1,    -1,
      -1,    -1,    -1,    -1,   409,    -1,    -1,   344,    -1,    -1,
      -1,    -1,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,   437,  3290,   261,  2125,    -1,    -1,   224,   376,
     445,    -1,    -1,    -1,    -1,    -1,  3452,    -1,  3308,    -1,
      -1,  3311,    -1,  3313,    -1,   282,   283,    -1,    -1,  2149,
      -1,   466,    -1,    -1,    -1,    -1,    -1,  2157,    -1,    -1,
     297,    -1,   258,  5379,  5380,   412,  3336,  3337,    -1,  2169,
    3127,    -1,   419,    -1,    -1,   422,  5392,    -1,    -1,    -1,
    5396,    -1,    -1,    -1,    -1,   500,    -1,  3144,    -1,   504,
    5406,  3358,   288,   330,    -1,    -1,    -1,   293,    -1,    -1,
    3157,   393,    -1,    -1,    -1,   452,    -1,   344,    -1,    -1,
     347,    -1,   459,    -1,    -1,    -1,    -1,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,    -1,   473,    -1,    -1,    -1,
      -1,   327,    -1,    -1,    -1,    -1,   428,    -1,    -1,    -1,
      -1,    -1,  2242,  2243,  3560,  2245,  2246,    -1,    -1,    -1,
      -1,   498,    -1,    -1,    -1,    -1,    -1,  2257,    -1,    -1,
      -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,  2268,  2269,
    3931,  3932,  3933,  3934,    -1,    -1,  3937,  3938,  3939,  3940,
    3941,  3942,  3943,  3944,  3945,  3946,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   430,  2294,    -1,    -1,    -1,    -1,    -1,
    2593,    -1,   398,  3964,  2597,    -1,   402,    -1,    -1,    -1,
      -1,    98,    -1,   409,    -1,    -1,    -1,   104,    -1,    -1,
    2613,   417,    -1,    -1,    -1,    98,    -1,    -1,    -1,   425,
     117,   104,  3993,  3994,  2334,    -1,    -1,    -1,    -1,   998,
      -1,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3673,   145,    -1,
      -1,    -1,  2655,  1022,    -1,    -1,    -1,    -1,    -1,    -1,
     466,    -1,   145,  5589,    -1,    -1,    -1,  5593,    -1,  5595,
      -1,    -1,    -1,  5599,  5600,    -1,    -1,    -1,    -1,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,   500,    -1,   543,    -1,   504,    -1,
     197,    -1,   199,    -1,    -1,    -1,    -1,    -1,    -1,   206,
      -1,    -1,   209,    -1,  2424,    -1,   199,    -1,    -1,    -1,
      -1,    84,    -1,   206,    87,    -1,   209,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    84,
      -1,   234,    87,   116,    -1,    -1,    91,    92,    93,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,   266,   147,    -1,    -1,    -1,   123,    -1,
      -1,    -1,  3459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5729,    -1,  5731,    -1,    -1,  2518,  3476,
      -1,    -1,   147,  2816,    -1,    -1,    -1,    -1,  3844,    -1,
      -1,  2824,    -1,    -1,  2827,    -1,  3706,    -1,   325,    -1,
     327,    -1,  3712,    -1,    -1,    -1,    -1,  3863,    -1,    -1,
     337,    -1,   325,    -1,   327,    -1,    -1,    -1,    -1,   346,
      -1,    -1,    -1,    -1,   337,    -1,  3736,    -1,    -1,    -1,
     357,    -1,  3888,   346,    -1,  2575,    -1,  2577,    -1,    -1,
      -1,    -1,    -1,    -1,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2597,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,   394,   261,    -1,
     397,   398,    -1,  3570,    -1,  3572,    -1,  5833,    -1,  2619,
      -1,   394,    -1,    -1,   397,   398,    -1,    -1,    -1,   282,
     283,   256,    -1,    -1,    -1,    -1,   261,  2637,   425,    -1,
      -1,    -1,  2642,  2643,   297,    -1,    -1,  2647,    -1,  3819,
      -1,    -1,   425,    -1,    -1,  2655,  3826,   282,   283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,  2673,    -1,    -1,  4337,   330,    -1,    -1,
      -1,    -1,   874,    -1,  5900,    -1,   878,    -1,    -1,    -1,
    1349,   344,    -1,  5909,   347,  2695,  3653,    -1,    -1,    -1,
     892,    -1,   489,    -1,    -1,   330,    -1,    -1,   900,    -1,
      -1,    -1,    -1,  1372,    -1,    -1,   489,  2717,    -1,   344,
      -1,   913,   347,    84,  3681,  3895,    87,    -1,  1387,    -1,
      91,    92,    93,    -1,    -1,  2735,  2736,    -1,    -1,    -1,
      -1,    -1,  5958,    -1,    -1,    -1,    -1,   108,    -1,    -1,
     942,    -1,    -1,    -1,    -1,   116,   948,  5973,    -1,    -1,
      -1,    -1,   123,    -1,    -1,    -1,  2766,  2767,    -1,   961,
    2770,    -1,    -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,  2791,    -1,  2793,    -1,   987,    -1,    -1,    -1,  2799,
      -1,    -1,    -1,    -1,    -1,   430,  2806,    -1,    -1,    -1,
    2810,  1003,  3105,    -1,    -1,    -1,    -1,  1476,  1010,    -1,
      -1,    -1,    -1,    -1,  3781,    -1,    -1,    -1,    -1,    -1,
    2830,  1023,    -1,    -1,    -1,  2835,    -1,    -1,    -1,  2839,
      -1,    -1,  2842,    -1,    -1,  4161,    -1,  1039,  4015,    -1,
      -1,  4018,  2852,    -1,    -1,    -1,    -1,  3814,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2865,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,    -1,  2875,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
     543,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
     261,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,    -1,    -1,   543,    -1,
      -1,   282,   283,    -1,    -1,    -1,  4587,    -1,    -1,    -1,
    2930,    -1,    -1,    -1,  4104,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1136,    -1,  1138,    -1,  1140,  1608,
      -1,    -1,  3909,    -1,    -1,    -1,  4272,    -1,    -1,  4275,
      -1,    -1,    -1,  4130,    -1,    -1,    -1,  1159,    -1,   330,
      -1,    -1,    -1,  3930,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3955,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3007,    -1,    -1,
      -1,    -1,    -1,    -1,   166,    -1,    98,    -1,    -1,    -1,
    3313,    -1,   104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3989,    -1,  1226,  1227,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,  4217,    91,    92,
      93,    -1,    -1,    -1,    -1,    -1,  4372,    -1,    -1,    -1,
    3060,    -1,    -1,   145,   216,   108,    -1,    -1,    -1,   430,
      -1,  4241,    -1,   116,    -1,  4391,   228,  4247,    -1,    -1,
     123,   233,    -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,
      -1,    -1,   244,    -1,    -1,   247,    -1,    -1,   250,    -1,
    1759,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,
      -1,  3111,    -1,   195,    -1,    -1,    -1,   199,    -1,    -1,
      -1,    -1,  1314,  1315,   206,    -1,   278,   209,    -1,  3129,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3137,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   298,  3147,    -1,  4319,
    4320,    -1,   234,    -1,    -1,    -1,  4472,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,   543,    -1,   266,    -1,    -1,   339,    -1,    -1,
     342,    -1,    -1,    -1,    -1,    -1,   348,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,    -1,  4379,   256,    -1,    -1,  3216,    -1,   261,    -1,
      -1,   108,  3222,    -1,    -1,    -1,    -1,    -1,    -1,   116,
    1889,    -1,    -1,    -1,    -1,    -1,   123,    -1,    -1,   282,
     283,    -1,    -1,   325,    -1,   327,    -1,    -1,    -1,   401,
      -1,    -1,    -1,    -1,   297,   337,    -1,    -1,    -1,    -1,
     147,    -1,    -1,    -1,   346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   357,    -1,  4447,  4448,  4449,
    4450,  4451,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1955,    -1,    -1,  4469,
     452,   344,    -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,
      -1,  4972,   394,  3313,    -1,   397,   398,    -1,    -1,    -1,
    4981,    -1,    -1,    -1,  1516,    -1,   478,    -1,    -1,    -1,
      -1,  1990,    -1,    -1,    -1,    -1,    -1,    -1,  1530,    -1,
      -1,    -1,    -1,   425,    -1,    -1,    -1,    -1,    -1,    -1,
     502,    -1,   504,   505,  2013,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1558,    -1,    -1,   256,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,   540,    -1,
      -1,   543,   544,    -1,   546,   282,   283,    -1,    -1,    -1,
      -1,    -1,  1594,    -1,    -1,    -1,    -1,   489,    -1,  4366,
     297,    -1,    -1,  3706,    -1,    -1,    -1,    -1,  1610,  3712,
      -1,    -1,    -1,    -1,    -1,  3425,  3426,  4743,  4595,    -1,
      -1,    -1,  4599,  1625,    -1,  2094,  1628,    -1,    -1,  4755,
      -1,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
    2109,    -1,  3452,    -1,    -1,  3455,    -1,   344,  4628,  2118,
     347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,  4654,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,    -1,
     543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3536,  3537,  3538,    -1,
      -1,    -1,    -1,   430,    -1,    -1,  2205,  4717,    -1,    -1,
      -1,  4721,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,
    3560,    -1,    -1,    -1,  1756,    -1,    -1,    -1,    -1,    -1,
    2229,    -1,  1764,  1765,    -1,    -1,  4746,  4747,    -1,    -1,
    3580,  4751,  4752,  1775,    -1,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,  3594,    -1,    91,    92,    93,    -1,
    4557,    -1,  3895,    -1,    -1,  5266,  2265,  2266,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,
    5291,    -1,    -1,    -1,    -1,  1827,  1828,  1829,    -1,   526,
    4956,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,   147,    -1,   541,    -1,  1848,    -1,    -1,    -1,
      -1,    -1,  1454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3673,    -1,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4851,    -1,  1878,    -1,    -1,  1481,
      -1,    -1,    -1,  1885,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,  1896,    -1,    -1,    -1,    -1,   883,
     884,  3711,  1504,   887,  1906,    -1,    -1,    -1,  3718,    -1,
    3720,    -1,  1514,    -1,    -1,    -1,    -1,    -1,  1520,    -1,
      -1,   905,  4689,  3733,  1526,  3735,    -1,    -1,   912,    -1,
    1532,    -1,    -1,  1535,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1947,  5072,  3757,  5074,   933,
    2419,   256,    -1,   937,    -1,    -1,   261,    -1,    -1,    -1,
    4727,    -1,    -1,    -1,    -1,    -1,    -1,   951,    -1,    -1,
      -1,    -1,    -1,    -1,   958,    -1,    -1,   282,   283,    -1,
      -1,  4748,    -1,    -1,    -1,   209,    -1,    -1,  3798,    -1,
      -1,    -1,   297,   217,    -1,   219,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,   232,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,  3844,    -1,   116,    -1,  5509,   344,
    5017,    -1,   347,   123,    -1,    -1,  4813,  5024,    -1,    -1,
      -1,    -1,  5029,  3863,    -1,  5032,  5033,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,
    5050,  2073,    -1,    -1,    -1,  3885,    -1,    -1,  3888,    -1,
      -1,    -1,    -1,    -1,    98,    -1,    -1,  5064,    -1,    -1,
     104,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
      -1,  5078,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4217,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,  2125,    -1,   430,    -1,    -1,   116,    -1,
      -1,   145,    -1,    -1,    -1,   123,  5116,    -1,  4241,    -1,
      -1,    -1,    -1,    -1,  4247,    -1,    -1,  2149,    -1,  5126,
      -1,    -1,    -1,    -1,    -1,  2157,  3966,  2626,  4925,   147,
      -1,  2630,  2631,    -1,    -1,    -1,    -1,  2169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,   261,    -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,
      -1,  5168,   206,    -1,    -1,   209,    -1,    -1,    -1,    -1,
      -1,    -1,   282,   283,    -1,    -1,    -1,   131,    -1,  4976,
      -1,    -1,    -1,    -1,    -1,  5686,    -1,   297,    -1,    -1,
     234,   526,    -1,  2692,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,  2704,    -1,    -1,   543,    -1,
      -1,   165,    -1,  2245,  2246,    -1,    -1,    -1,    -1,    -1,
     330,    -1,   266,    -1,    -1,  2257,    -1,    -1,    -1,    -1,
    5237,    -1,    -1,    -1,   344,    -1,  2268,  2269,   256,    -1,
      -1,   195,    -1,   261,    -1,  2744,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2294,    -1,   282,   283,    -1,    -1,    -1,    -1,
     224,  1285,  1286,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,   325,    -1,   327,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   337,  5301,    -1,    -1,    -1,    -1,    -1,
      98,  5802,   346,    -1,   258,    -1,   104,    -1,    -1,    -1,
      -1,    -1,   330,   357,    -1,    -1,    -1,    -1,    -1,    -1,
     430,  4161,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,
      -1,    -1,    -1,    -1,    -1,    -1,  4469,    -1,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,
     394,    -1,    -1,   397,   398,    -1,    -1,    -1,    -1,    -1,
      -1,  1375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5379,
    5380,  4211,    -1,   327,    -1,    -1,  4216,    -1,  4218,    -1,
      -1,   425,  5392,  5884,    -1,    -1,    -1,    -1,  5889,  1403,
    1404,    -1,  2424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4240,   199,    -1,   357,   358,    -1,    -1,    -1,   206,    -1,
      -1,   209,   430,    -1,  5421,  1429,   526,  4257,    -1,   529,
     530,   531,  2921,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,  4272,    -1,    -1,  4275,   234,    -1,  5445,    -1,
     394,    -1,    -1,    -1,   398,   489,    -1,    -1,   402,    -1,
      -1,    -1,    -1,    -1,    -1,   409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,    -1,    -1,   266,    -1,
    5267,   425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5491,    -1,   437,    -1,    -1,  2518,    -1,    -1,    -1,
      -1,   445,    -1,    -1,    -1,    -1,    -1,  1511,  1512,  5506,
      -1,    -1,    -1,    -1,  3003,    -1,    -1,    -1,   526,    -1,
    5307,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,  4362,  4363,    -1,   543,    -1,   325,    -1,   327,
    5537,    -1,  4372,    -1,    -1,    -1,    -1,    -1,    -1,   337,
      -1,    -1,    -1,  2575,    -1,  2577,   500,    -1,   346,  5705,
      -1,  4391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   357,
      -1,    -1,    -1,    -1,    -1,  2597,    -1,  5364,    -1,    -1,
      -1,    -1,  5369,  5370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4717,    -1,    -1,  2619,  4721,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,   397,
     398,    -1,    -1,    -1,    -1,  2637,  4446,    -1,    -1,    -1,
    2642,  2643,    -1,    -1,   166,  2647,  2248,    -1,    -1,    -1,
     874,    -1,    -1,  2655,  2256,    -1,    -1,   425,  3127,    -1,
      -1,    -1,  4472,    -1,    -1,    -1,    -1,    -1,   892,    -1,
    2272,  2673,  5649,    -1,    -1,  3144,   900,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3157,   913,
      -1,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,
      -1,   233,    -1,    -1,  5481,  2717,   238,    -1,   942,    -1,
      -1,   489,   244,    -1,   948,   247,    -1,  2729,   250,    -1,
      -1,    -1,    -1,  2735,  2736,    -1,    -1,   961,    -1,    -1,
      -1,  5718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5729,
      -1,  5731,    -1,    -1,    -1,    -1,   278,    -1,    -1,    -1,
      -1,    -1,    -1,   987,  2766,  2767,    -1,    -1,  2770,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   298,    -1,    -1,  1003,
      -1,    -1,    -1,    -1,    -1,    -1,  1010,    -1,    -1,  2791,
      -1,  2793,  5769,    -1,    -1,    -1,    -1,  2799,    -1,  1023,
      -1,    -1,  2804,    -1,  2806,    -1,    -1,  5784,  2810,    -1,
      -1,    -1,    -1,  5790,  5791,  1039,    -1,   339,    -1,    -1,
     342,    -1,    -1,    -1,    -1,    -1,   348,    -1,  2830,    -1,
      -1,    -1,    -1,  2835,    -1,    -1,    -1,  2839,    -1,    -1,
    2842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2852,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,
      -1,    -1,    -1,  2865,   104,    -1,    -1,    -1,    -1,    -1,
      -1,   111,    -1,  2875,    -1,    -1,    -1,    -1,    -1,   401,
    5857,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     130,    -1,    -1,    -1,    -1,    -1,  4706,    -1,    -1,    -1,
      -1,  4711,    -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,
      -1,    -1,  1136,    -1,  1138,  2517,  1140,    -1,    -1,    -1,
    5900,    -1,    -1,  5690,    -1,    -1,    -1,    -1,  2930,  5909,
     452,  3400,    -1,  4743,  3403,    -1,  3405,    -1,    -1,   179,
      -1,  3410,    -1,    -1,    -1,  4755,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,   199,
      -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,   209,
      -1,    -1,  4782,    -1,    -1,    -1,    -1,    -1,  5958,  5956,
     502,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,  1973,
    3459,    -1,    -1,  5973,   234,    -1,    -1,  5974,  5975,    -1,
      -1,    -1,  1226,  1227,    -1,  3007,    -1,  3476,    -1,    -1,
      -1,    -1,    -1,  5116,    -1,    -1,    -1,    -1,   540,    -1,
      -1,   543,   544,   263,   546,    -1,   266,    -1,    -1,    -1,
      -1,    -1,  3501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,     9,    -1,    -1,
      -1,    13,    -1,    15,    -1,    17,    18,    -1,  3060,    -1,
      -1,    -1,    -1,    -1,  4874,    -1,    28,    -1,    -1,    -1,
      -1,   311,    -1,    -1,   314,  2059,  2060,  2061,  2062,    -1,
      -1,    -1,    44,    45,    -1,   325,    -1,   327,    -1,    -1,
    1314,  1315,    -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,
      -1,  3570,    -1,  3572,    -1,    -1,   346,    -1,    -1,  3111,
      -1,    -1,    -1,    -1,    -1,    -1,   356,   357,    -1,  2103,
    2104,    -1,    -1,    -1,    -1,    -1,    -1,  3129,    -1,    -1,
      -1,    -1,    94,    -1,    -1,  3137,    -1,    -1,    -1,    -1,
    2124,    -1,   104,    -1,   106,   107,  4956,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   394,    -1,    -1,   397,   398,   399,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2159,  2160,  2161,  2162,   419,
     142,    -1,   144,   145,  3653,   425,    -1,    -1,    -1,   151,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   439,
      -1,    -1,   164,    -1,   166,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3681,    -1,  3216,    -1,    -1,    -1,    -1,   181,
    3222,   183,    -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3706,   200,    -1,
     202,    -1,    -1,  3712,   206,    -1,    -1,    -1,    -1,   489,
     212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,
     222,    -1,  5072,    -1,  5074,    -1,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5379,  5380,    -1,    -1,
      -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,  5392,
    2274,    -1,  1516,    -1,    -1,    -1,  2280,    -1,   260,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1530,  5117,    -1,    -1,
      -1,  3313,  3781,    -1,    -1,    -1,  5126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3799,    -1,    -1,    -1,  1558,    -1,    -1,   299,   300,    -1,
      -1,    -1,    -1,   305,    -1,  3814,    -1,    -1,    -1,    -1,
      -1,    -1,  5162,    -1,    -1,   317,    -1,    -1,  5168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,
    1594,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,  1610,    -1,  5491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     108,  1625,    -1,    -1,  1628,    -1,    -1,    -1,   116,   371,
      -1,    -1,    -1,  3015,    -1,   123,    -1,    -1,    -1,    -1,
    3022,    -1,   384,  3425,  3426,    -1,    -1,    -1,   390,   391,
      -1,   393,    -1,    -1,    -1,    -1,   398,  3039,    -1,   147,
    3909,   403,    -1,  2427,   406,    -1,    -1,  3049,    -1,   411,
    3452,  3053,    -1,  3455,  3056,   417,   418,    -1,    -1,    -1,
    3062,  3930,  3064,   425,    -1,  3067,    -1,   429,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3955,    -1,    -1,    -1,
     452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   471,
      -1,   473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,
    3989,    -1,    -1,    -1,    -1,   487,    -1,    -1,    -1,    -1,
     492,    -1,  1756,    -1,  3536,  3537,  3538,  3139,    -1,    -1,
    1764,  1765,    -1,   505,    -1,    -1,  5356,    84,   256,    -1,
      87,  1775,    -1,   261,    91,    92,    93,    -1,  3560,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   528,    -1,    -1,    -1,
      -1,   108,    -1,    -1,   282,   283,    -1,    -1,  3580,   116,
     542,    -1,  5392,    -1,   546,    -1,   123,    -1,    -1,   297,
      -1,    -1,  3594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1827,    -1,    -1,    -1,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,  1848,    -1,  5729,    -1,  5731,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,   104,
      -1,  3673,  1896,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2690,  2691,    -1,  3711,
     145,    -1,    -1,    -1,    -1,  2699,  3718,  2701,  3720,   256,
      -1,  2705,   430,  1947,   261,    -1,    -1,    -1,    -1,    -1,
      -1,  3733,    -1,  3735,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   282,   283,    -1,  4217,    -1,
      -1,    -1,    -1,    -1,    -1,  3757,    -1,    -1,    -1,    -1,
     297,    -1,    -1,    -1,   199,    -1,    -1,    -1,    -1,    -1,
      -1,   206,  4241,    -1,   209,    -1,    -1,  5587,    -1,  5589,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   330,    -1,    -1,  3798,  5900,    -1,   234,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,
     347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,   266,    -1,    -1,    -1,   543,    -1,    -1,  2822,  3441,
      -1,  2825,  3844,    -1,    -1,    -1,    -1,    -1,    -1,  2073,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5687,    -1,    -1,
      -1,    -1,    -1,  3885,    -1,    -1,  3888,    -1,    -1,    -1,
     325,    -1,   327,   430,    -1,  5705,    -1,  4366,    -1,    -1,
      -1,  2125,   337,    -1,    -1,    -1,    -1,    -1,  5718,  2893,
      -1,   346,    -1,    -1,    -1,    -1,    -1,  2901,  2902,  3521,
      -1,  3523,   357,    -1,  2908,  2149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2157,    -1,    -1,    -1,    -1,  2922,    -1,
      -1,    -1,    -1,    -1,    -1,  2169,    -1,  4416,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,
      -1,    -1,   397,   398,  3966,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2963,
    5790,  5791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
     425,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,   543,  2991,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,  2245,  2246,  5833,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   108,  2257,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,    -1,  2268,  2269,    -1,   123,    -1,    -1,
    3652,    -1,    -1,    -1,   489,    -1,  3658,    -1,    -1,    -1,
      -1,  3045,    -1,  3047,    -1,    -1,     5,    -1,    -1,    -1,
    2294,   147,    -1,    -1,    -1,    -1,    -1,    -1,  4547,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,  4557,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,  5909,
      -1,    -1,    -1,    42,    43,    -1,    -1,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    -1,    -1,    -1,    85,    -1,  5958,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4161,
      -1,    -1,    -1,  5973,  5974,  5975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3160,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
    2424,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,  4211,
      -1,    -1,    -1,    -1,  4216,    -1,  4218,    -1,    -1,    -1,
    4689,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3834,    -1,  3836,    -1,  3838,    -1,  4240,    -1,
      -1,    -1,    -1,  3845,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,  4257,    -1,    -1,  4727,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
    4272,   347,    -1,  4275,   213,    -1,    -1,    -1,    -1,  4748,
      -1,    -1,    -1,    -1,    -1,  3887,    -1,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   276,    -1,    -1,
      -1,    -1,    -1,    -1,  4813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,
    4362,  4363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4372,    -1,    -1,  2597,   313,    -1,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4391,
      -1,    -1,    -1,   332,    -1,  2619,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2637,    -1,    -1,    -1,    -1,  2642,  2643,
      -1,    -1,    -1,  2647,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4446,    -1,    -1,    -1,    -1,  2673,
     526,    -1,    -1,   529,   530,   531,  4925,   533,   534,   535,
     536,   537,   538,    -1,    -1,    -1,    -1,   543,    -1,    -1,
    4472,    -1,    -1,    -1,    -1,    -1,    -1,   416,    -1,    -1,
      -1,  3465,    -1,  3467,  3468,  3469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2717,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2729,    -1,  4976,    -1,    -1,
      -1,  2735,  2736,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,   463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,   478,
      -1,    -1,  2766,  2767,    -1,   116,  2770,    -1,    -1,    -1,
      -1,    -1,   123,    -1,   493,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2791,    -1,  2793,
      -1,    -1,    -1,    -1,    -1,  2799,   147,    -1,    -1,    -1,
    2804,    -1,  2806,    -1,   523,    -1,  2810,    -1,    -1,    -1,
      -1,    -1,   531,    -1,   533,   534,   535,   536,   537,    -1,
      -1,   540,   541,   542,    -1,    -1,  2830,    -1,   547,   548,
      -1,  2835,    -1,    -1,    -1,  2839,    -1,    -1,  2842,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2852,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2865,    -1,    -1,    -1,    -1,    -1,  5116,    -1,    -1,
      -1,  2875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    94,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3682,    -1,
      -1,    -1,    -1,    -1,  4706,    -1,  2930,    -1,    -1,  4711,
      -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   131,    -1,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4743,    -1,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4755,    -1,    -1,    -1,    -1,    -1,   330,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5239,    -1,    -1,   344,    -1,    -1,   347,   185,    -1,    -1,
    4782,    -1,    -1,  3007,    -1,   193,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5267,    -1,
     208,    -1,   210,    -1,    -1,    -1,   214,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   224,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3060,    -1,  5307,    -1,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,  4458,    -1,    -1,   430,
    4462,    -1,    -1,    -1,  3848,    -1,    -1,    -1,   108,    -1,
      -1,    -1,  4874,     5,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,    -1,    -1,    -1,  3111,    -1,    -1,
      -1,    -1,    -1,    25,    -1,  5364,    -1,    -1,    -1,    -1,
    5369,  5370,    -1,    35,    36,  3129,    -1,   147,    40,    -1,
      42,    43,    -1,  3137,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,  4956,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,   543,    -1,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,  3216,    -1,    -1,    -1,    -1,    -1,  3222,    -1,
     108,    -1,    -1,    -1,    -1,    -1,   138,    -1,   116,    -1,
      -1,    -1,  5481,    -1,    -1,   123,   256,    -1,    -1,    84,
      -1,   261,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   297,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5072,    -1,  5074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   213,   147,    -1,    -1,  4687,    -1,    -1,    -1,  3313,
     330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5117,    -1,    -1,    -1,    -1,
      -1,   253,    -1,    -1,    -1,    -1,  4728,  4729,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,    -1,
    5162,    -1,    -1,    -1,    -1,    -1,    -1,  4151,  4152,  4153,
    4154,    -1,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,   297,
     430,   256,    -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,
     332,  3425,  3426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4814,  4815,    -1,    -1,    -1,   282,   283,    -1,
      -1,  5690,   330,    -1,    -1,    -1,    -1,    -1,  3452,    -1,
      -1,  3455,   297,    -1,    -1,    -1,   344,    -1,    -1,   347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   672,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
      -1,    -1,    -1,    -1,   416,    -1,   526,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
      -1,    -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3536,  3537,  3538,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4932,   463,    -1,    -1,    -1,    -1,  3560,    -1,    -1,  4941,
    4942,    -1,    -1,    -1,    -1,  4329,   478,    -1,    -1,    -1,
      -1,  4335,    -1,  4955,  5356,    -1,  3580,    -1,    -1,    -1,
      -1,   493,    -1,    -1,    -1,   430,    -1,    -1,    84,    -1,
    3594,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5392,   523,   108,    -1,    -1,    -1,    -1,    -1,    -1,   531,
     116,   533,   534,   535,   536,   537,    -1,   123,   540,   541,
     542,   543,    -1,   545,   546,   547,   548,   549,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,   147,    -1,    -1,    -1,   543,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3673,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,   882,   883,   884,   885,    -1,   887,
      -1,    -1,    -1,   891,    -1,   893,    -1,  3711,   896,    -1,
      -1,    -1,    -1,    -1,  3718,   903,  3720,   905,    -1,    -1,
     908,    -1,    -1,    -1,   912,    -1,   914,    -1,    -1,  3733,
      -1,  3735,    -1,    -1,   922,    -1,    -1,    -1,    -1,    -1,
     928,    -1,   930,    -1,    -1,   933,    -1,   935,    -1,   937,
      -1,    -1,    -1,  3757,    -1,    -1,   944,    -1,    -1,    -1,
     256,   949,    -1,   951,    -1,   261,    -1,    -1,    -1,    -1,
     958,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   282,   283,    -1,    -1,
      -1,    -1,    -1,    -1,  3798,    -1,    -1,    -1,    -1,    -1,
      -1,   297,    -1,    -1,   992,  5587,    -1,  5589,    -1,   997,
      -1,    -1,    -1,    84,  1002,    -1,    87,    -1,  1006,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    -1,    -1,   108,  1026,    -1,
    3844,    -1,    -1,    -1,    -1,   116,    -1,    84,   344,    -1,
      87,   347,   123,    -1,    91,    92,    93,    -1,    -1,  3863,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,    -1,   147,    -1,    -1,   116,
    5262,  3885,    -1,    -1,  3888,    -1,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1084,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5687,    -1,    -1,    -1,    -1,
     147,  1099,    -1,  1101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5705,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,
      -1,  1129,  1130,    -1,    -1,    -1,  1134,  1135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5338,    -1,    -1,    -1,
      -1,    -1,  3966,    -1,    -1,    -1,  1154,    -1,    -1,    -1,
    1158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1166,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,  1176,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1188,    -1,    -1,    -1,    -1,    -1,  5388,    -1,    -1,    -1,
      -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,   261,    -1,   297,    -1,    -1,  4793,
     526,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,    -1,  4808,   282,   283,   543,    -1,    -1,
      -1,  5833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,
      -1,  1269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1280,   330,    -1,    -1,    -1,  1285,  1286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,
     347,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,  5909,    -1,    -1,
    4894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,  1342,    -1,    -1,  4161,    -1,   430,
      -1,    -1,    -1,    -1,    -1,  1353,    -1,    -1,    -1,  1357,
      -1,    -1,    -1,    -1,    -1,    -1,  5958,   147,    -1,    98,
      -1,    -1,    -1,    -1,    -1,   104,    -1,  1375,    -1,    -1,
      -1,  5973,    -1,   430,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4211,    -1,  1397,
      -1,    -1,  4216,    -1,  4218,  1403,  1404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4240,  1425,  1426,  1427,
      -1,  1429,    -1,  1431,    -1,    -1,    -1,    -1,  1436,    -1,
      -1,    -1,    -1,  4257,    -1,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,  4272,    -1,
      -1,  4275,   543,    -1,    -1,    84,    -1,    -1,    87,    -1,
     199,    -1,    91,    92,    93,    -1,   256,   206,    -1,   526,
     209,   261,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,   543,   116,    -1,    -1,
      -1,   166,   282,   283,   123,   234,  5080,  5081,  5082,    -1,
      -1,  1509,    -1,  1511,  1512,    -1,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4362,  4363,
     330,   216,  1550,    -1,    -1,    -1,    -1,    -1,  4372,    -1,
      -1,    -1,    -1,   228,   344,    -1,    -1,   347,   233,    -1,
      -1,    -1,    -1,   238,    -1,    -1,    -1,  4391,    -1,   244,
      -1,    -1,   247,    -1,    -1,   250,    -1,    -1,    -1,    -1,
    1588,  1589,    -1,    -1,    -1,  1593,   325,  1595,   327,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,    -1,
      -1,    -1,    -1,   278,    -1,    -1,    -1,   346,    -1,    -1,
      -1,    -1,    -1,  1621,    -1,  5817,  1624,    -1,   357,  1627,
      -1,    -1,    -1,   298,    -1,    -1,    -1,   256,    -1,    -1,
      -1,  1639,   261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4472,    -1,
      -1,  5235,    -1,   282,   283,   394,    -1,    -1,   397,   398,
    1668,    -1,    -1,    -1,   339,    -1,    -1,   342,   297,    -1,
      -1,    -1,    -1,   348,    -1,    84,    -1,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    98,   425,    -1,  1696,  1697,
    1698,   104,  1700,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   330,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,
      -1,    -1,  1720,    -1,   123,   344,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,    -1,    -1,
      -1,    -1,   145,    -1,  1742,  1743,   526,    -1,   147,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,    -1,
     489,    -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1771,    -1,    84,  1774,    -1,    87,    -1,
      -1,    -1,    91,    92,    93,    -1,    -1,   452,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   199,    -1,    -1,   108,
      -1,    -1,    -1,   206,  1802,    -1,   209,   116,  1806,  1807,
    5384,   430,  5386,   478,   123,    -1,    -1,    -1,    -1,  1817,
    1818,  1819,    -1,  1821,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   234,    -1,    -1,    -1,    -1,    -1,   502,   147,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1846,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,
      -1,    -1,   261,   266,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   540,    -1,    -1,   543,   544,
      -1,   546,    -1,   282,   283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4706,    -1,    -1,    -1,    -1,  4711,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,   325,    -1,   327,    -1,    -1,    -1,    -1,  4743,
      -1,   330,    -1,    -1,   337,    -1,    -1,    -1,    -1,    -1,
      -1,  4755,    -1,   346,  1942,   344,    -1,   256,   347,    -1,
      -1,    -1,   261,    -1,   357,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1961,  1962,    -1,    -1,    -1,  4782,  5543,
      -1,    -1,  1970,   282,   283,  1973,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,   394,    -1,    -1,   397,   398,  1994,    -1,  1996,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2009,    -1,    -1,  2012,    -1,    -1,    84,    -1,    -1,
      87,   330,   425,    -1,    91,    92,    93,    -1,    -1,    -1,
      -1,   430,    -1,    -1,    -1,   344,    -1,    -1,   347,    -1,
      -1,   108,    -1,    -1,    -1,   112,    -1,    -1,    -1,   116,
    2048,    -1,    -1,    -1,  5628,    -1,   123,    -1,    -1,    -1,
    4874,  2059,  2060,  2061,  2062,  2063,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2077,
     147,    -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,
      -1,  2089,    -1,  2091,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2103,  2104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,    -1,    -1,    -1,    -1,  2124,   526,    -1,   196,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
      -1,    -1,  4956,    -1,   543,  2143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5732,    -1,
      -1,  2159,  2160,  2161,  2162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2172,    -1,    -1,    -1,    -1,    -1,
      -1,  2179,    -1,    -1,  2182,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
    2198,    -1,    -1,  2201,    -1,    -1,    -1,    -1,  2206,    -1,
      -1,    -1,    -1,  2211,    -1,   282,   283,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
     297,    -1,    -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2242,  2243,    -1,    -1,    -1,    -1,
      -1,    -1,  5826,    -1,    -1,  2253,  2254,    -1,  5072,    -1,
    5074,    -1,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2273,  2274,   344,    -1,    -1,
     347,    -1,  2280,    -1,  5858,  5859,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2291,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5117,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2325,    -1,    -1,
      -1,    -1,    -1,    -1,  2332,    -1,  2334,    -1,    -1,    -1,
    2338,  2339,    -1,  2341,    -1,    -1,    -1,    -1,  5162,    -1,
    2348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2358,    -1,    -1,   430,    -1,  2363,  2364,    -1,    -1,  2367,
      -1,    -1,  5946,  2371,  2372,    -1,    -1,    -1,    -1,  2377,
    2378,    -1,    -1,    -1,    -1,    -1,  2384,  2385,  2386,    -1,
      -1,    -1,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,
      -1,  2399,    -1,  2401,  2402,    -1,    -1,  2405,    -1,    -1,
    5224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   486,
      -1,    -1,  2420,  2421,  2422,  2423,    -1,    -1,    -1,  2427,
    2428,    -1,    -1,    -1,  2432,    -1,    -1,  2435,    -1,    -1,
    2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,    -1,
    2448,    -1,    -1,    -1,    -1,    -1,    -1,  2455,  2456,   526,
      -1,  2459,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2481,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2519,    -1,  2521,    -1,  2523,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2536,    -1,
      -1,    -1,  5356,     5,    -1,    -1,    -1,  2545,  2546,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2559,    -1,    25,    -1,    -1,    -1,    -1,  2566,    -1,
    2568,    -1,    -1,    35,    36,    -1,    -1,    -1,  5392,    -1,
      42,    43,    -1,    -1,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2657,
      -1,  2659,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,   138,    -1,  2676,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
    2688,    -1,  2690,  2691,    -1,   116,    -1,  2695,    -1,  2697,
      -1,  2699,   123,  2701,    -1,    -1,    -1,  2705,    -1,    -1,
    2708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2739,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2747,
      -1,   213,    -1,    -1,    -1,    -1,  2754,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2763,    -1,    -1,    -1,   231,
      -1,    -1,    -1,  5587,    -1,  5589,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2782,    -1,    -1,    -1,    -1,  2787,
    2788,   253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2797,
    2798,    -1,    -1,  2801,    -1,  2803,    -1,    -1,    -1,    -1,
      -1,    -1,   233,    -1,   276,    -1,    -1,   238,    -1,    -1,
      -1,    -1,    -1,    -1,  2822,    -1,    -1,  2825,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,
     261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2846,  2847,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,   282,   283,  2861,    -1,  2863,  2864,    -1,    -1,    -1,
     332,    -1,    -1,  5687,    -1,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5705,    -1,    -1,    -1,  2893,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2901,  2902,    84,    -1,    -1,    87,   330,
    2908,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2920,   344,  2922,    -1,   347,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,  2936,    -1,
      -1,  2939,    -1,  2941,   123,    -1,  2944,    -1,    -1,    -1,
    2948,    -1,    -1,  2951,   416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2963,  2964,    -1,   147,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2991,    -1,  2993,    -1,    -1,    -1,    -1,
      -1,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   430,
    3008,    -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,  5833,
      -1,  3019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,    -1,    -1,    -1,  3033,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3043,    -1,  3045,  3046,  3047,
    3048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,
      -1,   533,   534,   535,   536,   537,    -1,   256,   540,   541,
     542,   543,   261,    -1,    -1,   547,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5909,  3094,    -1,    -1,    -1,
      -1,    -1,    -1,   282,   283,   526,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3131,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3141,  5958,    -1,    -1,    -1,    -1,  3147,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5973,
      -1,    -1,  3160,    -1,    -1,   344,    -1,    -1,   347,  3167,
      -1,    -1,    -1,    -1,  3172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   370,    -1,    -1,    -1,    -1,    -1,  3195,  3196,  3197,
      -1,    -1,  3200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3208,  3209,  3210,  3211,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3221,    -1,    -1,  3224,    -1,  3226,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3237,
    3238,    -1,    -1,  3241,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   430,    -1,    -1,    -1,  3253,    -1,  3255,    -1,  3257,
      -1,  3259,    -1,    -1,    -1,    -1,    84,   446,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,  3279,    -1,    -1,    -1,  3283,    -1,    -1,    -1,    -1,
     108,    -1,  3290,   111,  3292,  3293,  3294,    -1,   116,    -1,
      84,    -1,    -1,    87,    -1,   123,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3317,
      -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,   147,
      -1,  3329,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,
      -1,    -1,    -1,    -1,    -1,     5,  3344,   526,    -1,    -1,
     529,   530,   531,    -1,   533,   534,   535,   536,   537,   538,
    3358,    -1,    -1,   147,  3362,    25,    -1,  3365,    -1,  3367,
      -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,
      -1,    -1,    42,    43,    -1,    -1,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3431,    -1,  3433,    -1,    -1,   256,    -1,
    3438,    -1,    -1,   261,    -1,    -1,    -1,    -1,   232,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   282,   283,    -1,  3465,    -1,  3467,
    3468,  3469,   256,    -1,    -1,    -1,    -1,   261,   138,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   101,    -1,    -1,   282,   283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,   347,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   148,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,   213,    -1,    -1,    -1,   163,    -1,    -1,
     344,    -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   231,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,
    3578,   187,    -1,    -1,   368,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   215,
      -1,    -1,   430,    -1,    -1,    -1,   276,   223,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,
      -1,   247,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,
      -1,    -1,    -1,   313,    -1,    -1,   316,    -1,   264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   289,  3682,    -1,    -1,    -1,    -1,  3687,
    3688,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,    -1,    -1,  3724,  3725,  3726,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
      -1,    -1,   526,  3741,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,    -1,   416,    -1,    -1,    -1,
     366,    -1,    -1,    -1,    -1,  3763,  3764,    -1,    -1,    -1,
     376,    -1,    -1,   379,    -1,  3773,  3774,  3775,    -1,    -1,
      -1,  3779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,   405,
      -1,    -1,    -1,   463,   410,    -1,   412,    -1,    -1,    -1,
      -1,  3809,    -1,   419,    -1,    -1,   422,    -1,   478,    98,
      -1,    -1,    -1,    -1,    -1,   104,    -1,    -1,  3826,    -1,
      -1,    -1,   111,   493,    -1,   441,    -1,    -1,    -1,    -1,
      -1,   447,    -1,    -1,    -1,   451,   452,    -1,    -1,   455,
    3848,   130,    -1,   459,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   468,   523,    -1,    -1,   145,   473,    -1,    -1,
      -1,   531,  3870,   533,   534,   535,   536,   537,    -1,   485,
     540,   541,   542,   543,    -1,    -1,    -1,   547,  3886,    -1,
      -1,    -1,   498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3906,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3915,    -1,    -1,
     199,    -1,    -1,  3921,    -1,  3923,    -1,   206,  3926,    -1,
     209,    -1,    -1,  3931,  3932,  3933,  3934,    -1,    -1,  3937,
    3938,  3939,  3940,  3941,  3942,  3943,  3944,  3945,  3946,    -1,
      -1,    -1,  3950,  3951,    -1,   234,    -1,    -1,    -1,    -1,
      -1,    -1,  3960,    -1,    -1,    -1,  3964,    -1,    -1,    -1,
    3968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3976,    -1,
      -1,  3979,    -1,  3981,   263,    -1,    -1,   266,    -1,    -1,
      -1,    -1,  3990,    -1,    -1,  3993,  3994,    -1,    -1,    -1,
    3998,  3999,    -1,    -1,    -1,  4003,    -1,  4005,    -1,    -1,
      -1,    -1,    -1,    -1,  4012,  4013,  4014,  4015,    -1,    -1,
    4018,  4019,    -1,    -1,    -1,  4023,  4024,  4025,    -1,    -1,
      -1,    -1,   311,  4031,    -1,   314,    -1,    -1,    -1,  4037,
    4038,  4039,    -1,    -1,    -1,    -1,   325,    84,   327,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,   337,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    84,   346,    -1,    87,
      -1,   108,    -1,    91,    92,    93,    -1,   356,   357,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,  4086,    -1,
     108,    -1,    -1,   111,    -1,    -1,    -1,    -1,   116,    -1,
      -1,    -1,  4100,    -1,  4102,   123,    -1,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,   394,    -1,    -1,   397,   398,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,  4130,  4131,  4132,    -1,  4134,    -1,    -1,    -1,
     419,   116,    -1,    -1,    -1,    -1,   425,    -1,    -1,    -1,
      -1,    -1,    -1,  4151,  4152,  4153,  4154,    -1,    -1,    -1,
     439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4180,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   209,    -1,    -1,    -1,   256,    -1,
      -1,    -1,   217,   261,   219,   282,   283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,    -1,    -1,
     297,    -1,    -1,    -1,   282,   283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4290,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,
     347,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,   364,    -1,   347,
      -1,  4329,    -1,    -1,    -1,  4333,    -1,  4335,    -1,  4337,
      -1,    -1,    -1,    -1,    -1,    -1,  4344,    -1,    -1,    -1,
      -1,    -1,  4350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,  4375,    91,    92,
      93,  4379,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4389,    -1,   430,    -1,   108,    -1,    -1,    -1,    -1,
    4398,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,
     123,  4409,   430,    -1,    -1,  4413,    -1,    -1,    -1,  4417,
    4418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,  4447,
    4448,  4449,  4450,  4451,    -1,    -1,  4454,    -1,  4456,    -1,
      -1,    -1,    -1,   108,    -1,  4463,   111,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
      -1,    -1,   529,   530,   531,  4493,   533,   534,   535,   536,
     537,   538,   147,    -1,    -1,    -1,  4504,    -1,   526,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,    -1,    -1,    -1,    -1,   238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4534,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,  4544,  4545,   261,    -1,
      -1,    -1,    -1,  4551,  4552,    -1,    -1,    -1,  4556,    -1,
      -1,    -1,    -1,  4561,    -1,    -1,  4564,  4565,    -1,   282,
     283,  4569,  4570,    -1,    -1,    -1,    -1,  4575,  4576,  4577,
    4578,  4579,    -1,    -1,   297,  4583,  4584,  4585,    -1,  4587,
    4588,    -1,    -1,  4591,    -1,    -1,    -1,  4595,    -1,    -1,
      -1,  4599,    -1,    -1,    -1,    -1,    -1,  4605,    -1,    -1,
      -1,   256,    -1,    -1,  4612,    -1,   261,   330,    -1,  4617,
      -1,    -1,    -1,    -1,    -1,  4623,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,   347,  4633,    -1,   282,   283,    -1,
      -1,    -1,  4640,    -1,    -1,    -1,  4644,    -1,    -1,    -1,
      -1,  4649,   297,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,
    4668,    -1,    -1,  4671,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,    -1,   330,    -1,    -1,    -1,   116,
      -1,    -1,    -1,  4691,  4692,    -1,   123,    -1,    -1,   344,
      -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4709,    -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,
     147,    -1,    -1,    -1,  4722,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   108,    -1,    -1,   111,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,    -1,
      -1,    -1,    -1,  4771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,  4793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4808,    -1,    -1,   526,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,   261,    -1,    -1,    -1,    -1,  4837,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4851,    -1,   282,   283,    -1,    -1,  4857,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4866,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,    -1,  4881,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,    -1,  4894,    -1,  4896,   874,
      -1,   256,    -1,   330,    -1,    -1,   261,   882,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   891,   344,    -1,    -1,
     347,    -1,    -1,    -1,    -1,    -1,    -1,   282,   283,  4927,
      -1,    -1,  4930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4972,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4981,    -1,    -1,    -1,    -1,    -1,   344,
      -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4998,  4999,    -1,   430,  5002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   992,    -1,  5017,
      -1,    -1,  5020,   998,    -1,    -1,  5024,  1002,    -1,    -1,
      -1,  5029,    -1,   460,  5032,  5033,    -1,  5035,    -1,  5037,
      -1,    -1,  5040,  5041,    -1,    -1,    -1,  1022,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5064,    -1,  5066,    -1,
      -1,    -1,    -1,    -1,    -1,   430,    -1,    -1,    -1,    -1,
    5078,  5079,  5080,  5081,  5082,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5126,  5127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1129,  1130,    -1,    -1,    -1,    -1,
      -1,  1136,    -1,    -1,    -1,  1140,    -1,    -1,    -1,    -1,
    5168,   526,    -1,  5171,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,    -1,  5183,    -1,    -1,  5186,    -1,
      -1,  1166,    -1,  5191,    -1,  5193,    -1,    -1,    -1,    -1,
      -1,    -1,  5200,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,  5217,
      -1,    -1,    -1,  5221,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,  5235,  5236,  5237,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,  5266,    -1,
      -1,  5269,    -1,  5271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5291,    -1,    -1,    -1,    -1,    -1,  5297,
      -1,    -1,    -1,  5301,    -1,    -1,    -1,  5305,    -1,    -1,
      -1,    -1,    -1,    -1,  5312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1314,
    1315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,
      -1,    -1,    -1,    -1,  1349,   256,  5374,    -1,  1353,    -1,
     261,    -1,    -1,    -1,    -1,  5383,  5384,  5385,  5386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,    -1,
      -1,   282,   283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1387,    -1,    -1,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,  5421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5442,    -1,    -1,  5445,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,  1431,    -1,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1476,    -1,    -1,    -1,  5503,    -1,    -1,  5506,    -1,
      -1,  5509,    -1,    -1,    -1,  5513,    -1,    -1,    -1,    -1,
      -1,    -1,  5520,    -1,    -1,    -1,    -1,  5525,    -1,  5527,
      -1,  5529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5537,
      -1,    -1,    -1,    -1,    -1,  5543,    -1,  5545,    -1,   430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5597,
    5598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,   101,    -1,
    5628,    -1,    -1,  1608,    -1,    -1,    -1,  5635,    -1,    -1,
     113,  5639,    -1,    -1,    -1,   526,    -1,    -1,   529,   530,
     531,  5649,   533,   534,   535,   536,   537,   538,    -1,    -1,
      -1,    -1,   135,    -1,  1639,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5670,    -1,    -1,   148,    -1,    -1,    -1,    -1,
    5678,  5679,    -1,    -1,    -1,  5683,    -1,    -1,  5686,    -1,
     163,    -1,    -1,  1668,    -1,    -1,    -1,    -1,  5696,    -1,
      -1,  5699,    -1,    -1,    -1,    -1,  5704,    -1,   181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5718,  1696,  1697,  1698,    -1,  1700,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,  5732,    -1,    -1,    -1,    -1,    -1,
      -1,  5739,   215,    -1,    -1,  1720,    -1,    -1,    -1,    -1,
     223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,  5764,   240,    -1,    -1,
      -1,  5769,    -1,    -1,   247,    -1,    -1,  5775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5784,    -1,    -1,    -1,
      -1,   264,  5790,  5791,    -1,  5793,    -1,    -1,    -1,  1774,
    1775,    -1,    -1,    -1,  5802,    -1,    -1,    -1,  5806,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5819,    -1,    -1,    -1,    -1,    -1,  1802,  5826,    -1,
      -1,  1806,  1807,    -1,    -1,    -1,    -1,   310,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1821,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5857,
    5858,  5859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   356,    -1,    -1,  5884,    -1,    -1,    -1,
      -1,  5889,    -1,   366,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,    -1,
      -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,  5926,    -1,
      -1,  1906,   405,    -1,  5932,    -1,    -1,   410,    -1,   412,
      -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,  5946,   422,
      -1,    -1,    -1,    -1,    -1,  5953,    -1,    -1,  5956,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   441,    -1,
      -1,    -1,  1947,    -1,   447,    -1,  5974,  5975,    -1,   452,
    1955,    -1,   455,    -1,    -1,    -1,   459,    -1,    -1,    -1,
      -1,    -1,    -1,   466,    -1,   468,    -1,    -1,    -1,    -1,
     473,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   485,    -1,    -1,  1990,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    25,    -1,   498,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,  2013,    -1,
      42,    43,    -1,    -1,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2094,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2109,    -1,   138,    -1,    -1,    -1,
      -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,    -1,
    2125,    -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2185,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2198,    -1,    -1,  2201,    -1,    -1,   231,
    2205,    -1,    -1,    -1,    -1,    -1,  2211,    -1,    -1,    -1,
      -1,    -1,  2217,    89,    -1,    -1,    -1,    -1,    94,    -1,
      96,   253,    -1,    -1,  2229,    -1,    -1,    -1,    -1,    -1,
     106,    -1,    -1,    -1,    -1,    -1,    -1,  2242,  2243,    -1,
      -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,
    2265,  2266,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   152,   153,    -1,    -1,
     156,   313,    -1,    -1,   316,    -1,   162,    -1,    -1,    -1,
     166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,  2334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2371,  2372,    -1,    -1,
      -1,    -1,  2377,  2378,    -1,    -1,    -1,    -1,    -1,  2384,
    2385,  2386,    -1,    -1,   416,  2390,    -1,  2392,  2393,  2394,
    2395,  2396,  2397,    -1,  2399,    -1,  2401,  2402,    -1,    -1,
    2405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2419,  2420,  2421,  2422,  2423,  2424,
      -1,    -1,    -1,  2428,    -1,    -1,    -1,  2432,    -1,    -1,
    2435,   463,    -1,  2438,  2439,  2440,  2441,  2442,  2443,  2444,
    2445,  2446,    -1,  2448,    -1,    -1,   478,    -1,    -1,    -1,
      -1,  2456,    -1,    -1,  2459,    -1,    -1,    -1,    -1,    -1,
      -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,
      -1,   533,   534,   535,   536,   537,    -1,    -1,   540,   541,
     542,    -1,    96,    -1,    -1,   547,    -1,   101,  2523,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,  2536,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2545,  2546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,   163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,    -1,    -1,
      -1,    -1,    -1,   187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,  2626,    -1,    -1,    -1,  2630,  2631,    -1,    -1,    96,
      -1,   215,    -1,    -1,   101,    -1,    -1,  2642,    -1,   223,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,   135,    -1,
      -1,  2676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     264,   148,   149,  2688,    -1,    -1,    -1,  2692,    -1,    -1,
    2695,    -1,   159,    -1,    -1,    -1,   163,    -1,    -1,  2704,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,    -1,    -1,   301,    -1,    -1,
      -1,    -1,    -1,    -1,  2729,    -1,   310,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,  2744,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   215,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,    -1,
     344,  2766,    -1,   347,    -1,  2770,    -1,    -1,   235,    -1,
      -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   366,    -1,    -1,    -1,    -1,    -1,  2793,    -1,
      -1,    -1,    -1,    -1,    -1,   379,   672,   264,    -1,  2804,
      -1,    -1,   386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   405,   289,    -1,    -1,    -1,    -1,    -1,   412,    -1,
      -1,    -1,    -1,    -1,    -1,   419,    -1,  2842,   422,    -1,
      -1,    -1,    -1,   310,   720,   721,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   441,    -1,    -1,
      -1,    -1,    -1,   447,    -1,    -1,    -1,    -1,   452,    -1,
      -1,   455,   456,    -1,   458,   459,    -1,   344,    -1,    -1,
      -1,    -1,    -1,    -1,   468,    -1,    -1,    -1,    -1,   473,
      -1,    -1,   768,    -1,    -1,   479,    -1,    -1,   482,   366,
      -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,
      -1,    -1,   379,    -1,   498,  2920,  2921,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,    -1,
      -1,    -1,    -1,   410,    -1,   412,    -1,    -1,    -1,    -1,
      -1,    -1,   419,    -1,    -1,   422,    -1,    -1,    -1,  2964,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   441,    -1,    -1,    -1,    -1,    -1,
     447,    -1,    -1,    -1,    -1,   452,    -1,    -1,   455,    -1,
      -1,    -1,   459,    -1,    -1,    -1,    -1,    -1,  3003,   466,
      -1,   468,    -1,    -1,    -1,    -1,   473,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3019,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   973,   974,    -1,
     976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3141,    -1,    -1,  3144,
      -1,    -1,  3147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3157,    -1,    -1,    -1,    -1,  1033,    -1,    -1,
    1036,  1037,  3167,    -1,    -1,    -1,    -1,  3172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1051,    -1,  1053,    -1,  1055,
      -1,    -1,    -1,    -1,    -1,  1061,    -1,    -1,    -1,  1065,
    3195,  3196,  3197,    -1,    -1,  3200,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3208,  3209,  3210,  3211,    -1,    -1,  1085,
    1086,  3216,    -1,    -1,    -1,    -1,  3221,  3222,    -1,  3224,
      -1,  3226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3237,  3238,    -1,    -1,  3241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3255,    -1,  3257,    -1,  3259,    -1,  1132,    -1,  1134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3279,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3290,    -1,  3292,  3293,  3294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3329,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1212,    -1,    -1,  3344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1226,  1227,    -1,  3358,  1230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3400,    -1,    -1,  3403,    -1,
    3405,    -1,    -1,  1279,    -1,  3410,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3459,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3501,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3536,  3537,  3538,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3570,    -1,  3572,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3653,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3681,    -1,    -1,    -1,
      -1,    -1,  1558,    -1,    -1,    -1,    -1,  1563,    -1,  1565,
      -1,    -1,  1568,    -1,  1570,    -1,    -1,  1573,  1574,  1575,
      -1,  3706,    -1,  1579,    -1,    -1,  3711,  3712,    -1,    -1,
    1586,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1600,    -1,  1602,    -1,    -1,    -1,
      -1,  1607,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3799,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3814,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1731,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1742,  1743,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1759,    -1,    -1,    -1,    -1,  1764,  1765,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3906,    -1,    -1,  3909,    -1,    -1,    -1,    -1,    -1,
    3915,    -1,    -1,    -1,    -1,    -1,  3921,    -1,  3923,    -1,
      -1,  3926,    -1,    -1,    -1,  3930,  3931,  3932,  3933,  3934,
      -1,    -1,  3937,  3938,  3939,  3940,  3941,  3942,  3943,  3944,
    3945,  3946,    -1,    -1,    -1,  3950,  3951,    -1,    -1,    -1,
    3955,    -1,    -1,    -1,    -1,  3960,    -1,    -1,    -1,  3964,
      -1,  3966,    -1,  3968,    -1,    -1,    -1,    -1,    -1,   209,
    1846,  3976,  1848,    -1,  3979,    -1,  3981,   217,    -1,   219,
      -1,    -1,  1858,    -1,  3989,  3990,    -1,    -1,  3993,  3994,
      -1,    -1,    -1,  3998,  3999,    -1,    -1,    -1,    -1,    -1,
    4005,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4015,    -1,    -1,  4018,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4031,    -1,    -1,    -1,
      -1,    -1,  4037,  4038,  4039,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1935,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1945,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4086,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4118,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2014,    -1,
      -1,  2017,  2018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4211,    -1,    -1,    -1,
      -1,  4216,  4217,  4218,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4240,  4241,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4379,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4416,  4417,  4418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2303,    -1,  2305,
      -1,    -1,    -1,  2309,    -1,  2311,    -1,    -1,  2314,    -1,
      -1,    -1,  2318,    -1,    -1,    -1,    -1,  2323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4544,
    4545,    -1,  4547,    -1,    -1,    -1,  4551,  4552,    -1,    -1,
      -1,  4556,  4557,    -1,    -1,    -1,  4561,    -1,    -1,  4564,
    4565,    -1,    -1,    -1,  4569,    -1,    -1,    -1,    -1,    -1,
    4575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2455,
      -1,    -1,  4587,    -1,    -1,    -1,  2462,    -1,    -1,    -1,
    4595,    -1,    -1,    -1,  4599,    -1,  2472,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4612,    -1,    -1,
      -1,    -1,  4617,    -1,    -1,    -1,    -1,    -1,  4623,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4640,    -1,    -1,    -1,    -1,
      -1,    -1,   882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4671,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4689,    -1,    -1,    -1,    -1,    -1,
     930,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4711,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2593,    -1,    -1,
      -1,  2597,  4727,    -1,    -1,    -1,    -1,  2603,    -1,  2605,
      -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4748,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   992,    -1,    -1,    -1,    -1,    -1,   998,    -1,
      -1,    -1,  1002,    -1,    -1,    -1,  4771,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2655,
      -1,    -1,  1022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4813,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4851,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4881,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1129,
    1130,    -1,    -1,    -1,    -1,    -1,  1136,    -1,    -1,    -1,
    1140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4923,    -1,
    4925,    -1,    -1,    -1,    -1,    -1,  1166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2824,    -1,
      -1,  2827,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4972,    -1,    -1,
      -1,  4976,    -1,    -1,    -1,    -1,  4981,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4998,  4999,    -1,    -1,  5002,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5017,    -1,    -1,    -1,    -1,    -1,    -1,  5024,
      -1,    -1,    -1,    -1,  5029,    -1,    -1,  5032,  5033,    -1,
      -1,    -1,    -1,    -1,    -1,  5040,  5041,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5064,
      -1,  5066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5078,  1314,  1315,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1342,    -1,    -1,    -1,    -1,    -1,    -1,  1349,
      -1,  5116,    -1,  1353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5162,    -1,    -1,
      -1,    -1,    -1,  5168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3089,  3090,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3105,
      -1,    -1,  5237,    -1,  5239,    -1,  1476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5266,  5267,    -1,  5269,    -1,  5271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5291,    -1,    -1,    -1,
      -1,    -1,  5297,    -1,    -1,    -1,  5301,    -1,    -1,    -1,
      -1,    -1,  5307,    -1,    -1,    -1,    -1,  5312,    -1,    -1,
    1550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5364,
      -1,    -1,    -1,    -1,  5369,  5370,    -1,    -1,  1608,  5374,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1639,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5421,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1668,    -1,
      -1,    -1,  3308,    -1,    -1,    -1,    -1,  3313,    -1,    -1,
    5445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1696,  1697,  1698,    -1,
    1700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5480,  5481,    -1,    -1,    -1,
    1720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5503,    -1,
      -1,  5506,    -1,    -1,  5509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5520,    -1,    -1,    -1,    -1,
    5525,    -1,  5527,    -1,  5529,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5537,    -1,  1774,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1802,    -1,    -1,    -1,  1806,  1807,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1821,  5587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5639,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5649,    -1,    -1,    -1,    -1,  1889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1906,    -1,    -1,    -1,
      -1,    -1,    -1,  5678,  5679,    -1,    -1,    -1,    -1,    -1,
      -1,  5686,  5687,    -1,    -1,  5690,    -1,    -1,    -1,    -1,
      -1,  5696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1947,    -1,    -1,
      -1,    -1,    -1,  5718,    -1,  1955,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5769,    -1,    -1,    -1,    -1,    -1,
    5775,    -1,    -1,  2013,    -1,    -1,    -1,    -1,    -1,  5784,
      -1,    -1,    -1,    -1,    -1,  5790,  5791,    -1,  5793,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5802,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5819,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3706,    -1,    -1,    -1,    -1,    -1,  3712,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5857,    -1,  2094,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,  5884,
      -1,    -1,    -1,    -1,  5889,    -1,    -1,    -1,    -1,    -1,
    2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5909,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5926,    -1,    -1,    -1,    -1,    -1,  5932,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3812,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,
      -1,  5956,    -1,  5958,    -1,    -1,    -1,    -1,  2198,    -1,
      -1,  2201,    -1,    -1,    -1,  2205,    -1,    -1,  5973,  5974,
    5975,  2211,    -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2242,  2243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3895,
      -1,    -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2371,  2372,    -1,    -1,    -1,    -1,  2377,  2378,    -1,
      -1,    -1,    -1,    -1,  2384,  2385,  2386,    -1,    -1,    -1,
    2390,    -1,  2392,  2393,  2394,  2395,  2396,  2397,    -1,  2399,
      -1,  2401,  2402,    -1,    -1,  2405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2419,
    2420,  2421,  2422,  2423,    -1,    -1,    -1,    -1,  2428,    -1,
      -1,    -1,  2432,    -1,    -1,  2435,    -1,    -1,  2438,  2439,
    2440,  2441,  2442,  2443,  2444,  2445,  2446,    -1,  2448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2456,    -1,    -1,  2459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2523,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2536,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2545,  2546,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4241,    -1,    -1,    -1,    -1,
      -1,  4247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2626,    -1,    -1,    -1,
    2630,  2631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2688,    -1,
      -1,    -1,  2692,    -1,    -1,  2695,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2704,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2729,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2744,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2804,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2920,  2921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2964,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4628,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3003,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3019,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4717,    -1,    -1,    -1,  4721,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3127,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3141,    -1,    -1,  3144,    -1,    -1,  3147,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3157,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3167,    -1,    -1,
      -1,    -1,  3172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3195,  3196,  3197,    -1,    -1,
    3200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3208,  3209,
    3210,  3211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3221,    -1,    -1,  3224,    -1,  3226,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3237,  3238,    -1,
      -1,  3241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3255,    -1,  3257,    -1,  3259,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3290,    -1,  3292,  3293,  3294,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3344,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3400,    -1,    -1,  3403,    -1,  3405,    -1,    -1,    -1,    -1,
    3410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5057,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3431,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3459,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3476,    -1,    -1,    -1,
    5116,    -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3570,    -1,  3572,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3653,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3706,    -1,    -1,   429,
      -1,    -1,  3712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5379,  5380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5392,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3799,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3906,    -1,    -1,  3909,
      -1,    -1,    -1,    -1,    -1,  3915,    -1,    -1,    -1,    -1,
      -1,  3921,    -1,  3923,    -1,    -1,  3926,    -1,    -1,    -1,
    3930,  3931,  3932,  3933,  3934,    -1,    -1,  3937,  3938,  3939,
    3940,  3941,  3942,  3943,  3944,  3945,  3946,    -1,    -1,    -1,
    3950,  3951,    -1,    -1,    -1,  3955,    -1,    -1,    -1,    -1,
    3960,    -1,    -1,    -1,  3964,    -1,    -1,    -1,  3968,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3976,    -1,    -1,  3979,
      -1,  3981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3989,
    3990,    -1,    -1,  3993,  3994,    -1,    -1,    -1,  3998,  3999,
     720,   721,    -1,    -1,    -1,  4005,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4015,    -1,    -1,  4018,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4031,    -1,    -1,    -1,    -1,    -1,  4037,  4038,  4039,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   768,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4086,    -1,    -1,    -1,
      -1,    -1,    -1,  5729,    -1,  5731,    -1,    -1,    -1,    -1,
      -1,    -1,  4102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   897,    -1,   899,
      -1,   901,   902,    -1,   904,    -1,   906,    -1,    -1,   909,
      -1,   911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   931,    -1,    -1,    -1,    -1,    -1,  4217,    -1,   939,
      -1,    -1,    -1,    -1,    -1,    -1,   946,   947,    -1,    -1,
     950,    -1,   952,   953,    -1,    -1,    -1,   957,    -1,    -1,
      -1,  4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   974,    -1,   976,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5900,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   993,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1016,    -1,  1018,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1027,  1028,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1037,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4366,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4379,
    1100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1132,    -1,    -1,    -1,  4416,  4417,  4418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4504,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1239,
      -1,  1241,    -1,    -1,    -1,  1245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4544,  4545,  1266,  4547,    -1,    -1,
      -1,  4551,  4552,    -1,    -1,    -1,  4556,  4557,    -1,    -1,
      -1,  4561,    -1,    -1,  4564,  4565,    -1,    -1,    -1,  4569,
      -1,    -1,    -1,    -1,    -1,  4575,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4587,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4595,    -1,    -1,    -1,  4599,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1329,
      -1,    -1,  4612,    -1,    -1,    -1,    -1,  4617,    -1,    -1,
      -1,    -1,    -1,  4623,    -1,    -1,  1346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1358,    -1,
    4640,  1361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1371,    -1,    -1,    -1,    -1,  1376,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1384,    -1,    -1,    -1,    -1,    -1,
    1390,  4671,    -1,  1393,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4689,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1432,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4727,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4813,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1597,    -1,    -1,
      -1,  4881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4923,    -1,  4925,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4972,    -1,    -1,    -1,  4976,    -1,    -1,    -1,
      -1,  4981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4998,  4999,
      -1,    -1,  5002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5017,    -1,    -1,
      -1,    -1,    -1,    -1,  5024,    -1,    -1,    -1,    -1,  5029,
      -1,    -1,  5032,  5033,    -1,    -1,    -1,    -1,    -1,    -1,
    5040,  5041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5064,    -1,  5066,    -1,    -1,    -1,
      -1,    -1,  1792,  1793,    -1,    -1,    -1,    -1,  5078,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5116,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5126,    -1,    -1,    -1,
      -1,  1851,    -1,    -1,  1854,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5237,    -1,  5239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5266,  5267,    -1,  5269,
      -1,  5271,    -1,    -1,    -1,  1995,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5291,    -1,    -1,    -1,    -1,    -1,  5297,    -1,    -1,
      -1,  5301,    -1,    -1,    -1,    -1,    -1,  5307,    -1,    -1,
      -1,    -1,  5312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5364,    -1,    -1,    -1,    -1,  5369,
    5370,    -1,    -1,    -1,  5374,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2134,    -1,    -1,    -1,    -1,    -1,
      -1,  5421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5480,  5481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5503,    -1,    -1,  5506,    -1,    -1,  5509,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5520,    -1,    -1,    -1,    -1,  5525,    -1,  5527,    -1,  5529,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5537,  2258,    -1,
    2260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5555,  2276,  2277,    -1,  2279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2319,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2331,    -1,    -1,    -1,  2335,    -1,  2337,    -1,    -1,
    2340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5639,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5649,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5678,  5679,
      -1,    -1,    -1,    -1,    -1,    -1,  5686,    -1,    -1,    -1,
    5690,    -1,    -1,    -1,    -1,    -1,  5696,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5718,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5769,
      -1,    -1,    -1,    -1,    -1,  5775,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5784,    -1,    -1,    -1,    -1,    -1,
    5790,  5791,    -1,  5793,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5802,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5819,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5857,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5884,    -1,    -1,    -1,  2608,  5889,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2620,  2621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2639,
    2640,    -1,    -1,    -1,  2644,  2645,  5926,    -1,    -1,  2649,
      -1,    -1,  5932,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2663,    -1,    -1,    -1,    -1,    -1,    -1,
    2670,    -1,    -1,    -1,  2674,  2675,  5956,    -1,  2678,  2679,
      -1,    -1,    -1,    -1,    -1,  2685,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5974,  5975,    -1,    -1,  2698,    -1,
    2700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2719,
      -1,    -1,    -1,    -1,  2724,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2737,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,  2748,    -1,
      -1,  2751,  2752,  2753,    -1,    -1,    -1,    -1,  2758,  2759,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2768,    -1,
      -1,    -1,    -1,  2773,    -1,    -1,    -1,    -1,  2778,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2792,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2823,    -1,    -1,  2826,    -1,    -1,    -1,
      -1,  2831,    -1,    -1,    -1,    -1,  2836,  2837,    -1,    -1,
      -1,  2841,    -1,    -1,  2844,    -1,    -1,    -1,  2848,  2849,
    2850,  2851,    -1,  2853,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2866,  2867,    -1,  2869,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2879,
    2880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,  2931,    36,    37,    38,    39,    -1,    41,    42,    43,
      -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2959,
      64,    -1,    66,    -1,    68,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   123,
     124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3089,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3102,    -1,    -1,    -1,    -1,    -1,    -1,   213,
      -1,    -1,  1129,  1130,   882,    -1,    -1,   221,    -1,    -1,
      -1,   225,    -1,   891,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,  3132,   237,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3161,   930,    -1,    -1,    -1,   270,   271,    -1,    -1,
      -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,    -1,
      -1,    -1,   326,    -1,   992,    -1,   330,    -1,    -1,   333,
     998,   335,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,
     354,    -1,    -1,    -1,  1022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,    -1,    -1,   430,    -1,    -1,   433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
     454,    -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,
      -1,  1129,  1130,   467,    -1,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
      -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,  1166,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   549,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3453,    -1,    -1,    -1,  3457,    -1,    -1,
      -1,    -1,    -1,  3463,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3479,
    3480,    -1,    -1,    -1,  3484,    -1,    -1,    -1,    -1,  3489,
    3490,  3491,    -1,  3493,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3514,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3524,  3525,  3526,  3527,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3561,    -1,    -1,  3564,  3565,  3566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,    -1,    -1,
      -1,  1349,    -1,    -1,    -1,  1353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1387,
      -1,    -1,  1639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1431,    -1,    -1,  3666,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3674,    -1,    -1,    -1,    -1,  1696,
    1697,  1698,    -1,  1700,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1720,    -1,    -1,    -1,    -1,  1476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3719,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1774,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3771,    -1,    -1,    -1,    -1,  3776,    -1,    -1,    -1,
      -1,    -1,  1550,    -1,    -1,  1802,    -1,    -1,    -1,  1806,
    1807,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3806,    -1,    -1,    -1,
      -1,    -1,  3812,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1608,  3841,    -1,  3843,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3859,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1668,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1696,  1697,
    1698,    -1,  1700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1774,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1802,    -1,    -1,    -1,  1806,  1807,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1821,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1889,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4137,    -1,  4139,
      -1,    -1,    -1,    -1,    -1,    -1,  4146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1955,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4196,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4214,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1990,    -1,  4224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4243,    -1,  2013,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4254,  4255,  4256,    -1,    -1,    -1,
      -1,  4261,  4262,  4263,  4264,    -1,    -1,  4267,  4268,    -1,
      -1,    -1,    -1,  4273,  4274,    -1,  4276,  4277,  4278,  4279,
    4280,  4281,    -1,  4283,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4292,    -1,    -1,  4295,  4296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4314,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4336,    -1,    -1,    -1,
      -1,  2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2377,    -1,  2130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2390,    -1,  2392,    -1,    -1,  2395,  2396,
    2397,    -1,    -1,    -1,    -1,  2402,    -1,    -1,  2405,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2420,  2421,  2422,  2423,    -1,    -1,    -1,
      -1,  2428,    -1,    -1,    -1,  2432,    -1,  2185,  2435,    -1,
      -1,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,
    2198,  2448,    -1,  2201,    -1,  4435,    -1,  2205,    -1,  2456,
      -1,    -1,  2459,  2211,    -1,    -1,    -1,    -1,    -1,  2217,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2229,    -1,    -1,    -1,  4465,  4466,  4467,    -1,    -1,
      -1,    -1,    -1,    -1,  2242,  2243,  4476,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2265,  2266,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2523,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2545,  2546,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2371,  2372,    -1,    -1,    -1,    -1,  2377,
    2378,    -1,    -1,    -1,    -1,    -1,  2384,  2385,  2386,    -1,
      -1,    -1,  2390,   998,  2392,  2393,  2394,  2395,  2396,  2397,
      -1,  2399,    -1,  2401,  2402,    -1,    -1,  2405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1022,    -1,    -1,
      -1,  2419,  2420,  2421,  2422,  2423,    -1,    -1,    -1,  2676,
    2428,    -1,    -1,    -1,  2432,    -1,    -1,  2435,    -1,    -1,
    2438,  2439,  2440,  2441,  2442,  2443,  2444,  2445,  2446,    -1,
    2448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2456,    -1,
      -1,  2459,    -1,    -1,    -1,    -1,    -1,  4697,    -1,    -1,
      -1,  4701,  4702,  4703,  4704,    -1,    -1,  4707,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4738,  4739,
    4740,    -1,  4742,    -1,  4744,  4745,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2523,  4756,  4757,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2545,  2546,    -1,
      -1,    -1,    -1,  4783,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4791,  4792,    -1,  4794,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4806,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2626,    -1,
      -1,    -1,  2630,  2631,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2920,    -1,    -1,    -1,    -1,  2676,    -1,
    4910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2688,    -1,    -1,    -1,  2692,    -1,    -1,  2695,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2704,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4944,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1349,    -1,  2744,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5022,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5037,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5136,    -1,    -1,    -1,
      -1,  5141,  5142,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3167,    -1,  2920,  2921,    -1,  3172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3197,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3208,  5192,  3210,  3211,    -1,  2964,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3221,    -1,    -1,  3224,    -1,  3226,
      -1,    -1,  5212,    -1,  5214,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1608,    -1,  3003,    -1,    -1,  3255,    -1,
    3257,    -1,  3259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5250,  3019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3292,  3293,  3294,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5294,    -1,    -1,    -1,    -1,    -1,
    3317,    -1,    -1,    -1,    -1,  5305,    -1,    -1,    -1,    -1,
      -1,    -1,  3329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3344,    -1,    -1,
      -1,  5331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5352,    -1,    -1,    -1,    -1,    -1,    -1,  3127,
      -1,    -1,    -1,  5363,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3141,    -1,    -1,  3144,    -1,    -1,  3147,
      -1,    -1,    -1,    -1,   998,    -1,    -1,  5387,    -1,  3157,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3167,
      -1,    -1,    -1,    -1,  3172,    -1,    -1,    -1,  1022,    -1,
      -1,    -1,    -1,    -1,  3431,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5425,    -1,  3195,  3196,  3197,
      -1,    -1,  3200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3208,  3209,  3210,  3211,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3221,    -1,    -1,  3224,    -1,  3226,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3237,
    3238,    -1,    -1,  3241,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3255,  5488,  3257,
      -1,  3259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3279,    -1,    -1,  1889,    -1,    -1,  5517,    -1,    -1,
      -1,    -1,  3290,    -1,  3292,  3293,  3294,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3317,
      -1,    -1,  5552,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3329,    -1,    -1,    -1,    -1,    -1,  5567,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3344,    -1,    -1,    -1,
    1955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1990,    -1,    -1,  5618,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3400,  5633,    -1,  3403,    -1,  3405,  2013,    -1,
      -1,    -1,  3410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3431,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3476,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5717,    -1,  2094,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3501,  2109,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2130,    -1,    -1,  1372,  5759,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3570,    -1,  3572,    -1,    -1,    -1,    -1,    -1,
    2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2217,    -1,    -1,  5845,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3653,    -1,    -1,    -1,  3906,
    2265,  2266,    -1,    -1,    -1,    -1,    -1,    -1,  3915,    -1,
      -1,    -1,    -1,    -1,  3921,    -1,  3923,    -1,    -1,    -1,
      -1,    -1,    -1,  3681,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3950,  3951,    -1,    -1,    -1,  3706,    -1,
      -1,    -1,    -1,    -1,  3712,    -1,    -1,    -1,    -1,    -1,
      -1,  3968,    -1,    -1,   998,    -1,    -1,    -1,    -1,  3976,
      -1,    -1,  3979,    -1,  3981,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3990,    -1,    -1,    -1,    -1,  1022,    -1,
      -1,  3998,  3999,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1608,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3781,  4031,    -1,    -1,    -1,    -1,    -1,
    4037,  4038,  4039,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3799,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2419,    -1,  3814,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4086,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2459,  4102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3906,    -1,
      -1,  3909,    -1,    -1,    -1,    -1,    -1,  3915,    -1,    -1,
      -1,    -1,    -1,  3921,    -1,  3923,    -1,    -1,  3926,    -1,
      -1,    -1,  3930,  3931,  3932,  3933,  3934,    -1,    -1,  3937,
    3938,  3939,  3940,  3941,  3942,  3943,  3944,  3945,  3946,    -1,
      -1,    -1,  3950,  3951,    -1,    -1,    -1,  3955,    -1,    -1,
      -1,    -1,  3960,    -1,    -1,    -1,  3964,    -1,    -1,    -1,
    3968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3976,    -1,
      -1,  3979,    -1,  3981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3989,  3990,    -1,    -1,  3993,  3994,    -1,    -1,    -1,
    3998,  3999,    -1,    -1,    -1,    -1,    -1,  4005,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4015,    -1,    -1,
    4018,  2626,    -1,    -1,    -1,  2630,  2631,    -1,    -1,    -1,
      -1,    -1,    -1,  4031,    -1,    -1,    -1,    -1,    -1,  4037,
    4038,  4039,    -1,    -1,    -1,  1889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2692,  4086,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,  2704,
      -1,    -1,    -1,    -1,  4102,    -1,    -1,    -1,    -1,    -1,
      -1,  1955,    -1,  1387,   998,    -1,    -1,    -1,    -1,    -1,
    4118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4130,    -1,    -1,    -1,    -1,    -1,  1022,  2744,
      -1,    -1,    -1,    -1,    -1,    -1,  1990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2013,
    4417,  4418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4217,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4241,    -1,    -1,  4493,    -1,    -1,    -1,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,  4504,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4544,  4545,    -1,
      -1,    -1,    -1,    -1,  4551,  4552,    -1,    -1,    -1,  4556,
      -1,    -1,    -1,    -1,  4561,    -1,  2921,  4564,  4565,    -1,
      -1,    -1,  4569,    -1,    -1,    -1,    -1,    -1,  4575,    -1,
      -1,    -1,    -1,    -1,  1608,    -1,    -1,    -1,    -1,  4337,
      -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2205,    -1,    -1,    -1,  4612,    -1,    -1,  4366,    -1,
    4617,    -1,    -1,  2217,    -1,    -1,  4623,    -1,    -1,    -1,
      -1,  4379,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4640,    -1,    -1,    -1,    -1,  3003,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4416,  4417,
    4418,  2265,  2266,    -1,  4671,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1372,    -1,
      -1,    -1,    -1,    -1,    -1,  4493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1387,    -1,    -1,  4504,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3127,    -1,  4771,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4534,    -1,    -1,  3144,
      -1,    -1,    -1,    -1,    -1,    -1,  4544,  4545,    -1,  4547,
      -1,    -1,  3157,  4551,  4552,    -1,    -1,    -1,  4556,  4557,
      -1,    -1,    -1,  4561,    -1,    -1,  4564,  4565,    -1,    -1,
      -1,  4569,    -1,    -1,    -1,  2419,    -1,  4575,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4587,
    4837,    -1,  1476,    -1,    -1,    -1,    -1,  4595,    -1,    -1,
      -1,  4599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4612,  1889,    -1,    -1,    -1,  4617,
      -1,    -1,    -1,    -1,    -1,  4623,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4671,    -1,    -1,    -1,    -1,    -1,    -1,
    1022,  1955,    -1,    -1,    -1,    -1,    -1,  3292,  3293,  3294,
      -1,  4689,    -1,    -1,    -1,   998,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1990,    -1,    -1,  1022,
      -1,    -1,    -1,    -1,  1608,    -1,    -1,    -1,    -1,  4727,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2013,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4748,  4998,  4999,    -1,    -1,  5002,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2626,    -1,    -1,    -1,  2630,  2631,    -1,    -1,
      -1,    -1,    -1,  5040,  5041,  3400,    -1,    -1,  3403,    -1,
    3405,    -1,    -1,    -1,    -1,  3410,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4813,    -1,    -1,    -1,  5066,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,  4837,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,  2692,    -1,
      -1,    -1,    -1,  4851,  3459,    -1,  2130,    -1,    -1,    -1,
    2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4881,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3501,    -1,    -1,    -1,
    2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4923,    -1,  4925,    -1,    -1,
      -1,  2205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3570,    -1,  3572,    -1,    -1,
      -1,    -1,    -1,    -1,  4972,    -1,    -1,    -1,  4976,    -1,
      -1,    -1,    -1,  4981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2265,  2266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4998,  4999,    -1,    -1,  5002,  1889,    -1,  1349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5017,
      -1,    -1,  5269,    -1,    -1,    -1,  5024,    -1,    -1,    -1,
    1372,  5029,    -1,    -1,  5032,  5033,    -1,    -1,    -1,    -1,
      -1,    -1,  5040,  5041,    -1,  1387,  1349,    -1,  3653,    -1,
    5297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5312,  5064,    -1,  5066,  1372,
      -1,  1955,    -1,    -1,    -1,    -1,  3681,  2921,    -1,    -1,
    5078,    -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3706,    -1,    -1,    -1,    -1,  1990,  3712,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5116,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5374,  5126,  2013,
      -1,    -1,    -1,    -1,  1476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2419,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5168,    -1,    -1,  1476,    -1,    -1,  3781,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3799,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3814,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,  5237,
      -1,  5239,    -1,    -1,    -1,    -1,  2130,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,  5266,  5267,
      -1,  5269,    -1,  5271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5529,  3127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5291,    -1,    -1,    -1,    -1,    -1,  5297,
    3144,  2185,    -1,  5301,  3909,  1608,    -1,    -1,  5555,  5307,
      -1,    -1,    -1,  3157,  5312,    -1,    -1,    -1,    -1,    -1,
      -1,  2205,    -1,    -1,    -1,  3930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2229,    -1,    -1,    -1,    -1,
    3955,    -1,  2626,    -1,    -1,    -1,  2630,  2631,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5364,    -1,    -1,    -1,
      -1,  5369,  5370,    -1,    -1,    -1,  5374,    -1,    -1,    -1,
      -1,  2265,  2266,    -1,  3989,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2692,    -1,
      -1,    -1,    -1,  5421,    -1,    -1,    -1,    -1,    -1,    -1,
    2704,  5678,  5679,    -1,  4039,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5445,    -1,  5696,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5480,  5481,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5503,    -1,    -1,  5506,    -1,
      -1,  5509,    -1,  4118,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5520,    -1,    -1,    -1,    -1,  5525,  5775,  5527,
      -1,  5529,    -1,    -1,    -1,  2419,    -1,    -1,    -1,  5537,
      -1,    -1,    -1,    -1,    -1,    -1,  5793,  1889,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3400,  5555,    -1,  3403,
      -1,  3405,    -1,    -1,    -1,    -1,  3410,    -1,    -1,    -1,
      -1,    -1,  5819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1889,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4217,  1955,    -1,  3459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3476,    -1,    -1,    -1,  4241,    -1,    -1,    -1,
      -1,  5639,    -1,    -1,    -1,    -1,    -1,  2921,  1990,    -1,
      -1,  5649,  1955,    -1,    -1,    -1,    -1,  3501,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5926,
    5678,  5679,    -1,    -1,    -1,  5932,    -1,  1990,  5686,    -1,
      -1,    -1,  5690,    -1,    -1,    -1,    -1,    -1,  5696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5718,    -1,    -1,    -1,    -1,    -1,  3570,    -1,  3572,  3003,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   998,
      -1,    -1,  2626,    -1,    -1,    -1,  2630,  2631,    -1,    -1,
      -1,    -1,  2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4366,    -1,  1022,    -1,    -1,    -1,  2109,    -1,    -1,
      -1,  5769,    -1,    -1,    -1,    -1,  2118,  5775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5784,    -1,  2130,    -1,
      -1,  2094,  5790,  5791,    -1,  5793,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5802,    -1,  2109,    -1,  2692,  3653,
      -1,  4416,    -1,    -1,    -1,  2118,    -1,    -1,    -1,    -1,
    2704,  5819,    -1,    -1,    -1,    -1,    -1,  2130,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3681,    -1,    -1,
      -1,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3127,    -1,    -1,    -1,    -1,    -1,  5857,
    2744,    -1,  3706,  2205,    -1,    -1,    -1,    -1,  3712,    -1,
    3144,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,
      -1,    -1,  2185,  3157,    -1,    -1,  5884,  2229,    -1,    -1,
      -1,  5889,    -1,    -1,    -1,    -1,   893,    -1,    -1,    -1,
      -1,    -1,  2205,    -1,    -1,    -1,   903,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2217,    -1,    -1,   914,    -1,    -1,
      -1,    -1,    -1,  2265,  2266,   922,  2229,    -1,  5926,    -1,
      -1,   928,    -1,    -1,  5932,    -1,    -1,  3781,    -1,    -1,
      -1,    -1,  4547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4557,    -1,    -1,  3799,    -1,    -1,  5956,    -1,
      -1,    -1,  2265,  2266,    -1,    -1,    -1,    -1,    -1,    -1,
    3814,    -1,    -1,    -1,    -1,    -1,  5974,  5975,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4612,    -1,    -1,
      -1,    -1,  4617,    -1,    -1,    -1,    -1,    -1,  4623,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2921,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3909,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2419,    -1,    -1,
      -1,    -1,    -1,    -1,  4689,    -1,  3930,    -1,    -1,    -1,
    1349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3955,    -1,  1372,    -1,    -1,  2419,    -1,    -1,  3003,
      -1,    -1,  4727,    -1,    -1,    -1,  3400,    -1,  1387,  3403,
      -1,  3405,    -1,    -1,    -1,    -1,  3410,    -1,  1135,    -1,
      -1,    -1,    -1,  4748,    -1,  3989,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1154,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1176,
      -1,    -1,    -1,    -1,    -1,  3459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3476,    -1,    -1,    -1,    -1,    -1,  4813,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1476,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3501,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3157,  4118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1280,  2626,    -1,    -1,    -1,  2630,  2631,
      -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,  3572,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4923,    -1,
    4925,    -1,    -1,  2626,    -1,    -1,    -1,  2630,  2631,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1608,
    2692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4976,    -1,  4217,    -1,    -1,    -1,    -1,    -1,  3653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2692,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4241,    -1,    -1,
    1397,  2704,  2744,    -1,    -1,    -1,    -1,  3681,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1425,  1426,
    1427,    -1,  3706,    -1,    -1,    -1,    -1,    -1,  3712,    -1,
      -1,  2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,    -1,
      -1,  5116,    -1,    -1,    -1,    -1,  3400,    -1,    -1,  3403,
      -1,  3405,  4366,    -1,    -1,  3799,  3410,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4416,    -1,    -1,  3459,    -1,    -1,    -1,  2921,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3476,    -1,    -1,    -1,  1593,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3501,  2921,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1624,    -1,    -1,
    1889,    -1,    -1,    -1,  5239,  3909,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3930,    -1,    -1,    -1,
      -1,  3003,  5267,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3955,    -1,    -1,    -1,    -1,  3570,    -1,  3572,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1955,    -1,    -1,    -1,
    3003,    -1,  5307,  4547,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4557,    -1,  3989,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2013,    -1,    -1,    -1,    -1,  5364,
      -1,    -1,    -1,    -1,  5369,  5370,    -1,    -1,    -1,  3653,
      -1,    -1,    -1,    -1,  1771,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3127,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3681,    -1,    -1,
      -1,    -1,  3144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3157,    -1,    -1,    -1,    -1,
      -1,  1818,  3706,    -1,  3127,    -1,    -1,    -1,  3712,    -1,
      -1,    -1,    -1,    -1,    -1,  2094,    -1,    -1,    -1,    -1,
      -1,  3144,    -1,    -1,  4118,  4689,    -1,    -1,    -1,    -1,
    2109,    -1,    -1,    -1,  3157,    -1,    -1,    -1,    -1,  2118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2130,    -1,    -1,    -1,  5480,  5481,    -1,    -1,    -1,
      -1,    -1,    -1,  4727,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3781,    -1,    -1,
      -1,    -1,    -1,    -1,  4748,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3799,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2185,    -1,    -1,    -1,
    3814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4217,    -1,    -1,  2205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,
      -1,    -1,    -1,    -1,  1961,    -1,    -1,  4241,    -1,  4813,
    2229,    -1,    -1,  1970,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1996,
      -1,    -1,    -1,    -1,    -1,    -1,  2265,  2266,    -1,    -1,
      -1,    -1,  2009,    -1,    -1,  2012,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3909,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3930,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3400,    -1,
      -1,  3403,    -1,  3405,    -1,    -1,  2063,    -1,  3410,    -1,
      -1,  3955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2077,  4925,    -1,    -1,    -1,  5690,    -1,    -1,    -1,    -1,
      -1,    -1,  4366,    -1,  2091,    -1,    -1,  3400,    -1,    -1,
    3403,    -1,  3405,    -1,    -1,  3989,    -1,  3410,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4976,    -1,  3476,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4416,    -1,    -1,    -1,  2143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,    -1,  3501,
    2419,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3476,    -1,  2172,    -1,    -1,    -1,    -1,
      -1,    -1,  2179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3501,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,
    3572,    -1,    -1,    -1,  4118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,  3572,
      -1,    -1,  5116,  4547,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2291,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3653,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4217,    -1,    -1,    -1,    -1,    -1,  3681,
      -1,  2338,  2339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3653,    -1,    -1,    -1,    -1,    -1,    -1,  4241,    -1,    -1,
      -1,  2358,    -1,    -1,  3706,    -1,    -1,  2626,    -1,    -1,
    3712,  2630,  2631,    -1,    -1,    -1,    -1,    -1,  3681,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3706,    -1,    -1,    -1,    -1,    -1,  3712,
      -1,    -1,    -1,    -1,    -1,  4689,    -1,    -1,    -1,    -1,
      -1,  1712,    -1,  5267,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2692,    -1,    -1,    -1,    -1,    -1,  3781,
      -1,    -1,    -1,    -1,    -1,  2704,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4727,    -1,    -1,    -1,  3799,  2455,    -1,
      -1,    -1,    -1,  5307,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3814,    -1,  4748,    -1,    -1,    -1,  3781,    -1,
      -1,    -1,  4366,    -1,  2481,  2744,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3799,    -1,  1789,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5364,    -1,  2519,    -1,  2521,  5369,  5370,    -1,    -1,    -1,
      -1,    -1,  4416,    -1,    -1,    -1,    -1,    -1,    -1,  4813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2559,    -1,    -1,    -1,    -1,  3909,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3930,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3909,    -1,    -1,    -1,
      -1,    -1,    -1,  3955,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3930,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5481,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3989,    -1,    -1,
      -1,  4925,  3955,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2921,  4547,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3989,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3003,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2763,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4118,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2782,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4689,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4118,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5116,  4727,    -1,    -1,  5690,    -1,    -1,  2846,
    2847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4748,    -1,    -1,    -1,  3127,    -1,
      -1,    -1,    -1,    -1,    -1,  4217,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3157,  4241,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4813,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4241,    -1,
      -1,    -1,    -1,    -1,  2941,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5267,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4366,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5307,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4366,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4416,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2375,    -1,    -1,    -1,    -1,    -1,
    5364,    -1,  4976,    -1,    -1,  5369,  5370,    -1,  2389,    -1,
      -1,    -1,  2393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4416,    -1,    -1,  2407,  2408,  2409,    -1,
      -1,  2412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3131,    -1,    -1,    -1,    -1,    -1,
      -1,  3400,    -1,    -1,  3403,    -1,  3405,    -1,    -1,    -1,
      -1,  3410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2454,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3459,    -1,    -1,    -1,    -1,  4547,    -1,  5481,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4557,    -1,  3476,  2509,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2532,  3501,    -1,  4547,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2544,  4557,    -1,    -1,    -1,  2549,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3570,    -1,  3572,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4689,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5267,    -1,  4727,  4689,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3653,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4748,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5690,    -1,    -1,    -1,
      -1,    -1,  3681,  5307,  4727,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4748,    -1,  3706,    -1,    -1,
      -1,    -1,    -1,  3712,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5364,    -1,    -1,    -1,    -1,  5369,  5370,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4813,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3799,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3578,    -1,  4925,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5481,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4976,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3930,    -1,  4976,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3955,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3724,  3725,  3726,
    3989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3741,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3764,    -1,    -1,
      -1,    -1,    -1,    -1,  5116,    -1,    -1,  3774,  3775,    -1,
      -1,    -1,  3779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3792,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5690,    -1,    -1,    -1,
      -1,    -1,    -1,  5116,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4118,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3886,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5239,    -1,  3190,
      -1,  3192,    -1,    -1,  3195,  3196,    -1,  3198,    -1,  3200,
      -1,    -1,    -1,  3204,    -1,    -1,  3207,    -1,    -1,    -1,
      -1,  3212,    -1,    -1,    -1,  5267,    -1,  3218,    -1,    -1,
      -1,    -1,  3223,    -1,    -1,    -1,  5239,    -1,    -1,  3230,
    3231,  3232,  3233,    -1,    -1,    -1,  3237,  3238,    -1,  3240,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4217,    -1,
      -1,  3252,    -1,  3254,  5267,  5307,    -1,    -1,    -1,    -1,
    3261,  3262,  3263,  3264,  3265,  3266,  3267,  3268,  3269,  3270,
      -1,    -1,  4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5307,    -1,    -1,  3298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4012,  4013,  4014,    -1,    -1,
      -1,    -1,  5364,    -1,    -1,    -1,    -1,  5369,  5370,    -1,
      -1,    -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5364,    -1,    -1,    -1,    -1,  5369,  5370,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,  4366,    36,    37,
      38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,  5481,
      68,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,  3446,    -1,  4416,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5481,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   119,    -1,    -1,    -1,   123,   124,   125,   126,   127,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,  4547,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,   225,  4557,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,   237,
      -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4333,    -1,    -1,    -1,
      -1,    -1,   270,   271,    -1,    -1,    -1,  4344,  5690,   277,
      -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,   297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4375,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5690,    -1,    -1,
      -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,    -1,
      -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,    -1,
      -1,    -1,  4409,    -1,    -1,    -1,  3707,    -1,    -1,    -1,
      -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,    -1,
    4689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,
      -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4463,    -1,  4727,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,
     408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4748,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
      -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,
      -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,   467,
      -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,  4813,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,   496,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4576,
    4577,  4578,  4579,    -1,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3905,    -1,    -1,    -1,    -1,    -1,
    3911,   549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3927,  3928,    -1,    -1,
    3931,  3932,  3933,  3934,    -1,    -1,  3937,  3938,  3939,  3940,
    3941,  3942,  3943,  3944,  3945,  3946,  3947,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4925,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3969,    -1,
      -1,  3972,    -1,  3974,    -1,    -1,  3977,  3978,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3992,  3993,  3994,  3995,    -1,  3997,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4976,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4067,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5116,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4927,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5267,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4337,    -1,  5307,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5364,    -1,    -1,    -1,    -1,
    5369,  5370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5186,
      -1,    -1,    -1,    -1,  5191,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4494,    -1,    -1,    -1,  4498,  4499,  4500,
      -1,    -1,    -1,    -1,    -1,  4506,  4507,  4508,  4509,    -1,
    5217,    -1,  5481,  4514,  4515,  4516,  4517,  4518,  4519,  4520,
    4521,  4522,  4523,  4524,  4525,    -1,    -1,    -1,    -1,  5236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4550,
      -1,    -1,  4553,    -1,  4555,    -1,    -1,    -1,  4559,    -1,
      -1,  4562,  4563,    -1,    -1,  4566,  4567,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4614,    -1,    -1,    -1,    -1,    -1,    -1,
    4621,  4622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4639,    -1,
      -1,  5348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4652,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5442,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4840,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4920,
    4921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4966,    -1,    -1,    -1,    -1,
    4971,  4972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4986,    -1,  4988,    -1,    -1,
      -1,  4992,  4993,  4994,    -1,    -1,  4997,    -1,    -1,  5000,
    5001,    -1,    -1,    -1,  5005,    -1,    -1,    -1,  5009,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    -1,    -1,  5076,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5137,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,   123,   124,   125,   126,   127,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
      -1,    -1,  5173,    -1,    -1,   146,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   184,   185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,  5265,  5266,   237,    -1,   239,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,   248,    -1,    -1,
    5281,  5282,  5283,    -1,    -1,   256,    -1,    -1,    -1,    -1,
    5291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,   277,    -1,   279,    -1,
      -1,   282,   283,    -1,   285,    -1,    -1,    -1,  5319,  5320,
      -1,    -1,    -1,   294,   295,    -1,   297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,
     321,   322,    -1,    -1,    -1,   326,    -1,    -1,    -1,   330,
      -1,    -1,   333,    -1,   335,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,
     351,    -1,   353,   354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,   369,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   404,    -1,    -1,    -1,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,   430,
      -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,
     461,   462,    -1,    -1,  5495,    -1,   467,    -1,   469,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,  5509,    -1,
      -1,  5512,    -1,    -1,    -1,  5516,    -1,    -1,    -1,    -1,
      -1,    -1,   493,    -1,    -1,   496,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5684,    -1,  5686,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5716,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5768,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5796,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5855,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5884,    -1,    -1,    -1,    -1,  5889,    -1,
      -1,    -1,    -1,    -1,    -1,  5896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,  5928,    15,    16,
    5931,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,  5954,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     3,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,   548,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     104,    -1,   106,   107,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,   119,    -1,    -1,   122,   123,
     124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,   142,    -1,
     144,   145,   146,    -1,   148,    -1,    -1,   151,    -1,   153,
      -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     164,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,   181,    -1,   183,
     184,   185,   186,    -1,    -1,    -1,    -1,    -1,   192,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   200,    -1,   202,    -1,
      -1,    -1,   206,    -1,    -1,    -1,    -1,    -1,   212,   213,
      -1,    -1,    -1,    -1,    -1,    -1,   220,   221,   222,    -1,
      -1,   225,    -1,    -1,   228,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,    -1,
     244,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,    -1,   260,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,
     274,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,   283,
      -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,   297,    -1,   299,   300,    -1,    -1,    -1,
      -1,   305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   317,    -1,    -1,   320,   321,   322,    -1,
      -1,    -1,   326,    -1,    -1,   329,   330,    -1,    -1,   333,
      -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,   353,
     354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   367,    -1,   369,    -1,   371,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,
     384,    -1,    -1,    -1,    -1,    -1,   390,   391,    -1,   393,
      -1,    -1,    -1,    -1,   398,    -1,    -1,    -1,    -1,   403,
     404,    -1,   406,    -1,   408,    -1,    -1,   411,    -1,    -1,
      -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,   425,    -1,   427,    -1,   429,   430,    -1,    -1,   433,
      -1,    -1,    -1,    -1,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,   452,    -1,
     454,    -1,    -1,    -1,    -1,    -1,    -1,   461,   462,    -1,
      -1,    -1,    -1,   467,    -1,   469,    -1,   471,    -1,   473,
      -1,    -1,    -1,    -1,   478,    -1,    -1,   481,    -1,    -1,
     484,    -1,    -1,   487,    -1,    -1,    -1,    -1,   492,   493,
      -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   505,    -1,    -1,    -1,    -1,    -1,    -1,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    -1,
      -1,    -1,    -1,    -1,   528,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,   542,    15,
      16,    -1,   546,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
      -1,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,
      -1,    -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,   528,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
      -1,   479,   480,   481,   482,   483,   484,   485,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   542,   543,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,   543,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
     110,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   542,   543,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,    -1,    -1,    -1,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   543,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   543,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,   528,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,   292,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,   540,   541,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,   535,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,   479,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,   479,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,   479,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,    -1,    -1,    -1,    -1,
      -1,    -1,   533,   534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   542,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     533,   534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   533,   534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   542,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   542,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,    -1,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,    -1,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,    -1,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,    -1,
     479,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   542,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,   528,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   542,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   542,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,   485,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   542,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
     485,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   542,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   542,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   543,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,   541,
     542,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,   452,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,   528,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,   452,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,   528,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   542,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,    -1,   120,   121,   122,   123,   124,    -1,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,    -1,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,    -1,
     296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,   324,   325,
     326,    -1,   328,   329,    -1,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,    -1,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,   492,   493,    -1,   495,
      -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   542,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,    -1,   120,   121,
     122,   123,   124,    -1,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,    -1,    -1,   150,   151,
     152,   153,   154,    -1,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,    -1,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
      -1,    -1,   284,    -1,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,    -1,   328,   329,    -1,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,    -1,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
     492,   493,    -1,   495,    -1,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     542,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   542,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   542,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    84,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,    -1,   468,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,    -1,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,    -1,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    74,    75,
      76,    77,    78,    79,    80,    81,    -1,    -1,    84,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,    -1,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,    -1,   468,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,    -1,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
      -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,   535,
     536,   537,   538,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,    -1,   120,   121,   122,
     123,   124,    -1,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,    -1,    -1,   150,   151,   152,
     153,   154,    -1,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,    -1,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,
      -1,   284,    -1,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,    -1,   328,   329,    -1,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,    -1,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,    -1,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,   492,
     493,    -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,
     533,   534,   535,   536,   537,   538,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,   529,
     530,   531,    -1,   533,   534,   535,   536,   537,   538,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,   529,   530,   531,    -1,   533,   534,   535,   536,
     537,   538,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,    -1,   120,   121,   122,   123,
     124,    -1,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,    -1,    -1,   150,   151,   152,   153,
     154,    -1,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,    -1,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,
     284,    -1,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,    -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,    -1,   328,   329,    -1,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
      -1,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,   492,   493,
      -1,   495,    -1,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,
     534,   535,   536,   537,   538,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,   529,   530,
     531,    -1,   533,   534,   535,   536,   537,   538,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,   529,   530,   531,    -1,   533,   534,   535,   536,   537,
     538,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,   529,   530,   531,    -1,   533,   534,
     535,   536,   537,   538,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,   535,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,   535,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   535,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,   535,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,   238,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   533,   534,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,    -1,   120,   121,   122,   123,   124,    -1,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
      -1,    -1,   150,   151,   152,   153,   154,    -1,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,    -1,
     168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,    -1,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,    -1,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,    -1,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,    -1,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   533,   534,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,    -1,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,    -1,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,    -1,   328,
     329,    -1,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,    -1,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   533,   534,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,
     120,   121,   122,   123,   124,    -1,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,
     150,   151,   152,   153,   154,    -1,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,    -1,   168,   169,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,    -1,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
      -1,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,   326,    -1,   328,   329,
      -1,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,    -1,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,    -1,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,    -1,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   533,   534,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,    -1,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,    -1,    -1,   150,
     151,   152,   153,   154,    -1,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,    -1,   168,   169,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,    -1,    -1,    -1,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,    -1,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,    -1,    -1,   284,    -1,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,    -1,   296,    -1,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,    -1,   328,   329,    -1,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
      -1,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,    -1,   455,   456,   457,   458,   459,    -1,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,    -1,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,     4,
     531,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,    -1,   120,   121,   122,   123,   124,
      -1,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,    -1,    -1,   150,   151,   152,   153,   154,
      -1,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,    -1,   168,   169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,    -1,    -1,    -1,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,    -1,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,    -1,    -1,   284,
      -1,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
      -1,   296,    -1,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,    -1,   328,   329,    -1,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,    -1,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,    -1,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,   492,   493,    -1,
     495,    -1,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,   485,    -1,   487,   488,   489,   490,
     491,   492,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,   492,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,   492,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,    -1,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,   158,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,    -1,   222,   223,   224,    -1,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,    -1,    -1,   273,   274,   275,
     276,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,    -1,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,    -1,   328,   329,   330,   331,   332,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,    -1,   368,    -1,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,    -1,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,    -1,   468,    -1,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
     145,    -1,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,   158,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,    -1,   222,   223,   224,
      -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,    -1,    -1,   273,   274,
     275,   276,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,    -1,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,    -1,   351,   352,   353,    -1,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,    -1,   368,    -1,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,    -1,   468,    -1,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
     525,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,   158,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,    -1,   222,   223,
     224,    -1,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,    -1,    -1,   273,
     274,   275,   276,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
      -1,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,    -1,   351,   352,   353,
      -1,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,    -1,   368,    -1,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,   525,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,   158,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,    -1,   222,
     223,   224,    -1,    -1,   227,    -1,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,    -1,    -1,
     273,   274,   275,   276,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,    -1,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,    -1,   328,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,   352,
     353,    -1,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,    -1,   368,    -1,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,   525,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,   158,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,    -1,
     222,   223,   224,    -1,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,    -1,
      -1,   273,   274,   275,   276,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,    -1,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,    -1,    -1,   328,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,   351,
     352,   353,    -1,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,    -1,   368,    -1,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,   158,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
      -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
      -1,    -1,   273,   274,   275,   276,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,    -1,    -1,   328,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,    -1,
     351,   352,   353,    -1,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,    -1,   368,    -1,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,   158,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,   249,
      -1,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,    -1,    -1,   273,   274,   275,   276,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,    -1,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
      -1,   351,   352,   353,    -1,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,    -1,   368,    -1,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,   414,   415,   416,   417,    -1,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,    -1,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,   525,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,    -1,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,    -1,    -1,   273,   274,   275,   276,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,    -1,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,    -1,   328,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,    -1,   351,   352,   353,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,    -1,   368,
      -1,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,   468,
      -1,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
     158,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,    -1,   222,   223,   224,    -1,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
      -1,   249,    -1,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,    -1,    -1,   273,   274,   275,   276,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,    -1,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,    -1,    -1,
     328,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,    -1,   351,   352,   353,    -1,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,    -1,
     368,    -1,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,    -1,
     468,    -1,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,   525,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,    -1,    -1,   125,    -1,
      -1,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,    -1,    -1,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,    -1,   222,   223,   224,    -1,    -1,
     227,    -1,   229,   230,    -1,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,    -1,   249,    -1,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,    -1,    -1,   273,   274,   275,    -1,
      -1,    -1,    -1,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,    -1,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,    -1,   321,    -1,   323,   324,   325,    -1,
      -1,   328,   329,   330,   331,    -1,    -1,   334,    -1,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,    -1,   351,   352,   353,    -1,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
      -1,   368,    -1,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,   428,   429,   430,   431,   432,    -1,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,    -1,    -1,    -1,    -1,   465,   466,
      -1,   468,    -1,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,    -1,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,    -1,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    -1,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,    -1,   149,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,   166,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,   166,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,   479,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,   170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,   166,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,   452,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,   166,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,   452,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,   106,
     107,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,   485,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,    -1,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,    -1,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,    -1,    -1,   150,   151,   152,   153,   154,    -1,   156,
     157,   158,    -1,   160,   161,   162,   163,   164,   165,    -1,
      -1,   168,   169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
      -1,    -1,    -1,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,    -1,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,    -1,    -1,   284,    -1,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,    -1,   296,
      -1,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
      -1,   328,   329,    -1,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,    -1,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,    -1,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,    -1,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,    -1,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,   492,   493,    -1,   495,    -1,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    -1,    -1,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    72,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,   123,   124,   125,   126,
     127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,
     237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,   246,
      -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,
     277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
     297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,   326,
      -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     367,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,
      -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     427,    -1,    -1,   430,    -1,    -1,   433,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,
      -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,    -1,
     467,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,   496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      -1,    41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    -1,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,
      -1,    -1,    -1,   123,   124,   125,   126,   127,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,
      -1,    -1,    -1,    -1,    -1,    -1,   146,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   184,   185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,
      -1,   231,    -1,    -1,    -1,    -1,    -1,   237,    -1,   239,
      -1,    -1,    -1,    -1,    -1,    -1,   246,    -1,   248,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     270,   271,    -1,    -1,    -1,    -1,    -1,   277,    -1,   279,
      -1,    -1,   282,   283,    -1,   285,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,   297,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     320,   321,   322,    -1,    -1,    -1,   326,    -1,    -1,    -1,
     330,    -1,    -1,   333,    -1,   335,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     350,   351,    -1,   353,   354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,   369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,   408,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,    -1,    -1,
     430,    -1,    -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,
      -1,   461,   462,    -1,    -1,    -1,    -1,   467,    -1,   469,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,    -1,    -1,   496,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    -1,    41,    42,
      43,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
     123,   124,   125,   126,   127,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,    -1,    -1,
      -1,    -1,    -1,   146,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   184,   185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,
      -1,    -1,    -1,    -1,   237,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,   246,    -1,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,
      -1,    -1,    -1,    -1,   277,    -1,   279,    -1,    -1,   282,
     283,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   294,   295,    -1,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,   321,   322,
      -1,    -1,    -1,   326,    -1,    -1,    -1,   330,    -1,    -1,
     333,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   350,   351,    -1,
     353,   354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   367,    -1,   369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   404,    -1,    -1,    -1,   408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,    -1,    -1,   430,    -1,    -1,
     433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      -1,   454,    -1,    -1,    -1,    -1,    -1,    -1,   461,   462,
      -1,    -1,    -1,    -1,   467,    -1,   469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,    -1,    -1,   496,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,   123,   124,   125,
     126,   127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,
     146,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,   185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,   225,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,   237,    -1,   239,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
      -1,   277,    -1,   279,    -1,    -1,   282,   283,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   320,   321,   322,    -1,    -1,    -1,
     326,    -1,    -1,    -1,   330,    -1,    -1,   333,    -1,   335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,   351,    -1,   353,   354,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   367,    -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,    -1,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,    -1,    -1,   430,    -1,    -1,   433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,   454,    -1,
      -1,    -1,    -1,    -1,    -1,   461,   462,    -1,    -1,    -1,
      -1,   467,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,
     496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,
     533,   534,   535,    -1,    -1,    -1,    -1,    -1,    -1,   542,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,   106,   107,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,   492,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    -1,   524,   525,    70,    71,   528,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,   542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    -1,
     524,   525,    -1,    -1,    -1,    -1,    -1,    70,    71,   533,
     534,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,    -1,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    70,    71,
     533,   534,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,    70,
      71,   533,   534,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    -1,   524,   525,    -1,    -1,    -1,    -1,    -1,
      70,    71,   533,   534,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    -1,   524,   525,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    70,   524,   525,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    74,    75,    76,    77,    78,    79,    -1,    81,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
     139,   140,    -1,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,   154,   155,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,    -1,   248,
     249,    -1,   251,   252,    -1,   254,   255,   256,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,    -1,   277,    -1,
     279,    -1,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,    -1,   461,   462,    -1,    -1,   465,   466,   467,   468,
     469,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,   493,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,    70,   524,   525,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,    -1,   129,   130,   131,   132,   133,    -1,    -1,
     136,   137,    -1,   139,   140,    -1,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,   157,    -1,    -1,   160,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,
      -1,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,    -1,   213,   214,   215,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
      -1,   227,    -1,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,    -1,   251,   252,    -1,   254,   255,
     256,   257,   258,   259,   260,    -1,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
      -1,   277,    -1,   279,    -1,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,    -1,   299,   300,   301,    -1,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,    -1,   344,   345,
     346,    -1,    -1,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,    -1,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,   453,   454,   455,
     456,   457,   458,   459,    -1,   461,   462,    -1,    -1,   465,
     466,   467,   468,   469,    -1,   471,   472,   473,   474,   475,
     476,   477,    -1,    -1,   480,   481,   482,   483,   484,    -1,
      -1,   487,   488,   489,   490,   491,    -1,   493,    -1,   495,
     496,   497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,    70,   524,   525,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,    -1,   129,   130,   131,   132,
     133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,   154,   155,   156,   157,    -1,    -1,   160,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,    -1,
     213,   214,   215,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,    -1,   251,   252,
      -1,   254,   255,   256,   257,   258,   259,   260,    -1,   262,
     263,   264,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,   274,   275,    -1,   277,    -1,   279,    -1,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,    -1,   299,   300,   301,    -1,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
      -1,   344,   345,   346,    -1,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,    -1,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
     453,   454,   455,   456,   457,   458,   459,    -1,   461,   462,
      -1,    -1,   465,   466,   467,   468,   469,    -1,   471,   472,
     473,   474,   475,   476,   477,    -1,    -1,   480,   481,   482,
     483,   484,   485,    -1,   487,   488,   489,   490,   491,    -1,
     493,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
      70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,    -1,   129,
     130,   131,   132,   133,    -1,    -1,   136,   137,    -1,   139,
     140,    -1,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,   154,   155,   156,   157,    -1,    -1,
     160,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,    -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,   213,   214,   215,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,   248,   249,
      -1,   251,   252,    -1,   254,   255,   256,   257,   258,   259,
     260,    -1,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,    -1,   277,    -1,   279,
      -1,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,    -1,   299,
     300,   301,    -1,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,   453,   454,   455,   456,   457,   458,   459,
      -1,   461,   462,    -1,    -1,   465,   466,   467,   468,   469,
      -1,   471,   472,   473,   474,   475,   476,   477,    -1,    -1,
     480,   481,   482,   483,   484,    -1,    -1,   487,   488,   489,
     490,   491,    -1,   493,    -1,   495,   496,   497,   498,   499,
     500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,    -1,   129,   130,   131,   132,   133,    -1,    -1,   136,
     137,    -1,   139,   140,    -1,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,   154,   155,   156,
     157,    -1,    -1,   160,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,   213,   214,   215,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,   246,
      -1,   248,   249,    -1,   251,   252,    -1,   254,   255,   256,
     257,   258,   259,   260,    -1,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,   274,   275,    -1,
     277,    -1,   279,    -1,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,    -1,   299,   300,   301,    -1,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,    -1,   344,   345,   346,
      -1,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,    -1,   365,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,    -1,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,   453,   454,   455,   456,
     457,   458,   459,    -1,   461,   462,    -1,    -1,   465,   466,
     467,   468,   469,    -1,   471,   472,   473,   474,   475,   476,
     477,    -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,
     487,   488,   489,   490,   491,    -1,   493,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,    70,   524,   525,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,    -1,   129,   130,   131,   132,   133,
      -1,    -1,   136,   137,    -1,   139,   140,    -1,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
     154,   155,   156,   157,    -1,    -1,   160,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,
     174,    -1,    -1,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,   213,
     214,   215,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,    -1,   248,   249,    -1,   251,   252,    -1,
     254,   255,   256,   257,   258,   259,   260,    -1,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,    -1,   277,    -1,   279,    -1,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,    -1,   299,   300,   301,    -1,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,    -1,
     344,   345,   346,    -1,    -1,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
      -1,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,    -1,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,   453,
     454,   455,   456,   457,   458,   459,    -1,   461,   462,    -1,
      -1,   465,   466,   467,   468,   469,    -1,   471,   472,   473,
     474,   475,   476,   477,    -1,    -1,   480,   481,   482,   483,
     484,    -1,    -1,   487,   488,   489,   490,   491,    -1,   493,
      -1,   495,   496,   497,   498,   499,   500,    -1,    -1,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,    70,
     524,   525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,    -1,   129,   130,
     131,   132,   133,    -1,    -1,   136,   137,    -1,   139,   140,
      -1,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,   154,   155,   156,   157,    -1,    -1,   160,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
      -1,    -1,    -1,   174,    -1,    -1,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,    -1,   248,   249,    -1,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,   260,
      -1,   262,   263,   264,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,    -1,   299,   300,
     301,    -1,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,    -1,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,   453,   454,   455,   456,   457,   458,   459,    -1,
     461,   462,    -1,    -1,   465,   466,   467,   468,   469,    -1,
     471,   472,   473,   474,   475,   476,   477,    -1,    -1,   480,
     481,   482,   483,   484,    -1,    -1,   487,   488,   489,   490,
     491,    -1,   493,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
      -1,   129,   130,   131,   132,   133,    -1,    -1,   136,   137,
      -1,   139,   140,    -1,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,   154,   155,   156,   157,
      -1,    -1,   160,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,    -1,    -1,    -1,   174,    -1,    -1,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,   213,   214,   215,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,    -1,   251,   252,    -1,   254,   255,   256,   257,
     258,   259,   260,    -1,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,    -1,   277,
      -1,   279,    -1,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
      -1,   299,   300,   301,    -1,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,
      -1,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,    -1,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
      -1,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,    -1,   461,   462,    -1,    -1,   465,   466,   467,
     468,   469,    -1,   471,   472,   473,   474,   475,   476,   477,
      -1,    -1,   480,   481,   482,   483,   484,    -1,    -1,   487,
     488,   489,   490,   491,    -1,   493,    -1,   495,   496,   497,
     498,   499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,    70,   524,   525,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,    -1,   129,   130,   131,   132,   133,    -1,
      -1,   136,   137,    -1,   139,   140,    -1,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,   154,
     155,   156,   157,    -1,    -1,   160,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,    -1,    -1,    -1,   174,
      -1,    -1,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,    -1,   213,   214,
     215,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,    -1,   251,   252,    -1,   254,
     255,   256,   257,   258,   259,   260,    -1,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,   274,
     275,    -1,   277,    -1,   279,    -1,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,    -1,   299,   300,   301,    -1,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,    -1,   344,
     345,   346,    -1,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,    -1,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,    -1,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,   453,   454,
     455,   456,   457,   458,   459,    -1,   461,   462,    -1,    -1,
     465,   466,   467,   468,   469,    -1,   471,   472,   473,   474,
     475,   476,   477,    -1,    -1,   480,   481,   482,   483,   484,
      -1,    -1,   487,   488,   489,   490,   491,    -1,   493,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,    70,   524,
     525,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,    -1,   129,   130,   131,
     132,   133,    -1,    -1,   136,   137,    -1,   139,   140,    -1,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,   157,    -1,    -1,   160,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,   213,   214,   215,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,    -1,   248,   249,    -1,   251,
     252,    -1,   254,   255,   256,   257,   258,   259,   260,    -1,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,    -1,   277,    -1,   279,    -1,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,    -1,   299,   300,   301,
      -1,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,    -1,   344,   345,   346,    -1,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,    -1,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,    -1,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,    -1,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,   453,   454,   455,   456,   457,   458,   459,    -1,   461,
     462,    -1,    -1,   465,   466,   467,   468,   469,    -1,   471,
     472,   473,   474,   475,   476,   477,    -1,    -1,   480,   481,
     482,   483,   484,    -1,    -1,   487,   488,   489,   490,   491,
      -1,   493,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,    70,   524,   525,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
      -1,   120,   121,   122,    -1,    -1,    -1,    -1,    -1,    -1,
     129,   130,   131,   132,   133,    -1,    -1,   136,   137,    -1,
      -1,   140,    -1,   142,   143,   144,   145,    -1,    -1,    -1,
      -1,   150,   151,   152,   153,   154,    -1,   156,   157,    -1,
      -1,   160,   161,   162,   163,   164,   165,    -1,    -1,   168,
     169,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   178,
     179,   180,   181,    -1,   183,    -1,    -1,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,    -1,   222,   223,   224,    -1,    -1,   227,    -1,
     229,   230,    -1,   232,    -1,   234,    -1,   236,    -1,    -1,
      -1,   240,   241,   242,   243,    -1,   245,    -1,    -1,    -1,
     249,    -1,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,   260,    -1,   262,   263,   264,   265,   266,   267,    -1,
     269,    -1,    -1,    -1,   273,   274,   275,    -1,    -1,    -1,
      -1,    -1,   281,    -1,    -1,   284,    -1,   286,   287,   288,
     289,   290,    -1,    -1,   293,    -1,    -1,   296,    -1,    -1,
     299,   300,   301,    -1,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,   318,
     319,    -1,    -1,    -1,   323,   324,   325,    -1,    -1,   328,
     329,    -1,   331,    -1,    -1,   334,    -1,   336,   337,   338,
      -1,   340,   341,    -1,    -1,   344,   345,   346,    -1,    -1,
     349,    -1,    -1,   352,    -1,    -1,   355,   356,   357,   358,
     359,   360,   361,   362,   363,    -1,   365,   366,    -1,   368,
      -1,   370,   371,   372,    -1,   374,   375,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,    -1,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,    -1,   402,   403,    -1,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,    -1,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,   428,
     429,    -1,   431,   432,    -1,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,    -1,   453,    -1,   455,   456,   457,   458,
     459,    -1,    -1,    -1,    -1,    -1,   465,   466,    -1,   468,
      -1,    -1,   471,   472,   473,   474,   475,   476,   477,    -1,
      -1,   480,   481,   482,   483,   484,    -1,    -1,   487,   488,
     489,   490,   491,    -1,    -1,    -1,   495,    -1,   497,   498,
     499,   500,    -1,    -1,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   524,   525
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   551,  1196,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   138,   213,   231,   253,
     276,   313,   316,   332,   416,   463,   478,   493,   523,   531,
     533,   534,   535,   536,   537,   540,   541,   542,   543,   545,
     546,   547,   548,   549,  1186,  1197,  1226,  1228,  1319,  1329,
    1330,  1332,  1338,  1339,  1227,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   119,   122,   123,   124,   125,   126,   127,   139,
     142,   144,   145,   146,   148,   151,   153,   155,   164,   166,
     167,   174,   181,   183,   184,   185,   186,   200,   202,   206,
     212,   213,   220,   221,   222,   225,   228,   231,   237,   239,
     244,   246,   248,   256,   260,   270,   271,   277,   279,   282,
     283,   285,   294,   295,   297,   299,   300,   305,   317,   320,
     321,   322,   326,   329,   330,   333,   335,   350,   351,   353,
     354,   367,   369,   371,   383,   384,   390,   391,   393,   398,
     403,   404,   406,   408,   411,   417,   418,   425,   427,   429,
     430,   433,   439,   448,   452,   454,   461,   462,   467,   469,
     471,   473,   478,   481,   487,   492,   493,   496,   505,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     528,   542,   552,   553,   559,   560,   562,   563,   564,   565,
     567,   571,   583,   588,   589,   592,   593,   594,   614,   617,
     618,   634,   677,   680,   683,   684,   685,   693,   699,   701,
     703,   704,   707,   710,   711,   715,   724,   728,   729,   730,
     731,   734,   736,   737,   738,   739,   747,   748,   767,   771,
     773,   774,   775,   785,   787,   794,   795,   798,   799,   800,
     801,   802,   810,   812,   816,   821,   825,   826,   834,   835,
     838,   843,   854,   881,   884,   885,   886,   891,   894,   896,
     898,   900,   901,   906,   907,   910,   911,   912,   916,   917,
     920,   921,   924,   925,   926,   933,   935,   936,   937,   942,
     944,   945,   951,   952,   953,   954,   955,   956,   957,   959,
     960,   962,   963,   965,   968,   969,   974,   980,   983,   985,
     994,   996,  1001,  1006,  1010,  1011,  1012,  1013,  1014,  1015,
    1018,  1053,  1193,  1194,  1198,  1201,  1202,  1219,  1220,  1221,
    1222,  1233,  1235,  1239,  1240,  1241,  1242,  1243,  1245,  1247,
    1249,  1250,  1251,  1252,  1254,  1259,  1260,  1264,  1265,  1274,
    1276,  1277,  1278,  1281,  1286,  1289,  1294,  1296,  1297,  1300,
    1302,  1305,  1314,  1332,  1340,    72,  1222,  1230,  1231,    14,
      71,    94,    95,    96,    97,    98,    99,   100,   101,   103,
     104,   105,   113,   114,   116,   117,   118,   120,   121,   122,
     129,   130,   131,   132,   133,   136,   137,   140,   142,   143,
     144,   145,   150,   151,   152,   153,   154,   156,   157,   160,
     161,   162,   163,   164,   165,   168,   169,   177,   178,   179,
     180,   181,   183,   186,   188,   190,   191,   192,   193,   194,
     195,   197,   198,   199,   200,   203,   204,   205,   206,   207,
     209,   210,   211,   213,   214,   215,   217,   218,   219,   220,
     222,   223,   224,   227,   229,   230,   232,   234,   236,   240,
     241,   242,   243,   245,   249,   251,   252,   254,   255,   257,
     258,   259,   260,   262,   263,   264,   265,   266,   267,   269,
     273,   274,   275,   281,   284,   286,   287,   288,   289,   290,
     293,   296,   299,   300,   301,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   314,   315,   317,   318,   319,   323,
     324,   325,   328,   329,   331,   334,   336,   337,   338,   340,
     341,   344,   345,   346,   349,   352,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   365,   366,   368,   370,   371,
     372,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     384,   385,   386,   387,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   402,   403,   405,   406,
     407,   409,   410,   411,   412,   413,   414,   415,   417,   419,
     420,   421,   422,   423,   424,   425,   426,   428,   429,   431,
     432,   434,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   450,   451,   453,   455,   456,   457,
     458,   459,   463,   465,   466,   468,   471,   472,   473,   474,
     475,   476,   477,   480,   481,   482,   483,   484,   487,   488,
     489,   490,   491,   495,   497,   498,   499,   500,   503,   506,
     507,   508,   509,   510,   511,   524,   525,  1188,  1189,  1191,
    1192,  1193,  1194,  1212,  1213,  1324,  1326,  1330,  1332,    29,
     272,  1275,     9,    13,    15,    28,    44,    45,    49,    50,
      55,    64,    66,    68,    69,   102,   138,   158,   170,   182,
     187,   253,   313,   316,   416,   492,   523,  1179,  1192,  1193,
    1214,  1261,  1262,  1304,  1305,  1306,  1310,  1315,  1316,  1317,
    1326,  1332,   102,  1007,  1178,  1214,  1310,  1323,    14,  1007,
       5,    25,    29,    35,    36,    42,    43,   102,   106,   107,
     108,   109,   110,   111,   112,   115,   128,   134,   135,   138,
     141,   147,   149,   158,   159,   166,   170,   171,   172,   173,
     175,   176,   177,   187,   189,   196,   201,   202,   208,   212,
     216,   226,   228,   233,   235,   238,   244,   247,   250,   261,
     268,   272,   276,   278,   280,   291,   292,   298,   302,   303,
     327,   332,   339,   342,   343,   347,   348,   364,   373,   388,
     401,   418,   424,   435,   449,   452,   460,   463,   464,   470,
     478,   479,   485,   486,   492,   494,   501,   502,   504,   505,
    1192,  1195,  1306,  1307,  1308,  1312,  1313,  1314,  1315,  1317,
      25,    35,   138,   276,  1301,    37,    39,   327,  1234,   465,
     508,   938,   101,   148,   163,   181,   187,   204,   215,   223,
     235,   240,   247,   264,   289,   310,   344,   366,   376,   379,
     405,   410,   412,   419,   422,   441,   447,   451,   452,   455,
     459,   468,   473,   485,   498,   700,  1262,   186,   938,   102,
    1007,   496,   970,   342,   372,   938,   125,   542,   625,    96,
     101,   113,   135,   148,   159,   181,   187,   204,   215,   223,
     235,   243,   247,   301,   344,   347,   366,   379,   405,   412,
     422,   441,   447,   455,   456,   458,   459,   468,   473,   479,
     482,   485,   635,   682,   790,   844,   855,  1179,  1203,  1204,
    1205,  1214,  1330,  1332,    14,   102,   371,  1178,  1214,  1218,
     440,  1007,   102,   365,   420,   456,   458,   288,   892,   893,
    1330,    96,   101,   113,   135,   148,   163,   181,   204,   215,
     223,   235,   240,   247,   264,   310,   344,   356,   366,   379,
     405,   410,   412,   419,   422,   441,   447,   452,   455,   459,
     466,   468,   473,   485,   498,   700,   803,   804,   805,   938,
     548,  1244,  1308,   257,  1218,   166,   186,   220,   496,   542,
     680,   683,   969,   975,   983,   985,   994,  1001,  1006,  1010,
    1198,    95,   102,   120,   230,   236,   238,   261,   290,   324,
     374,   392,   533,   534,   822,   823,  1007,  1186,  1187,  1324,
    1326,   102,   166,   388,   418,   827,   828,   829,  1310,   235,
    1310,  1183,  1330,   452,  1021,   120,   236,   822,  1310,   465,
    1218,   356,   310,   181,   264,   412,   451,   452,   542,   902,
     903,   411,  1310,   102,   138,   423,   461,   465,   492,   575,
     584,   585,  1192,  1193,  1304,  1309,  1315,  1317,  1332,    99,
     244,   827,   828,   372,   938,  1310,   287,   102,   201,  1023,
    1024,     4,    14,   136,   158,   160,   301,   319,   405,   412,
     423,   461,   465,   511,   572,   573,   574,   575,   102,   423,
     461,   465,   575,   465,   343,  1064,  1176,  1310,  1021,  1298,
    1308,   535,  1310,   239,   542,   971,   542,   386,  1016,  1017,
    1178,  1016,  1011,  1012,  1015,   546,   970,   216,   278,   348,
     478,  1025,  1026,  1011,  1013,  1014,   192,   274,   484,   545,
     122,   552,  1242,  1245,  1241,  1237,   546,  1246,  1248,     5,
      25,    35,   138,   205,   276,  1253,   182,   253,   313,   316,
     416,   523,   542,  1107,  1108,  1225,  1229,  1319,    72,  1222,
    1178,  1214,  1333,   187,  1203,    21,   486,   536,  1218,  1218,
    1333,   486,  1266,  1267,  1268,    25,   276,   276,  1312,     7,
      19,    20,    38,    41,   162,   202,  1303,  1303,    16,  1242,
     871,  1184,  1194,  1304,  1307,  1310,  1311,  1315,  1316,  1332,
     807,  1310,   807,  1179,   375,   807,   468,  1178,   180,   452,
     859,  1184,  1194,  1310,  1188,  1189,   102,   255,  1176,   336,
     498,    84,    91,    92,    93,   143,   227,   529,   530,   531,
     533,   534,   535,   536,   537,   538,   888,   890,  1140,  1141,
    1310,   255,  1178,  1178,   102,  1188,  1189,  1178,  1178,   255,
    1176,  1178,   807,  1178,   398,   425,   102,   255,  1064,  1178,
     415,  1178,   807,   102,   308,  1188,  1189,   255,  1176,   288,
      34,   189,   284,   327,   382,   939,   940,   941,  1176,  1182,
    1310,    96,   101,   135,   148,   149,   159,   163,   181,   204,
     215,   223,   235,   240,   264,   289,   310,   344,   366,   379,
     405,   410,   412,   419,   422,   441,   447,   452,   455,   459,
     466,   468,   473,   498,   700,   813,   814,  1330,   982,   985,
     994,  1001,  1010,  1176,   312,  1184,  1178,   542,   255,   807,
     468,  1179,   807,   468,   255,  1178,   180,   452,   456,   458,
    1188,   456,   458,   143,   227,   888,   396,  1178,  1178,  1188,
     255,   568,  1310,   255,  1178,   255,   807,  1178,  1178,   415,
    1178,   807,   308,  1188,   386,   419,   452,   498,   310,   163,
     264,   240,   410,   466,   472,   694,    84,  1206,  1207,   547,
    1326,  1333,   102,  1218,  1332,  1008,   582,  1191,  1330,   893,
     312,   255,   871,   872,  1178,   255,   897,   255,  1179,   124,
     126,   127,   138,   139,   184,   185,   205,   231,   255,   276,
     277,   279,   320,   322,   335,   383,   427,   433,   461,   462,
     493,   809,  1086,  1088,  1090,  1092,  1094,  1096,  1097,  1098,
    1100,  1101,  1102,  1104,  1105,  1304,  1311,  1315,  1316,  1332,
     468,   180,   452,   255,   858,   859,   255,  1189,  1190,   155,
     498,   143,   227,   255,   889,   890,   129,   255,  1190,   255,
    1178,   255,  1178,   415,   897,   255,   809,   255,   308,  1190,
     288,   255,   806,   807,   255,  1177,  1178,   255,  1178,   542,
     548,  1334,  1335,  1336,  1337,  1339,  1244,    70,  1214,  1263,
     542,   984,   635,  1007,   975,   969,   976,   977,   978,  1191,
     970,  1187,   823,   824,   102,   823,  1007,  1187,   824,   102,
     823,  1007,  1187,   824,   824,   824,  1187,  1186,  1186,   280,
     486,  1268,  1269,  1343,  1345,  1007,   824,   375,   542,   542,
     655,   655,   655,   342,   463,   545,   655,   412,  1064,  1065,
     823,  1007,   823,  1007,   545,   934,  1330,   238,   542,   981,
     129,   498,   496,   904,   905,  1176,  1178,  1310,   119,   525,
     284,   544,   345,   345,   342,   238,  1330,   463,   233,   817,
     342,    82,    83,    84,    86,   110,   124,   126,   127,   134,
     135,   138,   139,   146,   148,   171,   172,   173,   174,   175,
     176,   177,   184,   185,   187,   221,   225,   226,   231,   246,
     248,   277,   279,   294,   302,   303,   320,   322,   327,   332,
     333,   335,   344,   354,   367,   383,   408,   424,   433,   448,
     461,   462,   467,   469,   470,   479,   485,   493,   513,   514,
     515,   516,   518,   519,   520,   521,   526,   533,   534,   535,
     542,  1011,  1089,  1092,  1095,  1096,  1097,  1099,  1100,  1101,
    1104,  1105,  1109,  1111,  1112,  1113,  1115,  1136,  1137,  1138,
    1142,  1161,  1166,  1173,  1174,  1184,  1185,  1186,  1310,  1322,
    1324,  1326,  1327,  1328,  1329,  1330,  1172,  1173,   463,   531,
    1333,  1330,   463,   531,  1262,   102,   590,  1175,  1176,   423,
     572,   187,   581,  1330,   582,  1330,   119,   140,   572,   525,
     434,   940,   345,   238,   463,   531,   119,   525,   284,  1343,
     941,   542,  1176,   535,   540,   544,  1167,  1169,  1065,  1314,
     237,   239,   496,   966,   967,   969,  1332,   237,   972,  1109,
    1145,  1016,   545,   542,   973,   543,   543,  1176,   102,   201,
    1022,  1022,   129,  1022,   228,   233,   298,   339,  1029,  1031,
    1032,  1047,  1049,  1050,  1051,  1025,  1026,   238,   280,  1064,
    1066,   542,   546,  1236,   535,  1255,  1256,  1258,   548,   548,
      25,   276,   276,   463,   463,   463,   463,   542,   463,   533,
     534,   691,  1187,  1223,  1329,   212,   111,  1210,   129,  1213,
    1213,   280,  1268,  1270,   280,  1268,  1269,  1270,   491,  1279,
    1280,  1326,    14,    83,   436,   533,   534,  1186,  1271,  1272,
    1273,  1322,  1324,  1328,  1329,  1330,  1331,   276,   282,  1178,
     463,  1178,     6,  1178,  1303,  1258,   357,   394,   425,   542,
     869,  1169,   357,   390,   394,   425,   544,   808,   357,   394,
     425,   158,   210,   304,   357,   394,   425,   455,   457,   505,
     583,   586,   946,   947,   948,   949,  1332,   839,    98,   206,
     357,   394,   425,   489,   598,  1178,    98,   206,   425,   484,
     566,   509,   255,  1064,   131,   165,   195,   224,   258,   293,
     327,   357,   358,   394,   402,   409,   417,   425,   437,   445,
     500,   583,   587,   874,   882,   542,   856,  1169,   394,   566,
     261,   221,    98,   104,   145,   195,   199,   206,   209,   234,
     266,   325,   327,   337,   346,   357,   394,   397,   398,   425,
     489,   595,   597,   718,   691,   102,   255,  1176,   807,   807,
     542,   887,   357,   425,   544,   221,   342,    98,   206,   357,
     394,   425,   261,   561,   394,   505,   528,   554,   561,   342,
     357,   394,   221,   111,   130,   179,   263,   311,   314,   325,
     356,   394,   399,   419,   425,   439,   595,   688,   689,   357,
     394,   497,   718,   726,   357,   394,   425,   158,   199,   209,
     357,   390,   394,   425,   585,   573,   575,   261,   221,   117,
     197,   394,   425,   595,   596,   357,   394,   398,   425,   156,
     198,   359,   457,   342,    98,   104,   206,   357,   394,   425,
     615,   616,   561,   233,   394,   554,   561,   221,   394,   425,
     595,  1178,   546,   296,   189,   343,   510,   545,   939,   486,
     964,   342,   312,   871,   542,  1178,  1086,   468,   180,   452,
     859,   336,   498,   143,   227,   890,  1178,  1178,   415,   233,
    1178,  1086,   288,   807,  1178,   543,   655,  1178,   542,   780,
     869,   141,  1086,   327,   238,   542,   776,  1178,   554,   111,
     958,  1178,   327,   554,   509,   255,  1176,   554,   807,   807,
     776,   482,   635,   342,   233,   918,   919,   554,   327,   119,
     569,   327,   473,   725,   327,   973,   158,   357,   702,   156,
     198,   359,   457,   100,   121,   275,   749,   111,   776,   233,
     255,   554,   498,   255,  1176,   255,   678,  1176,  1176,   498,
     807,   155,   845,  1184,  1178,   233,   700,    73,  1208,  1310,
     547,  1209,  1206,   125,   178,   273,   325,   414,   221,   132,
     400,   545,   599,   599,   221,   542,   221,   495,  1103,  1103,
    1103,   542,  1091,  1091,   369,   542,  1093,   221,   138,   139,
    1103,  1091,  1088,   507,   528,   542,  1106,   542,  1106,   545,
     599,   110,  1087,   542,   182,   316,   523,   542,  1107,   808,
    1091,   509,   221,   545,   599,   221,   545,   255,   806,   255,
     807,   255,   807,   221,   545,   599,  1190,   221,   221,   599,
     221,   156,   198,   359,   457,   233,   221,   599,   221,   233,
     255,   255,   582,   221,   545,   599,   221,   545,   599,   221,
     342,   543,  1335,  1336,  1334,   545,   549,  1145,  1267,  1342,
    1343,   452,  1008,   543,   545,   226,   342,   470,   579,   582,
     691,   979,   975,   824,  1007,   824,  1007,  1345,  1346,   824,
    1007,   824,  1007,  1346,   824,  1007,  1007,  1007,   824,    14,
     436,  1318,  1321,  1326,  1007,   542,   656,   657,  1310,   656,
     102,   181,   204,   235,   240,   288,   289,   412,   419,   452,
     455,   473,   830,  1175,  1190,   829,  1178,   261,   545,   997,
    1007,  1007,  1330,  1263,  1086,  1148,   111,  1190,   845,   543,
     545,   296,  1310,   233,   233,   830,  1190,   411,  1310,   582,
     342,   542,   540,  1011,  1149,  1109,  1165,   542,   542,   233,
     542,   542,  1011,   542,   542,   542,   542,   542,   542,  1109,
     542,   542,   542,   542,   542,   542,   542,   542,  1011,   542,
     542,   542,   542,   542,   542,   542,   542,  1109,  1109,  1109,
     492,  1011,  1109,  1145,  1169,  1330,   542,  1330,    84,    87,
      91,    92,    93,   108,   111,   116,   123,   147,   256,   261,
     282,   283,   297,   330,   344,   347,   430,   526,   529,   530,
     531,   533,   534,   535,   536,   537,   538,  1140,  1142,  1144,
    1332,   506,  1124,   353,  1109,   280,   545,  1019,  1343,   542,
    1330,  1169,    22,  1325,  1326,  1170,  1019,   338,   342,  1295,
    1295,    10,   491,  1282,  1283,  1285,  1262,  1262,   190,   257,
     591,   545,   140,   187,   582,   111,   187,   301,   580,   691,
    1105,  1330,  1332,  1330,   161,   203,  1121,   170,   187,   576,
     577,   579,   691,   187,   576,  1343,  1343,   296,  1176,  1109,
    1168,   535,  1181,  1312,  1167,   162,   399,   811,   282,   543,
     545,   970,   543,   545,  1017,  1177,   111,   973,  1013,  1013,
    1027,  1028,  1109,  1013,   230,   324,  1038,   286,   325,   382,
     428,   484,   102,  1033,  1109,   533,   534,  1034,  1035,  1109,
    1111,  1047,  1048,  1032,  1031,  1029,  1030,   233,  1050,   337,
    1052,  1029,  1047,  1066,   986,  1176,   111,  1310,   425,  1145,
    1255,   535,   545,   546,  1313,  1232,  1235,  1232,   276,   182,
     253,   313,  1108,   313,  1108,  1108,   316,  1186,   313,   316,
     416,  1329,  1329,   545,  1224,   186,  1262,   485,  1211,  1213,
    1178,   436,  1186,  1284,  1326,   545,   531,  1178,    14,  1186,
    1329,  1186,  1329,   545,  1242,   542,  1178,   542,  1314,   463,
     463,   412,   261,   271,   348,   350,   427,   494,   535,   862,
     863,   864,   866,   868,   870,  1086,  1311,   463,   497,   463,
     412,  1181,   544,   463,   463,   412,   298,   463,   463,   455,
     572,   357,   946,   948,   531,   950,   233,   244,   261,   403,
     840,   841,   141,   159,   217,   235,   373,   479,   652,   653,
     159,   187,   327,   463,   159,   463,   187,   327,   412,   159,
     199,   209,   357,   394,   772,   412,   708,    96,   101,   135,
     148,   163,   204,   215,   235,   240,   310,   344,   412,   419,
     422,   452,   459,   466,   473,   498,   700,  1178,   221,   394,
     425,   595,   342,   691,   342,   417,   293,   463,  1310,   463,
     332,   691,   191,   281,   412,   423,   465,   574,   400,   425,
     874,   883,   543,   857,   862,   463,   485,   455,  1176,   149,
     217,   255,   642,   652,  1310,   149,   159,   908,   342,   342,
     408,   410,   468,   159,   908,   105,   397,   408,   410,   468,
     408,  1176,   234,   266,   337,   807,   542,   463,   463,   254,
     542,   603,   307,   455,   482,   505,   507,   603,   159,   545,
     357,   261,   221,   195,   394,   425,   595,   486,   486,   326,
    1086,   463,   412,   542,   888,  1178,  1176,   452,   452,   463,
     463,   452,   776,   181,   425,   586,   463,   556,   586,  1176,
     463,   463,  1176,  1088,   691,   129,   690,   691,   691,   179,
     311,   314,   129,   463,   554,   318,   412,   554,   325,   689,
     463,   463,   332,  1330,   718,   463,   463,   412,  1330,   463,
     379,   463,   379,   776,   455,  1064,   361,   361,   159,   463,
     908,   412,   463,   463,   603,   603,   807,   807,   807,   807,
    1176,   118,   491,   118,   118,   463,   118,   463,   491,   412,
     545,   586,   485,   735,  1189,   463,   556,   586,  1176,   463,
     412,   357,   394,   382,   395,   421,   578,   939,  1182,  1310,
    1176,   282,  1086,   342,   282,   509,   282,   691,   807,   807,
     282,   342,   342,   156,   198,   359,   457,  1086,   342,   282,
     282,   282,   463,   505,   626,   473,   781,   782,  1332,   776,
     542,   111,   221,   807,   777,   778,  1312,   100,   946,  1086,
     342,   221,   705,  1178,   327,   361,   542,   555,   790,   486,
     386,   498,  1176,   102,   452,   505,   878,   555,   221,  1189,
     166,   244,   570,   634,   684,   748,   825,   843,   942,   221,
    1330,   726,   727,   221,   342,  1330,  1189,   304,   807,   807,
     807,   807,   337,   192,   274,   471,   484,   750,   751,   213,
     381,   542,   735,   327,   555,  1176,   327,   686,   688,   327,
     111,   337,   361,   542,   655,   655,   255,   681,  1176,   233,
     255,   846,  1182,   542,   860,   111,  1086,   288,   544,  1186,
    1209,   505,   507,  1009,   414,   872,   871,  1086,  1179,   542,
    1145,  1186,   809,  1103,  1103,   110,  1087,   461,   461,  1186,
    1186,  1086,   540,   540,  1186,   463,   463,  1186,  1091,   858,
     859,  1190,  1189,   221,   599,   221,   486,   221,   486,   889,
     890,   599,  1190,  1178,  1178,  1086,   809,  1190,   735,   221,
     221,   599,   806,   807,  1177,  1178,  1178,   807,   543,   549,
    1337,   543,  1343,  1344,  1267,   255,  1176,   178,   975,   977,
    1007,  1007,  1346,  1007,  1007,  1346,  1007,  1007,  1178,    14,
     545,  1325,   656,   543,   545,   543,   241,   420,   453,  1177,
     806,   180,   422,   858,  1177,   336,  1177,  1175,  1175,  1177,
     806,   463,   505,   836,   216,   298,   732,   733,    96,   219,
     408,   428,   998,  1064,   331,   999,   543,   545,   982,   463,
    1176,   902,   903,   905,   828,   827,   828,   238,   245,   837,
    1310,   101,   149,   181,   204,   215,   235,   240,   289,   310,
     379,   405,   412,   419,   447,   452,   455,   473,   498,   700,
     818,   819,  1145,   541,  1145,  1149,  1150,   501,  1162,  1163,
    1109,  1145,   542,  1186,  1186,   182,   253,   313,   316,   416,
     523,  1151,  1152,  1330,  1332,  1145,  1145,  1145,  1186,  1186,
    1109,   888,  1109,  1153,   408,   533,   534,   542,  1110,  1111,
    1142,  1155,   543,  1145,  1109,  1145,  1156,  1109,   128,   238,
     292,   464,  1109,  1145,  1159,  1145,   318,  1111,  1109,  1119,
    1120,  1121,   318,  1109,  1121,   543,   545,  1186,  1107,  1086,
    1109,  1109,  1109,  1109,  1312,   461,   115,   449,  1171,   807,
    1109,   542,  1011,  1160,   201,   203,   226,   327,   332,   337,
     470,   480,  1109,   542,  1109,   463,   123,   256,   261,   297,
     430,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,   102,   109,   435,  1139,   247,   229,  1125,   408,   542,
    1136,   243,   301,   452,   456,   458,   482,  1020,  1176,  1174,
     238,  1054,   102,   201,   494,   535,   543,   864,  1109,  1146,
    1147,  1311,  1178,  1326,  1167,  1054,  1284,   545,   531,  1176,
     465,   542,  1330,   545,  1343,   543,   541,   547,   254,   254,
     599,  1242,  1176,   967,   968,  1176,  1109,   543,   542,   545,
     112,   196,   486,   852,   408,   409,   533,   534,  1035,  1037,
    1111,   428,   286,   343,   545,  1036,  1186,  1329,  1036,   408,
     409,  1037,  1175,   331,   432,  1000,  1048,  1030,   486,   995,
     187,   355,   542,   987,  1010,   111,  1310,   542,  1002,  1003,
    1004,  1310,   543,   546,  1256,  1087,   549,  1235,   549,   543,
     691,   543,    34,  1212,  1287,  1288,  1326,  1280,  1285,  1333,
    1271,  1087,  1320,  1336,  1320,  1087,  1189,  1178,  1178,   350,
     129,  1311,   543,   864,   866,   863,   866,  1311,   348,   543,
     545,   808,  1189,  1178,  1178,  1181,  1189,  1178,  1178,  1189,
    1179,  1178,   187,   579,  1187,   405,   485,   827,   412,   244,
     827,   542,  1178,   486,   847,   286,   286,   486,   542,   676,
     255,  1178,   332,  1189,  1178,  1178,  1109,   332,  1178,  1178,
     105,   397,   463,   463,  1178,   463,   709,   312,   871,   542,
     807,   807,  1086,   468,   180,   452,   859,   498,   143,   227,
     890,  1178,   807,  1178,   807,   415,   233,  1086,   807,   288,
     249,   325,   357,   394,   490,   712,   713,   714,  1064,   463,
     908,   412,   332,   223,   191,   281,  1189,  1178,   342,  1178,
     543,   545,  1188,  1190,  1178,   394,   595,   255,   642,   327,
    1086,  1178,  1310,  1178,   223,   296,  1178,   102,   485,  1178,
     255,  1178,   255,  1310,   410,   468,   410,   468,   296,  1178,
     102,   485,  1178,   296,   408,  1176,    98,   206,   425,   719,
     720,   721,   722,  1312,  1189,  1178,   187,   239,   328,   486,
     602,   605,   606,  1312,  1178,   340,   145,   340,  1178,   597,
     463,   455,  1176,   342,   463,   908,   412,  1180,  1310,  1180,
     545,   543,   545,  1189,  1178,   913,   914,  1312,   342,   394,
     463,   743,  1065,  1065,  1189,  1178,  1065,  1179,  1188,   158,
     211,   266,   363,   477,   485,   488,   557,  1332,   394,  1189,
    1178,   394,   425,   595,   688,   691,   807,  1178,   691,   807,
    1178,   691,  1189,  1178,  1189,  1178,  1178,  1189,   878,  1178,
     922,   923,  1312,  1178,   394,   425,   595,   596,  1176,  1176,
    1178,  1178,  1178,  1178,  1189,  1178,    98,   104,   206,   357,
     394,   425,   357,   394,   425,   776,   394,   425,   394,   425,
     195,   394,  1078,  1310,   255,   786,  1310,   255,  1310,  1189,
    1178,  1178,  1330,  1178,    98,   616,   422,  1188,   394,   425,
     595,  1178,  1178,   463,   463,   154,   476,   382,   332,   815,
    1330,   111,   204,   807,   815,   815,   282,   486,   486,   815,
     807,   807,   288,   807,   815,   815,   815,   378,   620,   340,
     238,   463,   619,   264,   543,   545,   531,  1109,  1086,   807,
     543,   545,   531,   750,   644,  1312,  1178,   132,   238,   412,
     497,   706,   713,   714,   221,   337,   297,   636,   638,   640,
     642,   649,   652,    99,   261,   405,   450,   557,   558,   233,
    1180,   498,  1176,   111,   744,   453,  1065,   776,   568,  1310,
     569,   347,   635,  1178,   235,   807,  1145,   379,  1330,   776,
     776,   776,   776,   337,   342,   347,   542,   776,  1076,  1077,
    1078,   422,   221,   542,   221,   221,   220,  1199,   807,   337,
     636,  1310,   505,   507,   672,   505,   604,   327,   111,   655,
    1330,   327,   342,   543,   861,   862,   867,   111,   288,   402,
     466,   504,   873,   874,   875,   342,   288,   582,  1208,   536,
     252,   252,   233,   599,   111,  1145,   543,   543,   599,   540,
     525,   525,   543,   543,  1186,   541,   542,  1186,  1310,  1330,
    1341,   543,   543,   599,   806,   807,  1180,   807,  1180,   599,
     599,   288,   599,   422,   233,   582,   599,   599,   342,   599,
     327,  1009,  1333,  1321,   543,   657,   261,   261,   261,   509,
    1177,   691,   692,   247,   831,   832,  1189,    99,   837,   463,
     542,   238,   219,   428,   219,   428,   408,   484,   315,  1086,
    1189,   505,   679,  1176,  1178,   238,   342,   831,   129,   599,
     871,  1086,   468,   452,   859,   336,   498,  1086,   288,   807,
    1178,   543,   541,   541,   545,  1109,   208,  1163,  1164,   111,
     543,  1109,   543,   543,   543,   238,   543,   543,   543,   543,
     543,   545,   543,   364,  1154,   543,   542,  1110,  1110,  1145,
      87,    91,    92,    93,   261,   282,   344,   529,   530,   531,
     533,   534,   535,   536,   537,   538,  1142,  1110,   543,   543,
     233,   238,  1157,  1158,   543,   111,  1159,  1145,  1159,  1159,
     238,   543,   543,  1312,   362,  1123,   111,   543,   545,  1109,
    1312,   545,  1109,  1170,  1109,   543,   525,  1110,  1110,   214,
    1145,   238,   201,   203,   226,   332,   337,   470,   480,   542,
     214,   888,  1109,   449,  1171,  1109,  1160,  1109,   463,   542,
    1011,   542,   542,   352,  1129,   542,  1145,   456,   458,   456,
     458,  1176,  1021,  1021,  1021,   291,   409,   522,   542,  1011,
    1055,  1056,  1057,  1064,  1069,  1079,  1112,  1114,  1115,  1184,
    1310,   502,  1074,  1146,  1146,  1147,   543,    89,    90,   545,
    1025,  1026,  1074,     8,    11,    12,    22,    23,    24,    26,
      27,    31,    32,    33,   180,   318,   369,   473,  1290,  1291,
    1293,  1283,  1284,   940,  1186,  1107,   577,  1109,  1168,  1087,
     973,   982,  1028,   344,  1140,  1143,   527,   853,  1186,  1329,
    1037,   343,   484,  1034,   306,  1055,   502,  1075,   492,   451,
     485,   988,   989,   990,  1310,   342,   991,  1310,  1004,  1005,
     545,  1054,   531,  1170,   547,  1238,   546,   545,   531,    30,
    1299,   543,   543,   546,   870,   808,   866,   866,   129,   868,
     537,  1190,  1190,   342,  1177,   345,   342,  1109,   653,  1180,
     542,   542,   542,   676,   264,   656,   765,   221,   599,   463,
    1189,  1178,   582,  1178,  1086,  1178,   509,   807,   807,   807,
     807,   156,   198,   359,   457,  1086,  1178,   695,  1178,   249,
     490,   463,   463,   695,   712,   718,   394,   425,   595,  1178,
    1178,  1178,   272,  1178,   332,   862,   356,   425,   463,   327,
     221,   346,   716,   765,    98,   206,   398,   399,   425,   598,
     607,   608,   718,   909,  1178,   417,   221,   599,   221,   599,
    1178,  1178,  1178,  1178,   417,   417,   296,   721,   722,   721,
     543,   545,   723,  1330,   264,   543,   545,   531,   544,  1189,
    1178,   394,   425,   595,   223,  1178,  1178,  1178,   357,   394,
     425,    98,   206,   357,   394,   425,  1086,   326,  1086,   543,
     545,   531,  1176,   463,  1190,   486,   740,   298,   363,   332,
    1330,   363,  1190,   483,   463,   463,   412,   545,   878,   356,
     425,   159,   463,   908,   412,   233,   609,   463,   463,   308,
     308,   308,   463,   463,   412,   463,   463,   412,   463,   412,
     463,   412,   342,   463,   599,  1086,   327,  1330,   425,   909,
     221,   599,   463,   463,  1178,   463,   412,  1189,  1178,  1086,
     807,   282,   815,  1180,  1180,   282,   282,  1178,   282,   442,
     443,   621,  1330,   620,   249,   782,  1332,   326,   344,   533,
     534,   691,   779,   866,  1143,  1195,  1330,   543,   543,   238,
     776,   778,   779,   342,   141,   147,   159,   187,   189,   242,
     268,   327,   332,   373,   388,   479,   645,   646,   648,   220,
     501,   554,   582,  1178,   582,   716,  1176,  1176,  1176,   543,
     545,  1190,   247,   405,  1190,  1186,   473,  1176,   655,  1332,
     233,   745,   119,   569,   396,   452,   725,   180,   973,   238,
     922,   604,   656,  1176,   751,   783,   784,  1330,   543,   545,
    1178,   233,   656,  1176,   678,  1176,  1178,  1010,   542,   637,
    1176,   543,   340,   603,   340,   342,   673,   603,   111,   221,
    1010,   604,   463,   221,  1176,   543,   545,   187,   531,   876,
    1330,   582,   452,   865,   866,   233,   877,   875,   878,   192,
     274,   418,   484,   931,  1178,   249,  1204,  1010,  1218,  1086,
     543,  1186,  1106,  1106,   541,  1341,   542,   533,   534,   535,
     536,   537,   541,   599,   486,   599,   486,   599,  1178,  1178,
     735,   599,   807,   221,   233,   412,   412,   412,  1177,   545,
    1189,   505,   545,   833,   345,  1065,   422,   219,   219,   180,
     325,  1190,   830,   599,  1189,   282,   282,   282,   691,   282,
     282,   282,  1149,   460,  1109,   212,  1086,   543,  1109,  1109,
    1109,  1157,   543,  1145,   545,  1086,  1110,  1110,  1110,  1110,
     201,   203,   327,   337,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1109,  1109,  1158,  1157,  1086,   543,
     543,   543,  1145,   543,   545,   129,  1111,   543,  1312,  1120,
     370,   446,  1122,   543,   545,   497,  1116,   111,   543,  1330,
    1109,   108,   108,  1109,   543,  1109,   238,   542,  1148,  1109,
     543,   214,  1110,  1110,   214,   214,  1109,  1109,  1026,   502,
     542,  1130,  1310,   543,  1145,   545,  1021,  1021,  1021,  1021,
    1176,  1176,  1176,  1011,  1069,  1079,   238,   542,  1011,  1056,
    1057,   111,  1058,  1059,  1310,   545,   167,   239,   270,   285,
     295,   321,   404,  1061,  1059,   111,  1058,  1060,  1310,  1059,
     528,  1073,   542,  1169,  1109,   247,  1039,   545,  1025,  1025,
    1025,  1109,  1109,   494,  1147,   543,  1039,   545,   531,   543,
     541,  1299,   543,   542,   853,   230,   290,   343,   170,  1109,
     401,   993,   491,   543,   545,  1170,   157,   993,   543,   545,
    1003,  1075,  1109,  1186,   531,  1257,  1288,  1293,   543,   537,
     870,   473,   241,   413,   420,   453,   474,   842,   233,   842,
     543,   542,   659,   660,   849,  1114,  1310,   656,   656,   765,
    1182,   543,   189,   268,   325,   327,   766,  1178,  1178,   111,
    1178,   486,   486,   807,   807,   807,   807,   288,   808,  1189,
    1178,   463,   908,   412,   463,   272,   129,   455,  1178,   221,
     642,   542,   644,   242,   254,   327,   603,   554,   180,   242,
     327,   441,   444,   603,   689,   425,   608,   473,  1178,  1310,
     417,   720,  1178,   606,   779,  1312,   356,   425,   463,   908,
     412,  1178,   463,   463,   463,   412,   240,   344,   444,   788,
     789,   240,   344,   796,   797,   463,   463,   412,   543,   543,
     543,   914,   326,   691,   866,   915,  1143,  1195,  1330,   394,
    1178,   542,   505,   741,  1187,  1330,  1330,  1330,  1178,  1178,
    1178,   923,   129,   455,  1178,  1178,  1178,  1178,   492,  1178,
    1178,   233,   233,   396,   233,   255,  1189,  1178,  1178,  1189,
    1178,  1178,  1178,  1178,  1178,  1178,   223,  1178,   147,   600,
     221,   100,   121,   473,  1310,  1178,  1330,   718,  1178,  1178,
     543,   282,   815,   282,   282,   815,   815,   282,   815,   554,
     621,   695,   765,   505,   507,   807,  1176,   542,   807,  1178,
    1110,   105,   129,   647,   190,   257,   189,   332,   286,  1176,
     878,   377,   768,   769,  1310,   705,   361,   542,   637,   650,
     267,   666,   640,  1190,  1190,  1086,   542,   604,   102,   192,
     274,   418,   484,   746,   463,   742,  1189,   255,  1176,   727,
     509,   342,  1055,   878,   389,   752,   543,   545,  1078,   716,
     735,   543,   686,   111,   337,   361,   542,   984,   679,   639,
     641,   643,   652,  1310,   361,   667,   668,   637,   666,   153,
     455,   674,  1010,   681,   679,   674,  1330,  1182,   847,   867,
    1109,  1109,   545,   542,   873,   473,   545,   463,   542,   695,
      84,  1215,   543,   541,   543,  1242,  1341,  1341,  1341,  1341,
    1341,  1180,  1180,   599,   422,   599,  1177,  1177,  1177,   691,
     244,   832,   543,  1178,   180,   837,   238,   332,   820,  1330,
     820,   820,   282,   820,   820,   820,  1109,   543,   543,  1158,
     543,  1109,   238,   201,   203,   337,   542,   543,   512,  1118,
    1145,   387,   129,   503,   503,   543,  1109,   325,  1109,   545,
    1117,  1088,  1109,  1109,  1109,  1148,   543,  1109,   108,   108,
    1109,  1109,   214,   543,   543,  1109,  1131,  1310,   543,  1109,
    1176,  1176,  1176,  1176,  1059,  1060,  1059,   542,   517,  1111,
     543,  1310,   542,  1056,   285,   351,  1062,  1056,  1062,   285,
    1061,  1062,   285,   454,  1067,   542,  1310,   542,   349,  1146,
     129,   250,  1046,   543,   543,   543,  1147,  1330,  1046,  1291,
     534,  1284,  1292,  1329,  1330,  1330,   888,   337,  1173,  1010,
     355,  1010,   990,   342,   542,   992,   531,  1004,   993,  1337,
     473,   543,   463,   827,   238,   765,  1109,   543,   545,   505,
     147,   850,   850,   543,   543,   878,   190,   257,   266,   189,
     488,   599,  1086,  1180,  1180,  1178,  1178,  1178,  1178,  1178,
    1190,  1178,   642,   717,   721,   647,   255,   332,   691,   647,
     332,  1187,  1310,  1086,   599,   599,   531,   129,   455,  1178,
    1178,  1178,  1178,  1189,  1178,  1178,  1186,  1186,  1086,   545,
    1186,  1186,   545,  1189,  1178,  1178,   463,  1109,   141,  1190,
    1178,   463,   463,   238,   261,  1177,  1177,   807,  1177,   221,
    1178,   807,  1330,  1330,  1086,   599,   599,   282,   815,   815,
     815,   815,   542,   622,   623,   486,   627,   628,   240,   271,
     240,   238,   764,  1109,   327,   646,   187,   111,   878,   655,
     486,   675,  1184,   108,   220,   261,   337,   636,   609,   218,
     262,   542,   422,   486,   656,   111,  1190,   740,   569,   327,
     542,   235,  1178,  1145,   323,   341,   753,   754,   755,   233,
     758,  1330,   422,   604,   220,  1200,   807,   337,   636,   679,
     543,   545,   505,   644,   129,   672,   609,   667,   192,   206,
     370,  1178,   505,   943,   111,   238,   342,   542,  1330,   864,
     879,   880,  1311,   878,  1086,   233,  1176,   238,   463,   899,
     269,   696,  1216,  1310,   599,   543,   599,   599,  1178,   345,
     280,   599,   831,   820,   543,  1110,   238,   542,  1148,   542,
     543,   545,   543,  1111,   387,   543,   491,   438,   543,   543,
     543,  1109,  1109,  1109,   543,   361,  1132,   543,  1070,  1071,
    1114,   542,  1123,  1058,   542,  1177,  1056,   342,   486,  1063,
    1056,   285,  1056,  1184,  1077,   542,  1077,  1310,  1025,   169,
     248,   407,   542,  1040,  1041,  1042,  1043,  1044,  1045,  1109,
    1109,   504,  1126,  1025,  1126,  1186,  1329,   543,  1007,  1344,
     988,   159,   848,   849,   202,  1109,   831,   342,   831,   543,
     878,   660,   344,   888,   807,   807,   851,   851,   388,   878,
     675,   543,   463,   425,   999,   543,   545,   111,   221,   600,
     779,  1190,  1178,   463,   542,   859,   888,   890,   789,   542,
     542,   797,  1178,   543,   542,   425,   999,  1178,  1178,   542,
     542,   505,   528,   961,   396,   961,   961,   233,   600,   815,
     629,   630,  1312,   125,   168,   193,   210,   214,   234,   237,
     251,   332,   340,   380,   624,   554,   194,   859,   111,   895,
     895,  1176,   765,   543,   254,   675,   309,   658,   264,   542,
     769,   377,   542,  1176,   543,   422,   102,   152,   160,   188,
     254,   265,   441,   444,   651,   651,  1175,  1178,  1180,   543,
    1010,   741,   221,   180,   716,   238,   754,   408,   452,   756,
     207,   759,   501,   761,  1178,   111,  1178,  1010,   637,  1176,
     543,   641,   346,   669,  1192,  1332,   673,   667,   672,   409,
     409,   133,   141,   301,  1010,   807,  1176,   848,   866,   543,
     545,   473,  1074,   436,   436,   543,   695,   325,   490,   697,
     698,   531,  1217,  1178,   599,  1110,  1148,   543,  1119,  1145,
     129,   325,   524,   129,  1025,   543,   545,   111,  1072,   187,
    1084,  1085,  1110,   150,  1177,   543,  1109,   542,  1056,  1063,
     542,   543,  1077,   543,   543,   542,   426,   542,   543,   545,
    1127,  1128,  1310,   543,   491,  1178,   543,   545,   328,   484,
     833,   842,   599,   850,   675,   542,   852,   852,  1176,   675,
     765,  1178,   455,   721,   254,   486,   601,   425,   999,  1178,
    1148,   233,   792,   792,  1148,  1148,  1109,   455,   226,   311,
     314,   332,   470,   610,   612,   613,   691,  1330,   610,   611,
     806,   807,   806,   807,  1177,   599,   543,   545,   535,   542,
     579,   631,   691,   958,  1330,   958,   327,   332,   380,   958,
     958,   622,  1330,   895,   114,   259,   233,   325,   654,   542,
     687,   239,   360,   431,   342,   662,   663,   664,   455,   543,
    1184,    81,   770,   637,   666,  1178,   543,   716,   227,   791,
     604,   943,  1176,   509,  1055,   958,   408,   440,   760,   542,
     220,   716,  1010,   984,   679,   667,   637,   666,   644,   542,
     674,   672,   673,   141,   345,   141,   679,   847,   543,   873,
     879,  1086,   202,   505,   505,   490,   695,  1186,  1324,  1332,
      84,   716,   543,   543,   543,   387,   491,  1145,   381,   409,
    1133,  1073,  1070,   542,  1110,   543,   545,   111,  1080,  1081,
    1310,   543,  1177,  1145,   543,  1145,   542,  1145,  1041,   545,
     111,  1010,  1074,   849,   425,   238,   851,   502,   661,   888,
     853,   853,   655,   765,  1178,   687,  1109,   455,   543,   348,
     415,   385,   793,   793,   543,   543,   543,  1178,   543,   545,
     543,   545,   961,   630,   579,   632,   633,  1330,  1330,   332,
     656,   535,   656,  1330,  1330,   207,   266,   688,   192,   484,
     342,   664,   342,   663,  1178,   542,   543,   545,   609,   422,
     716,   807,   111,   111,   542,  1178,   757,  1310,  1109,   377,
     943,   679,   672,   609,   667,   542,   670,   671,  1114,  1310,
     673,   674,   345,   345,   542,   604,   878,   103,   275,   932,
     240,   240,  1216,   123,   170,   475,  1109,  1134,  1135,  1134,
     543,  1077,   545,  1085,  1312,   543,   545,   233,  1086,   543,
     543,   543,  1040,   543,  1128,  1130,  1002,   831,   852,   542,
     765,   543,   658,   999,  1178,   859,   129,   999,   463,   613,
     610,   807,   543,   545,   656,   408,   543,   132,   325,   400,
     425,   665,   665,   543,    81,   422,  1178,   788,  1010,   716,
     543,  1184,   673,   667,   672,  1109,   543,   545,   850,   850,
     674,   848,   674,   328,   542,   927,   929,   933,   985,   994,
    1001,  1010,   859,   859,  1135,   408,   232,   368,   232,   368,
     543,  1111,  1081,   349,   187,   327,   332,  1082,  1083,  1332,
     395,  1068,   543,  1074,   599,   853,  1109,   662,   999,   807,
     542,   633,   761,    97,   187,   332,  1178,   716,   943,   542,
     674,   672,   673,   543,   671,   851,   851,   543,  1074,   928,
     929,   930,  1011,  1012,   545,   545,   108,  1123,  1110,   332,
    1083,  1110,   542,   543,   765,   612,   220,   716,   762,   763,
    1186,  1312,  1329,  1330,   673,   674,   850,   604,   543,   546,
     463,   238,  1135,   150,  1109,   543,   377,   543,   545,   674,
     851,   674,   930,   436,   436,  1080,   543,  1184,   763,  1074,
     505,   505,   543,   542,   240,   240,   762,   859,   859,   543
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   550,   551,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   553,   554,   554,   554,
     555,   555,   556,   556,   557,   557,   557,   557,   557,   557,
     557,   557,   557,   558,   558,   558,   558,   558,   558,   559,
     560,   560,   561,   561,   562,   562,   562,   562,   563,   563,
     563,   563,   563,   563,   564,   565,   566,   566,   567,   567,
     567,   567,   568,   568,   569,   569,   570,   570,   570,   570,
     570,   570,   571,   571,   571,   572,   572,   572,   573,   573,
     573,   573,   574,   574,   574,   574,   574,   574,   574,   574,
     574,   574,   574,   575,   575,   576,   576,   577,   577,   578,
     578,   578,   578,   579,   579,   579,   579,   580,   580,   580,
     580,   580,   580,   580,   581,   581,   581,   582,   582,   583,
     584,   584,   584,   584,   585,   585,   586,   586,   587,   587,
     588,   588,   588,   588,   588,   589,   590,   590,   591,   591,
     592,   593,   593,   593,   593,   593,   594,   594,   594,   594,
     594,   594,   594,   594,   594,   594,   594,   594,   594,   594,
     594,   594,   594,   594,   595,   595,   596,   596,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   597,   597,   597,   597,   597,   597,
     597,   597,   597,   597,   598,   598,   599,   599,   599,   600,
     600,   601,   601,   602,   602,   602,   602,   603,   604,   604,
     605,   605,   606,   606,   606,   606,   607,   607,   608,   608,
     608,   608,   609,   609,   610,   610,   610,   610,   610,   611,
     611,   612,   612,   613,   613,   613,   614,   615,   615,   616,
     616,   616,   616,   617,   617,   618,   618,   619,   619,   620,
     620,   621,   621,   621,   622,   622,   623,   623,   624,   624,
     624,   624,   624,   624,   624,   624,   624,   624,   624,   624,
     624,   624,   625,   625,   626,   626,   627,   627,   628,   628,
     629,   629,   630,   631,   631,   631,   631,   631,   632,   632,
     633,   634,   634,   634,   634,   634,   634,   635,   635,   635,
     635,   635,   635,   635,   635,   636,   636,   637,   637,   638,
     638,   639,   639,   640,   640,   640,   641,   641,   642,   643,
     643,   644,   644,   645,   645,   645,   645,   646,   646,   646,
     646,   646,   646,   646,   646,   647,   647,   648,   648,   648,
     648,   649,   650,   650,   650,   651,   651,   651,   651,   651,
     651,   651,   651,   652,   652,   653,   653,   653,   653,   653,
     653,   653,   654,   654,   655,   655,   656,   656,   657,   658,
     658,   658,   658,   659,   659,   660,   660,   661,   661,   662,
     662,   662,   662,   662,   663,   664,   665,   665,   665,   665,
     665,   666,   666,   667,   667,   668,   669,   669,   670,   670,
     671,   671,   671,   672,   672,   672,   672,   673,   673,   673,
     673,   674,   674,   675,   675,   676,   677,   677,   678,   679,
     679,   679,   680,   680,   681,   682,   682,   683,   684,   684,
     685,   685,   686,   686,   687,   687,   688,   688,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   689,
     689,   689,   690,   690,   691,   691,   691,   691,   692,   692,
     693,   693,   694,   694,   695,   695,   696,   696,   697,   697,
     698,   698,   699,   699,   700,   700,   701,   702,   702,   703,
     703,   704,   704,   705,   705,   706,   706,   706,   706,   707,
     708,   708,   709,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   711,
     712,   712,   712,   712,   713,   713,   714,   714,   715,   715,
     716,   716,   717,   717,   718,   719,   719,   720,   720,   720,
     720,   721,   722,   723,   724,   724,   725,   725,   726,   726,
     727,   727,   728,   728,   728,   729,   729,   729,   729,   730,
     730,   731,   732,   732,   733,   733,   734,   734,   735,   735,
     736,   736,   737,   738,   739,   740,   740,   741,   741,   742,
     742,   743,   743,   744,   744,   745,   745,   746,   746,   746,
     746,   746,   747,   748,   748,   749,   749,   749,   750,   750,
     751,   751,   751,   751,   751,   752,   752,   753,   753,   754,
     755,   755,   756,   756,   757,   758,   758,   759,   759,   760,
     760,   761,   761,   762,   762,   762,   763,   763,   763,   763,
     764,   764,   765,   765,   766,   766,   766,   766,   766,   766,
     767,   767,   768,   768,   769,   770,   770,   771,   772,   772,
     772,   772,   773,   774,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     776,   777,   777,   778,   778,   779,   779,   779,   779,   779,
     779,   780,   781,   781,   782,   783,   783,   784,   784,   785,
     785,   785,   785,   786,   786,   787,   788,   788,   789,   789,
     789,   789,   789,   790,   790,   791,   791,   792,   792,   792,
     793,   793,   794,   795,   795,   796,   796,   797,   797,   798,
     798,   799,   799,   800,   801,   802,   802,   802,   802,   802,
     802,   802,   802,   802,   802,   802,   802,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   803,   803,   803,   803,
     804,   804,   804,   804,   804,   804,   804,   805,   805,   805,
     806,   806,   807,   807,   808,   808,   809,   809,   810,   811,
     811,   811,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   814,   814,   814,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   815,   815,   816,   816,   816,
     816,   816,   816,   816,   817,   817,   818,   818,   818,   818,
     818,   818,   819,   819,   819,   819,   819,   819,   819,   819,
     820,   820,   821,   821,   821,   821,   821,   821,   821,   821,
     821,   821,   821,   822,   822,   822,   822,   822,   822,   822,
     822,   822,   822,   822,   822,   822,   822,   823,   823,   824,
     824,   825,   826,   826,   827,   827,   827,   827,   827,   828,
     828,   829,   829,   829,   829,   830,   830,   830,   830,   830,
     830,   830,   830,   830,   830,   830,   830,   830,   830,   830,
     830,   831,   831,   832,   832,   833,   833,   834,   835,   835,
     836,   836,   837,   837,   838,   839,   839,   840,   840,   840,
     841,   841,   841,   842,   842,   842,   842,   842,   843,   843,
     844,   844,   845,   845,   846,   846,   847,   847,   848,   848,
     849,   849,   849,   850,   850,   851,   851,   852,   852,   852,
     853,   853,   853,   854,   854,   854,   855,   855,   856,   856,
     857,   857,   858,   858,   859,   859,   859,   859,   860,   860,
     861,   861,   862,   862,   862,   862,   862,   863,   863,   863,
     863,   863,   864,   865,   866,   866,   866,   867,   867,   867,
     868,   869,   869,   869,   869,   870,   870,   871,   872,   872,
     873,   873,   874,   874,   874,   874,   874,   874,   874,   874,
     874,   874,   874,   874,   874,   874,   874,   874,   875,   875,
     875,   875,   875,   876,   876,   877,   877,   878,   878,   879,
     880,   880,   881,   882,   882,   883,   883,   884,   884,   885,
     885,   886,   886,   887,   887,   887,   887,   888,   888,   889,
     889,   890,   891,   892,   892,   893,   893,   894,   894,   894,
     895,   895,   895,   896,   897,   897,   898,   899,   899,   899,
     899,   900,   901,   901,   901,   901,   902,   902,   903,   903,
     903,   904,   904,   905,   906,   906,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   908,   908,   909,
     909,   910,   910,   910,   910,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     911,   911,   911,   911,   911,   911,   911,   911,   911,   911,
     912,   913,   913,   914,   914,   915,   915,   915,   915,   915,
     916,   916,   916,   916,   916,   916,   916,   916,   916,   916,
     916,   916,   916,   916,   916,   916,   916,   916,   916,   916,
     916,   916,   917,   918,   918,   919,   919,   920,   920,   920,
     920,   921,   922,   922,   923,   924,   924,   924,   924,   924,
     924,   925,   925,   926,   927,   927,   927,   928,   928,   929,
     929,   929,   929,   929,   930,   930,   931,   931,   931,   931,
     932,   932,   932,   933,   934,   934,   935,   936,   936,   937,
     937,   937,   937,   937,   937,   937,   937,   937,   937,   937,
     937,   937,   937,   938,   938,   938,   939,   939,   939,   939,
     939,   940,   940,   940,   941,   941,   942,   942,   942,   942,
     943,   943,   943,   943,   944,   945,   946,   946,   947,   947,
     948,   948,   948,   949,   949,   949,   949,   949,   949,   949,
     950,   950,   951,   951,   951,   952,   953,   953,   954,   955,
     955,   956,   957,   957,   957,   957,   957,   957,   957,   958,
     958,   959,   960,   960,   960,   960,   960,   960,   961,   961,
     962,   963,   963,   963,   964,   964,   965,   965,   965,   965,
     965,   966,   966,   967,   967,   967,   967,   967,   968,   968,
     969,   969,   970,   970,   971,   971,   972,   972,   973,   973,
     974,   974,   974,   974,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   976,   976,   977,   978,   978,   979,   979,
     979,   980,   980,   981,   981,   982,   982,   982,   982,   983,
     983,   983,   984,   984,   985,   986,   986,   987,   987,   987,
     987,   987,   988,   988,   989,   989,   990,   991,   991,   991,
     992,   992,   992,   993,   993,   994,   995,   995,   996,   997,
     997,   998,   998,   998,   998,   998,   998,   998,   998,   999,
     999,  1000,  1000,  1000,  1001,  1002,  1002,  1003,  1003,  1004,
    1005,  1005,  1006,  1007,  1007,  1008,  1008,  1008,  1008,  1008,
    1009,  1009,  1009,  1010,  1010,  1011,  1011,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1013,  1013,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1015,  1015,  1015,  1016,  1016,  1017,
    1018,  1018,  1019,  1019,  1019,  1020,  1020,  1020,  1020,  1020,
    1020,  1020,  1020,  1020,  1021,  1021,  1022,  1022,  1022,  1023,
    1023,  1024,  1024,  1025,  1025,  1026,  1027,  1027,  1028,  1028,
    1029,  1029,  1029,  1029,  1030,  1030,  1031,  1031,  1031,  1031,
    1032,  1032,  1033,  1033,  1034,  1035,  1035,  1035,  1036,  1036,
    1037,  1037,  1038,  1038,  1039,  1039,  1040,  1040,  1041,  1041,
    1041,  1041,  1041,  1042,  1043,  1044,  1045,  1046,  1046,  1047,
    1047,  1048,  1048,  1049,  1049,  1050,  1051,  1051,  1051,  1051,
    1052,  1052,  1053,  1053,  1054,  1054,  1055,  1055,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1057,  1057,
    1057,  1057,  1057,  1057,  1058,  1058,  1058,  1058,  1059,  1059,
    1060,  1060,  1060,  1060,  1060,  1061,  1061,  1061,  1061,  1062,
    1062,  1063,  1063,  1064,  1064,  1064,  1064,  1065,  1065,  1066,
    1066,  1066,  1067,  1068,  1068,  1069,  1069,  1070,  1071,  1071,
    1072,  1072,  1073,  1073,  1074,  1074,  1075,  1075,  1075,  1076,
    1076,  1077,  1077,  1078,  1079,  1079,  1080,  1080,  1081,  1081,
    1081,  1082,  1082,  1083,  1083,  1083,  1083,  1084,  1084,  1085,
    1085,  1086,  1086,  1086,  1086,  1086,  1086,  1087,  1087,  1087,
    1088,  1088,  1088,  1088,  1088,  1088,  1088,  1089,  1089,  1089,
    1089,  1090,  1090,  1091,  1091,  1092,  1092,  1092,  1092,  1092,
    1092,  1092,  1092,  1092,  1092,  1092,  1093,  1093,  1094,  1094,
    1095,  1095,  1096,  1097,  1098,  1098,  1099,  1099,  1100,  1101,
    1102,  1102,  1102,  1102,  1102,  1102,  1103,  1103,  1104,  1104,
    1104,  1104,  1105,  1106,  1106,  1106,  1107,  1107,  1107,  1107,
    1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,  1107,
    1108,  1108,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,  1109,
    1109,  1109,  1109,  1109,  1109,  1109,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,
    1110,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,  1111,
    1111,  1111,  1111,  1111,  1111,  1112,  1112,  1112,  1112,  1112,
    1112,  1112,  1113,  1113,  1114,  1114,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,
    1115,  1115,  1115,  1115,  1115,  1115,  1115,  1115,  1116,  1116,
    1117,  1117,  1117,  1117,  1118,  1119,  1119,  1120,  1120,  1121,
    1121,  1122,  1122,  1122,  1123,  1123,  1123,  1123,  1124,  1124,
    1125,  1125,  1126,  1126,  1127,  1127,  1128,  1129,  1129,  1129,
    1130,  1131,  1131,  1132,  1132,  1133,  1133,  1133,  1134,  1134,
    1135,  1135,  1135,  1135,  1135,  1136,  1136,  1136,  1137,  1137,
    1138,  1139,  1139,  1139,  1140,  1140,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1142,  1142,
    1143,  1143,  1144,  1144,  1144,  1144,  1144,  1144,  1145,  1145,
    1146,  1146,  1147,  1147,  1147,  1148,  1148,  1149,  1149,  1149,
    1150,  1150,  1151,  1151,  1152,  1152,  1152,  1152,  1152,  1152,
    1152,  1152,  1153,  1153,  1154,  1155,  1155,  1156,  1156,  1156,
    1156,  1156,  1156,  1157,  1158,  1159,  1159,  1159,  1160,  1160,
    1161,  1162,  1162,  1163,  1164,  1164,  1165,  1165,  1166,  1166,
    1167,  1167,  1167,  1167,  1168,  1168,  1169,  1169,  1170,  1170,
    1171,  1171,  1172,  1172,  1173,  1173,  1174,  1174,  1174,  1174,
    1175,  1175,  1176,  1176,  1177,  1177,  1178,  1179,  1180,  1181,
    1182,  1183,  1184,  1184,  1185,  1185,  1185,  1185,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1186,
    1187,  1187,  1187,  1187,  1188,  1189,  1189,  1189,  1190,  1190,
    1191,  1191,  1191,  1191,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,  1193,
    1193,  1193,  1193,  1193,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1194,  1194,  1194,  1194,  1194,  1194,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1196,  1196,  1197,  1197,  1197,  1197,  1197,  1197,
    1197,  1197,  1199,  1198,  1200,  1198,  1201,  1202,  1202,  1202,
    1202,  1203,  1203,  1203,  1203,  1204,  1204,  1205,  1206,  1207,
    1207,  1208,  1208,  1208,  1209,  1209,  1210,  1210,  1211,  1211,
    1212,  1212,  1212,  1212,  1213,  1213,  1213,  1214,  1215,  1215,
    1216,  1216,  1217,  1217,  1217,  1217,  1218,  1218,  1219,  1220,
    1221,  1222,  1222,  1223,  1224,  1224,  1225,  1225,  1225,  1225,
    1225,  1227,  1226,  1228,  1229,  1230,  1230,  1231,  1231,  1231,
    1231,  1232,  1232,  1234,  1233,  1236,  1235,  1237,  1235,  1235,
    1238,  1238,  1239,  1239,  1239,  1240,  1240,  1240,  1240,  1241,
    1241,  1242,  1242,  1242,  1242,  1242,  1242,  1243,  1243,  1243,
    1244,  1246,  1245,  1247,  1248,  1247,  1249,  1249,  1250,  1250,
    1251,  1251,  1252,  1252,  1252,  1252,  1252,  1252,  1252,  1252,
    1252,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,  1253,
    1253,  1254,  1254,  1255,  1255,  1256,  1257,  1257,  1258,  1258,
    1258,  1259,  1260,  1261,  1261,  1261,  1261,  1262,  1262,  1262,
    1263,  1263,  1264,  1264,  1265,  1266,  1266,  1267,  1267,  1268,
    1268,  1269,  1269,  1270,  1271,  1271,  1272,  1272,  1272,  1273,
    1273,  1273,  1273,  1273,  1273,  1273,  1273,  1273,  1274,  1274,
    1274,  1274,  1274,  1275,  1275,  1276,  1277,  1278,  1279,  1279,
    1280,  1281,  1282,  1282,  1283,  1284,  1284,  1285,  1286,  1287,
    1287,  1288,  1289,  1290,  1290,  1291,  1292,  1292,  1292,  1292,
    1292,  1293,  1293,  1293,  1293,  1293,  1293,  1293,  1293,  1293,
    1293,  1293,  1293,  1293,  1293,  1293,  1294,  1294,  1295,  1295,
    1296,  1296,  1296,  1298,  1297,  1299,  1299,  1301,  1300,  1302,
    1302,  1302,  1303,  1303,  1303,  1303,  1303,  1303,  1303,  1303,
    1303,  1304,  1304,  1305,  1305,  1305,  1305,  1305,  1305,  1305,
    1305,  1305,  1305,  1305,  1305,  1305,  1305,  1305,  1305,  1305,
    1305,  1305,  1305,  1305,  1305,  1305,  1306,  1306,  1306,  1306,
    1306,  1306,  1307,  1307,  1307,  1307,  1307,  1307,  1307,  1308,
    1309,  1309,  1309,  1309,  1309,  1309,  1309,  1309,  1310,  1310,
    1310,  1310,  1310,  1310,  1310,  1311,  1311,  1311,  1311,  1311,
    1311,  1312,  1312,  1312,  1312,  1312,  1312,  1312,  1312,  1312,
    1312,  1312,  1313,  1313,  1313,  1313,  1313,  1314,  1314,  1314,
    1314,  1315,  1315,  1315,  1315,  1315,  1315,  1315,  1316,  1316,
    1316,  1317,  1317,  1317,  1317,  1317,  1317,  1318,  1318,  1319,
    1320,  1320,  1321,  1321,  1322,  1323,  1324,  1325,  1325,  1325,
    1326,  1327,  1328,  1329,  1330,  1330,  1330,  1330,  1330,  1331,
    1332,  1332,  1332,  1333,  1333,  1334,  1334,  1334,  1335,  1335,
    1336,  1336,  1337,  1337,  1338,  1338,  1338,  1338,  1338,  1339,
    1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,
    1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,
    1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,
    1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,
    1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,  1339,
    1339,  1339,  1339,  1339,  1339,  1340,  1340,  1340,  1340,  1341,
    1341,  1341,  1341,  1341,  1341,  1341,  1341,  1341,  1341,  1342,
    1342,  1342,  1342,  1343,  1343,  1344,  1344,  1345,  1345,  1346,
    1346
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     5,     0,     3,     5,     5,     5,     5,     3,     5,
       3,     5,     3,     5,     5,     6,     1,     1,     6,     4,
       9,     7,     1,     0,     2,     0,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     2,     5,     1,     3,     3,
       3,     3,     1,     3,     3,     2,     2,     2,     2,     3,
       3,     3,     3,     1,     3,     1,     3,     1,     1,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       5,     1,     1,     1,     1,     1,     0,     1,     1,     2,
       1,     2,     3,     2,     1,     1,     2,     1,     2,     1,
       3,     4,     5,     4,     2,     4,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     4,     6,     4,     6,
      10,    13,     4,     6,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     1,     3,     4,     3,     2,     5,
       3,     6,     4,     6,     6,     6,     5,     5,     6,     9,
       4,     5,     7,     6,     4,     8,     4,     2,     4,     3,
       6,     4,     3,     3,     3,     3,     2,     2,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     3,     4,
       4,     4,     5,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     1,     2,     1,     3,
       2,     3,     6,    10,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     9,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       3,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    12,    15,    11,    14,    13,    16,     1,     1,     2,
       2,     2,     2,     1,     0,     1,     0,     3,     0,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     4,     2,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     5,     1,     2,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     5,     7,     3,     8,     4,
       9,    11,     2,     0,     3,     0,     1,     3,     1,     2,
       2,     2,     0,     1,     3,     3,     6,     4,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     2,
       2,     4,     0,     1,     0,     6,     1,     1,     1,     3,
       3,     3,     5,     2,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     8,    11,     5,     2,
       3,     0,     8,    11,     4,     1,     0,     6,     5,     8,
       4,     6,     1,     0,     3,     0,     1,     2,     2,     2,
       1,     2,     3,     2,     2,     2,     2,     3,     3,     3,
       1,     3,     1,     0,     1,     2,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     1,     5,
       2,     0,     2,     7,     6,    10,     6,     6,     6,     6,
       7,     6,     9,     9,     6,     7,     6,     8,     8,     8,
       8,     6,     6,     7,     7,     8,     6,     9,     6,     7,
       2,     2,     2,     2,     1,     2,     1,     0,     7,     6,
       4,     0,     1,     3,     4,     1,     3,     1,     2,     2,
       2,     2,     1,     1,    10,    13,     2,     0,     2,     2,
       1,     0,     5,     4,     4,    11,    14,    12,    15,     5,
       7,    11,     2,     1,     4,     0,     8,    11,     1,     1,
       7,     9,     8,    10,     8,     4,     0,     5,     0,     2,
       0,     2,     0,     2,     0,     2,     0,     1,     1,     1,
       1,     1,     8,    16,    20,     1,     1,     2,     1,     3,
       1,     1,     1,     3,     1,     2,     0,     1,     2,     4,
       1,     1,     1,     1,     1,     3,     0,     1,     0,     1,
       1,     4,     0,     1,     3,     0,     1,     1,     1,     1,
       2,     0,     0,     2,     2,     1,     2,     2,     2,     2,
      11,    13,     1,     3,     5,     1,     3,     5,     1,     2,
       2,     1,     8,     4,     5,     4,     4,     4,     3,     7,
       8,     6,     6,     6,     6,     6,     4,     7,     5,     8,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     3,     1,     0,     1,     3,     7,
       9,     9,     8,     3,     0,    13,     1,     3,     5,     5,
       3,     6,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     6,     4,     6,
       8,     4,     6,     4,     6,     5,     7,     1,     1,     1,
       2,     1,     2,     1,     1,     1,     3,     3,     3,     3,
       2,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     2,     2,     3,     1,     3,     5,     2,
       2,     0,     6,     6,     6,     6,     6,     6,     6,     8,
       9,     8,     8,     9,     8,     9,     9,     7,    10,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     2,     3,
       3,     3,     3,     2,     1,     2,     1,     3,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     8,     8,     8,
       8,     8,     8,     9,     2,     0,     1,     2,     1,     1,
       1,     2,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     3,     4,     5,     4,     5,     3,
       4,     3,     4,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     4,     4,     4,     4,     1,     1,     1,
       0,     7,     7,    10,     1,     1,     2,     4,     5,     1,
       3,     2,     2,     2,     2,     1,     2,     2,     4,     3,
       2,     2,     2,     2,     3,     2,     2,     2,     5,     5,
       5,     1,     3,     1,     2,     3,     0,     6,     6,     9,
       3,     0,     3,     0,     5,     2,     0,     3,     3,     3,
       7,     7,    10,     1,     1,     1,     1,     1,    14,    17,
       1,     0,     1,     0,     1,     0,     2,     0,     1,     3,
       5,     5,     7,     2,     0,     1,     0,     1,     1,     0,
       2,     2,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     1,     3,     2,     1,     1,     2,     3,     2,
       1,     3,     3,     3,     2,     2,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     4,     5,     1,     3,     3,
       1,     3,     3,     5,     6,     1,     3,     2,     1,     3,
       1,     2,     4,     5,     1,     1,     1,     1,     3,     3,
       2,     2,     1,     2,     2,     2,     1,     2,     2,     2,
       2,     1,     1,     1,     3,     3,     5,     2,     0,     2,
       1,     3,     5,     1,     2,     1,     0,     4,     6,     4,
       6,     4,     6,     3,     5,     5,     5,     1,     3,     1,
       3,     2,     2,     1,     2,     1,     2,    11,    10,    10,
       2,     2,     0,     9,     2,     0,    10,    11,    11,     5,
       5,     8,     3,     3,     6,     6,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     5,     6,     6,     6,     6,
       6,     8,     8,     6,     6,     7,     9,     9,     8,    10,
       6,     6,     6,     6,     6,     8,     6,     8,     6,     8,
       7,     9,     6,     8,     7,     9,     8,    10,     9,    11,
       8,    10,     9,    11,     8,     8,     7,     6,     6,     6,
       6,     8,     8,     8,     8,     6,     9,     1,     0,     2,
       0,     7,     9,     8,     7,     6,     6,     6,     6,     6,
       6,     6,     9,     9,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       6,     6,     6,     6,     6,     6,     7,     7,     6,     9,
       9,     6,     6,     6,     6,     8,     8,     8,     6,     7,
       6,     6,     5,     1,     0,     3,     3,     5,     6,     6,
       6,     8,     1,     3,     1,     5,     5,     6,     7,     4,
       4,     4,     6,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     3,     2,     0,     2,     2,     2,     2,
       3,     3,     2,     2,     2,     2,     3,     2,     5,     4,
       3,     3,     3,     1,     1,     0,     3,     2,     2,     1,
       2,     1,     3,     2,     1,     0,     9,    11,    12,    14,
       3,     4,     4,     0,     2,     5,     1,     0,     1,     2,
       3,     3,     3,     1,     2,     1,     1,     1,     1,     1,
       1,     0,     5,     4,     6,     4,     3,     5,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     4,     2,     5,     2,     0,     4,     5,     5,     4,
       6,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       1,     1,     1,     0,     1,     0,     1,     0,     3,     0,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     2,     1,     1,     1,     1,
       0,     5,     4,     3,     0,     1,     1,     1,     1,     4,
       9,    12,     3,     0,     7,     1,     3,     1,     4,     4,
       7,     2,     1,     1,     1,     3,     2,     8,     5,     0,
       4,     3,     0,     3,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     1,     2,     0,     8,     1,     3,     3,     5,     2,
       1,     3,     7,     1,     1,     0,     3,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     9,     1,
       2,     4,     4,     4,     2,     2,     3,     1,     3,     6,
       1,     0,     2,     1,     0,     3,     3,     4,     4,     4,
       4,     3,     2,     1,     1,     0,     1,     1,     0,     1,
       5,     1,     0,     1,     0,     3,     1,     3,     4,     3,
       2,     2,     1,     1,     1,     0,     2,     4,     5,     4,
       2,     3,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     3,     0,     1,     3,     1,     1,
       1,     1,     1,     2,     4,     4,     5,     2,     0,     1,
       3,     1,     0,     1,     2,     3,     2,     4,     2,     3,
       2,     0,     4,     5,     2,     0,     1,     3,     2,     3,
       2,     3,     2,     3,     2,     3,     1,     4,     3,     4,
       5,     4,     5,     4,     5,     2,     4,     1,     1,     0,
       1,     4,     5,     4,     0,     2,     2,     2,     1,     1,
       0,     4,     2,     1,     2,     2,     4,     1,     3,     1,
       2,     3,     6,     4,     0,     2,     6,     2,     1,     3,
       4,     0,     2,     0,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     7,    12,     1,     3,     2,     3,
       3,     1,     2,     2,     2,     2,     1,     1,     3,     3,
       2,     2,     3,     5,     6,     2,     3,     3,     4,     0,
       1,     1,     1,     1,     1,     2,     4,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     4,     1,
       2,     2,     1,     3,     3,     2,     1,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     3,     3,     5,     2,     2,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     3,     3,     2,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     6,     7,     3,     4,
       4,     6,     2,     3,     4,     1,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     5,     6,     6,     7,     3,
       4,     1,     1,     2,     4,     1,     1,     1,     2,     2,
       2,     2,     1,     1,     4,     3,     5,     6,     8,     6,
       6,     4,     4,     1,     1,     1,     5,     1,     1,     4,
       1,     4,     1,     4,     1,     4,     1,     1,     1,     1,
       1,     1,     6,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     7,     2,     3,
       3,     3,     4,     0,     4,     1,     3,     3,     1,     1,
       1,     2,     2,     0,     2,     4,     4,     6,     5,     0,
       5,     0,     2,     0,     1,     3,     3,     2,     2,     0,
       6,     1,     0,     3,     0,     2,     2,     0,     1,     4,
       2,     2,     2,     2,     2,     4,     3,     5,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     3,     1,     3,     3,     3,     2,
       1,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     3,     2,     3,     0,     3,     3,     2,
       2,     1,     0,     2,     2,     3,     2,     1,     1,     3,
       5,     1,     2,     4,     2,     0,     1,     0,     1,     2,
       2,     2,     3,     5,     1,     0,     1,     2,     0,     2,
       1,     0,     1,     0,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       6,     2,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     2,     4,     3,     2,     1,     1,     1,
       1,     1,     0,     8,     0,    11,     2,     5,     3,     2,
       2,     3,     7,     1,     1,     1,     0,     2,     2,     1,
       0,     1,     3,     1,     2,     0,     2,     0,     2,     0,
       1,     3,     4,     3,     1,     1,     1,     1,     2,     0,
       2,     4,     0,     2,     2,     2,     1,     1,     7,     3,
       1,     1,     1,     1,     2,     0,     1,     3,     3,     3,
       3,     0,     4,     5,     5,     0,     1,     1,     1,     2,
       2,     1,     2,     0,     7,     0,     5,     0,     4,     2,
       2,     0,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     5,     2,     1,     3,     2,     2,
       3,     0,     5,     1,     0,     5,     2,     2,     1,     1,
       1,     2,     2,     3,     1,     2,     2,     3,     3,     4,
       2,     1,     2,     1,     1,     2,     2,     3,     1,     1,
       1,     1,     0,     1,     3,     5,     0,     2,     0,     1,
       2,     3,     2,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     2,     2,     3,     0,     1,     2,     1,     4,
       3,     4,     3,     2,     1,     3,     1,     1,     1,     1,
       2,     2,     1,     2,     2,     1,     1,     1,     4,     4,
       4,     4,     4,     1,     0,     3,     3,     4,     1,     3,
       3,     4,     1,     3,     3,     1,     1,     1,     6,     1,
       3,     3,     6,     1,     3,     3,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     4,     1,     1,
       4,     4,     3,     0,     7,     1,     0,     0,     7,     3,
       4,     3,     1,     1,     1,     2,     3,     5,     2,     5,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       0,     1,     2,     1,     2,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     1,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     2,     3,     1,
       3,     3,     3,     3,     3,     3,     1,     1,     4,     0,
       2,     2,     1,     2,     1,     0,     1,     1,     1,     0,
       1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YY_LOCATION_PRINT
#  if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#   define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

#  else
#   define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#  endif
# endif /* !defined YY_LOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]));
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 3: /* stmt: AlterEventTrigStmt  */
#line 1602 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33688 "preproc.c"
    break;

  case 4: /* stmt: AlterCollationStmt  */
#line 1604 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33694 "preproc.c"
    break;

  case 5: /* stmt: AlterDatabaseStmt  */
#line 1606 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33700 "preproc.c"
    break;

  case 6: /* stmt: AlterDatabaseSetStmt  */
#line 1608 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33706 "preproc.c"
    break;

  case 7: /* stmt: AlterDefaultPrivilegesStmt  */
#line 1610 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33712 "preproc.c"
    break;

  case 8: /* stmt: AlterDomainStmt  */
#line 1612 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33718 "preproc.c"
    break;

  case 9: /* stmt: AlterEnumStmt  */
#line 1614 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33724 "preproc.c"
    break;

  case 10: /* stmt: AlterExtensionStmt  */
#line 1616 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33730 "preproc.c"
    break;

  case 11: /* stmt: AlterExtensionContentsStmt  */
#line 1618 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33736 "preproc.c"
    break;

  case 12: /* stmt: AlterFdwStmt  */
#line 1620 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33742 "preproc.c"
    break;

  case 13: /* stmt: AlterForeignServerStmt  */
#line 1622 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33748 "preproc.c"
    break;

  case 14: /* stmt: AlterForeignTableStmt  */
#line 1624 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33754 "preproc.c"
    break;

  case 15: /* stmt: AlterFunctionStmt  */
#line 1626 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33760 "preproc.c"
    break;

  case 16: /* stmt: AlterGroupStmt  */
#line 1628 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33766 "preproc.c"
    break;

  case 17: /* stmt: AlterObjectDependsStmt  */
#line 1630 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33772 "preproc.c"
    break;

  case 18: /* stmt: AlterObjectSchemaStmt  */
#line 1632 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33778 "preproc.c"
    break;

  case 19: /* stmt: AlterOwnerStmt  */
#line 1634 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33784 "preproc.c"
    break;

  case 20: /* stmt: AlterOperatorStmt  */
#line 1636 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33790 "preproc.c"
    break;

  case 21: /* stmt: AlterPolicyStmt  */
#line 1638 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33796 "preproc.c"
    break;

  case 22: /* stmt: AlterSeqStmt  */
#line 1640 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33802 "preproc.c"
    break;

  case 23: /* stmt: AlterSystemStmt  */
#line 1642 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33808 "preproc.c"
    break;

  case 24: /* stmt: AlterTableStmt  */
#line 1644 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33814 "preproc.c"
    break;

  case 25: /* stmt: AlterTblSpcStmt  */
#line 1646 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33820 "preproc.c"
    break;

  case 26: /* stmt: AlterCompositeTypeStmt  */
#line 1648 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33826 "preproc.c"
    break;

  case 27: /* stmt: AlterPublicationStmt  */
#line 1650 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33832 "preproc.c"
    break;

  case 28: /* stmt: AlterRoleSetStmt  */
#line 1652 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33838 "preproc.c"
    break;

  case 29: /* stmt: AlterRoleStmt  */
#line 1654 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33844 "preproc.c"
    break;

  case 30: /* stmt: AlterSubscriptionStmt  */
#line 1656 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33850 "preproc.c"
    break;

  case 31: /* stmt: AlterTSConfigurationStmt  */
#line 1658 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33856 "preproc.c"
    break;

  case 32: /* stmt: AlterTSDictionaryStmt  */
#line 1660 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33862 "preproc.c"
    break;

  case 33: /* stmt: AlterUserMappingStmt  */
#line 1662 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33868 "preproc.c"
    break;

  case 34: /* stmt: AnalyzeStmt  */
#line 1664 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33874 "preproc.c"
    break;

  case 35: /* stmt: CheckPointStmt  */
#line 1666 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33880 "preproc.c"
    break;

  case 36: /* stmt: ClosePortalStmt  */
#line 1668 "preproc.y"
        {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 33902 "preproc.c"
    break;

  case 37: /* stmt: ClusterStmt  */
#line 1686 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33908 "preproc.c"
    break;

  case 38: /* stmt: CommentStmt  */
#line 1688 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33914 "preproc.c"
    break;

  case 39: /* stmt: ConstraintsSetStmt  */
#line 1690 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33920 "preproc.c"
    break;

  case 40: /* stmt: CopyStmt  */
#line 1692 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33926 "preproc.c"
    break;

  case 41: /* stmt: CreateAmStmt  */
#line 1694 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33932 "preproc.c"
    break;

  case 42: /* stmt: CreateAsStmt  */
#line 1696 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33938 "preproc.c"
    break;

  case 43: /* stmt: CreateAssertStmt  */
#line 1698 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33944 "preproc.c"
    break;

  case 44: /* stmt: CreateCastStmt  */
#line 1700 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33950 "preproc.c"
    break;

  case 45: /* stmt: CreateConversionStmt  */
#line 1702 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33956 "preproc.c"
    break;

  case 46: /* stmt: CreateDomainStmt  */
#line 1704 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33962 "preproc.c"
    break;

  case 47: /* stmt: CreateExtensionStmt  */
#line 1706 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33968 "preproc.c"
    break;

  case 48: /* stmt: CreateFdwStmt  */
#line 1708 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33974 "preproc.c"
    break;

  case 49: /* stmt: CreateForeignServerStmt  */
#line 1710 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33980 "preproc.c"
    break;

  case 50: /* stmt: CreateForeignTableStmt  */
#line 1712 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33986 "preproc.c"
    break;

  case 51: /* stmt: CreateFunctionStmt  */
#line 1714 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33992 "preproc.c"
    break;

  case 52: /* stmt: CreateGroupStmt  */
#line 1716 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 33998 "preproc.c"
    break;

  case 53: /* stmt: CreateMatViewStmt  */
#line 1718 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34004 "preproc.c"
    break;

  case 54: /* stmt: CreateOpClassStmt  */
#line 1720 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34010 "preproc.c"
    break;

  case 55: /* stmt: CreateOpFamilyStmt  */
#line 1722 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34016 "preproc.c"
    break;

  case 56: /* stmt: CreatePublicationStmt  */
#line 1724 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34022 "preproc.c"
    break;

  case 57: /* stmt: AlterOpFamilyStmt  */
#line 1726 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34028 "preproc.c"
    break;

  case 58: /* stmt: CreatePolicyStmt  */
#line 1728 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34034 "preproc.c"
    break;

  case 59: /* stmt: CreatePLangStmt  */
#line 1730 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34040 "preproc.c"
    break;

  case 60: /* stmt: CreateSchemaStmt  */
#line 1732 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34046 "preproc.c"
    break;

  case 61: /* stmt: CreateSeqStmt  */
#line 1734 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34052 "preproc.c"
    break;

  case 62: /* stmt: CreateStmt  */
#line 1736 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34058 "preproc.c"
    break;

  case 63: /* stmt: CreateSubscriptionStmt  */
#line 1738 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34064 "preproc.c"
    break;

  case 64: /* stmt: CreateStatsStmt  */
#line 1740 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34070 "preproc.c"
    break;

  case 65: /* stmt: CreateTableSpaceStmt  */
#line 1742 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34076 "preproc.c"
    break;

  case 66: /* stmt: CreateTransformStmt  */
#line 1744 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34082 "preproc.c"
    break;

  case 67: /* stmt: CreateTrigStmt  */
#line 1746 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34088 "preproc.c"
    break;

  case 68: /* stmt: CreateEventTrigStmt  */
#line 1748 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34094 "preproc.c"
    break;

  case 69: /* stmt: CreateRoleStmt  */
#line 1750 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34100 "preproc.c"
    break;

  case 70: /* stmt: CreateUserStmt  */
#line 1752 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34106 "preproc.c"
    break;

  case 71: /* stmt: CreateUserMappingStmt  */
#line 1754 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34112 "preproc.c"
    break;

  case 72: /* stmt: CreatedbStmt  */
#line 1756 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34118 "preproc.c"
    break;

  case 73: /* stmt: DeallocateStmt  */
#line 1758 "preproc.y"
        {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 34126 "preproc.c"
    break;

  case 74: /* stmt: DeclareCursorStmt  */
#line 1762 "preproc.y"
        { output_simple_statement((yyvsp[0].str)); }
#line 34132 "preproc.c"
    break;

  case 75: /* stmt: DefineStmt  */
#line 1764 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34138 "preproc.c"
    break;

  case 76: /* stmt: DeleteStmt  */
#line 1766 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34144 "preproc.c"
    break;

  case 77: /* stmt: DiscardStmt  */
#line 1768 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 34150 "preproc.c"
    break;

  case 78: /* stmt: DoStmt  */
#line 1770 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34156 "preproc.c"
    break;

  case 79: /* stmt: DropAssertStmt  */
#line 1772 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34162 "preproc.c"
    break;

  case 80: /* stmt: DropCastStmt  */
#line 1774 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34168 "preproc.c"
    break;

  case 81: /* stmt: DropOpClassStmt  */
#line 1776 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34174 "preproc.c"
    break;

  case 82: /* stmt: DropOpFamilyStmt  */
#line 1778 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34180 "preproc.c"
    break;

  case 83: /* stmt: DropOwnedStmt  */
#line 1780 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34186 "preproc.c"
    break;

  case 84: /* stmt: DropPLangStmt  */
#line 1782 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34192 "preproc.c"
    break;

  case 85: /* stmt: DropStmt  */
#line 1784 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34198 "preproc.c"
    break;

  case 86: /* stmt: DropSubscriptionStmt  */
#line 1786 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34204 "preproc.c"
    break;

  case 87: /* stmt: DropTableSpaceStmt  */
#line 1788 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34210 "preproc.c"
    break;

  case 88: /* stmt: DropTransformStmt  */
#line 1790 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34216 "preproc.c"
    break;

  case 89: /* stmt: DropRoleStmt  */
#line 1792 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34222 "preproc.c"
    break;

  case 90: /* stmt: DropUserMappingStmt  */
#line 1794 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34228 "preproc.c"
    break;

  case 91: /* stmt: DropdbStmt  */
#line 1796 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34234 "preproc.c"
    break;

  case 92: /* stmt: ExecuteStmt  */
#line 1798 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 34240 "preproc.c"
    break;

  case 93: /* stmt: ExplainStmt  */
#line 1800 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34246 "preproc.c"
    break;

  case 94: /* stmt: FetchStmt  */
#line 1802 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 34252 "preproc.c"
    break;

  case 95: /* stmt: GrantStmt  */
#line 1804 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34258 "preproc.c"
    break;

  case 96: /* stmt: GrantRoleStmt  */
#line 1806 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34264 "preproc.c"
    break;

  case 97: /* stmt: ImportForeignSchemaStmt  */
#line 1808 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34270 "preproc.c"
    break;

  case 98: /* stmt: IndexStmt  */
#line 1810 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34276 "preproc.c"
    break;

  case 99: /* stmt: InsertStmt  */
#line 1812 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34282 "preproc.c"
    break;

  case 100: /* stmt: ListenStmt  */
#line 1814 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34288 "preproc.c"
    break;

  case 101: /* stmt: RefreshMatViewStmt  */
#line 1816 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34294 "preproc.c"
    break;

  case 102: /* stmt: LoadStmt  */
#line 1818 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34300 "preproc.c"
    break;

  case 103: /* stmt: LockStmt  */
#line 1820 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34306 "preproc.c"
    break;

  case 104: /* stmt: NotifyStmt  */
#line 1822 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34312 "preproc.c"
    break;

  case 105: /* stmt: PrepareStmt  */
#line 1824 "preproc.y"
        {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 34323 "preproc.c"
    break;

  case 106: /* stmt: ReassignOwnedStmt  */
#line 1831 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34329 "preproc.c"
    break;

  case 107: /* stmt: ReindexStmt  */
#line 1833 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34335 "preproc.c"
    break;

  case 108: /* stmt: RemoveAggrStmt  */
#line 1835 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34341 "preproc.c"
    break;

  case 109: /* stmt: RemoveFuncStmt  */
#line 1837 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34347 "preproc.c"
    break;

  case 110: /* stmt: RemoveOperStmt  */
#line 1839 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34353 "preproc.c"
    break;

  case 111: /* stmt: RenameStmt  */
#line 1841 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34359 "preproc.c"
    break;

  case 112: /* stmt: RevokeStmt  */
#line 1843 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34365 "preproc.c"
    break;

  case 113: /* stmt: RevokeRoleStmt  */
#line 1845 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34371 "preproc.c"
    break;

  case 114: /* stmt: RuleStmt  */
#line 1847 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34377 "preproc.c"
    break;

  case 115: /* stmt: SecLabelStmt  */
#line 1849 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34383 "preproc.c"
    break;

  case 116: /* stmt: SelectStmt  */
#line 1851 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34389 "preproc.c"
    break;

  case 117: /* stmt: TransactionStmt  */
#line 1853 "preproc.y"
        {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34399 "preproc.c"
    break;

  case 118: /* stmt: TruncateStmt  */
#line 1859 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34405 "preproc.c"
    break;

  case 119: /* stmt: UnlistenStmt  */
#line 1861 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34411 "preproc.c"
    break;

  case 120: /* stmt: UpdateStmt  */
#line 1863 "preproc.y"
        { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 34417 "preproc.c"
    break;

  case 121: /* stmt: VacuumStmt  */
#line 1865 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34423 "preproc.c"
    break;

  case 122: /* stmt: VariableResetStmt  */
#line 1867 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34429 "preproc.c"
    break;

  case 123: /* stmt: VariableSetStmt  */
#line 1869 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34435 "preproc.c"
    break;

  case 124: /* stmt: VariableShowStmt  */
#line 1871 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34441 "preproc.c"
    break;

  case 125: /* stmt: ViewStmt  */
#line 1873 "preproc.y"
 { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 34447 "preproc.c"
    break;

  case 126: /* stmt: ECPGAllocateDescr  */
#line 1875 "preproc.y"
        {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 34457 "preproc.c"
    break;

  case 127: /* stmt: ECPGConnect  */
#line 1881 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34471 "preproc.c"
    break;

  case 128: /* stmt: ECPGCursorStmt  */
#line 1891 "preproc.y"
        {
		output_simple_statement((yyvsp[0].str));
	}
#line 34479 "preproc.c"
    break;

  case 129: /* stmt: ECPGDeallocateDescr  */
#line 1895 "preproc.y"
        {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 34489 "preproc.c"
    break;

  case 130: /* stmt: ECPGDeclare  */
#line 1901 "preproc.y"
        {
		output_simple_statement((yyvsp[0].str));
	}
#line 34497 "preproc.c"
    break;

  case 131: /* stmt: ECPGDescribe  */
#line 1905 "preproc.y"
        {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 34511 "preproc.c"
    break;

  case 132: /* stmt: ECPGDisconnect  */
#line 1915 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34525 "preproc.c"
    break;

  case 133: /* stmt: ECPGExecuteImmediateStmt  */
#line 1924 "preproc.y"
                                        { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 34531 "preproc.c"
    break;

  case 134: /* stmt: ECPGFree  */
#line 1926 "preproc.y"
        {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34549 "preproc.c"
    break;

  case 135: /* stmt: ECPGGetDescriptor  */
#line 1940 "preproc.y"
        {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 34560 "preproc.c"
    break;

  case 136: /* stmt: ECPGGetDescriptorHeader  */
#line 1947 "preproc.y"
        {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 34570 "preproc.c"
    break;

  case 137: /* stmt: ECPGOpen  */
#line 1953 "preproc.y"
        {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 34585 "preproc.c"
    break;

  case 138: /* stmt: ECPGSetAutocommit  */
#line 1964 "preproc.y"
        {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34595 "preproc.c"
    break;

  case 139: /* stmt: ECPGSetConnection  */
#line 1970 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 34608 "preproc.c"
    break;

  case 140: /* stmt: ECPGSetDescriptor  */
#line 1979 "preproc.y"
        {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 34619 "preproc.c"
    break;

  case 141: /* stmt: ECPGSetDescriptorHeader  */
#line 1986 "preproc.y"
        {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 34629 "preproc.c"
    break;

  case 142: /* stmt: ECPGTypedef  */
#line 1992 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 34642 "preproc.c"
    break;

  case 143: /* stmt: ECPGVar  */
#line 2001 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 34653 "preproc.c"
    break;

  case 144: /* stmt: ECPGWhenever  */
#line 2008 "preproc.y"
        {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 34664 "preproc.c"
    break;

  case 145: /* stmt: %empty  */
#line 2015 "preproc.y"
 { (yyval.str) = NULL; }
#line 34670 "preproc.c"
    break;

  case 146: /* CreateRoleStmt: CREATE ROLE RoleId opt_with OptRoleList  */
#line 2021 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34678 "preproc.c"
    break;

  case 147: /* opt_with: WITH  */
#line 2029 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with");
}
#line 34686 "preproc.c"
    break;

  case 148: /* opt_with: WITH_LA  */
#line 2033 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with");
}
#line 34694 "preproc.c"
    break;

  case 149: /* opt_with: %empty  */
#line 2037 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 34701 "preproc.c"
    break;

  case 150: /* OptRoleList: OptRoleList CreateOptRoleElem  */
#line 2044 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34709 "preproc.c"
    break;

  case 151: /* OptRoleList: %empty  */
#line 2048 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 34716 "preproc.c"
    break;

  case 152: /* AlterOptRoleList: AlterOptRoleList AlterOptRoleElem  */
#line 2055 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34724 "preproc.c"
    break;

  case 153: /* AlterOptRoleList: %empty  */
#line 2059 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 34731 "preproc.c"
    break;

  case 154: /* AlterOptRoleElem: PASSWORD ecpg_sconst  */
#line 2066 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 34739 "preproc.c"
    break;

  case 155: /* AlterOptRoleElem: PASSWORD NULL_P  */
#line 2070 "preproc.y"
 { 
 (yyval.str) = mm_strdup("password null");
}
#line 34747 "preproc.c"
    break;

  case 156: /* AlterOptRoleElem: ENCRYPTED PASSWORD ecpg_sconst  */
#line 2074 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 34755 "preproc.c"
    break;

  case 157: /* AlterOptRoleElem: UNENCRYPTED PASSWORD ecpg_sconst  */
#line 2078 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 34764 "preproc.c"
    break;

  case 158: /* AlterOptRoleElem: INHERIT  */
#line 2083 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inherit");
}
#line 34772 "preproc.c"
    break;

  case 159: /* AlterOptRoleElem: CONNECTION LIMIT SignedIconst  */
#line 2087 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 34780 "preproc.c"
    break;

  case 160: /* AlterOptRoleElem: VALID UNTIL ecpg_sconst  */
#line 2091 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 34788 "preproc.c"
    break;

  case 161: /* AlterOptRoleElem: USER role_list  */
#line 2095 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 34796 "preproc.c"
    break;

  case 162: /* AlterOptRoleElem: ecpg_ident  */
#line 2099 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34804 "preproc.c"
    break;

  case 163: /* CreateOptRoleElem: AlterOptRoleElem  */
#line 2107 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34812 "preproc.c"
    break;

  case 164: /* CreateOptRoleElem: SYSID Iconst  */
#line 2111 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 34820 "preproc.c"
    break;

  case 165: /* CreateOptRoleElem: ADMIN role_list  */
#line 2115 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 34828 "preproc.c"
    break;

  case 166: /* CreateOptRoleElem: ROLE role_list  */
#line 2119 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 34836 "preproc.c"
    break;

  case 167: /* CreateOptRoleElem: IN_P ROLE role_list  */
#line 2123 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 34844 "preproc.c"
    break;

  case 168: /* CreateOptRoleElem: IN_P GROUP_P role_list  */
#line 2127 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 34852 "preproc.c"
    break;

  case 169: /* CreateUserStmt: CREATE USER RoleId opt_with OptRoleList  */
#line 2135 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34860 "preproc.c"
    break;

  case 170: /* AlterRoleStmt: ALTER ROLE RoleSpec opt_with AlterOptRoleList  */
#line 2143 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34868 "preproc.c"
    break;

  case 171: /* AlterRoleStmt: ALTER USER RoleSpec opt_with AlterOptRoleList  */
#line 2147 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34876 "preproc.c"
    break;

  case 172: /* opt_in_database: %empty  */
#line 2155 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 34883 "preproc.c"
    break;

  case 173: /* opt_in_database: IN_P DATABASE database_name  */
#line 2158 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 34891 "preproc.c"
    break;

  case 174: /* AlterRoleSetStmt: ALTER ROLE RoleSpec opt_in_database SetResetClause  */
#line 2166 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34899 "preproc.c"
    break;

  case 175: /* AlterRoleSetStmt: ALTER ROLE ALL opt_in_database SetResetClause  */
#line 2170 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34907 "preproc.c"
    break;

  case 176: /* AlterRoleSetStmt: ALTER USER RoleSpec opt_in_database SetResetClause  */
#line 2174 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34915 "preproc.c"
    break;

  case 177: /* AlterRoleSetStmt: ALTER USER ALL opt_in_database SetResetClause  */
#line 2178 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34923 "preproc.c"
    break;

  case 178: /* DropRoleStmt: DROP ROLE role_list  */
#line 2186 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 34931 "preproc.c"
    break;

  case 179: /* DropRoleStmt: DROP ROLE IF_P EXISTS role_list  */
#line 2190 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 34939 "preproc.c"
    break;

  case 180: /* DropRoleStmt: DROP USER role_list  */
#line 2194 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 34947 "preproc.c"
    break;

  case 181: /* DropRoleStmt: DROP USER IF_P EXISTS role_list  */
#line 2198 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 34955 "preproc.c"
    break;

  case 182: /* DropRoleStmt: DROP GROUP_P role_list  */
#line 2202 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 34963 "preproc.c"
    break;

  case 183: /* DropRoleStmt: DROP GROUP_P IF_P EXISTS role_list  */
#line 2206 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 34971 "preproc.c"
    break;

  case 184: /* CreateGroupStmt: CREATE GROUP_P RoleId opt_with OptRoleList  */
#line 2214 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34979 "preproc.c"
    break;

  case 185: /* AlterGroupStmt: ALTER GROUP_P RoleSpec add_drop USER role_list  */
#line 2222 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 34987 "preproc.c"
    break;

  case 186: /* add_drop: ADD_P  */
#line 2230 "preproc.y"
 { 
 (yyval.str) = mm_strdup("add");
}
#line 34995 "preproc.c"
    break;

  case 187: /* add_drop: DROP  */
#line 2234 "preproc.y"
 { 
 (yyval.str) = mm_strdup("drop");
}
#line 35003 "preproc.c"
    break;

  case 188: /* CreateSchemaStmt: CREATE SCHEMA OptSchemaName AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 2242 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35011 "preproc.c"
    break;

  case 189: /* CreateSchemaStmt: CREATE SCHEMA ColId OptSchemaEltList  */
#line 2246 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35019 "preproc.c"
    break;

  case 190: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS OptSchemaName AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 2250 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35028 "preproc.c"
    break;

  case 191: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS ColId OptSchemaEltList  */
#line 2255 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35037 "preproc.c"
    break;

  case 192: /* OptSchemaName: ColId  */
#line 2264 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35045 "preproc.c"
    break;

  case 193: /* OptSchemaName: %empty  */
#line 2268 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 35052 "preproc.c"
    break;

  case 194: /* OptSchemaEltList: OptSchemaEltList schema_stmt  */
#line 2275 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35060 "preproc.c"
    break;

  case 195: /* OptSchemaEltList: %empty  */
#line 2279 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 35067 "preproc.c"
    break;

  case 196: /* schema_stmt: CreateStmt  */
#line 2286 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35075 "preproc.c"
    break;

  case 197: /* schema_stmt: IndexStmt  */
#line 2290 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35083 "preproc.c"
    break;

  case 198: /* schema_stmt: CreateSeqStmt  */
#line 2294 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35091 "preproc.c"
    break;

  case 199: /* schema_stmt: CreateTrigStmt  */
#line 2298 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35099 "preproc.c"
    break;

  case 200: /* schema_stmt: GrantStmt  */
#line 2302 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35107 "preproc.c"
    break;

  case 201: /* schema_stmt: ViewStmt  */
#line 2306 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35115 "preproc.c"
    break;

  case 202: /* VariableSetStmt: SET set_rest  */
#line 2314 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35123 "preproc.c"
    break;

  case 203: /* VariableSetStmt: SET LOCAL set_rest  */
#line 2318 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 35131 "preproc.c"
    break;

  case 204: /* VariableSetStmt: SET SESSION set_rest  */
#line 2322 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 35139 "preproc.c"
    break;

  case 205: /* set_rest: TRANSACTION transaction_mode_list  */
#line 2330 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 35147 "preproc.c"
    break;

  case 206: /* set_rest: SESSION CHARACTERISTICS AS TRANSACTION transaction_mode_list  */
#line 2334 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 35155 "preproc.c"
    break;

  case 207: /* set_rest: set_rest_more  */
#line 2338 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35163 "preproc.c"
    break;

  case 208: /* generic_set: var_name TO var_list  */
#line 2346 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35171 "preproc.c"
    break;

  case 209: /* generic_set: var_name '=' var_list  */
#line 2350 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 35179 "preproc.c"
    break;

  case 210: /* generic_set: var_name TO DEFAULT  */
#line 2354 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 35187 "preproc.c"
    break;

  case 211: /* generic_set: var_name '=' DEFAULT  */
#line 2358 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 35195 "preproc.c"
    break;

  case 212: /* set_rest_more: generic_set  */
#line 2366 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35203 "preproc.c"
    break;

  case 213: /* set_rest_more: var_name FROM CURRENT_P  */
#line 2370 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 35211 "preproc.c"
    break;

  case 214: /* set_rest_more: TIME ZONE zone_value  */
#line 2374 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 35219 "preproc.c"
    break;

  case 215: /* set_rest_more: CATALOG_P ecpg_sconst  */
#line 2378 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 35228 "preproc.c"
    break;

  case 216: /* set_rest_more: SCHEMA ecpg_sconst  */
#line 2383 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35236 "preproc.c"
    break;

  case 217: /* set_rest_more: NAMES opt_encoding  */
#line 2387 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 35244 "preproc.c"
    break;

  case 218: /* set_rest_more: ROLE NonReservedWord_or_Sconst  */
#line 2391 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 35252 "preproc.c"
    break;

  case 219: /* set_rest_more: SESSION AUTHORIZATION NonReservedWord_or_Sconst  */
#line 2395 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 35260 "preproc.c"
    break;

  case 220: /* set_rest_more: SESSION AUTHORIZATION DEFAULT  */
#line 2399 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 35268 "preproc.c"
    break;

  case 221: /* set_rest_more: XML_P OPTION document_or_content  */
#line 2403 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 35276 "preproc.c"
    break;

  case 222: /* set_rest_more: TRANSACTION SNAPSHOT ecpg_sconst  */
#line 2407 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 35284 "preproc.c"
    break;

  case 223: /* var_name: ECPGColId  */
#line 2415 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35292 "preproc.c"
    break;

  case 224: /* var_name: var_name '.' ColId  */
#line 2419 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35300 "preproc.c"
    break;

  case 225: /* var_list: var_value  */
#line 2427 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35308 "preproc.c"
    break;

  case 226: /* var_list: var_list ',' var_value  */
#line 2431 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35316 "preproc.c"
    break;

  case 227: /* var_value: opt_boolean_or_string  */
#line 2439 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35324 "preproc.c"
    break;

  case 228: /* var_value: NumericOnly  */
#line 2443 "preproc.y"
 { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 35338 "preproc.c"
    break;

  case 229: /* iso_level: READ UNCOMMITTED  */
#line 2457 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 35346 "preproc.c"
    break;

  case 230: /* iso_level: READ COMMITTED  */
#line 2461 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read committed");
}
#line 35354 "preproc.c"
    break;

  case 231: /* iso_level: REPEATABLE READ  */
#line 2465 "preproc.y"
 { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 35362 "preproc.c"
    break;

  case 232: /* iso_level: SERIALIZABLE  */
#line 2469 "preproc.y"
 { 
 (yyval.str) = mm_strdup("serializable");
}
#line 35370 "preproc.c"
    break;

  case 233: /* opt_boolean_or_string: TRUE_P  */
#line 2477 "preproc.y"
 { 
 (yyval.str) = mm_strdup("true");
}
#line 35378 "preproc.c"
    break;

  case 234: /* opt_boolean_or_string: FALSE_P  */
#line 2481 "preproc.y"
 { 
 (yyval.str) = mm_strdup("false");
}
#line 35386 "preproc.c"
    break;

  case 235: /* opt_boolean_or_string: ON  */
#line 2485 "preproc.y"
 { 
 (yyval.str) = mm_strdup("on");
}
#line 35394 "preproc.c"
    break;

  case 236: /* opt_boolean_or_string: NonReservedWord_or_Sconst  */
#line 2489 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35402 "preproc.c"
    break;

  case 237: /* zone_value: ecpg_sconst  */
#line 2497 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35410 "preproc.c"
    break;

  case 238: /* zone_value: ecpg_ident  */
#line 2501 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35418 "preproc.c"
    break;

  case 239: /* zone_value: ConstInterval ecpg_sconst opt_interval  */
#line 2505 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35426 "preproc.c"
    break;

  case 240: /* zone_value: ConstInterval '(' Iconst ')' ecpg_sconst  */
#line 2509 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35434 "preproc.c"
    break;

  case 241: /* zone_value: NumericOnly  */
#line 2513 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35442 "preproc.c"
    break;

  case 242: /* zone_value: DEFAULT  */
#line 2517 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 35450 "preproc.c"
    break;

  case 243: /* zone_value: LOCAL  */
#line 2521 "preproc.y"
 { 
 (yyval.str) = mm_strdup("local");
}
#line 35458 "preproc.c"
    break;

  case 244: /* opt_encoding: ecpg_sconst  */
#line 2529 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35466 "preproc.c"
    break;

  case 245: /* opt_encoding: DEFAULT  */
#line 2533 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 35474 "preproc.c"
    break;

  case 246: /* opt_encoding: %empty  */
#line 2537 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 35481 "preproc.c"
    break;

  case 247: /* NonReservedWord_or_Sconst: NonReservedWord  */
#line 2544 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35489 "preproc.c"
    break;

  case 248: /* NonReservedWord_or_Sconst: ecpg_sconst  */
#line 2548 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35497 "preproc.c"
    break;

  case 249: /* VariableResetStmt: RESET reset_rest  */
#line 2556 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 35505 "preproc.c"
    break;

  case 250: /* reset_rest: generic_reset  */
#line 2564 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35513 "preproc.c"
    break;

  case 251: /* reset_rest: TIME ZONE  */
#line 2568 "preproc.y"
 { 
 (yyval.str) = mm_strdup("time zone");
}
#line 35521 "preproc.c"
    break;

  case 252: /* reset_rest: TRANSACTION ISOLATION LEVEL  */
#line 2572 "preproc.y"
 { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 35529 "preproc.c"
    break;

  case 253: /* reset_rest: SESSION AUTHORIZATION  */
#line 2576 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 35537 "preproc.c"
    break;

  case 254: /* generic_reset: var_name  */
#line 2584 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35545 "preproc.c"
    break;

  case 255: /* generic_reset: ALL  */
#line 2588 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 35553 "preproc.c"
    break;

  case 256: /* SetResetClause: SET set_rest  */
#line 2596 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35561 "preproc.c"
    break;

  case 257: /* SetResetClause: VariableResetStmt  */
#line 2600 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35569 "preproc.c"
    break;

  case 258: /* FunctionSetResetClause: SET set_rest_more  */
#line 2608 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35577 "preproc.c"
    break;

  case 259: /* FunctionSetResetClause: VariableResetStmt  */
#line 2612 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35585 "preproc.c"
    break;

  case 260: /* VariableShowStmt: SHOW var_name ecpg_into  */
#line 2620 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 35593 "preproc.c"
    break;

  case 261: /* VariableShowStmt: SHOW TIME ZONE ecpg_into  */
#line 2624 "preproc.y"
 { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 35601 "preproc.c"
    break;

  case 262: /* VariableShowStmt: SHOW TRANSACTION ISOLATION LEVEL ecpg_into  */
#line 2628 "preproc.y"
 { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 35609 "preproc.c"
    break;

  case 263: /* VariableShowStmt: SHOW SESSION AUTHORIZATION ecpg_into  */
#line 2632 "preproc.y"
 { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 35617 "preproc.c"
    break;

  case 264: /* VariableShowStmt: SHOW ALL  */
#line 2636 "preproc.y"
        {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 35626 "preproc.c"
    break;

  case 265: /* ConstraintsSetStmt: SET CONSTRAINTS constraints_set_list constraints_set_mode  */
#line 2645 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35634 "preproc.c"
    break;

  case 266: /* constraints_set_list: ALL  */
#line 2653 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 35642 "preproc.c"
    break;

  case 267: /* constraints_set_list: qualified_name_list  */
#line 2657 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35650 "preproc.c"
    break;

  case 268: /* constraints_set_mode: DEFERRED  */
#line 2665 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferred");
}
#line 35658 "preproc.c"
    break;

  case 269: /* constraints_set_mode: IMMEDIATE  */
#line 2669 "preproc.y"
 { 
 (yyval.str) = mm_strdup("immediate");
}
#line 35666 "preproc.c"
    break;

  case 270: /* CheckPointStmt: CHECKPOINT  */
#line 2677 "preproc.y"
 { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 35674 "preproc.c"
    break;

  case 271: /* DiscardStmt: DISCARD ALL  */
#line 2685 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard all");
}
#line 35682 "preproc.c"
    break;

  case 272: /* DiscardStmt: DISCARD TEMP  */
#line 2689 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 35690 "preproc.c"
    break;

  case 273: /* DiscardStmt: DISCARD TEMPORARY  */
#line 2693 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 35698 "preproc.c"
    break;

  case 274: /* DiscardStmt: DISCARD PLANS  */
#line 2697 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 35706 "preproc.c"
    break;

  case 275: /* DiscardStmt: DISCARD SEQUENCES  */
#line 2701 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 35714 "preproc.c"
    break;

  case 276: /* AlterTableStmt: ALTER TABLE relation_expr alter_table_cmds  */
#line 2709 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35722 "preproc.c"
    break;

  case 277: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 2713 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35730 "preproc.c"
    break;

  case 278: /* AlterTableStmt: ALTER TABLE relation_expr partition_cmd  */
#line 2717 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35738 "preproc.c"
    break;

  case 279: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr partition_cmd  */
#line 2721 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35746 "preproc.c"
    break;

  case 280: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2725 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35754 "preproc.c"
    break;

  case 281: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2729 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35762 "preproc.c"
    break;

  case 282: /* AlterTableStmt: ALTER INDEX qualified_name alter_table_cmds  */
#line 2733 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35770 "preproc.c"
    break;

  case 283: /* AlterTableStmt: ALTER INDEX IF_P EXISTS qualified_name alter_table_cmds  */
#line 2737 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35778 "preproc.c"
    break;

  case 284: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2741 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35786 "preproc.c"
    break;

  case 285: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2745 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35794 "preproc.c"
    break;

  case 286: /* AlterTableStmt: ALTER SEQUENCE qualified_name alter_table_cmds  */
#line 2749 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35802 "preproc.c"
    break;

  case 287: /* AlterTableStmt: ALTER SEQUENCE IF_P EXISTS qualified_name alter_table_cmds  */
#line 2753 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35810 "preproc.c"
    break;

  case 288: /* AlterTableStmt: ALTER VIEW qualified_name alter_table_cmds  */
#line 2757 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35818 "preproc.c"
    break;

  case 289: /* AlterTableStmt: ALTER VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 2761 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35826 "preproc.c"
    break;

  case 290: /* AlterTableStmt: ALTER MATERIALIZED VIEW qualified_name alter_table_cmds  */
#line 2765 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35834 "preproc.c"
    break;

  case 291: /* AlterTableStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 2769 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35842 "preproc.c"
    break;

  case 292: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2773 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35850 "preproc.c"
    break;

  case 293: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2777 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35858 "preproc.c"
    break;

  case 294: /* alter_table_cmds: alter_table_cmd  */
#line 2785 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35866 "preproc.c"
    break;

  case 295: /* alter_table_cmds: alter_table_cmds ',' alter_table_cmd  */
#line 2789 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35874 "preproc.c"
    break;

  case 296: /* partition_cmd: ATTACH PARTITION qualified_name ForValues  */
#line 2797 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35882 "preproc.c"
    break;

  case 297: /* partition_cmd: DETACH PARTITION qualified_name  */
#line 2801 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("detach partition"),(yyvsp[0].str));
}
#line 35890 "preproc.c"
    break;

  case 298: /* alter_table_cmd: ADD_P columnDef  */
#line 2809 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35898 "preproc.c"
    break;

  case 299: /* alter_table_cmd: ADD_P IF_P NOT EXISTS columnDef  */
#line 2813 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 35906 "preproc.c"
    break;

  case 300: /* alter_table_cmd: ADD_P COLUMN columnDef  */
#line 2817 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 35914 "preproc.c"
    break;

  case 301: /* alter_table_cmd: ADD_P COLUMN IF_P NOT EXISTS columnDef  */
#line 2821 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 35922 "preproc.c"
    break;

  case 302: /* alter_table_cmd: ALTER opt_column ColId alter_column_default  */
#line 2825 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35930 "preproc.c"
    break;

  case 303: /* alter_table_cmd: ALTER opt_column ColId DROP NOT NULL_P  */
#line 2829 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 35938 "preproc.c"
    break;

  case 304: /* alter_table_cmd: ALTER opt_column ColId SET NOT NULL_P  */
#line 2833 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 35946 "preproc.c"
    break;

  case 305: /* alter_table_cmd: ALTER opt_column ColId SET STATISTICS SignedIconst  */
#line 2837 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 35954 "preproc.c"
    break;

  case 306: /* alter_table_cmd: ALTER opt_column ColId SET reloptions  */
#line 2841 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 35962 "preproc.c"
    break;

  case 307: /* alter_table_cmd: ALTER opt_column ColId RESET reloptions  */
#line 2845 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 35970 "preproc.c"
    break;

  case 308: /* alter_table_cmd: ALTER opt_column ColId SET STORAGE ColId  */
#line 2849 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 35978 "preproc.c"
    break;

  case 309: /* alter_table_cmd: ALTER opt_column ColId ADD_P GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 2853 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 35986 "preproc.c"
    break;

  case 310: /* alter_table_cmd: ALTER opt_column ColId alter_identity_column_option_list  */
#line 2857 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35994 "preproc.c"
    break;

  case 311: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P  */
#line 2861 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 36002 "preproc.c"
    break;

  case 312: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P IF_P EXISTS  */
#line 2865 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 36010 "preproc.c"
    break;

  case 313: /* alter_table_cmd: DROP opt_column IF_P EXISTS ColId opt_drop_behavior  */
#line 2869 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36018 "preproc.c"
    break;

  case 314: /* alter_table_cmd: DROP opt_column ColId opt_drop_behavior  */
#line 2873 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36026 "preproc.c"
    break;

  case 315: /* alter_table_cmd: ALTER opt_column ColId opt_set_data TYPE_P Typename opt_collate_clause alter_using  */
#line 2877 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36034 "preproc.c"
    break;

  case 316: /* alter_table_cmd: ALTER opt_column ColId alter_generic_options  */
#line 2881 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36042 "preproc.c"
    break;

  case 317: /* alter_table_cmd: ADD_P TableConstraint  */
#line 2885 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 36050 "preproc.c"
    break;

  case 318: /* alter_table_cmd: ALTER CONSTRAINT name ConstraintAttributeSpec  */
#line 2889 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36058 "preproc.c"
    break;

  case 319: /* alter_table_cmd: VALIDATE CONSTRAINT name  */
#line 2893 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 36066 "preproc.c"
    break;

  case 320: /* alter_table_cmd: DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 2897 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36074 "preproc.c"
    break;

  case 321: /* alter_table_cmd: DROP CONSTRAINT name opt_drop_behavior  */
#line 2901 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36082 "preproc.c"
    break;

  case 322: /* alter_table_cmd: SET WITH OIDS  */
#line 2905 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 36090 "preproc.c"
    break;

  case 323: /* alter_table_cmd: SET WITHOUT OIDS  */
#line 2909 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 36098 "preproc.c"
    break;

  case 324: /* alter_table_cmd: CLUSTER ON name  */
#line 2913 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 36106 "preproc.c"
    break;

  case 325: /* alter_table_cmd: SET WITHOUT CLUSTER  */
#line 2917 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 36114 "preproc.c"
    break;

  case 326: /* alter_table_cmd: SET LOGGED  */
#line 2921 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set logged");
}
#line 36122 "preproc.c"
    break;

  case 327: /* alter_table_cmd: SET UNLOGGED  */
#line 2925 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 36130 "preproc.c"
    break;

  case 328: /* alter_table_cmd: ENABLE_P TRIGGER name  */
#line 2929 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 36138 "preproc.c"
    break;

  case 329: /* alter_table_cmd: ENABLE_P ALWAYS TRIGGER name  */
#line 2933 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 36146 "preproc.c"
    break;

  case 330: /* alter_table_cmd: ENABLE_P REPLICA TRIGGER name  */
#line 2937 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 36154 "preproc.c"
    break;

  case 331: /* alter_table_cmd: ENABLE_P TRIGGER ALL  */
#line 2941 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 36162 "preproc.c"
    break;

  case 332: /* alter_table_cmd: ENABLE_P TRIGGER USER  */
#line 2945 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 36170 "preproc.c"
    break;

  case 333: /* alter_table_cmd: DISABLE_P TRIGGER name  */
#line 2949 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 36178 "preproc.c"
    break;

  case 334: /* alter_table_cmd: DISABLE_P TRIGGER ALL  */
#line 2953 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 36186 "preproc.c"
    break;

  case 335: /* alter_table_cmd: DISABLE_P TRIGGER USER  */
#line 2957 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 36194 "preproc.c"
    break;

  case 336: /* alter_table_cmd: ENABLE_P RULE name  */
#line 2961 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 36202 "preproc.c"
    break;

  case 337: /* alter_table_cmd: ENABLE_P ALWAYS RULE name  */
#line 2965 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 36210 "preproc.c"
    break;

  case 338: /* alter_table_cmd: ENABLE_P REPLICA RULE name  */
#line 2969 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 36218 "preproc.c"
    break;

  case 339: /* alter_table_cmd: DISABLE_P RULE name  */
#line 2973 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 36226 "preproc.c"
    break;

  case 340: /* alter_table_cmd: INHERIT qualified_name  */
#line 2977 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 36234 "preproc.c"
    break;

  case 341: /* alter_table_cmd: NO INHERIT qualified_name  */
#line 2981 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 36242 "preproc.c"
    break;

  case 342: /* alter_table_cmd: OF any_name  */
#line 2985 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 36250 "preproc.c"
    break;

  case 343: /* alter_table_cmd: NOT OF  */
#line 2989 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not of");
}
#line 36258 "preproc.c"
    break;

  case 344: /* alter_table_cmd: OWNER TO RoleSpec  */
#line 2993 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36266 "preproc.c"
    break;

  case 345: /* alter_table_cmd: SET TABLESPACE name  */
#line 2997 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 36274 "preproc.c"
    break;

  case 346: /* alter_table_cmd: SET reloptions  */
#line 3001 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 36282 "preproc.c"
    break;

  case 347: /* alter_table_cmd: RESET reloptions  */
#line 3005 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 36290 "preproc.c"
    break;

  case 348: /* alter_table_cmd: REPLICA IDENTITY_P replica_identity  */
#line 3009 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 36298 "preproc.c"
    break;

  case 349: /* alter_table_cmd: ENABLE_P ROW LEVEL SECURITY  */
#line 3013 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 36306 "preproc.c"
    break;

  case 350: /* alter_table_cmd: DISABLE_P ROW LEVEL SECURITY  */
#line 3017 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 36314 "preproc.c"
    break;

  case 351: /* alter_table_cmd: FORCE ROW LEVEL SECURITY  */
#line 3021 "preproc.y"
 { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 36322 "preproc.c"
    break;

  case 352: /* alter_table_cmd: NO FORCE ROW LEVEL SECURITY  */
#line 3025 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 36330 "preproc.c"
    break;

  case 353: /* alter_table_cmd: alter_generic_options  */
#line 3029 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36338 "preproc.c"
    break;

  case 354: /* alter_column_default: SET DEFAULT a_expr  */
#line 3037 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 36346 "preproc.c"
    break;

  case 355: /* alter_column_default: DROP DEFAULT  */
#line 3041 "preproc.y"
 { 
 (yyval.str) = mm_strdup("drop default");
}
#line 36354 "preproc.c"
    break;

  case 356: /* opt_drop_behavior: CASCADE  */
#line 3049 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascade");
}
#line 36362 "preproc.c"
    break;

  case 357: /* opt_drop_behavior: RESTRICT  */
#line 3053 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restrict");
}
#line 36370 "preproc.c"
    break;

  case 358: /* opt_drop_behavior: %empty  */
#line 3057 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 36377 "preproc.c"
    break;

  case 359: /* opt_collate_clause: COLLATE any_name  */
#line 3064 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 36385 "preproc.c"
    break;

  case 360: /* opt_collate_clause: %empty  */
#line 3068 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 36392 "preproc.c"
    break;

  case 361: /* alter_using: USING a_expr  */
#line 3075 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 36400 "preproc.c"
    break;

  case 362: /* alter_using: %empty  */
#line 3079 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 36407 "preproc.c"
    break;

  case 363: /* replica_identity: NOTHING  */
#line 3086 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nothing");
}
#line 36415 "preproc.c"
    break;

  case 364: /* replica_identity: FULL  */
#line 3090 "preproc.y"
 { 
 (yyval.str) = mm_strdup("full");
}
#line 36423 "preproc.c"
    break;

  case 365: /* replica_identity: DEFAULT  */
#line 3094 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 36431 "preproc.c"
    break;

  case 366: /* replica_identity: USING INDEX name  */
#line 3098 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 36439 "preproc.c"
    break;

  case 367: /* reloptions: '(' reloption_list ')'  */
#line 3106 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36447 "preproc.c"
    break;

  case 368: /* opt_reloptions: WITH reloptions  */
#line 3114 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 36455 "preproc.c"
    break;

  case 369: /* opt_reloptions: %empty  */
#line 3118 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 36462 "preproc.c"
    break;

  case 370: /* reloption_list: reloption_elem  */
#line 3125 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36470 "preproc.c"
    break;

  case 371: /* reloption_list: reloption_list ',' reloption_elem  */
#line 3129 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36478 "preproc.c"
    break;

  case 372: /* reloption_elem: ColLabel '=' def_arg  */
#line 3137 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36486 "preproc.c"
    break;

  case 373: /* reloption_elem: ColLabel  */
#line 3141 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36494 "preproc.c"
    break;

  case 374: /* reloption_elem: ColLabel '.' ColLabel '=' def_arg  */
#line 3145 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36502 "preproc.c"
    break;

  case 375: /* reloption_elem: ColLabel '.' ColLabel  */
#line 3149 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 36510 "preproc.c"
    break;

  case 376: /* alter_identity_column_option_list: alter_identity_column_option  */
#line 3157 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36518 "preproc.c"
    break;

  case 377: /* alter_identity_column_option_list: alter_identity_column_option_list alter_identity_column_option  */
#line 3161 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36526 "preproc.c"
    break;

  case 378: /* alter_identity_column_option: RESTART  */
#line 3169 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restart");
}
#line 36534 "preproc.c"
    break;

  case 379: /* alter_identity_column_option: RESTART opt_with NumericOnly  */
#line 3173 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36542 "preproc.c"
    break;

  case 380: /* alter_identity_column_option: SET SeqOptElem  */
#line 3177 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 36550 "preproc.c"
    break;

  case 381: /* alter_identity_column_option: SET GENERATED generated_when  */
#line 3181 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 36558 "preproc.c"
    break;

  case 382: /* ForValues: FOR VALUES IN_P '(' partbound_datum_list ')'  */
#line 3189 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36566 "preproc.c"
    break;

  case 383: /* ForValues: FOR VALUES FROM '(' range_datum_list ')' TO '(' range_datum_list ')'  */
#line 3193 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36574 "preproc.c"
    break;

  case 384: /* partbound_datum: ecpg_sconst  */
#line 3201 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36582 "preproc.c"
    break;

  case 385: /* partbound_datum: NumericOnly  */
#line 3205 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36590 "preproc.c"
    break;

  case 386: /* partbound_datum: TRUE_P  */
#line 3209 "preproc.y"
 { 
 (yyval.str) = mm_strdup("true");
}
#line 36598 "preproc.c"
    break;

  case 387: /* partbound_datum: FALSE_P  */
#line 3213 "preproc.y"
 { 
 (yyval.str) = mm_strdup("false");
}
#line 36606 "preproc.c"
    break;

  case 388: /* partbound_datum: NULL_P  */
#line 3217 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 36614 "preproc.c"
    break;

  case 389: /* partbound_datum_list: partbound_datum  */
#line 3225 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36622 "preproc.c"
    break;

  case 390: /* partbound_datum_list: partbound_datum_list ',' partbound_datum  */
#line 3229 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36630 "preproc.c"
    break;

  case 391: /* range_datum_list: PartitionRangeDatum  */
#line 3237 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36638 "preproc.c"
    break;

  case 392: /* range_datum_list: range_datum_list ',' PartitionRangeDatum  */
#line 3241 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36646 "preproc.c"
    break;

  case 393: /* PartitionRangeDatum: MINVALUE  */
#line 3249 "preproc.y"
 { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 36654 "preproc.c"
    break;

  case 394: /* PartitionRangeDatum: MAXVALUE  */
#line 3253 "preproc.y"
 { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 36662 "preproc.c"
    break;

  case 395: /* PartitionRangeDatum: partbound_datum  */
#line 3257 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36670 "preproc.c"
    break;

  case 396: /* AlterCompositeTypeStmt: ALTER TYPE_P any_name alter_type_cmds  */
#line 3265 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36678 "preproc.c"
    break;

  case 397: /* alter_type_cmds: alter_type_cmd  */
#line 3273 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36686 "preproc.c"
    break;

  case 398: /* alter_type_cmds: alter_type_cmds ',' alter_type_cmd  */
#line 3277 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36694 "preproc.c"
    break;

  case 399: /* alter_type_cmd: ADD_P ATTRIBUTE TableFuncElement opt_drop_behavior  */
#line 3285 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36702 "preproc.c"
    break;

  case 400: /* alter_type_cmd: DROP ATTRIBUTE IF_P EXISTS ColId opt_drop_behavior  */
#line 3289 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36710 "preproc.c"
    break;

  case 401: /* alter_type_cmd: DROP ATTRIBUTE ColId opt_drop_behavior  */
#line 3293 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36718 "preproc.c"
    break;

  case 402: /* alter_type_cmd: ALTER ATTRIBUTE ColId opt_set_data TYPE_P Typename opt_collate_clause opt_drop_behavior  */
#line 3297 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36726 "preproc.c"
    break;

  case 403: /* ClosePortalStmt: CLOSE cursor_name  */
#line 3305 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 36735 "preproc.c"
    break;

  case 404: /* ClosePortalStmt: CLOSE ALL  */
#line 3310 "preproc.y"
 { 
 (yyval.str) = mm_strdup("close all");
}
#line 36743 "preproc.c"
    break;

  case 405: /* CopyStmt: COPY opt_binary qualified_name opt_column_list opt_oids copy_from opt_program copy_file_name copy_delimiter opt_with copy_options  */
#line 3318 "preproc.y"
 { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36755 "preproc.c"
    break;

  case 406: /* CopyStmt: COPY '(' PreparableStmt ')' TO opt_program copy_file_name opt_with copy_options  */
#line 3326 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36763 "preproc.c"
    break;

  case 407: /* copy_from: FROM  */
#line 3334 "preproc.y"
 { 
 (yyval.str) = mm_strdup("from");
}
#line 36771 "preproc.c"
    break;

  case 408: /* copy_from: TO  */
#line 3338 "preproc.y"
 { 
 (yyval.str) = mm_strdup("to");
}
#line 36779 "preproc.c"
    break;

  case 409: /* opt_program: PROGRAM  */
#line 3346 "preproc.y"
 { 
 (yyval.str) = mm_strdup("program");
}
#line 36787 "preproc.c"
    break;

  case 410: /* opt_program: %empty  */
#line 3350 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 36794 "preproc.c"
    break;

  case 411: /* copy_file_name: ecpg_sconst  */
#line 3357 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36802 "preproc.c"
    break;

  case 412: /* copy_file_name: STDIN  */
#line 3361 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stdin");
}
#line 36810 "preproc.c"
    break;

  case 413: /* copy_file_name: STDOUT  */
#line 3365 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stdout");
}
#line 36818 "preproc.c"
    break;

  case 414: /* copy_options: copy_opt_list  */
#line 3373 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36826 "preproc.c"
    break;

  case 415: /* copy_options: '(' copy_generic_opt_list ')'  */
#line 3377 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36834 "preproc.c"
    break;

  case 416: /* copy_opt_list: copy_opt_list copy_opt_item  */
#line 3385 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36842 "preproc.c"
    break;

  case 417: /* copy_opt_list: %empty  */
#line 3389 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 36849 "preproc.c"
    break;

  case 418: /* copy_opt_item: BINARY  */
#line 3396 "preproc.y"
 { 
 (yyval.str) = mm_strdup("binary");
}
#line 36857 "preproc.c"
    break;

  case 419: /* copy_opt_item: OIDS  */
#line 3400 "preproc.y"
 { 
 (yyval.str) = mm_strdup("oids");
}
#line 36865 "preproc.c"
    break;

  case 420: /* copy_opt_item: FREEZE  */
#line 3404 "preproc.y"
 { 
 (yyval.str) = mm_strdup("freeze");
}
#line 36873 "preproc.c"
    break;

  case 421: /* copy_opt_item: DELIMITER opt_as ecpg_sconst  */
#line 3408 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36881 "preproc.c"
    break;

  case 422: /* copy_opt_item: NULL_P opt_as ecpg_sconst  */
#line 3412 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36889 "preproc.c"
    break;

  case 423: /* copy_opt_item: CSV  */
#line 3416 "preproc.y"
 { 
 (yyval.str) = mm_strdup("csv");
}
#line 36897 "preproc.c"
    break;

  case 424: /* copy_opt_item: HEADER_P  */
#line 3420 "preproc.y"
 { 
 (yyval.str) = mm_strdup("header");
}
#line 36905 "preproc.c"
    break;

  case 425: /* copy_opt_item: QUOTE opt_as ecpg_sconst  */
#line 3424 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36913 "preproc.c"
    break;

  case 426: /* copy_opt_item: ESCAPE opt_as ecpg_sconst  */
#line 3428 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36921 "preproc.c"
    break;

  case 427: /* copy_opt_item: FORCE QUOTE columnList  */
#line 3432 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 36929 "preproc.c"
    break;

  case 428: /* copy_opt_item: FORCE QUOTE '*'  */
#line 3436 "preproc.y"
 { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 36937 "preproc.c"
    break;

  case 429: /* copy_opt_item: FORCE NOT NULL_P columnList  */
#line 3440 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 36945 "preproc.c"
    break;

  case 430: /* copy_opt_item: FORCE NULL_P columnList  */
#line 3444 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 36953 "preproc.c"
    break;

  case 431: /* copy_opt_item: ENCODING ecpg_sconst  */
#line 3448 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 36961 "preproc.c"
    break;

  case 432: /* opt_binary: BINARY  */
#line 3456 "preproc.y"
 { 
 (yyval.str) = mm_strdup("binary");
}
#line 36969 "preproc.c"
    break;

  case 433: /* opt_binary: %empty  */
#line 3460 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 36976 "preproc.c"
    break;

  case 434: /* opt_oids: WITH OIDS  */
#line 3467 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with oids");
}
#line 36984 "preproc.c"
    break;

  case 435: /* opt_oids: %empty  */
#line 3471 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 36991 "preproc.c"
    break;

  case 436: /* copy_delimiter: opt_using DELIMITERS ecpg_sconst  */
#line 3478 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 36999 "preproc.c"
    break;

  case 437: /* copy_delimiter: %empty  */
#line 3482 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37006 "preproc.c"
    break;

  case 438: /* opt_using: USING  */
#line 3489 "preproc.y"
 { 
 (yyval.str) = mm_strdup("using");
}
#line 37014 "preproc.c"
    break;

  case 439: /* opt_using: %empty  */
#line 3493 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37021 "preproc.c"
    break;

  case 440: /* copy_generic_opt_list: copy_generic_opt_elem  */
#line 3500 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37029 "preproc.c"
    break;

  case 441: /* copy_generic_opt_list: copy_generic_opt_list ',' copy_generic_opt_elem  */
#line 3504 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37037 "preproc.c"
    break;

  case 442: /* copy_generic_opt_elem: ColLabel copy_generic_opt_arg  */
#line 3512 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37045 "preproc.c"
    break;

  case 443: /* copy_generic_opt_arg: opt_boolean_or_string  */
#line 3520 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37053 "preproc.c"
    break;

  case 444: /* copy_generic_opt_arg: NumericOnly  */
#line 3524 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37061 "preproc.c"
    break;

  case 445: /* copy_generic_opt_arg: '*'  */
#line 3528 "preproc.y"
 { 
 (yyval.str) = mm_strdup("*");
}
#line 37069 "preproc.c"
    break;

  case 446: /* copy_generic_opt_arg: '(' copy_generic_opt_arg_list ')'  */
#line 3532 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37077 "preproc.c"
    break;

  case 447: /* copy_generic_opt_arg: %empty  */
#line 3536 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37084 "preproc.c"
    break;

  case 448: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list_item  */
#line 3543 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37092 "preproc.c"
    break;

  case 449: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list ',' copy_generic_opt_arg_list_item  */
#line 3547 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37100 "preproc.c"
    break;

  case 450: /* copy_generic_opt_arg_list_item: opt_boolean_or_string  */
#line 3555 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37108 "preproc.c"
    break;

  case 451: /* CreateStmt: CREATE OptTemp TABLE qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3563 "preproc.y"
 { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37116 "preproc.c"
    break;

  case 452: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3567 "preproc.y"
 { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37124 "preproc.c"
    break;

  case 453: /* CreateStmt: CREATE OptTemp TABLE qualified_name OF any_name OptTypedTableElementList OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3571 "preproc.y"
 { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37132 "preproc.c"
    break;

  case 454: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name OF any_name OptTypedTableElementList OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3575 "preproc.y"
 { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37140 "preproc.c"
    break;

  case 455: /* CreateStmt: CREATE OptTemp TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList ForValues OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3579 "preproc.y"
 { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37148 "preproc.c"
    break;

  case 456: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList ForValues OptPartitionSpec OptWith OnCommitOption OptTableSpace  */
#line 3583 "preproc.y"
 { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("partition of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37156 "preproc.c"
    break;

  case 457: /* OptTemp: TEMPORARY  */
#line 3591 "preproc.y"
 { 
 (yyval.str) = mm_strdup("temporary");
}
#line 37164 "preproc.c"
    break;

  case 458: /* OptTemp: TEMP  */
#line 3595 "preproc.y"
 { 
 (yyval.str) = mm_strdup("temp");
}
#line 37172 "preproc.c"
    break;

  case 459: /* OptTemp: LOCAL TEMPORARY  */
#line 3599 "preproc.y"
 { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 37180 "preproc.c"
    break;

  case 460: /* OptTemp: LOCAL TEMP  */
#line 3603 "preproc.y"
 { 
 (yyval.str) = mm_strdup("local temp");
}
#line 37188 "preproc.c"
    break;

  case 461: /* OptTemp: GLOBAL TEMPORARY  */
#line 3607 "preproc.y"
 { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 37196 "preproc.c"
    break;

  case 462: /* OptTemp: GLOBAL TEMP  */
#line 3611 "preproc.y"
 { 
 (yyval.str) = mm_strdup("global temp");
}
#line 37204 "preproc.c"
    break;

  case 463: /* OptTemp: UNLOGGED  */
#line 3615 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 37212 "preproc.c"
    break;

  case 464: /* OptTemp: %empty  */
#line 3619 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37219 "preproc.c"
    break;

  case 465: /* OptTableElementList: TableElementList  */
#line 3626 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37227 "preproc.c"
    break;

  case 466: /* OptTableElementList: %empty  */
#line 3630 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37234 "preproc.c"
    break;

  case 467: /* OptTypedTableElementList: '(' TypedTableElementList ')'  */
#line 3637 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37242 "preproc.c"
    break;

  case 468: /* OptTypedTableElementList: %empty  */
#line 3641 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37249 "preproc.c"
    break;

  case 469: /* TableElementList: TableElement  */
#line 3648 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37257 "preproc.c"
    break;

  case 470: /* TableElementList: TableElementList ',' TableElement  */
#line 3652 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37265 "preproc.c"
    break;

  case 471: /* TypedTableElementList: TypedTableElement  */
#line 3660 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37273 "preproc.c"
    break;

  case 472: /* TypedTableElementList: TypedTableElementList ',' TypedTableElement  */
#line 3664 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37281 "preproc.c"
    break;

  case 473: /* TableElement: columnDef  */
#line 3672 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37289 "preproc.c"
    break;

  case 474: /* TableElement: TableLikeClause  */
#line 3676 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37297 "preproc.c"
    break;

  case 475: /* TableElement: TableConstraint  */
#line 3680 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37305 "preproc.c"
    break;

  case 476: /* TypedTableElement: columnOptions  */
#line 3688 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37313 "preproc.c"
    break;

  case 477: /* TypedTableElement: TableConstraint  */
#line 3692 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37321 "preproc.c"
    break;

  case 478: /* columnDef: ColId Typename create_generic_options ColQualList  */
#line 3700 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37329 "preproc.c"
    break;

  case 479: /* columnOptions: ColId ColQualList  */
#line 3708 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37337 "preproc.c"
    break;

  case 480: /* columnOptions: ColId WITH OPTIONS ColQualList  */
#line 3712 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 37345 "preproc.c"
    break;

  case 481: /* ColQualList: ColQualList ColConstraint  */
#line 3720 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37353 "preproc.c"
    break;

  case 482: /* ColQualList: %empty  */
#line 3724 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37360 "preproc.c"
    break;

  case 483: /* ColConstraint: CONSTRAINT name ColConstraintElem  */
#line 3731 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37368 "preproc.c"
    break;

  case 484: /* ColConstraint: ColConstraintElem  */
#line 3735 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37376 "preproc.c"
    break;

  case 485: /* ColConstraint: ConstraintAttr  */
#line 3739 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37384 "preproc.c"
    break;

  case 486: /* ColConstraint: COLLATE any_name  */
#line 3743 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 37392 "preproc.c"
    break;

  case 487: /* ColConstraintElem: NOT NULL_P  */
#line 3751 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not null");
}
#line 37400 "preproc.c"
    break;

  case 488: /* ColConstraintElem: NULL_P  */
#line 3755 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 37408 "preproc.c"
    break;

  case 489: /* ColConstraintElem: UNIQUE opt_definition OptConsTableSpace  */
#line 3759 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37416 "preproc.c"
    break;

  case 490: /* ColConstraintElem: PRIMARY KEY opt_definition OptConsTableSpace  */
#line 3763 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37424 "preproc.c"
    break;

  case 491: /* ColConstraintElem: CHECK '(' a_expr ')' opt_no_inherit  */
#line 3767 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37432 "preproc.c"
    break;

  case 492: /* ColConstraintElem: DEFAULT b_expr  */
#line 3771 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 37440 "preproc.c"
    break;

  case 493: /* ColConstraintElem: GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 3775 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 37448 "preproc.c"
    break;

  case 494: /* ColConstraintElem: REFERENCES qualified_name opt_column_list key_match key_actions  */
#line 3779 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37456 "preproc.c"
    break;

  case 495: /* generated_when: ALWAYS  */
#line 3787 "preproc.y"
 { 
 (yyval.str) = mm_strdup("always");
}
#line 37464 "preproc.c"
    break;

  case 496: /* generated_when: BY DEFAULT  */
#line 3791 "preproc.y"
 { 
 (yyval.str) = mm_strdup("by default");
}
#line 37472 "preproc.c"
    break;

  case 497: /* ConstraintAttr: DEFERRABLE  */
#line 3799 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 37480 "preproc.c"
    break;

  case 498: /* ConstraintAttr: NOT DEFERRABLE  */
#line 3803 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 37488 "preproc.c"
    break;

  case 499: /* ConstraintAttr: INITIALLY DEFERRED  */
#line 3807 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 37496 "preproc.c"
    break;

  case 500: /* ConstraintAttr: INITIALLY IMMEDIATE  */
#line 3811 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 37504 "preproc.c"
    break;

  case 501: /* TableLikeClause: LIKE qualified_name TableLikeOptionList  */
#line 3819 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37512 "preproc.c"
    break;

  case 502: /* TableLikeOptionList: TableLikeOptionList INCLUDING TableLikeOption  */
#line 3827 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 37520 "preproc.c"
    break;

  case 503: /* TableLikeOptionList: TableLikeOptionList EXCLUDING TableLikeOption  */
#line 3831 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 37528 "preproc.c"
    break;

  case 504: /* TableLikeOptionList: %empty  */
#line 3835 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37535 "preproc.c"
    break;

  case 505: /* TableLikeOption: COMMENTS  */
#line 3842 "preproc.y"
 { 
 (yyval.str) = mm_strdup("comments");
}
#line 37543 "preproc.c"
    break;

  case 506: /* TableLikeOption: CONSTRAINTS  */
#line 3846 "preproc.y"
 { 
 (yyval.str) = mm_strdup("constraints");
}
#line 37551 "preproc.c"
    break;

  case 507: /* TableLikeOption: DEFAULTS  */
#line 3850 "preproc.y"
 { 
 (yyval.str) = mm_strdup("defaults");
}
#line 37559 "preproc.c"
    break;

  case 508: /* TableLikeOption: IDENTITY_P  */
#line 3854 "preproc.y"
 { 
 (yyval.str) = mm_strdup("identity");
}
#line 37567 "preproc.c"
    break;

  case 509: /* TableLikeOption: INDEXES  */
#line 3858 "preproc.y"
 { 
 (yyval.str) = mm_strdup("indexes");
}
#line 37575 "preproc.c"
    break;

  case 510: /* TableLikeOption: STATISTICS  */
#line 3862 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statistics");
}
#line 37583 "preproc.c"
    break;

  case 511: /* TableLikeOption: STORAGE  */
#line 3866 "preproc.y"
 { 
 (yyval.str) = mm_strdup("storage");
}
#line 37591 "preproc.c"
    break;

  case 512: /* TableLikeOption: ALL  */
#line 3870 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 37599 "preproc.c"
    break;

  case 513: /* TableConstraint: CONSTRAINT name ConstraintElem  */
#line 3878 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37607 "preproc.c"
    break;

  case 514: /* TableConstraint: ConstraintElem  */
#line 3882 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37615 "preproc.c"
    break;

  case 515: /* ConstraintElem: CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 3890 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37623 "preproc.c"
    break;

  case 516: /* ConstraintElem: UNIQUE '(' columnList ')' opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 3894 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37631 "preproc.c"
    break;

  case 517: /* ConstraintElem: UNIQUE ExistingIndex ConstraintAttributeSpec  */
#line 3898 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37639 "preproc.c"
    break;

  case 518: /* ConstraintElem: PRIMARY KEY '(' columnList ')' opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 3902 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37647 "preproc.c"
    break;

  case 519: /* ConstraintElem: PRIMARY KEY ExistingIndex ConstraintAttributeSpec  */
#line 3906 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37655 "preproc.c"
    break;

  case 520: /* ConstraintElem: EXCLUDE access_method_clause '(' ExclusionConstraintList ')' opt_definition OptConsTableSpace ExclusionWhereClause ConstraintAttributeSpec  */
#line 3910 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37663 "preproc.c"
    break;

  case 521: /* ConstraintElem: FOREIGN KEY '(' columnList ')' REFERENCES qualified_name opt_column_list key_match key_actions ConstraintAttributeSpec  */
#line 3914 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37671 "preproc.c"
    break;

  case 522: /* opt_no_inherit: NO INHERIT  */
#line 3922 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 37679 "preproc.c"
    break;

  case 523: /* opt_no_inherit: %empty  */
#line 3926 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37686 "preproc.c"
    break;

  case 524: /* opt_column_list: '(' columnList ')'  */
#line 3933 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37694 "preproc.c"
    break;

  case 525: /* opt_column_list: %empty  */
#line 3937 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37701 "preproc.c"
    break;

  case 526: /* columnList: columnElem  */
#line 3944 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37709 "preproc.c"
    break;

  case 527: /* columnList: columnList ',' columnElem  */
#line 3948 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37717 "preproc.c"
    break;

  case 528: /* columnElem: ColId  */
#line 3956 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37725 "preproc.c"
    break;

  case 529: /* key_match: MATCH FULL  */
#line 3964 "preproc.y"
 { 
 (yyval.str) = mm_strdup("match full");
}
#line 37733 "preproc.c"
    break;

  case 530: /* key_match: MATCH PARTIAL  */
#line 3968 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 37742 "preproc.c"
    break;

  case 531: /* key_match: MATCH SIMPLE  */
#line 3973 "preproc.y"
 { 
 (yyval.str) = mm_strdup("match simple");
}
#line 37750 "preproc.c"
    break;

  case 532: /* key_match: %empty  */
#line 3977 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37757 "preproc.c"
    break;

  case 533: /* ExclusionConstraintList: ExclusionConstraintElem  */
#line 3984 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37765 "preproc.c"
    break;

  case 534: /* ExclusionConstraintList: ExclusionConstraintList ',' ExclusionConstraintElem  */
#line 3988 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37773 "preproc.c"
    break;

  case 535: /* ExclusionConstraintElem: index_elem WITH any_operator  */
#line 3996 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37781 "preproc.c"
    break;

  case 536: /* ExclusionConstraintElem: index_elem WITH OPERATOR '(' any_operator ')'  */
#line 4000 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37789 "preproc.c"
    break;

  case 537: /* ExclusionWhereClause: WHERE '(' a_expr ')'  */
#line 4008 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37797 "preproc.c"
    break;

  case 538: /* ExclusionWhereClause: %empty  */
#line 4012 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37804 "preproc.c"
    break;

  case 539: /* key_actions: key_update  */
#line 4019 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37812 "preproc.c"
    break;

  case 540: /* key_actions: key_delete  */
#line 4023 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37820 "preproc.c"
    break;

  case 541: /* key_actions: key_update key_delete  */
#line 4027 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37828 "preproc.c"
    break;

  case 542: /* key_actions: key_delete key_update  */
#line 4031 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37836 "preproc.c"
    break;

  case 543: /* key_actions: %empty  */
#line 4035 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37843 "preproc.c"
    break;

  case 544: /* key_update: ON UPDATE key_action  */
#line 4042 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 37851 "preproc.c"
    break;

  case 545: /* key_delete: ON DELETE_P key_action  */
#line 4050 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 37859 "preproc.c"
    break;

  case 546: /* key_action: NO ACTION  */
#line 4058 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no action");
}
#line 37867 "preproc.c"
    break;

  case 547: /* key_action: RESTRICT  */
#line 4062 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restrict");
}
#line 37875 "preproc.c"
    break;

  case 548: /* key_action: CASCADE  */
#line 4066 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascade");
}
#line 37883 "preproc.c"
    break;

  case 549: /* key_action: SET NULL_P  */
#line 4070 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set null");
}
#line 37891 "preproc.c"
    break;

  case 550: /* key_action: SET DEFAULT  */
#line 4074 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set default");
}
#line 37899 "preproc.c"
    break;

  case 551: /* OptInherit: INHERITS '(' qualified_name_list ')'  */
#line 4082 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37907 "preproc.c"
    break;

  case 552: /* OptInherit: %empty  */
#line 4086 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37914 "preproc.c"
    break;

  case 553: /* OptPartitionSpec: PartitionSpec  */
#line 4093 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37922 "preproc.c"
    break;

  case 554: /* OptPartitionSpec: %empty  */
#line 4097 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 37929 "preproc.c"
    break;

  case 555: /* PartitionSpec: PARTITION BY part_strategy '(' part_params ')'  */
#line 4104 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37937 "preproc.c"
    break;

  case 556: /* part_strategy: ecpg_ident  */
#line 4112 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37945 "preproc.c"
    break;

  case 557: /* part_strategy: unreserved_keyword  */
#line 4116 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37953 "preproc.c"
    break;

  case 558: /* part_params: part_elem  */
#line 4124 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37961 "preproc.c"
    break;

  case 559: /* part_params: part_params ',' part_elem  */
#line 4128 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37969 "preproc.c"
    break;

  case 560: /* part_elem: ColId opt_collate opt_class  */
#line 4136 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37977 "preproc.c"
    break;

  case 561: /* part_elem: func_expr_windowless opt_collate opt_class  */
#line 4140 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37985 "preproc.c"
    break;

  case 562: /* part_elem: '(' a_expr ')' opt_collate opt_class  */
#line 4144 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37993 "preproc.c"
    break;

  case 563: /* OptWith: WITH reloptions  */
#line 4152 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 38001 "preproc.c"
    break;

  case 564: /* OptWith: WITH OIDS  */
#line 4156 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with oids");
}
#line 38009 "preproc.c"
    break;

  case 565: /* OptWith: WITHOUT OIDS  */
#line 4160 "preproc.y"
 { 
 (yyval.str) = mm_strdup("without oids");
}
#line 38017 "preproc.c"
    break;

  case 566: /* OptWith: %empty  */
#line 4164 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38024 "preproc.c"
    break;

  case 567: /* OnCommitOption: ON COMMIT DROP  */
#line 4171 "preproc.y"
 { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 38032 "preproc.c"
    break;

  case 568: /* OnCommitOption: ON COMMIT DELETE_P ROWS  */
#line 4175 "preproc.y"
 { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 38040 "preproc.c"
    break;

  case 569: /* OnCommitOption: ON COMMIT PRESERVE ROWS  */
#line 4179 "preproc.y"
 { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 38048 "preproc.c"
    break;

  case 570: /* OnCommitOption: %empty  */
#line 4183 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38055 "preproc.c"
    break;

  case 571: /* OptTableSpace: TABLESPACE name  */
#line 4190 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38063 "preproc.c"
    break;

  case 572: /* OptTableSpace: %empty  */
#line 4194 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38070 "preproc.c"
    break;

  case 573: /* OptConsTableSpace: USING INDEX TABLESPACE name  */
#line 4201 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 38078 "preproc.c"
    break;

  case 574: /* OptConsTableSpace: %empty  */
#line 4205 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38085 "preproc.c"
    break;

  case 575: /* ExistingIndex: USING INDEX index_name  */
#line 4212 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 38093 "preproc.c"
    break;

  case 576: /* CreateStatsStmt: CREATE STATISTICS any_name opt_name_list ON expr_list FROM from_list  */
#line 4220 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38101 "preproc.c"
    break;

  case 577: /* CreateStatsStmt: CREATE STATISTICS IF_P NOT EXISTS any_name opt_name_list ON expr_list FROM from_list  */
#line 4224 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 38109 "preproc.c"
    break;

  case 578: /* create_as_target: qualified_name opt_column_list OptWith OnCommitOption OptTableSpace  */
#line 4232 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38117 "preproc.c"
    break;

  case 579: /* opt_with_data: WITH DATA_P  */
#line 4240 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with data");
}
#line 38125 "preproc.c"
    break;

  case 580: /* opt_with_data: WITH NO DATA_P  */
#line 4244 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with no data");
}
#line 38133 "preproc.c"
    break;

  case 581: /* opt_with_data: %empty  */
#line 4248 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38140 "preproc.c"
    break;

  case 582: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW create_mv_target AS SelectStmt opt_with_data  */
#line 4255 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38148 "preproc.c"
    break;

  case 583: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW IF_P NOT EXISTS create_mv_target AS SelectStmt opt_with_data  */
#line 4259 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38156 "preproc.c"
    break;

  case 584: /* create_mv_target: qualified_name opt_column_list opt_reloptions OptTableSpace  */
#line 4267 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38164 "preproc.c"
    break;

  case 585: /* OptNoLog: UNLOGGED  */
#line 4275 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 38172 "preproc.c"
    break;

  case 586: /* OptNoLog: %empty  */
#line 4279 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38179 "preproc.c"
    break;

  case 587: /* RefreshMatViewStmt: REFRESH MATERIALIZED VIEW opt_concurrently qualified_name opt_with_data  */
#line 4286 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38187 "preproc.c"
    break;

  case 588: /* CreateSeqStmt: CREATE OptTemp SEQUENCE qualified_name OptSeqOptList  */
#line 4294 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38195 "preproc.c"
    break;

  case 589: /* CreateSeqStmt: CREATE OptTemp SEQUENCE IF_P NOT EXISTS qualified_name OptSeqOptList  */
#line 4298 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38203 "preproc.c"
    break;

  case 590: /* AlterSeqStmt: ALTER SEQUENCE qualified_name SeqOptList  */
#line 4306 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38211 "preproc.c"
    break;

  case 591: /* AlterSeqStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SeqOptList  */
#line 4310 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38219 "preproc.c"
    break;

  case 592: /* OptSeqOptList: SeqOptList  */
#line 4318 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38227 "preproc.c"
    break;

  case 593: /* OptSeqOptList: %empty  */
#line 4322 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38234 "preproc.c"
    break;

  case 594: /* OptParenthesizedSeqOptList: '(' SeqOptList ')'  */
#line 4329 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38242 "preproc.c"
    break;

  case 595: /* OptParenthesizedSeqOptList: %empty  */
#line 4333 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38249 "preproc.c"
    break;

  case 596: /* SeqOptList: SeqOptElem  */
#line 4340 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38257 "preproc.c"
    break;

  case 597: /* SeqOptList: SeqOptList SeqOptElem  */
#line 4344 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38265 "preproc.c"
    break;

  case 598: /* SeqOptElem: AS SimpleTypename  */
#line 4352 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38273 "preproc.c"
    break;

  case 599: /* SeqOptElem: CACHE NumericOnly  */
#line 4356 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 38281 "preproc.c"
    break;

  case 600: /* SeqOptElem: CYCLE  */
#line 4360 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cycle");
}
#line 38289 "preproc.c"
    break;

  case 601: /* SeqOptElem: NO CYCLE  */
#line 4364 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 38297 "preproc.c"
    break;

  case 602: /* SeqOptElem: INCREMENT opt_by NumericOnly  */
#line 4368 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38305 "preproc.c"
    break;

  case 603: /* SeqOptElem: MAXVALUE NumericOnly  */
#line 4372 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 38313 "preproc.c"
    break;

  case 604: /* SeqOptElem: MINVALUE NumericOnly  */
#line 4376 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 38321 "preproc.c"
    break;

  case 605: /* SeqOptElem: NO MAXVALUE  */
#line 4380 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 38329 "preproc.c"
    break;

  case 606: /* SeqOptElem: NO MINVALUE  */
#line 4384 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 38337 "preproc.c"
    break;

  case 607: /* SeqOptElem: OWNED BY any_name  */
#line 4388 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 38345 "preproc.c"
    break;

  case 608: /* SeqOptElem: SEQUENCE NAME_P any_name  */
#line 4392 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 38353 "preproc.c"
    break;

  case 609: /* SeqOptElem: START opt_with NumericOnly  */
#line 4396 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38361 "preproc.c"
    break;

  case 610: /* SeqOptElem: RESTART  */
#line 4400 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restart");
}
#line 38369 "preproc.c"
    break;

  case 611: /* SeqOptElem: RESTART opt_with NumericOnly  */
#line 4404 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38377 "preproc.c"
    break;

  case 612: /* opt_by: BY  */
#line 4412 "preproc.y"
 { 
 (yyval.str) = mm_strdup("by");
}
#line 38385 "preproc.c"
    break;

  case 613: /* opt_by: %empty  */
#line 4416 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38392 "preproc.c"
    break;

  case 614: /* NumericOnly: ecpg_fconst  */
#line 4423 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38400 "preproc.c"
    break;

  case 615: /* NumericOnly: '+' ecpg_fconst  */
#line 4427 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 38408 "preproc.c"
    break;

  case 616: /* NumericOnly: '-' ecpg_fconst  */
#line 4431 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 38416 "preproc.c"
    break;

  case 617: /* NumericOnly: SignedIconst  */
#line 4435 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38424 "preproc.c"
    break;

  case 618: /* NumericOnly_list: NumericOnly  */
#line 4443 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38432 "preproc.c"
    break;

  case 619: /* NumericOnly_list: NumericOnly_list ',' NumericOnly  */
#line 4447 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38440 "preproc.c"
    break;

  case 620: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE NonReservedWord_or_Sconst  */
#line 4455 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 38448 "preproc.c"
    break;

  case 621: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE NonReservedWord_or_Sconst HANDLER handler_name opt_inline_handler opt_validator  */
#line 4459 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38456 "preproc.c"
    break;

  case 622: /* opt_trusted: TRUSTED  */
#line 4467 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trusted");
}
#line 38464 "preproc.c"
    break;

  case 623: /* opt_trusted: %empty  */
#line 4471 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38471 "preproc.c"
    break;

  case 624: /* handler_name: name  */
#line 4478 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38479 "preproc.c"
    break;

  case 625: /* handler_name: name attrs  */
#line 4482 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38487 "preproc.c"
    break;

  case 626: /* opt_inline_handler: INLINE_P handler_name  */
#line 4490 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 38495 "preproc.c"
    break;

  case 627: /* opt_inline_handler: %empty  */
#line 4494 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38502 "preproc.c"
    break;

  case 628: /* validator_clause: VALIDATOR handler_name  */
#line 4501 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 38510 "preproc.c"
    break;

  case 629: /* validator_clause: NO VALIDATOR  */
#line 4505 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no validator");
}
#line 38518 "preproc.c"
    break;

  case 630: /* opt_validator: validator_clause  */
#line 4513 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38526 "preproc.c"
    break;

  case 631: /* opt_validator: %empty  */
#line 4517 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38533 "preproc.c"
    break;

  case 632: /* DropPLangStmt: DROP opt_procedural LANGUAGE NonReservedWord_or_Sconst opt_drop_behavior  */
#line 4524 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38541 "preproc.c"
    break;

  case 633: /* DropPLangStmt: DROP opt_procedural LANGUAGE IF_P EXISTS NonReservedWord_or_Sconst opt_drop_behavior  */
#line 4528 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38549 "preproc.c"
    break;

  case 634: /* opt_procedural: PROCEDURAL  */
#line 4536 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedural");
}
#line 38557 "preproc.c"
    break;

  case 635: /* opt_procedural: %empty  */
#line 4540 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38564 "preproc.c"
    break;

  case 636: /* CreateTableSpaceStmt: CREATE TABLESPACE name OptTableSpaceOwner LOCATION ecpg_sconst opt_reloptions  */
#line 4547 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38572 "preproc.c"
    break;

  case 637: /* OptTableSpaceOwner: OWNER RoleSpec  */
#line 4555 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 38580 "preproc.c"
    break;

  case 638: /* OptTableSpaceOwner: %empty  */
#line 4559 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38587 "preproc.c"
    break;

  case 639: /* DropTableSpaceStmt: DROP TABLESPACE name  */
#line 4566 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 38595 "preproc.c"
    break;

  case 640: /* DropTableSpaceStmt: DROP TABLESPACE IF_P EXISTS name  */
#line 4570 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 38603 "preproc.c"
    break;

  case 641: /* CreateExtensionStmt: CREATE EXTENSION name opt_with create_extension_opt_list  */
#line 4578 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38611 "preproc.c"
    break;

  case 642: /* CreateExtensionStmt: CREATE EXTENSION IF_P NOT EXISTS name opt_with create_extension_opt_list  */
#line 4582 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38619 "preproc.c"
    break;

  case 643: /* create_extension_opt_list: create_extension_opt_list create_extension_opt_item  */
#line 4590 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38627 "preproc.c"
    break;

  case 644: /* create_extension_opt_list: %empty  */
#line 4594 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38634 "preproc.c"
    break;

  case 645: /* create_extension_opt_item: SCHEMA name  */
#line 4601 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38642 "preproc.c"
    break;

  case 646: /* create_extension_opt_item: VERSION_P NonReservedWord_or_Sconst  */
#line 4605 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 38650 "preproc.c"
    break;

  case 647: /* create_extension_opt_item: FROM NonReservedWord_or_Sconst  */
#line 4609 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38658 "preproc.c"
    break;

  case 648: /* create_extension_opt_item: CASCADE  */
#line 4613 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascade");
}
#line 38666 "preproc.c"
    break;

  case 649: /* AlterExtensionStmt: ALTER EXTENSION name UPDATE alter_extension_opt_list  */
#line 4621 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 38674 "preproc.c"
    break;

  case 650: /* alter_extension_opt_list: alter_extension_opt_list alter_extension_opt_item  */
#line 4629 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38682 "preproc.c"
    break;

  case 651: /* alter_extension_opt_list: %empty  */
#line 4633 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38689 "preproc.c"
    break;

  case 652: /* alter_extension_opt_item: TO NonReservedWord_or_Sconst  */
#line 4640 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 38697 "preproc.c"
    break;

  case 653: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop ACCESS METHOD name  */
#line 4648 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("access method"),(yyvsp[0].str));
}
#line 38705 "preproc.c"
    break;

  case 654: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop AGGREGATE aggregate_with_argtypes  */
#line 4652 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 38713 "preproc.c"
    break;

  case 655: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop CAST '(' Typename AS Typename ')'  */
#line 4656 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38721 "preproc.c"
    break;

  case 656: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop COLLATION any_name  */
#line 4660 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 38729 "preproc.c"
    break;

  case 657: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop CONVERSION_P any_name  */
#line 4664 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 38737 "preproc.c"
    break;

  case 658: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop DOMAIN_P Typename  */
#line 4668 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 38745 "preproc.c"
    break;

  case 659: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop FUNCTION function_with_argtypes  */
#line 4672 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 38753 "preproc.c"
    break;

  case 660: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop opt_procedural LANGUAGE name  */
#line 4676 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 38761 "preproc.c"
    break;

  case 661: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR operator_with_argtypes  */
#line 4680 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 38769 "preproc.c"
    break;

  case 662: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR CLASS any_name USING access_method  */
#line 4684 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 38777 "preproc.c"
    break;

  case 663: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR FAMILY any_name USING access_method  */
#line 4688 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 38785 "preproc.c"
    break;

  case 664: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop SCHEMA name  */
#line 4692 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 38793 "preproc.c"
    break;

  case 665: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop EVENT TRIGGER name  */
#line 4696 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 38801 "preproc.c"
    break;

  case 666: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TABLE any_name  */
#line 4700 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 38809 "preproc.c"
    break;

  case 667: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TEXT_P SEARCH PARSER any_name  */
#line 4704 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 38817 "preproc.c"
    break;

  case 668: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TEXT_P SEARCH DICTIONARY any_name  */
#line 4708 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 38825 "preproc.c"
    break;

  case 669: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TEXT_P SEARCH TEMPLATE any_name  */
#line 4712 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 38833 "preproc.c"
    break;

  case 670: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TEXT_P SEARCH CONFIGURATION any_name  */
#line 4716 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 38841 "preproc.c"
    break;

  case 671: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop SEQUENCE any_name  */
#line 4720 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 38849 "preproc.c"
    break;

  case 672: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop VIEW any_name  */
#line 4724 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 38857 "preproc.c"
    break;

  case 673: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop MATERIALIZED VIEW any_name  */
#line 4728 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 38865 "preproc.c"
    break;

  case 674: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop FOREIGN TABLE any_name  */
#line 4732 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 38873 "preproc.c"
    break;

  case 675: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop FOREIGN DATA_P WRAPPER name  */
#line 4736 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 38881 "preproc.c"
    break;

  case 676: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop SERVER name  */
#line 4740 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 38889 "preproc.c"
    break;

  case 677: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TRANSFORM FOR Typename LANGUAGE name  */
#line 4744 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 38897 "preproc.c"
    break;

  case 678: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TYPE_P Typename  */
#line 4748 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 38905 "preproc.c"
    break;

  case 679: /* CreateFdwStmt: CREATE FOREIGN DATA_P WRAPPER name opt_fdw_options create_generic_options  */
#line 4756 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38913 "preproc.c"
    break;

  case 680: /* fdw_option: HANDLER handler_name  */
#line 4764 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 38921 "preproc.c"
    break;

  case 681: /* fdw_option: NO HANDLER  */
#line 4768 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no handler");
}
#line 38929 "preproc.c"
    break;

  case 682: /* fdw_option: VALIDATOR handler_name  */
#line 4772 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 38937 "preproc.c"
    break;

  case 683: /* fdw_option: NO VALIDATOR  */
#line 4776 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no validator");
}
#line 38945 "preproc.c"
    break;

  case 684: /* fdw_options: fdw_option  */
#line 4784 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38953 "preproc.c"
    break;

  case 685: /* fdw_options: fdw_options fdw_option  */
#line 4788 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38961 "preproc.c"
    break;

  case 686: /* opt_fdw_options: fdw_options  */
#line 4796 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38969 "preproc.c"
    break;

  case 687: /* opt_fdw_options: %empty  */
#line 4800 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 38976 "preproc.c"
    break;

  case 688: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name opt_fdw_options alter_generic_options  */
#line 4807 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38984 "preproc.c"
    break;

  case 689: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name fdw_options  */
#line 4811 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38992 "preproc.c"
    break;

  case 690: /* create_generic_options: OPTIONS '(' generic_option_list ')'  */
#line 4819 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39000 "preproc.c"
    break;

  case 691: /* create_generic_options: %empty  */
#line 4823 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39007 "preproc.c"
    break;

  case 692: /* generic_option_list: generic_option_elem  */
#line 4830 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39015 "preproc.c"
    break;

  case 693: /* generic_option_list: generic_option_list ',' generic_option_elem  */
#line 4834 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39023 "preproc.c"
    break;

  case 694: /* alter_generic_options: OPTIONS '(' alter_generic_option_list ')'  */
#line 4842 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39031 "preproc.c"
    break;

  case 695: /* alter_generic_option_list: alter_generic_option_elem  */
#line 4850 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39039 "preproc.c"
    break;

  case 696: /* alter_generic_option_list: alter_generic_option_list ',' alter_generic_option_elem  */
#line 4854 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39047 "preproc.c"
    break;

  case 697: /* alter_generic_option_elem: generic_option_elem  */
#line 4862 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39055 "preproc.c"
    break;

  case 698: /* alter_generic_option_elem: SET generic_option_elem  */
#line 4866 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 39063 "preproc.c"
    break;

  case 699: /* alter_generic_option_elem: ADD_P generic_option_elem  */
#line 4870 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 39071 "preproc.c"
    break;

  case 700: /* alter_generic_option_elem: DROP generic_option_name  */
#line 4874 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 39079 "preproc.c"
    break;

  case 701: /* generic_option_elem: generic_option_name generic_option_arg  */
#line 4882 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39087 "preproc.c"
    break;

  case 702: /* generic_option_name: ColLabel  */
#line 4890 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39095 "preproc.c"
    break;

  case 703: /* generic_option_arg: ecpg_sconst  */
#line 4898 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39103 "preproc.c"
    break;

  case 704: /* CreateForeignServerStmt: CREATE SERVER name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 4906 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39111 "preproc.c"
    break;

  case 705: /* CreateForeignServerStmt: CREATE SERVER IF_P NOT EXISTS name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 4910 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39119 "preproc.c"
    break;

  case 706: /* opt_type: TYPE_P ecpg_sconst  */
#line 4918 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 39127 "preproc.c"
    break;

  case 707: /* opt_type: %empty  */
#line 4922 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39134 "preproc.c"
    break;

  case 708: /* foreign_server_version: VERSION_P ecpg_sconst  */
#line 4929 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 39142 "preproc.c"
    break;

  case 709: /* foreign_server_version: VERSION_P NULL_P  */
#line 4933 "preproc.y"
 { 
 (yyval.str) = mm_strdup("version null");
}
#line 39150 "preproc.c"
    break;

  case 710: /* opt_foreign_server_version: foreign_server_version  */
#line 4941 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39158 "preproc.c"
    break;

  case 711: /* opt_foreign_server_version: %empty  */
#line 4945 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39165 "preproc.c"
    break;

  case 712: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version alter_generic_options  */
#line 4952 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39173 "preproc.c"
    break;

  case 713: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version  */
#line 4956 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39181 "preproc.c"
    break;

  case 714: /* AlterForeignServerStmt: ALTER SERVER name alter_generic_options  */
#line 4960 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39189 "preproc.c"
    break;

  case 715: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 4968 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39197 "preproc.c"
    break;

  case 716: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 4972 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39205 "preproc.c"
    break;

  case 717: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList ForValues SERVER name create_generic_options  */
#line 4976 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39213 "preproc.c"
    break;

  case 718: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList ForValues SERVER name create_generic_options  */
#line 4980 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39221 "preproc.c"
    break;

  case 719: /* AlterForeignTableStmt: ALTER FOREIGN TABLE relation_expr alter_table_cmds  */
#line 4988 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39229 "preproc.c"
    break;

  case 720: /* AlterForeignTableStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 4992 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39237 "preproc.c"
    break;

  case 721: /* ImportForeignSchemaStmt: IMPORT_P FOREIGN SCHEMA name import_qualification FROM SERVER name INTO name create_generic_options  */
#line 5000 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39245 "preproc.c"
    break;

  case 722: /* import_qualification_type: LIMIT TO  */
#line 5008 "preproc.y"
 { 
 (yyval.str) = mm_strdup("limit to");
}
#line 39253 "preproc.c"
    break;

  case 723: /* import_qualification_type: EXCEPT  */
#line 5012 "preproc.y"
 { 
 (yyval.str) = mm_strdup("except");
}
#line 39261 "preproc.c"
    break;

  case 724: /* import_qualification: import_qualification_type '(' relation_expr_list ')'  */
#line 5020 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39269 "preproc.c"
    break;

  case 725: /* import_qualification: %empty  */
#line 5024 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39276 "preproc.c"
    break;

  case 726: /* CreateUserMappingStmt: CREATE USER MAPPING FOR auth_ident SERVER name create_generic_options  */
#line 5031 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39284 "preproc.c"
    break;

  case 727: /* CreateUserMappingStmt: CREATE USER MAPPING IF_P NOT EXISTS FOR auth_ident SERVER name create_generic_options  */
#line 5035 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39292 "preproc.c"
    break;

  case 728: /* auth_ident: RoleSpec  */
#line 5043 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39300 "preproc.c"
    break;

  case 729: /* auth_ident: USER  */
#line 5047 "preproc.y"
 { 
 (yyval.str) = mm_strdup("user");
}
#line 39308 "preproc.c"
    break;

  case 730: /* DropUserMappingStmt: DROP USER MAPPING FOR auth_ident SERVER name  */
#line 5055 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 39316 "preproc.c"
    break;

  case 731: /* DropUserMappingStmt: DROP USER MAPPING IF_P EXISTS FOR auth_ident SERVER name  */
#line 5059 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 39324 "preproc.c"
    break;

  case 732: /* AlterUserMappingStmt: ALTER USER MAPPING FOR auth_ident SERVER name alter_generic_options  */
#line 5067 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39332 "preproc.c"
    break;

  case 733: /* CreatePolicyStmt: CREATE POLICY name ON qualified_name RowSecurityDefaultPermissive RowSecurityDefaultForCmd RowSecurityDefaultToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5075 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39340 "preproc.c"
    break;

  case 734: /* AlterPolicyStmt: ALTER POLICY name ON qualified_name RowSecurityOptionalToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5083 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39348 "preproc.c"
    break;

  case 735: /* RowSecurityOptionalExpr: USING '(' a_expr ')'  */
#line 5091 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39356 "preproc.c"
    break;

  case 736: /* RowSecurityOptionalExpr: %empty  */
#line 5095 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39363 "preproc.c"
    break;

  case 737: /* RowSecurityOptionalWithCheck: WITH CHECK '(' a_expr ')'  */
#line 5102 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39371 "preproc.c"
    break;

  case 738: /* RowSecurityOptionalWithCheck: %empty  */
#line 5106 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39378 "preproc.c"
    break;

  case 739: /* RowSecurityDefaultToRole: TO role_list  */
#line 5113 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 39386 "preproc.c"
    break;

  case 740: /* RowSecurityDefaultToRole: %empty  */
#line 5117 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39393 "preproc.c"
    break;

  case 741: /* RowSecurityOptionalToRole: TO role_list  */
#line 5124 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 39401 "preproc.c"
    break;

  case 742: /* RowSecurityOptionalToRole: %empty  */
#line 5128 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39408 "preproc.c"
    break;

  case 743: /* RowSecurityDefaultPermissive: AS ecpg_ident  */
#line 5135 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39416 "preproc.c"
    break;

  case 744: /* RowSecurityDefaultPermissive: %empty  */
#line 5139 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39423 "preproc.c"
    break;

  case 745: /* RowSecurityDefaultForCmd: FOR row_security_cmd  */
#line 5146 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 39431 "preproc.c"
    break;

  case 746: /* RowSecurityDefaultForCmd: %empty  */
#line 5150 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39438 "preproc.c"
    break;

  case 747: /* row_security_cmd: ALL  */
#line 5157 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 39446 "preproc.c"
    break;

  case 748: /* row_security_cmd: SELECT  */
#line 5161 "preproc.y"
 { 
 (yyval.str) = mm_strdup("select");
}
#line 39454 "preproc.c"
    break;

  case 749: /* row_security_cmd: INSERT  */
#line 5165 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insert");
}
#line 39462 "preproc.c"
    break;

  case 750: /* row_security_cmd: UPDATE  */
#line 5169 "preproc.y"
 { 
 (yyval.str) = mm_strdup("update");
}
#line 39470 "preproc.c"
    break;

  case 751: /* row_security_cmd: DELETE_P  */
#line 5173 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delete");
}
#line 39478 "preproc.c"
    break;

  case 752: /* CreateAmStmt: CREATE ACCESS METHOD name TYPE_P INDEX HANDLER handler_name  */
#line 5181 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 39486 "preproc.c"
    break;

  case 753: /* CreateTrigStmt: CREATE TRIGGER name TriggerActionTime TriggerEvents ON qualified_name TriggerReferencing TriggerForSpec TriggerWhen EXECUTE PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5189 "preproc.y"
 { 
 (yyval.str) = cat_str(14,mm_strdup("create trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39494 "preproc.c"
    break;

  case 754: /* CreateTrigStmt: CREATE CONSTRAINT TRIGGER name AFTER TriggerEvents ON qualified_name OptConstrFromTable ConstraintAttributeSpec FOR EACH ROW TriggerWhen EXECUTE PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5193 "preproc.y"
 { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39502 "preproc.c"
    break;

  case 755: /* TriggerActionTime: BEFORE  */
#line 5201 "preproc.y"
 { 
 (yyval.str) = mm_strdup("before");
}
#line 39510 "preproc.c"
    break;

  case 756: /* TriggerActionTime: AFTER  */
#line 5205 "preproc.y"
 { 
 (yyval.str) = mm_strdup("after");
}
#line 39518 "preproc.c"
    break;

  case 757: /* TriggerActionTime: INSTEAD OF  */
#line 5209 "preproc.y"
 { 
 (yyval.str) = mm_strdup("instead of");
}
#line 39526 "preproc.c"
    break;

  case 758: /* TriggerEvents: TriggerOneEvent  */
#line 5217 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39534 "preproc.c"
    break;

  case 759: /* TriggerEvents: TriggerEvents OR TriggerOneEvent  */
#line 5221 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 39542 "preproc.c"
    break;

  case 760: /* TriggerOneEvent: INSERT  */
#line 5229 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insert");
}
#line 39550 "preproc.c"
    break;

  case 761: /* TriggerOneEvent: DELETE_P  */
#line 5233 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delete");
}
#line 39558 "preproc.c"
    break;

  case 762: /* TriggerOneEvent: UPDATE  */
#line 5237 "preproc.y"
 { 
 (yyval.str) = mm_strdup("update");
}
#line 39566 "preproc.c"
    break;

  case 763: /* TriggerOneEvent: UPDATE OF columnList  */
#line 5241 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 39574 "preproc.c"
    break;

  case 764: /* TriggerOneEvent: TRUNCATE  */
#line 5245 "preproc.y"
 { 
 (yyval.str) = mm_strdup("truncate");
}
#line 39582 "preproc.c"
    break;

  case 765: /* TriggerReferencing: REFERENCING TriggerTransitions  */
#line 5253 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 39590 "preproc.c"
    break;

  case 766: /* TriggerReferencing: %empty  */
#line 5257 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39597 "preproc.c"
    break;

  case 767: /* TriggerTransitions: TriggerTransition  */
#line 5264 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39605 "preproc.c"
    break;

  case 768: /* TriggerTransitions: TriggerTransitions TriggerTransition  */
#line 5268 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39613 "preproc.c"
    break;

  case 769: /* TriggerTransition: TransitionOldOrNew TransitionRowOrTable opt_as TransitionRelName  */
#line 5276 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39621 "preproc.c"
    break;

  case 770: /* TransitionOldOrNew: NEW  */
#line 5284 "preproc.y"
 { 
 (yyval.str) = mm_strdup("new");
}
#line 39629 "preproc.c"
    break;

  case 771: /* TransitionOldOrNew: OLD  */
#line 5288 "preproc.y"
 { 
 (yyval.str) = mm_strdup("old");
}
#line 39637 "preproc.c"
    break;

  case 772: /* TransitionRowOrTable: TABLE  */
#line 5296 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 39645 "preproc.c"
    break;

  case 773: /* TransitionRowOrTable: ROW  */
#line 5300 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row");
}
#line 39653 "preproc.c"
    break;

  case 774: /* TransitionRelName: ColId  */
#line 5308 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39661 "preproc.c"
    break;

  case 775: /* TriggerForSpec: FOR TriggerForOptEach TriggerForType  */
#line 5316 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39669 "preproc.c"
    break;

  case 776: /* TriggerForSpec: %empty  */
#line 5320 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39676 "preproc.c"
    break;

  case 777: /* TriggerForOptEach: EACH  */
#line 5327 "preproc.y"
 { 
 (yyval.str) = mm_strdup("each");
}
#line 39684 "preproc.c"
    break;

  case 778: /* TriggerForOptEach: %empty  */
#line 5331 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39691 "preproc.c"
    break;

  case 779: /* TriggerForType: ROW  */
#line 5338 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row");
}
#line 39699 "preproc.c"
    break;

  case 780: /* TriggerForType: STATEMENT  */
#line 5342 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statement");
}
#line 39707 "preproc.c"
    break;

  case 781: /* TriggerWhen: WHEN '(' a_expr ')'  */
#line 5350 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39715 "preproc.c"
    break;

  case 782: /* TriggerWhen: %empty  */
#line 5354 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39722 "preproc.c"
    break;

  case 783: /* TriggerFuncArgs: TriggerFuncArg  */
#line 5361 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39730 "preproc.c"
    break;

  case 784: /* TriggerFuncArgs: TriggerFuncArgs ',' TriggerFuncArg  */
#line 5365 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39738 "preproc.c"
    break;

  case 785: /* TriggerFuncArgs: %empty  */
#line 5369 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39745 "preproc.c"
    break;

  case 786: /* TriggerFuncArg: Iconst  */
#line 5376 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39753 "preproc.c"
    break;

  case 787: /* TriggerFuncArg: ecpg_fconst  */
#line 5380 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39761 "preproc.c"
    break;

  case 788: /* TriggerFuncArg: ecpg_sconst  */
#line 5384 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39769 "preproc.c"
    break;

  case 789: /* TriggerFuncArg: ColLabel  */
#line 5388 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39777 "preproc.c"
    break;

  case 790: /* OptConstrFromTable: FROM qualified_name  */
#line 5396 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 39785 "preproc.c"
    break;

  case 791: /* OptConstrFromTable: %empty  */
#line 5400 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39792 "preproc.c"
    break;

  case 792: /* ConstraintAttributeSpec: %empty  */
#line 5407 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 39799 "preproc.c"
    break;

  case 793: /* ConstraintAttributeSpec: ConstraintAttributeSpec ConstraintAttributeElem  */
#line 5410 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39807 "preproc.c"
    break;

  case 794: /* ConstraintAttributeElem: NOT DEFERRABLE  */
#line 5418 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 39815 "preproc.c"
    break;

  case 795: /* ConstraintAttributeElem: DEFERRABLE  */
#line 5422 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 39823 "preproc.c"
    break;

  case 796: /* ConstraintAttributeElem: INITIALLY IMMEDIATE  */
#line 5426 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 39831 "preproc.c"
    break;

  case 797: /* ConstraintAttributeElem: INITIALLY DEFERRED  */
#line 5430 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 39839 "preproc.c"
    break;

  case 798: /* ConstraintAttributeElem: NOT VALID  */
#line 5434 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not valid");
}
#line 39847 "preproc.c"
    break;

  case 799: /* ConstraintAttributeElem: NO INHERIT  */
#line 5438 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 39855 "preproc.c"
    break;

  case 800: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel EXECUTE PROCEDURE func_name '(' ')'  */
#line 5446 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 39863 "preproc.c"
    break;

  case 801: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel WHEN event_trigger_when_list EXECUTE PROCEDURE func_name '(' ')'  */
#line 5450 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 39871 "preproc.c"
    break;

  case 802: /* event_trigger_when_list: event_trigger_when_item  */
#line 5458 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39879 "preproc.c"
    break;

  case 803: /* event_trigger_when_list: event_trigger_when_list AND event_trigger_when_item  */
#line 5462 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 39887 "preproc.c"
    break;

  case 804: /* event_trigger_when_item: ColId IN_P '(' event_trigger_value_list ')'  */
#line 5470 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39895 "preproc.c"
    break;

  case 805: /* event_trigger_value_list: SCONST  */
#line 5478 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sconst");
}
#line 39903 "preproc.c"
    break;

  case 806: /* event_trigger_value_list: event_trigger_value_list ',' SCONST  */
#line 5482 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 39911 "preproc.c"
    break;

  case 807: /* AlterEventTrigStmt: ALTER EVENT TRIGGER name enable_trigger  */
#line 5490 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39919 "preproc.c"
    break;

  case 808: /* enable_trigger: ENABLE_P  */
#line 5498 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable");
}
#line 39927 "preproc.c"
    break;

  case 809: /* enable_trigger: ENABLE_P REPLICA  */
#line 5502 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 39935 "preproc.c"
    break;

  case 810: /* enable_trigger: ENABLE_P ALWAYS  */
#line 5506 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable always");
}
#line 39943 "preproc.c"
    break;

  case 811: /* enable_trigger: DISABLE_P  */
#line 5510 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable");
}
#line 39951 "preproc.c"
    break;

  case 812: /* CreateAssertStmt: CREATE ASSERTION name CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 5518 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39960 "preproc.c"
    break;

  case 813: /* DropAssertStmt: DROP ASSERTION name opt_drop_behavior  */
#line 5527 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39969 "preproc.c"
    break;

  case 814: /* DefineStmt: CREATE AGGREGATE func_name aggr_args definition  */
#line 5536 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39977 "preproc.c"
    break;

  case 815: /* DefineStmt: CREATE AGGREGATE func_name old_aggr_definition  */
#line 5540 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39985 "preproc.c"
    break;

  case 816: /* DefineStmt: CREATE OPERATOR any_operator definition  */
#line 5544 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39993 "preproc.c"
    break;

  case 817: /* DefineStmt: CREATE TYPE_P any_name definition  */
#line 5548 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40001 "preproc.c"
    break;

  case 818: /* DefineStmt: CREATE TYPE_P any_name  */
#line 5552 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 40009 "preproc.c"
    break;

  case 819: /* DefineStmt: CREATE TYPE_P any_name AS '(' OptTableFuncElementList ')'  */
#line 5556 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40017 "preproc.c"
    break;

  case 820: /* DefineStmt: CREATE TYPE_P any_name AS ENUM_P '(' opt_enum_val_list ')'  */
#line 5560 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40025 "preproc.c"
    break;

  case 821: /* DefineStmt: CREATE TYPE_P any_name AS RANGE definition  */
#line 5564 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 40033 "preproc.c"
    break;

  case 822: /* DefineStmt: CREATE TEXT_P SEARCH PARSER any_name definition  */
#line 5568 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40041 "preproc.c"
    break;

  case 823: /* DefineStmt: CREATE TEXT_P SEARCH DICTIONARY any_name definition  */
#line 5572 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40049 "preproc.c"
    break;

  case 824: /* DefineStmt: CREATE TEXT_P SEARCH TEMPLATE any_name definition  */
#line 5576 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40057 "preproc.c"
    break;

  case 825: /* DefineStmt: CREATE TEXT_P SEARCH CONFIGURATION any_name definition  */
#line 5580 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40065 "preproc.c"
    break;

  case 826: /* DefineStmt: CREATE COLLATION any_name definition  */
#line 5584 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40073 "preproc.c"
    break;

  case 827: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name definition  */
#line 5588 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40081 "preproc.c"
    break;

  case 828: /* DefineStmt: CREATE COLLATION any_name FROM any_name  */
#line 5592 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 40089 "preproc.c"
    break;

  case 829: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name FROM any_name  */
#line 5596 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 40097 "preproc.c"
    break;

  case 830: /* definition: '(' def_list ')'  */
#line 5604 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40105 "preproc.c"
    break;

  case 831: /* def_list: def_elem  */
#line 5612 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40113 "preproc.c"
    break;

  case 832: /* def_list: def_list ',' def_elem  */
#line 5616 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40121 "preproc.c"
    break;

  case 833: /* def_elem: ColLabel '=' def_arg  */
#line 5624 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40129 "preproc.c"
    break;

  case 834: /* def_elem: ColLabel  */
#line 5628 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40137 "preproc.c"
    break;

  case 835: /* def_arg: func_type  */
#line 5636 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40145 "preproc.c"
    break;

  case 836: /* def_arg: reserved_keyword  */
#line 5640 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40153 "preproc.c"
    break;

  case 837: /* def_arg: qual_all_Op  */
#line 5644 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40161 "preproc.c"
    break;

  case 838: /* def_arg: NumericOnly  */
#line 5648 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40169 "preproc.c"
    break;

  case 839: /* def_arg: ecpg_sconst  */
#line 5652 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40177 "preproc.c"
    break;

  case 840: /* def_arg: NONE  */
#line 5656 "preproc.y"
 { 
 (yyval.str) = mm_strdup("none");
}
#line 40185 "preproc.c"
    break;

  case 841: /* old_aggr_definition: '(' old_aggr_list ')'  */
#line 5664 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40193 "preproc.c"
    break;

  case 842: /* old_aggr_list: old_aggr_elem  */
#line 5672 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40201 "preproc.c"
    break;

  case 843: /* old_aggr_list: old_aggr_list ',' old_aggr_elem  */
#line 5676 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40209 "preproc.c"
    break;

  case 844: /* old_aggr_elem: ecpg_ident '=' def_arg  */
#line 5684 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40217 "preproc.c"
    break;

  case 845: /* opt_enum_val_list: enum_val_list  */
#line 5692 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40225 "preproc.c"
    break;

  case 846: /* opt_enum_val_list: %empty  */
#line 5696 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40232 "preproc.c"
    break;

  case 847: /* enum_val_list: ecpg_sconst  */
#line 5703 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40240 "preproc.c"
    break;

  case 848: /* enum_val_list: enum_val_list ',' ecpg_sconst  */
#line 5707 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40248 "preproc.c"
    break;

  case 849: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists ecpg_sconst  */
#line 5715 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40256 "preproc.c"
    break;

  case 850: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists ecpg_sconst BEFORE ecpg_sconst  */
#line 5719 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 40264 "preproc.c"
    break;

  case 851: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists ecpg_sconst AFTER ecpg_sconst  */
#line 5723 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 40272 "preproc.c"
    break;

  case 852: /* AlterEnumStmt: ALTER TYPE_P any_name RENAME VALUE_P ecpg_sconst TO ecpg_sconst  */
#line 5727 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40280 "preproc.c"
    break;

  case 853: /* opt_if_not_exists: IF_P NOT EXISTS  */
#line 5735 "preproc.y"
 { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 40288 "preproc.c"
    break;

  case 854: /* opt_if_not_exists: %empty  */
#line 5739 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40295 "preproc.c"
    break;

  case 855: /* CreateOpClassStmt: CREATE OPERATOR CLASS any_name opt_default FOR TYPE_P Typename USING access_method opt_opfamily AS opclass_item_list  */
#line 5746 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 40303 "preproc.c"
    break;

  case 856: /* opclass_item_list: opclass_item  */
#line 5754 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40311 "preproc.c"
    break;

  case 857: /* opclass_item_list: opclass_item_list ',' opclass_item  */
#line 5758 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40319 "preproc.c"
    break;

  case 858: /* opclass_item: OPERATOR Iconst any_operator opclass_purpose opt_recheck  */
#line 5766 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40327 "preproc.c"
    break;

  case 859: /* opclass_item: OPERATOR Iconst operator_with_argtypes opclass_purpose opt_recheck  */
#line 5770 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40335 "preproc.c"
    break;

  case 860: /* opclass_item: FUNCTION Iconst function_with_argtypes  */
#line 5774 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40343 "preproc.c"
    break;

  case 861: /* opclass_item: FUNCTION Iconst '(' type_list ')' function_with_argtypes  */
#line 5778 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40351 "preproc.c"
    break;

  case 862: /* opclass_item: STORAGE Typename  */
#line 5782 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 40359 "preproc.c"
    break;

  case 863: /* opt_default: DEFAULT  */
#line 5790 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 40367 "preproc.c"
    break;

  case 864: /* opt_default: %empty  */
#line 5794 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40374 "preproc.c"
    break;

  case 865: /* opt_opfamily: FAMILY any_name  */
#line 5801 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 40382 "preproc.c"
    break;

  case 866: /* opt_opfamily: %empty  */
#line 5805 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40389 "preproc.c"
    break;

  case 867: /* opclass_purpose: FOR SEARCH  */
#line 5812 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for search");
}
#line 40397 "preproc.c"
    break;

  case 868: /* opclass_purpose: FOR ORDER BY any_name  */
#line 5816 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 40405 "preproc.c"
    break;

  case 869: /* opclass_purpose: %empty  */
#line 5820 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40412 "preproc.c"
    break;

  case 870: /* opt_recheck: RECHECK  */
#line 5827 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 40421 "preproc.c"
    break;

  case 871: /* opt_recheck: %empty  */
#line 5832 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40428 "preproc.c"
    break;

  case 872: /* CreateOpFamilyStmt: CREATE OPERATOR FAMILY any_name USING access_method  */
#line 5839 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 40436 "preproc.c"
    break;

  case 873: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING access_method ADD_P opclass_item_list  */
#line 5847 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 40444 "preproc.c"
    break;

  case 874: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING access_method DROP opclass_drop_list  */
#line 5851 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 40452 "preproc.c"
    break;

  case 875: /* opclass_drop_list: opclass_drop  */
#line 5859 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40460 "preproc.c"
    break;

  case 876: /* opclass_drop_list: opclass_drop_list ',' opclass_drop  */
#line 5863 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40468 "preproc.c"
    break;

  case 877: /* opclass_drop: OPERATOR Iconst '(' type_list ')'  */
#line 5871 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40476 "preproc.c"
    break;

  case 878: /* opclass_drop: FUNCTION Iconst '(' type_list ')'  */
#line 5875 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40484 "preproc.c"
    break;

  case 879: /* DropOpClassStmt: DROP OPERATOR CLASS any_name USING access_method opt_drop_behavior  */
#line 5883 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40492 "preproc.c"
    break;

  case 880: /* DropOpClassStmt: DROP OPERATOR CLASS IF_P EXISTS any_name USING access_method opt_drop_behavior  */
#line 5887 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40500 "preproc.c"
    break;

  case 881: /* DropOpFamilyStmt: DROP OPERATOR FAMILY any_name USING access_method opt_drop_behavior  */
#line 5895 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40508 "preproc.c"
    break;

  case 882: /* DropOpFamilyStmt: DROP OPERATOR FAMILY IF_P EXISTS any_name USING access_method opt_drop_behavior  */
#line 5899 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40516 "preproc.c"
    break;

  case 883: /* DropOwnedStmt: DROP OWNED BY role_list opt_drop_behavior  */
#line 5907 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40524 "preproc.c"
    break;

  case 884: /* ReassignOwnedStmt: REASSIGN OWNED BY role_list TO RoleSpec  */
#line 5915 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40532 "preproc.c"
    break;

  case 885: /* DropStmt: DROP drop_type_any_name IF_P EXISTS any_name_list opt_drop_behavior  */
#line 5923 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40540 "preproc.c"
    break;

  case 886: /* DropStmt: DROP drop_type_any_name any_name_list opt_drop_behavior  */
#line 5927 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40548 "preproc.c"
    break;

  case 887: /* DropStmt: DROP drop_type_name IF_P EXISTS name_list opt_drop_behavior  */
#line 5931 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40556 "preproc.c"
    break;

  case 888: /* DropStmt: DROP drop_type_name name_list opt_drop_behavior  */
#line 5935 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40564 "preproc.c"
    break;

  case 889: /* DropStmt: DROP drop_type_name_on_any_name name ON any_name opt_drop_behavior  */
#line 5939 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40572 "preproc.c"
    break;

  case 890: /* DropStmt: DROP drop_type_name_on_any_name IF_P EXISTS name ON any_name opt_drop_behavior  */
#line 5943 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40580 "preproc.c"
    break;

  case 891: /* DropStmt: DROP TYPE_P type_name_list opt_drop_behavior  */
#line 5947 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40588 "preproc.c"
    break;

  case 892: /* DropStmt: DROP TYPE_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 5951 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40596 "preproc.c"
    break;

  case 893: /* DropStmt: DROP DOMAIN_P type_name_list opt_drop_behavior  */
#line 5955 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40604 "preproc.c"
    break;

  case 894: /* DropStmt: DROP DOMAIN_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 5959 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40612 "preproc.c"
    break;

  case 895: /* DropStmt: DROP INDEX CONCURRENTLY any_name_list opt_drop_behavior  */
#line 5963 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40620 "preproc.c"
    break;

  case 896: /* DropStmt: DROP INDEX CONCURRENTLY IF_P EXISTS any_name_list opt_drop_behavior  */
#line 5967 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40628 "preproc.c"
    break;

  case 897: /* drop_type_any_name: TABLE  */
#line 5975 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 40636 "preproc.c"
    break;

  case 898: /* drop_type_any_name: SEQUENCE  */
#line 5979 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequence");
}
#line 40644 "preproc.c"
    break;

  case 899: /* drop_type_any_name: VIEW  */
#line 5983 "preproc.y"
 { 
 (yyval.str) = mm_strdup("view");
}
#line 40652 "preproc.c"
    break;

  case 900: /* drop_type_any_name: MATERIALIZED VIEW  */
#line 5987 "preproc.y"
 { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 40660 "preproc.c"
    break;

  case 901: /* drop_type_any_name: INDEX  */
#line 5991 "preproc.y"
 { 
 (yyval.str) = mm_strdup("index");
}
#line 40668 "preproc.c"
    break;

  case 902: /* drop_type_any_name: FOREIGN TABLE  */
#line 5995 "preproc.y"
 { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 40676 "preproc.c"
    break;

  case 903: /* drop_type_any_name: COLLATION  */
#line 5999 "preproc.y"
 { 
 (yyval.str) = mm_strdup("collation");
}
#line 40684 "preproc.c"
    break;

  case 904: /* drop_type_any_name: CONVERSION_P  */
#line 6003 "preproc.y"
 { 
 (yyval.str) = mm_strdup("conversion");
}
#line 40692 "preproc.c"
    break;

  case 905: /* drop_type_any_name: STATISTICS  */
#line 6007 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statistics");
}
#line 40700 "preproc.c"
    break;

  case 906: /* drop_type_any_name: TEXT_P SEARCH PARSER  */
#line 6011 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 40708 "preproc.c"
    break;

  case 907: /* drop_type_any_name: TEXT_P SEARCH DICTIONARY  */
#line 6015 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 40716 "preproc.c"
    break;

  case 908: /* drop_type_any_name: TEXT_P SEARCH TEMPLATE  */
#line 6019 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search template");
}
#line 40724 "preproc.c"
    break;

  case 909: /* drop_type_any_name: TEXT_P SEARCH CONFIGURATION  */
#line 6023 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 40732 "preproc.c"
    break;

  case 910: /* drop_type_name: ACCESS METHOD  */
#line 6031 "preproc.y"
 { 
 (yyval.str) = mm_strdup("access method");
}
#line 40740 "preproc.c"
    break;

  case 911: /* drop_type_name: EVENT TRIGGER  */
#line 6035 "preproc.y"
 { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 40748 "preproc.c"
    break;

  case 912: /* drop_type_name: EXTENSION  */
#line 6039 "preproc.y"
 { 
 (yyval.str) = mm_strdup("extension");
}
#line 40756 "preproc.c"
    break;

  case 913: /* drop_type_name: FOREIGN DATA_P WRAPPER  */
#line 6043 "preproc.y"
 { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 40764 "preproc.c"
    break;

  case 914: /* drop_type_name: PUBLICATION  */
#line 6047 "preproc.y"
 { 
 (yyval.str) = mm_strdup("publication");
}
#line 40772 "preproc.c"
    break;

  case 915: /* drop_type_name: SCHEMA  */
#line 6051 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schema");
}
#line 40780 "preproc.c"
    break;

  case 916: /* drop_type_name: SERVER  */
#line 6055 "preproc.y"
 { 
 (yyval.str) = mm_strdup("server");
}
#line 40788 "preproc.c"
    break;

  case 917: /* drop_type_name_on_any_name: POLICY  */
#line 6063 "preproc.y"
 { 
 (yyval.str) = mm_strdup("policy");
}
#line 40796 "preproc.c"
    break;

  case 918: /* drop_type_name_on_any_name: RULE  */
#line 6067 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rule");
}
#line 40804 "preproc.c"
    break;

  case 919: /* drop_type_name_on_any_name: TRIGGER  */
#line 6071 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trigger");
}
#line 40812 "preproc.c"
    break;

  case 920: /* any_name_list: any_name  */
#line 6079 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40820 "preproc.c"
    break;

  case 921: /* any_name_list: any_name_list ',' any_name  */
#line 6083 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40828 "preproc.c"
    break;

  case 922: /* any_name: ColId  */
#line 6091 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40836 "preproc.c"
    break;

  case 923: /* any_name: ColId attrs  */
#line 6095 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40844 "preproc.c"
    break;

  case 924: /* attrs: '.' attr_name  */
#line 6103 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 40852 "preproc.c"
    break;

  case 925: /* attrs: attrs '.' attr_name  */
#line 6107 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 40860 "preproc.c"
    break;

  case 926: /* type_name_list: Typename  */
#line 6115 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40868 "preproc.c"
    break;

  case 927: /* type_name_list: type_name_list ',' Typename  */
#line 6119 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40876 "preproc.c"
    break;

  case 928: /* TruncateStmt: TRUNCATE opt_table relation_expr_list opt_restart_seqs opt_drop_behavior  */
#line 6127 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40884 "preproc.c"
    break;

  case 929: /* opt_restart_seqs: CONTINUE_P IDENTITY_P  */
#line 6135 "preproc.y"
 { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 40892 "preproc.c"
    break;

  case 930: /* opt_restart_seqs: RESTART IDENTITY_P  */
#line 6139 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 40900 "preproc.c"
    break;

  case 931: /* opt_restart_seqs: %empty  */
#line 6143 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 40907 "preproc.c"
    break;

  case 932: /* CommentStmt: COMMENT ON comment_type_any_name any_name IS comment_text  */
#line 6150 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40915 "preproc.c"
    break;

  case 933: /* CommentStmt: COMMENT ON comment_type_name name IS comment_text  */
#line 6154 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40923 "preproc.c"
    break;

  case 934: /* CommentStmt: COMMENT ON TYPE_P Typename IS comment_text  */
#line 6158 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40931 "preproc.c"
    break;

  case 935: /* CommentStmt: COMMENT ON DOMAIN_P Typename IS comment_text  */
#line 6162 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40939 "preproc.c"
    break;

  case 936: /* CommentStmt: COMMENT ON AGGREGATE aggregate_with_argtypes IS comment_text  */
#line 6166 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40947 "preproc.c"
    break;

  case 937: /* CommentStmt: COMMENT ON FUNCTION function_with_argtypes IS comment_text  */
#line 6170 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40955 "preproc.c"
    break;

  case 938: /* CommentStmt: COMMENT ON OPERATOR operator_with_argtypes IS comment_text  */
#line 6174 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40963 "preproc.c"
    break;

  case 939: /* CommentStmt: COMMENT ON CONSTRAINT name ON any_name IS comment_text  */
#line 6178 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40971 "preproc.c"
    break;

  case 940: /* CommentStmt: COMMENT ON CONSTRAINT name ON DOMAIN_P any_name IS comment_text  */
#line 6182 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40979 "preproc.c"
    break;

  case 941: /* CommentStmt: COMMENT ON POLICY name ON any_name IS comment_text  */
#line 6186 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40987 "preproc.c"
    break;

  case 942: /* CommentStmt: COMMENT ON RULE name ON any_name IS comment_text  */
#line 6190 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 40995 "preproc.c"
    break;

  case 943: /* CommentStmt: COMMENT ON TRANSFORM FOR Typename LANGUAGE name IS comment_text  */
#line 6194 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41003 "preproc.c"
    break;

  case 944: /* CommentStmt: COMMENT ON TRIGGER name ON any_name IS comment_text  */
#line 6198 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41011 "preproc.c"
    break;

  case 945: /* CommentStmt: COMMENT ON OPERATOR CLASS any_name USING access_method IS comment_text  */
#line 6202 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41019 "preproc.c"
    break;

  case 946: /* CommentStmt: COMMENT ON OPERATOR FAMILY any_name USING access_method IS comment_text  */
#line 6206 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41027 "preproc.c"
    break;

  case 947: /* CommentStmt: COMMENT ON LARGE_P OBJECT_P NumericOnly IS comment_text  */
#line 6210 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41035 "preproc.c"
    break;

  case 948: /* CommentStmt: COMMENT ON CAST '(' Typename AS Typename ')' IS comment_text  */
#line 6214 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 41043 "preproc.c"
    break;

  case 949: /* comment_type_any_name: COLUMN  */
#line 6222 "preproc.y"
 { 
 (yyval.str) = mm_strdup("column");
}
#line 41051 "preproc.c"
    break;

  case 950: /* comment_type_any_name: INDEX  */
#line 6226 "preproc.y"
 { 
 (yyval.str) = mm_strdup("index");
}
#line 41059 "preproc.c"
    break;

  case 951: /* comment_type_any_name: SEQUENCE  */
#line 6230 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequence");
}
#line 41067 "preproc.c"
    break;

  case 952: /* comment_type_any_name: STATISTICS  */
#line 6234 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statistics");
}
#line 41075 "preproc.c"
    break;

  case 953: /* comment_type_any_name: TABLE  */
#line 6238 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 41083 "preproc.c"
    break;

  case 954: /* comment_type_any_name: VIEW  */
#line 6242 "preproc.y"
 { 
 (yyval.str) = mm_strdup("view");
}
#line 41091 "preproc.c"
    break;

  case 955: /* comment_type_any_name: MATERIALIZED VIEW  */
#line 6246 "preproc.y"
 { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 41099 "preproc.c"
    break;

  case 956: /* comment_type_any_name: COLLATION  */
#line 6250 "preproc.y"
 { 
 (yyval.str) = mm_strdup("collation");
}
#line 41107 "preproc.c"
    break;

  case 957: /* comment_type_any_name: CONVERSION_P  */
#line 6254 "preproc.y"
 { 
 (yyval.str) = mm_strdup("conversion");
}
#line 41115 "preproc.c"
    break;

  case 958: /* comment_type_any_name: FOREIGN TABLE  */
#line 6258 "preproc.y"
 { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 41123 "preproc.c"
    break;

  case 959: /* comment_type_any_name: TEXT_P SEARCH CONFIGURATION  */
#line 6262 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 41131 "preproc.c"
    break;

  case 960: /* comment_type_any_name: TEXT_P SEARCH DICTIONARY  */
#line 6266 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 41139 "preproc.c"
    break;

  case 961: /* comment_type_any_name: TEXT_P SEARCH PARSER  */
#line 6270 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 41147 "preproc.c"
    break;

  case 962: /* comment_type_any_name: TEXT_P SEARCH TEMPLATE  */
#line 6274 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text search template");
}
#line 41155 "preproc.c"
    break;

  case 963: /* comment_type_name: ACCESS METHOD  */
#line 6282 "preproc.y"
 { 
 (yyval.str) = mm_strdup("access method");
}
#line 41163 "preproc.c"
    break;

  case 964: /* comment_type_name: DATABASE  */
#line 6286 "preproc.y"
 { 
 (yyval.str) = mm_strdup("database");
}
#line 41171 "preproc.c"
    break;

  case 965: /* comment_type_name: EVENT TRIGGER  */
#line 6290 "preproc.y"
 { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 41179 "preproc.c"
    break;

  case 966: /* comment_type_name: EXTENSION  */
#line 6294 "preproc.y"
 { 
 (yyval.str) = mm_strdup("extension");
}
#line 41187 "preproc.c"
    break;

  case 967: /* comment_type_name: FOREIGN DATA_P WRAPPER  */
#line 6298 "preproc.y"
 { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 41195 "preproc.c"
    break;

  case 968: /* comment_type_name: opt_procedural LANGUAGE  */
#line 6302 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 41203 "preproc.c"
    break;

  case 969: /* comment_type_name: PUBLICATION  */
#line 6306 "preproc.y"
 { 
 (yyval.str) = mm_strdup("publication");
}
#line 41211 "preproc.c"
    break;

  case 970: /* comment_type_name: ROLE  */
#line 6310 "preproc.y"
 { 
 (yyval.str) = mm_strdup("role");
}
#line 41219 "preproc.c"
    break;

  case 971: /* comment_type_name: SCHEMA  */
#line 6314 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schema");
}
#line 41227 "preproc.c"
    break;

  case 972: /* comment_type_name: SERVER  */
#line 6318 "preproc.y"
 { 
 (yyval.str) = mm_strdup("server");
}
#line 41235 "preproc.c"
    break;

  case 973: /* comment_type_name: SUBSCRIPTION  */
#line 6322 "preproc.y"
 { 
 (yyval.str) = mm_strdup("subscription");
}
#line 41243 "preproc.c"
    break;

  case 974: /* comment_type_name: TABLESPACE  */
#line 6326 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41251 "preproc.c"
    break;

  case 975: /* comment_text: ecpg_sconst  */
#line 6334 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41259 "preproc.c"
    break;

  case 976: /* comment_text: NULL_P  */
#line 6338 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 41267 "preproc.c"
    break;

  case 977: /* SecLabelStmt: SECURITY LABEL opt_provider ON security_label_type_any_name any_name IS security_label  */
#line 6346 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41275 "preproc.c"
    break;

  case 978: /* SecLabelStmt: SECURITY LABEL opt_provider ON security_label_type_name name IS security_label  */
#line 6350 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41283 "preproc.c"
    break;

  case 979: /* SecLabelStmt: SECURITY LABEL opt_provider ON TYPE_P Typename IS security_label  */
#line 6354 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41291 "preproc.c"
    break;

  case 980: /* SecLabelStmt: SECURITY LABEL opt_provider ON DOMAIN_P Typename IS security_label  */
#line 6358 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41299 "preproc.c"
    break;

  case 981: /* SecLabelStmt: SECURITY LABEL opt_provider ON AGGREGATE aggregate_with_argtypes IS security_label  */
#line 6362 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41307 "preproc.c"
    break;

  case 982: /* SecLabelStmt: SECURITY LABEL opt_provider ON FUNCTION function_with_argtypes IS security_label  */
#line 6366 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41315 "preproc.c"
    break;

  case 983: /* SecLabelStmt: SECURITY LABEL opt_provider ON LARGE_P OBJECT_P NumericOnly IS security_label  */
#line 6370 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 41323 "preproc.c"
    break;

  case 984: /* opt_provider: FOR NonReservedWord_or_Sconst  */
#line 6378 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 41331 "preproc.c"
    break;

  case 985: /* opt_provider: %empty  */
#line 6382 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41338 "preproc.c"
    break;

  case 986: /* security_label_type_any_name: COLUMN  */
#line 6389 "preproc.y"
 { 
 (yyval.str) = mm_strdup("column");
}
#line 41346 "preproc.c"
    break;

  case 987: /* security_label_type_any_name: FOREIGN TABLE  */
#line 6393 "preproc.y"
 { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 41354 "preproc.c"
    break;

  case 988: /* security_label_type_any_name: SEQUENCE  */
#line 6397 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequence");
}
#line 41362 "preproc.c"
    break;

  case 989: /* security_label_type_any_name: TABLE  */
#line 6401 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 41370 "preproc.c"
    break;

  case 990: /* security_label_type_any_name: VIEW  */
#line 6405 "preproc.y"
 { 
 (yyval.str) = mm_strdup("view");
}
#line 41378 "preproc.c"
    break;

  case 991: /* security_label_type_any_name: MATERIALIZED VIEW  */
#line 6409 "preproc.y"
 { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 41386 "preproc.c"
    break;

  case 992: /* security_label_type_name: DATABASE  */
#line 6417 "preproc.y"
 { 
 (yyval.str) = mm_strdup("database");
}
#line 41394 "preproc.c"
    break;

  case 993: /* security_label_type_name: EVENT TRIGGER  */
#line 6421 "preproc.y"
 { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 41402 "preproc.c"
    break;

  case 994: /* security_label_type_name: opt_procedural LANGUAGE  */
#line 6425 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 41410 "preproc.c"
    break;

  case 995: /* security_label_type_name: PUBLICATION  */
#line 6429 "preproc.y"
 { 
 (yyval.str) = mm_strdup("publication");
}
#line 41418 "preproc.c"
    break;

  case 996: /* security_label_type_name: ROLE  */
#line 6433 "preproc.y"
 { 
 (yyval.str) = mm_strdup("role");
}
#line 41426 "preproc.c"
    break;

  case 997: /* security_label_type_name: SCHEMA  */
#line 6437 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schema");
}
#line 41434 "preproc.c"
    break;

  case 998: /* security_label_type_name: SUBSCRIPTION  */
#line 6441 "preproc.y"
 { 
 (yyval.str) = mm_strdup("subscription");
}
#line 41442 "preproc.c"
    break;

  case 999: /* security_label_type_name: TABLESPACE  */
#line 6445 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41450 "preproc.c"
    break;

  case 1000: /* security_label: ecpg_sconst  */
#line 6453 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41458 "preproc.c"
    break;

  case 1001: /* security_label: NULL_P  */
#line 6457 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 41466 "preproc.c"
    break;

  case 1002: /* FetchStmt: FETCH fetch_args  */
#line 6465 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 41474 "preproc.c"
    break;

  case 1003: /* FetchStmt: MOVE fetch_args  */
#line 6469 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 41482 "preproc.c"
    break;

  case 1004: /* FetchStmt: FETCH fetch_args ecpg_fetch_into  */
#line 6473 "preproc.y"
        {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 41490 "preproc.c"
    break;

  case 1005: /* FetchStmt: FETCH FORWARD cursor_name opt_ecpg_fetch_into  */
#line 6477 "preproc.y"
        {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 41500 "preproc.c"
    break;

  case 1006: /* FetchStmt: FETCH FORWARD from_in cursor_name opt_ecpg_fetch_into  */
#line 6483 "preproc.y"
        {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 41510 "preproc.c"
    break;

  case 1007: /* FetchStmt: FETCH BACKWARD cursor_name opt_ecpg_fetch_into  */
#line 6489 "preproc.y"
        {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 41520 "preproc.c"
    break;

  case 1008: /* FetchStmt: FETCH BACKWARD from_in cursor_name opt_ecpg_fetch_into  */
#line 6495 "preproc.y"
        {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 41530 "preproc.c"
    break;

  case 1009: /* FetchStmt: MOVE FORWARD cursor_name  */
#line 6501 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 41540 "preproc.c"
    break;

  case 1010: /* FetchStmt: MOVE FORWARD from_in cursor_name  */
#line 6507 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 41550 "preproc.c"
    break;

  case 1011: /* FetchStmt: MOVE BACKWARD cursor_name  */
#line 6513 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 41560 "preproc.c"
    break;

  case 1012: /* FetchStmt: MOVE BACKWARD from_in cursor_name  */
#line 6519 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 41570 "preproc.c"
    break;

  case 1013: /* fetch_args: cursor_name  */
#line 6529 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 41585 "preproc.c"
    break;

  case 1014: /* fetch_args: from_in cursor_name  */
#line 6540 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41600 "preproc.c"
    break;

  case 1015: /* fetch_args: NEXT opt_from_in cursor_name  */
#line 6551 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41615 "preproc.c"
    break;

  case 1016: /* fetch_args: PRIOR opt_from_in cursor_name  */
#line 6562 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41630 "preproc.c"
    break;

  case 1017: /* fetch_args: FIRST_P opt_from_in cursor_name  */
#line 6573 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41645 "preproc.c"
    break;

  case 1018: /* fetch_args: LAST_P opt_from_in cursor_name  */
#line 6584 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41660 "preproc.c"
    break;

  case 1019: /* fetch_args: ABSOLUTE_P SignedIconst opt_from_in cursor_name  */
#line 6595 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41680 "preproc.c"
    break;

  case 1020: /* fetch_args: RELATIVE_P SignedIconst opt_from_in cursor_name  */
#line 6611 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41700 "preproc.c"
    break;

  case 1021: /* fetch_args: SignedIconst opt_from_in cursor_name  */
#line 6627 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41720 "preproc.c"
    break;

  case 1022: /* fetch_args: ALL opt_from_in cursor_name  */
#line 6643 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41735 "preproc.c"
    break;

  case 1023: /* fetch_args: FORWARD SignedIconst opt_from_in cursor_name  */
#line 6654 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41755 "preproc.c"
    break;

  case 1024: /* fetch_args: FORWARD ALL opt_from_in cursor_name  */
#line 6670 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41770 "preproc.c"
    break;

  case 1025: /* fetch_args: BACKWARD SignedIconst opt_from_in cursor_name  */
#line 6681 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41790 "preproc.c"
    break;

  case 1026: /* fetch_args: BACKWARD ALL opt_from_in cursor_name  */
#line 6697 "preproc.y"
 { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41805 "preproc.c"
    break;

  case 1027: /* from_in: FROM  */
#line 6712 "preproc.y"
 { 
 (yyval.str) = mm_strdup("from");
}
#line 41813 "preproc.c"
    break;

  case 1028: /* from_in: IN_P  */
#line 6716 "preproc.y"
 { 
 (yyval.str) = mm_strdup("in");
}
#line 41821 "preproc.c"
    break;

  case 1029: /* opt_from_in: from_in  */
#line 6724 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41829 "preproc.c"
    break;

  case 1030: /* opt_from_in: %empty  */
#line 6728 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 41836 "preproc.c"
    break;

  case 1031: /* GrantStmt: GRANT privileges ON privilege_target TO grantee_list opt_grant_grant_option  */
#line 6735 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41844 "preproc.c"
    break;

  case 1032: /* RevokeStmt: REVOKE privileges ON privilege_target FROM grantee_list opt_drop_behavior  */
#line 6743 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41852 "preproc.c"
    break;

  case 1033: /* RevokeStmt: REVOKE GRANT OPTION FOR privileges ON privilege_target FROM grantee_list opt_drop_behavior  */
#line 6747 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41860 "preproc.c"
    break;

  case 1034: /* privileges: privilege_list  */
#line 6755 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41868 "preproc.c"
    break;

  case 1035: /* privileges: ALL  */
#line 6759 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 41876 "preproc.c"
    break;

  case 1036: /* privileges: ALL PRIVILEGES  */
#line 6763 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 41884 "preproc.c"
    break;

  case 1037: /* privileges: ALL '(' columnList ')'  */
#line 6767 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41892 "preproc.c"
    break;

  case 1038: /* privileges: ALL PRIVILEGES '(' columnList ')'  */
#line 6771 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41900 "preproc.c"
    break;

  case 1039: /* privilege_list: privilege  */
#line 6779 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41908 "preproc.c"
    break;

  case 1040: /* privilege_list: privilege_list ',' privilege  */
#line 6783 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41916 "preproc.c"
    break;

  case 1041: /* privilege: SELECT opt_column_list  */
#line 6791 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 41924 "preproc.c"
    break;

  case 1042: /* privilege: REFERENCES opt_column_list  */
#line 6795 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 41932 "preproc.c"
    break;

  case 1043: /* privilege: CREATE opt_column_list  */
#line 6799 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 41940 "preproc.c"
    break;

  case 1044: /* privilege: ColId opt_column_list  */
#line 6803 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41948 "preproc.c"
    break;

  case 1045: /* privilege_target: qualified_name_list  */
#line 6811 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41956 "preproc.c"
    break;

  case 1046: /* privilege_target: TABLE qualified_name_list  */
#line 6815 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 41964 "preproc.c"
    break;

  case 1047: /* privilege_target: SEQUENCE qualified_name_list  */
#line 6819 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 41972 "preproc.c"
    break;

  case 1048: /* privilege_target: FOREIGN DATA_P WRAPPER name_list  */
#line 6823 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 41980 "preproc.c"
    break;

  case 1049: /* privilege_target: FOREIGN SERVER name_list  */
#line 6827 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 41988 "preproc.c"
    break;

  case 1050: /* privilege_target: FUNCTION function_with_argtypes_list  */
#line 6831 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 41996 "preproc.c"
    break;

  case 1051: /* privilege_target: DATABASE name_list  */
#line 6835 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 42004 "preproc.c"
    break;

  case 1052: /* privilege_target: DOMAIN_P any_name_list  */
#line 6839 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 42012 "preproc.c"
    break;

  case 1053: /* privilege_target: LANGUAGE name_list  */
#line 6843 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 42020 "preproc.c"
    break;

  case 1054: /* privilege_target: LARGE_P OBJECT_P NumericOnly_list  */
#line 6847 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 42028 "preproc.c"
    break;

  case 1055: /* privilege_target: SCHEMA name_list  */
#line 6851 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 42036 "preproc.c"
    break;

  case 1056: /* privilege_target: TABLESPACE name_list  */
#line 6855 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 42044 "preproc.c"
    break;

  case 1057: /* privilege_target: TYPE_P any_name_list  */
#line 6859 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 42052 "preproc.c"
    break;

  case 1058: /* privilege_target: ALL TABLES IN_P SCHEMA name_list  */
#line 6863 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 42060 "preproc.c"
    break;

  case 1059: /* privilege_target: ALL SEQUENCES IN_P SCHEMA name_list  */
#line 6867 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 42068 "preproc.c"
    break;

  case 1060: /* privilege_target: ALL FUNCTIONS IN_P SCHEMA name_list  */
#line 6871 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 42076 "preproc.c"
    break;

  case 1061: /* grantee_list: grantee  */
#line 6879 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42084 "preproc.c"
    break;

  case 1062: /* grantee_list: grantee_list ',' grantee  */
#line 6883 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42092 "preproc.c"
    break;

  case 1063: /* grantee: RoleSpec  */
#line 6891 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42100 "preproc.c"
    break;

  case 1064: /* grantee: GROUP_P RoleSpec  */
#line 6895 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 42108 "preproc.c"
    break;

  case 1065: /* opt_grant_grant_option: WITH GRANT OPTION  */
#line 6903 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 42116 "preproc.c"
    break;

  case 1066: /* opt_grant_grant_option: %empty  */
#line 6907 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42123 "preproc.c"
    break;

  case 1067: /* GrantRoleStmt: GRANT privilege_list TO role_list opt_grant_admin_option opt_granted_by  */
#line 6914 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42131 "preproc.c"
    break;

  case 1068: /* RevokeRoleStmt: REVOKE privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 6922 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42139 "preproc.c"
    break;

  case 1069: /* RevokeRoleStmt: REVOKE ADMIN OPTION FOR privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 6926 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42147 "preproc.c"
    break;

  case 1070: /* opt_grant_admin_option: WITH ADMIN OPTION  */
#line 6934 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 42155 "preproc.c"
    break;

  case 1071: /* opt_grant_admin_option: %empty  */
#line 6938 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42162 "preproc.c"
    break;

  case 1072: /* opt_granted_by: GRANTED BY RoleSpec  */
#line 6945 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 42170 "preproc.c"
    break;

  case 1073: /* opt_granted_by: %empty  */
#line 6949 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42177 "preproc.c"
    break;

  case 1074: /* AlterDefaultPrivilegesStmt: ALTER DEFAULT PRIVILEGES DefACLOptionList DefACLAction  */
#line 6956 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42185 "preproc.c"
    break;

  case 1075: /* DefACLOptionList: DefACLOptionList DefACLOption  */
#line 6964 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42193 "preproc.c"
    break;

  case 1076: /* DefACLOptionList: %empty  */
#line 6968 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42200 "preproc.c"
    break;

  case 1077: /* DefACLOption: IN_P SCHEMA name_list  */
#line 6975 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 42208 "preproc.c"
    break;

  case 1078: /* DefACLOption: FOR ROLE role_list  */
#line 6979 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 42216 "preproc.c"
    break;

  case 1079: /* DefACLOption: FOR USER role_list  */
#line 6983 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 42224 "preproc.c"
    break;

  case 1080: /* DefACLAction: GRANT privileges ON defacl_privilege_target TO grantee_list opt_grant_grant_option  */
#line 6991 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42232 "preproc.c"
    break;

  case 1081: /* DefACLAction: REVOKE privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 6995 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42240 "preproc.c"
    break;

  case 1082: /* DefACLAction: REVOKE GRANT OPTION FOR privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 6999 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42248 "preproc.c"
    break;

  case 1083: /* defacl_privilege_target: TABLES  */
#line 7007 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tables");
}
#line 42256 "preproc.c"
    break;

  case 1084: /* defacl_privilege_target: FUNCTIONS  */
#line 7011 "preproc.y"
 { 
 (yyval.str) = mm_strdup("functions");
}
#line 42264 "preproc.c"
    break;

  case 1085: /* defacl_privilege_target: SEQUENCES  */
#line 7015 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequences");
}
#line 42272 "preproc.c"
    break;

  case 1086: /* defacl_privilege_target: TYPES_P  */
#line 7019 "preproc.y"
 { 
 (yyval.str) = mm_strdup("types");
}
#line 42280 "preproc.c"
    break;

  case 1087: /* defacl_privilege_target: SCHEMAS  */
#line 7023 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schemas");
}
#line 42288 "preproc.c"
    break;

  case 1088: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently opt_index_name ON qualified_name access_method_clause '(' index_params ')' opt_reloptions OptTableSpace where_clause  */
#line 7031 "preproc.y"
 { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42296 "preproc.c"
    break;

  case 1089: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently IF_P NOT EXISTS index_name ON qualified_name access_method_clause '(' index_params ')' opt_reloptions OptTableSpace where_clause  */
#line 7035 "preproc.y"
 { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42304 "preproc.c"
    break;

  case 1090: /* opt_unique: UNIQUE  */
#line 7043 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unique");
}
#line 42312 "preproc.c"
    break;

  case 1091: /* opt_unique: %empty  */
#line 7047 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42319 "preproc.c"
    break;

  case 1092: /* opt_concurrently: CONCURRENTLY  */
#line 7054 "preproc.y"
 { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 42327 "preproc.c"
    break;

  case 1093: /* opt_concurrently: %empty  */
#line 7058 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42334 "preproc.c"
    break;

  case 1094: /* opt_index_name: index_name  */
#line 7065 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42342 "preproc.c"
    break;

  case 1095: /* opt_index_name: %empty  */
#line 7069 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42349 "preproc.c"
    break;

  case 1096: /* access_method_clause: USING access_method  */
#line 7076 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42357 "preproc.c"
    break;

  case 1097: /* access_method_clause: %empty  */
#line 7080 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42364 "preproc.c"
    break;

  case 1098: /* index_params: index_elem  */
#line 7087 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42372 "preproc.c"
    break;

  case 1099: /* index_params: index_params ',' index_elem  */
#line 7091 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42380 "preproc.c"
    break;

  case 1100: /* index_elem: ColId opt_collate opt_class opt_asc_desc opt_nulls_order  */
#line 7099 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42388 "preproc.c"
    break;

  case 1101: /* index_elem: func_expr_windowless opt_collate opt_class opt_asc_desc opt_nulls_order  */
#line 7103 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42396 "preproc.c"
    break;

  case 1102: /* index_elem: '(' a_expr ')' opt_collate opt_class opt_asc_desc opt_nulls_order  */
#line 7107 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42404 "preproc.c"
    break;

  case 1103: /* opt_collate: COLLATE any_name  */
#line 7115 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 42412 "preproc.c"
    break;

  case 1104: /* opt_collate: %empty  */
#line 7119 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42419 "preproc.c"
    break;

  case 1105: /* opt_class: any_name  */
#line 7126 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42427 "preproc.c"
    break;

  case 1106: /* opt_class: %empty  */
#line 7130 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42434 "preproc.c"
    break;

  case 1107: /* opt_asc_desc: ASC  */
#line 7137 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asc");
}
#line 42442 "preproc.c"
    break;

  case 1108: /* opt_asc_desc: DESC  */
#line 7141 "preproc.y"
 { 
 (yyval.str) = mm_strdup("desc");
}
#line 42450 "preproc.c"
    break;

  case 1109: /* opt_asc_desc: %empty  */
#line 7145 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42457 "preproc.c"
    break;

  case 1110: /* opt_nulls_order: NULLS_LA FIRST_P  */
#line 7152 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 42465 "preproc.c"
    break;

  case 1111: /* opt_nulls_order: NULLS_LA LAST_P  */
#line 7156 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 42473 "preproc.c"
    break;

  case 1112: /* opt_nulls_order: %empty  */
#line 7160 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42480 "preproc.c"
    break;

  case 1113: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS func_return createfunc_opt_list opt_definition  */
#line 7167 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42488 "preproc.c"
    break;

  case 1114: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS TABLE '(' table_func_column_list ')' createfunc_opt_list opt_definition  */
#line 7171 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42496 "preproc.c"
    break;

  case 1115: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults createfunc_opt_list opt_definition  */
#line 7175 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42504 "preproc.c"
    break;

  case 1116: /* opt_or_replace: OR REPLACE  */
#line 7183 "preproc.y"
 { 
 (yyval.str) = mm_strdup("or replace");
}
#line 42512 "preproc.c"
    break;

  case 1117: /* opt_or_replace: %empty  */
#line 7187 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 42519 "preproc.c"
    break;

  case 1118: /* func_args: '(' func_args_list ')'  */
#line 7194 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42527 "preproc.c"
    break;

  case 1119: /* func_args: '(' ')'  */
#line 7198 "preproc.y"
 { 
 (yyval.str) = mm_strdup("( )");
}
#line 42535 "preproc.c"
    break;

  case 1120: /* func_args_list: func_arg  */
#line 7206 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42543 "preproc.c"
    break;

  case 1121: /* func_args_list: func_args_list ',' func_arg  */
#line 7210 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42551 "preproc.c"
    break;

  case 1122: /* function_with_argtypes_list: function_with_argtypes  */
#line 7218 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42559 "preproc.c"
    break;

  case 1123: /* function_with_argtypes_list: function_with_argtypes_list ',' function_with_argtypes  */
#line 7222 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42567 "preproc.c"
    break;

  case 1124: /* function_with_argtypes: func_name func_args  */
#line 7230 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42575 "preproc.c"
    break;

  case 1125: /* function_with_argtypes: type_func_name_keyword  */
#line 7234 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42583 "preproc.c"
    break;

  case 1126: /* function_with_argtypes: ColId  */
#line 7238 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42591 "preproc.c"
    break;

  case 1127: /* function_with_argtypes: ColId indirection  */
#line 7242 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42599 "preproc.c"
    break;

  case 1128: /* func_args_with_defaults: '(' func_args_with_defaults_list ')'  */
#line 7250 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42607 "preproc.c"
    break;

  case 1129: /* func_args_with_defaults: '(' ')'  */
#line 7254 "preproc.y"
 { 
 (yyval.str) = mm_strdup("( )");
}
#line 42615 "preproc.c"
    break;

  case 1130: /* func_args_with_defaults_list: func_arg_with_default  */
#line 7262 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42623 "preproc.c"
    break;

  case 1131: /* func_args_with_defaults_list: func_args_with_defaults_list ',' func_arg_with_default  */
#line 7266 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42631 "preproc.c"
    break;

  case 1132: /* func_arg: arg_class param_name func_type  */
#line 7274 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42639 "preproc.c"
    break;

  case 1133: /* func_arg: param_name arg_class func_type  */
#line 7278 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42647 "preproc.c"
    break;

  case 1134: /* func_arg: param_name func_type  */
#line 7282 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42655 "preproc.c"
    break;

  case 1135: /* func_arg: arg_class func_type  */
#line 7286 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42663 "preproc.c"
    break;

  case 1136: /* func_arg: func_type  */
#line 7290 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42671 "preproc.c"
    break;

  case 1137: /* arg_class: IN_P  */
#line 7298 "preproc.y"
 { 
 (yyval.str) = mm_strdup("in");
}
#line 42679 "preproc.c"
    break;

  case 1138: /* arg_class: OUT_P  */
#line 7302 "preproc.y"
 { 
 (yyval.str) = mm_strdup("out");
}
#line 42687 "preproc.c"
    break;

  case 1139: /* arg_class: INOUT  */
#line 7306 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inout");
}
#line 42695 "preproc.c"
    break;

  case 1140: /* arg_class: IN_P OUT_P  */
#line 7310 "preproc.y"
 { 
 (yyval.str) = mm_strdup("in out");
}
#line 42703 "preproc.c"
    break;

  case 1141: /* arg_class: VARIADIC  */
#line 7314 "preproc.y"
 { 
 (yyval.str) = mm_strdup("variadic");
}
#line 42711 "preproc.c"
    break;

  case 1142: /* param_name: type_function_name  */
#line 7322 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42719 "preproc.c"
    break;

  case 1143: /* func_return: func_type  */
#line 7330 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42727 "preproc.c"
    break;

  case 1144: /* func_type: Typename  */
#line 7338 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42735 "preproc.c"
    break;

  case 1145: /* func_type: type_function_name attrs '%' TYPE_P  */
#line 7342 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 42743 "preproc.c"
    break;

  case 1146: /* func_type: SETOF type_function_name attrs '%' TYPE_P  */
#line 7346 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 42751 "preproc.c"
    break;

  case 1147: /* func_arg_with_default: func_arg  */
#line 7354 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42759 "preproc.c"
    break;

  case 1148: /* func_arg_with_default: func_arg DEFAULT a_expr  */
#line 7358 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 42767 "preproc.c"
    break;

  case 1149: /* func_arg_with_default: func_arg '=' a_expr  */
#line 7362 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42775 "preproc.c"
    break;

  case 1150: /* aggr_arg: func_arg  */
#line 7370 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 42784 "preproc.c"
    break;

  case 1151: /* aggr_args: '(' '*' ')'  */
#line 7379 "preproc.y"
 { 
 (yyval.str) = mm_strdup("( * )");
}
#line 42792 "preproc.c"
    break;

  case 1152: /* aggr_args: '(' aggr_args_list ')'  */
#line 7383 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42800 "preproc.c"
    break;

  case 1153: /* aggr_args: '(' ORDER BY aggr_args_list ')'  */
#line 7387 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42808 "preproc.c"
    break;

  case 1154: /* aggr_args: '(' aggr_args_list ORDER BY aggr_args_list ')'  */
#line 7391 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42816 "preproc.c"
    break;

  case 1155: /* aggr_args_list: aggr_arg  */
#line 7399 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42824 "preproc.c"
    break;

  case 1156: /* aggr_args_list: aggr_args_list ',' aggr_arg  */
#line 7403 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42832 "preproc.c"
    break;

  case 1157: /* aggregate_with_argtypes: func_name aggr_args  */
#line 7411 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42840 "preproc.c"
    break;

  case 1158: /* aggregate_with_argtypes_list: aggregate_with_argtypes  */
#line 7419 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42848 "preproc.c"
    break;

  case 1159: /* aggregate_with_argtypes_list: aggregate_with_argtypes_list ',' aggregate_with_argtypes  */
#line 7423 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42856 "preproc.c"
    break;

  case 1160: /* createfunc_opt_list: createfunc_opt_item  */
#line 7431 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42864 "preproc.c"
    break;

  case 1161: /* createfunc_opt_list: createfunc_opt_list createfunc_opt_item  */
#line 7435 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42872 "preproc.c"
    break;

  case 1162: /* common_func_opt_item: CALLED ON NULL_P INPUT_P  */
#line 7443 "preproc.y"
 { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 42880 "preproc.c"
    break;

  case 1163: /* common_func_opt_item: RETURNS NULL_P ON NULL_P INPUT_P  */
#line 7447 "preproc.y"
 { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 42888 "preproc.c"
    break;

  case 1164: /* common_func_opt_item: STRICT_P  */
#line 7451 "preproc.y"
 { 
 (yyval.str) = mm_strdup("strict");
}
#line 42896 "preproc.c"
    break;

  case 1165: /* common_func_opt_item: IMMUTABLE  */
#line 7455 "preproc.y"
 { 
 (yyval.str) = mm_strdup("immutable");
}
#line 42904 "preproc.c"
    break;

  case 1166: /* common_func_opt_item: STABLE  */
#line 7459 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stable");
}
#line 42912 "preproc.c"
    break;

  case 1167: /* common_func_opt_item: VOLATILE  */
#line 7463 "preproc.y"
 { 
 (yyval.str) = mm_strdup("volatile");
}
#line 42920 "preproc.c"
    break;

  case 1168: /* common_func_opt_item: EXTERNAL SECURITY DEFINER  */
#line 7467 "preproc.y"
 { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 42928 "preproc.c"
    break;

  case 1169: /* common_func_opt_item: EXTERNAL SECURITY INVOKER  */
#line 7471 "preproc.y"
 { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 42936 "preproc.c"
    break;

  case 1170: /* common_func_opt_item: SECURITY DEFINER  */
#line 7475 "preproc.y"
 { 
 (yyval.str) = mm_strdup("security definer");
}
#line 42944 "preproc.c"
    break;

  case 1171: /* common_func_opt_item: SECURITY INVOKER  */
#line 7479 "preproc.y"
 { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 42952 "preproc.c"
    break;

  case 1172: /* common_func_opt_item: LEAKPROOF  */
#line 7483 "preproc.y"
 { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 42960 "preproc.c"
    break;

  case 1173: /* common_func_opt_item: NOT LEAKPROOF  */
#line 7487 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 42968 "preproc.c"
    break;

  case 1174: /* common_func_opt_item: COST NumericOnly  */
#line 7491 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 42976 "preproc.c"
    break;

  case 1175: /* common_func_opt_item: ROWS NumericOnly  */
#line 7495 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 42984 "preproc.c"
    break;

  case 1176: /* common_func_opt_item: FunctionSetResetClause  */
#line 7499 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42992 "preproc.c"
    break;

  case 1177: /* common_func_opt_item: PARALLEL ColId  */
#line 7503 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 43000 "preproc.c"
    break;

  case 1178: /* createfunc_opt_item: AS func_as  */
#line 7511 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43008 "preproc.c"
    break;

  case 1179: /* createfunc_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 7515 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 43016 "preproc.c"
    break;

  case 1180: /* createfunc_opt_item: TRANSFORM transform_type_list  */
#line 7519 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 43024 "preproc.c"
    break;

  case 1181: /* createfunc_opt_item: WINDOW  */
#line 7523 "preproc.y"
 { 
 (yyval.str) = mm_strdup("window");
}
#line 43032 "preproc.c"
    break;

  case 1182: /* createfunc_opt_item: common_func_opt_item  */
#line 7527 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43040 "preproc.c"
    break;

  case 1183: /* func_as: ecpg_sconst  */
#line 7535 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43048 "preproc.c"
    break;

  case 1184: /* func_as: ecpg_sconst ',' ecpg_sconst  */
#line 7539 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43056 "preproc.c"
    break;

  case 1185: /* transform_type_list: FOR TYPE_P Typename  */
#line 7547 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 43064 "preproc.c"
    break;

  case 1186: /* transform_type_list: transform_type_list ',' FOR TYPE_P Typename  */
#line 7551 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 43072 "preproc.c"
    break;

  case 1187: /* opt_definition: WITH definition  */
#line 7559 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 43080 "preproc.c"
    break;

  case 1188: /* opt_definition: %empty  */
#line 7563 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43087 "preproc.c"
    break;

  case 1189: /* table_func_column: param_name func_type  */
#line 7570 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43095 "preproc.c"
    break;

  case 1190: /* table_func_column_list: table_func_column  */
#line 7578 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43103 "preproc.c"
    break;

  case 1191: /* table_func_column_list: table_func_column_list ',' table_func_column  */
#line 7582 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43111 "preproc.c"
    break;

  case 1192: /* AlterFunctionStmt: ALTER FUNCTION function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 7590 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43119 "preproc.c"
    break;

  case 1193: /* alterfunc_opt_list: common_func_opt_item  */
#line 7598 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43127 "preproc.c"
    break;

  case 1194: /* alterfunc_opt_list: alterfunc_opt_list common_func_opt_item  */
#line 7602 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43135 "preproc.c"
    break;

  case 1195: /* opt_restrict: RESTRICT  */
#line 7610 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43143 "preproc.c"
    break;

  case 1196: /* opt_restrict: %empty  */
#line 7614 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43150 "preproc.c"
    break;

  case 1197: /* RemoveFuncStmt: DROP FUNCTION function_with_argtypes_list opt_drop_behavior  */
#line 7621 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43158 "preproc.c"
    break;

  case 1198: /* RemoveFuncStmt: DROP FUNCTION IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 7625 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43166 "preproc.c"
    break;

  case 1199: /* RemoveAggrStmt: DROP AGGREGATE aggregate_with_argtypes_list opt_drop_behavior  */
#line 7633 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43174 "preproc.c"
    break;

  case 1200: /* RemoveAggrStmt: DROP AGGREGATE IF_P EXISTS aggregate_with_argtypes_list opt_drop_behavior  */
#line 7637 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43182 "preproc.c"
    break;

  case 1201: /* RemoveOperStmt: DROP OPERATOR operator_with_argtypes_list opt_drop_behavior  */
#line 7645 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43190 "preproc.c"
    break;

  case 1202: /* RemoveOperStmt: DROP OPERATOR IF_P EXISTS operator_with_argtypes_list opt_drop_behavior  */
#line 7649 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43198 "preproc.c"
    break;

  case 1203: /* oper_argtypes: '(' Typename ')'  */
#line 7657 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43206 "preproc.c"
    break;

  case 1204: /* oper_argtypes: '(' Typename ',' Typename ')'  */
#line 7661 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43214 "preproc.c"
    break;

  case 1205: /* oper_argtypes: '(' NONE ',' Typename ')'  */
#line 7665 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43222 "preproc.c"
    break;

  case 1206: /* oper_argtypes: '(' Typename ',' NONE ')'  */
#line 7669 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 43230 "preproc.c"
    break;

  case 1207: /* any_operator: all_Op  */
#line 7677 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43238 "preproc.c"
    break;

  case 1208: /* any_operator: ColId '.' any_operator  */
#line 7681 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 43246 "preproc.c"
    break;

  case 1209: /* operator_with_argtypes_list: operator_with_argtypes  */
#line 7689 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43254 "preproc.c"
    break;

  case 1210: /* operator_with_argtypes_list: operator_with_argtypes_list ',' operator_with_argtypes  */
#line 7693 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43262 "preproc.c"
    break;

  case 1211: /* operator_with_argtypes: any_operator oper_argtypes  */
#line 7701 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43270 "preproc.c"
    break;

  case 1212: /* DoStmt: DO dostmt_opt_list  */
#line 7709 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 43278 "preproc.c"
    break;

  case 1213: /* dostmt_opt_list: dostmt_opt_item  */
#line 7717 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43286 "preproc.c"
    break;

  case 1214: /* dostmt_opt_list: dostmt_opt_list dostmt_opt_item  */
#line 7721 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43294 "preproc.c"
    break;

  case 1215: /* dostmt_opt_item: ecpg_sconst  */
#line 7729 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43302 "preproc.c"
    break;

  case 1216: /* dostmt_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 7733 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 43310 "preproc.c"
    break;

  case 1217: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH FUNCTION function_with_argtypes cast_context  */
#line 7741 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43318 "preproc.c"
    break;

  case 1218: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITHOUT FUNCTION cast_context  */
#line 7745 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 43326 "preproc.c"
    break;

  case 1219: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH INOUT cast_context  */
#line 7749 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 43334 "preproc.c"
    break;

  case 1220: /* cast_context: AS IMPLICIT_P  */
#line 7757 "preproc.y"
 { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 43342 "preproc.c"
    break;

  case 1221: /* cast_context: AS ASSIGNMENT  */
#line 7761 "preproc.y"
 { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 43350 "preproc.c"
    break;

  case 1222: /* cast_context: %empty  */
#line 7765 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43357 "preproc.c"
    break;

  case 1223: /* DropCastStmt: DROP CAST opt_if_exists '(' Typename AS Typename ')' opt_drop_behavior  */
#line 7772 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43365 "preproc.c"
    break;

  case 1224: /* opt_if_exists: IF_P EXISTS  */
#line 7780 "preproc.y"
 { 
 (yyval.str) = mm_strdup("if exists");
}
#line 43373 "preproc.c"
    break;

  case 1225: /* opt_if_exists: %empty  */
#line 7784 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43380 "preproc.c"
    break;

  case 1226: /* CreateTransformStmt: CREATE opt_or_replace TRANSFORM FOR Typename LANGUAGE name '(' transform_element_list ')'  */
#line 7791 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43388 "preproc.c"
    break;

  case 1227: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes ',' TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 7799 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 43396 "preproc.c"
    break;

  case 1228: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes ',' FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 7803 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 43404 "preproc.c"
    break;

  case 1229: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 7807 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 43412 "preproc.c"
    break;

  case 1230: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 7811 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 43420 "preproc.c"
    break;

  case 1231: /* DropTransformStmt: DROP TRANSFORM opt_if_exists FOR Typename LANGUAGE name opt_drop_behavior  */
#line 7819 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43428 "preproc.c"
    break;

  case 1232: /* ReindexStmt: REINDEX reindex_target_type qualified_name  */
#line 7827 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43436 "preproc.c"
    break;

  case 1233: /* ReindexStmt: REINDEX reindex_target_multitable name  */
#line 7831 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43444 "preproc.c"
    break;

  case 1234: /* ReindexStmt: REINDEX '(' reindex_option_list ')' reindex_target_type qualified_name  */
#line 7835 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43452 "preproc.c"
    break;

  case 1235: /* ReindexStmt: REINDEX '(' reindex_option_list ')' reindex_target_multitable name  */
#line 7839 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43460 "preproc.c"
    break;

  case 1236: /* reindex_target_type: INDEX  */
#line 7847 "preproc.y"
 { 
 (yyval.str) = mm_strdup("index");
}
#line 43468 "preproc.c"
    break;

  case 1237: /* reindex_target_type: TABLE  */
#line 7851 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 43476 "preproc.c"
    break;

  case 1238: /* reindex_target_multitable: SCHEMA  */
#line 7859 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schema");
}
#line 43484 "preproc.c"
    break;

  case 1239: /* reindex_target_multitable: SYSTEM_P  */
#line 7863 "preproc.y"
 { 
 (yyval.str) = mm_strdup("system");
}
#line 43492 "preproc.c"
    break;

  case 1240: /* reindex_target_multitable: DATABASE  */
#line 7867 "preproc.y"
 { 
 (yyval.str) = mm_strdup("database");
}
#line 43500 "preproc.c"
    break;

  case 1241: /* reindex_option_list: reindex_option_elem  */
#line 7875 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43508 "preproc.c"
    break;

  case 1242: /* reindex_option_list: reindex_option_list ',' reindex_option_elem  */
#line 7879 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43516 "preproc.c"
    break;

  case 1243: /* reindex_option_elem: VERBOSE  */
#line 7887 "preproc.y"
 { 
 (yyval.str) = mm_strdup("verbose");
}
#line 43524 "preproc.c"
    break;

  case 1244: /* AlterTblSpcStmt: ALTER TABLESPACE name SET reloptions  */
#line 7895 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 43532 "preproc.c"
    break;

  case 1245: /* AlterTblSpcStmt: ALTER TABLESPACE name RESET reloptions  */
#line 7899 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 43540 "preproc.c"
    break;

  case 1246: /* RenameStmt: ALTER AGGREGATE aggregate_with_argtypes RENAME TO name  */
#line 7907 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43548 "preproc.c"
    break;

  case 1247: /* RenameStmt: ALTER COLLATION any_name RENAME TO name  */
#line 7911 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43556 "preproc.c"
    break;

  case 1248: /* RenameStmt: ALTER CONVERSION_P any_name RENAME TO name  */
#line 7915 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43564 "preproc.c"
    break;

  case 1249: /* RenameStmt: ALTER DATABASE database_name RENAME TO database_name  */
#line 7919 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43572 "preproc.c"
    break;

  case 1250: /* RenameStmt: ALTER DOMAIN_P any_name RENAME TO name  */
#line 7923 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43580 "preproc.c"
    break;

  case 1251: /* RenameStmt: ALTER DOMAIN_P any_name RENAME CONSTRAINT name TO name  */
#line 7927 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43588 "preproc.c"
    break;

  case 1252: /* RenameStmt: ALTER FOREIGN DATA_P WRAPPER name RENAME TO name  */
#line 7931 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43596 "preproc.c"
    break;

  case 1253: /* RenameStmt: ALTER FUNCTION function_with_argtypes RENAME TO name  */
#line 7935 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43604 "preproc.c"
    break;

  case 1254: /* RenameStmt: ALTER GROUP_P RoleId RENAME TO RoleId  */
#line 7939 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43612 "preproc.c"
    break;

  case 1255: /* RenameStmt: ALTER opt_procedural LANGUAGE name RENAME TO name  */
#line 7943 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43620 "preproc.c"
    break;

  case 1256: /* RenameStmt: ALTER OPERATOR CLASS any_name USING access_method RENAME TO name  */
#line 7947 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43628 "preproc.c"
    break;

  case 1257: /* RenameStmt: ALTER OPERATOR FAMILY any_name USING access_method RENAME TO name  */
#line 7951 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43636 "preproc.c"
    break;

  case 1258: /* RenameStmt: ALTER POLICY name ON qualified_name RENAME TO name  */
#line 7955 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43644 "preproc.c"
    break;

  case 1259: /* RenameStmt: ALTER POLICY IF_P EXISTS name ON qualified_name RENAME TO name  */
#line 7959 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43652 "preproc.c"
    break;

  case 1260: /* RenameStmt: ALTER PUBLICATION name RENAME TO name  */
#line 7963 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43660 "preproc.c"
    break;

  case 1261: /* RenameStmt: ALTER SCHEMA name RENAME TO name  */
#line 7967 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43668 "preproc.c"
    break;

  case 1262: /* RenameStmt: ALTER SERVER name RENAME TO name  */
#line 7971 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43676 "preproc.c"
    break;

  case 1263: /* RenameStmt: ALTER SUBSCRIPTION name RENAME TO name  */
#line 7975 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43684 "preproc.c"
    break;

  case 1264: /* RenameStmt: ALTER TABLE relation_expr RENAME TO name  */
#line 7979 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43692 "preproc.c"
    break;

  case 1265: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 7983 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43700 "preproc.c"
    break;

  case 1266: /* RenameStmt: ALTER SEQUENCE qualified_name RENAME TO name  */
#line 7987 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43708 "preproc.c"
    break;

  case 1267: /* RenameStmt: ALTER SEQUENCE IF_P EXISTS qualified_name RENAME TO name  */
#line 7991 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43716 "preproc.c"
    break;

  case 1268: /* RenameStmt: ALTER VIEW qualified_name RENAME TO name  */
#line 7995 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43724 "preproc.c"
    break;

  case 1269: /* RenameStmt: ALTER VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 7999 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43732 "preproc.c"
    break;

  case 1270: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME TO name  */
#line 8003 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43740 "preproc.c"
    break;

  case 1271: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 8007 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43748 "preproc.c"
    break;

  case 1272: /* RenameStmt: ALTER INDEX qualified_name RENAME TO name  */
#line 8011 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43756 "preproc.c"
    break;

  case 1273: /* RenameStmt: ALTER INDEX IF_P EXISTS qualified_name RENAME TO name  */
#line 8015 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43764 "preproc.c"
    break;

  case 1274: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME TO name  */
#line 8019 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43772 "preproc.c"
    break;

  case 1275: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 8023 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43780 "preproc.c"
    break;

  case 1276: /* RenameStmt: ALTER TABLE relation_expr RENAME opt_column name TO name  */
#line 8027 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43788 "preproc.c"
    break;

  case 1277: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 8031 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43796 "preproc.c"
    break;

  case 1278: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME opt_column name TO name  */
#line 8035 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43804 "preproc.c"
    break;

  case 1279: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME opt_column name TO name  */
#line 8039 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43812 "preproc.c"
    break;

  case 1280: /* RenameStmt: ALTER TABLE relation_expr RENAME CONSTRAINT name TO name  */
#line 8043 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43820 "preproc.c"
    break;

  case 1281: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME CONSTRAINT name TO name  */
#line 8047 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43828 "preproc.c"
    break;

  case 1282: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME opt_column name TO name  */
#line 8051 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43836 "preproc.c"
    break;

  case 1283: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 8055 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 43844 "preproc.c"
    break;

  case 1284: /* RenameStmt: ALTER RULE name ON qualified_name RENAME TO name  */
#line 8059 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43852 "preproc.c"
    break;

  case 1285: /* RenameStmt: ALTER TRIGGER name ON qualified_name RENAME TO name  */
#line 8063 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43860 "preproc.c"
    break;

  case 1286: /* RenameStmt: ALTER EVENT TRIGGER name RENAME TO name  */
#line 8067 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43868 "preproc.c"
    break;

  case 1287: /* RenameStmt: ALTER ROLE RoleId RENAME TO RoleId  */
#line 8071 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43876 "preproc.c"
    break;

  case 1288: /* RenameStmt: ALTER USER RoleId RENAME TO RoleId  */
#line 8075 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43884 "preproc.c"
    break;

  case 1289: /* RenameStmt: ALTER TABLESPACE name RENAME TO name  */
#line 8079 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43892 "preproc.c"
    break;

  case 1290: /* RenameStmt: ALTER STATISTICS any_name RENAME TO name  */
#line 8083 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43900 "preproc.c"
    break;

  case 1291: /* RenameStmt: ALTER TEXT_P SEARCH PARSER any_name RENAME TO name  */
#line 8087 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43908 "preproc.c"
    break;

  case 1292: /* RenameStmt: ALTER TEXT_P SEARCH DICTIONARY any_name RENAME TO name  */
#line 8091 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43916 "preproc.c"
    break;

  case 1293: /* RenameStmt: ALTER TEXT_P SEARCH TEMPLATE any_name RENAME TO name  */
#line 8095 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43924 "preproc.c"
    break;

  case 1294: /* RenameStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name RENAME TO name  */
#line 8099 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43932 "preproc.c"
    break;

  case 1295: /* RenameStmt: ALTER TYPE_P any_name RENAME TO name  */
#line 8103 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 43940 "preproc.c"
    break;

  case 1296: /* RenameStmt: ALTER TYPE_P any_name RENAME ATTRIBUTE name TO name opt_drop_behavior  */
#line 8107 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43948 "preproc.c"
    break;

  case 1297: /* opt_column: COLUMN  */
#line 8115 "preproc.y"
 { 
 (yyval.str) = mm_strdup("column");
}
#line 43956 "preproc.c"
    break;

  case 1298: /* opt_column: %empty  */
#line 8119 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43963 "preproc.c"
    break;

  case 1299: /* opt_set_data: SET DATA_P  */
#line 8126 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set data");
}
#line 43971 "preproc.c"
    break;

  case 1300: /* opt_set_data: %empty  */
#line 8130 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 43978 "preproc.c"
    break;

  case 1301: /* AlterObjectDependsStmt: ALTER FUNCTION function_with_argtypes DEPENDS ON EXTENSION name  */
#line 8137 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 43986 "preproc.c"
    break;

  case 1302: /* AlterObjectDependsStmt: ALTER TRIGGER name ON qualified_name DEPENDS ON EXTENSION name  */
#line 8141 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 43994 "preproc.c"
    break;

  case 1303: /* AlterObjectDependsStmt: ALTER MATERIALIZED VIEW qualified_name DEPENDS ON EXTENSION name  */
#line 8145 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44002 "preproc.c"
    break;

  case 1304: /* AlterObjectDependsStmt: ALTER INDEX qualified_name DEPENDS ON EXTENSION name  */
#line 8149 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 44010 "preproc.c"
    break;

  case 1305: /* AlterObjectSchemaStmt: ALTER AGGREGATE aggregate_with_argtypes SET SCHEMA name  */
#line 8157 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44018 "preproc.c"
    break;

  case 1306: /* AlterObjectSchemaStmt: ALTER COLLATION any_name SET SCHEMA name  */
#line 8161 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44026 "preproc.c"
    break;

  case 1307: /* AlterObjectSchemaStmt: ALTER CONVERSION_P any_name SET SCHEMA name  */
#line 8165 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44034 "preproc.c"
    break;

  case 1308: /* AlterObjectSchemaStmt: ALTER DOMAIN_P any_name SET SCHEMA name  */
#line 8169 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44042 "preproc.c"
    break;

  case 1309: /* AlterObjectSchemaStmt: ALTER EXTENSION name SET SCHEMA name  */
#line 8173 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44050 "preproc.c"
    break;

  case 1310: /* AlterObjectSchemaStmt: ALTER FUNCTION function_with_argtypes SET SCHEMA name  */
#line 8177 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44058 "preproc.c"
    break;

  case 1311: /* AlterObjectSchemaStmt: ALTER OPERATOR operator_with_argtypes SET SCHEMA name  */
#line 8181 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44066 "preproc.c"
    break;

  case 1312: /* AlterObjectSchemaStmt: ALTER OPERATOR CLASS any_name USING access_method SET SCHEMA name  */
#line 8185 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44074 "preproc.c"
    break;

  case 1313: /* AlterObjectSchemaStmt: ALTER OPERATOR FAMILY any_name USING access_method SET SCHEMA name  */
#line 8189 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44082 "preproc.c"
    break;

  case 1314: /* AlterObjectSchemaStmt: ALTER TABLE relation_expr SET SCHEMA name  */
#line 8193 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44090 "preproc.c"
    break;

  case 1315: /* AlterObjectSchemaStmt: ALTER TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 8197 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44098 "preproc.c"
    break;

  case 1316: /* AlterObjectSchemaStmt: ALTER STATISTICS any_name SET SCHEMA name  */
#line 8201 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44106 "preproc.c"
    break;

  case 1317: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH PARSER any_name SET SCHEMA name  */
#line 8205 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44114 "preproc.c"
    break;

  case 1318: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH DICTIONARY any_name SET SCHEMA name  */
#line 8209 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44122 "preproc.c"
    break;

  case 1319: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH TEMPLATE any_name SET SCHEMA name  */
#line 8213 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44130 "preproc.c"
    break;

  case 1320: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name SET SCHEMA name  */
#line 8217 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44138 "preproc.c"
    break;

  case 1321: /* AlterObjectSchemaStmt: ALTER SEQUENCE qualified_name SET SCHEMA name  */
#line 8221 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44146 "preproc.c"
    break;

  case 1322: /* AlterObjectSchemaStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SET SCHEMA name  */
#line 8225 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44154 "preproc.c"
    break;

  case 1323: /* AlterObjectSchemaStmt: ALTER VIEW qualified_name SET SCHEMA name  */
#line 8229 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44162 "preproc.c"
    break;

  case 1324: /* AlterObjectSchemaStmt: ALTER VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 8233 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44170 "preproc.c"
    break;

  case 1325: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW qualified_name SET SCHEMA name  */
#line 8237 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44178 "preproc.c"
    break;

  case 1326: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 8241 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44186 "preproc.c"
    break;

  case 1327: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE relation_expr SET SCHEMA name  */
#line 8245 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44194 "preproc.c"
    break;

  case 1328: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 8249 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44202 "preproc.c"
    break;

  case 1329: /* AlterObjectSchemaStmt: ALTER TYPE_P any_name SET SCHEMA name  */
#line 8253 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 44210 "preproc.c"
    break;

  case 1330: /* AlterOperatorStmt: ALTER OPERATOR operator_with_argtypes SET '(' operator_def_list ')'  */
#line 8261 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44218 "preproc.c"
    break;

  case 1331: /* operator_def_list: operator_def_elem  */
#line 8269 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44226 "preproc.c"
    break;

  case 1332: /* operator_def_list: operator_def_list ',' operator_def_elem  */
#line 8273 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44234 "preproc.c"
    break;

  case 1333: /* operator_def_elem: ColLabel '=' NONE  */
#line 8281 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 44242 "preproc.c"
    break;

  case 1334: /* operator_def_elem: ColLabel '=' operator_def_arg  */
#line 8285 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44250 "preproc.c"
    break;

  case 1335: /* operator_def_arg: func_type  */
#line 8293 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44258 "preproc.c"
    break;

  case 1336: /* operator_def_arg: reserved_keyword  */
#line 8297 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44266 "preproc.c"
    break;

  case 1337: /* operator_def_arg: qual_all_Op  */
#line 8301 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44274 "preproc.c"
    break;

  case 1338: /* operator_def_arg: NumericOnly  */
#line 8305 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44282 "preproc.c"
    break;

  case 1339: /* operator_def_arg: ecpg_sconst  */
#line 8309 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44290 "preproc.c"
    break;

  case 1340: /* AlterOwnerStmt: ALTER AGGREGATE aggregate_with_argtypes OWNER TO RoleSpec  */
#line 8317 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44298 "preproc.c"
    break;

  case 1341: /* AlterOwnerStmt: ALTER COLLATION any_name OWNER TO RoleSpec  */
#line 8321 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44306 "preproc.c"
    break;

  case 1342: /* AlterOwnerStmt: ALTER CONVERSION_P any_name OWNER TO RoleSpec  */
#line 8325 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44314 "preproc.c"
    break;

  case 1343: /* AlterOwnerStmt: ALTER DATABASE database_name OWNER TO RoleSpec  */
#line 8329 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44322 "preproc.c"
    break;

  case 1344: /* AlterOwnerStmt: ALTER DOMAIN_P any_name OWNER TO RoleSpec  */
#line 8333 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44330 "preproc.c"
    break;

  case 1345: /* AlterOwnerStmt: ALTER FUNCTION function_with_argtypes OWNER TO RoleSpec  */
#line 8337 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44338 "preproc.c"
    break;

  case 1346: /* AlterOwnerStmt: ALTER opt_procedural LANGUAGE name OWNER TO RoleSpec  */
#line 8341 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44346 "preproc.c"
    break;

  case 1347: /* AlterOwnerStmt: ALTER LARGE_P OBJECT_P NumericOnly OWNER TO RoleSpec  */
#line 8345 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44354 "preproc.c"
    break;

  case 1348: /* AlterOwnerStmt: ALTER OPERATOR operator_with_argtypes OWNER TO RoleSpec  */
#line 8349 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44362 "preproc.c"
    break;

  case 1349: /* AlterOwnerStmt: ALTER OPERATOR CLASS any_name USING access_method OWNER TO RoleSpec  */
#line 8353 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44370 "preproc.c"
    break;

  case 1350: /* AlterOwnerStmt: ALTER OPERATOR FAMILY any_name USING access_method OWNER TO RoleSpec  */
#line 8357 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44378 "preproc.c"
    break;

  case 1351: /* AlterOwnerStmt: ALTER SCHEMA name OWNER TO RoleSpec  */
#line 8361 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44386 "preproc.c"
    break;

  case 1352: /* AlterOwnerStmt: ALTER TYPE_P any_name OWNER TO RoleSpec  */
#line 8365 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44394 "preproc.c"
    break;

  case 1353: /* AlterOwnerStmt: ALTER TABLESPACE name OWNER TO RoleSpec  */
#line 8369 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44402 "preproc.c"
    break;

  case 1354: /* AlterOwnerStmt: ALTER STATISTICS any_name OWNER TO RoleSpec  */
#line 8373 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44410 "preproc.c"
    break;

  case 1355: /* AlterOwnerStmt: ALTER TEXT_P SEARCH DICTIONARY any_name OWNER TO RoleSpec  */
#line 8377 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44418 "preproc.c"
    break;

  case 1356: /* AlterOwnerStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name OWNER TO RoleSpec  */
#line 8381 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44426 "preproc.c"
    break;

  case 1357: /* AlterOwnerStmt: ALTER FOREIGN DATA_P WRAPPER name OWNER TO RoleSpec  */
#line 8385 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44434 "preproc.c"
    break;

  case 1358: /* AlterOwnerStmt: ALTER SERVER name OWNER TO RoleSpec  */
#line 8389 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44442 "preproc.c"
    break;

  case 1359: /* AlterOwnerStmt: ALTER EVENT TRIGGER name OWNER TO RoleSpec  */
#line 8393 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44450 "preproc.c"
    break;

  case 1360: /* AlterOwnerStmt: ALTER PUBLICATION name OWNER TO RoleSpec  */
#line 8397 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44458 "preproc.c"
    break;

  case 1361: /* AlterOwnerStmt: ALTER SUBSCRIPTION name OWNER TO RoleSpec  */
#line 8401 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 44466 "preproc.c"
    break;

  case 1362: /* CreatePublicationStmt: CREATE PUBLICATION name opt_publication_for_tables opt_definition  */
#line 8409 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44474 "preproc.c"
    break;

  case 1363: /* opt_publication_for_tables: publication_for_tables  */
#line 8417 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44482 "preproc.c"
    break;

  case 1364: /* opt_publication_for_tables: %empty  */
#line 8421 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44489 "preproc.c"
    break;

  case 1365: /* publication_for_tables: FOR TABLE relation_expr_list  */
#line 8428 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for table"),(yyvsp[0].str));
}
#line 44497 "preproc.c"
    break;

  case 1366: /* publication_for_tables: FOR ALL TABLES  */
#line 8432 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for all tables");
}
#line 44505 "preproc.c"
    break;

  case 1367: /* AlterPublicationStmt: ALTER PUBLICATION name SET definition  */
#line 8440 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 44513 "preproc.c"
    break;

  case 1368: /* AlterPublicationStmt: ALTER PUBLICATION name ADD_P TABLE relation_expr_list  */
#line 8444 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("add table"),(yyvsp[0].str));
}
#line 44521 "preproc.c"
    break;

  case 1369: /* AlterPublicationStmt: ALTER PUBLICATION name SET TABLE relation_expr_list  */
#line 8448 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("set table"),(yyvsp[0].str));
}
#line 44529 "preproc.c"
    break;

  case 1370: /* AlterPublicationStmt: ALTER PUBLICATION name DROP TABLE relation_expr_list  */
#line 8452 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("drop table"),(yyvsp[0].str));
}
#line 44537 "preproc.c"
    break;

  case 1371: /* CreateSubscriptionStmt: CREATE SUBSCRIPTION name CONNECTION ecpg_sconst PUBLICATION publication_name_list opt_definition  */
#line 8460 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44545 "preproc.c"
    break;

  case 1372: /* publication_name_list: publication_name_item  */
#line 8468 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44553 "preproc.c"
    break;

  case 1373: /* publication_name_list: publication_name_list ',' publication_name_item  */
#line 8472 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44561 "preproc.c"
    break;

  case 1374: /* publication_name_item: ColLabel  */
#line 8480 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44569 "preproc.c"
    break;

  case 1375: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET definition  */
#line 8488 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 44577 "preproc.c"
    break;

  case 1376: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name CONNECTION ecpg_sconst  */
#line 8492 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 44585 "preproc.c"
    break;

  case 1377: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name REFRESH PUBLICATION opt_definition  */
#line 8496 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 44593 "preproc.c"
    break;

  case 1378: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET PUBLICATION publication_name_list opt_definition  */
#line 8500 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44601 "preproc.c"
    break;

  case 1379: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name ENABLE_P  */
#line 8504 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 44609 "preproc.c"
    break;

  case 1380: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name DISABLE_P  */
#line 8508 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 44617 "preproc.c"
    break;

  case 1381: /* DropSubscriptionStmt: DROP SUBSCRIPTION name opt_drop_behavior  */
#line 8516 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44625 "preproc.c"
    break;

  case 1382: /* DropSubscriptionStmt: DROP SUBSCRIPTION IF_P EXISTS name opt_drop_behavior  */
#line 8520 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44633 "preproc.c"
    break;

  case 1383: /* RuleStmt: CREATE opt_or_replace RULE name AS ON event TO qualified_name where_clause DO opt_instead RuleActionList  */
#line 8528 "preproc.y"
 { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44641 "preproc.c"
    break;

  case 1384: /* RuleActionList: NOTHING  */
#line 8536 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nothing");
}
#line 44649 "preproc.c"
    break;

  case 1385: /* RuleActionList: RuleActionStmt  */
#line 8540 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44657 "preproc.c"
    break;

  case 1386: /* RuleActionList: '(' RuleActionMulti ')'  */
#line 8544 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44665 "preproc.c"
    break;

  case 1387: /* RuleActionMulti: RuleActionMulti ';' RuleActionStmtOrEmpty  */
#line 8552 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 44673 "preproc.c"
    break;

  case 1388: /* RuleActionMulti: RuleActionStmtOrEmpty  */
#line 8556 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44681 "preproc.c"
    break;

  case 1389: /* RuleActionStmt: SelectStmt  */
#line 8564 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44689 "preproc.c"
    break;

  case 1390: /* RuleActionStmt: InsertStmt  */
#line 8568 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44697 "preproc.c"
    break;

  case 1391: /* RuleActionStmt: UpdateStmt  */
#line 8572 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44705 "preproc.c"
    break;

  case 1392: /* RuleActionStmt: DeleteStmt  */
#line 8576 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44713 "preproc.c"
    break;

  case 1393: /* RuleActionStmt: NotifyStmt  */
#line 8580 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44721 "preproc.c"
    break;

  case 1394: /* RuleActionStmtOrEmpty: RuleActionStmt  */
#line 8588 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44729 "preproc.c"
    break;

  case 1395: /* RuleActionStmtOrEmpty: %empty  */
#line 8592 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44736 "preproc.c"
    break;

  case 1396: /* event: SELECT  */
#line 8599 "preproc.y"
 { 
 (yyval.str) = mm_strdup("select");
}
#line 44744 "preproc.c"
    break;

  case 1397: /* event: UPDATE  */
#line 8603 "preproc.y"
 { 
 (yyval.str) = mm_strdup("update");
}
#line 44752 "preproc.c"
    break;

  case 1398: /* event: DELETE_P  */
#line 8607 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delete");
}
#line 44760 "preproc.c"
    break;

  case 1399: /* event: INSERT  */
#line 8611 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insert");
}
#line 44768 "preproc.c"
    break;

  case 1400: /* opt_instead: INSTEAD  */
#line 8619 "preproc.y"
 { 
 (yyval.str) = mm_strdup("instead");
}
#line 44776 "preproc.c"
    break;

  case 1401: /* opt_instead: ALSO  */
#line 8623 "preproc.y"
 { 
 (yyval.str) = mm_strdup("also");
}
#line 44784 "preproc.c"
    break;

  case 1402: /* opt_instead: %empty  */
#line 8627 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44791 "preproc.c"
    break;

  case 1403: /* NotifyStmt: NOTIFY ColId notify_payload  */
#line 8634 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44799 "preproc.c"
    break;

  case 1404: /* notify_payload: ',' ecpg_sconst  */
#line 8642 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 44807 "preproc.c"
    break;

  case 1405: /* notify_payload: %empty  */
#line 8646 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44814 "preproc.c"
    break;

  case 1406: /* ListenStmt: LISTEN ColId  */
#line 8653 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 44822 "preproc.c"
    break;

  case 1407: /* UnlistenStmt: UNLISTEN ColId  */
#line 8661 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 44830 "preproc.c"
    break;

  case 1408: /* UnlistenStmt: UNLISTEN '*'  */
#line 8665 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 44838 "preproc.c"
    break;

  case 1409: /* TransactionStmt: ABORT_P opt_transaction  */
#line 8673 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 44846 "preproc.c"
    break;

  case 1410: /* TransactionStmt: BEGIN_P opt_transaction transaction_mode_list_or_empty  */
#line 8677 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44854 "preproc.c"
    break;

  case 1411: /* TransactionStmt: START TRANSACTION transaction_mode_list_or_empty  */
#line 8681 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 44862 "preproc.c"
    break;

  case 1412: /* TransactionStmt: COMMIT opt_transaction  */
#line 8685 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 44870 "preproc.c"
    break;

  case 1413: /* TransactionStmt: END_P opt_transaction  */
#line 8689 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 44878 "preproc.c"
    break;

  case 1414: /* TransactionStmt: ROLLBACK opt_transaction  */
#line 8693 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 44886 "preproc.c"
    break;

  case 1415: /* TransactionStmt: SAVEPOINT ColId  */
#line 8697 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 44894 "preproc.c"
    break;

  case 1416: /* TransactionStmt: RELEASE SAVEPOINT ColId  */
#line 8701 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 44902 "preproc.c"
    break;

  case 1417: /* TransactionStmt: RELEASE ColId  */
#line 8705 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 44910 "preproc.c"
    break;

  case 1418: /* TransactionStmt: ROLLBACK opt_transaction TO SAVEPOINT ColId  */
#line 8709 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 44918 "preproc.c"
    break;

  case 1419: /* TransactionStmt: ROLLBACK opt_transaction TO ColId  */
#line 8713 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 44926 "preproc.c"
    break;

  case 1420: /* TransactionStmt: PREPARE TRANSACTION ecpg_sconst  */
#line 8717 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 44934 "preproc.c"
    break;

  case 1421: /* TransactionStmt: COMMIT PREPARED ecpg_sconst  */
#line 8721 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 44942 "preproc.c"
    break;

  case 1422: /* TransactionStmt: ROLLBACK PREPARED ecpg_sconst  */
#line 8725 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 44950 "preproc.c"
    break;

  case 1423: /* opt_transaction: WORK  */
#line 8733 "preproc.y"
 { 
 (yyval.str) = mm_strdup("work");
}
#line 44958 "preproc.c"
    break;

  case 1424: /* opt_transaction: TRANSACTION  */
#line 8737 "preproc.y"
 { 
 (yyval.str) = mm_strdup("transaction");
}
#line 44966 "preproc.c"
    break;

  case 1425: /* opt_transaction: %empty  */
#line 8741 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 44973 "preproc.c"
    break;

  case 1426: /* transaction_mode_item: ISOLATION LEVEL iso_level  */
#line 8748 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 44981 "preproc.c"
    break;

  case 1427: /* transaction_mode_item: READ ONLY  */
#line 8752 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read only");
}
#line 44989 "preproc.c"
    break;

  case 1428: /* transaction_mode_item: READ WRITE  */
#line 8756 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read write");
}
#line 44997 "preproc.c"
    break;

  case 1429: /* transaction_mode_item: DEFERRABLE  */
#line 8760 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 45005 "preproc.c"
    break;

  case 1430: /* transaction_mode_item: NOT DEFERRABLE  */
#line 8764 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 45013 "preproc.c"
    break;

  case 1431: /* transaction_mode_list: transaction_mode_item  */
#line 8772 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45021 "preproc.c"
    break;

  case 1432: /* transaction_mode_list: transaction_mode_list ',' transaction_mode_item  */
#line 8776 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45029 "preproc.c"
    break;

  case 1433: /* transaction_mode_list: transaction_mode_list transaction_mode_item  */
#line 8780 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45037 "preproc.c"
    break;

  case 1434: /* transaction_mode_list_or_empty: transaction_mode_list  */
#line 8788 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45045 "preproc.c"
    break;

  case 1435: /* transaction_mode_list_or_empty: %empty  */
#line 8792 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45052 "preproc.c"
    break;

  case 1436: /* ViewStmt: CREATE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 8799 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45060 "preproc.c"
    break;

  case 1437: /* ViewStmt: CREATE OR REPLACE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 8803 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45068 "preproc.c"
    break;

  case 1438: /* ViewStmt: CREATE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 8807 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45077 "preproc.c"
    break;

  case 1439: /* ViewStmt: CREATE OR REPLACE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 8812 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45086 "preproc.c"
    break;

  case 1440: /* opt_check_option: WITH CHECK OPTION  */
#line 8821 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with check option");
}
#line 45094 "preproc.c"
    break;

  case 1441: /* opt_check_option: WITH CASCADED CHECK OPTION  */
#line 8825 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 45102 "preproc.c"
    break;

  case 1442: /* opt_check_option: WITH LOCAL CHECK OPTION  */
#line 8829 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 45110 "preproc.c"
    break;

  case 1443: /* opt_check_option: %empty  */
#line 8833 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45117 "preproc.c"
    break;

  case 1444: /* LoadStmt: LOAD file_name  */
#line 8840 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 45125 "preproc.c"
    break;

  case 1445: /* CreatedbStmt: CREATE DATABASE database_name opt_with createdb_opt_list  */
#line 8848 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45133 "preproc.c"
    break;

  case 1446: /* createdb_opt_list: createdb_opt_items  */
#line 8856 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45141 "preproc.c"
    break;

  case 1447: /* createdb_opt_list: %empty  */
#line 8860 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45148 "preproc.c"
    break;

  case 1448: /* createdb_opt_items: createdb_opt_item  */
#line 8867 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45156 "preproc.c"
    break;

  case 1449: /* createdb_opt_items: createdb_opt_items createdb_opt_item  */
#line 8871 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45164 "preproc.c"
    break;

  case 1450: /* createdb_opt_item: createdb_opt_name opt_equal SignedIconst  */
#line 8879 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45172 "preproc.c"
    break;

  case 1451: /* createdb_opt_item: createdb_opt_name opt_equal opt_boolean_or_string  */
#line 8883 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45180 "preproc.c"
    break;

  case 1452: /* createdb_opt_item: createdb_opt_name opt_equal DEFAULT  */
#line 8887 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 45188 "preproc.c"
    break;

  case 1453: /* createdb_opt_name: ecpg_ident  */
#line 8895 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45196 "preproc.c"
    break;

  case 1454: /* createdb_opt_name: CONNECTION LIMIT  */
#line 8899 "preproc.y"
 { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 45204 "preproc.c"
    break;

  case 1455: /* createdb_opt_name: ENCODING  */
#line 8903 "preproc.y"
 { 
 (yyval.str) = mm_strdup("encoding");
}
#line 45212 "preproc.c"
    break;

  case 1456: /* createdb_opt_name: LOCATION  */
#line 8907 "preproc.y"
 { 
 (yyval.str) = mm_strdup("location");
}
#line 45220 "preproc.c"
    break;

  case 1457: /* createdb_opt_name: OWNER  */
#line 8911 "preproc.y"
 { 
 (yyval.str) = mm_strdup("owner");
}
#line 45228 "preproc.c"
    break;

  case 1458: /* createdb_opt_name: TABLESPACE  */
#line 8915 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 45236 "preproc.c"
    break;

  case 1459: /* createdb_opt_name: TEMPLATE  */
#line 8919 "preproc.y"
 { 
 (yyval.str) = mm_strdup("template");
}
#line 45244 "preproc.c"
    break;

  case 1460: /* opt_equal: '='  */
#line 8927 "preproc.y"
 { 
 (yyval.str) = mm_strdup("=");
}
#line 45252 "preproc.c"
    break;

  case 1461: /* opt_equal: %empty  */
#line 8931 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45259 "preproc.c"
    break;

  case 1462: /* AlterDatabaseStmt: ALTER DATABASE database_name WITH createdb_opt_list  */
#line 8938 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 45267 "preproc.c"
    break;

  case 1463: /* AlterDatabaseStmt: ALTER DATABASE database_name createdb_opt_list  */
#line 8942 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45275 "preproc.c"
    break;

  case 1464: /* AlterDatabaseStmt: ALTER DATABASE database_name SET TABLESPACE name  */
#line 8946 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 45283 "preproc.c"
    break;

  case 1465: /* AlterDatabaseSetStmt: ALTER DATABASE database_name SetResetClause  */
#line 8954 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45291 "preproc.c"
    break;

  case 1466: /* DropdbStmt: DROP DATABASE database_name  */
#line 8962 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 45299 "preproc.c"
    break;

  case 1467: /* DropdbStmt: DROP DATABASE IF_P EXISTS database_name  */
#line 8966 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 45307 "preproc.c"
    break;

  case 1468: /* AlterCollationStmt: ALTER COLLATION any_name REFRESH VERSION_P  */
#line 8974 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 45315 "preproc.c"
    break;

  case 1469: /* AlterSystemStmt: ALTER SYSTEM_P SET generic_set  */
#line 8982 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 45323 "preproc.c"
    break;

  case 1470: /* AlterSystemStmt: ALTER SYSTEM_P RESET generic_reset  */
#line 8986 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 45331 "preproc.c"
    break;

  case 1471: /* CreateDomainStmt: CREATE DOMAIN_P any_name opt_as Typename ColQualList  */
#line 8994 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45339 "preproc.c"
    break;

  case 1472: /* AlterDomainStmt: ALTER DOMAIN_P any_name alter_column_default  */
#line 9002 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45347 "preproc.c"
    break;

  case 1473: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP NOT NULL_P  */
#line 9006 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 45355 "preproc.c"
    break;

  case 1474: /* AlterDomainStmt: ALTER DOMAIN_P any_name SET NOT NULL_P  */
#line 9010 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 45363 "preproc.c"
    break;

  case 1475: /* AlterDomainStmt: ALTER DOMAIN_P any_name ADD_P TableConstraint  */
#line 9014 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 45371 "preproc.c"
    break;

  case 1476: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT name opt_drop_behavior  */
#line 9018 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45379 "preproc.c"
    break;

  case 1477: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 9022 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45387 "preproc.c"
    break;

  case 1478: /* AlterDomainStmt: ALTER DOMAIN_P any_name VALIDATE CONSTRAINT name  */
#line 9026 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 45395 "preproc.c"
    break;

  case 1479: /* opt_as: AS  */
#line 9034 "preproc.y"
 { 
 (yyval.str) = mm_strdup("as");
}
#line 45403 "preproc.c"
    break;

  case 1480: /* opt_as: %empty  */
#line 9038 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45410 "preproc.c"
    break;

  case 1481: /* AlterTSDictionaryStmt: ALTER TEXT_P SEARCH DICTIONARY any_name definition  */
#line 9045 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45418 "preproc.c"
    break;

  case 1482: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ADD_P MAPPING FOR name_list any_with any_name_list  */
#line 9053 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45426 "preproc.c"
    break;

  case 1483: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list any_with any_name_list  */
#line 9057 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45434 "preproc.c"
    break;

  case 1484: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING REPLACE any_name any_with any_name  */
#line 9061 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45442 "preproc.c"
    break;

  case 1485: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list REPLACE any_name any_with any_name  */
#line 9065 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45450 "preproc.c"
    break;

  case 1486: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING FOR name_list  */
#line 9069 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 45458 "preproc.c"
    break;

  case 1487: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING IF_P EXISTS FOR name_list  */
#line 9073 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 45466 "preproc.c"
    break;

  case 1488: /* any_with: WITH  */
#line 9081 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with");
}
#line 45474 "preproc.c"
    break;

  case 1489: /* any_with: WITH_LA  */
#line 9085 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with");
}
#line 45482 "preproc.c"
    break;

  case 1490: /* CreateConversionStmt: CREATE opt_default CONVERSION_P any_name FOR ecpg_sconst TO ecpg_sconst FROM any_name  */
#line 9093 "preproc.y"
 { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 45490 "preproc.c"
    break;

  case 1491: /* ClusterStmt: CLUSTER opt_verbose qualified_name cluster_index_specification  */
#line 9101 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45498 "preproc.c"
    break;

  case 1492: /* ClusterStmt: CLUSTER opt_verbose  */
#line 9105 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 45506 "preproc.c"
    break;

  case 1493: /* ClusterStmt: CLUSTER opt_verbose index_name ON qualified_name  */
#line 9109 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 45514 "preproc.c"
    break;

  case 1494: /* cluster_index_specification: USING index_name  */
#line 9117 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 45522 "preproc.c"
    break;

  case 1495: /* cluster_index_specification: %empty  */
#line 9121 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45529 "preproc.c"
    break;

  case 1496: /* VacuumStmt: VACUUM opt_full opt_freeze opt_verbose  */
#line 9128 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45537 "preproc.c"
    break;

  case 1497: /* VacuumStmt: VACUUM opt_full opt_freeze opt_verbose qualified_name  */
#line 9132 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45545 "preproc.c"
    break;

  case 1498: /* VacuumStmt: VACUUM opt_full opt_freeze opt_verbose AnalyzeStmt  */
#line 9136 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45553 "preproc.c"
    break;

  case 1499: /* VacuumStmt: VACUUM '(' vacuum_option_list ')'  */
#line 9140 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45561 "preproc.c"
    break;

  case 1500: /* VacuumStmt: VACUUM '(' vacuum_option_list ')' qualified_name opt_name_list  */
#line 9144 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45569 "preproc.c"
    break;

  case 1501: /* vacuum_option_list: vacuum_option_elem  */
#line 9152 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45577 "preproc.c"
    break;

  case 1502: /* vacuum_option_list: vacuum_option_list ',' vacuum_option_elem  */
#line 9156 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45585 "preproc.c"
    break;

  case 1503: /* vacuum_option_elem: analyze_keyword  */
#line 9164 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45593 "preproc.c"
    break;

  case 1504: /* vacuum_option_elem: VERBOSE  */
#line 9168 "preproc.y"
 { 
 (yyval.str) = mm_strdup("verbose");
}
#line 45601 "preproc.c"
    break;

  case 1505: /* vacuum_option_elem: FREEZE  */
#line 9172 "preproc.y"
 { 
 (yyval.str) = mm_strdup("freeze");
}
#line 45609 "preproc.c"
    break;

  case 1506: /* vacuum_option_elem: FULL  */
#line 9176 "preproc.y"
 { 
 (yyval.str) = mm_strdup("full");
}
#line 45617 "preproc.c"
    break;

  case 1507: /* vacuum_option_elem: ecpg_ident  */
#line 9180 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45625 "preproc.c"
    break;

  case 1508: /* AnalyzeStmt: analyze_keyword opt_verbose  */
#line 9188 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45633 "preproc.c"
    break;

  case 1509: /* AnalyzeStmt: analyze_keyword opt_verbose qualified_name opt_name_list  */
#line 9192 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45641 "preproc.c"
    break;

  case 1510: /* analyze_keyword: ANALYZE  */
#line 9200 "preproc.y"
 { 
 (yyval.str) = mm_strdup("analyze");
}
#line 45649 "preproc.c"
    break;

  case 1511: /* analyze_keyword: ANALYSE  */
#line 9204 "preproc.y"
 { 
 (yyval.str) = mm_strdup("analyse");
}
#line 45657 "preproc.c"
    break;

  case 1512: /* opt_verbose: VERBOSE  */
#line 9212 "preproc.y"
 { 
 (yyval.str) = mm_strdup("verbose");
}
#line 45665 "preproc.c"
    break;

  case 1513: /* opt_verbose: %empty  */
#line 9216 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45672 "preproc.c"
    break;

  case 1514: /* opt_full: FULL  */
#line 9223 "preproc.y"
 { 
 (yyval.str) = mm_strdup("full");
}
#line 45680 "preproc.c"
    break;

  case 1515: /* opt_full: %empty  */
#line 9227 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45687 "preproc.c"
    break;

  case 1516: /* opt_freeze: FREEZE  */
#line 9234 "preproc.y"
 { 
 (yyval.str) = mm_strdup("freeze");
}
#line 45695 "preproc.c"
    break;

  case 1517: /* opt_freeze: %empty  */
#line 9238 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45702 "preproc.c"
    break;

  case 1518: /* opt_name_list: '(' name_list ')'  */
#line 9245 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45710 "preproc.c"
    break;

  case 1519: /* opt_name_list: %empty  */
#line 9249 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45717 "preproc.c"
    break;

  case 1520: /* ExplainStmt: EXPLAIN ExplainableStmt  */
#line 9256 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 45725 "preproc.c"
    break;

  case 1521: /* ExplainStmt: EXPLAIN analyze_keyword opt_verbose ExplainableStmt  */
#line 9260 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45733 "preproc.c"
    break;

  case 1522: /* ExplainStmt: EXPLAIN VERBOSE ExplainableStmt  */
#line 9264 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 45741 "preproc.c"
    break;

  case 1523: /* ExplainStmt: EXPLAIN '(' explain_option_list ')' ExplainableStmt  */
#line 9268 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45749 "preproc.c"
    break;

  case 1524: /* ExplainableStmt: SelectStmt  */
#line 9276 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45757 "preproc.c"
    break;

  case 1525: /* ExplainableStmt: InsertStmt  */
#line 9280 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45765 "preproc.c"
    break;

  case 1526: /* ExplainableStmt: UpdateStmt  */
#line 9284 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45773 "preproc.c"
    break;

  case 1527: /* ExplainableStmt: DeleteStmt  */
#line 9288 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45781 "preproc.c"
    break;

  case 1528: /* ExplainableStmt: DeclareCursorStmt  */
#line 9292 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45789 "preproc.c"
    break;

  case 1529: /* ExplainableStmt: CreateAsStmt  */
#line 9296 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45797 "preproc.c"
    break;

  case 1530: /* ExplainableStmt: CreateMatViewStmt  */
#line 9300 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45805 "preproc.c"
    break;

  case 1531: /* ExplainableStmt: RefreshMatViewStmt  */
#line 9304 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45813 "preproc.c"
    break;

  case 1532: /* ExplainableStmt: ExecuteStmt  */
#line 9308 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45821 "preproc.c"
    break;

  case 1533: /* explain_option_list: explain_option_elem  */
#line 9316 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45829 "preproc.c"
    break;

  case 1534: /* explain_option_list: explain_option_list ',' explain_option_elem  */
#line 9320 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45837 "preproc.c"
    break;

  case 1535: /* explain_option_elem: explain_option_name explain_option_arg  */
#line 9328 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45845 "preproc.c"
    break;

  case 1536: /* explain_option_name: NonReservedWord  */
#line 9336 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45853 "preproc.c"
    break;

  case 1537: /* explain_option_name: analyze_keyword  */
#line 9340 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45861 "preproc.c"
    break;

  case 1538: /* explain_option_arg: opt_boolean_or_string  */
#line 9348 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45869 "preproc.c"
    break;

  case 1539: /* explain_option_arg: NumericOnly  */
#line 9352 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45877 "preproc.c"
    break;

  case 1540: /* explain_option_arg: %empty  */
#line 9356 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45884 "preproc.c"
    break;

  case 1541: /* PrepareStmt: PREPARE prepared_name prep_type_clause AS PreparableStmt  */
#line 9363 "preproc.y"
        {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 45894 "preproc.c"
    break;

  case 1542: /* PrepareStmt: PREPARE prepared_name FROM execstring  */
#line 9369 "preproc.y"
        {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 45904 "preproc.c"
    break;

  case 1543: /* prep_type_clause: '(' type_list ')'  */
#line 9379 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45912 "preproc.c"
    break;

  case 1544: /* prep_type_clause: %empty  */
#line 9383 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45919 "preproc.c"
    break;

  case 1545: /* PreparableStmt: SelectStmt  */
#line 9390 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45927 "preproc.c"
    break;

  case 1546: /* PreparableStmt: InsertStmt  */
#line 9394 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45935 "preproc.c"
    break;

  case 1547: /* PreparableStmt: UpdateStmt  */
#line 9398 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45943 "preproc.c"
    break;

  case 1548: /* PreparableStmt: DeleteStmt  */
#line 9402 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45951 "preproc.c"
    break;

  case 1549: /* ExecuteStmt: EXECUTE prepared_name execute_param_clause execute_rest  */
#line 9410 "preproc.y"
        { (yyval.str) = (yyvsp[-2].str); }
#line 45957 "preproc.c"
    break;

  case 1550: /* ExecuteStmt: CREATE OptTemp TABLE create_as_target AS EXECUTE name execute_param_clause opt_with_data  */
#line 9412 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45965 "preproc.c"
    break;

  case 1551: /* ExecuteStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS EXECUTE name execute_param_clause opt_with_data  */
#line 9416 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table if not exists"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45973 "preproc.c"
    break;

  case 1552: /* execute_param_clause: '(' expr_list ')'  */
#line 9424 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45981 "preproc.c"
    break;

  case 1553: /* execute_param_clause: %empty  */
#line 9428 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 45988 "preproc.c"
    break;

  case 1554: /* InsertStmt: opt_with_clause INSERT INTO insert_target insert_rest opt_on_conflict returning_clause  */
#line 9435 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45996 "preproc.c"
    break;

  case 1555: /* insert_target: qualified_name  */
#line 9443 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46004 "preproc.c"
    break;

  case 1556: /* insert_target: qualified_name AS ColId  */
#line 9447 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46012 "preproc.c"
    break;

  case 1557: /* insert_rest: SelectStmt  */
#line 9455 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46020 "preproc.c"
    break;

  case 1558: /* insert_rest: OVERRIDING override_kind VALUE_P SelectStmt  */
#line 9459 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 46028 "preproc.c"
    break;

  case 1559: /* insert_rest: '(' insert_column_list ')' SelectStmt  */
#line 9463 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46036 "preproc.c"
    break;

  case 1560: /* insert_rest: '(' insert_column_list ')' OVERRIDING override_kind VALUE_P SelectStmt  */
#line 9467 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 46044 "preproc.c"
    break;

  case 1561: /* insert_rest: DEFAULT VALUES  */
#line 9471 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default values");
}
#line 46052 "preproc.c"
    break;

  case 1562: /* override_kind: USER  */
#line 9479 "preproc.y"
 { 
 (yyval.str) = mm_strdup("user");
}
#line 46060 "preproc.c"
    break;

  case 1563: /* override_kind: SYSTEM_P  */
#line 9483 "preproc.y"
 { 
 (yyval.str) = mm_strdup("system");
}
#line 46068 "preproc.c"
    break;

  case 1564: /* insert_column_list: insert_column_item  */
#line 9491 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46076 "preproc.c"
    break;

  case 1565: /* insert_column_list: insert_column_list ',' insert_column_item  */
#line 9495 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46084 "preproc.c"
    break;

  case 1566: /* insert_column_item: ColId opt_indirection  */
#line 9503 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46092 "preproc.c"
    break;

  case 1567: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO UPDATE SET set_clause_list where_clause  */
#line 9511 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46100 "preproc.c"
    break;

  case 1568: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO NOTHING  */
#line 9515 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 46108 "preproc.c"
    break;

  case 1569: /* opt_on_conflict: %empty  */
#line 9519 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46115 "preproc.c"
    break;

  case 1570: /* opt_conf_expr: '(' index_params ')' where_clause  */
#line 9526 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 46123 "preproc.c"
    break;

  case 1571: /* opt_conf_expr: ON CONSTRAINT name  */
#line 9530 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 46131 "preproc.c"
    break;

  case 1572: /* opt_conf_expr: %empty  */
#line 9534 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46138 "preproc.c"
    break;

  case 1573: /* returning_clause: RETURNING target_list opt_ecpg_into  */
#line 9541 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 46146 "preproc.c"
    break;

  case 1574: /* returning_clause: %empty  */
#line 9545 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46153 "preproc.c"
    break;

  case 1575: /* DeleteStmt: opt_with_clause DELETE_P FROM relation_expr_opt_alias using_clause where_or_current_clause returning_clause  */
#line 9552 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46161 "preproc.c"
    break;

  case 1576: /* using_clause: USING from_list  */
#line 9560 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 46169 "preproc.c"
    break;

  case 1577: /* using_clause: %empty  */
#line 9564 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46176 "preproc.c"
    break;

  case 1578: /* LockStmt: LOCK_P opt_table relation_expr_list opt_lock opt_nowait  */
#line 9571 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46184 "preproc.c"
    break;

  case 1579: /* opt_lock: IN_P lock_type MODE  */
#line 9579 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 46192 "preproc.c"
    break;

  case 1580: /* opt_lock: %empty  */
#line 9583 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46199 "preproc.c"
    break;

  case 1581: /* lock_type: ACCESS SHARE  */
#line 9590 "preproc.y"
 { 
 (yyval.str) = mm_strdup("access share");
}
#line 46207 "preproc.c"
    break;

  case 1582: /* lock_type: ROW SHARE  */
#line 9594 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row share");
}
#line 46215 "preproc.c"
    break;

  case 1583: /* lock_type: ROW EXCLUSIVE  */
#line 9598 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 46223 "preproc.c"
    break;

  case 1584: /* lock_type: SHARE UPDATE EXCLUSIVE  */
#line 9602 "preproc.y"
 { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 46231 "preproc.c"
    break;

  case 1585: /* lock_type: SHARE  */
#line 9606 "preproc.y"
 { 
 (yyval.str) = mm_strdup("share");
}
#line 46239 "preproc.c"
    break;

  case 1586: /* lock_type: SHARE ROW EXCLUSIVE  */
#line 9610 "preproc.y"
 { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 46247 "preproc.c"
    break;

  case 1587: /* lock_type: EXCLUSIVE  */
#line 9614 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 46255 "preproc.c"
    break;

  case 1588: /* lock_type: ACCESS EXCLUSIVE  */
#line 9618 "preproc.y"
 { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 46263 "preproc.c"
    break;

  case 1589: /* opt_nowait: NOWAIT  */
#line 9626 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nowait");
}
#line 46271 "preproc.c"
    break;

  case 1590: /* opt_nowait: %empty  */
#line 9630 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46278 "preproc.c"
    break;

  case 1591: /* opt_nowait_or_skip: NOWAIT  */
#line 9637 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nowait");
}
#line 46286 "preproc.c"
    break;

  case 1592: /* opt_nowait_or_skip: SKIP LOCKED  */
#line 9641 "preproc.y"
 { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 46294 "preproc.c"
    break;

  case 1593: /* opt_nowait_or_skip: %empty  */
#line 9645 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46301 "preproc.c"
    break;

  case 1594: /* UpdateStmt: opt_with_clause UPDATE relation_expr_opt_alias SET set_clause_list from_clause where_or_current_clause returning_clause  */
#line 9652 "preproc.y"
 { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46309 "preproc.c"
    break;

  case 1595: /* set_clause_list: set_clause  */
#line 9660 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46317 "preproc.c"
    break;

  case 1596: /* set_clause_list: set_clause_list ',' set_clause  */
#line 9664 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46325 "preproc.c"
    break;

  case 1597: /* set_clause: set_target '=' a_expr  */
#line 9672 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 46333 "preproc.c"
    break;

  case 1598: /* set_clause: '(' set_target_list ')' '=' a_expr  */
#line 9676 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 46341 "preproc.c"
    break;

  case 1599: /* set_target: ColId opt_indirection  */
#line 9684 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46349 "preproc.c"
    break;

  case 1600: /* set_target_list: set_target  */
#line 9692 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46357 "preproc.c"
    break;

  case 1601: /* set_target_list: set_target_list ',' set_target  */
#line 9696 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46365 "preproc.c"
    break;

  case 1602: /* DeclareCursorStmt: DECLARE cursor_name cursor_options CURSOR opt_hold FOR SelectStmt  */
#line 9704 "preproc.y"
        {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 46418 "preproc.c"
    break;

  case 1603: /* cursor_name: name  */
#line 9757 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46426 "preproc.c"
    break;

  case 1604: /* cursor_name: char_civar  */
#line 9761 "preproc.y"
                {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 46438 "preproc.c"
    break;

  case 1605: /* cursor_options: %empty  */
#line 9773 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46445 "preproc.c"
    break;

  case 1606: /* cursor_options: cursor_options NO SCROLL  */
#line 9776 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 46453 "preproc.c"
    break;

  case 1607: /* cursor_options: cursor_options SCROLL  */
#line 9780 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 46461 "preproc.c"
    break;

  case 1608: /* cursor_options: cursor_options BINARY  */
#line 9784 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 46469 "preproc.c"
    break;

  case 1609: /* cursor_options: cursor_options INSENSITIVE  */
#line 9788 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 46477 "preproc.c"
    break;

  case 1610: /* opt_hold: %empty  */
#line 9796 "preproc.y"
        {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 46488 "preproc.c"
    break;

  case 1611: /* opt_hold: WITH HOLD  */
#line 9803 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with hold");
}
#line 46496 "preproc.c"
    break;

  case 1612: /* opt_hold: WITHOUT HOLD  */
#line 9807 "preproc.y"
 { 
 (yyval.str) = mm_strdup("without hold");
}
#line 46504 "preproc.c"
    break;

  case 1613: /* SelectStmt: select_no_parens  */
#line 9815 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46512 "preproc.c"
    break;

  case 1614: /* SelectStmt: select_with_parens  */
#line 9819 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46520 "preproc.c"
    break;

  case 1615: /* select_with_parens: '(' select_no_parens ')'  */
#line 9827 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46528 "preproc.c"
    break;

  case 1616: /* select_with_parens: '(' select_with_parens ')'  */
#line 9831 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46536 "preproc.c"
    break;

  case 1617: /* select_no_parens: simple_select  */
#line 9839 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46544 "preproc.c"
    break;

  case 1618: /* select_no_parens: select_clause sort_clause  */
#line 9843 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46552 "preproc.c"
    break;

  case 1619: /* select_no_parens: select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 9847 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46560 "preproc.c"
    break;

  case 1620: /* select_no_parens: select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 9851 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46568 "preproc.c"
    break;

  case 1621: /* select_no_parens: with_clause select_clause  */
#line 9855 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46576 "preproc.c"
    break;

  case 1622: /* select_no_parens: with_clause select_clause sort_clause  */
#line 9859 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46584 "preproc.c"
    break;

  case 1623: /* select_no_parens: with_clause select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 9863 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46592 "preproc.c"
    break;

  case 1624: /* select_no_parens: with_clause select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 9867 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46600 "preproc.c"
    break;

  case 1625: /* select_clause: simple_select  */
#line 9875 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46608 "preproc.c"
    break;

  case 1626: /* select_clause: select_with_parens  */
#line 9879 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46616 "preproc.c"
    break;

  case 1627: /* simple_select: SELECT opt_all_clause opt_target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 9887 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46624 "preproc.c"
    break;

  case 1628: /* simple_select: SELECT distinct_clause target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 9891 "preproc.y"
 { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46632 "preproc.c"
    break;

  case 1629: /* simple_select: values_clause  */
#line 9895 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46640 "preproc.c"
    break;

  case 1630: /* simple_select: TABLE relation_expr  */
#line 9899 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 46648 "preproc.c"
    break;

  case 1631: /* simple_select: select_clause UNION all_or_distinct select_clause  */
#line 9903 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46656 "preproc.c"
    break;

  case 1632: /* simple_select: select_clause INTERSECT all_or_distinct select_clause  */
#line 9907 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46664 "preproc.c"
    break;

  case 1633: /* simple_select: select_clause EXCEPT all_or_distinct select_clause  */
#line 9911 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46672 "preproc.c"
    break;

  case 1634: /* with_clause: WITH cte_list  */
#line 9919 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 46680 "preproc.c"
    break;

  case 1635: /* with_clause: WITH_LA cte_list  */
#line 9923 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 46688 "preproc.c"
    break;

  case 1636: /* with_clause: WITH RECURSIVE cte_list  */
#line 9927 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 46696 "preproc.c"
    break;

  case 1637: /* cte_list: common_table_expr  */
#line 9935 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46704 "preproc.c"
    break;

  case 1638: /* cte_list: cte_list ',' common_table_expr  */
#line 9939 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46712 "preproc.c"
    break;

  case 1639: /* common_table_expr: name opt_name_list AS '(' PreparableStmt ')'  */
#line 9947 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46720 "preproc.c"
    break;

  case 1640: /* opt_with_clause: with_clause  */
#line 9955 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46728 "preproc.c"
    break;

  case 1641: /* opt_with_clause: %empty  */
#line 9959 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46735 "preproc.c"
    break;

  case 1642: /* into_clause: INTO OptTempTableName  */
#line 9966 "preproc.y"
                                        {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 46744 "preproc.c"
    break;

  case 1643: /* into_clause: ecpg_into  */
#line 9970 "preproc.y"
                    { (yyval.str) = EMPTY; }
#line 46750 "preproc.c"
    break;

  case 1644: /* into_clause: %empty  */
#line 9972 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46757 "preproc.c"
    break;

  case 1645: /* OptTempTableName: TEMPORARY opt_table qualified_name  */
#line 9979 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46765 "preproc.c"
    break;

  case 1646: /* OptTempTableName: TEMP opt_table qualified_name  */
#line 9983 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46773 "preproc.c"
    break;

  case 1647: /* OptTempTableName: LOCAL TEMPORARY opt_table qualified_name  */
#line 9987 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46781 "preproc.c"
    break;

  case 1648: /* OptTempTableName: LOCAL TEMP opt_table qualified_name  */
#line 9991 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46789 "preproc.c"
    break;

  case 1649: /* OptTempTableName: GLOBAL TEMPORARY opt_table qualified_name  */
#line 9995 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46797 "preproc.c"
    break;

  case 1650: /* OptTempTableName: GLOBAL TEMP opt_table qualified_name  */
#line 9999 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46805 "preproc.c"
    break;

  case 1651: /* OptTempTableName: UNLOGGED opt_table qualified_name  */
#line 10003 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46813 "preproc.c"
    break;

  case 1652: /* OptTempTableName: TABLE qualified_name  */
#line 10007 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 46821 "preproc.c"
    break;

  case 1653: /* OptTempTableName: qualified_name  */
#line 10011 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46829 "preproc.c"
    break;

  case 1654: /* opt_table: TABLE  */
#line 10019 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 46837 "preproc.c"
    break;

  case 1655: /* opt_table: %empty  */
#line 10023 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46844 "preproc.c"
    break;

  case 1656: /* all_or_distinct: ALL  */
#line 10030 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 46852 "preproc.c"
    break;

  case 1657: /* all_or_distinct: DISTINCT  */
#line 10034 "preproc.y"
 { 
 (yyval.str) = mm_strdup("distinct");
}
#line 46860 "preproc.c"
    break;

  case 1658: /* all_or_distinct: %empty  */
#line 10038 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46867 "preproc.c"
    break;

  case 1659: /* distinct_clause: DISTINCT  */
#line 10045 "preproc.y"
 { 
 (yyval.str) = mm_strdup("distinct");
}
#line 46875 "preproc.c"
    break;

  case 1660: /* distinct_clause: DISTINCT ON '(' expr_list ')'  */
#line 10049 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46883 "preproc.c"
    break;

  case 1661: /* opt_all_clause: ALL  */
#line 10057 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 46891 "preproc.c"
    break;

  case 1662: /* opt_all_clause: %empty  */
#line 10061 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46898 "preproc.c"
    break;

  case 1663: /* opt_sort_clause: sort_clause  */
#line 10068 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46906 "preproc.c"
    break;

  case 1664: /* opt_sort_clause: %empty  */
#line 10072 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 46913 "preproc.c"
    break;

  case 1665: /* sort_clause: ORDER BY sortby_list  */
#line 10079 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 46921 "preproc.c"
    break;

  case 1666: /* sortby_list: sortby  */
#line 10087 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46929 "preproc.c"
    break;

  case 1667: /* sortby_list: sortby_list ',' sortby  */
#line 10091 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46937 "preproc.c"
    break;

  case 1668: /* sortby: a_expr USING qual_all_Op opt_nulls_order  */
#line 10099 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46945 "preproc.c"
    break;

  case 1669: /* sortby: a_expr opt_asc_desc opt_nulls_order  */
#line 10103 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46953 "preproc.c"
    break;

  case 1670: /* select_limit: limit_clause offset_clause  */
#line 10111 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46961 "preproc.c"
    break;

  case 1671: /* select_limit: offset_clause limit_clause  */
#line 10115 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46969 "preproc.c"
    break;

  case 1672: /* select_limit: limit_clause  */
#line 10119 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46977 "preproc.c"
    break;

  case 1673: /* select_limit: offset_clause  */
#line 10123 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46985 "preproc.c"
    break;

  case 1674: /* opt_select_limit: select_limit  */
#line 10131 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46993 "preproc.c"
    break;

  case 1675: /* opt_select_limit: %empty  */
#line 10135 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47000 "preproc.c"
    break;

  case 1676: /* limit_clause: LIMIT select_limit_value  */
#line 10142 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 47008 "preproc.c"
    break;

  case 1677: /* limit_clause: LIMIT select_limit_value ',' select_offset_value  */
#line 10146 "preproc.y"
        {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 47017 "preproc.c"
    break;

  case 1678: /* limit_clause: FETCH first_or_next select_fetch_first_value row_or_rows ONLY  */
#line 10151 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 47025 "preproc.c"
    break;

  case 1679: /* limit_clause: FETCH first_or_next row_or_rows ONLY  */
#line 10155 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 47033 "preproc.c"
    break;

  case 1680: /* offset_clause: OFFSET select_offset_value  */
#line 10163 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 47041 "preproc.c"
    break;

  case 1681: /* offset_clause: OFFSET select_fetch_first_value row_or_rows  */
#line 10167 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47049 "preproc.c"
    break;

  case 1682: /* select_limit_value: a_expr  */
#line 10175 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47057 "preproc.c"
    break;

  case 1683: /* select_limit_value: ALL  */
#line 10179 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 47065 "preproc.c"
    break;

  case 1684: /* select_offset_value: a_expr  */
#line 10187 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47073 "preproc.c"
    break;

  case 1685: /* select_fetch_first_value: c_expr  */
#line 10195 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47081 "preproc.c"
    break;

  case 1686: /* select_fetch_first_value: '+' I_or_F_const  */
#line 10199 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47089 "preproc.c"
    break;

  case 1687: /* select_fetch_first_value: '-' I_or_F_const  */
#line 10203 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47097 "preproc.c"
    break;

  case 1688: /* I_or_F_const: Iconst  */
#line 10211 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47105 "preproc.c"
    break;

  case 1689: /* I_or_F_const: ecpg_fconst  */
#line 10215 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47113 "preproc.c"
    break;

  case 1690: /* row_or_rows: ROW  */
#line 10223 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row");
}
#line 47121 "preproc.c"
    break;

  case 1691: /* row_or_rows: ROWS  */
#line 10227 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rows");
}
#line 47129 "preproc.c"
    break;

  case 1692: /* first_or_next: FIRST_P  */
#line 10235 "preproc.y"
 { 
 (yyval.str) = mm_strdup("first");
}
#line 47137 "preproc.c"
    break;

  case 1693: /* first_or_next: NEXT  */
#line 10239 "preproc.y"
 { 
 (yyval.str) = mm_strdup("next");
}
#line 47145 "preproc.c"
    break;

  case 1694: /* group_clause: GROUP_P BY group_by_list  */
#line 10247 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 47153 "preproc.c"
    break;

  case 1695: /* group_clause: %empty  */
#line 10251 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47160 "preproc.c"
    break;

  case 1696: /* group_by_list: group_by_item  */
#line 10258 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47168 "preproc.c"
    break;

  case 1697: /* group_by_list: group_by_list ',' group_by_item  */
#line 10262 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47176 "preproc.c"
    break;

  case 1698: /* group_by_item: a_expr  */
#line 10270 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47184 "preproc.c"
    break;

  case 1699: /* group_by_item: empty_grouping_set  */
#line 10274 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47192 "preproc.c"
    break;

  case 1700: /* group_by_item: cube_clause  */
#line 10278 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47200 "preproc.c"
    break;

  case 1701: /* group_by_item: rollup_clause  */
#line 10282 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47208 "preproc.c"
    break;

  case 1702: /* group_by_item: grouping_sets_clause  */
#line 10286 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47216 "preproc.c"
    break;

  case 1703: /* empty_grouping_set: '(' ')'  */
#line 10294 "preproc.y"
 { 
 (yyval.str) = mm_strdup("( )");
}
#line 47224 "preproc.c"
    break;

  case 1704: /* rollup_clause: ROLLUP '(' expr_list ')'  */
#line 10302 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47232 "preproc.c"
    break;

  case 1705: /* cube_clause: CUBE '(' expr_list ')'  */
#line 10310 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47240 "preproc.c"
    break;

  case 1706: /* grouping_sets_clause: GROUPING SETS '(' group_by_list ')'  */
#line 10318 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47248 "preproc.c"
    break;

  case 1707: /* having_clause: HAVING a_expr  */
#line 10326 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 47256 "preproc.c"
    break;

  case 1708: /* having_clause: %empty  */
#line 10330 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47263 "preproc.c"
    break;

  case 1709: /* for_locking_clause: for_locking_items  */
#line 10337 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47271 "preproc.c"
    break;

  case 1710: /* for_locking_clause: FOR READ ONLY  */
#line 10341 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for read only");
}
#line 47279 "preproc.c"
    break;

  case 1711: /* opt_for_locking_clause: for_locking_clause  */
#line 10349 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47287 "preproc.c"
    break;

  case 1712: /* opt_for_locking_clause: %empty  */
#line 10353 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47294 "preproc.c"
    break;

  case 1713: /* for_locking_items: for_locking_item  */
#line 10360 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47302 "preproc.c"
    break;

  case 1714: /* for_locking_items: for_locking_items for_locking_item  */
#line 10364 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47310 "preproc.c"
    break;

  case 1715: /* for_locking_item: for_locking_strength locked_rels_list opt_nowait_or_skip  */
#line 10372 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47318 "preproc.c"
    break;

  case 1716: /* for_locking_strength: FOR UPDATE  */
#line 10380 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for update");
}
#line 47326 "preproc.c"
    break;

  case 1717: /* for_locking_strength: FOR NO KEY UPDATE  */
#line 10384 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 47334 "preproc.c"
    break;

  case 1718: /* for_locking_strength: FOR SHARE  */
#line 10388 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for share");
}
#line 47342 "preproc.c"
    break;

  case 1719: /* for_locking_strength: FOR KEY SHARE  */
#line 10392 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for key share");
}
#line 47350 "preproc.c"
    break;

  case 1720: /* locked_rels_list: OF qualified_name_list  */
#line 10400 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 47358 "preproc.c"
    break;

  case 1721: /* locked_rels_list: %empty  */
#line 10404 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47365 "preproc.c"
    break;

  case 1722: /* values_clause: VALUES '(' expr_list ')'  */
#line 10411 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47373 "preproc.c"
    break;

  case 1723: /* values_clause: values_clause ',' '(' expr_list ')'  */
#line 10415 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47381 "preproc.c"
    break;

  case 1724: /* from_clause: FROM from_list  */
#line 10423 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 47389 "preproc.c"
    break;

  case 1725: /* from_clause: %empty  */
#line 10427 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47396 "preproc.c"
    break;

  case 1726: /* from_list: table_ref  */
#line 10434 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47404 "preproc.c"
    break;

  case 1727: /* from_list: from_list ',' table_ref  */
#line 10438 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47412 "preproc.c"
    break;

  case 1728: /* table_ref: relation_expr opt_alias_clause  */
#line 10446 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47420 "preproc.c"
    break;

  case 1729: /* table_ref: relation_expr opt_alias_clause tablesample_clause  */
#line 10450 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47428 "preproc.c"
    break;

  case 1730: /* table_ref: func_table func_alias_clause  */
#line 10454 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47436 "preproc.c"
    break;

  case 1731: /* table_ref: LATERAL_P func_table func_alias_clause  */
#line 10458 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47444 "preproc.c"
    break;

  case 1732: /* table_ref: xmltable opt_alias_clause  */
#line 10462 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47452 "preproc.c"
    break;

  case 1733: /* table_ref: LATERAL_P xmltable opt_alias_clause  */
#line 10466 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47460 "preproc.c"
    break;

  case 1734: /* table_ref: select_with_parens opt_alias_clause  */
#line 10470 "preproc.y"
 { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47471 "preproc.c"
    break;

  case 1735: /* table_ref: LATERAL_P select_with_parens opt_alias_clause  */
#line 10477 "preproc.y"
 { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47482 "preproc.c"
    break;

  case 1736: /* table_ref: joined_table  */
#line 10484 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47490 "preproc.c"
    break;

  case 1737: /* table_ref: '(' joined_table ')' alias_clause  */
#line 10488 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47498 "preproc.c"
    break;

  case 1738: /* joined_table: '(' joined_table ')'  */
#line 10496 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47506 "preproc.c"
    break;

  case 1739: /* joined_table: table_ref CROSS JOIN table_ref  */
#line 10500 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 47514 "preproc.c"
    break;

  case 1740: /* joined_table: table_ref join_type JOIN table_ref join_qual  */
#line 10504 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47522 "preproc.c"
    break;

  case 1741: /* joined_table: table_ref JOIN table_ref join_qual  */
#line 10508 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47530 "preproc.c"
    break;

  case 1742: /* joined_table: table_ref NATURAL join_type JOIN table_ref  */
#line 10512 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 47538 "preproc.c"
    break;

  case 1743: /* joined_table: table_ref NATURAL JOIN table_ref  */
#line 10516 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 47546 "preproc.c"
    break;

  case 1744: /* alias_clause: AS ColId '(' name_list ')'  */
#line 10524 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47554 "preproc.c"
    break;

  case 1745: /* alias_clause: AS ColId  */
#line 10528 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 47562 "preproc.c"
    break;

  case 1746: /* alias_clause: ColId '(' name_list ')'  */
#line 10532 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47570 "preproc.c"
    break;

  case 1747: /* alias_clause: ColId  */
#line 10536 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47578 "preproc.c"
    break;

  case 1748: /* opt_alias_clause: alias_clause  */
#line 10544 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47586 "preproc.c"
    break;

  case 1749: /* opt_alias_clause: %empty  */
#line 10548 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47593 "preproc.c"
    break;

  case 1750: /* func_alias_clause: alias_clause  */
#line 10555 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47601 "preproc.c"
    break;

  case 1751: /* func_alias_clause: AS '(' TableFuncElementList ')'  */
#line 10559 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47609 "preproc.c"
    break;

  case 1752: /* func_alias_clause: AS ColId '(' TableFuncElementList ')'  */
#line 10563 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47617 "preproc.c"
    break;

  case 1753: /* func_alias_clause: ColId '(' TableFuncElementList ')'  */
#line 10567 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47625 "preproc.c"
    break;

  case 1754: /* func_alias_clause: %empty  */
#line 10571 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47632 "preproc.c"
    break;

  case 1755: /* join_type: FULL join_outer  */
#line 10578 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 47640 "preproc.c"
    break;

  case 1756: /* join_type: LEFT join_outer  */
#line 10582 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 47648 "preproc.c"
    break;

  case 1757: /* join_type: RIGHT join_outer  */
#line 10586 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 47656 "preproc.c"
    break;

  case 1758: /* join_type: INNER_P  */
#line 10590 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inner");
}
#line 47664 "preproc.c"
    break;

  case 1759: /* join_outer: OUTER_P  */
#line 10598 "preproc.y"
 { 
 (yyval.str) = mm_strdup("outer");
}
#line 47672 "preproc.c"
    break;

  case 1760: /* join_outer: %empty  */
#line 10602 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47679 "preproc.c"
    break;

  case 1761: /* join_qual: USING '(' name_list ')'  */
#line 10609 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47687 "preproc.c"
    break;

  case 1762: /* join_qual: ON a_expr  */
#line 10613 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 47695 "preproc.c"
    break;

  case 1763: /* relation_expr: qualified_name  */
#line 10621 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47703 "preproc.c"
    break;

  case 1764: /* relation_expr: qualified_name '*'  */
#line 10625 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 47711 "preproc.c"
    break;

  case 1765: /* relation_expr: ONLY qualified_name  */
#line 10629 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 47719 "preproc.c"
    break;

  case 1766: /* relation_expr: ONLY '(' qualified_name ')'  */
#line 10633 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47727 "preproc.c"
    break;

  case 1767: /* relation_expr_list: relation_expr  */
#line 10641 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47735 "preproc.c"
    break;

  case 1768: /* relation_expr_list: relation_expr_list ',' relation_expr  */
#line 10645 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47743 "preproc.c"
    break;

  case 1769: /* relation_expr_opt_alias: relation_expr  */
#line 10653 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47751 "preproc.c"
    break;

  case 1770: /* relation_expr_opt_alias: relation_expr ColId  */
#line 10657 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47759 "preproc.c"
    break;

  case 1771: /* relation_expr_opt_alias: relation_expr AS ColId  */
#line 10661 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 47767 "preproc.c"
    break;

  case 1772: /* tablesample_clause: TABLESAMPLE func_name '(' expr_list ')' opt_repeatable_clause  */
#line 10669 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47775 "preproc.c"
    break;

  case 1773: /* opt_repeatable_clause: REPEATABLE '(' a_expr ')'  */
#line 10677 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47783 "preproc.c"
    break;

  case 1774: /* opt_repeatable_clause: %empty  */
#line 10681 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47790 "preproc.c"
    break;

  case 1775: /* func_table: func_expr_windowless opt_ordinality  */
#line 10688 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47798 "preproc.c"
    break;

  case 1776: /* func_table: ROWS FROM '(' rowsfrom_list ')' opt_ordinality  */
#line 10692 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47806 "preproc.c"
    break;

  case 1777: /* rowsfrom_item: func_expr_windowless opt_col_def_list  */
#line 10700 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47814 "preproc.c"
    break;

  case 1778: /* rowsfrom_list: rowsfrom_item  */
#line 10708 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47822 "preproc.c"
    break;

  case 1779: /* rowsfrom_list: rowsfrom_list ',' rowsfrom_item  */
#line 10712 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47830 "preproc.c"
    break;

  case 1780: /* opt_col_def_list: AS '(' TableFuncElementList ')'  */
#line 10720 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47838 "preproc.c"
    break;

  case 1781: /* opt_col_def_list: %empty  */
#line 10724 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47845 "preproc.c"
    break;

  case 1782: /* opt_ordinality: WITH_LA ORDINALITY  */
#line 10731 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 47853 "preproc.c"
    break;

  case 1783: /* opt_ordinality: %empty  */
#line 10735 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47860 "preproc.c"
    break;

  case 1784: /* where_clause: WHERE a_expr  */
#line 10742 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 47868 "preproc.c"
    break;

  case 1785: /* where_clause: %empty  */
#line 10746 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47875 "preproc.c"
    break;

  case 1786: /* where_or_current_clause: WHERE a_expr  */
#line 10753 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 47883 "preproc.c"
    break;

  case 1787: /* where_or_current_clause: WHERE CURRENT_P OF cursor_name  */
#line 10757 "preproc.y"
        {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 47892 "preproc.c"
    break;

  case 1788: /* where_or_current_clause: %empty  */
#line 10762 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47899 "preproc.c"
    break;

  case 1789: /* OptTableFuncElementList: TableFuncElementList  */
#line 10769 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47907 "preproc.c"
    break;

  case 1790: /* OptTableFuncElementList: %empty  */
#line 10773 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 47914 "preproc.c"
    break;

  case 1791: /* TableFuncElementList: TableFuncElement  */
#line 10780 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47922 "preproc.c"
    break;

  case 1792: /* TableFuncElementList: TableFuncElementList ',' TableFuncElement  */
#line 10784 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47930 "preproc.c"
    break;

  case 1793: /* TableFuncElement: ColId Typename opt_collate_clause  */
#line 10792 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47938 "preproc.c"
    break;

  case 1794: /* xmltable: XMLTABLE '(' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 10800 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47946 "preproc.c"
    break;

  case 1795: /* xmltable: XMLTABLE '(' XMLNAMESPACES '(' xml_namespace_list ')' ',' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 10804 "preproc.y"
 { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47954 "preproc.c"
    break;

  case 1796: /* xmltable_column_list: xmltable_column_el  */
#line 10812 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47962 "preproc.c"
    break;

  case 1797: /* xmltable_column_list: xmltable_column_list ',' xmltable_column_el  */
#line 10816 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47970 "preproc.c"
    break;

  case 1798: /* xmltable_column_el: ColId Typename  */
#line 10824 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47978 "preproc.c"
    break;

  case 1799: /* xmltable_column_el: ColId Typename xmltable_column_option_list  */
#line 10828 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47986 "preproc.c"
    break;

  case 1800: /* xmltable_column_el: ColId FOR ORDINALITY  */
#line 10832 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 47994 "preproc.c"
    break;

  case 1801: /* xmltable_column_option_list: xmltable_column_option_el  */
#line 10840 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48002 "preproc.c"
    break;

  case 1802: /* xmltable_column_option_list: xmltable_column_option_list xmltable_column_option_el  */
#line 10844 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48010 "preproc.c"
    break;

  case 1803: /* xmltable_column_option_el: ecpg_ident b_expr  */
#line 10852 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48018 "preproc.c"
    break;

  case 1804: /* xmltable_column_option_el: DEFAULT b_expr  */
#line 10856 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 48026 "preproc.c"
    break;

  case 1805: /* xmltable_column_option_el: NOT NULL_P  */
#line 10860 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not null");
}
#line 48034 "preproc.c"
    break;

  case 1806: /* xmltable_column_option_el: NULL_P  */
#line 10864 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 48042 "preproc.c"
    break;

  case 1807: /* xml_namespace_list: xml_namespace_el  */
#line 10872 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48050 "preproc.c"
    break;

  case 1808: /* xml_namespace_list: xml_namespace_list ',' xml_namespace_el  */
#line 10876 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48058 "preproc.c"
    break;

  case 1809: /* xml_namespace_el: b_expr AS ColLabel  */
#line 10884 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 48066 "preproc.c"
    break;

  case 1810: /* xml_namespace_el: DEFAULT b_expr  */
#line 10888 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 48074 "preproc.c"
    break;

  case 1811: /* Typename: SimpleTypename opt_array_bounds  */
#line 10896 "preproc.y"
        {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 48080 "preproc.c"
    break;

  case 1812: /* Typename: SETOF SimpleTypename opt_array_bounds  */
#line 10898 "preproc.y"
        {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 48086 "preproc.c"
    break;

  case 1813: /* Typename: SimpleTypename ARRAY '[' Iconst ']'  */
#line 10900 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 48094 "preproc.c"
    break;

  case 1814: /* Typename: SETOF SimpleTypename ARRAY '[' Iconst ']'  */
#line 10904 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 48102 "preproc.c"
    break;

  case 1815: /* Typename: SimpleTypename ARRAY  */
#line 10908 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 48110 "preproc.c"
    break;

  case 1816: /* Typename: SETOF SimpleTypename ARRAY  */
#line 10912 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 48118 "preproc.c"
    break;

  case 1817: /* opt_array_bounds: opt_array_bounds '[' ']'  */
#line 10920 "preproc.y"
        {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 48132 "preproc.c"
    break;

  case 1818: /* opt_array_bounds: opt_array_bounds '[' Iresult ']'  */
#line 10930 "preproc.y"
        {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 48146 "preproc.c"
    break;

  case 1819: /* opt_array_bounds: %empty  */
#line 10940 "preproc.y"
        {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 48156 "preproc.c"
    break;

  case 1820: /* SimpleTypename: GenericType  */
#line 10950 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48164 "preproc.c"
    break;

  case 1821: /* SimpleTypename: Numeric  */
#line 10954 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48172 "preproc.c"
    break;

  case 1822: /* SimpleTypename: Bit  */
#line 10958 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48180 "preproc.c"
    break;

  case 1823: /* SimpleTypename: Character  */
#line 10962 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48188 "preproc.c"
    break;

  case 1824: /* SimpleTypename: ConstDatetime  */
#line 10966 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48196 "preproc.c"
    break;

  case 1825: /* SimpleTypename: ConstInterval opt_interval  */
#line 10970 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48204 "preproc.c"
    break;

  case 1826: /* SimpleTypename: ConstInterval '(' Iconst ')'  */
#line 10974 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48212 "preproc.c"
    break;

  case 1827: /* ConstTypename: Numeric  */
#line 10982 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48220 "preproc.c"
    break;

  case 1828: /* ConstTypename: ConstBit  */
#line 10986 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48228 "preproc.c"
    break;

  case 1829: /* ConstTypename: ConstCharacter  */
#line 10990 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48236 "preproc.c"
    break;

  case 1830: /* ConstTypename: ConstDatetime  */
#line 10994 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48244 "preproc.c"
    break;

  case 1831: /* GenericType: type_function_name opt_type_modifiers  */
#line 11002 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48252 "preproc.c"
    break;

  case 1832: /* GenericType: type_function_name attrs opt_type_modifiers  */
#line 11006 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48260 "preproc.c"
    break;

  case 1833: /* opt_type_modifiers: '(' expr_list ')'  */
#line 11014 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48268 "preproc.c"
    break;

  case 1834: /* opt_type_modifiers: %empty  */
#line 11018 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 48275 "preproc.c"
    break;

  case 1835: /* Numeric: INT_P  */
#line 11025 "preproc.y"
 { 
 (yyval.str) = mm_strdup("int");
}
#line 48283 "preproc.c"
    break;

  case 1836: /* Numeric: INTEGER  */
#line 11029 "preproc.y"
 { 
 (yyval.str) = mm_strdup("integer");
}
#line 48291 "preproc.c"
    break;

  case 1837: /* Numeric: SMALLINT  */
#line 11033 "preproc.y"
 { 
 (yyval.str) = mm_strdup("smallint");
}
#line 48299 "preproc.c"
    break;

  case 1838: /* Numeric: BIGINT  */
#line 11037 "preproc.y"
 { 
 (yyval.str) = mm_strdup("bigint");
}
#line 48307 "preproc.c"
    break;

  case 1839: /* Numeric: REAL  */
#line 11041 "preproc.y"
 { 
 (yyval.str) = mm_strdup("real");
}
#line 48315 "preproc.c"
    break;

  case 1840: /* Numeric: FLOAT_P opt_float  */
#line 11045 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 48323 "preproc.c"
    break;

  case 1841: /* Numeric: DOUBLE_P PRECISION  */
#line 11049 "preproc.y"
 { 
 (yyval.str) = mm_strdup("double precision");
}
#line 48331 "preproc.c"
    break;

  case 1842: /* Numeric: DECIMAL_P opt_type_modifiers  */
#line 11053 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 48339 "preproc.c"
    break;

  case 1843: /* Numeric: DEC opt_type_modifiers  */
#line 11057 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 48347 "preproc.c"
    break;

  case 1844: /* Numeric: NUMERIC opt_type_modifiers  */
#line 11061 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 48355 "preproc.c"
    break;

  case 1845: /* Numeric: BOOLEAN_P  */
#line 11065 "preproc.y"
 { 
 (yyval.str) = mm_strdup("boolean");
}
#line 48363 "preproc.c"
    break;

  case 1846: /* opt_float: '(' Iconst ')'  */
#line 11073 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48371 "preproc.c"
    break;

  case 1847: /* opt_float: %empty  */
#line 11077 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 48378 "preproc.c"
    break;

  case 1848: /* Bit: BitWithLength  */
#line 11084 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48386 "preproc.c"
    break;

  case 1849: /* Bit: BitWithoutLength  */
#line 11088 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48394 "preproc.c"
    break;

  case 1850: /* ConstBit: BitWithLength  */
#line 11096 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48402 "preproc.c"
    break;

  case 1851: /* ConstBit: BitWithoutLength  */
#line 11100 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48410 "preproc.c"
    break;

  case 1852: /* BitWithLength: BIT opt_varying '(' expr_list ')'  */
#line 11108 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48418 "preproc.c"
    break;

  case 1853: /* BitWithoutLength: BIT opt_varying  */
#line 11116 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 48426 "preproc.c"
    break;

  case 1854: /* Character: CharacterWithLength  */
#line 11124 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48434 "preproc.c"
    break;

  case 1855: /* Character: CharacterWithoutLength  */
#line 11128 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48442 "preproc.c"
    break;

  case 1856: /* ConstCharacter: CharacterWithLength  */
#line 11136 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48450 "preproc.c"
    break;

  case 1857: /* ConstCharacter: CharacterWithoutLength  */
#line 11140 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48458 "preproc.c"
    break;

  case 1858: /* CharacterWithLength: character '(' Iconst ')'  */
#line 11148 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48466 "preproc.c"
    break;

  case 1859: /* CharacterWithoutLength: character  */
#line 11156 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48474 "preproc.c"
    break;

  case 1860: /* character: CHARACTER opt_varying  */
#line 11164 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 48482 "preproc.c"
    break;

  case 1861: /* character: CHAR_P opt_varying  */
#line 11168 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 48490 "preproc.c"
    break;

  case 1862: /* character: VARCHAR  */
#line 11172 "preproc.y"
 { 
 (yyval.str) = mm_strdup("varchar");
}
#line 48498 "preproc.c"
    break;

  case 1863: /* character: NATIONAL CHARACTER opt_varying  */
#line 11176 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 48506 "preproc.c"
    break;

  case 1864: /* character: NATIONAL CHAR_P opt_varying  */
#line 11180 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 48514 "preproc.c"
    break;

  case 1865: /* character: NCHAR opt_varying  */
#line 11184 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 48522 "preproc.c"
    break;

  case 1866: /* opt_varying: VARYING  */
#line 11192 "preproc.y"
 { 
 (yyval.str) = mm_strdup("varying");
}
#line 48530 "preproc.c"
    break;

  case 1867: /* opt_varying: %empty  */
#line 11196 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 48537 "preproc.c"
    break;

  case 1868: /* ConstDatetime: TIMESTAMP '(' Iconst ')' opt_timezone  */
#line 11203 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48545 "preproc.c"
    break;

  case 1869: /* ConstDatetime: TIMESTAMP opt_timezone  */
#line 11207 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 48553 "preproc.c"
    break;

  case 1870: /* ConstDatetime: TIME '(' Iconst ')' opt_timezone  */
#line 11211 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48561 "preproc.c"
    break;

  case 1871: /* ConstDatetime: TIME opt_timezone  */
#line 11215 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 48569 "preproc.c"
    break;

  case 1872: /* ConstInterval: INTERVAL  */
#line 11223 "preproc.y"
 { 
 (yyval.str) = mm_strdup("interval");
}
#line 48577 "preproc.c"
    break;

  case 1873: /* opt_timezone: WITH_LA TIME ZONE  */
#line 11231 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 48585 "preproc.c"
    break;

  case 1874: /* opt_timezone: WITHOUT TIME ZONE  */
#line 11235 "preproc.y"
 { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 48593 "preproc.c"
    break;

  case 1875: /* opt_timezone: %empty  */
#line 11239 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 48600 "preproc.c"
    break;

  case 1876: /* opt_interval: YEAR_P  */
#line 11246 "preproc.y"
 { 
 (yyval.str) = mm_strdup("year");
}
#line 48608 "preproc.c"
    break;

  case 1877: /* opt_interval: MONTH_P  */
#line 11250 "preproc.y"
 { 
 (yyval.str) = mm_strdup("month");
}
#line 48616 "preproc.c"
    break;

  case 1878: /* opt_interval: DAY_P  */
#line 11254 "preproc.y"
 { 
 (yyval.str) = mm_strdup("day");
}
#line 48624 "preproc.c"
    break;

  case 1879: /* opt_interval: HOUR_P  */
#line 11258 "preproc.y"
 { 
 (yyval.str) = mm_strdup("hour");
}
#line 48632 "preproc.c"
    break;

  case 1880: /* opt_interval: MINUTE_P  */
#line 11262 "preproc.y"
 { 
 (yyval.str) = mm_strdup("minute");
}
#line 48640 "preproc.c"
    break;

  case 1881: /* opt_interval: interval_second  */
#line 11266 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48648 "preproc.c"
    break;

  case 1882: /* opt_interval: YEAR_P TO MONTH_P  */
#line 11270 "preproc.y"
 { 
 (yyval.str) = mm_strdup("year to month");
}
#line 48656 "preproc.c"
    break;

  case 1883: /* opt_interval: DAY_P TO HOUR_P  */
#line 11274 "preproc.y"
 { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 48664 "preproc.c"
    break;

  case 1884: /* opt_interval: DAY_P TO MINUTE_P  */
#line 11278 "preproc.y"
 { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 48672 "preproc.c"
    break;

  case 1885: /* opt_interval: DAY_P TO interval_second  */
#line 11282 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 48680 "preproc.c"
    break;

  case 1886: /* opt_interval: HOUR_P TO MINUTE_P  */
#line 11286 "preproc.y"
 { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 48688 "preproc.c"
    break;

  case 1887: /* opt_interval: HOUR_P TO interval_second  */
#line 11290 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 48696 "preproc.c"
    break;

  case 1888: /* opt_interval: MINUTE_P TO interval_second  */
#line 11294 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 48704 "preproc.c"
    break;

  case 1889: /* opt_interval: %empty  */
#line 11298 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 48711 "preproc.c"
    break;

  case 1890: /* interval_second: SECOND_P  */
#line 11305 "preproc.y"
 { 
 (yyval.str) = mm_strdup("second");
}
#line 48719 "preproc.c"
    break;

  case 1891: /* interval_second: SECOND_P '(' Iconst ')'  */
#line 11309 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48727 "preproc.c"
    break;

  case 1892: /* a_expr: c_expr  */
#line 11317 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48735 "preproc.c"
    break;

  case 1893: /* a_expr: a_expr TYPECAST Typename  */
#line 11321 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 48743 "preproc.c"
    break;

  case 1894: /* a_expr: a_expr COLLATE any_name  */
#line 11325 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 48751 "preproc.c"
    break;

  case 1895: /* a_expr: a_expr AT TIME ZONE a_expr  */
#line 11329 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 48759 "preproc.c"
    break;

  case 1896: /* a_expr: '+' a_expr  */
#line 11333 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 48767 "preproc.c"
    break;

  case 1897: /* a_expr: '-' a_expr  */
#line 11337 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 48775 "preproc.c"
    break;

  case 1898: /* a_expr: a_expr '+' a_expr  */
#line 11341 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 48783 "preproc.c"
    break;

  case 1899: /* a_expr: a_expr '-' a_expr  */
#line 11345 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 48791 "preproc.c"
    break;

  case 1900: /* a_expr: a_expr '*' a_expr  */
#line 11349 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 48799 "preproc.c"
    break;

  case 1901: /* a_expr: a_expr '/' a_expr  */
#line 11353 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 48807 "preproc.c"
    break;

  case 1902: /* a_expr: a_expr '%' a_expr  */
#line 11357 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 48815 "preproc.c"
    break;

  case 1903: /* a_expr: a_expr '^' a_expr  */
#line 11361 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 48823 "preproc.c"
    break;

  case 1904: /* a_expr: a_expr '<' a_expr  */
#line 11365 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 48831 "preproc.c"
    break;

  case 1905: /* a_expr: a_expr '>' a_expr  */
#line 11369 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 48839 "preproc.c"
    break;

  case 1906: /* a_expr: a_expr '=' a_expr  */
#line 11373 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 48847 "preproc.c"
    break;

  case 1907: /* a_expr: a_expr LESS_EQUALS a_expr  */
#line 11377 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 48855 "preproc.c"
    break;

  case 1908: /* a_expr: a_expr GREATER_EQUALS a_expr  */
#line 11381 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 48863 "preproc.c"
    break;

  case 1909: /* a_expr: a_expr NOT_EQUALS a_expr  */
#line 11385 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 48871 "preproc.c"
    break;

  case 1910: /* a_expr: a_expr qual_Op a_expr  */
#line 11389 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48879 "preproc.c"
    break;

  case 1911: /* a_expr: qual_Op a_expr  */
#line 11393 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48887 "preproc.c"
    break;

  case 1912: /* a_expr: a_expr qual_Op  */
#line 11397 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48895 "preproc.c"
    break;

  case 1913: /* a_expr: a_expr AND a_expr  */
#line 11401 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 48903 "preproc.c"
    break;

  case 1914: /* a_expr: a_expr OR a_expr  */
#line 11405 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 48911 "preproc.c"
    break;

  case 1915: /* a_expr: NOT a_expr  */
#line 11409 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 48919 "preproc.c"
    break;

  case 1916: /* a_expr: NOT_LA a_expr  */
#line 11413 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 48927 "preproc.c"
    break;

  case 1917: /* a_expr: a_expr LIKE a_expr  */
#line 11417 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 48935 "preproc.c"
    break;

  case 1918: /* a_expr: a_expr LIKE a_expr ESCAPE a_expr  */
#line 11421 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 48943 "preproc.c"
    break;

  case 1919: /* a_expr: a_expr NOT_LA LIKE a_expr  */
#line 11425 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 48951 "preproc.c"
    break;

  case 1920: /* a_expr: a_expr NOT_LA LIKE a_expr ESCAPE a_expr  */
#line 11429 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 48959 "preproc.c"
    break;

  case 1921: /* a_expr: a_expr ILIKE a_expr  */
#line 11433 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 48967 "preproc.c"
    break;

  case 1922: /* a_expr: a_expr ILIKE a_expr ESCAPE a_expr  */
#line 11437 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 48975 "preproc.c"
    break;

  case 1923: /* a_expr: a_expr NOT_LA ILIKE a_expr  */
#line 11441 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 48983 "preproc.c"
    break;

  case 1924: /* a_expr: a_expr NOT_LA ILIKE a_expr ESCAPE a_expr  */
#line 11445 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 48991 "preproc.c"
    break;

  case 1925: /* a_expr: a_expr SIMILAR TO a_expr  */
#line 11449 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 48999 "preproc.c"
    break;

  case 1926: /* a_expr: a_expr SIMILAR TO a_expr ESCAPE a_expr  */
#line 11453 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49007 "preproc.c"
    break;

  case 1927: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr  */
#line 11457 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 49015 "preproc.c"
    break;

  case 1928: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr ESCAPE a_expr  */
#line 11461 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 49023 "preproc.c"
    break;

  case 1929: /* a_expr: a_expr IS NULL_P  */
#line 11465 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 49031 "preproc.c"
    break;

  case 1930: /* a_expr: a_expr ISNULL  */
#line 11469 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 49039 "preproc.c"
    break;

  case 1931: /* a_expr: a_expr IS NOT NULL_P  */
#line 11473 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 49047 "preproc.c"
    break;

  case 1932: /* a_expr: a_expr NOTNULL  */
#line 11477 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 49055 "preproc.c"
    break;

  case 1933: /* a_expr: row OVERLAPS row  */
#line 11481 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 49063 "preproc.c"
    break;

  case 1934: /* a_expr: a_expr IS TRUE_P  */
#line 11485 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 49071 "preproc.c"
    break;

  case 1935: /* a_expr: a_expr IS NOT TRUE_P  */
#line 11489 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 49079 "preproc.c"
    break;

  case 1936: /* a_expr: a_expr IS FALSE_P  */
#line 11493 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 49087 "preproc.c"
    break;

  case 1937: /* a_expr: a_expr IS NOT FALSE_P  */
#line 11497 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 49095 "preproc.c"
    break;

  case 1938: /* a_expr: a_expr IS UNKNOWN  */
#line 11501 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 49103 "preproc.c"
    break;

  case 1939: /* a_expr: a_expr IS NOT UNKNOWN  */
#line 11505 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 49111 "preproc.c"
    break;

  case 1940: /* a_expr: a_expr IS DISTINCT FROM a_expr  */
#line 11509 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 49119 "preproc.c"
    break;

  case 1941: /* a_expr: a_expr IS NOT DISTINCT FROM a_expr  */
#line 11513 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 49127 "preproc.c"
    break;

  case 1942: /* a_expr: a_expr IS OF '(' type_list ')'  */
#line 11517 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49135 "preproc.c"
    break;

  case 1943: /* a_expr: a_expr IS NOT OF '(' type_list ')'  */
#line 11521 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49143 "preproc.c"
    break;

  case 1944: /* a_expr: a_expr BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 11525 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49151 "preproc.c"
    break;

  case 1945: /* a_expr: a_expr NOT_LA BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 11529 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49159 "preproc.c"
    break;

  case 1946: /* a_expr: a_expr BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 11533 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49167 "preproc.c"
    break;

  case 1947: /* a_expr: a_expr NOT_LA BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 11537 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 49175 "preproc.c"
    break;

  case 1948: /* a_expr: a_expr IN_P in_expr  */
#line 11541 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 49183 "preproc.c"
    break;

  case 1949: /* a_expr: a_expr NOT_LA IN_P in_expr  */
#line 11545 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 49191 "preproc.c"
    break;

  case 1950: /* a_expr: a_expr subquery_Op sub_type select_with_parens  */
#line 11549 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49199 "preproc.c"
    break;

  case 1951: /* a_expr: a_expr subquery_Op sub_type '(' a_expr ')'  */
#line 11553 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49207 "preproc.c"
    break;

  case 1952: /* a_expr: UNIQUE select_with_parens  */
#line 11557 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 49216 "preproc.c"
    break;

  case 1953: /* a_expr: a_expr IS DOCUMENT_P  */
#line 11562 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 49224 "preproc.c"
    break;

  case 1954: /* a_expr: a_expr IS NOT DOCUMENT_P  */
#line 11566 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 49232 "preproc.c"
    break;

  case 1955: /* a_expr: DEFAULT  */
#line 11570 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 49240 "preproc.c"
    break;

  case 1956: /* b_expr: c_expr  */
#line 11578 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49248 "preproc.c"
    break;

  case 1957: /* b_expr: b_expr TYPECAST Typename  */
#line 11582 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 49256 "preproc.c"
    break;

  case 1958: /* b_expr: '+' b_expr  */
#line 11586 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 49264 "preproc.c"
    break;

  case 1959: /* b_expr: '-' b_expr  */
#line 11590 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 49272 "preproc.c"
    break;

  case 1960: /* b_expr: b_expr '+' b_expr  */
#line 11594 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 49280 "preproc.c"
    break;

  case 1961: /* b_expr: b_expr '-' b_expr  */
#line 11598 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 49288 "preproc.c"
    break;

  case 1962: /* b_expr: b_expr '*' b_expr  */
#line 11602 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 49296 "preproc.c"
    break;

  case 1963: /* b_expr: b_expr '/' b_expr  */
#line 11606 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 49304 "preproc.c"
    break;

  case 1964: /* b_expr: b_expr '%' b_expr  */
#line 11610 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 49312 "preproc.c"
    break;

  case 1965: /* b_expr: b_expr '^' b_expr  */
#line 11614 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 49320 "preproc.c"
    break;

  case 1966: /* b_expr: b_expr '<' b_expr  */
#line 11618 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 49328 "preproc.c"
    break;

  case 1967: /* b_expr: b_expr '>' b_expr  */
#line 11622 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 49336 "preproc.c"
    break;

  case 1968: /* b_expr: b_expr '=' b_expr  */
#line 11626 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 49344 "preproc.c"
    break;

  case 1969: /* b_expr: b_expr LESS_EQUALS b_expr  */
#line 11630 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 49352 "preproc.c"
    break;

  case 1970: /* b_expr: b_expr GREATER_EQUALS b_expr  */
#line 11634 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 49360 "preproc.c"
    break;

  case 1971: /* b_expr: b_expr NOT_EQUALS b_expr  */
#line 11638 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 49368 "preproc.c"
    break;

  case 1972: /* b_expr: b_expr qual_Op b_expr  */
#line 11642 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49376 "preproc.c"
    break;

  case 1973: /* b_expr: qual_Op b_expr  */
#line 11646 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49384 "preproc.c"
    break;

  case 1974: /* b_expr: b_expr qual_Op  */
#line 11650 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49392 "preproc.c"
    break;

  case 1975: /* b_expr: b_expr IS DISTINCT FROM b_expr  */
#line 11654 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 49400 "preproc.c"
    break;

  case 1976: /* b_expr: b_expr IS NOT DISTINCT FROM b_expr  */
#line 11658 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 49408 "preproc.c"
    break;

  case 1977: /* b_expr: b_expr IS OF '(' type_list ')'  */
#line 11662 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49416 "preproc.c"
    break;

  case 1978: /* b_expr: b_expr IS NOT OF '(' type_list ')'  */
#line 11666 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49424 "preproc.c"
    break;

  case 1979: /* b_expr: b_expr IS DOCUMENT_P  */
#line 11670 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 49432 "preproc.c"
    break;

  case 1980: /* b_expr: b_expr IS NOT DOCUMENT_P  */
#line 11674 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 49440 "preproc.c"
    break;

  case 1981: /* c_expr: columnref  */
#line 11682 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49448 "preproc.c"
    break;

  case 1982: /* c_expr: AexprConst  */
#line 11686 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49456 "preproc.c"
    break;

  case 1983: /* c_expr: ecpg_param opt_indirection  */
#line 11690 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49464 "preproc.c"
    break;

  case 1984: /* c_expr: '(' a_expr ')' opt_indirection  */
#line 11694 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 49472 "preproc.c"
    break;

  case 1985: /* c_expr: case_expr  */
#line 11698 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49480 "preproc.c"
    break;

  case 1986: /* c_expr: func_expr  */
#line 11702 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49488 "preproc.c"
    break;

  case 1987: /* c_expr: select_with_parens  */
#line 11706 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49496 "preproc.c"
    break;

  case 1988: /* c_expr: select_with_parens indirection  */
#line 11710 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49504 "preproc.c"
    break;

  case 1989: /* c_expr: EXISTS select_with_parens  */
#line 11714 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 49512 "preproc.c"
    break;

  case 1990: /* c_expr: ARRAY select_with_parens  */
#line 11718 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 49520 "preproc.c"
    break;

  case 1991: /* c_expr: ARRAY array_expr  */
#line 11722 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 49528 "preproc.c"
    break;

  case 1992: /* c_expr: explicit_row  */
#line 11726 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49536 "preproc.c"
    break;

  case 1993: /* c_expr: implicit_row  */
#line 11730 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49544 "preproc.c"
    break;

  case 1994: /* c_expr: GROUPING '(' expr_list ')'  */
#line 11734 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49552 "preproc.c"
    break;

  case 1995: /* func_application: func_name '(' ')'  */
#line 11742 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 49560 "preproc.c"
    break;

  case 1996: /* func_application: func_name '(' func_arg_list opt_sort_clause ')'  */
#line 11746 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49568 "preproc.c"
    break;

  case 1997: /* func_application: func_name '(' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 11750 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49576 "preproc.c"
    break;

  case 1998: /* func_application: func_name '(' func_arg_list ',' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 11754 "preproc.y"
 { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49584 "preproc.c"
    break;

  case 1999: /* func_application: func_name '(' ALL func_arg_list opt_sort_clause ')'  */
#line 11758 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49592 "preproc.c"
    break;

  case 2000: /* func_application: func_name '(' DISTINCT func_arg_list opt_sort_clause ')'  */
#line 11762 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49600 "preproc.c"
    break;

  case 2001: /* func_application: func_name '(' '*' ')'  */
#line 11766 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 49608 "preproc.c"
    break;

  case 2002: /* func_expr: func_application within_group_clause filter_clause over_clause  */
#line 11774 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49616 "preproc.c"
    break;

  case 2003: /* func_expr: func_expr_common_subexpr  */
#line 11778 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49624 "preproc.c"
    break;

  case 2004: /* func_expr_windowless: func_application  */
#line 11786 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49632 "preproc.c"
    break;

  case 2005: /* func_expr_windowless: func_expr_common_subexpr  */
#line 11790 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49640 "preproc.c"
    break;

  case 2006: /* func_expr_common_subexpr: COLLATION FOR '(' a_expr ')'  */
#line 11798 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49648 "preproc.c"
    break;

  case 2007: /* func_expr_common_subexpr: CURRENT_DATE  */
#line 11802 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_date");
}
#line 49656 "preproc.c"
    break;

  case 2008: /* func_expr_common_subexpr: CURRENT_TIME  */
#line 11806 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_time");
}
#line 49664 "preproc.c"
    break;

  case 2009: /* func_expr_common_subexpr: CURRENT_TIME '(' Iconst ')'  */
#line 11810 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49672 "preproc.c"
    break;

  case 2010: /* func_expr_common_subexpr: CURRENT_TIMESTAMP  */
#line 11814 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 49680 "preproc.c"
    break;

  case 2011: /* func_expr_common_subexpr: CURRENT_TIMESTAMP '(' Iconst ')'  */
#line 11818 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49688 "preproc.c"
    break;

  case 2012: /* func_expr_common_subexpr: LOCALTIME  */
#line 11822 "preproc.y"
 { 
 (yyval.str) = mm_strdup("localtime");
}
#line 49696 "preproc.c"
    break;

  case 2013: /* func_expr_common_subexpr: LOCALTIME '(' Iconst ')'  */
#line 11826 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49704 "preproc.c"
    break;

  case 2014: /* func_expr_common_subexpr: LOCALTIMESTAMP  */
#line 11830 "preproc.y"
 { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 49712 "preproc.c"
    break;

  case 2015: /* func_expr_common_subexpr: LOCALTIMESTAMP '(' Iconst ')'  */
#line 11834 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49720 "preproc.c"
    break;

  case 2016: /* func_expr_common_subexpr: CURRENT_ROLE  */
#line 11838 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_role");
}
#line 49728 "preproc.c"
    break;

  case 2017: /* func_expr_common_subexpr: CURRENT_USER  */
#line 11842 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_user");
}
#line 49736 "preproc.c"
    break;

  case 2018: /* func_expr_common_subexpr: SESSION_USER  */
#line 11846 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session_user");
}
#line 49744 "preproc.c"
    break;

  case 2019: /* func_expr_common_subexpr: USER  */
#line 11850 "preproc.y"
 { 
 (yyval.str) = mm_strdup("user");
}
#line 49752 "preproc.c"
    break;

  case 2020: /* func_expr_common_subexpr: CURRENT_CATALOG  */
#line 11854 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 49760 "preproc.c"
    break;

  case 2021: /* func_expr_common_subexpr: CURRENT_SCHEMA  */
#line 11858 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 49768 "preproc.c"
    break;

  case 2022: /* func_expr_common_subexpr: CAST '(' a_expr AS Typename ')'  */
#line 11862 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49776 "preproc.c"
    break;

  case 2023: /* func_expr_common_subexpr: EXTRACT '(' extract_list ')'  */
#line 11866 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49784 "preproc.c"
    break;

  case 2024: /* func_expr_common_subexpr: OVERLAY '(' overlay_list ')'  */
#line 11870 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49792 "preproc.c"
    break;

  case 2025: /* func_expr_common_subexpr: POSITION '(' position_list ')'  */
#line 11874 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49800 "preproc.c"
    break;

  case 2026: /* func_expr_common_subexpr: SUBSTRING '(' substr_list ')'  */
#line 11878 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49808 "preproc.c"
    break;

  case 2027: /* func_expr_common_subexpr: TREAT '(' a_expr AS Typename ')'  */
#line 11882 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49816 "preproc.c"
    break;

  case 2028: /* func_expr_common_subexpr: TRIM '(' BOTH trim_list ')'  */
#line 11886 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49824 "preproc.c"
    break;

  case 2029: /* func_expr_common_subexpr: TRIM '(' LEADING trim_list ')'  */
#line 11890 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49832 "preproc.c"
    break;

  case 2030: /* func_expr_common_subexpr: TRIM '(' TRAILING trim_list ')'  */
#line 11894 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49840 "preproc.c"
    break;

  case 2031: /* func_expr_common_subexpr: TRIM '(' trim_list ')'  */
#line 11898 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49848 "preproc.c"
    break;

  case 2032: /* func_expr_common_subexpr: NULLIF '(' a_expr ',' a_expr ')'  */
#line 11902 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49856 "preproc.c"
    break;

  case 2033: /* func_expr_common_subexpr: COALESCE '(' expr_list ')'  */
#line 11906 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49864 "preproc.c"
    break;

  case 2034: /* func_expr_common_subexpr: GREATEST '(' expr_list ')'  */
#line 11910 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49872 "preproc.c"
    break;

  case 2035: /* func_expr_common_subexpr: LEAST '(' expr_list ')'  */
#line 11914 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49880 "preproc.c"
    break;

  case 2036: /* func_expr_common_subexpr: XMLCONCAT '(' expr_list ')'  */
#line 11918 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49888 "preproc.c"
    break;

  case 2037: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ')'  */
#line 11922 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49896 "preproc.c"
    break;

  case 2038: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ')'  */
#line 11926 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49904 "preproc.c"
    break;

  case 2039: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' expr_list ')'  */
#line 11930 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49912 "preproc.c"
    break;

  case 2040: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ',' expr_list ')'  */
#line 11934 "preproc.y"
 { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49920 "preproc.c"
    break;

  case 2041: /* func_expr_common_subexpr: XMLEXISTS '(' c_expr xmlexists_argument ')'  */
#line 11938 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49928 "preproc.c"
    break;

  case 2042: /* func_expr_common_subexpr: XMLFOREST '(' xml_attribute_list ')'  */
#line 11942 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49936 "preproc.c"
    break;

  case 2043: /* func_expr_common_subexpr: XMLPARSE '(' document_or_content a_expr xml_whitespace_option ')'  */
#line 11946 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49944 "preproc.c"
    break;

  case 2044: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ')'  */
#line 11950 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49952 "preproc.c"
    break;

  case 2045: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ',' a_expr ')'  */
#line 11954 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49960 "preproc.c"
    break;

  case 2046: /* func_expr_common_subexpr: XMLROOT '(' a_expr ',' xml_root_version opt_xml_root_standalone ')'  */
#line 11958 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49968 "preproc.c"
    break;

  case 2047: /* func_expr_common_subexpr: XMLSERIALIZE '(' document_or_content a_expr AS SimpleTypename ')'  */
#line 11962 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49976 "preproc.c"
    break;

  case 2048: /* xml_root_version: VERSION_P a_expr  */
#line 11970 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 49984 "preproc.c"
    break;

  case 2049: /* xml_root_version: VERSION_P NO VALUE_P  */
#line 11974 "preproc.y"
 { 
 (yyval.str) = mm_strdup("version no value");
}
#line 49992 "preproc.c"
    break;

  case 2050: /* opt_xml_root_standalone: ',' STANDALONE_P YES_P  */
#line 11982 "preproc.y"
 { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 50000 "preproc.c"
    break;

  case 2051: /* opt_xml_root_standalone: ',' STANDALONE_P NO  */
#line 11986 "preproc.y"
 { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 50008 "preproc.c"
    break;

  case 2052: /* opt_xml_root_standalone: ',' STANDALONE_P NO VALUE_P  */
#line 11990 "preproc.y"
 { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 50016 "preproc.c"
    break;

  case 2053: /* opt_xml_root_standalone: %empty  */
#line 11994 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50023 "preproc.c"
    break;

  case 2054: /* xml_attributes: XMLATTRIBUTES '(' xml_attribute_list ')'  */
#line 12001 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50031 "preproc.c"
    break;

  case 2055: /* xml_attribute_list: xml_attribute_el  */
#line 12009 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50039 "preproc.c"
    break;

  case 2056: /* xml_attribute_list: xml_attribute_list ',' xml_attribute_el  */
#line 12013 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50047 "preproc.c"
    break;

  case 2057: /* xml_attribute_el: a_expr AS ColLabel  */
#line 12021 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 50055 "preproc.c"
    break;

  case 2058: /* xml_attribute_el: a_expr  */
#line 12025 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50063 "preproc.c"
    break;

  case 2059: /* document_or_content: DOCUMENT_P  */
#line 12033 "preproc.y"
 { 
 (yyval.str) = mm_strdup("document");
}
#line 50071 "preproc.c"
    break;

  case 2060: /* document_or_content: CONTENT_P  */
#line 12037 "preproc.y"
 { 
 (yyval.str) = mm_strdup("content");
}
#line 50079 "preproc.c"
    break;

  case 2061: /* xml_whitespace_option: PRESERVE WHITESPACE_P  */
#line 12045 "preproc.y"
 { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 50087 "preproc.c"
    break;

  case 2062: /* xml_whitespace_option: STRIP_P WHITESPACE_P  */
#line 12049 "preproc.y"
 { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 50095 "preproc.c"
    break;

  case 2063: /* xml_whitespace_option: %empty  */
#line 12053 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50102 "preproc.c"
    break;

  case 2064: /* xmlexists_argument: PASSING c_expr  */
#line 12060 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 50110 "preproc.c"
    break;

  case 2065: /* xmlexists_argument: PASSING c_expr BY REF_P  */
#line 12064 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 50118 "preproc.c"
    break;

  case 2066: /* xmlexists_argument: PASSING BY REF_P c_expr  */
#line 12068 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 50126 "preproc.c"
    break;

  case 2067: /* xmlexists_argument: PASSING BY REF_P c_expr BY REF_P  */
#line 12072 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 50134 "preproc.c"
    break;

  case 2068: /* within_group_clause: WITHIN GROUP_P '(' sort_clause ')'  */
#line 12080 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50142 "preproc.c"
    break;

  case 2069: /* within_group_clause: %empty  */
#line 12084 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50149 "preproc.c"
    break;

  case 2070: /* filter_clause: FILTER '(' WHERE a_expr ')'  */
#line 12091 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50157 "preproc.c"
    break;

  case 2071: /* filter_clause: %empty  */
#line 12095 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50164 "preproc.c"
    break;

  case 2072: /* window_clause: WINDOW window_definition_list  */
#line 12102 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 50172 "preproc.c"
    break;

  case 2073: /* window_clause: %empty  */
#line 12106 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50179 "preproc.c"
    break;

  case 2074: /* window_definition_list: window_definition  */
#line 12113 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50187 "preproc.c"
    break;

  case 2075: /* window_definition_list: window_definition_list ',' window_definition  */
#line 12117 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50195 "preproc.c"
    break;

  case 2076: /* window_definition: ColId AS window_specification  */
#line 12125 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 50203 "preproc.c"
    break;

  case 2077: /* over_clause: OVER window_specification  */
#line 12133 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 50211 "preproc.c"
    break;

  case 2078: /* over_clause: OVER ColId  */
#line 12137 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 50219 "preproc.c"
    break;

  case 2079: /* over_clause: %empty  */
#line 12141 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50226 "preproc.c"
    break;

  case 2080: /* window_specification: '(' opt_existing_window_name opt_partition_clause opt_sort_clause opt_frame_clause ')'  */
#line 12148 "preproc.y"
 { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50234 "preproc.c"
    break;

  case 2081: /* opt_existing_window_name: ColId  */
#line 12156 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50242 "preproc.c"
    break;

  case 2082: /* opt_existing_window_name: %empty  */
#line 12160 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50249 "preproc.c"
    break;

  case 2083: /* opt_partition_clause: PARTITION BY expr_list  */
#line 12167 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 50257 "preproc.c"
    break;

  case 2084: /* opt_partition_clause: %empty  */
#line 12171 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50264 "preproc.c"
    break;

  case 2085: /* opt_frame_clause: RANGE frame_extent  */
#line 12178 "preproc.y"
 { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 50273 "preproc.c"
    break;

  case 2086: /* opt_frame_clause: ROWS frame_extent  */
#line 12183 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 50281 "preproc.c"
    break;

  case 2087: /* opt_frame_clause: %empty  */
#line 12187 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50288 "preproc.c"
    break;

  case 2088: /* frame_extent: frame_bound  */
#line 12194 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50296 "preproc.c"
    break;

  case 2089: /* frame_extent: BETWEEN frame_bound AND frame_bound  */
#line 12198 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 50304 "preproc.c"
    break;

  case 2090: /* frame_bound: UNBOUNDED PRECEDING  */
#line 12206 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 50312 "preproc.c"
    break;

  case 2091: /* frame_bound: UNBOUNDED FOLLOWING  */
#line 12210 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 50320 "preproc.c"
    break;

  case 2092: /* frame_bound: CURRENT_P ROW  */
#line 12214 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current row");
}
#line 50328 "preproc.c"
    break;

  case 2093: /* frame_bound: a_expr PRECEDING  */
#line 12218 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 50336 "preproc.c"
    break;

  case 2094: /* frame_bound: a_expr FOLLOWING  */
#line 12222 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 50344 "preproc.c"
    break;

  case 2095: /* row: ROW '(' expr_list ')'  */
#line 12230 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50352 "preproc.c"
    break;

  case 2096: /* row: ROW '(' ')'  */
#line 12234 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 50360 "preproc.c"
    break;

  case 2097: /* row: '(' expr_list ',' a_expr ')'  */
#line 12238 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50368 "preproc.c"
    break;

  case 2098: /* explicit_row: ROW '(' expr_list ')'  */
#line 12246 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50376 "preproc.c"
    break;

  case 2099: /* explicit_row: ROW '(' ')'  */
#line 12250 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 50384 "preproc.c"
    break;

  case 2100: /* implicit_row: '(' expr_list ',' a_expr ')'  */
#line 12258 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50392 "preproc.c"
    break;

  case 2101: /* sub_type: ANY  */
#line 12266 "preproc.y"
 { 
 (yyval.str) = mm_strdup("any");
}
#line 50400 "preproc.c"
    break;

  case 2102: /* sub_type: SOME  */
#line 12270 "preproc.y"
 { 
 (yyval.str) = mm_strdup("some");
}
#line 50408 "preproc.c"
    break;

  case 2103: /* sub_type: ALL  */
#line 12274 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 50416 "preproc.c"
    break;

  case 2104: /* all_Op: Op  */
#line 12282 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50424 "preproc.c"
    break;

  case 2105: /* all_Op: MathOp  */
#line 12286 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50432 "preproc.c"
    break;

  case 2106: /* MathOp: '+'  */
#line 12294 "preproc.y"
 { 
 (yyval.str) = mm_strdup("+");
}
#line 50440 "preproc.c"
    break;

  case 2107: /* MathOp: '-'  */
#line 12298 "preproc.y"
 { 
 (yyval.str) = mm_strdup("-");
}
#line 50448 "preproc.c"
    break;

  case 2108: /* MathOp: '*'  */
#line 12302 "preproc.y"
 { 
 (yyval.str) = mm_strdup("*");
}
#line 50456 "preproc.c"
    break;

  case 2109: /* MathOp: '/'  */
#line 12306 "preproc.y"
 { 
 (yyval.str) = mm_strdup("/");
}
#line 50464 "preproc.c"
    break;

  case 2110: /* MathOp: '%'  */
#line 12310 "preproc.y"
 { 
 (yyval.str) = mm_strdup("%");
}
#line 50472 "preproc.c"
    break;

  case 2111: /* MathOp: '^'  */
#line 12314 "preproc.y"
 { 
 (yyval.str) = mm_strdup("^");
}
#line 50480 "preproc.c"
    break;

  case 2112: /* MathOp: '<'  */
#line 12318 "preproc.y"
 { 
 (yyval.str) = mm_strdup("<");
}
#line 50488 "preproc.c"
    break;

  case 2113: /* MathOp: '>'  */
#line 12322 "preproc.y"
 { 
 (yyval.str) = mm_strdup(">");
}
#line 50496 "preproc.c"
    break;

  case 2114: /* MathOp: '='  */
#line 12326 "preproc.y"
 { 
 (yyval.str) = mm_strdup("=");
}
#line 50504 "preproc.c"
    break;

  case 2115: /* MathOp: LESS_EQUALS  */
#line 12330 "preproc.y"
 { 
 (yyval.str) = mm_strdup("<=");
}
#line 50512 "preproc.c"
    break;

  case 2116: /* MathOp: GREATER_EQUALS  */
#line 12334 "preproc.y"
 { 
 (yyval.str) = mm_strdup(">=");
}
#line 50520 "preproc.c"
    break;

  case 2117: /* MathOp: NOT_EQUALS  */
#line 12338 "preproc.y"
 { 
 (yyval.str) = mm_strdup("<>");
}
#line 50528 "preproc.c"
    break;

  case 2118: /* qual_Op: Op  */
#line 12346 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50536 "preproc.c"
    break;

  case 2119: /* qual_Op: OPERATOR '(' any_operator ')'  */
#line 12350 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50544 "preproc.c"
    break;

  case 2120: /* qual_all_Op: all_Op  */
#line 12358 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50552 "preproc.c"
    break;

  case 2121: /* qual_all_Op: OPERATOR '(' any_operator ')'  */
#line 12362 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50560 "preproc.c"
    break;

  case 2122: /* subquery_Op: all_Op  */
#line 12370 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50568 "preproc.c"
    break;

  case 2123: /* subquery_Op: OPERATOR '(' any_operator ')'  */
#line 12374 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50576 "preproc.c"
    break;

  case 2124: /* subquery_Op: LIKE  */
#line 12378 "preproc.y"
 { 
 (yyval.str) = mm_strdup("like");
}
#line 50584 "preproc.c"
    break;

  case 2125: /* subquery_Op: NOT_LA LIKE  */
#line 12382 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not like");
}
#line 50592 "preproc.c"
    break;

  case 2126: /* subquery_Op: ILIKE  */
#line 12386 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ilike");
}
#line 50600 "preproc.c"
    break;

  case 2127: /* subquery_Op: NOT_LA ILIKE  */
#line 12390 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 50608 "preproc.c"
    break;

  case 2128: /* expr_list: a_expr  */
#line 12398 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50616 "preproc.c"
    break;

  case 2129: /* expr_list: expr_list ',' a_expr  */
#line 12402 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50624 "preproc.c"
    break;

  case 2130: /* func_arg_list: func_arg_expr  */
#line 12410 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50632 "preproc.c"
    break;

  case 2131: /* func_arg_list: func_arg_list ',' func_arg_expr  */
#line 12414 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50640 "preproc.c"
    break;

  case 2132: /* func_arg_expr: a_expr  */
#line 12422 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50648 "preproc.c"
    break;

  case 2133: /* func_arg_expr: param_name COLON_EQUALS a_expr  */
#line 12426 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 50656 "preproc.c"
    break;

  case 2134: /* func_arg_expr: param_name EQUALS_GREATER a_expr  */
#line 12430 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 50664 "preproc.c"
    break;

  case 2135: /* type_list: Typename  */
#line 12438 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50672 "preproc.c"
    break;

  case 2136: /* type_list: type_list ',' Typename  */
#line 12442 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50680 "preproc.c"
    break;

  case 2137: /* array_expr: '[' expr_list ']'  */
#line 12450 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 50688 "preproc.c"
    break;

  case 2138: /* array_expr: '[' array_expr_list ']'  */
#line 12454 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 50696 "preproc.c"
    break;

  case 2139: /* array_expr: '[' ']'  */
#line 12458 "preproc.y"
 { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 50704 "preproc.c"
    break;

  case 2140: /* array_expr_list: array_expr  */
#line 12466 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50712 "preproc.c"
    break;

  case 2141: /* array_expr_list: array_expr_list ',' array_expr  */
#line 12470 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50720 "preproc.c"
    break;

  case 2142: /* extract_list: extract_arg FROM a_expr  */
#line 12478 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 50728 "preproc.c"
    break;

  case 2143: /* extract_list: %empty  */
#line 12482 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50735 "preproc.c"
    break;

  case 2144: /* extract_arg: ecpg_ident  */
#line 12489 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50743 "preproc.c"
    break;

  case 2145: /* extract_arg: YEAR_P  */
#line 12493 "preproc.y"
 { 
 (yyval.str) = mm_strdup("year");
}
#line 50751 "preproc.c"
    break;

  case 2146: /* extract_arg: MONTH_P  */
#line 12497 "preproc.y"
 { 
 (yyval.str) = mm_strdup("month");
}
#line 50759 "preproc.c"
    break;

  case 2147: /* extract_arg: DAY_P  */
#line 12501 "preproc.y"
 { 
 (yyval.str) = mm_strdup("day");
}
#line 50767 "preproc.c"
    break;

  case 2148: /* extract_arg: HOUR_P  */
#line 12505 "preproc.y"
 { 
 (yyval.str) = mm_strdup("hour");
}
#line 50775 "preproc.c"
    break;

  case 2149: /* extract_arg: MINUTE_P  */
#line 12509 "preproc.y"
 { 
 (yyval.str) = mm_strdup("minute");
}
#line 50783 "preproc.c"
    break;

  case 2150: /* extract_arg: SECOND_P  */
#line 12513 "preproc.y"
 { 
 (yyval.str) = mm_strdup("second");
}
#line 50791 "preproc.c"
    break;

  case 2151: /* extract_arg: ecpg_sconst  */
#line 12517 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50799 "preproc.c"
    break;

  case 2152: /* overlay_list: a_expr overlay_placing substr_from substr_for  */
#line 12525 "preproc.y"
 { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50807 "preproc.c"
    break;

  case 2153: /* overlay_list: a_expr overlay_placing substr_from  */
#line 12529 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50815 "preproc.c"
    break;

  case 2154: /* overlay_placing: PLACING a_expr  */
#line 12537 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 50823 "preproc.c"
    break;

  case 2155: /* position_list: b_expr IN_P b_expr  */
#line 12545 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 50831 "preproc.c"
    break;

  case 2156: /* position_list: %empty  */
#line 12549 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50838 "preproc.c"
    break;

  case 2157: /* substr_list: a_expr substr_from substr_for  */
#line 12556 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50846 "preproc.c"
    break;

  case 2158: /* substr_list: a_expr substr_for substr_from  */
#line 12560 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50854 "preproc.c"
    break;

  case 2159: /* substr_list: a_expr substr_from  */
#line 12564 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50862 "preproc.c"
    break;

  case 2160: /* substr_list: a_expr substr_for  */
#line 12568 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50870 "preproc.c"
    break;

  case 2161: /* substr_list: expr_list  */
#line 12572 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50878 "preproc.c"
    break;

  case 2162: /* substr_list: %empty  */
#line 12576 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50885 "preproc.c"
    break;

  case 2163: /* substr_from: FROM a_expr  */
#line 12583 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 50893 "preproc.c"
    break;

  case 2164: /* substr_for: FOR a_expr  */
#line 12591 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 50901 "preproc.c"
    break;

  case 2165: /* trim_list: a_expr FROM expr_list  */
#line 12599 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 50909 "preproc.c"
    break;

  case 2166: /* trim_list: FROM expr_list  */
#line 12603 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 50917 "preproc.c"
    break;

  case 2167: /* trim_list: expr_list  */
#line 12607 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50925 "preproc.c"
    break;

  case 2168: /* in_expr: select_with_parens  */
#line 12615 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50933 "preproc.c"
    break;

  case 2169: /* in_expr: '(' expr_list ')'  */
#line 12619 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50941 "preproc.c"
    break;

  case 2170: /* case_expr: CASE case_arg when_clause_list case_default END_P  */
#line 12627 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 50949 "preproc.c"
    break;

  case 2171: /* when_clause_list: when_clause  */
#line 12635 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50957 "preproc.c"
    break;

  case 2172: /* when_clause_list: when_clause_list when_clause  */
#line 12639 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50965 "preproc.c"
    break;

  case 2173: /* when_clause: WHEN a_expr THEN a_expr  */
#line 12647 "preproc.y"
 { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 50973 "preproc.c"
    break;

  case 2174: /* case_default: ELSE a_expr  */
#line 12655 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 50981 "preproc.c"
    break;

  case 2175: /* case_default: %empty  */
#line 12659 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 50988 "preproc.c"
    break;

  case 2176: /* case_arg: a_expr  */
#line 12666 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50996 "preproc.c"
    break;

  case 2177: /* case_arg: %empty  */
#line 12670 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51003 "preproc.c"
    break;

  case 2178: /* columnref: ColId  */
#line 12677 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51011 "preproc.c"
    break;

  case 2179: /* columnref: ColId indirection  */
#line 12681 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51019 "preproc.c"
    break;

  case 2180: /* indirection_el: '.' attr_name  */
#line 12689 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 51027 "preproc.c"
    break;

  case 2181: /* indirection_el: '.' '*'  */
#line 12693 "preproc.y"
 { 
 (yyval.str) = mm_strdup(". *");
}
#line 51035 "preproc.c"
    break;

  case 2182: /* indirection_el: '[' a_expr ']'  */
#line 12697 "preproc.y"
 { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51043 "preproc.c"
    break;

  case 2183: /* indirection_el: '[' opt_slice_bound ':' opt_slice_bound ']'  */
#line 12701 "preproc.y"
 { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 51051 "preproc.c"
    break;

  case 2184: /* opt_slice_bound: a_expr  */
#line 12709 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51059 "preproc.c"
    break;

  case 2185: /* opt_slice_bound: %empty  */
#line 12713 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51066 "preproc.c"
    break;

  case 2186: /* indirection: indirection_el  */
#line 12720 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51074 "preproc.c"
    break;

  case 2187: /* indirection: indirection indirection_el  */
#line 12724 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51082 "preproc.c"
    break;

  case 2188: /* opt_indirection: %empty  */
#line 12732 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51089 "preproc.c"
    break;

  case 2189: /* opt_indirection: opt_indirection indirection_el  */
#line 12735 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51097 "preproc.c"
    break;

  case 2190: /* opt_asymmetric: ASYMMETRIC  */
#line 12743 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 51105 "preproc.c"
    break;

  case 2191: /* opt_asymmetric: %empty  */
#line 12747 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51112 "preproc.c"
    break;

  case 2192: /* opt_target_list: target_list  */
#line 12754 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51120 "preproc.c"
    break;

  case 2193: /* opt_target_list: %empty  */
#line 12758 "preproc.y"
 { 
 (yyval.str)=EMPTY; }
#line 51127 "preproc.c"
    break;

  case 2194: /* target_list: target_el  */
#line 12765 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51135 "preproc.c"
    break;

  case 2195: /* target_list: target_list ',' target_el  */
#line 12769 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51143 "preproc.c"
    break;

  case 2196: /* target_el: a_expr AS ColLabel  */
#line 12777 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 51151 "preproc.c"
    break;

  case 2197: /* target_el: a_expr ecpg_ident  */
#line 12781 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51159 "preproc.c"
    break;

  case 2198: /* target_el: a_expr  */
#line 12785 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51167 "preproc.c"
    break;

  case 2199: /* target_el: '*'  */
#line 12789 "preproc.y"
 { 
 (yyval.str) = mm_strdup("*");
}
#line 51175 "preproc.c"
    break;

  case 2200: /* qualified_name_list: qualified_name  */
#line 12797 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51183 "preproc.c"
    break;

  case 2201: /* qualified_name_list: qualified_name_list ',' qualified_name  */
#line 12801 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51191 "preproc.c"
    break;

  case 2202: /* qualified_name: ColId  */
#line 12809 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51199 "preproc.c"
    break;

  case 2203: /* qualified_name: ColId indirection  */
#line 12813 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51207 "preproc.c"
    break;

  case 2204: /* name_list: name  */
#line 12821 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51215 "preproc.c"
    break;

  case 2205: /* name_list: name_list ',' name  */
#line 12825 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51223 "preproc.c"
    break;

  case 2206: /* name: ColId  */
#line 12833 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51231 "preproc.c"
    break;

  case 2207: /* database_name: ColId  */
#line 12841 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51239 "preproc.c"
    break;

  case 2208: /* access_method: ColId  */
#line 12849 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51247 "preproc.c"
    break;

  case 2209: /* attr_name: ColLabel  */
#line 12857 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51255 "preproc.c"
    break;

  case 2210: /* index_name: ColId  */
#line 12865 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51263 "preproc.c"
    break;

  case 2211: /* file_name: ecpg_sconst  */
#line 12873 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51271 "preproc.c"
    break;

  case 2212: /* func_name: type_function_name  */
#line 12881 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51279 "preproc.c"
    break;

  case 2213: /* func_name: ColId indirection  */
#line 12885 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51287 "preproc.c"
    break;

  case 2214: /* AexprConst: Iconst  */
#line 12893 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51295 "preproc.c"
    break;

  case 2215: /* AexprConst: ecpg_fconst  */
#line 12897 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51303 "preproc.c"
    break;

  case 2216: /* AexprConst: ecpg_sconst  */
#line 12901 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51311 "preproc.c"
    break;

  case 2217: /* AexprConst: ecpg_bconst  */
#line 12905 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51319 "preproc.c"
    break;

  case 2218: /* AexprConst: XCONST  */
#line 12909 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xconst");
}
#line 51327 "preproc.c"
    break;

  case 2219: /* AexprConst: func_name ecpg_sconst  */
#line 12913 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51335 "preproc.c"
    break;

  case 2220: /* AexprConst: func_name '(' func_arg_list opt_sort_clause ')' ecpg_sconst  */
#line 12917 "preproc.y"
 { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51343 "preproc.c"
    break;

  case 2221: /* AexprConst: ConstTypename ecpg_sconst  */
#line 12921 "preproc.y"
 { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51351 "preproc.c"
    break;

  case 2222: /* AexprConst: ConstInterval ecpg_sconst opt_interval  */
#line 12925 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51359 "preproc.c"
    break;

  case 2223: /* AexprConst: ConstInterval '(' Iconst ')' ecpg_sconst  */
#line 12929 "preproc.y"
 { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51367 "preproc.c"
    break;

  case 2224: /* AexprConst: TRUE_P  */
#line 12933 "preproc.y"
 { 
 (yyval.str) = mm_strdup("true");
}
#line 51375 "preproc.c"
    break;

  case 2225: /* AexprConst: FALSE_P  */
#line 12937 "preproc.y"
 { 
 (yyval.str) = mm_strdup("false");
}
#line 51383 "preproc.c"
    break;

  case 2226: /* AexprConst: NULL_P  */
#line 12941 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 51391 "preproc.c"
    break;

  case 2227: /* AexprConst: civar  */
#line 12944 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 51397 "preproc.c"
    break;

  case 2228: /* AexprConst: civarind  */
#line 12945 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 51403 "preproc.c"
    break;

  case 2229: /* Iconst: ICONST  */
#line 12951 "preproc.y"
        { (yyval.str) = make_name(); }
#line 51409 "preproc.c"
    break;

  case 2230: /* SignedIconst: Iconst  */
#line 12957 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51417 "preproc.c"
    break;

  case 2231: /* SignedIconst: civar  */
#line 12960 "preproc.y"
                { (yyval.str) = (yyvsp[0].str); }
#line 51423 "preproc.c"
    break;

  case 2232: /* SignedIconst: '+' Iconst  */
#line 12962 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 51431 "preproc.c"
    break;

  case 2233: /* SignedIconst: '-' Iconst  */
#line 12966 "preproc.y"
 { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 51439 "preproc.c"
    break;

  case 2234: /* RoleId: RoleSpec  */
#line 12974 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51447 "preproc.c"
    break;

  case 2235: /* RoleSpec: NonReservedWord  */
#line 12982 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51455 "preproc.c"
    break;

  case 2236: /* RoleSpec: CURRENT_USER  */
#line 12986 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_user");
}
#line 51463 "preproc.c"
    break;

  case 2237: /* RoleSpec: SESSION_USER  */
#line 12990 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session_user");
}
#line 51471 "preproc.c"
    break;

  case 2238: /* role_list: RoleSpec  */
#line 12998 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51479 "preproc.c"
    break;

  case 2239: /* role_list: role_list ',' RoleSpec  */
#line 13002 "preproc.y"
 { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51487 "preproc.c"
    break;

  case 2240: /* NonReservedWord: ecpg_ident  */
#line 13010 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51495 "preproc.c"
    break;

  case 2241: /* NonReservedWord: unreserved_keyword  */
#line 13014 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51503 "preproc.c"
    break;

  case 2242: /* NonReservedWord: col_name_keyword  */
#line 13018 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51511 "preproc.c"
    break;

  case 2243: /* NonReservedWord: type_func_name_keyword  */
#line 13022 "preproc.y"
 { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51519 "preproc.c"
    break;

  case 2244: /* unreserved_keyword: ABORT_P  */
#line 13030 "preproc.y"
 { 
 (yyval.str) = mm_strdup("abort");
}
#line 51527 "preproc.c"
    break;

  case 2245: /* unreserved_keyword: ABSOLUTE_P  */
#line 13034 "preproc.y"
 { 
 (yyval.str) = mm_strdup("absolute");
}
#line 51535 "preproc.c"
    break;

  case 2246: /* unreserved_keyword: ACCESS  */
#line 13038 "preproc.y"
 { 
 (yyval.str) = mm_strdup("access");
}
#line 51543 "preproc.c"
    break;

  case 2247: /* unreserved_keyword: ACTION  */
#line 13042 "preproc.y"
 { 
 (yyval.str) = mm_strdup("action");
}
#line 51551 "preproc.c"
    break;

  case 2248: /* unreserved_keyword: ADD_P  */
#line 13046 "preproc.y"
 { 
 (yyval.str) = mm_strdup("add");
}
#line 51559 "preproc.c"
    break;

  case 2249: /* unreserved_keyword: ADMIN  */
#line 13050 "preproc.y"
 { 
 (yyval.str) = mm_strdup("admin");
}
#line 51567 "preproc.c"
    break;

  case 2250: /* unreserved_keyword: AFTER  */
#line 13054 "preproc.y"
 { 
 (yyval.str) = mm_strdup("after");
}
#line 51575 "preproc.c"
    break;

  case 2251: /* unreserved_keyword: AGGREGATE  */
#line 13058 "preproc.y"
 { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 51583 "preproc.c"
    break;

  case 2252: /* unreserved_keyword: ALSO  */
#line 13062 "preproc.y"
 { 
 (yyval.str) = mm_strdup("also");
}
#line 51591 "preproc.c"
    break;

  case 2253: /* unreserved_keyword: ALTER  */
#line 13066 "preproc.y"
 { 
 (yyval.str) = mm_strdup("alter");
}
#line 51599 "preproc.c"
    break;

  case 2254: /* unreserved_keyword: ALWAYS  */
#line 13070 "preproc.y"
 { 
 (yyval.str) = mm_strdup("always");
}
#line 51607 "preproc.c"
    break;

  case 2255: /* unreserved_keyword: ASSERTION  */
#line 13074 "preproc.y"
 { 
 (yyval.str) = mm_strdup("assertion");
}
#line 51615 "preproc.c"
    break;

  case 2256: /* unreserved_keyword: ASSIGNMENT  */
#line 13078 "preproc.y"
 { 
 (yyval.str) = mm_strdup("assignment");
}
#line 51623 "preproc.c"
    break;

  case 2257: /* unreserved_keyword: AT  */
#line 13082 "preproc.y"
 { 
 (yyval.str) = mm_strdup("at");
}
#line 51631 "preproc.c"
    break;

  case 2258: /* unreserved_keyword: ATTACH  */
#line 13086 "preproc.y"
 { 
 (yyval.str) = mm_strdup("attach");
}
#line 51639 "preproc.c"
    break;

  case 2259: /* unreserved_keyword: ATTRIBUTE  */
#line 13090 "preproc.y"
 { 
 (yyval.str) = mm_strdup("attribute");
}
#line 51647 "preproc.c"
    break;

  case 2260: /* unreserved_keyword: BACKWARD  */
#line 13094 "preproc.y"
 { 
 (yyval.str) = mm_strdup("backward");
}
#line 51655 "preproc.c"
    break;

  case 2261: /* unreserved_keyword: BEFORE  */
#line 13098 "preproc.y"
 { 
 (yyval.str) = mm_strdup("before");
}
#line 51663 "preproc.c"
    break;

  case 2262: /* unreserved_keyword: BEGIN_P  */
#line 13102 "preproc.y"
 { 
 (yyval.str) = mm_strdup("begin");
}
#line 51671 "preproc.c"
    break;

  case 2263: /* unreserved_keyword: BY  */
#line 13106 "preproc.y"
 { 
 (yyval.str) = mm_strdup("by");
}
#line 51679 "preproc.c"
    break;

  case 2264: /* unreserved_keyword: CACHE  */
#line 13110 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cache");
}
#line 51687 "preproc.c"
    break;

  case 2265: /* unreserved_keyword: CALLED  */
#line 13114 "preproc.y"
 { 
 (yyval.str) = mm_strdup("called");
}
#line 51695 "preproc.c"
    break;

  case 2266: /* unreserved_keyword: CASCADE  */
#line 13118 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascade");
}
#line 51703 "preproc.c"
    break;

  case 2267: /* unreserved_keyword: CASCADED  */
#line 13122 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 51711 "preproc.c"
    break;

  case 2268: /* unreserved_keyword: CATALOG_P  */
#line 13126 "preproc.y"
 { 
 (yyval.str) = mm_strdup("catalog");
}
#line 51719 "preproc.c"
    break;

  case 2269: /* unreserved_keyword: CHAIN  */
#line 13130 "preproc.y"
 { 
 (yyval.str) = mm_strdup("chain");
}
#line 51727 "preproc.c"
    break;

  case 2270: /* unreserved_keyword: CHARACTERISTICS  */
#line 13134 "preproc.y"
 { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 51735 "preproc.c"
    break;

  case 2271: /* unreserved_keyword: CHECKPOINT  */
#line 13138 "preproc.y"
 { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 51743 "preproc.c"
    break;

  case 2272: /* unreserved_keyword: CLASS  */
#line 13142 "preproc.y"
 { 
 (yyval.str) = mm_strdup("class");
}
#line 51751 "preproc.c"
    break;

  case 2273: /* unreserved_keyword: CLOSE  */
#line 13146 "preproc.y"
 { 
 (yyval.str) = mm_strdup("close");
}
#line 51759 "preproc.c"
    break;

  case 2274: /* unreserved_keyword: CLUSTER  */
#line 13150 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cluster");
}
#line 51767 "preproc.c"
    break;

  case 2275: /* unreserved_keyword: COLUMNS  */
#line 13154 "preproc.y"
 { 
 (yyval.str) = mm_strdup("columns");
}
#line 51775 "preproc.c"
    break;

  case 2276: /* unreserved_keyword: COMMENT  */
#line 13158 "preproc.y"
 { 
 (yyval.str) = mm_strdup("comment");
}
#line 51783 "preproc.c"
    break;

  case 2277: /* unreserved_keyword: COMMENTS  */
#line 13162 "preproc.y"
 { 
 (yyval.str) = mm_strdup("comments");
}
#line 51791 "preproc.c"
    break;

  case 2278: /* unreserved_keyword: COMMIT  */
#line 13166 "preproc.y"
 { 
 (yyval.str) = mm_strdup("commit");
}
#line 51799 "preproc.c"
    break;

  case 2279: /* unreserved_keyword: COMMITTED  */
#line 13170 "preproc.y"
 { 
 (yyval.str) = mm_strdup("committed");
}
#line 51807 "preproc.c"
    break;

  case 2280: /* unreserved_keyword: CONFIGURATION  */
#line 13174 "preproc.y"
 { 
 (yyval.str) = mm_strdup("configuration");
}
#line 51815 "preproc.c"
    break;

  case 2281: /* unreserved_keyword: CONFLICT  */
#line 13178 "preproc.y"
 { 
 (yyval.str) = mm_strdup("conflict");
}
#line 51823 "preproc.c"
    break;

  case 2282: /* unreserved_keyword: CONSTRAINTS  */
#line 13182 "preproc.y"
 { 
 (yyval.str) = mm_strdup("constraints");
}
#line 51831 "preproc.c"
    break;

  case 2283: /* unreserved_keyword: CONTENT_P  */
#line 13186 "preproc.y"
 { 
 (yyval.str) = mm_strdup("content");
}
#line 51839 "preproc.c"
    break;

  case 2284: /* unreserved_keyword: CONTINUE_P  */
#line 13190 "preproc.y"
 { 
 (yyval.str) = mm_strdup("continue");
}
#line 51847 "preproc.c"
    break;

  case 2285: /* unreserved_keyword: CONVERSION_P  */
#line 13194 "preproc.y"
 { 
 (yyval.str) = mm_strdup("conversion");
}
#line 51855 "preproc.c"
    break;

  case 2286: /* unreserved_keyword: COPY  */
#line 13198 "preproc.y"
 { 
 (yyval.str) = mm_strdup("copy");
}
#line 51863 "preproc.c"
    break;

  case 2287: /* unreserved_keyword: COST  */
#line 13202 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cost");
}
#line 51871 "preproc.c"
    break;

  case 2288: /* unreserved_keyword: CSV  */
#line 13206 "preproc.y"
 { 
 (yyval.str) = mm_strdup("csv");
}
#line 51879 "preproc.c"
    break;

  case 2289: /* unreserved_keyword: CUBE  */
#line 13210 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cube");
}
#line 51887 "preproc.c"
    break;

  case 2290: /* unreserved_keyword: CURSOR  */
#line 13214 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cursor");
}
#line 51895 "preproc.c"
    break;

  case 2291: /* unreserved_keyword: CYCLE  */
#line 13218 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cycle");
}
#line 51903 "preproc.c"
    break;

  case 2292: /* unreserved_keyword: DATA_P  */
#line 13222 "preproc.y"
 { 
 (yyval.str) = mm_strdup("data");
}
#line 51911 "preproc.c"
    break;

  case 2293: /* unreserved_keyword: DATABASE  */
#line 13226 "preproc.y"
 { 
 (yyval.str) = mm_strdup("database");
}
#line 51919 "preproc.c"
    break;

  case 2294: /* unreserved_keyword: DEALLOCATE  */
#line 13230 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 51927 "preproc.c"
    break;

  case 2295: /* unreserved_keyword: DECLARE  */
#line 13234 "preproc.y"
 { 
 (yyval.str) = mm_strdup("declare");
}
#line 51935 "preproc.c"
    break;

  case 2296: /* unreserved_keyword: DEFAULTS  */
#line 13238 "preproc.y"
 { 
 (yyval.str) = mm_strdup("defaults");
}
#line 51943 "preproc.c"
    break;

  case 2297: /* unreserved_keyword: DEFERRED  */
#line 13242 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferred");
}
#line 51951 "preproc.c"
    break;

  case 2298: /* unreserved_keyword: DEFINER  */
#line 13246 "preproc.y"
 { 
 (yyval.str) = mm_strdup("definer");
}
#line 51959 "preproc.c"
    break;

  case 2299: /* unreserved_keyword: DELETE_P  */
#line 13250 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delete");
}
#line 51967 "preproc.c"
    break;

  case 2300: /* unreserved_keyword: DELIMITER  */
#line 13254 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 51975 "preproc.c"
    break;

  case 2301: /* unreserved_keyword: DELIMITERS  */
#line 13258 "preproc.y"
 { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 51983 "preproc.c"
    break;

  case 2302: /* unreserved_keyword: DEPENDS  */
#line 13262 "preproc.y"
 { 
 (yyval.str) = mm_strdup("depends");
}
#line 51991 "preproc.c"
    break;

  case 2303: /* unreserved_keyword: DETACH  */
#line 13266 "preproc.y"
 { 
 (yyval.str) = mm_strdup("detach");
}
#line 51999 "preproc.c"
    break;

  case 2304: /* unreserved_keyword: DICTIONARY  */
#line 13270 "preproc.y"
 { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 52007 "preproc.c"
    break;

  case 2305: /* unreserved_keyword: DISABLE_P  */
#line 13274 "preproc.y"
 { 
 (yyval.str) = mm_strdup("disable");
}
#line 52015 "preproc.c"
    break;

  case 2306: /* unreserved_keyword: DISCARD  */
#line 13278 "preproc.y"
 { 
 (yyval.str) = mm_strdup("discard");
}
#line 52023 "preproc.c"
    break;

  case 2307: /* unreserved_keyword: DOCUMENT_P  */
#line 13282 "preproc.y"
 { 
 (yyval.str) = mm_strdup("document");
}
#line 52031 "preproc.c"
    break;

  case 2308: /* unreserved_keyword: DOMAIN_P  */
#line 13286 "preproc.y"
 { 
 (yyval.str) = mm_strdup("domain");
}
#line 52039 "preproc.c"
    break;

  case 2309: /* unreserved_keyword: DOUBLE_P  */
#line 13290 "preproc.y"
 { 
 (yyval.str) = mm_strdup("double");
}
#line 52047 "preproc.c"
    break;

  case 2310: /* unreserved_keyword: DROP  */
#line 13294 "preproc.y"
 { 
 (yyval.str) = mm_strdup("drop");
}
#line 52055 "preproc.c"
    break;

  case 2311: /* unreserved_keyword: EACH  */
#line 13298 "preproc.y"
 { 
 (yyval.str) = mm_strdup("each");
}
#line 52063 "preproc.c"
    break;

  case 2312: /* unreserved_keyword: ENABLE_P  */
#line 13302 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enable");
}
#line 52071 "preproc.c"
    break;

  case 2313: /* unreserved_keyword: ENCODING  */
#line 13306 "preproc.y"
 { 
 (yyval.str) = mm_strdup("encoding");
}
#line 52079 "preproc.c"
    break;

  case 2314: /* unreserved_keyword: ENCRYPTED  */
#line 13310 "preproc.y"
 { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 52087 "preproc.c"
    break;

  case 2315: /* unreserved_keyword: ENUM_P  */
#line 13314 "preproc.y"
 { 
 (yyval.str) = mm_strdup("enum");
}
#line 52095 "preproc.c"
    break;

  case 2316: /* unreserved_keyword: ESCAPE  */
#line 13318 "preproc.y"
 { 
 (yyval.str) = mm_strdup("escape");
}
#line 52103 "preproc.c"
    break;

  case 2317: /* unreserved_keyword: EVENT  */
#line 13322 "preproc.y"
 { 
 (yyval.str) = mm_strdup("event");
}
#line 52111 "preproc.c"
    break;

  case 2318: /* unreserved_keyword: EXCLUDE  */
#line 13326 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclude");
}
#line 52119 "preproc.c"
    break;

  case 2319: /* unreserved_keyword: EXCLUDING  */
#line 13330 "preproc.y"
 { 
 (yyval.str) = mm_strdup("excluding");
}
#line 52127 "preproc.c"
    break;

  case 2320: /* unreserved_keyword: EXCLUSIVE  */
#line 13334 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 52135 "preproc.c"
    break;

  case 2321: /* unreserved_keyword: EXECUTE  */
#line 13338 "preproc.y"
 { 
 (yyval.str) = mm_strdup("execute");
}
#line 52143 "preproc.c"
    break;

  case 2322: /* unreserved_keyword: EXPLAIN  */
#line 13342 "preproc.y"
 { 
 (yyval.str) = mm_strdup("explain");
}
#line 52151 "preproc.c"
    break;

  case 2323: /* unreserved_keyword: EXTENSION  */
#line 13346 "preproc.y"
 { 
 (yyval.str) = mm_strdup("extension");
}
#line 52159 "preproc.c"
    break;

  case 2324: /* unreserved_keyword: EXTERNAL  */
#line 13350 "preproc.y"
 { 
 (yyval.str) = mm_strdup("external");
}
#line 52167 "preproc.c"
    break;

  case 2325: /* unreserved_keyword: FAMILY  */
#line 13354 "preproc.y"
 { 
 (yyval.str) = mm_strdup("family");
}
#line 52175 "preproc.c"
    break;

  case 2326: /* unreserved_keyword: FILTER  */
#line 13358 "preproc.y"
 { 
 (yyval.str) = mm_strdup("filter");
}
#line 52183 "preproc.c"
    break;

  case 2327: /* unreserved_keyword: FIRST_P  */
#line 13362 "preproc.y"
 { 
 (yyval.str) = mm_strdup("first");
}
#line 52191 "preproc.c"
    break;

  case 2328: /* unreserved_keyword: FOLLOWING  */
#line 13366 "preproc.y"
 { 
 (yyval.str) = mm_strdup("following");
}
#line 52199 "preproc.c"
    break;

  case 2329: /* unreserved_keyword: FORCE  */
#line 13370 "preproc.y"
 { 
 (yyval.str) = mm_strdup("force");
}
#line 52207 "preproc.c"
    break;

  case 2330: /* unreserved_keyword: FORWARD  */
#line 13374 "preproc.y"
 { 
 (yyval.str) = mm_strdup("forward");
}
#line 52215 "preproc.c"
    break;

  case 2331: /* unreserved_keyword: FUNCTION  */
#line 13378 "preproc.y"
 { 
 (yyval.str) = mm_strdup("function");
}
#line 52223 "preproc.c"
    break;

  case 2332: /* unreserved_keyword: FUNCTIONS  */
#line 13382 "preproc.y"
 { 
 (yyval.str) = mm_strdup("functions");
}
#line 52231 "preproc.c"
    break;

  case 2333: /* unreserved_keyword: GENERATED  */
#line 13386 "preproc.y"
 { 
 (yyval.str) = mm_strdup("generated");
}
#line 52239 "preproc.c"
    break;

  case 2334: /* unreserved_keyword: GLOBAL  */
#line 13390 "preproc.y"
 { 
 (yyval.str) = mm_strdup("global");
}
#line 52247 "preproc.c"
    break;

  case 2335: /* unreserved_keyword: GRANTED  */
#line 13394 "preproc.y"
 { 
 (yyval.str) = mm_strdup("granted");
}
#line 52255 "preproc.c"
    break;

  case 2336: /* unreserved_keyword: HANDLER  */
#line 13398 "preproc.y"
 { 
 (yyval.str) = mm_strdup("handler");
}
#line 52263 "preproc.c"
    break;

  case 2337: /* unreserved_keyword: HEADER_P  */
#line 13402 "preproc.y"
 { 
 (yyval.str) = mm_strdup("header");
}
#line 52271 "preproc.c"
    break;

  case 2338: /* unreserved_keyword: HOLD  */
#line 13406 "preproc.y"
 { 
 (yyval.str) = mm_strdup("hold");
}
#line 52279 "preproc.c"
    break;

  case 2339: /* unreserved_keyword: IDENTITY_P  */
#line 13410 "preproc.y"
 { 
 (yyval.str) = mm_strdup("identity");
}
#line 52287 "preproc.c"
    break;

  case 2340: /* unreserved_keyword: IF_P  */
#line 13414 "preproc.y"
 { 
 (yyval.str) = mm_strdup("if");
}
#line 52295 "preproc.c"
    break;

  case 2341: /* unreserved_keyword: IMMEDIATE  */
#line 13418 "preproc.y"
 { 
 (yyval.str) = mm_strdup("immediate");
}
#line 52303 "preproc.c"
    break;

  case 2342: /* unreserved_keyword: IMMUTABLE  */
#line 13422 "preproc.y"
 { 
 (yyval.str) = mm_strdup("immutable");
}
#line 52311 "preproc.c"
    break;

  case 2343: /* unreserved_keyword: IMPLICIT_P  */
#line 13426 "preproc.y"
 { 
 (yyval.str) = mm_strdup("implicit");
}
#line 52319 "preproc.c"
    break;

  case 2344: /* unreserved_keyword: IMPORT_P  */
#line 13430 "preproc.y"
 { 
 (yyval.str) = mm_strdup("import");
}
#line 52327 "preproc.c"
    break;

  case 2345: /* unreserved_keyword: INCLUDING  */
#line 13434 "preproc.y"
 { 
 (yyval.str) = mm_strdup("including");
}
#line 52335 "preproc.c"
    break;

  case 2346: /* unreserved_keyword: INCREMENT  */
#line 13438 "preproc.y"
 { 
 (yyval.str) = mm_strdup("increment");
}
#line 52343 "preproc.c"
    break;

  case 2347: /* unreserved_keyword: INDEX  */
#line 13442 "preproc.y"
 { 
 (yyval.str) = mm_strdup("index");
}
#line 52351 "preproc.c"
    break;

  case 2348: /* unreserved_keyword: INDEXES  */
#line 13446 "preproc.y"
 { 
 (yyval.str) = mm_strdup("indexes");
}
#line 52359 "preproc.c"
    break;

  case 2349: /* unreserved_keyword: INHERIT  */
#line 13450 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inherit");
}
#line 52367 "preproc.c"
    break;

  case 2350: /* unreserved_keyword: INHERITS  */
#line 13454 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inherits");
}
#line 52375 "preproc.c"
    break;

  case 2351: /* unreserved_keyword: INLINE_P  */
#line 13458 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inline");
}
#line 52383 "preproc.c"
    break;

  case 2352: /* unreserved_keyword: INSENSITIVE  */
#line 13462 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 52391 "preproc.c"
    break;

  case 2353: /* unreserved_keyword: INSERT  */
#line 13466 "preproc.y"
 { 
 (yyval.str) = mm_strdup("insert");
}
#line 52399 "preproc.c"
    break;

  case 2354: /* unreserved_keyword: INSTEAD  */
#line 13470 "preproc.y"
 { 
 (yyval.str) = mm_strdup("instead");
}
#line 52407 "preproc.c"
    break;

  case 2355: /* unreserved_keyword: INVOKER  */
#line 13474 "preproc.y"
 { 
 (yyval.str) = mm_strdup("invoker");
}
#line 52415 "preproc.c"
    break;

  case 2356: /* unreserved_keyword: ISOLATION  */
#line 13478 "preproc.y"
 { 
 (yyval.str) = mm_strdup("isolation");
}
#line 52423 "preproc.c"
    break;

  case 2357: /* unreserved_keyword: KEY  */
#line 13482 "preproc.y"
 { 
 (yyval.str) = mm_strdup("key");
}
#line 52431 "preproc.c"
    break;

  case 2358: /* unreserved_keyword: LABEL  */
#line 13486 "preproc.y"
 { 
 (yyval.str) = mm_strdup("label");
}
#line 52439 "preproc.c"
    break;

  case 2359: /* unreserved_keyword: LANGUAGE  */
#line 13490 "preproc.y"
 { 
 (yyval.str) = mm_strdup("language");
}
#line 52447 "preproc.c"
    break;

  case 2360: /* unreserved_keyword: LARGE_P  */
#line 13494 "preproc.y"
 { 
 (yyval.str) = mm_strdup("large");
}
#line 52455 "preproc.c"
    break;

  case 2361: /* unreserved_keyword: LAST_P  */
#line 13498 "preproc.y"
 { 
 (yyval.str) = mm_strdup("last");
}
#line 52463 "preproc.c"
    break;

  case 2362: /* unreserved_keyword: LEAKPROOF  */
#line 13502 "preproc.y"
 { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 52471 "preproc.c"
    break;

  case 2363: /* unreserved_keyword: LEVEL  */
#line 13506 "preproc.y"
 { 
 (yyval.str) = mm_strdup("level");
}
#line 52479 "preproc.c"
    break;

  case 2364: /* unreserved_keyword: LISTEN  */
#line 13510 "preproc.y"
 { 
 (yyval.str) = mm_strdup("listen");
}
#line 52487 "preproc.c"
    break;

  case 2365: /* unreserved_keyword: LOAD  */
#line 13514 "preproc.y"
 { 
 (yyval.str) = mm_strdup("load");
}
#line 52495 "preproc.c"
    break;

  case 2366: /* unreserved_keyword: LOCAL  */
#line 13518 "preproc.y"
 { 
 (yyval.str) = mm_strdup("local");
}
#line 52503 "preproc.c"
    break;

  case 2367: /* unreserved_keyword: LOCATION  */
#line 13522 "preproc.y"
 { 
 (yyval.str) = mm_strdup("location");
}
#line 52511 "preproc.c"
    break;

  case 2368: /* unreserved_keyword: LOCK_P  */
#line 13526 "preproc.y"
 { 
 (yyval.str) = mm_strdup("lock");
}
#line 52519 "preproc.c"
    break;

  case 2369: /* unreserved_keyword: LOCKED  */
#line 13530 "preproc.y"
 { 
 (yyval.str) = mm_strdup("locked");
}
#line 52527 "preproc.c"
    break;

  case 2370: /* unreserved_keyword: LOGGED  */
#line 13534 "preproc.y"
 { 
 (yyval.str) = mm_strdup("logged");
}
#line 52535 "preproc.c"
    break;

  case 2371: /* unreserved_keyword: MAPPING  */
#line 13538 "preproc.y"
 { 
 (yyval.str) = mm_strdup("mapping");
}
#line 52543 "preproc.c"
    break;

  case 2372: /* unreserved_keyword: MATCH  */
#line 13542 "preproc.y"
 { 
 (yyval.str) = mm_strdup("match");
}
#line 52551 "preproc.c"
    break;

  case 2373: /* unreserved_keyword: MATERIALIZED  */
#line 13546 "preproc.y"
 { 
 (yyval.str) = mm_strdup("materialized");
}
#line 52559 "preproc.c"
    break;

  case 2374: /* unreserved_keyword: MAXVALUE  */
#line 13550 "preproc.y"
 { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 52567 "preproc.c"
    break;

  case 2375: /* unreserved_keyword: METHOD  */
#line 13554 "preproc.y"
 { 
 (yyval.str) = mm_strdup("method");
}
#line 52575 "preproc.c"
    break;

  case 2376: /* unreserved_keyword: MINVALUE  */
#line 13558 "preproc.y"
 { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 52583 "preproc.c"
    break;

  case 2377: /* unreserved_keyword: MODE  */
#line 13562 "preproc.y"
 { 
 (yyval.str) = mm_strdup("mode");
}
#line 52591 "preproc.c"
    break;

  case 2378: /* unreserved_keyword: MOVE  */
#line 13566 "preproc.y"
 { 
 (yyval.str) = mm_strdup("move");
}
#line 52599 "preproc.c"
    break;

  case 2379: /* unreserved_keyword: NAME_P  */
#line 13570 "preproc.y"
 { 
 (yyval.str) = mm_strdup("name");
}
#line 52607 "preproc.c"
    break;

  case 2380: /* unreserved_keyword: NAMES  */
#line 13574 "preproc.y"
 { 
 (yyval.str) = mm_strdup("names");
}
#line 52615 "preproc.c"
    break;

  case 2381: /* unreserved_keyword: NEW  */
#line 13578 "preproc.y"
 { 
 (yyval.str) = mm_strdup("new");
}
#line 52623 "preproc.c"
    break;

  case 2382: /* unreserved_keyword: NEXT  */
#line 13582 "preproc.y"
 { 
 (yyval.str) = mm_strdup("next");
}
#line 52631 "preproc.c"
    break;

  case 2383: /* unreserved_keyword: NO  */
#line 13586 "preproc.y"
 { 
 (yyval.str) = mm_strdup("no");
}
#line 52639 "preproc.c"
    break;

  case 2384: /* unreserved_keyword: NOTHING  */
#line 13590 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nothing");
}
#line 52647 "preproc.c"
    break;

  case 2385: /* unreserved_keyword: NOTIFY  */
#line 13594 "preproc.y"
 { 
 (yyval.str) = mm_strdup("notify");
}
#line 52655 "preproc.c"
    break;

  case 2386: /* unreserved_keyword: NOWAIT  */
#line 13598 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nowait");
}
#line 52663 "preproc.c"
    break;

  case 2387: /* unreserved_keyword: NULLS_P  */
#line 13602 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nulls");
}
#line 52671 "preproc.c"
    break;

  case 2388: /* unreserved_keyword: OBJECT_P  */
#line 13606 "preproc.y"
 { 
 (yyval.str) = mm_strdup("object");
}
#line 52679 "preproc.c"
    break;

  case 2389: /* unreserved_keyword: OF  */
#line 13610 "preproc.y"
 { 
 (yyval.str) = mm_strdup("of");
}
#line 52687 "preproc.c"
    break;

  case 2390: /* unreserved_keyword: OFF  */
#line 13614 "preproc.y"
 { 
 (yyval.str) = mm_strdup("off");
}
#line 52695 "preproc.c"
    break;

  case 2391: /* unreserved_keyword: OIDS  */
#line 13618 "preproc.y"
 { 
 (yyval.str) = mm_strdup("oids");
}
#line 52703 "preproc.c"
    break;

  case 2392: /* unreserved_keyword: OLD  */
#line 13622 "preproc.y"
 { 
 (yyval.str) = mm_strdup("old");
}
#line 52711 "preproc.c"
    break;

  case 2393: /* unreserved_keyword: OPERATOR  */
#line 13626 "preproc.y"
 { 
 (yyval.str) = mm_strdup("operator");
}
#line 52719 "preproc.c"
    break;

  case 2394: /* unreserved_keyword: OPTION  */
#line 13630 "preproc.y"
 { 
 (yyval.str) = mm_strdup("option");
}
#line 52727 "preproc.c"
    break;

  case 2395: /* unreserved_keyword: OPTIONS  */
#line 13634 "preproc.y"
 { 
 (yyval.str) = mm_strdup("options");
}
#line 52735 "preproc.c"
    break;

  case 2396: /* unreserved_keyword: ORDINALITY  */
#line 13638 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 52743 "preproc.c"
    break;

  case 2397: /* unreserved_keyword: OVER  */
#line 13642 "preproc.y"
 { 
 (yyval.str) = mm_strdup("over");
}
#line 52751 "preproc.c"
    break;

  case 2398: /* unreserved_keyword: OVERRIDING  */
#line 13646 "preproc.y"
 { 
 (yyval.str) = mm_strdup("overriding");
}
#line 52759 "preproc.c"
    break;

  case 2399: /* unreserved_keyword: OWNED  */
#line 13650 "preproc.y"
 { 
 (yyval.str) = mm_strdup("owned");
}
#line 52767 "preproc.c"
    break;

  case 2400: /* unreserved_keyword: OWNER  */
#line 13654 "preproc.y"
 { 
 (yyval.str) = mm_strdup("owner");
}
#line 52775 "preproc.c"
    break;

  case 2401: /* unreserved_keyword: PARALLEL  */
#line 13658 "preproc.y"
 { 
 (yyval.str) = mm_strdup("parallel");
}
#line 52783 "preproc.c"
    break;

  case 2402: /* unreserved_keyword: PARSER  */
#line 13662 "preproc.y"
 { 
 (yyval.str) = mm_strdup("parser");
}
#line 52791 "preproc.c"
    break;

  case 2403: /* unreserved_keyword: PARTIAL  */
#line 13666 "preproc.y"
 { 
 (yyval.str) = mm_strdup("partial");
}
#line 52799 "preproc.c"
    break;

  case 2404: /* unreserved_keyword: PARTITION  */
#line 13670 "preproc.y"
 { 
 (yyval.str) = mm_strdup("partition");
}
#line 52807 "preproc.c"
    break;

  case 2405: /* unreserved_keyword: PASSING  */
#line 13674 "preproc.y"
 { 
 (yyval.str) = mm_strdup("passing");
}
#line 52815 "preproc.c"
    break;

  case 2406: /* unreserved_keyword: PASSWORD  */
#line 13678 "preproc.y"
 { 
 (yyval.str) = mm_strdup("password");
}
#line 52823 "preproc.c"
    break;

  case 2407: /* unreserved_keyword: PLANS  */
#line 13682 "preproc.y"
 { 
 (yyval.str) = mm_strdup("plans");
}
#line 52831 "preproc.c"
    break;

  case 2408: /* unreserved_keyword: POLICY  */
#line 13686 "preproc.y"
 { 
 (yyval.str) = mm_strdup("policy");
}
#line 52839 "preproc.c"
    break;

  case 2409: /* unreserved_keyword: PRECEDING  */
#line 13690 "preproc.y"
 { 
 (yyval.str) = mm_strdup("preceding");
}
#line 52847 "preproc.c"
    break;

  case 2410: /* unreserved_keyword: PREPARE  */
#line 13694 "preproc.y"
 { 
 (yyval.str) = mm_strdup("prepare");
}
#line 52855 "preproc.c"
    break;

  case 2411: /* unreserved_keyword: PREPARED  */
#line 13698 "preproc.y"
 { 
 (yyval.str) = mm_strdup("prepared");
}
#line 52863 "preproc.c"
    break;

  case 2412: /* unreserved_keyword: PRESERVE  */
#line 13702 "preproc.y"
 { 
 (yyval.str) = mm_strdup("preserve");
}
#line 52871 "preproc.c"
    break;

  case 2413: /* unreserved_keyword: PRIOR  */
#line 13706 "preproc.y"
 { 
 (yyval.str) = mm_strdup("prior");
}
#line 52879 "preproc.c"
    break;

  case 2414: /* unreserved_keyword: PRIVILEGES  */
#line 13710 "preproc.y"
 { 
 (yyval.str) = mm_strdup("privileges");
}
#line 52887 "preproc.c"
    break;

  case 2415: /* unreserved_keyword: PROCEDURAL  */
#line 13714 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedural");
}
#line 52895 "preproc.c"
    break;

  case 2416: /* unreserved_keyword: PROCEDURE  */
#line 13718 "preproc.y"
 { 
 (yyval.str) = mm_strdup("procedure");
}
#line 52903 "preproc.c"
    break;

  case 2417: /* unreserved_keyword: PROGRAM  */
#line 13722 "preproc.y"
 { 
 (yyval.str) = mm_strdup("program");
}
#line 52911 "preproc.c"
    break;

  case 2418: /* unreserved_keyword: PUBLICATION  */
#line 13726 "preproc.y"
 { 
 (yyval.str) = mm_strdup("publication");
}
#line 52919 "preproc.c"
    break;

  case 2419: /* unreserved_keyword: QUOTE  */
#line 13730 "preproc.y"
 { 
 (yyval.str) = mm_strdup("quote");
}
#line 52927 "preproc.c"
    break;

  case 2420: /* unreserved_keyword: RANGE  */
#line 13734 "preproc.y"
 { 
 (yyval.str) = mm_strdup("range");
}
#line 52935 "preproc.c"
    break;

  case 2421: /* unreserved_keyword: READ  */
#line 13738 "preproc.y"
 { 
 (yyval.str) = mm_strdup("read");
}
#line 52943 "preproc.c"
    break;

  case 2422: /* unreserved_keyword: REASSIGN  */
#line 13742 "preproc.y"
 { 
 (yyval.str) = mm_strdup("reassign");
}
#line 52951 "preproc.c"
    break;

  case 2423: /* unreserved_keyword: RECHECK  */
#line 13746 "preproc.y"
 { 
 (yyval.str) = mm_strdup("recheck");
}
#line 52959 "preproc.c"
    break;

  case 2424: /* unreserved_keyword: RECURSIVE  */
#line 13750 "preproc.y"
 { 
 (yyval.str) = mm_strdup("recursive");
}
#line 52967 "preproc.c"
    break;

  case 2425: /* unreserved_keyword: REF_P  */
#line 13754 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ref");
}
#line 52975 "preproc.c"
    break;

  case 2426: /* unreserved_keyword: REFERENCING  */
#line 13758 "preproc.y"
 { 
 (yyval.str) = mm_strdup("referencing");
}
#line 52983 "preproc.c"
    break;

  case 2427: /* unreserved_keyword: REFRESH  */
#line 13762 "preproc.y"
 { 
 (yyval.str) = mm_strdup("refresh");
}
#line 52991 "preproc.c"
    break;

  case 2428: /* unreserved_keyword: REINDEX  */
#line 13766 "preproc.y"
 { 
 (yyval.str) = mm_strdup("reindex");
}
#line 52999 "preproc.c"
    break;

  case 2429: /* unreserved_keyword: RELATIVE_P  */
#line 13770 "preproc.y"
 { 
 (yyval.str) = mm_strdup("relative");
}
#line 53007 "preproc.c"
    break;

  case 2430: /* unreserved_keyword: RELEASE  */
#line 13774 "preproc.y"
 { 
 (yyval.str) = mm_strdup("release");
}
#line 53015 "preproc.c"
    break;

  case 2431: /* unreserved_keyword: RENAME  */
#line 13778 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rename");
}
#line 53023 "preproc.c"
    break;

  case 2432: /* unreserved_keyword: REPEATABLE  */
#line 13782 "preproc.y"
 { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 53031 "preproc.c"
    break;

  case 2433: /* unreserved_keyword: REPLACE  */
#line 13786 "preproc.y"
 { 
 (yyval.str) = mm_strdup("replace");
}
#line 53039 "preproc.c"
    break;

  case 2434: /* unreserved_keyword: REPLICA  */
#line 13790 "preproc.y"
 { 
 (yyval.str) = mm_strdup("replica");
}
#line 53047 "preproc.c"
    break;

  case 2435: /* unreserved_keyword: RESET  */
#line 13794 "preproc.y"
 { 
 (yyval.str) = mm_strdup("reset");
}
#line 53055 "preproc.c"
    break;

  case 2436: /* unreserved_keyword: RESTART  */
#line 13798 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restart");
}
#line 53063 "preproc.c"
    break;

  case 2437: /* unreserved_keyword: RESTRICT  */
#line 13802 "preproc.y"
 { 
 (yyval.str) = mm_strdup("restrict");
}
#line 53071 "preproc.c"
    break;

  case 2438: /* unreserved_keyword: RETURNS  */
#line 13806 "preproc.y"
 { 
 (yyval.str) = mm_strdup("returns");
}
#line 53079 "preproc.c"
    break;

  case 2439: /* unreserved_keyword: REVOKE  */
#line 13810 "preproc.y"
 { 
 (yyval.str) = mm_strdup("revoke");
}
#line 53087 "preproc.c"
    break;

  case 2440: /* unreserved_keyword: ROLE  */
#line 13814 "preproc.y"
 { 
 (yyval.str) = mm_strdup("role");
}
#line 53095 "preproc.c"
    break;

  case 2441: /* unreserved_keyword: ROLLBACK  */
#line 13818 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rollback");
}
#line 53103 "preproc.c"
    break;

  case 2442: /* unreserved_keyword: ROLLUP  */
#line 13822 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rollup");
}
#line 53111 "preproc.c"
    break;

  case 2443: /* unreserved_keyword: ROWS  */
#line 13826 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rows");
}
#line 53119 "preproc.c"
    break;

  case 2444: /* unreserved_keyword: RULE  */
#line 13830 "preproc.y"
 { 
 (yyval.str) = mm_strdup("rule");
}
#line 53127 "preproc.c"
    break;

  case 2445: /* unreserved_keyword: SAVEPOINT  */
#line 13834 "preproc.y"
 { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 53135 "preproc.c"
    break;

  case 2446: /* unreserved_keyword: SCHEMA  */
#line 13838 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schema");
}
#line 53143 "preproc.c"
    break;

  case 2447: /* unreserved_keyword: SCHEMAS  */
#line 13842 "preproc.y"
 { 
 (yyval.str) = mm_strdup("schemas");
}
#line 53151 "preproc.c"
    break;

  case 2448: /* unreserved_keyword: SCROLL  */
#line 13846 "preproc.y"
 { 
 (yyval.str) = mm_strdup("scroll");
}
#line 53159 "preproc.c"
    break;

  case 2449: /* unreserved_keyword: SEARCH  */
#line 13850 "preproc.y"
 { 
 (yyval.str) = mm_strdup("search");
}
#line 53167 "preproc.c"
    break;

  case 2450: /* unreserved_keyword: SECURITY  */
#line 13854 "preproc.y"
 { 
 (yyval.str) = mm_strdup("security");
}
#line 53175 "preproc.c"
    break;

  case 2451: /* unreserved_keyword: SEQUENCE  */
#line 13858 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequence");
}
#line 53183 "preproc.c"
    break;

  case 2452: /* unreserved_keyword: SEQUENCES  */
#line 13862 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sequences");
}
#line 53191 "preproc.c"
    break;

  case 2453: /* unreserved_keyword: SERIALIZABLE  */
#line 13866 "preproc.y"
 { 
 (yyval.str) = mm_strdup("serializable");
}
#line 53199 "preproc.c"
    break;

  case 2454: /* unreserved_keyword: SERVER  */
#line 13870 "preproc.y"
 { 
 (yyval.str) = mm_strdup("server");
}
#line 53207 "preproc.c"
    break;

  case 2455: /* unreserved_keyword: SESSION  */
#line 13874 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session");
}
#line 53215 "preproc.c"
    break;

  case 2456: /* unreserved_keyword: SET  */
#line 13878 "preproc.y"
 { 
 (yyval.str) = mm_strdup("set");
}
#line 53223 "preproc.c"
    break;

  case 2457: /* unreserved_keyword: SETS  */
#line 13882 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sets");
}
#line 53231 "preproc.c"
    break;

  case 2458: /* unreserved_keyword: SHARE  */
#line 13886 "preproc.y"
 { 
 (yyval.str) = mm_strdup("share");
}
#line 53239 "preproc.c"
    break;

  case 2459: /* unreserved_keyword: SHOW  */
#line 13890 "preproc.y"
 { 
 (yyval.str) = mm_strdup("show");
}
#line 53247 "preproc.c"
    break;

  case 2460: /* unreserved_keyword: SIMPLE  */
#line 13894 "preproc.y"
 { 
 (yyval.str) = mm_strdup("simple");
}
#line 53255 "preproc.c"
    break;

  case 2461: /* unreserved_keyword: SKIP  */
#line 13898 "preproc.y"
 { 
 (yyval.str) = mm_strdup("skip");
}
#line 53263 "preproc.c"
    break;

  case 2462: /* unreserved_keyword: SNAPSHOT  */
#line 13902 "preproc.y"
 { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 53271 "preproc.c"
    break;

  case 2463: /* unreserved_keyword: SQL_P  */
#line 13906 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sql");
}
#line 53279 "preproc.c"
    break;

  case 2464: /* unreserved_keyword: STABLE  */
#line 13910 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stable");
}
#line 53287 "preproc.c"
    break;

  case 2465: /* unreserved_keyword: STANDALONE_P  */
#line 13914 "preproc.y"
 { 
 (yyval.str) = mm_strdup("standalone");
}
#line 53295 "preproc.c"
    break;

  case 2466: /* unreserved_keyword: START  */
#line 13918 "preproc.y"
 { 
 (yyval.str) = mm_strdup("start");
}
#line 53303 "preproc.c"
    break;

  case 2467: /* unreserved_keyword: STATEMENT  */
#line 13922 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statement");
}
#line 53311 "preproc.c"
    break;

  case 2468: /* unreserved_keyword: STATISTICS  */
#line 13926 "preproc.y"
 { 
 (yyval.str) = mm_strdup("statistics");
}
#line 53319 "preproc.c"
    break;

  case 2469: /* unreserved_keyword: STDIN  */
#line 13930 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stdin");
}
#line 53327 "preproc.c"
    break;

  case 2470: /* unreserved_keyword: STDOUT  */
#line 13934 "preproc.y"
 { 
 (yyval.str) = mm_strdup("stdout");
}
#line 53335 "preproc.c"
    break;

  case 2471: /* unreserved_keyword: STORAGE  */
#line 13938 "preproc.y"
 { 
 (yyval.str) = mm_strdup("storage");
}
#line 53343 "preproc.c"
    break;

  case 2472: /* unreserved_keyword: STRICT_P  */
#line 13942 "preproc.y"
 { 
 (yyval.str) = mm_strdup("strict");
}
#line 53351 "preproc.c"
    break;

  case 2473: /* unreserved_keyword: STRIP_P  */
#line 13946 "preproc.y"
 { 
 (yyval.str) = mm_strdup("strip");
}
#line 53359 "preproc.c"
    break;

  case 2474: /* unreserved_keyword: SUBSCRIPTION  */
#line 13950 "preproc.y"
 { 
 (yyval.str) = mm_strdup("subscription");
}
#line 53367 "preproc.c"
    break;

  case 2475: /* unreserved_keyword: SYSID  */
#line 13954 "preproc.y"
 { 
 (yyval.str) = mm_strdup("sysid");
}
#line 53375 "preproc.c"
    break;

  case 2476: /* unreserved_keyword: SYSTEM_P  */
#line 13958 "preproc.y"
 { 
 (yyval.str) = mm_strdup("system");
}
#line 53383 "preproc.c"
    break;

  case 2477: /* unreserved_keyword: TABLES  */
#line 13962 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tables");
}
#line 53391 "preproc.c"
    break;

  case 2478: /* unreserved_keyword: TABLESPACE  */
#line 13966 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 53399 "preproc.c"
    break;

  case 2479: /* unreserved_keyword: TEMP  */
#line 13970 "preproc.y"
 { 
 (yyval.str) = mm_strdup("temp");
}
#line 53407 "preproc.c"
    break;

  case 2480: /* unreserved_keyword: TEMPLATE  */
#line 13974 "preproc.y"
 { 
 (yyval.str) = mm_strdup("template");
}
#line 53415 "preproc.c"
    break;

  case 2481: /* unreserved_keyword: TEMPORARY  */
#line 13978 "preproc.y"
 { 
 (yyval.str) = mm_strdup("temporary");
}
#line 53423 "preproc.c"
    break;

  case 2482: /* unreserved_keyword: TEXT_P  */
#line 13982 "preproc.y"
 { 
 (yyval.str) = mm_strdup("text");
}
#line 53431 "preproc.c"
    break;

  case 2483: /* unreserved_keyword: TRANSACTION  */
#line 13986 "preproc.y"
 { 
 (yyval.str) = mm_strdup("transaction");
}
#line 53439 "preproc.c"
    break;

  case 2484: /* unreserved_keyword: TRANSFORM  */
#line 13990 "preproc.y"
 { 
 (yyval.str) = mm_strdup("transform");
}
#line 53447 "preproc.c"
    break;

  case 2485: /* unreserved_keyword: TRIGGER  */
#line 13994 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trigger");
}
#line 53455 "preproc.c"
    break;

  case 2486: /* unreserved_keyword: TRUNCATE  */
#line 13998 "preproc.y"
 { 
 (yyval.str) = mm_strdup("truncate");
}
#line 53463 "preproc.c"
    break;

  case 2487: /* unreserved_keyword: TRUSTED  */
#line 14002 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trusted");
}
#line 53471 "preproc.c"
    break;

  case 2488: /* unreserved_keyword: TYPE_P  */
#line 14006 "preproc.y"
 { 
 (yyval.str) = mm_strdup("type");
}
#line 53479 "preproc.c"
    break;

  case 2489: /* unreserved_keyword: TYPES_P  */
#line 14010 "preproc.y"
 { 
 (yyval.str) = mm_strdup("types");
}
#line 53487 "preproc.c"
    break;

  case 2490: /* unreserved_keyword: UNBOUNDED  */
#line 14014 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 53495 "preproc.c"
    break;

  case 2491: /* unreserved_keyword: UNCOMMITTED  */
#line 14018 "preproc.y"
 { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 53503 "preproc.c"
    break;

  case 2492: /* unreserved_keyword: UNENCRYPTED  */
#line 14022 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 53511 "preproc.c"
    break;

  case 2493: /* unreserved_keyword: UNKNOWN  */
#line 14026 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unknown");
}
#line 53519 "preproc.c"
    break;

  case 2494: /* unreserved_keyword: UNLISTEN  */
#line 14030 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 53527 "preproc.c"
    break;

  case 2495: /* unreserved_keyword: UNLOGGED  */
#line 14034 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 53535 "preproc.c"
    break;

  case 2496: /* unreserved_keyword: UNTIL  */
#line 14038 "preproc.y"
 { 
 (yyval.str) = mm_strdup("until");
}
#line 53543 "preproc.c"
    break;

  case 2497: /* unreserved_keyword: UPDATE  */
#line 14042 "preproc.y"
 { 
 (yyval.str) = mm_strdup("update");
}
#line 53551 "preproc.c"
    break;

  case 2498: /* unreserved_keyword: VACUUM  */
#line 14046 "preproc.y"
 { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 53559 "preproc.c"
    break;

  case 2499: /* unreserved_keyword: VALID  */
#line 14050 "preproc.y"
 { 
 (yyval.str) = mm_strdup("valid");
}
#line 53567 "preproc.c"
    break;

  case 2500: /* unreserved_keyword: VALIDATE  */
#line 14054 "preproc.y"
 { 
 (yyval.str) = mm_strdup("validate");
}
#line 53575 "preproc.c"
    break;

  case 2501: /* unreserved_keyword: VALIDATOR  */
#line 14058 "preproc.y"
 { 
 (yyval.str) = mm_strdup("validator");
}
#line 53583 "preproc.c"
    break;

  case 2502: /* unreserved_keyword: VALUE_P  */
#line 14062 "preproc.y"
 { 
 (yyval.str) = mm_strdup("value");
}
#line 53591 "preproc.c"
    break;

  case 2503: /* unreserved_keyword: VARYING  */
#line 14066 "preproc.y"
 { 
 (yyval.str) = mm_strdup("varying");
}
#line 53599 "preproc.c"
    break;

  case 2504: /* unreserved_keyword: VERSION_P  */
#line 14070 "preproc.y"
 { 
 (yyval.str) = mm_strdup("version");
}
#line 53607 "preproc.c"
    break;

  case 2505: /* unreserved_keyword: VIEW  */
#line 14074 "preproc.y"
 { 
 (yyval.str) = mm_strdup("view");
}
#line 53615 "preproc.c"
    break;

  case 2506: /* unreserved_keyword: VIEWS  */
#line 14078 "preproc.y"
 { 
 (yyval.str) = mm_strdup("views");
}
#line 53623 "preproc.c"
    break;

  case 2507: /* unreserved_keyword: VOLATILE  */
#line 14082 "preproc.y"
 { 
 (yyval.str) = mm_strdup("volatile");
}
#line 53631 "preproc.c"
    break;

  case 2508: /* unreserved_keyword: WHITESPACE_P  */
#line 14086 "preproc.y"
 { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 53639 "preproc.c"
    break;

  case 2509: /* unreserved_keyword: WITHIN  */
#line 14090 "preproc.y"
 { 
 (yyval.str) = mm_strdup("within");
}
#line 53647 "preproc.c"
    break;

  case 2510: /* unreserved_keyword: WITHOUT  */
#line 14094 "preproc.y"
 { 
 (yyval.str) = mm_strdup("without");
}
#line 53655 "preproc.c"
    break;

  case 2511: /* unreserved_keyword: WORK  */
#line 14098 "preproc.y"
 { 
 (yyval.str) = mm_strdup("work");
}
#line 53663 "preproc.c"
    break;

  case 2512: /* unreserved_keyword: WRAPPER  */
#line 14102 "preproc.y"
 { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 53671 "preproc.c"
    break;

  case 2513: /* unreserved_keyword: WRITE  */
#line 14106 "preproc.y"
 { 
 (yyval.str) = mm_strdup("write");
}
#line 53679 "preproc.c"
    break;

  case 2514: /* unreserved_keyword: XML_P  */
#line 14110 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xml");
}
#line 53687 "preproc.c"
    break;

  case 2515: /* unreserved_keyword: YES_P  */
#line 14114 "preproc.y"
 { 
 (yyval.str) = mm_strdup("yes");
}
#line 53695 "preproc.c"
    break;

  case 2516: /* unreserved_keyword: ZONE  */
#line 14118 "preproc.y"
 { 
 (yyval.str) = mm_strdup("zone");
}
#line 53703 "preproc.c"
    break;

  case 2517: /* col_name_keyword: BETWEEN  */
#line 14126 "preproc.y"
 { 
 (yyval.str) = mm_strdup("between");
}
#line 53711 "preproc.c"
    break;

  case 2518: /* col_name_keyword: BIGINT  */
#line 14130 "preproc.y"
 { 
 (yyval.str) = mm_strdup("bigint");
}
#line 53719 "preproc.c"
    break;

  case 2519: /* col_name_keyword: BIT  */
#line 14134 "preproc.y"
 { 
 (yyval.str) = mm_strdup("bit");
}
#line 53727 "preproc.c"
    break;

  case 2520: /* col_name_keyword: BOOLEAN_P  */
#line 14138 "preproc.y"
 { 
 (yyval.str) = mm_strdup("boolean");
}
#line 53735 "preproc.c"
    break;

  case 2521: /* col_name_keyword: CHARACTER  */
#line 14142 "preproc.y"
 { 
 (yyval.str) = mm_strdup("character");
}
#line 53743 "preproc.c"
    break;

  case 2522: /* col_name_keyword: COALESCE  */
#line 14146 "preproc.y"
 { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 53751 "preproc.c"
    break;

  case 2523: /* col_name_keyword: DEC  */
#line 14150 "preproc.y"
 { 
 (yyval.str) = mm_strdup("dec");
}
#line 53759 "preproc.c"
    break;

  case 2524: /* col_name_keyword: DECIMAL_P  */
#line 14154 "preproc.y"
 { 
 (yyval.str) = mm_strdup("decimal");
}
#line 53767 "preproc.c"
    break;

  case 2525: /* col_name_keyword: EXISTS  */
#line 14158 "preproc.y"
 { 
 (yyval.str) = mm_strdup("exists");
}
#line 53775 "preproc.c"
    break;

  case 2526: /* col_name_keyword: EXTRACT  */
#line 14162 "preproc.y"
 { 
 (yyval.str) = mm_strdup("extract");
}
#line 53783 "preproc.c"
    break;

  case 2527: /* col_name_keyword: FLOAT_P  */
#line 14166 "preproc.y"
 { 
 (yyval.str) = mm_strdup("float");
}
#line 53791 "preproc.c"
    break;

  case 2528: /* col_name_keyword: GREATEST  */
#line 14170 "preproc.y"
 { 
 (yyval.str) = mm_strdup("greatest");
}
#line 53799 "preproc.c"
    break;

  case 2529: /* col_name_keyword: GROUPING  */
#line 14174 "preproc.y"
 { 
 (yyval.str) = mm_strdup("grouping");
}
#line 53807 "preproc.c"
    break;

  case 2530: /* col_name_keyword: INOUT  */
#line 14178 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inout");
}
#line 53815 "preproc.c"
    break;

  case 2531: /* col_name_keyword: INTEGER  */
#line 14182 "preproc.y"
 { 
 (yyval.str) = mm_strdup("integer");
}
#line 53823 "preproc.c"
    break;

  case 2532: /* col_name_keyword: INTERVAL  */
#line 14186 "preproc.y"
 { 
 (yyval.str) = mm_strdup("interval");
}
#line 53831 "preproc.c"
    break;

  case 2533: /* col_name_keyword: LEAST  */
#line 14190 "preproc.y"
 { 
 (yyval.str) = mm_strdup("least");
}
#line 53839 "preproc.c"
    break;

  case 2534: /* col_name_keyword: NATIONAL  */
#line 14194 "preproc.y"
 { 
 (yyval.str) = mm_strdup("national");
}
#line 53847 "preproc.c"
    break;

  case 2535: /* col_name_keyword: NCHAR  */
#line 14198 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nchar");
}
#line 53855 "preproc.c"
    break;

  case 2536: /* col_name_keyword: NONE  */
#line 14202 "preproc.y"
 { 
 (yyval.str) = mm_strdup("none");
}
#line 53863 "preproc.c"
    break;

  case 2537: /* col_name_keyword: NULLIF  */
#line 14206 "preproc.y"
 { 
 (yyval.str) = mm_strdup("nullif");
}
#line 53871 "preproc.c"
    break;

  case 2538: /* col_name_keyword: NUMERIC  */
#line 14210 "preproc.y"
 { 
 (yyval.str) = mm_strdup("numeric");
}
#line 53879 "preproc.c"
    break;

  case 2539: /* col_name_keyword: OUT_P  */
#line 14214 "preproc.y"
 { 
 (yyval.str) = mm_strdup("out");
}
#line 53887 "preproc.c"
    break;

  case 2540: /* col_name_keyword: OVERLAY  */
#line 14218 "preproc.y"
 { 
 (yyval.str) = mm_strdup("overlay");
}
#line 53895 "preproc.c"
    break;

  case 2541: /* col_name_keyword: POSITION  */
#line 14222 "preproc.y"
 { 
 (yyval.str) = mm_strdup("position");
}
#line 53903 "preproc.c"
    break;

  case 2542: /* col_name_keyword: PRECISION  */
#line 14226 "preproc.y"
 { 
 (yyval.str) = mm_strdup("precision");
}
#line 53911 "preproc.c"
    break;

  case 2543: /* col_name_keyword: REAL  */
#line 14230 "preproc.y"
 { 
 (yyval.str) = mm_strdup("real");
}
#line 53919 "preproc.c"
    break;

  case 2544: /* col_name_keyword: ROW  */
#line 14234 "preproc.y"
 { 
 (yyval.str) = mm_strdup("row");
}
#line 53927 "preproc.c"
    break;

  case 2545: /* col_name_keyword: SETOF  */
#line 14238 "preproc.y"
 { 
 (yyval.str) = mm_strdup("setof");
}
#line 53935 "preproc.c"
    break;

  case 2546: /* col_name_keyword: SMALLINT  */
#line 14242 "preproc.y"
 { 
 (yyval.str) = mm_strdup("smallint");
}
#line 53943 "preproc.c"
    break;

  case 2547: /* col_name_keyword: SUBSTRING  */
#line 14246 "preproc.y"
 { 
 (yyval.str) = mm_strdup("substring");
}
#line 53951 "preproc.c"
    break;

  case 2548: /* col_name_keyword: TIME  */
#line 14250 "preproc.y"
 { 
 (yyval.str) = mm_strdup("time");
}
#line 53959 "preproc.c"
    break;

  case 2549: /* col_name_keyword: TIMESTAMP  */
#line 14254 "preproc.y"
 { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 53967 "preproc.c"
    break;

  case 2550: /* col_name_keyword: TREAT  */
#line 14258 "preproc.y"
 { 
 (yyval.str) = mm_strdup("treat");
}
#line 53975 "preproc.c"
    break;

  case 2551: /* col_name_keyword: TRIM  */
#line 14262 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trim");
}
#line 53983 "preproc.c"
    break;

  case 2552: /* col_name_keyword: VARCHAR  */
#line 14266 "preproc.y"
 { 
 (yyval.str) = mm_strdup("varchar");
}
#line 53991 "preproc.c"
    break;

  case 2553: /* col_name_keyword: XMLATTRIBUTES  */
#line 14270 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 53999 "preproc.c"
    break;

  case 2554: /* col_name_keyword: XMLCONCAT  */
#line 14274 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 54007 "preproc.c"
    break;

  case 2555: /* col_name_keyword: XMLELEMENT  */
#line 14278 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 54015 "preproc.c"
    break;

  case 2556: /* col_name_keyword: XMLEXISTS  */
#line 14282 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 54023 "preproc.c"
    break;

  case 2557: /* col_name_keyword: XMLFOREST  */
#line 14286 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 54031 "preproc.c"
    break;

  case 2558: /* col_name_keyword: XMLNAMESPACES  */
#line 14290 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 54039 "preproc.c"
    break;

  case 2559: /* col_name_keyword: XMLPARSE  */
#line 14294 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 54047 "preproc.c"
    break;

  case 2560: /* col_name_keyword: XMLPI  */
#line 14298 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 54055 "preproc.c"
    break;

  case 2561: /* col_name_keyword: XMLROOT  */
#line 14302 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 54063 "preproc.c"
    break;

  case 2562: /* col_name_keyword: XMLSERIALIZE  */
#line 14306 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 54071 "preproc.c"
    break;

  case 2563: /* col_name_keyword: XMLTABLE  */
#line 14310 "preproc.y"
 { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 54079 "preproc.c"
    break;

  case 2564: /* type_func_name_keyword: AUTHORIZATION  */
#line 14318 "preproc.y"
 { 
 (yyval.str) = mm_strdup("authorization");
}
#line 54087 "preproc.c"
    break;

  case 2565: /* type_func_name_keyword: BINARY  */
#line 14322 "preproc.y"
 { 
 (yyval.str) = mm_strdup("binary");
}
#line 54095 "preproc.c"
    break;

  case 2566: /* type_func_name_keyword: COLLATION  */
#line 14326 "preproc.y"
 { 
 (yyval.str) = mm_strdup("collation");
}
#line 54103 "preproc.c"
    break;

  case 2567: /* type_func_name_keyword: CONCURRENTLY  */
#line 14330 "preproc.y"
 { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 54111 "preproc.c"
    break;

  case 2568: /* type_func_name_keyword: CROSS  */
#line 14334 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cross");
}
#line 54119 "preproc.c"
    break;

  case 2569: /* type_func_name_keyword: CURRENT_SCHEMA  */
#line 14338 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 54127 "preproc.c"
    break;

  case 2570: /* type_func_name_keyword: FREEZE  */
#line 14342 "preproc.y"
 { 
 (yyval.str) = mm_strdup("freeze");
}
#line 54135 "preproc.c"
    break;

  case 2571: /* type_func_name_keyword: FULL  */
#line 14346 "preproc.y"
 { 
 (yyval.str) = mm_strdup("full");
}
#line 54143 "preproc.c"
    break;

  case 2572: /* type_func_name_keyword: ILIKE  */
#line 14350 "preproc.y"
 { 
 (yyval.str) = mm_strdup("ilike");
}
#line 54151 "preproc.c"
    break;

  case 2573: /* type_func_name_keyword: INNER_P  */
#line 14354 "preproc.y"
 { 
 (yyval.str) = mm_strdup("inner");
}
#line 54159 "preproc.c"
    break;

  case 2574: /* type_func_name_keyword: IS  */
#line 14358 "preproc.y"
 { 
 (yyval.str) = mm_strdup("is");
}
#line 54167 "preproc.c"
    break;

  case 2575: /* type_func_name_keyword: ISNULL  */
#line 14362 "preproc.y"
 { 
 (yyval.str) = mm_strdup("isnull");
}
#line 54175 "preproc.c"
    break;

  case 2576: /* type_func_name_keyword: JOIN  */
#line 14366 "preproc.y"
 { 
 (yyval.str) = mm_strdup("join");
}
#line 54183 "preproc.c"
    break;

  case 2577: /* type_func_name_keyword: LEFT  */
#line 14370 "preproc.y"
 { 
 (yyval.str) = mm_strdup("left");
}
#line 54191 "preproc.c"
    break;

  case 2578: /* type_func_name_keyword: LIKE  */
#line 14374 "preproc.y"
 { 
 (yyval.str) = mm_strdup("like");
}
#line 54199 "preproc.c"
    break;

  case 2579: /* type_func_name_keyword: NATURAL  */
#line 14378 "preproc.y"
 { 
 (yyval.str) = mm_strdup("natural");
}
#line 54207 "preproc.c"
    break;

  case 2580: /* type_func_name_keyword: NOTNULL  */
#line 14382 "preproc.y"
 { 
 (yyval.str) = mm_strdup("notnull");
}
#line 54215 "preproc.c"
    break;

  case 2581: /* type_func_name_keyword: OUTER_P  */
#line 14386 "preproc.y"
 { 
 (yyval.str) = mm_strdup("outer");
}
#line 54223 "preproc.c"
    break;

  case 2582: /* type_func_name_keyword: OVERLAPS  */
#line 14390 "preproc.y"
 { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 54231 "preproc.c"
    break;

  case 2583: /* type_func_name_keyword: RIGHT  */
#line 14394 "preproc.y"
 { 
 (yyval.str) = mm_strdup("right");
}
#line 54239 "preproc.c"
    break;

  case 2584: /* type_func_name_keyword: SIMILAR  */
#line 14398 "preproc.y"
 { 
 (yyval.str) = mm_strdup("similar");
}
#line 54247 "preproc.c"
    break;

  case 2585: /* type_func_name_keyword: TABLESAMPLE  */
#line 14402 "preproc.y"
 { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 54255 "preproc.c"
    break;

  case 2586: /* type_func_name_keyword: VERBOSE  */
#line 14406 "preproc.y"
 { 
 (yyval.str) = mm_strdup("verbose");
}
#line 54263 "preproc.c"
    break;

  case 2587: /* reserved_keyword: ALL  */
#line 14414 "preproc.y"
 { 
 (yyval.str) = mm_strdup("all");
}
#line 54271 "preproc.c"
    break;

  case 2588: /* reserved_keyword: ANALYSE  */
#line 14418 "preproc.y"
 { 
 (yyval.str) = mm_strdup("analyse");
}
#line 54279 "preproc.c"
    break;

  case 2589: /* reserved_keyword: ANALYZE  */
#line 14422 "preproc.y"
 { 
 (yyval.str) = mm_strdup("analyze");
}
#line 54287 "preproc.c"
    break;

  case 2590: /* reserved_keyword: AND  */
#line 14426 "preproc.y"
 { 
 (yyval.str) = mm_strdup("and");
}
#line 54295 "preproc.c"
    break;

  case 2591: /* reserved_keyword: ANY  */
#line 14430 "preproc.y"
 { 
 (yyval.str) = mm_strdup("any");
}
#line 54303 "preproc.c"
    break;

  case 2592: /* reserved_keyword: ARRAY  */
#line 14434 "preproc.y"
 { 
 (yyval.str) = mm_strdup("array");
}
#line 54311 "preproc.c"
    break;

  case 2593: /* reserved_keyword: AS  */
#line 14438 "preproc.y"
 { 
 (yyval.str) = mm_strdup("as");
}
#line 54319 "preproc.c"
    break;

  case 2594: /* reserved_keyword: ASC  */
#line 14442 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asc");
}
#line 54327 "preproc.c"
    break;

  case 2595: /* reserved_keyword: ASYMMETRIC  */
#line 14446 "preproc.y"
 { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 54335 "preproc.c"
    break;

  case 2596: /* reserved_keyword: BOTH  */
#line 14450 "preproc.y"
 { 
 (yyval.str) = mm_strdup("both");
}
#line 54343 "preproc.c"
    break;

  case 2597: /* reserved_keyword: CASE  */
#line 14454 "preproc.y"
 { 
 (yyval.str) = mm_strdup("case");
}
#line 54351 "preproc.c"
    break;

  case 2598: /* reserved_keyword: CAST  */
#line 14458 "preproc.y"
 { 
 (yyval.str) = mm_strdup("cast");
}
#line 54359 "preproc.c"
    break;

  case 2599: /* reserved_keyword: CHECK  */
#line 14462 "preproc.y"
 { 
 (yyval.str) = mm_strdup("check");
}
#line 54367 "preproc.c"
    break;

  case 2600: /* reserved_keyword: COLLATE  */
#line 14466 "preproc.y"
 { 
 (yyval.str) = mm_strdup("collate");
}
#line 54375 "preproc.c"
    break;

  case 2601: /* reserved_keyword: COLUMN  */
#line 14470 "preproc.y"
 { 
 (yyval.str) = mm_strdup("column");
}
#line 54383 "preproc.c"
    break;

  case 2602: /* reserved_keyword: CONSTRAINT  */
#line 14474 "preproc.y"
 { 
 (yyval.str) = mm_strdup("constraint");
}
#line 54391 "preproc.c"
    break;

  case 2603: /* reserved_keyword: CREATE  */
#line 14478 "preproc.y"
 { 
 (yyval.str) = mm_strdup("create");
}
#line 54399 "preproc.c"
    break;

  case 2604: /* reserved_keyword: CURRENT_CATALOG  */
#line 14482 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 54407 "preproc.c"
    break;

  case 2605: /* reserved_keyword: CURRENT_DATE  */
#line 14486 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_date");
}
#line 54415 "preproc.c"
    break;

  case 2606: /* reserved_keyword: CURRENT_ROLE  */
#line 14490 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_role");
}
#line 54423 "preproc.c"
    break;

  case 2607: /* reserved_keyword: CURRENT_TIME  */
#line 14494 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_time");
}
#line 54431 "preproc.c"
    break;

  case 2608: /* reserved_keyword: CURRENT_TIMESTAMP  */
#line 14498 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 54439 "preproc.c"
    break;

  case 2609: /* reserved_keyword: CURRENT_USER  */
#line 14502 "preproc.y"
 { 
 (yyval.str) = mm_strdup("current_user");
}
#line 54447 "preproc.c"
    break;

  case 2610: /* reserved_keyword: DEFAULT  */
#line 14506 "preproc.y"
 { 
 (yyval.str) = mm_strdup("default");
}
#line 54455 "preproc.c"
    break;

  case 2611: /* reserved_keyword: DEFERRABLE  */
#line 14510 "preproc.y"
 { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 54463 "preproc.c"
    break;

  case 2612: /* reserved_keyword: DESC  */
#line 14514 "preproc.y"
 { 
 (yyval.str) = mm_strdup("desc");
}
#line 54471 "preproc.c"
    break;

  case 2613: /* reserved_keyword: DISTINCT  */
#line 14518 "preproc.y"
 { 
 (yyval.str) = mm_strdup("distinct");
}
#line 54479 "preproc.c"
    break;

  case 2614: /* reserved_keyword: DO  */
#line 14522 "preproc.y"
 { 
 (yyval.str) = mm_strdup("do");
}
#line 54487 "preproc.c"
    break;

  case 2615: /* reserved_keyword: ELSE  */
#line 14526 "preproc.y"
 { 
 (yyval.str) = mm_strdup("else");
}
#line 54495 "preproc.c"
    break;

  case 2616: /* reserved_keyword: END_P  */
#line 14530 "preproc.y"
 { 
 (yyval.str) = mm_strdup("end");
}
#line 54503 "preproc.c"
    break;

  case 2617: /* reserved_keyword: EXCEPT  */
#line 14534 "preproc.y"
 { 
 (yyval.str) = mm_strdup("except");
}
#line 54511 "preproc.c"
    break;

  case 2618: /* reserved_keyword: FALSE_P  */
#line 14538 "preproc.y"
 { 
 (yyval.str) = mm_strdup("false");
}
#line 54519 "preproc.c"
    break;

  case 2619: /* reserved_keyword: FETCH  */
#line 14542 "preproc.y"
 { 
 (yyval.str) = mm_strdup("fetch");
}
#line 54527 "preproc.c"
    break;

  case 2620: /* reserved_keyword: FOR  */
#line 14546 "preproc.y"
 { 
 (yyval.str) = mm_strdup("for");
}
#line 54535 "preproc.c"
    break;

  case 2621: /* reserved_keyword: FOREIGN  */
#line 14550 "preproc.y"
 { 
 (yyval.str) = mm_strdup("foreign");
}
#line 54543 "preproc.c"
    break;

  case 2622: /* reserved_keyword: FROM  */
#line 14554 "preproc.y"
 { 
 (yyval.str) = mm_strdup("from");
}
#line 54551 "preproc.c"
    break;

  case 2623: /* reserved_keyword: GRANT  */
#line 14558 "preproc.y"
 { 
 (yyval.str) = mm_strdup("grant");
}
#line 54559 "preproc.c"
    break;

  case 2624: /* reserved_keyword: GROUP_P  */
#line 14562 "preproc.y"
 { 
 (yyval.str) = mm_strdup("group");
}
#line 54567 "preproc.c"
    break;

  case 2625: /* reserved_keyword: HAVING  */
#line 14566 "preproc.y"
 { 
 (yyval.str) = mm_strdup("having");
}
#line 54575 "preproc.c"
    break;

  case 2626: /* reserved_keyword: IN_P  */
#line 14570 "preproc.y"
 { 
 (yyval.str) = mm_strdup("in");
}
#line 54583 "preproc.c"
    break;

  case 2627: /* reserved_keyword: INITIALLY  */
#line 14574 "preproc.y"
 { 
 (yyval.str) = mm_strdup("initially");
}
#line 54591 "preproc.c"
    break;

  case 2628: /* reserved_keyword: INTERSECT  */
#line 14578 "preproc.y"
 { 
 (yyval.str) = mm_strdup("intersect");
}
#line 54599 "preproc.c"
    break;

  case 2629: /* reserved_keyword: INTO  */
#line 14582 "preproc.y"
 { 
 (yyval.str) = mm_strdup("into");
}
#line 54607 "preproc.c"
    break;

  case 2630: /* reserved_keyword: LATERAL_P  */
#line 14586 "preproc.y"
 { 
 (yyval.str) = mm_strdup("lateral");
}
#line 54615 "preproc.c"
    break;

  case 2631: /* reserved_keyword: LEADING  */
#line 14590 "preproc.y"
 { 
 (yyval.str) = mm_strdup("leading");
}
#line 54623 "preproc.c"
    break;

  case 2632: /* reserved_keyword: LIMIT  */
#line 14594 "preproc.y"
 { 
 (yyval.str) = mm_strdup("limit");
}
#line 54631 "preproc.c"
    break;

  case 2633: /* reserved_keyword: LOCALTIME  */
#line 14598 "preproc.y"
 { 
 (yyval.str) = mm_strdup("localtime");
}
#line 54639 "preproc.c"
    break;

  case 2634: /* reserved_keyword: LOCALTIMESTAMP  */
#line 14602 "preproc.y"
 { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 54647 "preproc.c"
    break;

  case 2635: /* reserved_keyword: NOT  */
#line 14606 "preproc.y"
 { 
 (yyval.str) = mm_strdup("not");
}
#line 54655 "preproc.c"
    break;

  case 2636: /* reserved_keyword: NULL_P  */
#line 14610 "preproc.y"
 { 
 (yyval.str) = mm_strdup("null");
}
#line 54663 "preproc.c"
    break;

  case 2637: /* reserved_keyword: OFFSET  */
#line 14614 "preproc.y"
 { 
 (yyval.str) = mm_strdup("offset");
}
#line 54671 "preproc.c"
    break;

  case 2638: /* reserved_keyword: ON  */
#line 14618 "preproc.y"
 { 
 (yyval.str) = mm_strdup("on");
}
#line 54679 "preproc.c"
    break;

  case 2639: /* reserved_keyword: ONLY  */
#line 14622 "preproc.y"
 { 
 (yyval.str) = mm_strdup("only");
}
#line 54687 "preproc.c"
    break;

  case 2640: /* reserved_keyword: OR  */
#line 14626 "preproc.y"
 { 
 (yyval.str) = mm_strdup("or");
}
#line 54695 "preproc.c"
    break;

  case 2641: /* reserved_keyword: ORDER  */
#line 14630 "preproc.y"
 { 
 (yyval.str) = mm_strdup("order");
}
#line 54703 "preproc.c"
    break;

  case 2642: /* reserved_keyword: PLACING  */
#line 14634 "preproc.y"
 { 
 (yyval.str) = mm_strdup("placing");
}
#line 54711 "preproc.c"
    break;

  case 2643: /* reserved_keyword: PRIMARY  */
#line 14638 "preproc.y"
 { 
 (yyval.str) = mm_strdup("primary");
}
#line 54719 "preproc.c"
    break;

  case 2644: /* reserved_keyword: REFERENCES  */
#line 14642 "preproc.y"
 { 
 (yyval.str) = mm_strdup("references");
}
#line 54727 "preproc.c"
    break;

  case 2645: /* reserved_keyword: RETURNING  */
#line 14646 "preproc.y"
 { 
 (yyval.str) = mm_strdup("returning");
}
#line 54735 "preproc.c"
    break;

  case 2646: /* reserved_keyword: SELECT  */
#line 14650 "preproc.y"
 { 
 (yyval.str) = mm_strdup("select");
}
#line 54743 "preproc.c"
    break;

  case 2647: /* reserved_keyword: SESSION_USER  */
#line 14654 "preproc.y"
 { 
 (yyval.str) = mm_strdup("session_user");
}
#line 54751 "preproc.c"
    break;

  case 2648: /* reserved_keyword: SOME  */
#line 14658 "preproc.y"
 { 
 (yyval.str) = mm_strdup("some");
}
#line 54759 "preproc.c"
    break;

  case 2649: /* reserved_keyword: SYMMETRIC  */
#line 14662 "preproc.y"
 { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 54767 "preproc.c"
    break;

  case 2650: /* reserved_keyword: TABLE  */
#line 14666 "preproc.y"
 { 
 (yyval.str) = mm_strdup("table");
}
#line 54775 "preproc.c"
    break;

  case 2651: /* reserved_keyword: THEN  */
#line 14670 "preproc.y"
 { 
 (yyval.str) = mm_strdup("then");
}
#line 54783 "preproc.c"
    break;

  case 2652: /* reserved_keyword: TRAILING  */
#line 14674 "preproc.y"
 { 
 (yyval.str) = mm_strdup("trailing");
}
#line 54791 "preproc.c"
    break;

  case 2653: /* reserved_keyword: TRUE_P  */
#line 14678 "preproc.y"
 { 
 (yyval.str) = mm_strdup("true");
}
#line 54799 "preproc.c"
    break;

  case 2654: /* reserved_keyword: UNIQUE  */
#line 14682 "preproc.y"
 { 
 (yyval.str) = mm_strdup("unique");
}
#line 54807 "preproc.c"
    break;

  case 2655: /* reserved_keyword: USER  */
#line 14686 "preproc.y"
 { 
 (yyval.str) = mm_strdup("user");
}
#line 54815 "preproc.c"
    break;

  case 2656: /* reserved_keyword: USING  */
#line 14690 "preproc.y"
 { 
 (yyval.str) = mm_strdup("using");
}
#line 54823 "preproc.c"
    break;

  case 2657: /* reserved_keyword: VARIADIC  */
#line 14694 "preproc.y"
 { 
 (yyval.str) = mm_strdup("variadic");
}
#line 54831 "preproc.c"
    break;

  case 2658: /* reserved_keyword: WHEN  */
#line 14698 "preproc.y"
 { 
 (yyval.str) = mm_strdup("when");
}
#line 54839 "preproc.c"
    break;

  case 2659: /* reserved_keyword: WHERE  */
#line 14702 "preproc.y"
 { 
 (yyval.str) = mm_strdup("where");
}
#line 54847 "preproc.c"
    break;

  case 2660: /* reserved_keyword: WINDOW  */
#line 14706 "preproc.y"
 { 
 (yyval.str) = mm_strdup("window");
}
#line 54855 "preproc.c"
    break;

  case 2661: /* reserved_keyword: WITH  */
#line 14710 "preproc.y"
 { 
 (yyval.str) = mm_strdup("with");
}
#line 54863 "preproc.c"
    break;

  case 2664: /* statement: ecpgstart at stmt ';'  */
#line 14723 "preproc.y"
                                 { connection = NULL; }
#line 54869 "preproc.c"
    break;

  case 2666: /* statement: ecpgstart ECPGVarDeclaration  */
#line 14726 "preproc.y"
                                {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 54879 "preproc.c"
    break;

  case 2668: /* statement: c_thing  */
#line 14732 "preproc.y"
                                                        { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 54885 "preproc.c"
    break;

  case 2669: /* statement: CPP_LINE  */
#line 14733 "preproc.y"
                                                        { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 54891 "preproc.c"
    break;

  case 2670: /* statement: '{'  */
#line 14734 "preproc.y"
                                                        { braces_open++; fputs("{", base_yyout); }
#line 54897 "preproc.c"
    break;

  case 2671: /* statement: '}'  */
#line 14736 "preproc.y"
                {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 54912 "preproc.c"
    break;

  case 2672: /* $@1: %empty  */
#line 14748 "preproc.y"
                                                       {FoundInto = 0;}
#line 54918 "preproc.c"
    break;

  case 2673: /* CreateAsStmt: CREATE OptTemp TABLE create_as_target AS $@1 SelectStmt opt_with_data  */
#line 14749 "preproc.y"
                {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 54929 "preproc.c"
    break;

  case 2674: /* $@2: %empty  */
#line 14755 "preproc.y"
                                                                            {FoundInto = 0;}
#line 54935 "preproc.c"
    break;

  case 2675: /* CreateAsStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS $@2 SelectStmt opt_with_data  */
#line 14756 "preproc.y"
                {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-9].str), mm_strdup("table if not exists"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 54946 "preproc.c"
    break;

  case 2676: /* at: AT connection_object  */
#line 14765 "preproc.y"
                {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 54960 "preproc.c"
    break;

  case 2677: /* ECPGConnect: SQL_CONNECT TO connection_target opt_connection_name opt_user  */
#line 14780 "preproc.y"
                        { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 54966 "preproc.c"
    break;

  case 2678: /* ECPGConnect: SQL_CONNECT TO DEFAULT  */
#line 14782 "preproc.y"
                        { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 54972 "preproc.c"
    break;

  case 2679: /* ECPGConnect: SQL_CONNECT ora_user  */
#line 14785 "preproc.y"
                        { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 54978 "preproc.c"
    break;

  case 2680: /* ECPGConnect: DATABASE connection_target  */
#line 14787 "preproc.y"
                        { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 54984 "preproc.c"
    break;

  case 2681: /* connection_target: opt_database_name opt_server opt_port  */
#line 14791 "preproc.y"
                {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 55000 "preproc.c"
    break;

  case 2682: /* connection_target: db_prefix ':' server opt_port '/' opt_database_name opt_options  */
#line 14803 "preproc.y"
                {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 55020 "preproc.c"
    break;

  case 2683: /* connection_target: char_variable  */
#line 14819 "preproc.y"
                {
			(yyval.str) = (yyvsp[0].str);
		}
#line 55028 "preproc.c"
    break;

  case 2684: /* connection_target: ecpg_sconst  */
#line 14823 "preproc.y"
                {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 55041 "preproc.c"
    break;

  case 2685: /* opt_database_name: database_name  */
#line 14833 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 55047 "preproc.c"
    break;

  case 2686: /* opt_database_name: %empty  */
#line 14834 "preproc.y"
                                                { (yyval.str) = EMPTY; }
#line 55053 "preproc.c"
    break;

  case 2687: /* db_prefix: ecpg_ident cvariable  */
#line 14838 "preproc.y"
                {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 55067 "preproc.c"
    break;

  case 2688: /* server: Op server_name  */
#line 14850 "preproc.y"
                {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 55078 "preproc.c"
    break;

  case 2689: /* opt_server: server  */
#line 14858 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 55084 "preproc.c"
    break;

  case 2690: /* opt_server: %empty  */
#line 14859 "preproc.y"
                                                { (yyval.str) = EMPTY; }
#line 55090 "preproc.c"
    break;

  case 2691: /* server_name: ColId  */
#line 14862 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 55096 "preproc.c"
    break;

  case 2692: /* server_name: ColId '.' server_name  */
#line 14863 "preproc.y"
                                                { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 55102 "preproc.c"
    break;

  case 2693: /* server_name: IP  */
#line 14864 "preproc.y"
                                                                { (yyval.str) = make_name(); }
#line 55108 "preproc.c"
    break;

  case 2694: /* opt_port: ':' Iconst  */
#line 14867 "preproc.y"
                                { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 55114 "preproc.c"
    break;

  case 2695: /* opt_port: %empty  */
#line 14868 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 55120 "preproc.c"
    break;

  case 2696: /* opt_connection_name: AS connection_object  */
#line 14871 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 55126 "preproc.c"
    break;

  case 2697: /* opt_connection_name: %empty  */
#line 14872 "preproc.y"
                                                { (yyval.str) = mm_strdup("NULL"); }
#line 55132 "preproc.c"
    break;

  case 2698: /* opt_user: USER ora_user  */
#line 14875 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 55138 "preproc.c"
    break;

  case 2699: /* opt_user: %empty  */
#line 14876 "preproc.y"
                                                { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 55144 "preproc.c"
    break;

  case 2700: /* ora_user: user_name  */
#line 14880 "preproc.y"
                        { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 55150 "preproc.c"
    break;

  case 2701: /* ora_user: user_name '/' user_name  */
#line 14882 "preproc.y"
                        { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 55156 "preproc.c"
    break;

  case 2702: /* ora_user: user_name SQL_IDENTIFIED BY user_name  */
#line 14884 "preproc.y"
                        { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 55162 "preproc.c"
    break;

  case 2703: /* ora_user: user_name USING user_name  */
#line 14886 "preproc.y"
                        { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 55168 "preproc.c"
    break;

  case 2704: /* user_name: RoleId  */
#line 14890 "preproc.y"
                {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 55179 "preproc.c"
    break;

  case 2705: /* user_name: ecpg_sconst  */
#line 14897 "preproc.y"
                {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 55190 "preproc.c"
    break;

  case 2706: /* user_name: civar  */
#line 14904 "preproc.y"
                {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 55208 "preproc.c"
    break;

  case 2707: /* char_variable: cvariable  */
#line 14920 "preproc.y"
                {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 55244 "preproc.c"
    break;

  case 2708: /* opt_options: Op connect_options  */
#line 14954 "preproc.y"
                {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 55258 "preproc.c"
    break;

  case 2709: /* opt_options: %empty  */
#line 14963 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 55264 "preproc.c"
    break;

  case 2710: /* connect_options: ColId opt_opt_value  */
#line 14967 "preproc.y"
                        {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 55272 "preproc.c"
    break;

  case 2711: /* connect_options: ColId opt_opt_value Op connect_options  */
#line 14971 "preproc.y"
                        {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 55286 "preproc.c"
    break;

  case 2712: /* opt_opt_value: %empty  */
#line 14983 "preproc.y"
                        { (yyval.str) = EMPTY; }
#line 55292 "preproc.c"
    break;

  case 2713: /* opt_opt_value: '=' Iconst  */
#line 14985 "preproc.y"
                        { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 55298 "preproc.c"
    break;

  case 2714: /* opt_opt_value: '=' ecpg_ident  */
#line 14987 "preproc.y"
                        { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 55304 "preproc.c"
    break;

  case 2715: /* opt_opt_value: '=' civar  */
#line 14989 "preproc.y"
                        { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 55310 "preproc.c"
    break;

  case 2716: /* prepared_name: name  */
#line 14993 "preproc.y"
                {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 55328 "preproc.c"
    break;

  case 2717: /* prepared_name: char_variable  */
#line 15006 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 55334 "preproc.c"
    break;

  case 2718: /* ECPGCursorStmt: DECLARE cursor_name cursor_options CURSOR opt_hold FOR prepared_name  */
#line 15014 "preproc.y"
                {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 55397 "preproc.c"
    break;

  case 2719: /* ECPGExecuteImmediateStmt: EXECUTE IMMEDIATE execstring  */
#line 15075 "preproc.y"
                        {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 55407 "preproc.c"
    break;

  case 2721: /* single_vt_declaration: type_declaration  */
#line 15085 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 55413 "preproc.c"
    break;

  case 2722: /* single_vt_declaration: var_declaration  */
#line 15086 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 55419 "preproc.c"
    break;

  case 2723: /* precision: NumericOnly  */
#line 15089 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 55425 "preproc.c"
    break;

  case 2724: /* opt_scale: ',' NumericOnly  */
#line 15091 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 55431 "preproc.c"
    break;

  case 2725: /* opt_scale: %empty  */
#line 15092 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 55437 "preproc.c"
    break;

  case 2726: /* ecpg_interval: opt_interval  */
#line 15095 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 55443 "preproc.c"
    break;

  case 2727: /* ecpg_interval: YEAR_P TO MINUTE_P  */
#line 15096 "preproc.y"
                                        { (yyval.str) = mm_strdup("year to minute"); }
#line 55449 "preproc.c"
    break;

  case 2728: /* ecpg_interval: YEAR_P TO SECOND_P  */
#line 15097 "preproc.y"
                                        { (yyval.str) = mm_strdup("year to second"); }
#line 55455 "preproc.c"
    break;

  case 2729: /* ecpg_interval: DAY_P TO DAY_P  */
#line 15098 "preproc.y"
                                                { (yyval.str) = mm_strdup("day to day"); }
#line 55461 "preproc.c"
    break;

  case 2730: /* ecpg_interval: MONTH_P TO MONTH_P  */
#line 15099 "preproc.y"
                                        { (yyval.str) = mm_strdup("month to month"); }
#line 55467 "preproc.c"
    break;

  case 2731: /* $@3: %empty  */
#line 15106 "preproc.y"
                { fputs("/* exec sql begin declare section */", base_yyout); }
#line 55473 "preproc.c"
    break;

  case 2732: /* ECPGDeclaration: sql_startdeclare $@3 var_type_declarations sql_enddeclare  */
#line 15108 "preproc.y"
                {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 55483 "preproc.c"
    break;

  case 2733: /* sql_startdeclare: ecpgstart BEGIN_P DECLARE SQL_SECTION ';'  */
#line 15115 "preproc.y"
                                                            {}
#line 55489 "preproc.c"
    break;

  case 2734: /* sql_enddeclare: ecpgstart END_P DECLARE SQL_SECTION ';'  */
#line 15117 "preproc.y"
                                                        {}
#line 55495 "preproc.c"
    break;

  case 2735: /* var_type_declarations: %empty  */
#line 15119 "preproc.y"
                                                        { (yyval.str) = EMPTY; }
#line 55501 "preproc.c"
    break;

  case 2736: /* var_type_declarations: vt_declarations  */
#line 15120 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 55507 "preproc.c"
    break;

  case 2737: /* vt_declarations: single_vt_declaration  */
#line 15123 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 55513 "preproc.c"
    break;

  case 2738: /* vt_declarations: CPP_LINE  */
#line 15124 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 55519 "preproc.c"
    break;

  case 2739: /* vt_declarations: vt_declarations single_vt_declaration  */
#line 15125 "preproc.y"
                                                        { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 55525 "preproc.c"
    break;

  case 2740: /* vt_declarations: vt_declarations CPP_LINE  */
#line 15126 "preproc.y"
                                                        { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 55531 "preproc.c"
    break;

  case 2741: /* variable_declarations: var_declaration  */
#line 15129 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 55537 "preproc.c"
    break;

  case 2742: /* variable_declarations: variable_declarations var_declaration  */
#line 15130 "preproc.y"
                                                        { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 55543 "preproc.c"
    break;

  case 2743: /* $@4: %empty  */
#line 15134 "preproc.y"
        {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 55553 "preproc.c"
    break;

  case 2744: /* type_declaration: S_TYPEDEF $@4 var_type opt_pointer ECPGColLabelCommon opt_array_bounds ';'  */
#line 15140 "preproc.y"
        {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 55565 "preproc.c"
    break;

  case 2745: /* $@5: %empty  */
#line 15150 "preproc.y"
                {
			actual_type[struct_level].type_storage = (yyvsp[-1].str);
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 55580 "preproc.c"
    break;

  case 2746: /* var_declaration: storage_declaration var_type $@5 variable_list ';'  */
#line 15161 "preproc.y"
                {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 55588 "preproc.c"
    break;

  case 2747: /* $@6: %empty  */
#line 15165 "preproc.y"
                {
			actual_type[struct_level].type_storage = EMPTY;
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 55603 "preproc.c"
    break;

  case 2748: /* var_declaration: var_type $@6 variable_list ';'  */
#line 15176 "preproc.y"
                {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 55611 "preproc.c"
    break;

  case 2749: /* var_declaration: struct_union_type_with_symbol ';'  */
#line 15180 "preproc.y"
                {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 55619 "preproc.c"
    break;

  case 2750: /* opt_bit_field: ':' Iconst  */
#line 15185 "preproc.y"
                                { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 55625 "preproc.c"
    break;

  case 2751: /* opt_bit_field: %empty  */
#line 15186 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 55631 "preproc.c"
    break;

  case 2752: /* storage_declaration: storage_clause storage_modifier  */
#line 15190 "preproc.y"
                        {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 55637 "preproc.c"
    break;

  case 2753: /* storage_declaration: storage_clause  */
#line 15191 "preproc.y"
                                                {(yyval.str) = (yyvsp[0].str); }
#line 55643 "preproc.c"
    break;

  case 2754: /* storage_declaration: storage_modifier  */
#line 15192 "preproc.y"
                                                {(yyval.str) = (yyvsp[0].str); }
#line 55649 "preproc.c"
    break;

  case 2755: /* storage_clause: S_EXTERN  */
#line 15195 "preproc.y"
                                { (yyval.str) = mm_strdup("extern"); }
#line 55655 "preproc.c"
    break;

  case 2756: /* storage_clause: S_STATIC  */
#line 15196 "preproc.y"
                                                { (yyval.str) = mm_strdup("static"); }
#line 55661 "preproc.c"
    break;

  case 2757: /* storage_clause: S_REGISTER  */
#line 15197 "preproc.y"
                                        { (yyval.str) = mm_strdup("register"); }
#line 55667 "preproc.c"
    break;

  case 2758: /* storage_clause: S_AUTO  */
#line 15198 "preproc.y"
                                                { (yyval.str) = mm_strdup("auto"); }
#line 55673 "preproc.c"
    break;

  case 2759: /* storage_modifier: S_CONST  */
#line 15201 "preproc.y"
                                { (yyval.str) = mm_strdup("const"); }
#line 55679 "preproc.c"
    break;

  case 2760: /* storage_modifier: S_VOLATILE  */
#line 15202 "preproc.y"
                                        { (yyval.str) = mm_strdup("volatile"); }
#line 55685 "preproc.c"
    break;

  case 2761: /* var_type: simple_type  */
#line 15206 "preproc.y"
                {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 55697 "preproc.c"
    break;

  case 2762: /* var_type: struct_union_type  */
#line 15214 "preproc.y"
                {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 55718 "preproc.c"
    break;

  case 2763: /* var_type: enum_type  */
#line 15231 "preproc.y"
                {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 55730 "preproc.c"
    break;

  case 2764: /* var_type: ECPGColLabelCommon '(' precision opt_scale ')'  */
#line 15239 "preproc.y"
                {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 55757 "preproc.c"
    break;

  case 2765: /* var_type: ECPGColLabelCommon ecpg_interval  */
#line 15262 "preproc.y"
                {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 55867 "preproc.c"
    break;

  case 2766: /* var_type: s_struct_union_symbol  */
#line 15368 "preproc.y"
                {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 55903 "preproc.c"
    break;

  case 2767: /* enum_type: ENUM_P symbol enum_definition  */
#line 15402 "preproc.y"
                        { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 55909 "preproc.c"
    break;

  case 2768: /* enum_type: ENUM_P enum_definition  */
#line 15404 "preproc.y"
                        { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 55915 "preproc.c"
    break;

  case 2769: /* enum_type: ENUM_P symbol  */
#line 15406 "preproc.y"
                        { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 55921 "preproc.c"
    break;

  case 2770: /* enum_definition: '{' c_list '}'  */
#line 15410 "preproc.y"
                        { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 55927 "preproc.c"
    break;

  case 2771: /* $@7: %empty  */
#line 15413 "preproc.y"
                {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 55938 "preproc.c"
    break;

  case 2772: /* struct_union_type_with_symbol: s_struct_union_symbol $@7 '{' variable_declarations '}'  */
#line 15420 "preproc.y"
                {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 55984 "preproc.c"
    break;

  case 2773: /* struct_union_type: struct_union_type_with_symbol  */
#line 15463 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 55990 "preproc.c"
    break;

  case 2774: /* $@8: %empty  */
#line 15465 "preproc.y"
                {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 56000 "preproc.c"
    break;

  case 2775: /* struct_union_type: s_struct_union $@8 '{' variable_declarations '}'  */
#line 15471 "preproc.y"
                {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 56011 "preproc.c"
    break;

  case 2776: /* s_struct_union_symbol: SQL_STRUCT symbol  */
#line 15480 "preproc.y"
                {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 56021 "preproc.c"
    break;

  case 2777: /* s_struct_union_symbol: UNION symbol  */
#line 15486 "preproc.y"
                {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 56030 "preproc.c"
    break;

  case 2778: /* s_struct_union: SQL_STRUCT  */
#line 15493 "preproc.y"
                {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 56039 "preproc.c"
    break;

  case 2779: /* s_struct_union: UNION  */
#line 15498 "preproc.y"
                {
			(yyval.str) = mm_strdup("union");
		}
#line 56047 "preproc.c"
    break;

  case 2780: /* simple_type: unsigned_type  */
#line 15503 "preproc.y"
                                                                { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 56053 "preproc.c"
    break;

  case 2781: /* simple_type: opt_signed signed_type  */
#line 15504 "preproc.y"
                                                                { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 56059 "preproc.c"
    break;

  case 2782: /* unsigned_type: SQL_UNSIGNED SQL_SHORT  */
#line 15507 "preproc.y"
                                                { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 56065 "preproc.c"
    break;

  case 2783: /* unsigned_type: SQL_UNSIGNED SQL_SHORT INT_P  */
#line 15508 "preproc.y"
                                                { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 56071 "preproc.c"
    break;

  case 2784: /* unsigned_type: SQL_UNSIGNED  */
#line 15509 "preproc.y"
                                                                        { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 56077 "preproc.c"
    break;

  case 2785: /* unsigned_type: SQL_UNSIGNED INT_P  */
#line 15510 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 56083 "preproc.c"
    break;

  case 2786: /* unsigned_type: SQL_UNSIGNED SQL_LONG  */
#line 15511 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 56089 "preproc.c"
    break;

  case 2787: /* unsigned_type: SQL_UNSIGNED SQL_LONG INT_P  */
#line 15512 "preproc.y"
                                                        { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 56095 "preproc.c"
    break;

  case 2788: /* unsigned_type: SQL_UNSIGNED SQL_LONG SQL_LONG  */
#line 15514 "preproc.y"
                {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 56107 "preproc.c"
    break;

  case 2789: /* unsigned_type: SQL_UNSIGNED SQL_LONG SQL_LONG INT_P  */
#line 15522 "preproc.y"
                {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 56119 "preproc.c"
    break;

  case 2790: /* unsigned_type: SQL_UNSIGNED CHAR_P  */
#line 15529 "preproc.y"
                                                        { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 56125 "preproc.c"
    break;

  case 2791: /* signed_type: SQL_SHORT  */
#line 15532 "preproc.y"
                                                { (yyval.type_enum) = ECPGt_short; }
#line 56131 "preproc.c"
    break;

  case 2792: /* signed_type: SQL_SHORT INT_P  */
#line 15533 "preproc.y"
                                                        { (yyval.type_enum) = ECPGt_short; }
#line 56137 "preproc.c"
    break;

  case 2793: /* signed_type: INT_P  */
#line 15534 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_int; }
#line 56143 "preproc.c"
    break;

  case 2794: /* signed_type: SQL_LONG  */
#line 15535 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_long; }
#line 56149 "preproc.c"
    break;

  case 2795: /* signed_type: SQL_LONG INT_P  */
#line 15536 "preproc.y"
                                                        { (yyval.type_enum) = ECPGt_long; }
#line 56155 "preproc.c"
    break;

  case 2796: /* signed_type: SQL_LONG SQL_LONG  */
#line 15538 "preproc.y"
                {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 56167 "preproc.c"
    break;

  case 2797: /* signed_type: SQL_LONG SQL_LONG INT_P  */
#line 15546 "preproc.y"
                {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 56179 "preproc.c"
    break;

  case 2798: /* signed_type: SQL_BOOL  */
#line 15553 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_bool; }
#line 56185 "preproc.c"
    break;

  case 2799: /* signed_type: CHAR_P  */
#line 15554 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_char; }
#line 56191 "preproc.c"
    break;

  case 2800: /* signed_type: DOUBLE_P  */
#line 15555 "preproc.y"
                                                                { (yyval.type_enum) = ECPGt_double; }
#line 56197 "preproc.c"
    break;

  case 2803: /* variable_list: variable  */
#line 15563 "preproc.y"
                        { (yyval.str) = (yyvsp[0].str); }
#line 56203 "preproc.c"
    break;

  case 2804: /* variable_list: variable_list ',' variable  */
#line 15565 "preproc.y"
                {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(4, (yyvsp[-2].str), mm_strdup(";"), mm_strdup(actual_type[struct_level].type_storage), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 56214 "preproc.c"
    break;

  case 2805: /* variable: opt_pointer ECPGColLabel opt_array_bounds opt_bit_field opt_initializer  */
#line 15574 "preproc.y"
                {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 56303 "preproc.c"
    break;

  case 2806: /* opt_initializer: %empty  */
#line 15661 "preproc.y"
                        { (yyval.str) = EMPTY; }
#line 56309 "preproc.c"
    break;

  case 2807: /* opt_initializer: '=' c_term  */
#line 15663 "preproc.y"
                {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 56318 "preproc.c"
    break;

  case 2808: /* opt_pointer: %empty  */
#line 15669 "preproc.y"
                                                { (yyval.str) = EMPTY; }
#line 56324 "preproc.c"
    break;

  case 2809: /* opt_pointer: '*'  */
#line 15670 "preproc.y"
                                                                { (yyval.str) = mm_strdup("*"); }
#line 56330 "preproc.c"
    break;

  case 2810: /* opt_pointer: '*' '*'  */
#line 15671 "preproc.y"
                                                                { (yyval.str) = mm_strdup("**"); }
#line 56336 "preproc.c"
    break;

  case 2811: /* ECPGDeclare: DECLARE STATEMENT ecpg_ident  */
#line 15678 "preproc.y"
                {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 56345 "preproc.c"
    break;

  case 2812: /* ECPGDisconnect: SQL_DISCONNECT dis_name  */
#line 15686 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 56351 "preproc.c"
    break;

  case 2813: /* dis_name: connection_object  */
#line 15689 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 56357 "preproc.c"
    break;

  case 2814: /* dis_name: CURRENT_P  */
#line 15690 "preproc.y"
                                                { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 56363 "preproc.c"
    break;

  case 2815: /* dis_name: ALL  */
#line 15691 "preproc.y"
                                                { (yyval.str) = mm_strdup("\"ALL\""); }
#line 56369 "preproc.c"
    break;

  case 2816: /* dis_name: %empty  */
#line 15692 "preproc.y"
                                                { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 56375 "preproc.c"
    break;

  case 2817: /* connection_object: database_name  */
#line 15695 "preproc.y"
                                                { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56381 "preproc.c"
    break;

  case 2818: /* connection_object: DEFAULT  */
#line 15696 "preproc.y"
                                                { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 56387 "preproc.c"
    break;

  case 2819: /* connection_object: char_variable  */
#line 15697 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 56393 "preproc.c"
    break;

  case 2820: /* execstring: char_variable  */
#line 15701 "preproc.y"
                        { (yyval.str) = (yyvsp[0].str); }
#line 56399 "preproc.c"
    break;

  case 2821: /* execstring: CSTRING  */
#line 15703 "preproc.y"
                        { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 56405 "preproc.c"
    break;

  case 2822: /* ECPGFree: SQL_FREE cursor_name  */
#line 15710 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 56411 "preproc.c"
    break;

  case 2823: /* ECPGFree: SQL_FREE ALL  */
#line 15711 "preproc.y"
                                { (yyval.str) = mm_strdup("all"); }
#line 56417 "preproc.c"
    break;

  case 2824: /* ECPGOpen: SQL_OPEN cursor_name opt_ecpg_using  */
#line 15718 "preproc.y"
                {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 56427 "preproc.c"
    break;

  case 2825: /* opt_ecpg_using: %empty  */
#line 15725 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 56433 "preproc.c"
    break;

  case 2826: /* opt_ecpg_using: ecpg_using  */
#line 15726 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 56439 "preproc.c"
    break;

  case 2827: /* ecpg_using: USING using_list  */
#line 15729 "preproc.y"
                                        { (yyval.str) = EMPTY; }
#line 56445 "preproc.c"
    break;

  case 2828: /* ecpg_using: using_descriptor  */
#line 15730 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 56451 "preproc.c"
    break;

  case 2829: /* using_descriptor: USING SQL_P SQL_DESCRIPTOR quoted_ident_stringvar  */
#line 15734 "preproc.y"
                {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 56460 "preproc.c"
    break;

  case 2830: /* using_descriptor: USING SQL_DESCRIPTOR name  */
#line 15739 "preproc.y"
                {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 56469 "preproc.c"
    break;

  case 2831: /* into_descriptor: INTO SQL_P SQL_DESCRIPTOR quoted_ident_stringvar  */
#line 15746 "preproc.y"
                {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 56478 "preproc.c"
    break;

  case 2832: /* into_descriptor: INTO SQL_DESCRIPTOR name  */
#line 15751 "preproc.y"
                {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 56487 "preproc.c"
    break;

  case 2833: /* into_sqlda: INTO name  */
#line 15758 "preproc.y"
                {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 56496 "preproc.c"
    break;

  case 2836: /* UsingValue: UsingConst  */
#line 15767 "preproc.y"
                {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 56507 "preproc.c"
    break;

  case 2837: /* UsingValue: civar  */
#line 15773 "preproc.y"
                        { (yyval.str) = EMPTY; }
#line 56513 "preproc.c"
    break;

  case 2838: /* UsingValue: civarind  */
#line 15774 "preproc.y"
                           { (yyval.str) = EMPTY; }
#line 56519 "preproc.c"
    break;

  case 2839: /* UsingConst: Iconst  */
#line 15777 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 56525 "preproc.c"
    break;

  case 2840: /* UsingConst: '+' Iconst  */
#line 15778 "preproc.y"
                                        { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 56531 "preproc.c"
    break;

  case 2841: /* UsingConst: '-' Iconst  */
#line 15779 "preproc.y"
                                        { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 56537 "preproc.c"
    break;

  case 2842: /* UsingConst: ecpg_fconst  */
#line 15780 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 56543 "preproc.c"
    break;

  case 2843: /* UsingConst: '+' ecpg_fconst  */
#line 15781 "preproc.y"
                                        { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 56549 "preproc.c"
    break;

  case 2844: /* UsingConst: '-' ecpg_fconst  */
#line 15782 "preproc.y"
                                        { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 56555 "preproc.c"
    break;

  case 2845: /* UsingConst: ecpg_sconst  */
#line 15783 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 56561 "preproc.c"
    break;

  case 2846: /* UsingConst: ecpg_bconst  */
#line 15784 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 56567 "preproc.c"
    break;

  case 2847: /* UsingConst: ecpg_xconst  */
#line 15785 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 56573 "preproc.c"
    break;

  case 2848: /* ECPGDescribe: SQL_DESCRIBE INPUT_P prepared_name using_descriptor  */
#line 15792 "preproc.y"
        {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 56584 "preproc.c"
    break;

  case 2849: /* ECPGDescribe: SQL_DESCRIBE opt_output prepared_name using_descriptor  */
#line 15799 "preproc.y"
        {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 56600 "preproc.c"
    break;

  case 2850: /* ECPGDescribe: SQL_DESCRIBE opt_output prepared_name into_descriptor  */
#line 15811 "preproc.y"
        {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 56610 "preproc.c"
    break;

  case 2851: /* ECPGDescribe: SQL_DESCRIBE INPUT_P prepared_name into_sqlda  */
#line 15817 "preproc.y"
        {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 56621 "preproc.c"
    break;

  case 2852: /* ECPGDescribe: SQL_DESCRIBE opt_output prepared_name into_sqlda  */
#line 15824 "preproc.y"
        {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 56631 "preproc.c"
    break;

  case 2853: /* opt_output: SQL_OUTPUT  */
#line 15831 "preproc.y"
                                { (yyval.str) = mm_strdup("output"); }
#line 56637 "preproc.c"
    break;

  case 2854: /* opt_output: %empty  */
#line 15832 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 56643 "preproc.c"
    break;

  case 2855: /* ECPGAllocateDescr: SQL_ALLOCATE SQL_DESCRIPTOR quoted_ident_stringvar  */
#line 15845 "preproc.y"
                {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 56652 "preproc.c"
    break;

  case 2856: /* ECPGDeallocateDescr: DEALLOCATE SQL_DESCRIPTOR quoted_ident_stringvar  */
#line 15856 "preproc.y"
                {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 56661 "preproc.c"
    break;

  case 2857: /* ECPGGetDescriptorHeader: SQL_GET SQL_DESCRIPTOR quoted_ident_stringvar ECPGGetDescHeaderItems  */
#line 15867 "preproc.y"
                        {  (yyval.str) = (yyvsp[-1].str); }
#line 56667 "preproc.c"
    break;

  case 2860: /* ECPGGetDescHeaderItem: cvariable '=' desc_header_item  */
#line 15875 "preproc.y"
                        { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 56673 "preproc.c"
    break;

  case 2861: /* ECPGSetDescriptorHeader: SET SQL_DESCRIPTOR quoted_ident_stringvar ECPGSetDescHeaderItems  */
#line 15880 "preproc.y"
                        { (yyval.str) = (yyvsp[-1].str); }
#line 56679 "preproc.c"
    break;

  case 2864: /* ECPGSetDescHeaderItem: desc_header_item '=' IntConstVar  */
#line 15888 "preproc.y"
                {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 56687 "preproc.c"
    break;

  case 2865: /* IntConstVar: Iconst  */
#line 15894 "preproc.y"
                {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 56699 "preproc.c"
    break;

  case 2866: /* IntConstVar: cvariable  */
#line 15902 "preproc.y"
                {
			(yyval.str) = (yyvsp[0].str);
		}
#line 56707 "preproc.c"
    break;

  case 2867: /* desc_header_item: SQL_COUNT  */
#line 15907 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_count; }
#line 56713 "preproc.c"
    break;

  case 2868: /* ECPGGetDescriptor: SQL_GET SQL_DESCRIPTOR quoted_ident_stringvar VALUE_P IntConstVar ECPGGetDescItems  */
#line 15915 "preproc.y"
                        {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 56719 "preproc.c"
    break;

  case 2871: /* ECPGGetDescItem: cvariable '=' descriptor_item  */
#line 15922 "preproc.y"
                                                { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 56725 "preproc.c"
    break;

  case 2872: /* ECPGSetDescriptor: SET SQL_DESCRIPTOR quoted_ident_stringvar VALUE_P IntConstVar ECPGSetDescItems  */
#line 15926 "preproc.y"
                        {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 56731 "preproc.c"
    break;

  case 2875: /* ECPGSetDescItem: descriptor_item '=' AllConstVar  */
#line 15934 "preproc.y"
                {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 56739 "preproc.c"
    break;

  case 2876: /* AllConstVar: ecpg_fconst  */
#line 15940 "preproc.y"
                {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 56751 "preproc.c"
    break;

  case 2877: /* AllConstVar: IntConstVar  */
#line 15949 "preproc.y"
                {
			(yyval.str) = (yyvsp[0].str);
		}
#line 56759 "preproc.c"
    break;

  case 2878: /* AllConstVar: '-' ecpg_fconst  */
#line 15954 "preproc.y"
                {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 56772 "preproc.c"
    break;

  case 2879: /* AllConstVar: '-' Iconst  */
#line 15964 "preproc.y"
                {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 56785 "preproc.c"
    break;

  case 2880: /* AllConstVar: ecpg_sconst  */
#line 15974 "preproc.y"
                {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 56799 "preproc.c"
    break;

  case 2881: /* descriptor_item: SQL_CARDINALITY  */
#line 15985 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 56805 "preproc.c"
    break;

  case 2882: /* descriptor_item: DATA_P  */
#line 15986 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_data; }
#line 56811 "preproc.c"
    break;

  case 2883: /* descriptor_item: SQL_DATETIME_INTERVAL_CODE  */
#line 15987 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_di_code; }
#line 56817 "preproc.c"
    break;

  case 2884: /* descriptor_item: SQL_DATETIME_INTERVAL_PRECISION  */
#line 15988 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 56823 "preproc.c"
    break;

  case 2885: /* descriptor_item: SQL_INDICATOR  */
#line 15989 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_indicator; }
#line 56829 "preproc.c"
    break;

  case 2886: /* descriptor_item: SQL_KEY_MEMBER  */
#line 15990 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_key_member; }
#line 56835 "preproc.c"
    break;

  case 2887: /* descriptor_item: SQL_LENGTH  */
#line 15991 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_length; }
#line 56841 "preproc.c"
    break;

  case 2888: /* descriptor_item: NAME_P  */
#line 15992 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_name; }
#line 56847 "preproc.c"
    break;

  case 2889: /* descriptor_item: SQL_NULLABLE  */
#line 15993 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_nullable; }
#line 56853 "preproc.c"
    break;

  case 2890: /* descriptor_item: SQL_OCTET_LENGTH  */
#line 15994 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_octet; }
#line 56859 "preproc.c"
    break;

  case 2891: /* descriptor_item: PRECISION  */
#line 15995 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_precision; }
#line 56865 "preproc.c"
    break;

  case 2892: /* descriptor_item: SQL_RETURNED_LENGTH  */
#line 15996 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_length; }
#line 56871 "preproc.c"
    break;

  case 2893: /* descriptor_item: SQL_RETURNED_OCTET_LENGTH  */
#line 15997 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 56877 "preproc.c"
    break;

  case 2894: /* descriptor_item: SQL_SCALE  */
#line 15998 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_scale; }
#line 56883 "preproc.c"
    break;

  case 2895: /* descriptor_item: TYPE_P  */
#line 15999 "preproc.y"
                                                        { (yyval.dtype_enum) = ECPGd_type; }
#line 56889 "preproc.c"
    break;

  case 2896: /* ECPGSetAutocommit: SET SQL_AUTOCOMMIT '=' on_off  */
#line 16006 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 56895 "preproc.c"
    break;

  case 2897: /* ECPGSetAutocommit: SET SQL_AUTOCOMMIT TO on_off  */
#line 16007 "preproc.y"
                                                  { (yyval.str) = (yyvsp[0].str); }
#line 56901 "preproc.c"
    break;

  case 2898: /* on_off: ON  */
#line 16010 "preproc.y"
                                        { (yyval.str) = mm_strdup("on"); }
#line 56907 "preproc.c"
    break;

  case 2899: /* on_off: OFF  */
#line 16011 "preproc.y"
                                        { (yyval.str) = mm_strdup("off"); }
#line 56913 "preproc.c"
    break;

  case 2900: /* ECPGSetConnection: SET CONNECTION TO connection_object  */
#line 16018 "preproc.y"
                                                            { (yyval.str) = (yyvsp[0].str); }
#line 56919 "preproc.c"
    break;

  case 2901: /* ECPGSetConnection: SET CONNECTION '=' connection_object  */
#line 16019 "preproc.y"
                                                       { (yyval.str) = (yyvsp[0].str); }
#line 56925 "preproc.c"
    break;

  case 2902: /* ECPGSetConnection: SET CONNECTION connection_object  */
#line 16020 "preproc.y"
                                                    { (yyval.str) = (yyvsp[0].str); }
#line 56931 "preproc.c"
    break;

  case 2903: /* $@9: %empty  */
#line 16027 "preproc.y"
                {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 56941 "preproc.c"
    break;

  case 2904: /* ECPGTypedef: TYPE_P $@9 ECPGColLabelCommon IS var_type opt_array_bounds opt_reference  */
#line 16033 "preproc.y"
                {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 56954 "preproc.c"
    break;

  case 2905: /* opt_reference: SQL_REFERENCE  */
#line 16043 "preproc.y"
                                        { (yyval.str) = mm_strdup("reference"); }
#line 56960 "preproc.c"
    break;

  case 2906: /* opt_reference: %empty  */
#line 16044 "preproc.y"
                                                                { (yyval.str) = EMPTY; }
#line 56966 "preproc.c"
    break;

  case 2907: /* $@10: %empty  */
#line 16051 "preproc.y"
                {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 56976 "preproc.c"
    break;

  case 2908: /* ECPGVar: SQL_VAR $@10 ColLabel IS var_type opt_array_bounds opt_reference  */
#line 16057 "preproc.y"
                {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 57038 "preproc.c"
    break;

  case 2909: /* ECPGWhenever: SQL_WHENEVER SQL_SQLERROR action  */
#line 16121 "preproc.y"
                {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 57048 "preproc.c"
    break;

  case 2910: /* ECPGWhenever: SQL_WHENEVER NOT SQL_FOUND action  */
#line 16127 "preproc.y"
                {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 57058 "preproc.c"
    break;

  case 2911: /* ECPGWhenever: SQL_WHENEVER SQL_SQLWARNING action  */
#line 16133 "preproc.y"
                {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 57068 "preproc.c"
    break;

  case 2912: /* action: CONTINUE_P  */
#line 16141 "preproc.y"
                {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 57078 "preproc.c"
    break;

  case 2913: /* action: SQL_SQLPRINT  */
#line 16147 "preproc.y"
                {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 57088 "preproc.c"
    break;

  case 2914: /* action: SQL_STOP  */
#line 16153 "preproc.y"
                {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 57098 "preproc.c"
    break;

  case 2915: /* action: SQL_GOTO name  */
#line 16159 "preproc.y"
                {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 57108 "preproc.c"
    break;

  case 2916: /* action: SQL_GO TO name  */
#line 16165 "preproc.y"
                {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 57118 "preproc.c"
    break;

  case 2917: /* action: DO name '(' c_args ')'  */
#line 16171 "preproc.y"
                {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 57128 "preproc.c"
    break;

  case 2918: /* action: DO SQL_BREAK  */
#line 16177 "preproc.y"
                {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 57138 "preproc.c"
    break;

  case 2919: /* action: SQL_CALL name '(' c_args ')'  */
#line 16183 "preproc.y"
                {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 57148 "preproc.c"
    break;

  case 2920: /* action: SQL_CALL name  */
#line 16189 "preproc.y"
                {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 57158 "preproc.c"
    break;

  case 2921: /* ECPGKeywords: ECPGKeywords_vanames  */
#line 16199 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 57164 "preproc.c"
    break;

  case 2922: /* ECPGKeywords: ECPGKeywords_rest  */
#line 16200 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 57170 "preproc.c"
    break;

  case 2923: /* ECPGKeywords_vanames: SQL_BREAK  */
#line 16203 "preproc.y"
                                                { (yyval.str) = mm_strdup("break"); }
#line 57176 "preproc.c"
    break;

  case 2924: /* ECPGKeywords_vanames: SQL_CALL  */
#line 16204 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("call"); }
#line 57182 "preproc.c"
    break;

  case 2925: /* ECPGKeywords_vanames: SQL_CARDINALITY  */
#line 16205 "preproc.y"
                                                                { (yyval.str) = mm_strdup("cardinality"); }
#line 57188 "preproc.c"
    break;

  case 2926: /* ECPGKeywords_vanames: SQL_COUNT  */
#line 16206 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("count"); }
#line 57194 "preproc.c"
    break;

  case 2927: /* ECPGKeywords_vanames: SQL_DATETIME_INTERVAL_CODE  */
#line 16207 "preproc.y"
                                                { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 57200 "preproc.c"
    break;

  case 2928: /* ECPGKeywords_vanames: SQL_DATETIME_INTERVAL_PRECISION  */
#line 16208 "preproc.y"
                                                        { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 57206 "preproc.c"
    break;

  case 2929: /* ECPGKeywords_vanames: SQL_FOUND  */
#line 16209 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("found"); }
#line 57212 "preproc.c"
    break;

  case 2930: /* ECPGKeywords_vanames: SQL_GO  */
#line 16210 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("go"); }
#line 57218 "preproc.c"
    break;

  case 2931: /* ECPGKeywords_vanames: SQL_GOTO  */
#line 16211 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("goto"); }
#line 57224 "preproc.c"
    break;

  case 2932: /* ECPGKeywords_vanames: SQL_IDENTIFIED  */
#line 16212 "preproc.y"
                                                                { (yyval.str) = mm_strdup("identified"); }
#line 57230 "preproc.c"
    break;

  case 2933: /* ECPGKeywords_vanames: SQL_INDICATOR  */
#line 16213 "preproc.y"
                                                        { (yyval.str) = mm_strdup("indicator"); }
#line 57236 "preproc.c"
    break;

  case 2934: /* ECPGKeywords_vanames: SQL_KEY_MEMBER  */
#line 16214 "preproc.y"
                                                        { (yyval.str) = mm_strdup("key_member"); }
#line 57242 "preproc.c"
    break;

  case 2935: /* ECPGKeywords_vanames: SQL_LENGTH  */
#line 16215 "preproc.y"
                                                        { (yyval.str) = mm_strdup("length"); }
#line 57248 "preproc.c"
    break;

  case 2936: /* ECPGKeywords_vanames: SQL_NULLABLE  */
#line 16216 "preproc.y"
                                                        { (yyval.str) = mm_strdup("nullable"); }
#line 57254 "preproc.c"
    break;

  case 2937: /* ECPGKeywords_vanames: SQL_OCTET_LENGTH  */
#line 16217 "preproc.y"
                                                        { (yyval.str) = mm_strdup("octet_length"); }
#line 57260 "preproc.c"
    break;

  case 2938: /* ECPGKeywords_vanames: SQL_RETURNED_LENGTH  */
#line 16218 "preproc.y"
                                                { (yyval.str) = mm_strdup("returned_length"); }
#line 57266 "preproc.c"
    break;

  case 2939: /* ECPGKeywords_vanames: SQL_RETURNED_OCTET_LENGTH  */
#line 16219 "preproc.y"
                                                { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 57272 "preproc.c"
    break;

  case 2940: /* ECPGKeywords_vanames: SQL_SCALE  */
#line 16220 "preproc.y"
                                                                { (yyval.str) = mm_strdup("scale"); }
#line 57278 "preproc.c"
    break;

  case 2941: /* ECPGKeywords_vanames: SQL_SECTION  */
#line 16221 "preproc.y"
                                                        { (yyval.str) = mm_strdup("section"); }
#line 57284 "preproc.c"
    break;

  case 2942: /* ECPGKeywords_vanames: SQL_SQLERROR  */
#line 16222 "preproc.y"
                                                        { (yyval.str) = mm_strdup("sqlerror"); }
#line 57290 "preproc.c"
    break;

  case 2943: /* ECPGKeywords_vanames: SQL_SQLPRINT  */
#line 16223 "preproc.y"
                                                        { (yyval.str) = mm_strdup("sqlprint"); }
#line 57296 "preproc.c"
    break;

  case 2944: /* ECPGKeywords_vanames: SQL_SQLWARNING  */
#line 16224 "preproc.y"
                                                        { (yyval.str) = mm_strdup("sqlwarning"); }
#line 57302 "preproc.c"
    break;

  case 2945: /* ECPGKeywords_vanames: SQL_STOP  */
#line 16225 "preproc.y"
                                                                { (yyval.str) = mm_strdup("stop"); }
#line 57308 "preproc.c"
    break;

  case 2946: /* ECPGKeywords_rest: SQL_CONNECT  */
#line 16228 "preproc.y"
                                        { (yyval.str) = mm_strdup("connect"); }
#line 57314 "preproc.c"
    break;

  case 2947: /* ECPGKeywords_rest: SQL_DESCRIBE  */
#line 16229 "preproc.y"
                                                        { (yyval.str) = mm_strdup("describe"); }
#line 57320 "preproc.c"
    break;

  case 2948: /* ECPGKeywords_rest: SQL_DISCONNECT  */
#line 16230 "preproc.y"
                                                        { (yyval.str) = mm_strdup("disconnect"); }
#line 57326 "preproc.c"
    break;

  case 2949: /* ECPGKeywords_rest: SQL_OPEN  */
#line 16231 "preproc.y"
                                                                { (yyval.str) = mm_strdup("open"); }
#line 57332 "preproc.c"
    break;

  case 2950: /* ECPGKeywords_rest: SQL_VAR  */
#line 16232 "preproc.y"
                                                                { (yyval.str) = mm_strdup("var"); }
#line 57338 "preproc.c"
    break;

  case 2951: /* ECPGKeywords_rest: SQL_WHENEVER  */
#line 16233 "preproc.y"
                                                        { (yyval.str) = mm_strdup("whenever"); }
#line 57344 "preproc.c"
    break;

  case 2952: /* ECPGTypeName: SQL_BOOL  */
#line 16237 "preproc.y"
                                                { (yyval.str) = mm_strdup("bool"); }
#line 57350 "preproc.c"
    break;

  case 2953: /* ECPGTypeName: SQL_LONG  */
#line 16238 "preproc.y"
                                                                { (yyval.str) = mm_strdup("long"); }
#line 57356 "preproc.c"
    break;

  case 2954: /* ECPGTypeName: SQL_OUTPUT  */
#line 16239 "preproc.y"
                                                        { (yyval.str) = mm_strdup("output"); }
#line 57362 "preproc.c"
    break;

  case 2955: /* ECPGTypeName: SQL_SHORT  */
#line 16240 "preproc.y"
                                                                { (yyval.str) = mm_strdup("short"); }
#line 57368 "preproc.c"
    break;

  case 2956: /* ECPGTypeName: SQL_STRUCT  */
#line 16241 "preproc.y"
                                                        { (yyval.str) = mm_strdup("struct"); }
#line 57374 "preproc.c"
    break;

  case 2957: /* ECPGTypeName: SQL_SIGNED  */
#line 16242 "preproc.y"
                                                        { (yyval.str) = mm_strdup("signed"); }
#line 57380 "preproc.c"
    break;

  case 2958: /* ECPGTypeName: SQL_UNSIGNED  */
#line 16243 "preproc.y"
                                                        { (yyval.str) = mm_strdup("unsigned"); }
#line 57386 "preproc.c"
    break;

  case 2959: /* symbol: ColLabel  */
#line 16246 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57392 "preproc.c"
    break;

  case 2960: /* ECPGColId: ecpg_ident  */
#line 16249 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57398 "preproc.c"
    break;

  case 2961: /* ECPGColId: unreserved_keyword  */
#line 16250 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57404 "preproc.c"
    break;

  case 2962: /* ECPGColId: col_name_keyword  */
#line 16251 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57410 "preproc.c"
    break;

  case 2963: /* ECPGColId: ECPGunreserved_interval  */
#line 16252 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57416 "preproc.c"
    break;

  case 2964: /* ECPGColId: ECPGKeywords  */
#line 16253 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57422 "preproc.c"
    break;

  case 2965: /* ECPGColId: ECPGCKeywords  */
#line 16254 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57428 "preproc.c"
    break;

  case 2966: /* ECPGColId: CHAR_P  */
#line 16255 "preproc.y"
                                                                { (yyval.str) = mm_strdup("char"); }
#line 57434 "preproc.c"
    break;

  case 2967: /* ECPGColId: VALUES  */
#line 16256 "preproc.y"
                                                                { (yyval.str) = mm_strdup("values"); }
#line 57440 "preproc.c"
    break;

  case 2968: /* ColId: ecpg_ident  */
#line 16269 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57446 "preproc.c"
    break;

  case 2969: /* ColId: all_unreserved_keyword  */
#line 16270 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57452 "preproc.c"
    break;

  case 2970: /* ColId: col_name_keyword  */
#line 16271 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57458 "preproc.c"
    break;

  case 2971: /* ColId: ECPGKeywords  */
#line 16272 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57464 "preproc.c"
    break;

  case 2972: /* ColId: ECPGCKeywords  */
#line 16273 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57470 "preproc.c"
    break;

  case 2973: /* ColId: CHAR_P  */
#line 16274 "preproc.y"
                                                                { (yyval.str) = mm_strdup("char"); }
#line 57476 "preproc.c"
    break;

  case 2974: /* ColId: VALUES  */
#line 16275 "preproc.y"
                                                                { (yyval.str) = mm_strdup("values"); }
#line 57482 "preproc.c"
    break;

  case 2975: /* type_function_name: ecpg_ident  */
#line 16280 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57488 "preproc.c"
    break;

  case 2976: /* type_function_name: all_unreserved_keyword  */
#line 16281 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57494 "preproc.c"
    break;

  case 2977: /* type_function_name: type_func_name_keyword  */
#line 16282 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57500 "preproc.c"
    break;

  case 2978: /* type_function_name: ECPGKeywords  */
#line 16283 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57506 "preproc.c"
    break;

  case 2979: /* type_function_name: ECPGCKeywords  */
#line 16284 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57512 "preproc.c"
    break;

  case 2980: /* type_function_name: ECPGTypeName  */
#line 16285 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57518 "preproc.c"
    break;

  case 2981: /* ColLabel: ECPGColLabel  */
#line 16291 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57524 "preproc.c"
    break;

  case 2982: /* ColLabel: ECPGTypeName  */
#line 16292 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57530 "preproc.c"
    break;

  case 2983: /* ColLabel: CHAR_P  */
#line 16293 "preproc.y"
                                                                { (yyval.str) = mm_strdup("char"); }
#line 57536 "preproc.c"
    break;

  case 2984: /* ColLabel: CURRENT_P  */
#line 16294 "preproc.y"
                                                                { (yyval.str) = mm_strdup("current"); }
#line 57542 "preproc.c"
    break;

  case 2985: /* ColLabel: INPUT_P  */
#line 16295 "preproc.y"
                                                                { (yyval.str) = mm_strdup("input"); }
#line 57548 "preproc.c"
    break;

  case 2986: /* ColLabel: INT_P  */
#line 16296 "preproc.y"
                                                                { (yyval.str) = mm_strdup("int"); }
#line 57554 "preproc.c"
    break;

  case 2987: /* ColLabel: TO  */
#line 16297 "preproc.y"
                                                                { (yyval.str) = mm_strdup("to"); }
#line 57560 "preproc.c"
    break;

  case 2988: /* ColLabel: UNION  */
#line 16298 "preproc.y"
                                                                { (yyval.str) = mm_strdup("union"); }
#line 57566 "preproc.c"
    break;

  case 2989: /* ColLabel: VALUES  */
#line 16299 "preproc.y"
                                                                { (yyval.str) = mm_strdup("values"); }
#line 57572 "preproc.c"
    break;

  case 2990: /* ColLabel: ECPGCKeywords  */
#line 16300 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57578 "preproc.c"
    break;

  case 2991: /* ColLabel: ECPGunreserved_interval  */
#line 16301 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57584 "preproc.c"
    break;

  case 2992: /* ECPGColLabel: ECPGColLabelCommon  */
#line 16304 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 57590 "preproc.c"
    break;

  case 2993: /* ECPGColLabel: unreserved_keyword  */
#line 16305 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57596 "preproc.c"
    break;

  case 2994: /* ECPGColLabel: reserved_keyword  */
#line 16306 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57602 "preproc.c"
    break;

  case 2995: /* ECPGColLabel: ECPGKeywords_rest  */
#line 16307 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57608 "preproc.c"
    break;

  case 2996: /* ECPGColLabel: CONNECTION  */
#line 16308 "preproc.y"
                                                        { (yyval.str) = mm_strdup("connection"); }
#line 57614 "preproc.c"
    break;

  case 2997: /* ECPGColLabelCommon: ecpg_ident  */
#line 16311 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 57620 "preproc.c"
    break;

  case 2998: /* ECPGColLabelCommon: col_name_keyword  */
#line 16312 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 57626 "preproc.c"
    break;

  case 2999: /* ECPGColLabelCommon: type_func_name_keyword  */
#line 16313 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57632 "preproc.c"
    break;

  case 3000: /* ECPGColLabelCommon: ECPGKeywords_vanames  */
#line 16314 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57638 "preproc.c"
    break;

  case 3001: /* ECPGCKeywords: S_AUTO  */
#line 16317 "preproc.y"
                                                { (yyval.str) = mm_strdup("auto"); }
#line 57644 "preproc.c"
    break;

  case 3002: /* ECPGCKeywords: S_CONST  */
#line 16318 "preproc.y"
                                                                { (yyval.str) = mm_strdup("const"); }
#line 57650 "preproc.c"
    break;

  case 3003: /* ECPGCKeywords: S_EXTERN  */
#line 16319 "preproc.y"
                                                                { (yyval.str) = mm_strdup("extern"); }
#line 57656 "preproc.c"
    break;

  case 3004: /* ECPGCKeywords: S_REGISTER  */
#line 16320 "preproc.y"
                                                        { (yyval.str) = mm_strdup("register"); }
#line 57662 "preproc.c"
    break;

  case 3005: /* ECPGCKeywords: S_STATIC  */
#line 16321 "preproc.y"
                                                                { (yyval.str) = mm_strdup("static"); }
#line 57668 "preproc.c"
    break;

  case 3006: /* ECPGCKeywords: S_TYPEDEF  */
#line 16322 "preproc.y"
                                                                { (yyval.str) = mm_strdup("typedef"); }
#line 57674 "preproc.c"
    break;

  case 3007: /* ECPGCKeywords: S_VOLATILE  */
#line 16323 "preproc.y"
                                                        { (yyval.str) = mm_strdup("volatile"); }
#line 57680 "preproc.c"
    break;

  case 3008: /* all_unreserved_keyword: unreserved_keyword  */
#line 16340 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57686 "preproc.c"
    break;

  case 3009: /* all_unreserved_keyword: ECPGunreserved_interval  */
#line 16341 "preproc.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 57692 "preproc.c"
    break;

  case 3010: /* all_unreserved_keyword: CONNECTION  */
#line 16342 "preproc.y"
                                                                        { (yyval.str) = mm_strdup("connection"); }
#line 57698 "preproc.c"
    break;

  case 3011: /* ECPGunreserved_interval: DAY_P  */
#line 16345 "preproc.y"
                                                        { (yyval.str) = mm_strdup("day"); }
#line 57704 "preproc.c"
    break;

  case 3012: /* ECPGunreserved_interval: HOUR_P  */
#line 16346 "preproc.y"
                                                                                { (yyval.str) = mm_strdup("hour"); }
#line 57710 "preproc.c"
    break;

  case 3013: /* ECPGunreserved_interval: MINUTE_P  */
#line 16347 "preproc.y"
                                                                                { (yyval.str) = mm_strdup("minute"); }
#line 57716 "preproc.c"
    break;

  case 3014: /* ECPGunreserved_interval: MONTH_P  */
#line 16348 "preproc.y"
                                                                                { (yyval.str) = mm_strdup("month"); }
#line 57722 "preproc.c"
    break;

  case 3015: /* ECPGunreserved_interval: SECOND_P  */
#line 16349 "preproc.y"
                                                                                { (yyval.str) = mm_strdup("second"); }
#line 57728 "preproc.c"
    break;

  case 3016: /* ECPGunreserved_interval: YEAR_P  */
#line 16350 "preproc.y"
                                                                                { (yyval.str) = mm_strdup("year"); }
#line 57734 "preproc.c"
    break;

  case 3019: /* ecpgstart: SQL_START  */
#line 16357 "preproc.y"
                        {
				reset_variables();
				pacounter = 1;
			}
#line 57743 "preproc.c"
    break;

  case 3020: /* c_args: %empty  */
#line 16363 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 57749 "preproc.c"
    break;

  case 3021: /* c_args: c_list  */
#line 16364 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 57755 "preproc.c"
    break;

  case 3022: /* coutputvariable: cvariable indicator  */
#line 16368 "preproc.y"
                        { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 57761 "preproc.c"
    break;

  case 3023: /* coutputvariable: cvariable  */
#line 16370 "preproc.y"
                        { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 57767 "preproc.c"
    break;

  case 3024: /* civarind: cvariable indicator  */
#line 16375 "preproc.y"
                {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 57779 "preproc.c"
    break;

  case 3025: /* char_civar: char_variable  */
#line 16385 "preproc.y"
                {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 57792 "preproc.c"
    break;

  case 3026: /* civar: cvariable  */
#line 16396 "preproc.y"
                {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 57801 "preproc.c"
    break;

  case 3027: /* indicator: cvariable  */
#line 16402 "preproc.y"
                                                { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 57807 "preproc.c"
    break;

  case 3028: /* indicator: SQL_INDICATOR cvariable  */
#line 16403 "preproc.y"
                                                { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 57813 "preproc.c"
    break;

  case 3029: /* indicator: SQL_INDICATOR name  */
#line 16404 "preproc.y"
                                                { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 57819 "preproc.c"
    break;

  case 3030: /* cvariable: CVARIABLE  */
#line 16408 "preproc.y"
                {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 57854 "preproc.c"
    break;

  case 3031: /* ecpg_param: PARAM  */
#line 16440 "preproc.y"
                                { (yyval.str) = make_name(); }
#line 57860 "preproc.c"
    break;

  case 3032: /* ecpg_bconst: BCONST  */
#line 16442 "preproc.y"
                                { (yyval.str) = make_name(); }
#line 57866 "preproc.c"
    break;

  case 3033: /* ecpg_fconst: FCONST  */
#line 16444 "preproc.y"
                                { (yyval.str) = make_name(); }
#line 57872 "preproc.c"
    break;

  case 3034: /* ecpg_sconst: SCONST  */
#line 16448 "preproc.y"
                {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 57886 "preproc.c"
    break;

  case 3035: /* ecpg_sconst: ECONST  */
#line 16458 "preproc.y"
                {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 57900 "preproc.c"
    break;

  case 3036: /* ecpg_sconst: NCONST  */
#line 16468 "preproc.y"
                {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 57914 "preproc.c"
    break;

  case 3037: /* ecpg_sconst: UCONST  */
#line 16477 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 57920 "preproc.c"
    break;

  case 3038: /* ecpg_sconst: DOLCONST  */
#line 16478 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 57926 "preproc.c"
    break;

  case 3039: /* ecpg_xconst: XCONST  */
#line 16481 "preproc.y"
                                { (yyval.str) = make_name(); }
#line 57932 "preproc.c"
    break;

  case 3040: /* ecpg_ident: IDENT  */
#line 16483 "preproc.y"
                                { (yyval.str) = make_name(); }
#line 57938 "preproc.c"
    break;

  case 3041: /* ecpg_ident: CSTRING  */
#line 16484 "preproc.y"
                                { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 57944 "preproc.c"
    break;

  case 3042: /* ecpg_ident: UIDENT  */
#line 16485 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 57950 "preproc.c"
    break;

  case 3043: /* quoted_ident_stringvar: name  */
#line 16489 "preproc.y"
                        { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 57956 "preproc.c"
    break;

  case 3044: /* quoted_ident_stringvar: char_variable  */
#line 16491 "preproc.y"
                        { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 57962 "preproc.c"
    break;

  case 3045: /* c_stuff_item: c_anything  */
#line 16498 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 57968 "preproc.c"
    break;

  case 3046: /* c_stuff_item: '(' ')'  */
#line 16499 "preproc.y"
                                                { (yyval.str) = mm_strdup("()"); }
#line 57974 "preproc.c"
    break;

  case 3047: /* c_stuff_item: '(' c_stuff ')'  */
#line 16501 "preproc.y"
                        { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 57980 "preproc.c"
    break;

  case 3048: /* c_stuff: c_stuff_item  */
#line 16504 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 57986 "preproc.c"
    break;

  case 3049: /* c_stuff: c_stuff c_stuff_item  */
#line 16506 "preproc.y"
                        { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 57992 "preproc.c"
    break;

  case 3050: /* c_list: c_term  */
#line 16509 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 57998 "preproc.c"
    break;

  case 3051: /* c_list: c_list ',' c_term  */
#line 16510 "preproc.y"
                                        { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 58004 "preproc.c"
    break;

  case 3052: /* c_term: c_stuff  */
#line 16513 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 58010 "preproc.c"
    break;

  case 3053: /* c_term: '{' c_list '}'  */
#line 16514 "preproc.y"
                                        { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 58016 "preproc.c"
    break;

  case 3054: /* c_thing: c_anything  */
#line 16517 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 58022 "preproc.c"
    break;

  case 3055: /* c_thing: '('  */
#line 16518 "preproc.y"
                                        { (yyval.str) = mm_strdup("("); }
#line 58028 "preproc.c"
    break;

  case 3056: /* c_thing: ')'  */
#line 16519 "preproc.y"
                                        { (yyval.str) = mm_strdup(")"); }
#line 58034 "preproc.c"
    break;

  case 3057: /* c_thing: ','  */
#line 16520 "preproc.y"
                                        { (yyval.str) = mm_strdup(","); }
#line 58040 "preproc.c"
    break;

  case 3058: /* c_thing: ';'  */
#line 16521 "preproc.y"
                                        { (yyval.str) = mm_strdup(";"); }
#line 58046 "preproc.c"
    break;

  case 3059: /* c_anything: ecpg_ident  */
#line 16524 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 58052 "preproc.c"
    break;

  case 3060: /* c_anything: Iconst  */
#line 16525 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 58058 "preproc.c"
    break;

  case 3061: /* c_anything: ecpg_fconst  */
#line 16526 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 58064 "preproc.c"
    break;

  case 3062: /* c_anything: ecpg_sconst  */
#line 16527 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 58070 "preproc.c"
    break;

  case 3063: /* c_anything: '*'  */
#line 16528 "preproc.y"
                                                { (yyval.str) = mm_strdup("*"); }
#line 58076 "preproc.c"
    break;

  case 3064: /* c_anything: '+'  */
#line 16529 "preproc.y"
                                                { (yyval.str) = mm_strdup("+"); }
#line 58082 "preproc.c"
    break;

  case 3065: /* c_anything: '-'  */
#line 16530 "preproc.y"
                                                { (yyval.str) = mm_strdup("-"); }
#line 58088 "preproc.c"
    break;

  case 3066: /* c_anything: '/'  */
#line 16531 "preproc.y"
                                                { (yyval.str) = mm_strdup("/"); }
#line 58094 "preproc.c"
    break;

  case 3067: /* c_anything: '%'  */
#line 16532 "preproc.y"
                                                { (yyval.str) = mm_strdup("%"); }
#line 58100 "preproc.c"
    break;

  case 3068: /* c_anything: NULL_P  */
#line 16533 "preproc.y"
                                                { (yyval.str) = mm_strdup("NULL"); }
#line 58106 "preproc.c"
    break;

  case 3069: /* c_anything: S_ADD  */
#line 16534 "preproc.y"
                                                { (yyval.str) = mm_strdup("+="); }
#line 58112 "preproc.c"
    break;

  case 3070: /* c_anything: S_AND  */
#line 16535 "preproc.y"
                                                { (yyval.str) = mm_strdup("&&"); }
#line 58118 "preproc.c"
    break;

  case 3071: /* c_anything: S_ANYTHING  */
#line 16536 "preproc.y"
                                                { (yyval.str) = make_name(); }
#line 58124 "preproc.c"
    break;

  case 3072: /* c_anything: S_AUTO  */
#line 16537 "preproc.y"
                                                { (yyval.str) = mm_strdup("auto"); }
#line 58130 "preproc.c"
    break;

  case 3073: /* c_anything: S_CONST  */
#line 16538 "preproc.y"
                                                { (yyval.str) = mm_strdup("const"); }
#line 58136 "preproc.c"
    break;

  case 3074: /* c_anything: S_DEC  */
#line 16539 "preproc.y"
                                                { (yyval.str) = mm_strdup("--"); }
#line 58142 "preproc.c"
    break;

  case 3075: /* c_anything: S_DIV  */
#line 16540 "preproc.y"
                                                { (yyval.str) = mm_strdup("/="); }
#line 58148 "preproc.c"
    break;

  case 3076: /* c_anything: S_DOTPOINT  */
#line 16541 "preproc.y"
                                                { (yyval.str) = mm_strdup(".*"); }
#line 58154 "preproc.c"
    break;

  case 3077: /* c_anything: S_EQUAL  */
#line 16542 "preproc.y"
                                                { (yyval.str) = mm_strdup("=="); }
#line 58160 "preproc.c"
    break;

  case 3078: /* c_anything: S_EXTERN  */
#line 16543 "preproc.y"
                                                { (yyval.str) = mm_strdup("extern"); }
#line 58166 "preproc.c"
    break;

  case 3079: /* c_anything: S_INC  */
#line 16544 "preproc.y"
                                                { (yyval.str) = mm_strdup("++"); }
#line 58172 "preproc.c"
    break;

  case 3080: /* c_anything: S_LSHIFT  */
#line 16545 "preproc.y"
                                                { (yyval.str) = mm_strdup("<<"); }
#line 58178 "preproc.c"
    break;

  case 3081: /* c_anything: S_MEMBER  */
#line 16546 "preproc.y"
                                                { (yyval.str) = mm_strdup("->"); }
#line 58184 "preproc.c"
    break;

  case 3082: /* c_anything: S_MEMPOINT  */
#line 16547 "preproc.y"
                                                { (yyval.str) = mm_strdup("->*"); }
#line 58190 "preproc.c"
    break;

  case 3083: /* c_anything: S_MOD  */
#line 16548 "preproc.y"
                                                { (yyval.str) = mm_strdup("%="); }
#line 58196 "preproc.c"
    break;

  case 3084: /* c_anything: S_MUL  */
#line 16549 "preproc.y"
                                                { (yyval.str) = mm_strdup("*="); }
#line 58202 "preproc.c"
    break;

  case 3085: /* c_anything: S_NEQUAL  */
#line 16550 "preproc.y"
                                                { (yyval.str) = mm_strdup("!="); }
#line 58208 "preproc.c"
    break;

  case 3086: /* c_anything: S_OR  */
#line 16551 "preproc.y"
                                                { (yyval.str) = mm_strdup("||"); }
#line 58214 "preproc.c"
    break;

  case 3087: /* c_anything: S_REGISTER  */
#line 16552 "preproc.y"
                                                { (yyval.str) = mm_strdup("register"); }
#line 58220 "preproc.c"
    break;

  case 3088: /* c_anything: S_RSHIFT  */
#line 16553 "preproc.y"
                                                { (yyval.str) = mm_strdup(">>"); }
#line 58226 "preproc.c"
    break;

  case 3089: /* c_anything: S_STATIC  */
#line 16554 "preproc.y"
                                                { (yyval.str) = mm_strdup("static"); }
#line 58232 "preproc.c"
    break;

  case 3090: /* c_anything: S_SUB  */
#line 16555 "preproc.y"
                                                { (yyval.str) = mm_strdup("-="); }
#line 58238 "preproc.c"
    break;

  case 3091: /* c_anything: S_TYPEDEF  */
#line 16556 "preproc.y"
                                                { (yyval.str) = mm_strdup("typedef"); }
#line 58244 "preproc.c"
    break;

  case 3092: /* c_anything: S_VOLATILE  */
#line 16557 "preproc.y"
                                                { (yyval.str) = mm_strdup("volatile"); }
#line 58250 "preproc.c"
    break;

  case 3093: /* c_anything: SQL_BOOL  */
#line 16558 "preproc.y"
                                                { (yyval.str) = mm_strdup("bool"); }
#line 58256 "preproc.c"
    break;

  case 3094: /* c_anything: ENUM_P  */
#line 16559 "preproc.y"
                                                { (yyval.str) = mm_strdup("enum"); }
#line 58262 "preproc.c"
    break;

  case 3095: /* c_anything: HOUR_P  */
#line 16560 "preproc.y"
                                                { (yyval.str) = mm_strdup("hour"); }
#line 58268 "preproc.c"
    break;

  case 3096: /* c_anything: INT_P  */
#line 16561 "preproc.y"
                                                { (yyval.str) = mm_strdup("int"); }
#line 58274 "preproc.c"
    break;

  case 3097: /* c_anything: SQL_LONG  */
#line 16562 "preproc.y"
                                                { (yyval.str) = mm_strdup("long"); }
#line 58280 "preproc.c"
    break;

  case 3098: /* c_anything: MINUTE_P  */
#line 16563 "preproc.y"
                                                { (yyval.str) = mm_strdup("minute"); }
#line 58286 "preproc.c"
    break;

  case 3099: /* c_anything: MONTH_P  */
#line 16564 "preproc.y"
                                                { (yyval.str) = mm_strdup("month"); }
#line 58292 "preproc.c"
    break;

  case 3100: /* c_anything: SECOND_P  */
#line 16565 "preproc.y"
                                                { (yyval.str) = mm_strdup("second"); }
#line 58298 "preproc.c"
    break;

  case 3101: /* c_anything: SQL_SHORT  */
#line 16566 "preproc.y"
                                                { (yyval.str) = mm_strdup("short"); }
#line 58304 "preproc.c"
    break;

  case 3102: /* c_anything: SQL_SIGNED  */
#line 16567 "preproc.y"
                                                { (yyval.str) = mm_strdup("signed"); }
#line 58310 "preproc.c"
    break;

  case 3103: /* c_anything: SQL_STRUCT  */
#line 16568 "preproc.y"
                                                { (yyval.str) = mm_strdup("struct"); }
#line 58316 "preproc.c"
    break;

  case 3104: /* c_anything: SQL_UNSIGNED  */
#line 16569 "preproc.y"
                                                { (yyval.str) = mm_strdup("unsigned"); }
#line 58322 "preproc.c"
    break;

  case 3105: /* c_anything: YEAR_P  */
#line 16570 "preproc.y"
                                                { (yyval.str) = mm_strdup("year"); }
#line 58328 "preproc.c"
    break;

  case 3106: /* c_anything: CHAR_P  */
#line 16571 "preproc.y"
                                                { (yyval.str) = mm_strdup("char"); }
#line 58334 "preproc.c"
    break;

  case 3107: /* c_anything: FLOAT_P  */
#line 16572 "preproc.y"
                                                { (yyval.str) = mm_strdup("float"); }
#line 58340 "preproc.c"
    break;

  case 3108: /* c_anything: TO  */
#line 16573 "preproc.y"
                                                { (yyval.str) = mm_strdup("to"); }
#line 58346 "preproc.c"
    break;

  case 3109: /* c_anything: UNION  */
#line 16574 "preproc.y"
                                                { (yyval.str) = mm_strdup("union"); }
#line 58352 "preproc.c"
    break;

  case 3110: /* c_anything: VARCHAR  */
#line 16575 "preproc.y"
                                                { (yyval.str) = mm_strdup("varchar"); }
#line 58358 "preproc.c"
    break;

  case 3111: /* c_anything: '['  */
#line 16576 "preproc.y"
                                                { (yyval.str) = mm_strdup("["); }
#line 58364 "preproc.c"
    break;

  case 3112: /* c_anything: ']'  */
#line 16577 "preproc.y"
                                                { (yyval.str) = mm_strdup("]"); }
#line 58370 "preproc.c"
    break;

  case 3113: /* c_anything: '='  */
#line 16578 "preproc.y"
                                                { (yyval.str) = mm_strdup("="); }
#line 58376 "preproc.c"
    break;

  case 3114: /* c_anything: ':'  */
#line 16579 "preproc.y"
                                                { (yyval.str) = mm_strdup(":"); }
#line 58382 "preproc.c"
    break;

  case 3115: /* DeallocateStmt: DEALLOCATE prepared_name  */
#line 16582 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 58388 "preproc.c"
    break;

  case 3116: /* DeallocateStmt: DEALLOCATE PREPARE prepared_name  */
#line 16583 "preproc.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 58394 "preproc.c"
    break;

  case 3117: /* DeallocateStmt: DEALLOCATE ALL  */
#line 16584 "preproc.y"
                                                        { (yyval.str) = mm_strdup("all"); }
#line 58400 "preproc.c"
    break;

  case 3118: /* DeallocateStmt: DEALLOCATE PREPARE ALL  */
#line 16585 "preproc.y"
                                                        { (yyval.str) = mm_strdup("all"); }
#line 58406 "preproc.c"
    break;

  case 3119: /* Iresult: Iconst  */
#line 16588 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 58412 "preproc.c"
    break;

  case 3120: /* Iresult: '(' Iresult ')'  */
#line 16589 "preproc.y"
                                                { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 58418 "preproc.c"
    break;

  case 3121: /* Iresult: Iresult '+' Iresult  */
#line 16590 "preproc.y"
                                                { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 58424 "preproc.c"
    break;

  case 3122: /* Iresult: Iresult '-' Iresult  */
#line 16591 "preproc.y"
                                                { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 58430 "preproc.c"
    break;

  case 3123: /* Iresult: Iresult '*' Iresult  */
#line 16592 "preproc.y"
                                                { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 58436 "preproc.c"
    break;

  case 3124: /* Iresult: Iresult '/' Iresult  */
#line 16593 "preproc.y"
                                                { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 58442 "preproc.c"
    break;

  case 3125: /* Iresult: Iresult '%' Iresult  */
#line 16594 "preproc.y"
                                                { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 58448 "preproc.c"
    break;

  case 3126: /* Iresult: ecpg_sconst  */
#line 16595 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 58454 "preproc.c"
    break;

  case 3127: /* Iresult: ColId  */
#line 16596 "preproc.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 58460 "preproc.c"
    break;

  case 3128: /* Iresult: ColId '(' var_type ')'  */
#line 16597 "preproc.y"
                                                { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 58470 "preproc.c"
    break;

  case 3129: /* execute_rest: %empty  */
#line 16604 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 58476 "preproc.c"
    break;

  case 3130: /* execute_rest: ecpg_using opt_ecpg_into  */
#line 16605 "preproc.y"
                                    { (yyval.str) = EMPTY; }
#line 58482 "preproc.c"
    break;

  case 3131: /* execute_rest: ecpg_into ecpg_using  */
#line 16606 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 58488 "preproc.c"
    break;

  case 3132: /* execute_rest: ecpg_into  */
#line 16607 "preproc.y"
                                                { (yyval.str) = EMPTY; }
#line 58494 "preproc.c"
    break;

  case 3133: /* ecpg_into: INTO into_list  */
#line 16610 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 58500 "preproc.c"
    break;

  case 3134: /* ecpg_into: into_descriptor  */
#line 16611 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 58506 "preproc.c"
    break;

  case 3135: /* opt_ecpg_into: %empty  */
#line 16614 "preproc.y"
                                { (yyval.str) = EMPTY; }
#line 58512 "preproc.c"
    break;

  case 3136: /* opt_ecpg_into: ecpg_into  */
#line 16615 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 58518 "preproc.c"
    break;

  case 3137: /* ecpg_fetch_into: ecpg_into  */
#line 16618 "preproc.y"
                                { (yyval.str) = (yyvsp[0].str); }
#line 58524 "preproc.c"
    break;

  case 3138: /* ecpg_fetch_into: using_descriptor  */
#line 16620 "preproc.y"
        {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 58537 "preproc.c"
    break;

  case 3139: /* opt_ecpg_fetch_into: %empty  */
#line 16630 "preproc.y"
                                        { (yyval.str) = EMPTY; }
#line 58543 "preproc.c"
    break;

  case 3140: /* opt_ecpg_fetch_into: ecpg_fetch_into  */
#line 16631 "preproc.y"
                                        { (yyval.str) = (yyvsp[0].str); }
#line 58549 "preproc.c"
    break;


#line 58553 "preproc.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 16634 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
